export const setColumns = (_this) => {
  return [
    {
      dataIndex: 'hdrId',
      title: 'hdrId',
      hidden: true,
      type: 'txt'
    },
    {
      type: 'select',
      dataIndex: 'logicSymbol',
      title: '逻辑符',
      autoLoad: false,
      width: 100,
      value:'and',
      options: [
        { value: 'and', label: '且' },
        { value: 'or', label: '或' }],
      customColumnProps: ({ record, index, props }) => {
        if (index === 0) {
          record.logicSymbol = '';
          props.type='txt'
        }
      },
    },
    {
      type: 'select',
      dataIndex: 'fieldName',
      title: '字段名称',
      autoLoad: false,
      required: true,
      // hidden: true,
      width:120,
      placeholder:'请选择字段名称',
      get options() {
        return _this.fieldOptions
      },
    },

    {
      type: 'edit',
      allowClear:false,
      dataIndex: 'fieldCode',
      title: '字段键',
      width: 160,
      readOnly: true,
      required: true,

      // hidden: true
    },
    {
      type: 'txt',
      dataIndex: 'fieldType',
      title: '字段类型',
      hidden: true,
      defaultValue: 'txt'
    },
    {
      type: 'select',
      dataIndex: 'operationSymbol',
      title: '操作符',
       width: 100,
      required: true,
      autoLoad: false,
      options: [
        { value: '=', label: '=' },
        { value: '!=', label: '!=' },
        { value: '>', label: '>' },
        { value: '>=', label: '>=' },
        { value: '<', label: '<' },
        { value: '<=', label: '<=' },
        { value: 'in', label: 'in' },
        { value: 'not in', label: 'not in' },
        { value: 'is null', label: 'is null' },
        { value: 'is not null', label: 'is not null' },
        { value: 'like', label: 'like' },
        { value: 'not like', label: 'not like' },
     ]
    },
    {
      type: 'edit',
      dataIndex: 'fieldValue',
      title: '值',
    },

    {
      title: () => {
        return _this._c('a-icon', {
          style: 'font-size: 16px',
          attrs: {
            type: 'plus-circle',
            'data-value': 'params',
          },
          on: { click: _this.addtableformRow },
        })
      },
      width: 40,
      align: 'center',
      key: 'operation',
      scopedSlots: { customRender: 'operation' },
    },
  ]
}

export const bizTypeObj = {
  订单管理: 10,
  待审核: 20,
  待调度: 30,
  已调度: 40,
  已派车: 50,
  已托运: 60,
  所有运单: 70,
  已完成: 90,
  待装卸: 100,
  待送达: 110,
  待理货: 120,
  待自提: 130,
  待提货: 140,
  入库在途: 150,
  整车直发: 160,
  拣货出库: 170,
  出库在途: 180,
  外包跟踪: 190,
  提货确认: 200,
}

// "订单管理":10,
// "待审核":20,
// "待调度":30,
// "已调度":40,
// "已派车":50,
// "已托运":60,
// "所有运单":70,
// "已完成":90,
// "待装卸":100,
// "待送达":110,
// "待理货":120,
// "待自提":130,
// "待提货":140,
// "入库在途":150,
// "整车直发":160,
// "拣货出库":170,
// "出库在途":180,
// "外包跟踪":190,
// "提货确认":200,
