

export function divider(self, value) {
  return {
    label: '',
    span: 24,
    itemHeight: '60px',
    labelCol: { span: 0 },
    wrapperCol: { span: 24 },
    type: () => {
      return self._c('a-divider', { attrs: { orientation: 'left' } }, [self._v(value)])
    },
  }
}
//发货商
import consignee from './consignee.js'
import shipper from './shipper.js'

export const viewGetFormList = (self, expData = [],isExpEedit=false) => {
  let e = []
  if (expData.length > 0) {
    e = expData.map((item) => {
      return { ...item }
    })
    //扩展字段是否能编辑
    !isExpEedit&&e.forEach((item) => {
      let type = ['input','number','edit','textarea'].includes(item.type)?'txt':item.type
      Object.defineProperty(item, 'type', {
        get() {
          return type
        },
      })
    })
    e = [divider(self, '扩展信息'), ...e]

  }
  let parcelTable = []
  if (self.parcelTable) {
    parcelTable = [
      {
        span: 24,
        itemHeight: 'auto',
        wrapperCol: { span: 24 },
        scopedSlots: { customRender: 'table_2' },
      },
    ]
  }
  //【订单管理】修改订单界面，运单号、货主、订单号、WMS单号 不能修改，置灰显示
  return [
    divider(self, '基本信息'),
    { name: 'shipbillId', label: 'id', hidden: true, value: '' },
    { name: 'status', label: '状态', hidden: true, value: '' },
    {
      name: 'shipbillNo',
      label: '运单号',
      value: '运单号自动生成',
      type: 'txt',
    },
    {
      name: 'cargoOwnerName',
      value: '',
      label: '所属货主',
      type: 'txt',
    },
    {
      name: 'departmentName',
      label: '部门',
      type: 'txt',
    },

    {
      name: 'orderId',
      label: '订单ID',
      hidden: true,
    },
    {
      name: 'wmsOrderId',
      label: 'WMS单据ID',
      hidden: true,
    },
    {
      name: 'orderNo',
      label: '订单号',
      type: 'txt',
    },
    {
      name: 'wmsOrderNo',
      label: ' WMS单号',
      type: 'txt',
    },
    {
      name: 'orderTypeName',
      label: '订单类型',
      type: 'txt',

    },
    {
      name: 'orderBusinessTypeName',
      label: '业务类型',
      type: 'txt',

    },

    {
      name: 'deliveryMethodTypeName',
      label: '配送方式',
      type: 'txt',

    },
    {
      name: 'transportTypeName',
      label: '运输模式',
      type: 'txt',

    },
    {
      name: 'temperatureRequirementName',
      label: '温度要求',
      type: 'txt',

    },

    {
      name: 'memo',
      label: '备注',
      type: 'txt',

    },
    ...e,
    divider(self, '时间信息'),
    {
      type: 'row',
      label: '订单下单日期',
      span: 24,
      labelCol: { span: 2 },
      wrapperCol: { span: 22 },
      list: [
        {
          itemStyle: 'display: inline-block;margin-right:5px;min-width:128px',
          name: 'orderDate',
          type: 'txt',
          value: '',
        },
      ],
    },
    {
      type: 'row',
      label: '预计提货时间',
      span: 24,
      labelCol: { span: 2 },
      wrapperCol: { span: 22 },
      list: [
        {
          name: 'estimatedPickupStartTime',
          type: 'txt',
          style: 'display: inline-block;margin-right:5px;min-width:128px;width:auto',
        },
        {
          style: `display: inline-block;text-align:center; padding:0 10px;width:auto`,
          type: () => {
            return self._c('span', null, [self._v('--至--')])
          },
        },
        {
          name: 'estimatedPickupEndTime',
          type: 'txt',
          style: 'display: inline-block;margin-right:5px;min-width:128px;width:auto',
        },
      ],
    },

    {
      type: 'row',
      label: '预计送达时间',
      span: 24,
      labelCol: { span: 2 },
      wrapperCol: { span: 22 },
      list: [
        {
          name: 'estimatedDeliveryStartTime',
          type: 'txt',
          value: '',
          style: 'display: inline-block;margin-right:5px;min-width:128px;width:auto',
        },
        {
          style: `display: inline-block;text-align:center; padding:0 10px;width:auto`,
          type: () => {
            return self._c('span', null, [self._v('--至--')])
          },
        },
        {
          name: 'estimatedDeliveryEndTime',
          type: 'txt',
          style: 'display: inline-block;margin-right:5px;min-width:128px;width:auto',
        },
      ],
    },

    {
      labelCol: { span: 2 },
      span: 24,
      wrapperCol: { span: 2 },
      unit: '小时',
      name: 'transportAging',
      label: '时效',
      type: 'txt',
      value: 0,
    },
    ...shipper(self), //发货方
    ...consignee(self), //收货方
    {
      span: 24,
      itemHeight: 'auto',
      wrapperCol: { span: 24 },
      scopedSlots: { customRender: 'table' },
    },
    // ...parcelTable
  ]
}
