import { divider } from './config';

export default class {
  constructor({ key, name, label }) {
    this.key = key;
    this.name = name;
    this.label = label;
  }
  init(self) {
    let baseName = this.key;
    let baseLabel = this.label;
    let title = this.name;


    return [
      divider(self, title + '信息'),
      {
        name: baseName + 'TypeName',
        label: title + '类型',
        type: 'txt',
      },
      {
        get hidden() {
          return self[baseName + 'Type'] === 2;
        },
        name: baseName + 'UnitName',
        label: title + '单位',
        type: 'txt',
      },

      {
        hidden:true,
        name: baseName + 'UnitId',
        label: title + '单位id',
        type: 'txt',
      },
      {
        name: baseName + 'Name',
        label: title,
        type: 'txt',
      },
      {
        hidden:true,
        name: baseName + 'Id',
        label: title+'Id',
        type: 'txt',
      },

      {
        name: baseName + 'ProvinceCity',
        type: 'txt',
        placeholder: '省/市/区',
        label: baseName == 'consignee' ? '目的地' : '始发地',
      },

      { name: baseName + 'Contact', label: '联系人', type: 'txt' },
      {
        name: baseName + 'PhoneNumber',
        label: '手机号',
        type: 'txt',
      },
      {
        name: baseName + 'LandlineNumber',
        label: '座机号',
        type: 'txt',

      },
      {
        name: baseName + 'Email',
        label: '邮箱',
        type: 'txt'
      },
      {
        name: baseName + 'RelatedPhoneNumber',
        label: '关联方手机号',
        get hidden() {
          return self[baseName + 'Type'] !== 1;
        },
        type: 'txt',
      },
      {
        name: baseName + 'Address',
        itemHeight: 'auto',
        label: '详细地址',
        wrapperCol: { span: 18 },
        type: 'txt',
      },
      { name: baseName + 'Memo', label: '备注', type: 'txt' },
      {
        type: 'row',
        span: 24,
        itemHeight:'auto',
        labelCol: { span: 0 },
        wrapperCol: { span: 24 },
        list: [
          {
            name: baseName +'StationCode',
            label: '站点编码',
            span: 6,
            wrapperCol: { span: 16 },
            type:'txt',
          },
          {
            span:6,
            name: baseName +'StationName',
            label: '站点名称',
            type:'txt',
            wrapperCol: { span: 18 },
          },
          {
            span:6,
            wrapperCol: { span: 16 },
            name: baseName+'DeliveryOrder',
            label: '配送顺序',
            type:'txt',
          },
          {
            span:6,
            wrapperCol: { span: 16 },
            name: baseName+'StationAreas',
            label: '站点区域',
            type:'txt'

          }
        ]
      },


      {
        type: 'row',
        span: 24,
        list: [
          {
            name: baseName === 'consignee' ? baseName + 'DeliverySign' : baseName + 'PickUpSign',
            readOnly:true,
            offset: 1,
            type: 'check',
            span: 3,
            wrapperCol: { span: 24 },
            replaceFields: {
              true: 1,
              false: 0,
            },
            checkedText: baseLabel + '签到',
            value: 0,
          },
          {
            name: baseName === 'consignee' ? baseName + 'AutoDeliverySign' : baseName + 'AutoPickUpSign',
            readOnly:true,
            type: 'check',
            span: 3,
            checkedText: '自动签到',
            wrapperCol: { span: 24 },
            replaceFields: {
              true: 1,
              false: 0,
            },
            value: 0,
          },
          {
            label: '可签到时间点',
            type: 'row',
            span: 8,
            labelCol: { span: 8 },
            wrapperCol: { span: 16 },
            list: [
              {
                name: baseName + 'SignTimeName',
                type: 'txt',
                style: 'width:auto;display: inline-block;padding-right:6px',
              },
              {
                type: 'txt',
                name: baseName + 'SignTimeDura',
                style: 'width:auto;display: inline-block;padding-right:6px',
              },
              {
                name: baseName + 'SignTimeUnitName',
                type: 'txt',
                itemStyle:'display:flex',


                // style: 'width:auto;display: inline-block;padding-right:6px',

              }
            ]
          },
          {
            name: baseName === 'consignee' ? baseName + 'DeliveryPicture' : baseName + 'PickUpPicture',
            readOnly:true,
            type: 'check',
            span: 2,
            checkedText: baseLabel + '图片',
            wrapperCol: { span: 24 },
            replaceFields: {
              true: 1,
              false: 0,
            },
            value: 0,
          },

          {
            labelCol: { span: 8 },
            wrapperCol: { span: 10 },
            label: '默认' + baseLabel + '围栏',
            span: 6,
            unit: '千米',
            name: baseName === 'consignee' ? baseName + 'DeliveryRail' : baseName + 'PickUpRail',
            tooltip: false,
            type: 'txt',
            value: 0,

          },
        ],
      },
    ];
  }
}
