
import { sys_group_query } from '../api.js';

export default {
  data() {
    this.cacheChildren = {}
    return {
      vxeMaxHeight: 400,

      treeConfig: {toggleMethod:this.toggleMethod, reserve: false, lazy: true, transform: true, rowField: 'id', parentField: 'pId', hasChild: 'hasChild', loadMethod: this.loadChildrenMethod }
    }
  },
  mounted() {
    this.$nextTick(() => {
      this.vxeMaxHeight = this.$refs.t1_table.$el.parentNode.offsetHeight
    })


  },
  methods: {
    toggleMethod({ expanded, row, column, columnIndex }) {
      if (expanded && row.groupNumber <= 0) {
        this.GROUP_DISPATCH_NEW = this.options?.GROUP_DISPATCH_NEW.filter((item) => !row.selectValue.includes(item.value));
        this.t1_visible = true;
        this.t1_expRecord = () => {
          let reloadTreeExpand = this.$refs.t1_table.reloadTreeExpand
          row.groupDimensionList = this.t1_checkedList
          row.groupNumber = 0
          this.cacheChildren[row.id] =row
          return reloadTreeExpand(row)
        };
        return false
      } else {
        this.t1_expRecord = null
        return true

      }

    },
    rowClassName({ row, rowIndex, $rowIndex }) {
//     return !this.isDisabled(row);
      console.log(row)
       return row.disabled &&'row--checked'
      // if (this.actiovOrderItme) {
      //   // row--checked
      //   const { uuid } = this.actiovOrderItme
      //   let is=uuid.includes(row.id)
      //   row.disabled=!is
      //   return is&&'row--checked'


      // }




    },
    sumNum(list, field) {
      let count = 0

      list.forEach(item => {
        let n = item[field]
        if (n < 0) {
          n=0
        }
        count += Number(n)
      }, this)

      return Math.round((count + Number.EPSILON) * 1000) / 1000
    },
    colspanMethod({ $rowIndex, column, columnIndex, $columnIndex, _columnIndex, data }) {
      if (_columnIndex === 0) {
        return { colspan: 0 };
      } else if (_columnIndex === 1) {
        return { colspan: 2 }
      }
    },



    footerMethod({ columns, data }) {
      const means = []
      const sums = []
      const others = []

      columns.forEach((column, columnIndex) => {
        if (columnIndex === 1) {
          // means.push('平均')
          sums.push('合计',)
          // others.push('其他')
        } else {
          let sumCell = null
          switch (column.property) {
            // case 'shippingOrder':
            case 'cargoOwnerQty':
            case 'oderQty':
            case 'totalPieceQty':
            case 'totalWeightQty':
            case 'totalVolumeQty':
            // case 'minEstimatedPickupTime':
            // case 'maxEstimatedDeliveryTime':
            case 'shipbillQty':
            case 'coldChainShipbillQty':
            case 'urgentShipbillQty':
            case 'consigneeQty':
            case 'totalPickUpSiteQty':
            case 'totalDeliverySiteQty':
            case 'totalSitQty':
            case 'packageWholePiece':
            case 'totalLclPieceQty':
              //customOderQty(row.oderQty,row)
              sumCell = this.sumNum(data, column.property)
              break
          }
          sums.push(sumCell)
        }
      })


      // 返回一个二维数组的表尾合计
      return [sums]
    },
    checVisibleMethod({ row }) {
     //是否允许勾选的方法，该方法，的返回值用来决定这一行的 checkbox 是否显示
      return row.oderQty > 0

    },
    checCheckboxkMethod({ row }) {

      //是否允许勾选的方法，该方法的返回值用来决定这一行的 checkbox 是否可以勾选
      if (row.oderQty <= 0) {
        return false
       }
      return  !row.disabled?true:false


      // if (this.actiovOrderItme) {
      //   // row--checked
      //   const { uuid } = this.actiovOrderItme
      //   return !uuid.includes(row.id)
      // }
      // return true
    },
    // checCheckboxkMethod2({ row }) {
    //   return !this.isDisabled(row);

    // },

    removeGroupRow(row) {
      row.checked = false;
      row.disabled=false
      let obj = this.actiovOrderItme
      if (obj) {
        let form = this.getForm(obj.key);
        let getCheckboxRecords = this.$refs.t1_table.getCheckboxRecords
        let mainSelectData = getCheckboxRecords()
        this.mainSelectData = mainSelectData.filter(item => row.id !== item.id);
        if (!this.mainSelectData.length) {
          form.resetFields();
          obj.loadingBillDetailVO = [];
          obj.groupName = '';
          obj.uuid = [];
          obj.carrierType = '';
          obj.shipbillIdsArr = [];
          obj.cacheCarrierConfig = null;

        } else {
          obj.uuid = obj.uuid.filter(id => row.id !== id);
          let shipbillIds = row.shipbillIds?.split(',') ?? []
          obj.shipbillIdsArr = new Set(obj.shipbillIdsArr)
          console.log(obj)

          shipbillIds.forEach(shipbillId => {
            obj.shipbillIdsArr.delete(shipbillId)
          });
          obj.shipbillIdsArr = Array.from(obj.shipbillIdsArr)
          delete obj.uuData[row.id];

          obj.loadingBillDetailVO= obj.loadingBillDetailVO.filter(item => {
            return !obj.shipbillIdsArr.includes(item.shipbillId)
          })
          this.addOrder(null, obj, form);
        }
        let setRowExpand = this.$refs.t1_table.setRowExpand
        setRowExpand(row, false);

        this.actiovOrderItme = obj
        delete this.actiovOrderItme.uuData[row.id]
      }

    },

    checkboxChange({ checked, row, rowIndex, $rowIndex, column, columnIndex, $columnIndex, $event }) {
      let getCheckboxRecords = this.$refs.t1_table.getCheckboxRecords
      this.mainSelectData = getCheckboxRecords()?.filter(item=>!item.disabled)
    },

    loadChildrenMethod({ row }) {
      let record = row
      this.t1_expRecord = null
      if (record.groupNumber > 0 || this.t1_visible) {
        return new Promise(resolve => {
          // 异步加载子节点
          if (record.groupNumber > 0 || this.t1_visible) {
            this.t1_visible = false
            this.confirmLoading = true;
            let params = {
              groupDimensionList: record.groupDimensionList,
              shipbillIdList: record.shipbillIds?.split(',') ?? [],
              groupConfigName: record.groupConfigName,
              groupNumber: record.groupNumber,
            };
            record.iconLoad = true
            this.loading = true
            return sys_group_query(params).then((res) => {
              this.loading = false
              this.confirmLoading = false;
              // this.t1_checkedList = [];
              this.t1_expRecord = null;
              if (res.success) {
                let SELECT_GROUP_CONFIG = res.data.groupCfgDTOS;
                let selectSystemGroupKey = [...this.t1_checkedList];
                if (SELECT_GROUP_CONFIG) {
                  SELECT_GROUP_CONFIG.forEach((item) => {
                    let { groupItem, groupItemName } = item;
                    if (groupItem) {
                      let value = groupItem.split(',');
                      value.forEach((v, i) => {
                        selectSystemGroupKey.push(v);
                      });
                    }
                  });
                }
                console.log(res.data.groupQueryDTOS)
                res.data = res.data.groupQueryDTOS;
                if (res.data.length === 0) {

                   this.$exception({
                    message: '没有查询到分组数据！',
                   });

                  if (!row.children.length) {
                    row.hasChild=false
                  }

                  return resolve()

                }
                this.t1_expandedRowKeys = this.changeExpandedRowKeys;
                res.data.forEach((item) => {
                  item.selectValue = Array.from(new Set([...selectSystemGroupKey, ...record.selectValue]));
                  item.shipbillId = item.shipbillIds;
                  if (!record.rootId) {
                    item.rootId = record.id;
                  } else {
                    item.rootId = record.rootId;
                  }
                  item.pId = record.id;
                  let i = item.selectValue.length >= this.options.GROUP_DISPATCH_NEW.length;
                  if (!i) {
                    item.hasChild = true;
                  } else {
                    item.hasChild = false;
                  }
                }, this);
                this.t1_checkedList = []
                this.cacheChildren[row.id] =row
                return resolve(res.data)
              } else {
                this.$exception(res);
                //row.hasChild

                return resolve()

              }
            });
          }
        })

      }

    },
    visibleMethod({ row, type }) {
      let xTree = this.$refs.xTree
      if (type === 'body') {
        this.bodyMenus.forEach(list => {
          list.forEach(item => {
            if (['clearLoaded', 'reloadNodes'].includes(item.code)) {
              item.disabled = !row.hasChild || !xTree.isTreeExpandLoaded(row)
            } else if (['expand', 'contract'].includes(item.code)) {
              if (row.hasChild) {
                let isExpand = xTree.isTreeExpandByRow(row)
                item.disabled = ['expand'].includes(item.code) ? isExpand : !isExpand
              } else {
                item.disabled = true
              }
            }
          })
        })
      }
      return true
    },
    customOderQty(txt, record) {
      const { shipbillQty, shipbillIds } = record
      let idArr = shipbillIds?.split(',') ?? null;
      let disabledIds = this.disabledIds.concat(this.done);
      let oderQty = shipbillQty
      if (idArr) {
        for (let i = 0; i < idArr.length; i++) {
          if (disabledIds.includes(idArr[i])) {
            oderQty--
          }
        }
        if (!record.pId) {
          record.oderQty = oderQty
        }
      }
      if (oderQty < 0) {
        oderQty=0
      }
      record.oderQty=oderQty
      return oderQty
    },


    hideModal() {
      this.t1_expRecord?.()

    },



  }
}