/**
 * 只导出常用的searchModal弹窗配置
 import * as $formItems from '@/blocks/components/searchModalConfig/index'
 v-bind="$data.$formItems.Attr"
 命名为$formItems 1.为了加大使用难度,避免直接this.Attr修改;2.为了后续使用object.freeze提升性能
 * 未处理回调
 * 特异性弹窗选择以下两种方法
 *   1.在页面下创建./js/form.js 单独配置
 *   2.引入后使用Object.assign({},Attr,customAttr)合并配置
 * */
import request from '@/utils/request'
import { debounce } from '@/blocks/utils';


import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE, SERVICE_PLATFORM_POWER_BASE, UPCLOUD_RDC_TMS_BMS_SERVICE } from '@/config/serviceSettings.js'
const serviceName = UPCLOUD_RDC_TMS_MAINDATA_SERVICE

/**
 * 司机
 * */
export const driverAttr = {
  label: '司机',
  placeholder: '请选择司机',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: serviceName + '/driver/popup', method: 'post' },
  rowKey: 'id',
  toolBar: {
    items: [
      { type: 'input', name: 'code', label: '司机编码' },
      { type: 'input', name: 'name', label: '司机名称' },
    ],
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'code', title: '司机编码' },
      { dataIndex: 'name', title: '司机姓名' },
      { dataIndex: 'phoneNumber', title: '手机号' },
      { dataIndex: 'typeName', title: '归属' },
      { dataIndex: 'affiliationName', title: '隶属机构' },
    ],
  },
}

/**
 * 司机自动完成
 * */
export const driverAutoCompleteMethod = function (self, o = {}) {
  let _opts = {};

  let on = {
    ...o.on,
    blur: function () {
      obj.dataSource = []
      _opts = {}
    },
    ok: function (event, value, dataArray, form) {
      if (dataArray.length > 0 && Array.isArray(o.subName)) {
        let code=[],id=[],phoneNumber=[]
        dataArray.forEach(item => {
          code.push(item.code)
          id.push(item.id)
          phoneNumber.push(item.phoneNumber);
        })
        o.subName.forEach(function (key) {
          if (key == 'driverCode') {
            form.setFieldsValue({ [key]: code.join(',') })
          } else if (key == 'driverId') {
            form.setFieldsValue({ [key]:id.join(',')})
          } else if (key == 'driverPhoneNumber') {
            form.setFieldsValue({ [key]:phoneNumber.join(',')})
          }
        })
      }
      o?.on?.ok?.(event,value,dataArray,form)


    },
    select: function (value, vnode, form) {
      if (Array.isArray(o.subName)) {
        o.subName.forEach(function (key) {
          if (key == 'driverCode') {
            form.setFieldsValue({ [key]: _opts[value].code })
          } else if (key == 'driverId') {
            form.setFieldsValue({ [key]: _opts[value].id })
          } else if (key == 'driverPhoneNumber') {
            form.setFieldsValue({ [key]:_opts[value].phoneNumber})
          }
        })
      }
      form.setFieldsValue({ [o.name]: value });
      o?.on?.ok?.(null, value, [_opts[value]], form)
      o?.on?.change?.(null,value,dataArray,form)

    },
    search: debounce(function (value, form) {
      obj.dataSource = []
      _opts = {}

      if (Array.isArray(o.subName)) {
        o.subName.forEach(function (key) {
          if (key == 'driverCode') {
            form.setFieldsValue({ [key]:''})
          } else if (key == 'driverId') {
            form.setFieldsValue({ [key]:''})
          }
        })
      }


      if (!value) return

      let remoteUrl = {
        ...driverAttr.remoteUrl,
        data: {
          name: value,
          pageNum: 1, pageSize: 99999
        }
      };
      request(remoteUrl).then(result => {
        if (result.success) {
          obj.dataSource = Array.from(new Set(result.data.list.map(item => {
            _opts[item.name] = item;
            return item.name
          })))
          console.log(obj.dataSource)


        }
      })
    })
  };
  const obj = {
    ...driverAttr,
    validateTrigger: 'blur',
    targetClick: false,
    mode: 'autoComplete',
    type: 'searchModal',
    dataSource: [],

    ...o,
    on

  }
  return obj
}
/**
 * 送货员
 * */
export const deliveryAttr = {
  label: '送货员',
  placeholder: '请选择送货员',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: serviceName + '/deliveryman/popup', method: 'post' },
  rowKey: 'id',
  toolBar: {
    items: [
      { type: 'input', name: 'code', label: '送货员编码' },
      { type: 'input', name: 'name', label: '送货员名称' },
    ],
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'code', title: '送货员编码' },
      { dataIndex: 'name', title: '送货员姓名' },
      { dataIndex: 'phoneNumber', title: '手机号' },
      { dataIndex: 'typeName', title: '归属' },
      { dataIndex: 'affiliationName', title: '隶属机构' },
    ],
  },
}

/**
 * 车辆
 * */
export const carAttr = {
  label: '车辆',
  placeholder: '请选择车辆',
  targetClick: true,
  targetValueKey: 'plateNumber',
  remoteUrl: { url: serviceName + '/vehicle/popup', method: 'post' },
  rowKey: 'id',
  toolBar: {
    items: [
      { type: 'input', name: 'code', label: '车辆编码' },
      { type: 'input', name: 'plateNumber', label: '车牌号' },
    ],
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'code', title: '车辆编码' },
      { dataIndex: 'plateNumber', title: '车牌号' },
      { dataIndex: 'vehicleTypeName', title: '车型' },
      { dataIndex: 'typeCategoryName', title: '车辆类别' },
      { dataIndex: 'affiliationName', title: '隶属机构' },
    ],
  },
}
//车辆自动完成
export function carAutoCompleteMethod(self, o = {}) {
  let _opts = {};

  let on = {
    ...o.on,
    blur: function () {
      obj.dataSource = []
      _opts = {}
    },
    ok: function (event, value, dataArray, form) {
      if (dataArray.length > 0 && Array.isArray(o.subName)) {
        let code=[],id=[],phoneNumber=[]
        dataArray.forEach(item => {
          code.push(item.code)
          id.push(item.id)
        })
        o.subName.forEach(function (key) {
          if (key == 'vehicleCode') {
            form.setFieldsValue({ [key]: code.join(',') })
          } else if (key == 'vehicleId') {
            form.setFieldsValue({ [key]:id.join(',')})
          }
        })
      }
      o?.on?.ok?.(event,value,dataArray,form)


    },
    select: function (value, vnode, form) {
      if (Array.isArray(o.subName)) {
        o.subName.forEach(function (key) {
          if (key == 'vehicleCode') {
            form.setFieldsValue({ [key]: _opts[value].code })
          } else if (key == 'vehicleId') {
            form.setFieldsValue({ [key]: _opts[value].id })
          }
        })
      }
      form.setFieldsValue({ [o.name]: value });
      o?.on?.ok?.(null, value, [_opts[value]], form)
      o?.on?.change?.(null,value,[_opts[value]],form)
    },
    search: debounce(function (value, form) {
      obj.dataSource = []
      _opts = {}

      if (Array.isArray(o.subName)) {
        o.subName.forEach(function (key) {
          if (key == 'vehicleCode') {
            form.setFieldsValue({ [key]:''})
          } else if (key == 'vehicleId') {
            form.setFieldsValue({ [key]:''})
          }
        })
      }


      if (!value) return
      let remoteUrl = {
        ...carAttr.remoteUrl,
        data: {
          plateNumber: value,
          pageNum: 1, pageSize: 99999
        }
      };
      request(remoteUrl).then(result => {
        if (result.success) {
          obj.dataSource = Array.from(new Set(result.data.list.map(item => {
            _opts[item.plateNumber] = item;
            return item.plateNumber
          })))
          console.log(obj.dataSource)


        }
      })
    })
  };
  const obj = {
    ...carAttr,
    validateTrigger: 'blur',
    targetClick: false,
    mode: 'autoComplete',
    type: 'searchModal',
    dataSource: [],
    ...o,
    on

  }
  return obj
}

/**
 * 承运商
 * */
export const carrierAttr = {
  label: '承运商',
  placeholder: '请选择承运商',
  targetClick: true,
  targetValueKey: 'code',
  remoteUrl: { url: serviceName + '/carrier/popup', method: 'post' },
  rowKey: 'id',
  toolBar: {
    items: [
      { type: 'input', name: 'carrierCode', label: '承运商编码' },
      { type: 'input', name: 'carrierName', label: '承运商名称' },
    ],
  },
  tableConfig: {
    scroll: { x: true ,y:300},
    columns: [
      { dataIndex: 'code', title: '承运商编码' },
      { dataIndex: 'name', title: '承运商姓名' },
    ],
  },
}

/**
 * 中转站
 * */
export const transferAttr = {
  label: '中转站',
  placeholder: '请选择中转站',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: serviceName + '/transferStation/query', method: 'post' },
  rowKey: 'id',
  toolBar: {
    items: [
      { type: 'input', name: 'code', label: '中转站编码' },
      { type: 'input', name: 'name', label: '中转站名称' },
    ],
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'code', title: '中转站编码' },
      { dataIndex: 'name', title: '中转站名称' },
      { dataIndex: 'provinceName', title: '省' },
      { dataIndex: 'cityName', title: '市' },
      { dataIndex: 'districtName', title: '区' },
      { dataIndex: 'address', title: '详细地址' },
    ],
  },
}

/**
 * 商品
 * */
export const itemAttr = {
  label: '商品',
  placeholder: '请选择商品',
  targetClick: true,
  targetValueKey: 'itemName',
  remoteUrl: { url: serviceName + '/item/popup', method: 'post' },
  rowKey: 'itemId',
  toolBar: {
    span: 16,
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'search', label: '商品编码/名称' },
    ],
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'cargoOwnerName', title: '所属货主' },
      { dataIndex: 'itemCode', title: '商品编码' },
      { dataIndex: 'itemName', title: '商品名称' },
      { dataIndex: 'itemCategoryName', title: '商品品类' },
      { dataIndex: 'packType', title: '包装类型' },
      { dataIndex: 'cargoThermosphere', title: '货物温层' },
      { dataIndex: 'weight', title: '重量' },
      { dataIndex: 'volume', title: '体积' },
      { dataIndex: 'cargoValue', title: '货值' },
    ],
  },
}

/**
 * 商品品类
 * */
export const categoryAttr = {
  label: '商品品类',
  placeholder: '请选择商品品类',
  targetClick: true,
  targetValueKey: 'itemCategoryName',
  remoteUrl: { url: serviceName + '/item_category/popup', method: 'post' },
  rowKey: 'itemCategoryId',
  toolBar: {
    span: 16,
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'search', label: '商品品类编码/名称' },
    ],
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'itemCategoryCode', title: '商品品类编码' },
      { dataIndex: 'itemCategoryName', title: '商品品类名称' },
      { dataIndex: 'itemCategoryLevel', title: '类目级别' },
      { dataIndex: 'fatherItemCategoryCode', title: '上级商品品类编码' },
      { dataIndex: 'fatherItemCategoryName', title: '上级商品品类名称' },
      { dataIndex: 'fatherItemCategoryLevel', title: '上级类目级别' },
    ],
  },
}

/**
 * 货主
 * */
export const consignorAttr = {
  label: '货主',
  placeholder: '请选择货主',
  targetClick: true,
  targetValueKey: 'cargoOwnerName',
  remoteUrl: { url: serviceName + '/cargo_owner/popup', method: 'post' },
  rowKey: 'cargoOwnerId',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'cargoOwnerCode', label: '货主编码' },
      { type: 'input', name: 'cargoOwnerName', label: '货主名称' },
    ],
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'cargoOwnerCode', title: '货主编号' },
      { dataIndex: 'cargoOwnerName', title: '货主名称' },
      { dataIndex: 'cargoOwnerShortName', title: '货主简称' },
    ],
  },
}
/**
 * 货主自动完成
 * */
export const consignorAutoComplete = function (self, o = {}) {
  const obj = {
    ...consignorAttr,
    targetClick: false,
    mode: 'autoComplete',
    type: 'searchModal',

    dataSource: [],
    ...o,
    on: {
      blur: function () {
        obj.dataSource = []
      },
      select: function (value, vnode, form) {
        form.setFieldsValue({ cargoOwnerName: value })
      },
      search: debounce(function (value, form) {
        obj.dataSource = []
        console.log(arguments)


        if (!value) return
        let remoteUrl = {
          url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/cargo_owner/byIds', method: 'post',
          data: {
            search: value,
            pageNum: 1, pageSize: 99999
          }
        };
        request(remoteUrl).then(result => {
          if (result.success) {

            obj.dataSource = Array.from(new Set(result.data.list.map(item => {
              return item.cargoOwnerName
            })))
            //  form.setFieldsValue({cargoOwnerName:value})


          }
        })
      })
    },
  }
  return obj
}
/**
 * 角色
 * */
export const roleAttr = {
  label: '角色',
  placeholder: '请选择角色',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: SERVICE_PLATFORM_POWER_BASE + '/userpower/getRole', method: 'get' },
  rowKey: 'id',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'name', label: '角色名称' },
      { type: 'input', name: 'num', label: '角色编码' },
    ],
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'name', title: '角色名称' },
      { dataIndex: 'num', title: '角色编码' },
    ],
  },
}

/**
 * 用户
 * */
export const userAttr = {
  label: '用户',
  placeholder: '请选择用户',
  targetClick: true,
  targetValueKey: 'nickname',
  remoteUrl: { url: SERVICE_PLATFORM_POWER_BASE + '/userpower/getEnterpriseUsers', method: 'get' },
  rowKey: 'id',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'name', label: '查询条件', placeholder: '请输入用户编码/名称', value: '' }
    ]
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'nickname', title: '用户名称' },
      { dataIndex: 'username', title: '用户账号' }
    ]
  }
}

/**
 * 客户
 * */
export const customerAttr = {
  label: '客户',
  placeholder: '请选择客户',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/tmsBaseCustomer/queryCustomerPopup', method: 'post' },
  rowKey: 'id',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'customerCode', label: '客户编码' },
      { type: 'input', name: 'customerName', label: '客户名称' },
      { type: 'input', name: 'cargoOwnerName', label: '所属货主' },
    ]
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'cargoOwnerName', title: '所属货主' },
      { dataIndex: 'code', title: '客户编码' },
      { dataIndex: 'name', title: '客户名称' },
      { dataIndex: 'shortName', title: '客户简称' },
    ]
  }
}

/**
 * 客户-收货 方法
 * */
export function consigneeMethod(name) {
  return {
    label: name,
    placeholder: '请选择'+name,
    targetClick: true,
    targetValueKey: 'name',
    remoteUrl: { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/tmsBaseCustomer/consignee/popup', method: 'post' },
    rowKey: 'id',
    toolBar: {
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
      items: [
        { type: 'input', name: 'code', label: name+'编码' },
        { type: 'input', name: 'name', label: name+'名称' },
      ]
    },
    tableConfig: {
      scroll: { x: true },
      columns: [
        { dataIndex: 'code', title: name+'编码' },
        { dataIndex: 'name', title: name+'名称' },
      ]
    }
  }
}
/**
 * 收货方
 * */
export const consigneeAttr = {
  label: '收货方',
  placeholder: '请选择收货方',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/tmsBaseCustomer/consignee/popup', method: 'post' },
  rowKey: 'id',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'code', label: '收货方编码' },
      { type: 'input', name: 'name', label: '收货方名称' },
    ]
  },
  tableConfig: {
    scroll: { x: true,y:300 },
    columns: [
      { dataIndex: 'code', title: '收货方编码' },
      { dataIndex: 'name', title: '收货方名称' },
    ]
  }
}

/**
 * 仓库
 * */
export const branchAttr = {
  label: '仓库',
  placeholder: '请选择仓库',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/tmsBaseBranch/queryBranchPopup', method: 'post' },
  rowKey: 'id',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'code', label: '仓库编码' },
      { type: 'input', name: 'name', label: '仓库名称' },
    ]
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'code', title: '仓库编码' },
      { dataIndex: 'name', title: '仓库名称' },
      { dataIndex: 'provinceName', title: '省' },
      { dataIndex: 'cityName', title: '市' },
      { dataIndex: 'districtName', title: '区' },
      { dataIndex: 'address', title: '详细地址' },
    ]
  }
}

/**
 * 供应商（带货主）
 * */
export const supplierAttr = {
  label: '供应商',
  placeholder: '请选择供应商',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/provider/ByCargoOwner/popup', method: 'post' },
  rowKey: 'id',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'code', label: '供应商编码' },
      { type: 'input', name: 'name', label: '供应商名称' },
    ]
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'code', title: '供应商编码' },
      { dataIndex: 'name', title: '供应商名称' },
      { dataIndex: 'provinceName', title: '省' },
      { dataIndex: 'cityName', title: '市' },
      { dataIndex: 'districtName', title: '区' },
      { dataIndex: 'address', title: '详细地址' },
    ]
  }
}

/**
 * 供应商（不带货主）
 * */
export const supplierNoConsignorAttr = {
  label: '供应商',
  placeholder: '请选择供应商',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/provider/popup', method: 'post' },
  rowKey: 'id',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'code', label: '供应商编码' },
      { type: 'input', name: 'name', label: '供应商名称' },
    ]
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'code', title: '供应商编码' },
      { dataIndex: 'name', title: '供应商名称' },
      { dataIndex: 'provinceName', title: '省' },
      { dataIndex: 'cityName', title: '市' },
      { dataIndex: 'districtName', title: '区' },
      { dataIndex: 'address', title: '详细地址' },
    ]
  }
}

/**
 * 园区管理仓库
 * */
export const parkBranchAttr = {
  label: '仓库',
  placeholder: '请选择仓库',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/tmsBaseBranch/queryBranchByBooking', method: 'post' },
  rowKey: 'id',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'code', label: '仓库编码' },
      { type: 'input', name: 'name', label: '仓库名称' },
    ]
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'code', title: '仓库编码' },
      { dataIndex: 'name', title: '仓库名称' },
      { dataIndex: 'provinceName', title: '省' },
      { dataIndex: 'cityName', title: '市' },
      { dataIndex: 'districtName', title: '区' },
      { dataIndex: 'address', title: '详细地址' },
    ]
  }
}

/**
 * 费用科目
 * */
export const expenseAccountAttr = {
  label: '费用科目',
  placeholder: '请选择费用科目',
  targetClick: true,
  targetValueKey: 'expenseName',
  remoteUrl: { url: UPCLOUD_RDC_TMS_BMS_SERVICE + '/expenseAccount/findList/v1.0', method: 'post' },
  rowKey: 'id',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'expenseCode', label: '费用科目编码' },
      { type: 'input', name: 'expenseName', label: '费用科目名称' },
    ]
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'expenseCode', title: '费用科目编码' },
      { dataIndex: 'expenseName', title: '费用科目名称' },
    ]
  }
}

/**
 * 费用管理
 * */
export const expenseAttr = {
  label: '费用',
  placeholder: '请选择费用',
  targetClick: true,
  targetValueKey: 'expenseName',
  remoteUrl: { url: UPCLOUD_RDC_TMS_BMS_SERVICE + '/freightPrice/expensePop', method: 'post' },
  rowKey: 'id',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'expenseCode', label: '费用编码' },
      { type: 'input', name: 'expenseName', label: '费用名称' },
    ]
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'expenseCode', title: '费用编码' },
      { dataIndex: 'expenseName', title: '费用名称' },
      { dataIndex: 'expenseAccountCode', title: '费用科目编码' },
      { dataIndex: 'expenseAccountName', title: '费用科目名称' },
    ]
  }
}


/**
 * 费用管理(司机物流价格)
 * */
export const expenseDriverAttr = {
  label: '费用',
  placeholder: '请选择费用',
  targetClick: true,
  targetValueKey: 'expenseName',
  remoteUrl: { url: UPCLOUD_RDC_TMS_BMS_SERVICE + '/expenseManagement/findList/v1.0', method: 'post' },
  rowKey: 'id',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'expenseCode', label: '费用编码' },
      { type: 'input', name: 'expenseName', label: '费用名称' },
    ]
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'expenseCode', title: '费用编码' },
      { dataIndex: 'expenseName', title: '费用名称' },
      { dataIndex: 'expenseAccountCode', title: '费用科目编码' },
      { dataIndex: 'expenseAccountName', title: '费用科目名称' },
    ]
  }
}

/**
 * 合并策略
 * */
export const mergeStrategyAttr = {
  label: '合并策略',
  placeholder: '请选择合并策略',
  targetClick: true,
  targetValueKey: 'strategyName',
  remoteUrl: { url: UPCLOUD_RDC_TMS_BMS_SERVICE + '/mergeStrategy/findList', method: 'post' },
  rowKey: 'id',
  remoteData: { status: 1 },
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'strategyName', label: '策略名称' },
    ]
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'strategyName', title: '策略名称' },
      { dataIndex: 'memo', title: '策略备注' },
      { dataIndex: 'mergeRule', title: '满足条件' },
      { dataIndex: 'feeRuleName', title: '合并条件' },
    ]
  }
}

/**
 * 比例策略
 * */
export const proportionStrategyAttr = {
  label: '比例策略',
  placeholder: '请选择比例策略',
  targetClick: true,
  targetValueKey: 'strategyName',
  remoteUrl: { url: UPCLOUD_RDC_TMS_BMS_SERVICE + '/proportionStrategy/findList', method: 'post' },
  rowKey: 'id',
  remoteData: { status: 1 },
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'strategyName', label: '策略名称' },
    ]
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'strategyName', title: '策略名称' },
      { dataIndex: 'memo', title: '策略备注' },
      { dataIndex: 'mergeRule', title: '满足条件' },
      { dataIndex: 'feeRule', title: '比例条件' },
    ]
  }
}

/**
 * 时间策略
 * */
export const timeStrategyAttr = {
  label: '时间策略',
  placeholder: '请选择时间策略',
  targetClick: true,
  targetValueKey: 'strategyName',
  remoteUrl: { url: UPCLOUD_RDC_TMS_BMS_SERVICE + '/timeStrategy/findList', method: 'post' },
  rowKey: 'id',
  remoteData: { status: 1 },
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'strategyName', label: '策略名称' },
    ]
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'strategyName', title: '策略名称' },
      { dataIndex: 'memo', title: '策略备注' },
      { dataIndex: 'startDateName', title: '开始时间' },
      { dataIndex: 'endDateName', title: '结束时间' },
    ]
  }
}

/**
 * 设备号
 * */
export const deviceAttr = {
  label: '设备号',
  placeholder: '请选择设备号',
  targetClick: true,
  targetValueKey: 'deviceName',
  remoteUrl: { url: serviceName + '/vehicle/paging_query_device', method: 'post' },
  rowKey: 'deviceId',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'deviceCode', label: '设备编码' },
      { type: 'input', name: 'deviceName', label: '设备名称' },
    ]
  },
  tableConfig: {
    scroll: { x: true, y: 300 },
    columns: [
      { dataIndex: 'deviceCode', title: '设备编码' },
      { dataIndex: 'deviceName', title: '设备名称' },
      { dataIndex: 'typeName', title: '设备类型' },
      { dataIndex: 'companyName', title: '设备生产厂商' },
      { dataIndex: 'belongToName', title: '归属' },
      { dataIndex: 'affiliationName', title: '隶属机构' },
      { dataIndex: 'memo', title: '备注' },
    ]
  }
}
/**
 * 车型
 * */
export const vehicleTypeAttr = {
  type: 'searchModal',
  name: 'vehicleTypeName',
  label: '车型',
  targetClick: true,
  rowKey: 'id',
  targetValueKey: 'name',
  remoteUrl: {
    url: serviceName + '/vehicle_type/popup',
    method: 'post'
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'id', title: 'ID', hidden: true },
      { dataIndex: 'name', title: '车型名称' },
      { dataIndex: 'code', title: '车型编码' }
    ]
  }

}


/**
 * 设备号（装车扫描）
 * */
export const deviceAttr_scanPage = {
  label: '设备号',
  placeholder: '请选择设备号',
  targetClick: true,
  targetValueKey: 'deviceName',
  remoteUrl: { url: serviceName + '/vehicle/device_popup', method: 'post' },
  rowKey: 'deviceId',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'deviceCode', label: '设备编码' },
      { type: 'input', name: 'deviceName', label: '设备名称' },
    ]
  },
  tableConfig: {
    scroll: { x: true, y: 300 },
    columns: [
      { dataIndex: 'deviceCode', title: '设备编码' },
      { dataIndex: 'deviceName', title: '设备名称' },
      { dataIndex: 'typeName', title: '设备类型' },
      { dataIndex: 'companyName', title: '设备生产厂商' },
      { dataIndex: 'belongToName', title: '归属' },
      { dataIndex: 'affiliationName', title: '隶属机构' },
      { dataIndex: 'memo', title: '备注' },
    ]
  }
}



/**
 * 线路
 * */
export const lineAttr = {
  label: '线路',
  placeholder: '请选择线路',
  targetClick: true,
  targetValueKey: 'lineName',
  remoteUrl: { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/line/popup', method: 'post' },
  rowKey: 'lineId',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    items: [
      { type: 'input', name: 'lineCode', label: '线路编码' },
      { type: 'input', name: 'lineName', label: '线路名称' },
    ],
  },
  tableConfig: {
    scroll: { x: true, y: 300 },
    columns: [
      { dataIndex: 'lineCode', title: '线路编码' },
      { dataIndex: 'lineName', title: '线路名称' },
      { dataIndex: 'shipperAdministrativeAreas', title: '发货方地址' },
      { dataIndex: 'administrativeAreas', title: '收货方地址' },

    ],
  },
}

/**
 * 容器号
 * */
export const containerAttr = {
  label: '容器号',
  placeholder: '请选择容器号',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: serviceName + '/container/queryByVehicle', method: 'post' },
  rowKey: 'id',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    scroll: { x: true, y: 300 },

    items: [
      { type: 'input', name: 'code', label: '容器编码' },
      { type: 'input', name: 'name', label: '容器名称' },
    ]
  },
  tableConfig: {
    rowSelectType: 2,
    customScrollbar: true,
    scroll: { x: true },
    columns: [
      { dataIndex: 'code', title: '容器编码' },
      { dataIndex: 'name', title: '容器名称' },
    ]
  }
}

/**
 * 站点
 * */
export const stationAttr = {
  label: '站点',
  placeholder: '请选择站点',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: serviceName + '/station/popup', method: 'post' },
  rowKey: 'id',
  toolBar: {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    scroll: { x: true, y: 300 },
    items: [
      { type: 'input', name: 'code', label: '站点编码' },
      { type: 'input', name: 'name', label: '站点名称' },
    ]
  },
  tableConfig: {
    customScrollbar: true,
    scroll: { x: true },
    columns: [
      { dataIndex: 'code', title: '站点编码' },
      { dataIndex: 'name', title: '站点名称' },
      { dataIndex: 'deliveryOrder', title: '配送顺序' },
      { dataIndex: 'typeName', title: '站点类型' },
      { dataIndex: 'statusName', title: '站点状态' },
      { dataIndex: 'higherLevelStationCode', title: '上级站点编码' },
      { dataIndex: 'higherLevelStationName', title: '上级站点名称' },
      { dataIndex: 'level', title: '站点级别' },
      { dataIndex: 'departmentName', title: '所属部门' },
      { dataIndex: 'memo', title: '备注' },
    ]
  }
}