/*
 *@description:全屏FullScreen
 *@author: hudw
 *@date: 2021-10-12 12:30:40
 */
 import './index.less'
 export default {
  name: 'full-screen',
  data() {
    return {
      isBodyFull: false
    }
  },
  methods: {
    handleBodyFull() {
      if (!this.isBodyFull) {
        document.body.requestFullscreen()
      } else {
        document.exitFullscreen()
      }
      this.isBodyFull = !this.isBodyFull
    },

    handleClick() {
      this.$emit('fullClick', true)
      let _this = this
      this.$message.success({
        content: '按键盘ESC键退出全屏！'
      })

      document.addEventListener('keyup', function esc(event) {
        if (event.code == 'Escape' || event.keyCode == 27) {
          _this.$emit('fullClick', false)
          document.removeEventListener('keyup', esc)
        }
      })
    }
  },
  render(h) {
    const { prefixCls } = this

    let menu = (
      <a-tooltip title="视图全屏">
        <p-button
          class="ant-btn-danger header-full-btn"
          type="link"
          style="color:inherit;padding-right:0"
          onClick={this.handleClick}
        >
          <p-icon type="arrows-alt" style="font-size:15px" />
        </p-button>
      </a-tooltip>
    )
    let menu2 = (
      <a-tooltip title="全屏">
      <p-button class="ant-btn-danger header-full-btn" type="link" style="color:inherit" onClick={this.handleBodyFull}>
        <p-icon type={this.isBodyFull ? 'fullscreen-exit' : 'fullscreen'} style="font-size:15px" />
        </p-button>
        </a-tooltip>

    )
    return (
      <span>
        {menu}
        {menu2}
      </span>
    )
  }
}
