import classNames from 'classnames';

export default function () {
  let BaseTable = require('ant-design-vue/es/vc-table/src/BaseTable.js').default;
  let TableRow = require('ant-design-vue/es/vc-table/src/TableRow.js').default;
  let ExpandableRow = require('ant-design-vue/es/vc-table/src/ExpandableRow.js').default;
  let ColGroup = require('ant-design-vue/es/vc-table/src/ColGroup.js').default;

  delete TableRow.computed.hovered

  ColGroup.render= (function (fn) {
    return function (h) {
      const { tableType ,vScrollX } = this.table;
      if (tableType!=='t-table') {
        return fn.apply(this, arguments);

      }
      const {columns, fixed, table } = this;
      const { prefixCls, expandIconAsCell, columnManager } = table;
      let cols = [];

      if (expandIconAsCell && fixed !== 'right') {
        cols.push(<col class={`${prefixCls}-expand-icon-col`} key="rc-table-expand-icon-col" />);
      }

      cols = cols.concat(
        columns.map(({ key, dataIndex, width, RC_TABLE_INTERNAL_COL_DEFINE: additionalProps }) => {
          const mergedKey = key !== undefined ? key : dataIndex;
          const w = typeof width === 'number' ? `${width}px` : width;
          return <col key={mergedKey} data-key={mergedKey} style={{ width: w, minWidth: w }} {...additionalProps} />;
        }),
      );
      return <colgroup>{cols}</colgroup>;


      }
  })(ColGroup.render);

  BaseTable.created = function () {
    if (this.table.tableType=='t-table') {
      this.getColumns = (cols) => {
        const { columns = [], fixed } = this.$props;
        if (cols) {
          return columns
        }
        return (columns).map((column) => ({
          ...column,
          className: column.className ? classNames(column.className || column.class) : column.className || column.class
        }));
      };
    }
  };

  BaseTable.render = (function (fn) {
    return function (h) {
      var h=this.$createElement
      const { vScrollY,vScrollX,tableType,data,  columnManager, verticalState} = this.table;
      const {  hasBody } = this;
      const { translateX } = columnManager
      let vNode = fn.apply(this, arguments);

      if (tableType!=='t-table') {
        return vNode
      };
      // console.log(vNode)
      //判断是否开启了虚拟滚动
     // table.style.transform = `translate3d(0,0,0)`;

      if (vScrollX?.enabled) {
        vNode.data.style.marginLeft = `${translateX}px`
        }
      if (hasBody&&vScrollY?.enabled) {
        const { translateY } = verticalState
        vNode.data.style.marginTop = `${translateY}px`


     }
      return vNode;
    };
  })(BaseTable.render);
}
