/**
 * 项目默认配置项
 * primaryColor - 默认主题色, 如果修改颜色不生效，请清理 localStorage
 * navTheme - sidebar theme ['dark', 'light'] 两种主题
 * colorWeak - 色盲模式
 * layout - 整体布局方式 ['sidemenu', 'topmenu'] 两种布局
 * fixedHeader - 固定 Header : boolean
 * fixSiderbar - 固定左侧菜单栏 ： boolean
 * headerStyle - 头部样式 ["blue","black","none"]
 * contentWidth - 内容区布局： 流式 |  固定
 * multiTab - 多页签模式 ： boolean
 * storageOptions: {} - Vue-ls 插件配置项 (localStorage/sessionStorage)
 * title - Logo左侧文字 ：string
 * home_url - 用户头像左侧 主页跳转地址 ：string
 * renew - token 过期续订：object { open:false, blank: 300000 } open 是否开启， blank 续订间隔时间，默认提前5分钟续订
 * siderWidth - 侧边菜单栏宽度
 * zoom - 页面大小
 */
 export default {
  loginTitle: 'TMS运输管理系统', //  logo left text
  navTheme: 'light', // 导航主题色 light dark
  headerStyle:'blue', //header的颜色 blue black green none
  primaryColor: '#2B80FF', // 主色调 primary color of ant design
  layout: 'sidemenu', // 菜单布局 sidemenu topmenu
  contentWidth: 'Fluid', // 页面内容宽度模式 `Fluid` or `Fixed`, layout是topmenu有效
  fixedHeader: true, // 固定页头
  fixSiderbar: true, // 固定菜单
  colorWeak: false, //弱色模式
  multiTab: true, // 多页签模式
  lang:'zh-CN', //默认语言
  menu: {
    locale: true
  },
  zoom: 1,//页面大小
  title: "UPCloud Solution for TMS 2.0", //  主页面logo left text
  subTitle: '阿普云智能运输解决方案平台',//副标题
  hideTopMenu: true, //隐藏菜单中的第一级菜单
  siderWidth: 210, //侧边菜单宽度
 // production: process.env.NODE_ENV === 'production' && process.env.VUE_APP_PREVIEW !== 'true',
  home_url: 'http://www.prolog-int.com', //  home url
  remindMSG:true,//消息推送
  renew: {
    open: false,
    blank: 5 * 60 * 1000,
    interval:60*1000
  }
}
