// with polyfills
import 'core-js/stable'
import 'regenerator-runtime/runtime'

import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store/index'
import i18n from './locales'
import { VueAxios } from './utils/request'
import PLayout from '@/components/layout/PLayout'
import PageHeaderWrapper from '@/components/PageHeaderWrapper'
import themePluginConfig from '../config/themePluginConfig'
require('./utils/prolog.ajax.js')


// mock
// WARNING: `mockjs` NOT SUPPORT `IE` PLEASE DO NOT USE IN `production` ENV.
// import './mock'

import bootstrap from './core/bootstrap'
import './core/lazy_use' // use lazy load components
import './core/plglib_use' // use plglib load components
import './permission' // permission control
import './utils/filter' // global filter
import './global.less' // global style

Vue.config.productionTip = false

// mount axios to `Vue.$http` and `this.$http`
Vue.use(VueAxios)
// use pro-layout components
Vue.component('p-layout', PLayout)
Vue.component('page-header-wrapper', PageHeaderWrapper)

// 浮点数计算库
// var BigJs = require('big.js')
import BigJs from "big.js";
Vue.prototype.BigJs = BigJs

// 通过js文件方式来注册组件库
//  import moment from 'moment'

// if (window.plglib) {
//   window.plglib.install(Vue)
//   Vue.prototype.$moment = Vue.prototype.moment = moment
// }


window.umi_plugin_ant_themeVar = themePluginConfig.theme
Vue.config.devtools = process.env.NODE_ENV === 'development';


// right theme select enum
new Vue({
  router,
  store,
  i18n,
  // init localstorage, vuex
  created: bootstrap,
  render: h => h(App)
}).$mount('#app')
