import request from '@/utils/request';
import { SERVICE_PLATFORM_POWER_BASE } from '@/config/serviceSettings.js'

const app = {
  state: {
  },
  mutations: {
    setColumnPosition: (state, type) => {
      const { menuId, data } = type;
      state[menuId]=data
    },
    removeColumnPosition: (state, type) => {
      const { menuId } = type;
      delete state[menuId]
    }

  },
  actions: {
    getUserColumn({ commit, state }, products) {
      const { menuId } = products;
     return request.post(SERVICE_PLATFORM_POWER_BASE+'/customize/list', { menuId }).then((response) => {
        if (response.success) {
          for (let key in response.data) {
            response.data[key] = JSON.parse(response.data[key]);
          }
          commit('setColumnPosition', { menuId, data: response.data });
          return response
        }
      });
    },
    updateColumnPosition({ commit }, products) {
      commit('setColumnPosition', products);
    }
  }
};
export default app;
