import request from '@/utils/request'
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE } from '@/config/serviceSettings.js'
import { initDictionary } from '@/blocks/utils'

export default {
  state: {
    sysParameter_TMS: {},
    sysParameter_BMS: {},
    options: [],
  },

  mutations: {
    SET_PARAMETER_TMS: (state, sysParameter_TMS) => {
      let object = {}
      sysParameter_TMS.forEach(item => {
        object[item.code] = { ...item }
      })
      state.sysParameter_TMS = object
    },
    SET_PARAMETER_BMS: (state, sysParameter_BMS) => {
      state.sysParameter_BMS = sysParameter_BMS
    },
    SET_OPTIONS: (state, options) => {
      state.options = options
    }
  },
  actions: {
    // 获取运输系统参数
    getParameter_TMS({ commit }) {
      request.post(UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/sysParamConfig/query').then(res => {
        if (res.success) {

          commit('SET_PARAMETER_TMS', res.data)
        }
      })
    },
    // 获取计费系统参数
    getParameter_BMS({ commit }) {
      request.post(UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/SySParameter/queryParameter/v1.0').then(res => {
        if (res.success) {
          commit('SET_PARAMETER_BMS', res.data)
        }
      })
    },
    getOptions({ commit }) {
      initDictionary([{ objectcode: 'WEIGHT_PRECISION' }, { objectcode: 'WEIGHT_INTEGER' }], true).then(res => {
        commit('SET_OPTIONS', res)
      })
    },
  }
}
