import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE, UPCLOUD_RDC_TMS_BUSINESS_SERVICE } from '@/config/serviceSettings.js';
import searchBar from '@/views/BMS/$common/model/searchBar/index.searchBar.vue'
import importButton from '@/blocks/components/importButton/index.importButton.vue'
import exportButton from '@/blocks/components/export-modal/modal.index.vue'

export default {
  components: {
    exportButton,
    importButton,
    searchBar,
    orderView: () => import(/* webpackChunkName: "bms-components-orderView" */ '@/views/BMS/$common/model/orderView/index.orderView.vue'),
    pageOrderView: () => import(/* webpackChunkName: "bms-components-pageOrderView" */ '@/views/BMS/$common/model/pageOrderView/index.pageOrderView.vue'),
    orderEdit: () => import(/* webpackChunkName: "bms-components-orderEdit" */ '@/views/BMS/$common/model/orderEdit/index.orderEdit.vue')

  },
  data() {
    return {
      mainId: '',
      childrenId:'',
      mainCurrent: null,
      mainsSelectedRowKeys: []
    }
  },

  methods: {
    searchSubmit() {
      this.mainId = ''
      this.childrenTableClear()
      return this.$refs.mainTable.reload()
    },
    childrenTableClear() {
      this.$nextTick(() => {
        let table = this.$refs['childrenTable_' + this.tabsKey]
        if (table) {
          table.dataSource = []
        }
      })
    },

    onBack(formName, id, isReload) {
      this.detailsState = 0
      this.currentMainData = null
      this.currentMainDataView = null
      if (isReload) {
        this.childrenTableClear()
        this.$refs[formName + 'Table'].reload().then(() => {
          if (id) {
            if (formName == 'main') {
              this.mainId = id
            } else {
              this.childrenId = id
            }
          }
        })
      }
    },
    handleView(data) {
      this.detailsState = 1;
      this.mainCurrent = { ...data };
    },
    handPrint(data) {
      let _this = this;
      let confirmLoading = true;
      return new Promise((resolve) => {
        _this.$confirm({
          title: '是否打印订单？',
          confirmLoading,
          onOk() {
            confirmLoading = true;
            return _this
              .axios({
                url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE + '/allShipbill/print',
                method: 'post',
                data: { shipbillIds: data || _this.mainsSelectedRowKeys },
              })
              .then((response) => {
                if (response.success) {
                  _this.$message.success(response.message)
                  // let ulr = response.data.url.split(',')
                  // ulr = ulr.map(str => window.location.origin + str)
                  // response.data.url=ulr.join(',')

                  response.data.url=window.location.origin+response.data.url
                  return _this.axios({
                    url: 'http://127.0.0.1:6060/print',
                    method: 'post',
                    data:response.data
                  })

                } else {
                  _this.$exception(response);
                }
              })
              .finally(() => {
                confirmLoading = false;
              });
          },
        });
      });
    },
    viewRemoteBefore(vnode, config) {
      config.data.shipbillIds = [config.data.shipbillId]
      delete config.data.shipbillId
    },
    childrenTableReload() {
      this.$nextTick(() => {
        let table = this.$refs['childrenTable_' + this.tabsKey]
        if (table) {
          table.dataSource = []
          this.mainId && table.reload()
        }
      })
    },
  },
}
