import request from '@/utils/request';
import qs from 'qs';
import { UPCLOUD_RDC_TMS_BMS_SERVICE } from '@/config/serviceSettings.js';
const serviceName = UPCLOUD_RDC_TMS_BMS_SERVICE;

// 主表地址
export const listRemoteUrl = {
  url: serviceName + '/bmsLoadingBill/findByCondition',
  method: 'post',
}

// 明细地址
export const detailsListRemoteUrl = {
  url: serviceName + '/bmsLoadingBill/getShipBill',
  method: 'post',
}

// 查看
export const View = data => {
  return request({
    url: serviceName + "/bmsLoadingBill/detailById",
    method: 'post',
    params: data
  })
};

// 派车单核算
export const Calculate = data => {
  return request({
    url: serviceName + "/bmsLoadingBill/calculate",
    method: 'post',
    data
  })
};

// 派车单提交
export const Submit = data => {
  return request({
    url: serviceName + "/bmsLoadingBill/submit",
    method: 'post',
    data
  })
};

// 派车单更新
export const Update = data => {
  return request({
    url: serviceName + "/bmsLoadingBill/update",
    method: 'post',
    data
  })
};

//导入url
export const importUrl = serviceName + '/expenseAccount/importExpense/v1.0'
export const downUrl = serviceName + '/expenseAccount/downloadTemplate/v1.0'