﻿import { axios } from '@/utils/request'
import qs from 'qs'
import { UPCLOUD_RDC_TMS_BMS_SERVICE } from '@/config/serviceSettings.js'
const serviceName = UPCLOUD_RDC_TMS_BMS_SERVICE

// 主表地址
export const listRemoteUrl = {
  url: serviceName + '/expenseManagement/findList/v1.0',
  method: 'post',
}

// 启用/停用
export const updateStatus = data => {
  return axios.post(serviceName + "/expenseManagement/updateStatus/v1.0", data);
};

// 删除
export const Delete = data => {
  return axios.post(serviceName + "/expenseManagement/delete/v1.0", data);
};

// 查看
export const View = data => {
  return axios.post(serviceName + "/expenseManagement/detail/v1.0", qs.stringify(data), {
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
};

// 新增
export const Save = data => {
  return axios.post(serviceName + "/expenseManagement/save/v1.0", data);
};

// 修改
export const Update = data => {
  return axios.post(serviceName + "/expenseManagement/update/v1.0", data);
};

//导入url
export const importUrl = serviceName + '/expenseManagement/importExpense/v1.0'
export const downUrl = serviceName + '/expenseManagement/downloadTemplate/v1.0'