import { axios } from '@/utils/request'
import qs from 'qs'
import { UPCLOUD_RDC_TMS_BMS_SERVICE } from '@/config/serviceSettings.js'
const serviceName = UPCLOUD_RDC_TMS_BMS_SERVICE

// 主表地址
export const listRemoteUrl = {
  url: serviceName + '/settlementFee/findList',
  method: 'post',
}

// 启用/停用
export const updateStatus = data => {
  return axios.post(serviceName + "/settlementFee/updateStatus", data);
};

// 删除
export const Delete = data => {
  return axios.post(serviceName + "/settlementFee/delete", data);
};

// 查看
export const View = data => {
  return axios.post(serviceName + "/settlementFee/detail", qs.stringify(data), {
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
};

// 新增
export const Save = data => {
  return axios.post(serviceName + "/settlementFee/save", data);
};

// 修改
export const Update = data => {
  return axios.post(serviceName + "/settlementFee/update", data);
};

//导入url
export const importUrl = serviceName + '/settlementFee/importExpense'
export const downUrl = serviceName + '/settlementFee/downloadTemplate'