// /**分页查询接口重试日志 */
import request from '@/utils/request'

import {UPCLOUD_RDC_TMS_BMS_SERVICE, UPCLOUD_RDC_TMS_MAINDATA_SERVICE, UPCLOUD_RDC_TMS_BUSINESS_SERVICE } from '@/config/serviceSettings.js'

const bms=UPCLOUD_RDC_TMS_BMS_SERVICE

// //分页查询接口重试日志 GET
export const mainTableInfoUrl = bms + '/bmsPayFee/findShipBillFee'
export const feeTableInfoUrl = bms + '/shipBill/feeList/v1.0'
export const feePopUrl = bms + '/shipBill/shipbillPop/v1.0'


//运单详情
export const mainViewUrl = bms + '/bmsPayFee/detailShipBillById'

export const feedViewUrl  = bms + '/bmsPayFee/detailLoadingBillById'


//运单商品明细查询
export const childrenTableInfoUrl = bms + '/bmsPayFee/getItem'
//包裹信息
export const packTableInfoUrl = bms + '/bmsPayFee/getPackage'
//日志
export const logTableInfoUrl = bms + '/bmsPayFee/getLog'

//费用
export const adjustTableInfoUrl = bms + '/bmsPayFee/getDetail'

// 审批信息查询 POST
export const auditTableInfoUrl = bms + '/bmsPayFee/getAudit'

//批量导入
export const mainDownUrl = bms + '/download_template/v1.0'
export const mainImportUrl = bms + '/import/v1.0'



function responseThen(response) {
  if (response.success) {
    this.visible = false
    this.$message.success(response.message)
  } else {
    this.$exception(response)
  }
  setTimeout(() => {
    this.confirmLoading = false
  }, 1000)
  return response
}


//运单提交
export const dataSubmit = (_this, data) => {

  let confirmLoading = true
  return new Promise((resolve) => {
    _this.$confirm({
      title: '是否提交运单费用' + '?',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: bms + '/shipBill/feeSubmit/v1.0',
          method: 'post',
          data,
        })
          .then((response) => {
            if (response.success) {
              clear()
              _this.$refs.mainTable.reload()
              _this.$message.success(response.message)
            } else {
              _this.$exception(response)
            }
            setTimeout(() => {
              confirmLoading = false
            }, 1000)
            return resolve(response)
          })
          .catch((response) => {
            confirmLoading = false
          })
      },
    })
  })
}
//费用提交
export const dataFeeSubmit = (_this, data) => {

  let confirmLoading = true
  return new Promise((resolve) => {
    _this.$confirm({
      title: '是否提交费用' + '?',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: bms + '/bmsPayFee/submit',
          method: 'post',
          data,
        })
          .then((response) => {
            if (response.success) {
              clear()
              _this.childrenTableReload()
              _this.$message.success(response.message)
            } else {
              _this.$exception(response)
            }
            setTimeout(() => {
              confirmLoading = false
            }, 1000)
            return resolve(response)
          })
          .catch((response) => {
            confirmLoading = false
          })
      },
    })
  })
}


//保存费用录入
export const shipBillFeeSave = (_this, data) => {
  return request({
    url: bms + '/bmsPayFee/addFee',
    method: 'post',
    data,
  }).then((response) => {
      if (response.success) {
        _this.$refs.mainTable.reload()
        _this.$message.success(response.message)
        _this.inMoneyVisible = false
        _this.childrenTableReload()
      } else {
        _this.$exception(response)
      }
    })


}

//订单新增|修改 保存核算
export const mainSaveDataSubmit = (_this, data, st) => {
  data.isAccount=1
  let arr = [null, null, '/shipBill/save/v1.0', '/shipBill/update/v1.0', '/shipBill/copy/v1.0']
  /**0=不显示,1=查看,2=新建,3=修改,4=复制 */
  let confirmLoading = true

  return new Promise((resolve) => {
    _this.$confirm({
      title: '是否保存并核算' + '?',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: bms + arr[st],
          method: 'post',
          data,
        })
          .then((response) => {
            if (response.success) {
              clear()
              _this.$message.success(response.message)
            } else {
              _this.$exception(response)
            }
            setTimeout(() => {
              confirmLoading = false
            }, 1000)
            return resolve(response)
          })
          .catch((response) => {
            confirmLoading = false
          })
      },
    })
  })
}





