// /**分页查询接口重试日志 */
import request from '@/utils/request'

import {UPCLOUD_RDC_TMS_BMS_SERVICE, UPCLOUD_RDC_TMS_MAINDATA_SERVICE } from '@/config/serviceSettings.js'

const serviceName = UPCLOUD_RDC_TMS_MAINDATA_SERVICE
const bms=UPCLOUD_RDC_TMS_BMS_SERVICE

// //分页查询接口重试日志 GET
export const mainTableInfoUrl = bms + '/bmsShipBill/pay/findByCondition'

//运单详情

export const mainViewUrl = bms + '/bmsShipBill/pay/detailById'

//运单商品明细查询
export const childrenTableInfoUrl = bms + '/bmsShipBill/pay/getItem'
//包裹信息
export const packTableInfoUrl = bms + '/bmsShipBill/pay/getPackage'
//日志
export const logTableInfoUrl = bms + '/bmsShipBill/pay/getLog'

//调整
export const adjustTableInfoUrl = bms + '/bmsShipBill/pay/getAdjust'




//选商品弹出框
export const getGoodsUrl = serviceName + '/item/byCargoOwner/page'

function responseThen(response) {
  if (response.success) {
    this.visible = false
    this.$message.success(response.message)
  } else {
    this.$exception(response)
  }
  setTimeout(() => {
    this.confirmLoading = false
  }, 1000)
  return response
}

//订单新增|修改 保存
export const mainSaveData = (_this, data, st) => {
  _this.confirmLoading = true
  /**0=不显示,1=查看,2=新建,3=修改,4=复制 */
  data.isAccount = 0
  let arr = [null, null, '/bmsShipBill/pay/add', '/bmsShipBill/pay/update', null]
  if (st === 2) {
    data.shipbillNo = null
  }
  /**0=不显示,1=查看,2=新建,3=修改,4=复制 */
  return request({
    url: bms + arr[st],
    method: 'post',
    data,
  })
    .then(responseThen.bind(_this))
    .catch((response) => {
      _this.confirmLoading = false
    })
}

//核算\提交
export const dataSubmit = (_this, data,bool=true) => {
  data.isAccount=1

  let confirmLoading = true
  return new Promise((resolve) => {
    _this.$confirm({
      title:bool? '是否核算提交?': '是否提交?',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url:bool? bms +'/bmsShipBill/pay/calculateAndSubmit': bms +'/bmsShipBill/pay/submit',
          method: 'post',
          data,
        })
          .then((response) => {
            if (response.success) {
              clear()
              _this.$refs.mainTable.reload()
              _this.$message.success(response.message)
            } else {
              _this.$exception(response)
            }
            setTimeout(() => {
              confirmLoading = false
            }, 1000)
            return resolve(response)
          })
          .catch((response) => {
            confirmLoading = false
          })
      },
    })
  })
}

//订单新增|修改 保存核算
export const mainSaveDataSubmit = (_this, data, st) => {
 // /bmsShipBill/pay/calculateAndSubmit

  let arr = [null, null, '/bmsShipBill/pay/addAndCal', '/bmsShipBill/pay/updateAndCal',null]
  /**0=不显示,1=查看,2=新建,3=修改,4=复制 */
  let confirmLoading = true
 if (st === 2) {
    data.shipbillNo = null
  }
  return new Promise((resolve) => {
    _this.$confirm({
      title: '是否保存并核算' + '?',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: bms + arr[st],
          method: 'post',
          data,
        })
          .then((response) => {
            if (response.success) {
              clear()
              _this.$message.success(response.message)
            } else {
              _this.$exception(response)
            }
            setTimeout(() => {
              confirmLoading = false
            }, 1000)
            return resolve(response)
          })
          .catch((response) => {
            confirmLoading = false
          })
      },
    })
  })
}




//核算
export const adjustAccounts = (context, id,mainId) => {
  let confirmLoading = false
  return new Promise((resolve) => {
    context.$confirm({
      title: '确认核算',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: bms + '/bmsShipBill/pay/calculate',
          method: 'post',
          data: id,
        })
          .then((response) => {
            if (response.success) {
              if (mainId) {
                context.mainId=mainId
              }
              clear()
              context.$message.success(response.message)
              context.$refs.mainTable.reload()
            } else {
              context.$exception(response)
            }
            confirmLoading = false
            return resolve(response)
          })
          .catch((error) => {
            confirmLoading = false
          })
      },
    })
  })
}



export const importUrl = serviceName + '/bmsShipBill/pay/import'
export const downUrl = serviceName + '/bmsShipBill/pay/download_template'