// /**分页查询接口重试日志 */
import request from '@/utils/request'

import {UPCLOUD_RDC_TMS_BMS_SERVICE, UPCLOUD_RDC_TMS_MAINDATA_SERVICE, UPCLOUD_RDC_TMS_BUSINESS_SERVICE } from '@/config/serviceSettings.js'
const business = UPCLOUD_RDC_TMS_BUSINESS_SERVICE

const serviceName = UPCLOUD_RDC_TMS_MAINDATA_SERVICE
const bms=UPCLOUD_RDC_TMS_BMS_SERVICE
// export const cargo_ownerUrl = serviceName + '/cargo_owner/popup' //货主
// export const queryCustomerUrl = serviceName + '/tmsBaseCustomer/queryCustomerPopup' //客户
// export const queryCustomer_consignee_Url = serviceName + '/tmsBaseCustomer/consignee/popup' //客户_收货方弹窗
// export const packageTableUrl = business + '/allShipbill/listPackageData' //包裹信息
// //商品单位明细
// export const itemByIdUrl = serviceName + '/item/by/itemId'
// export const advancedQueryUrl = business + '/allShipbill/advanced_query_shipbill'

// //订单新增|修改 保存
// export const getItemUnit = (_this, data, st) => {
//   return request({
//     url: itemByIdUrl,
//     method: 'post',
//     data,
//   })
// }
// export const queryBranchUrl = serviceName + '/tmsBaseBranch/queryBranchPopup' //仓库

// export const queryProviderhUrl = serviceName + '/provider/ByCargoOwner/popup' //供应商

// export const queryProviderh_consignee_Url = serviceName + '/provider/shipper/popup' //供应商_收货方弹窗

// export const driver_popup_Url = serviceName + '/driver/popup' //司机弹窗
// export const vehicle_popup_Url = serviceName + '/vehicle/popup' //车辆弹窗
// export const vehicle_type_popup_Url = serviceName + '/vehicle_type/popup' //车型弹窗
// export const carrier_popup_Url = serviceName + '/carrier/popup' //承运商弹窗

// //分页查询接口重试日志 GET
export const mainTableInfoUrl = bms + '/bmsShipBill/findByCondition'

//运单详情

export const mainViewUrl = bms + '/bmsShipBill/detailById'

//运单商品明细查询
export const childrenTableInfoUrl = bms + '/bmsShipBill/getItem'
//包裹信息
export const packTableInfoUrl = bms + '/bmsShipBill/getPackage'
//日志
export const logTableInfoUrl = bms + '/bmsShipBill/getLog'

//调整
export const adjustTableInfoUrl = bms + '/bmsShipBill/getAdjust'

//运单地址解析查询：
export const addressResolutionUrl = business + '/shipbill/address_resolution/page'
//批量导入
export const mainDownUrl = bms + '/bmsShipBill/download_template'
export const mainImportUrl = bms + '/bmsShipBill/import'


//选商品弹出框
export const getGoodsUrl = serviceName + '/item/byCargoOwner/page'

function responseThen(response) {
  if (response.success) {
    this.visible = false
    this.$message.success(response.message)
  } else {
    this.$exception(response)
  }
  setTimeout(() => {
    this.confirmLoading = false
  }, 1000)
  return response
}

//订单新增|修改 保存
export const mainSaveData = (_this, data, st) => {
  _this.confirmLoading = true
          // /**0=不显示, 1=新建，2=修改 ，3=查看 ，4=复制  */,
  data.isAccount = 0
  let arr = [null, null, '/bmsShipBill/save', '/bmsShipBill/update', '/bmsShipBill/copy']
  if (st === 2) {
    data.shipbillNo = null
  }
  /**0=不显示,1=查看,2=新建,3=修改,4=复制 */
  return request({
    url: bms + arr[st],
    method: 'post',
    data,
  })
    .then(responseThen.bind(_this))
    .catch((response) => {
      _this.confirmLoading = false
    })
}

//运单批量核算
export const dataSubmit = (_this, data,bool=true) => {

  data.isAccount=1

  let confirmLoading = true
  return new Promise((resolve) => {
    _this.$confirm({
      title:bool? '是否核算提交?': '是否提交?',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: bool? bms +'/bmsShipBill/calculateAndSubmit': bms +'/bmsShipBill/submit',

          method: 'post',
          data,
        })
          .then((response) => {
            if (response.success) {
              clear()
              _this.$refs.mainTable.reload()
              _this.$message.success(response.message)
            } else {
              _this.$exception(response)
            }
            setTimeout(() => {
              confirmLoading = false
            }, 1000)
            return resolve(response)
          })
          .catch((response) => {
            confirmLoading = false
          })
      },
    })
  })
}

//订单新增|修改 保存核算
export const mainSaveDataSubmit = (_this, data, st) => {

  data.isAccount=1
  let arr = [null, null, '/bmsShipBill/saveAndCal', '/bmsShipBill/updateAndCal', '/bmsShipBill/copyAndCal']
  /**0=不显示,1=查看,2=新建,3=修改,4=复制 */
  // /**0=不显示, 1=新建，2=修改 ，3=查看 ，4=复制  */,
  let confirmLoading = true
 if (st === 2) {
    data.shipbillNo = null
  }
  return new Promise((resolve) => {
    _this.$confirm({
      title: '是否保存并核算' + '?',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: bms + arr[st],
          method: 'post',
          data,
        })
          .then((response) => {
            if (response.success) {
              clear()
              _this.$message.success(response.message)
            } else {
              _this.$exception(response)
            }
            setTimeout(() => {
              confirmLoading = false
            }, 1000)
            return resolve(response)
          })
          .catch((response) => {
            confirmLoading = false
          })
      },
    })
  })
}




//核算
export const adjustAccounts = (context, id,mainId) => {
  let confirmLoading = false
  return new Promise((resolve) => {
    context.$confirm({
      title: '确认核算',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: bms + '/bmsShipBill/calculate',
          method: 'post',
          data: id,
        })
          .then((response) => {
            if (response.success) {
              if (mainId) {
                context.mainId=mainId
              }
              clear()
              context.$message.success(response.message)
              context.$refs.mainTable.reload()
            } else {
              context.$exception(response)
            }
            confirmLoading = false
            return resolve(response)
          })
          .catch((error) => {
            confirmLoading = false
          })
      },
    })
  })
}



