export const setMainColumns = (self, expData = []) => {
  return [
    { dataIndex: 'contractNo', title: '合同编号', width: 120, },
    { dataIndex: 'contractName', title: '合同名称', width: 120, },
    { dataIndex: 'contractTypeName', title: '合同类型', width: 120, },
    { dataIndex: 'contractStatus', title: '合同状态', width: 120, },
    { dataIndex: 'settlementTypeName', title: '结算方式', width: 120, },
    { dataIndex: 'firstPartyTypeName', title: '甲方类型', width: 120, },
    { dataIndex: 'firstPartyName', title: '甲方', width: 120, },
    { dataIndex: 'secondPartyTypeName', title: '乙方类型', width: 120, },
    { dataIndex: 'secondPartyName', title: '乙方', width: 120, },
    { dataIndex: 'reconciliationDate', title: '对账完成日期', width: 120, },
    { dataIndex: 'settlementDate', title: '结算完成日期', width: 120, },
    { dataIndex: 'effectiveDate', title: '生效日期', width: 120, },
    { dataIndex: 'expiryDate', title: '失效日期', width: 120, },
    { dataIndex: 'contractPeriod', title: '合同期限（天）', width: 120, },
    { dataIndex: 'taxPoint', title: '税点', width: 120, },
    { dataIndex: 'isHeavyBubbleName', title: '是否启用重泡比', width: 120, },
    { dataIndex: 'heavyBubble', title: '重泡比', width: 120, },
    { dataIndex: 'memo', title: '备注', width: 120, },
    ...expData,
    { dataIndex: 'createperson', title: '创建人', width: 120, },
    { dataIndex: 'createtime', title: '创建时间', width: 120, },
    { dataIndex: 'updateperson', title: '修改人', width: 120, },
    { dataIndex: 'updatetime', title: '修改时间', width: 120, },
    { key: 'operation', title: '操作', width: 200, fixed: 'right', align: 'center', scopedSlots: { customRender: 'operation' }, },
  ]
}

export const setPriceColumns = (self, expData = []) => {
  return [
    { dataIndex: 'priceNo', title: '价格编号', width: 120, },
    { dataIndex: 'priceName', title: '价格名称', width: 120, },
    { dataIndex: 'settlementOrderTypeName', title: '计费单据', width: 120, },
    { dataIndex: 'settlementModelName', title: '计费模式', width: 120, },
    { dataIndex: 'settlementTypeName', title: '计费方式', width: 120, },
    { dataIndex: 'expenseName', title: '费用', width: 120, },
    { dataIndex: 'memo', title: '备注', width: 120, },
    { dataIndex: 'conditionListName', title: '匹配条件', width: 120, },
    { dataIndex: 'sourceName', title: '来源' },
    { key: 'operation', title: '操作', fixed: 'right', align: 'center', scopedSlots: { customRender: 'operation' }, },
  ]
}

export const setAuditNodeColumns = (self, expData = []) => {
  return [
    { dataIndex: 'approvalNodeOrder', title: '节点顺序' },
    { dataIndex: 'approverRoleName', title: '角色名称' },
    { dataIndex: 'approverUserName', title: '用户名称' },
    { dataIndex: 'statusName', title: '节点状态' },
    { dataIndex: 'approvalTime', title: '审批时间' },
  ]
}

export const setAuditHistoryColumns = (self, expData = []) => {
  return [
    { dataIndex: 'approverRoleName', title: '审核角色' },
    { dataIndex: 'approverPersonName', title: '审核人' },
    { dataIndex: 'statusName', title: '审核状态' },
    { dataIndex: 'resultName', title: '审核结果' },
    { dataIndex: 'approvalTime', title: '审核时间' },
    { dataIndex: 'approvalOpinion', title: '审核意见' },
  ]
}

export const setOperationLogColumns = (self, expData = []) => {
  return [
    { dataIndex: 'logMemo', title: '日志内容' },
    { dataIndex: 'createtime', title: '操作时间' },
    { dataIndex: 'createperson', title: '操作人' }
  ]
}