

export const setMainColumns = (self,expData=[]) => {
  return [
    { dataIndex: 'id', title: 'ID', hidden: true ,width: 100},
    {
      dataIndex: 'settlementNo',
      sorter: (a, b) => {
        if(!a.settlementNo||!b.settlementNo)return
        return a.settlementNo.replace(/[^0-9]/gi, '') - b.settlementNo.replace(/[^0-9]/gi, '')
      },
      title: '结算单号',
      width: 200,
      customRender: (txt, record) => {
        return self._c(
          'a',
          {
            attrs: {
              href: 'javascript:void(0)',
            },
            on: {
              click: (event) => {
                event.stopPropagation()
                return self.$emit('view', record)
              },
            },
          },
          [self._v(txt)]
        )
      },
    },
    {
      dataIndex: 'settlementName',
      title: '结算单名称',
      width: 120,

      sorter: (a, b) => {
        return a.settlementName != b.settlementName
      },
    },
    {
      dataIndex: 'statusName',
      title: '结算单状态',
      width: 120,
      sorter: (a, b) => {
        return a.status - b.status
      },
    },

    {
      dataIndex: 'settlementCycleName',
      title: '结算周期',
      width: 100,
      sorter: (a, b) => {
        return a.settlementCycle - b.settlementCycle
      },
    },
    {
      dataIndex: 'carrierName',
      title: '往来单位',
      width: 100,
      sorter: (a, b) => {
        return a.carrierId - b.carrierId
      },
    },
    {
      dataIndex: 'settlementCompany',
      title: '结算公司',
      sorter: (a, b) => {
        return a.settlementCompanyId - b.settlementCompanyId
      },

    },
    {
      dataIndex: 'settlementDepartment',
      title: '结算部门',
      width: 100,
      sorter: (a, b) => {
        return a.settlementDepartment - b.settlementDepartment
      },
    },
    {
      dataIndex: 'cardEndDate',
      title: '挂账结束日期',
      width: 150,
      sorter: (a, b) => {
        return +new Date(a.cardEndDate) - +new Date(b.cardEndDate)
      },
    },
    {
      width: 150,
      dataIndex: 'invoiceEndDate',
      title: '开票结束日期',
      align: 'center',
      sorter: (a, b) => {
        return +new Date(a.invoiceEndDate) - +new Date(b.invoiceEndDate)
      },
    },
    {
      width: 100,
      dataIndex: 'taxPoint',
      title: '税点',
      sorter: (a, b) => {
        return a.taxPoint - b.taxPoint
      },
    },

    {
      width: 100,
      dataIndex: 'taxAmt',
      title: '含税总额',
      sorter: (a, b) => {
        return a.taxAmt - b.taxAmt
      },
    },
    {
      width: 100,
      dataIndex: 'noTaxAmt',
      title: '未税总额',
      sorter: (a, b) => {
        return a.noTaxAmt - b.noTaxAmt
      },
    },
    {
      width: 100,
      dataIndex: 'tax',
      title: '总税额',
      sorter: (a, b) => {
        return a.totTax - b.totTax
      },
    },
    {
      width: 120,
      dataIndex: 'memo',
      title: '备注',
      sorter: (a, b) => {
        if (!a.memo || !b.memo) {
          return -1
        }
        return a.memo.length-b.memo.length
      },
    },
    ...expData,


    {
      dataIndex: 'createperson',
      title: '创建人',
      width: 100,
      sorter: (a, b) => {
        return a.createperson.length - b.createperson.length
      },
    },
    {
      dataIndex: 'createtime',
      title: '创建时间',
      width: 150,
      sorter: (a, b) => {
        return +new Date(a.createtime) - +new Date(b.createtime)
      },
    },
    {
      dataIndex: 'updateperson',
      title: '修改人',
      width: 100,
      sorter: (a, b) => {
        return a.updateperson.length - b.updateperson.length
      },
    },
    {
      dataIndex: 'updatetime',
      title: '修改时间',
      width: 150,
      sorter: (a, b) => {
        return +new Date(a.updatetime) - +new Date(b.updatetime)
      },
    },

    self.operation&&{
      key: 'operation',
      title: '操作',
      fixed: 'right',
      align: 'center',
      width: 240,
      scopedSlots: { customRender: 'operation' },
      ...self.operation
    },
  ].filter(item => item)
}
