import { settlementManagementUrl } from '../api.js'

const setQueryFormItmes = (self) => [
  { name: 'cargoOwnerName', label: '货主', type: 'input' },
  { name: 'orderNo', label: '订单号', type: 'input' },
  { name: 'shipbillNo', label: '运单号', type: 'input' },
  {
    name: 'orderBusinessType',
    label: '业务类型',
    type: 'select',
    get options() {
      return self.options.ORDER_BUSINESS_TYPE
    },
  },
  {
    name: 'shipperUnitName',
    label: '发货方',
    type: 'input',
  },
  {
    name: 'consigneeUnitName',
    label: '收货方',
    type: 'input',
  },
  {
    name: 'startDate',
    label: '启运日期',
    type: 'a-range-picker',
    format: 'YYYY-MM-DD',
    valueFormat: 'YYYY-MM-DD',
    placeholder: ['开始时间', '结束时间'],
  },
  {
    name: 'deliveryStartDate',
    label: '送达日期',
    type: 'a-range-picker',
    format: 'YYYY-MM-DD',
    valueFormat: 'YYYY-MM-DD',
    placeholder: ['开始时间', '结束时间'],
  },
]

export const setSearchModal = (self) => {
  return {
    modalWidth: 1000,
    modalConfig: {
      mask: false,
    },
    toolBar: {
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
      items: setQueryFormItmes(self),
    },
    remoteUrl: {
      url: settlementManagementUrl,
      method: 'post',
    },
    rowKey: 'id',
    title: '结算信息',
    remoteBefore(vnode, remoteUrl) {
      if (Array.isArray(remoteUrl.data.startDate)) {
        remoteUrl.data.endDate = remoteUrl.data.startDate[1]
        remoteUrl.data.startDate = remoteUrl.data.startDate[0]
      }
      if (Array.isArray(remoteUrl.data.deliveryStartDate)) {
        remoteUrl.data.deliveryEndDate = remoteUrl.data.deliveryStartDate[1]
        remoteUrl.data.deliveryStartDate = remoteUrl.data.deliveryStartDate[0]
      }

      let expenseNoList = self.dataSource.map(item => item.expenseNo);
      remoteUrl.data.settlementDepartment = self.record.settlementDepartment;
      remoteUrl.data.settlementCompany = self.record.settlementCompany;
      remoteUrl.data.carrierType = self.record.carrierType;
      remoteUrl.data.affiliationName = self.record.affiliationName;
      remoteUrl.data.carrierCode = self.record.carrierCode;
      remoteUrl.data.expenseNos = expenseNoList;

      //config.data.cargoOwnerId = self.cargoOwnerId
    },
    //  selectId:self.disableItemId,
    tableConfig: {


      dragle: true,
      autoColWidth: true,
      scroll: { x: true },
      rowSelectType: 2,
      rowKey: 'id',

      getCheckboxProps(record) {
        let is = self.disableItemId.indexOf(record.id) > -1 ? true : false
        return {
          props: {
            disabled: is,
          },
        }
      },
      columns: [],



    },
  }
}
