// /**分页查询接口重试日志 */
import request from '@/utils/request'

import { UPCLOUD_RDC_TMS_BMS_SERVICE, UPCLOUD_RDC_TMS_MAINDATA_SERVICE, UPCLOUD_RDC_TMS_BUSINESS_SERVICE } from '@/config/serviceSettings.js'

const bms = UPCLOUD_RDC_TMS_BMS_SERVICE

///BMS-收入台账管理/台账运单列表查询
export const mainTableInfoUrl = bms + '/incomeFeeSettlement/page'

//结算管理-应收管理-费用结算/ 通过派车单id查结算单
export const initIncomeUrl = bms + '/incomeFeeSettlement/initIncomeSettlement'
export const loadingBillUrl = bms + '/incomeFeeSettlement/page'



export const getIncomeData = (_this, data) => {
  _this.loading=true
  return request({
    url: initIncomeUrl,
    method: 'post',
    data,
  }).then((response) => {
    if (response.success) {
        return response.data
      } else {
        _this.$exception(response)
      }
    })
    .finally((response) => {
      _this.loading=false
    })
}

//跟据派车单查运单明细
export const childrenShipBillTableUrl = bms + '/incomeFeeSettlement/getShipBill'

//运单商品明细查询
export const childrenTableInfoUrl = bms + '/incomeFeeSettlement/getItem'

//包裹信息
export const packTableInfoUrl = bms + '/incomeFeeSettlement/getPackage'
//日志
export const logTableInfoUrl = bms + '/incomeFeeSettlement/getLog'
//费用
export const adjustTableInfoUrl = bms + '/incomeFeeSettlement/getDetail'
// 审批信息查询 POST
export const auditTableInfoUrl = bms + '/incomeFeeSettlement/getAudit'

//批量导入
export const mainDownUrl = bms + '/download_template/v1.0'
export const mainImportUrl = bms + '/import/v1.0'



function responseThen(response) {
  if (response.success) {
    this.visible = false
    this.$message.success(response.message)
  } else {
    this.$exception(response)
  }
  setTimeout(() => {
    this.confirmLoading = false
  }, 1000)
  return response
}



//费用提交
export const updateSubmit = (_this, data,clear) => {

        return request({
          url: bms + '/incomeFeeSettlement/feeSettlement',
          method: 'post',
          data,
        }).then((response) => {
            if (response.success) {
              clear()
              _this.$refs.mainTable.reload()
              _this.childrenTableClear()
              _this.$message.success(response.message)
            } else {
              _this.$exception(response)
            }
            setTimeout(() => {
              _this.inMoneyVisible=false
              cl()
            }, 1000)
            return resolve(response)
          })

      }




