// 创建弹窗
import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE, UPCLOUD_RDC_TMS_BUSINESS_SERVICE, UPCLOUD_RDC_TMS_INTERFACE_SERVICE } from '@/config/serviceSettings.js';

export var SeniorSearch = function (queryCode, master_grid) {
  let FormObj = {}; // 用于储存动态生成的form
  let grid;

  // 获取下拉框
  let dataSelect = {};
  let fieldCodeEnums = [];
  getSelectGJ([
    { "objectcode": "QUERY_COMPARISON_OPERATORS" },
    { "objectcode": "QUERY_LOGICAL_OPERATORS" }
  ], function (res) {
    for (const key in res.data) {
      dataSelect[key] = res.data[key];
    }
  });
  utilSyncAjaxGJ(UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/sysquery/define/listFields", "post", { queryCode }, function (res) {
    fieldCodeEnums = res.data.map(item => {
      return {
        text: item.fieldName,
        value: item.fieldCode,
        type: item.type,
        dict: item.dict
      };
    });
    fieldCodeEnums.unshift({ value: "", text: "" });
  }, "application/x-www-form-urlencoded");

  this.dialog = function () {
    let content = "";
    content += "<div id ='seniorSearch_dialog' class='layui-row'>";
    content += "  <div class='layui-col-md4'><div id ='seniorSearch_dialog_left'></div></div>";
    content += "  <div class='layui-col-md8' style='padding-top: 16px;'>";
    content += "    <div style='display: flex; justify-content:space-between;'>";
    content += "      <text id='seniorSearch_dialog_text' style='margin: 0 20px;'></text>";
    content += "      <button class='layui-btn layui-btn-sm layui-btn-normal' id='add'>新增</button>";
    content += "    </div>";
    content += "    <div id ='seniorSearch_dialog_right'>";
    content += "      <div class='box_form_title'>";
    content += "        <div style='width: 200px;text-align: center;'>字段</div>";
    content += "        <div style='width: 200px;text-align: center;'>操作符</div>";
    content += "        <div style='width: 200px;text-align: center;'>值</div>";
    content += "      </div>";
    content += "      <div id='dialog_form'></div>";
    content += "    </div>";
    content += "  </div>";
    content += "</div>";

    PlgDialog.open({
      title: "高级查询",
      shadeClose: true,
      type: 1,
      area: ["1200px", "800px"],
      content,
      btn: ["提交查询", "保存配置", "设置默认", "关闭"],
      yes: function () {
        // 提交查询
        listPage();
      },
      btn2: function () {
        // 保存配置
        define_save();
        return false;
      },
      btn3: function () {
        define_setDefault();
        return false;
      }
    });

    // 新增表格
    gridInit();

    // 新增表单
    $("#add").on("click", function () {
      if (!grid.getSelectedRowId()) {
        layer.msg("请选择条件名称");
        return false;
      }
      formInit();
    });
  };

  // 创建表单
  function formInit(formData) {
    let strId = "dialog_form_" + new Date().getTime();
    let str = "<div id='" + strId + "'></div>";
    $("#dialog_form").append(str);
    let form_opts = {
      renderer: strId,
      items: [
        { type: "combo", width: 200, name: "fieldCode", options: fieldCodeEnums, readonly: true },
        { type: "newcolumn" },
        { type: "combo", width: 200, name: "comparisonOperatorCode", options: dataSelect.QUERY_COMPARISON_OPERATORS, readonly: true },
        { type: "combo", width: 200, name: "logicalOperatorCode", options: dataSelect.QUERY_LOGICAL_OPERATORS, readonly: true },
        { type: "newcolumn" },
        { type: "input", width: 200, name: "condition" },
        { type: "hidden", width: 200, name: "" },
        { type: "newcolumn" },
        { type: "button", name: "wholeDelete", className: "plg-toolbar-right", value: "<i class='layui-icon layui-icon-delete'></i>删除" }
      ]
    };
    let form = new PlgForm(form_opts);
    FormObj[strId] = form;
    // 删除
    form.attachEvent("onButtonClick", () => {
      delete FormObj[strId];
      $("#" + strId).remove();
    });
    // 联动
    form.attachComboEvent("fieldCode", "onChange", function (value) {
      if (value) {
        let { type, dict } = fieldCodeEnums.find(item => value === item.value);
        form.removeItem("condition");
        // type: 10-输入 20-下拉 30-日期
        if (type === 10) {
          form.addItem(null, { type: "input", width: 200, name: "condition" }, 3);
        }
        else if (type === 20) {
          if (dataSelect[dict]) {
            form.addItem(null, { type: "combo", width: 200, name: "condition", options: dataSelect[dict], readonly: true }, 3);
          }
          else {
            Prolog.ajax({
              url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/refdata/dtl/dd-list",
              type: "post",
              data: JSON.stringify([{ "objectcode": dict }]),
              contentType: "application/json",
              success: function (res) {
                let enums = [{ value: "", text: "" }].concat(res.data[dict]);
                dataSelect[dict] = enums;
                form.addItem(null, { type: "combo", width: 200, name: "condition", options: enums, readonly: true }, 3);
                if (formData) form.setFormData({ condition: formData.condition });
              },
              error: function () { }
            });
          }
        }
        else if (type === 30) {
          form.addItem(null, { type: "calendar", width: 200, name: "condition", readonly: true }, 3);
        }
      }
    });

    if (formData) form.setFormData(formData);
  }
  // 清空表单
  function formReset() {
    FormObj = {};
    $("#seniorSearch_dialog_text").html("");
    $("#dialog_form").html("");
  }

  // 点开弹窗查询数据
  function gridInit() {
    let grid_opts = {
      skin: "card",
      columns: [
        { id: "lineid", name: "id", type: "ro", width: "130", hidden: true },
        { id: "queryName", name: "<span style='color:#096dd9;'>名称</span>", align: "center", type: "ed" }
      ],
      toolbar: [
        { type: "label", label: "条件名称（双击编辑）" },
        { type: "newcolumn" },
        { type: "button", className: "btn-normal", name: "dialog_grid_add", value: "新增" },
        { type: "newcolumn" },
        { type: "button", className: "btn-danger", name: "dialog_grid_del", value: "删除" }
      ],

      url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/sysquery/define/listAll",
      type: "post",
      params: JSON.stringify({ queryCode }),
      page: false,
      contentType: "application/json",
      totalCount: "totalCount"
    };
    let grid = new PlgGrid(grid_opts);
    grid.renderTo("seniorSearch_dialog_left");
    grid.getGrid().enableEditEvents(false, true, true);
    grid.loadData();

    grid.attachToolBarEvent("onButtonClick", function (name) {
      if (name === "dialog_grid_add") {
        let id = new Date().getTime();
        grid.addRow(id, { type: "add" });
      }
      else if (name === "dialog_grid_del") {
        define_delete();
      }
    });
    grid.attachEvent("onEditCell", function (stage, rId, cInd, nValue) {
      if (stage === 2) {
        grid.setCellValue(rId, cInd, nValue);
      }
      return true;
    });

    grid.on("onRowSelect", function (id) {
      formReset();
      let { list, queryName } = grid.getRowData(id);
      $("#seniorSearch_dialog_text").html(queryName);
      if (list) list.forEach(item => formInit(item));
    });
    // 默认选中
    grid.attachEvent("onDataReady", function () {
      for (let i = 0; i < grid.getRowsNum(); i++) {
        let { defaultStatus, list, lineid, queryName } = grid.getRowData(grid.getRowId(i));
        $("#seniorSearch_dialog_text").html(queryName);
        if (defaultStatus === 1) {
          grid.selectRowById(lineid);
          list.forEach(item => formInit(item));
        }
      }
    });
  }

  // 保存配置
  function define_save() {
    let formData = grid.getSelectedRowData();
    if (!Object.keys(FormObj).length) {
      layer.msg("请输入配置");
      return false;
    }
    if (!formData.queryName) {
      layer.msg("请输入配置名称");
      return false;
    }

    let list = [];
    for (const key in FormObj) {
      let ele = FormObj[key].getFormData();
      let { type } = fieldCodeEnums.find(item => ele.fieldCode === item.value);
      if (type === 30) {
        ele.condition = FormatDate(ele.condition);
      }
      list.push(ele);
    }
    formData.list = list;
    formData.queryCode = queryCode;

    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    Prolog.ajax({
      url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/sysquery/define/save", type: "post", contentType: "application/json", data: JSON.stringify(formData),
      success: function (res) {
        PlgDialog.close(pload);
        if (res.success) {
          PlgDialog.msg(res.message);
          formReset();
          grid.reload();
          return true;
        }
        return false;
      }, error: function () { PlgDialog.close(pload); return false; }
    });
  }

  // 删除条件名称
  function define_delete() {
    let id = grid.getSelectedRowId();
    if (!id) {
      layer.msg("请选择条件名称");
      return false;
    }
    let { type } = grid.getRowData(id);
    if (type === "add") {
      grid.deleteRow(id);
      formReset();
    }
    else {
      let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
      Prolog.ajax({
        url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/sysquery/define/delete", type: "post", data: { id },
        success: function (res) {
          PlgDialog.close(pload);
          if (res.success) {
            PlgDialog.msg(res.message);
            formReset();
            grid.reload();
            return true;
          }
          return false;
        }, error: function () { PlgDialog.close(pload); return false; }
      });
    }
  }

  // 设置默认
  function define_setDefault() {
    let id = grid.getSelectedRowId();
    if (!id) {
      layer.msg("请选择条件名称");
      return false;
    }

    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    Prolog.ajax({
      url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/sysquery/define/setDefault", type: "post", data: { id },
      success: function (res) {
        PlgDialog.close(pload);
        if (res.success) {
          PlgDialog.msg(res.message);
          formReset();
          grid.reload();
          return true;
        }
        return false;
      }, error: function () { PlgDialog.close(pload); return false; }
    });
  }

  // 提交查询
  function listPage() {
    if (!Object.keys(FormObj).length) {
      layer.msg("请输入配置");
      return false;
    }

    let list = [];
    for (const key in FormObj) {
      let ele = FormObj[key].getFormData();
      let { type } = fieldCodeEnums.find(item => ele.fieldCode === item.value);
      if (type === 30) {
        ele.condition = FormatDate(ele.condition);
      }
      list.push(ele);
    }
    let request = {
      queryCode,
      list
    };

    master_grid.setParams(JSON.stringify(request));
    master_grid.reload();
    PlgDialog.closeAll();
  }

  // 默认的高级查询条件
  this.listAll = function () {
    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    Prolog.ajax({
      url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/sysquery/define/listAll", type: "post", contentType: "application/json", data: JSON.stringify({ queryCode }),
      success: function (res) {
        PlgDialog.close(pload);
        if (res.success && res.data.length) {
          let defaultData = res.data.find(item => item.defaultStatus === 1);
          if (defaultData) {
            master_grid.setParams(JSON.stringify({ list: defaultData.list, queryCode }));
            master_grid.reload();
          }
          else {
            master_grid.loadData();
          }
        }
        else {
          master_grid.loadData();
        }
      },
      error: function () { PlgDialog.close(pload); return false; }
    });
  };
};



