/**
 * guoj
 * 2018.11.01
 * 系统管理
 */
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';


export default () => {
    var grid = null;
    var param = { "search": "%", "pageNum": 1, "pageSize": 10 };
    var rsp_menu_type = [{ value: "", text: "" }, { value: "GET", text: "GET" }, { value: "POST", text: "POST" }, { value: "DELETE", text: "DELETE" }, { value: "PUT", text: "PUT" }, { value: "OPTIONS", text: "OPTIONS" }];
    var rsp_apptype = [{ value: -1, text: "" }, { value: 0, text: "系统应用" }, { value: 1, text: "公有应用" }, { value: 2, text: "行业应用" }, { value: 3, text: "BI应用" }];
    var operType = 0;

    gridInit();

    //滑屏
    var carousel = layui.carousel;
    var car = carousel.render({
        elem: "#system_grid",
        autoplay: false,
        index: 0,
        arrow: "none",
        indicator: "none",
        anim: "fade",
        width: "100%", //设置容器宽度
        height: "100%"
    });

    function changePanel(name) {
        car.slide(name);
    }

    //返回主页面
    $("#system_btn_back").click(function () {
        changePanel("system_grid_01");
        return false;
    });

    function gridInit() {
        var opts = {
            skin: "terrace",
            columns: [
                { id: "p_id", name: "系统ID", type: "ro", width: 100, hidden: true },
                { id: "p_systemid", name: "系统编号", type: "ro", width: 200 },
                { id: "p_systemname", name: "系统名称", type: "ro", width: 300 },
                {
                    id: "p_enable", name: "是否启用", type: "ro", sort: "no", width: 100, render: function (v) {
                        return "<input disabled=\"disabled\" type=\"checkbox\" " + (v === 1 ? "checked=\"\"" : "") + " name=\"chk_enable\" lay-skin=\"switch\" lay-filter=\"chk_enable\" lay-text=\"ON|OFF\">";
                    }
                },
                { id: "p_createname", name: "创建人", type: "ro", width: 100 },
                { id: "p_createtime", name: "创建时间", type: "ro", width: 150 },
                {
                    id: "op", name: "操作", type: "button", align: "center", fixed: "right", width: 170, sort: "na", render: function () {
                        return "详情^system_showClick,修改^system_updataClick,删除^system_deleteClick";
                    }
                }
            ],
            fixedLast: true,
            toolbar: [
                { type: "newcolumn", offset: 10 },
                { type: "input", name: "search", label: "查询条件:", placeholder: "请输入系统编号/名称", width: 300 },
                { type: "newcolumn" },
                { type: "button", name: "querywork", value: "查询" },
                { type: "newcolumn" },
                { type: "button", name: "btn_reset", className: " normal", value: "重置" },
                { type: "newcolumn" },
                // { type: "button", name: "btn_down", className: "plg-toolbar-right normal", value: "<i class='layui-icon layui-icon-download-circle'></i>下载模板" },
                // { type: "newcolumn" },
                // { type: "button", name: "impandexpBtn", className: "plg-toolbar-right normal", value: "<i class='layui-icon layui-icon-upload-drag'></i>导入/导出" },
                // { type: "newcolumn" },
                { type: "button", name: "addBtn", className: "plg-toolbar-right", value: "<i class='layui-icon layui-icon-add-1'></i>新增" },
                { type: "newcolumn" }],
            formData: [],
            filters: "",

            url: "/users/sysconf/list",//数据接口
            type: "post",//数据提交方式，默认为get
            params: param,//查询提交参数，分页参数默认为pageNum,pageSize
            page: true, //是否启用分页
            totalCount: "totalCount" //总记录数字段，默认totalCount
        };
        //分页参数 pageSize pageNum
        grid = new PlgGrid(opts);
        grid.renderTo("system_grid_01");
        //阻止操作排序
        grid.on("onBeforeSorting", function (ind) {
            if (ind == 7)
                return false;
            return true;
        });
        grid.loadData();
        $("#system_grid_01").addClass("layui-form");
        grid.attachEvent("onDataReady", function () {
            setTimeout(function () {
                layui.form.render();
            }, 200);
        });
        //按钮添加方法
        grid.attachToolBarEvent("onButtonClick", function (name) {
            if (name == "querywork") {
                var fdata = grid.getToolBarForm().getFormData();
                grid.setParams(fdata);
                grid.reload();
            }
            if (name == "addBtn") {
                addsystem();
            }
            if (name == "impandexpBtn") {
                exprotFormInit();
            }
            if (name == "btn_down") {
                window.open("/download/工作台模板.xlsx");
            }
            if (name == "btn_reset") {
                grid.getToolBarForm().clear();
            }
        });
        //双击事件
        grid.on("onRowDblClicked", function () {
            show_systeminfo(grid.getSelectedRowId(), grid.getSelectedRowData());
        });
    }

    //添加系统管理
    function addsystem() {
        operType = 0;
        var str = "<div class=\"layui-col-lg12\" id=\"system_grid_add_content\"></div>";
        $("#system_grid_sub").html(str);
        $("#system_add_btn_next").show();

        systemFormInit(0, {});
        changePanel("system_grid_01_edit");
    }

    //保存操作
    $("#btn_save_system").click(function () {
        var b = form1.validate();
        if (!b) return;
        var fd = form1.getFormData();
        if (isNaN(fd.p_sort)) {
            PlgDialog.msg("排序不是数字");
            return;
        }
        if (operType === 0) {
            save_systeminfo(grid, "/users/sysconf/create", "post", "application/json", JSON.stringify(fd));
        }
        else if (operType === 1) {
            save_systeminfo(grid, "/users/sysconf/update", "put", "application/json", JSON.stringify(fd));
        }
    });

    //系统管理表单
    function systemFormInit(ntype, rdata) {
        var tit = "新增系统管理";
        var rediv = "system_grid_add_content";
        if (ntype === 1) {
            tit = "系统管理 [" + rdata.p_systemid + "] 信息修改";
            rediv = "system_grid_sub";
        }
        $("#system_span_title").html(tit);
        $("#btn_save_system").show();
        $("#" + rediv).html("");
        var formcfg = {
            renderer: rediv,
            items: [
                { type: "settings", inputWidth: 200, width: "*", labelWidth: 100, position: "label-left", labelAlign: "left" },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "input", name: "p_systemid", label: "系统编号:", validate: "NotEmpty", required: true },
                        { type: "newcolumn", offset: 60 },
                        { type: "input", name: "p_systemname", label: "系统名称:", validate: "NotEmpty", required: true }]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "combo", readonly: true, name: "p_apptype", label: "应用分类:", validate: comboVal, required: true, options: rsp_apptype, width: 200 },
                        { type: "newcolumn", offset: 60 },
                        { type: "combo", readonly: true, name: "p_methodtype", label: "请求类型:", validate: "NotEmpty", required: true, options: rsp_menu_type, width: 200 }]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "input", name: "p_sort", label: "排序:" }]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "checkbox", name: "p_enable", label: "是否启用:" },
                        { type: "hidden", name: "p_id", value: "" },
                        { type: "newcolumn", offset: 250 },
                        { type: "checkbox", name: "p_exttype", label: "外部资源:" }]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "input", name: "p_remark", label: "备注 :", width: 560 }]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "input", name: "p_url", label: "地址:", validate: "NotEmpty", required: true, width: 560 }]
                },
                {
                    type: "block", width: "*",
                    list: [{ type: "input", name: "p_logo", className: "p_logo", label: "图标:", width: 560 }]
                },
                {
                    type: "block", width: "*",
                    list: [{ type: "button", name: "system_save", className: "system_save", width: 65, value: "选择图标" }]
                }
            ]
        };
        form1 = new PlgForm(formcfg);
        form1.setFormData(rdata);

        if (ntype === 1) {
            form1.getDForm().disableItem("p_systemid");
            form1.getDForm().disableItem("p_id");
        }

        //文件上传
        layui.use("upload", function () {
            var $ = layui.jquery,
                upload = layui.upload;
            var demoListView = $("#demoList");
            upload.render({
                elem: "#" + rediv + " .system_save",
                url: "/users/attachment/insertAttachment",
                accept: "file",
                multiple: true,
                number: 3888,
                auto: false,
                bindAction: "#testListAction",
                choose: function (obj) {
                    this.files = obj.pushFile(); //将每次选择的文件追加到文件队列
                    //读取本地文件
                    obj.preview(function (index, file) {
                        form1.setItemValue("p_logo", "/img/" + file.name);
                        return;
                    });
                },
                done: function (res, index, upload) {
                    if (res.code == 0) { //上传成功
                        var tr = demoListView.find("tr#upload-" + index),
                            tds = tr.children();
                        tds.eq(2).html("<span style=\"color: #5FB878;\">上传成功</span>");
                        tds.eq(3).html(""); //清空操作
                        delete this.files[index]; //删除文件队列已经上传成功的文件
                        return;
                    }
                    this.error(index, upload);
                },
                allDone: function () {
                },
                error: function (index) {
                    var tr = demoListView.find("tr#upload-" + index),
                        tds = tr.children();
                    tds.eq(2).html("<span style=\"color: #FF5722;\">上传失败</span>");
                    tds.eq(3).find(".demo-reload").removeClass("layui-hide"); //显示重传
                }
            });

        });
    }

    //导入导出
    function exprotFormInit() {
        var rediv = "system_grid_sub";
        $("#system_span_title").html("导入/导出");
        $("#btn_save_system").hide();
        $("#" + rediv).html("");
        var config2 =
            {
                indexActive: 0,//初始化默认选中项
                content: [
                    {
                        title: "批量导入",
                        template: `<div id="pidao">1、上传文件格式支持xls、xlsx或者zone，大小不超过2MB。<br />
                                2、云解析DNS会按照预定模板扫描您的文件，并导入数据。下载模板<br />
                                3、每次最多可以导入500条解析记录，超出的部分将不会导入。<br /><br /><br /><br /></div>
                      <button class="layui-btn layui-btn-sm" id="GJDAOR"><i class="layui-icon" >&#xe7ea;</i> 导入</button>`
                    },
                    {
                        title: "批量导出",
                        template: `<div id="pichu">批量导出<br /><br /><br /><br /><br /><br /></div>
                        <button class="layui-btn layui-btn-sm" id="GJexports3"><i class="layui-icon" >&#xe7ea;</i> 导出</button>`
                    }
                ]
            };
        new PlgTabs(config2).renderTo(rediv).on(function () { });
        changePanel("system_grid_01_edit");
    }

    //系统管理信息保存
    function save_systeminfo(grid, url, type, contentType, formData) {
        //加载等待
        var pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        var rep = null;
        Prolog.ajax({
            url: url,
            type: type,
            contentType: contentType,
            data: formData,
            success: function (data) {
                PlgDialog.close(pload);
                rep = data;
                if (data.success) {
                    PlgDialog.msg(data.message);
                    setTimeout(function () { changePanel("system_grid_01"); grid.reload(); }, 10);
                }
                else {
                    setTimeout(() => { PlgDialog.alert(data.message == null ? "接口调用失败" : data.message); }, 300);
                }
            },
            error: function () { PlgDialog.close(pload); PlgDialog.msg("接口调用失败"); }
        });
        return rep;
    }

    //查看系统管理详细
    function show_systeminfo(rid, rdata) {
        $("#btn_save_system").hide();
        $("#system_span_title").html("系统管理 [" + rdata.p_systemid + "] 信息查看");
        $("#system_grid_sub").removeClass();
        changePanel("system_grid_01_edit");


        new PlgPanel({
            renderer: "system_grid_sub",
            skin: 2,
            header: {
                isShow: true,
                title: "基本信息"
            },
            defaultBody: {
                layoutCol: 3,
                valueBj: true,
                cols: [
                    [
                        { label: "系统编号", value: rdata.p_systemid },
                        { label: "系统名称", value: rdata.p_systemname },
                        { label: "排序", value: rdata.p_sort }
                    ],
                    [
                        { label: "是否启用", value: rdata.p_enable === 1 ? "是" : "否" },
                        { label: "外部资源", value: rdata.p_exttype === 1 ? "是" : "否" }
                    ],
                    [
                        { label: "应用分类", value: Prolog.getNameByID(rsp_apptype, rdata.p_apptype) },
                        { label: "请求类型", value: Prolog.getNameByID(rsp_menu_type, rdata.p_methodtype) },
                        { label: "备注", value: rdata.p_remark, layoutCol: 6 }
                    ],
                    [
                        { label: "地址", value: rdata.p_url, layoutCol: 6 },
                        { label: "图标", value: rdata.p_logo, layoutCol: 6 }
                    ],
                    [
                        { label: "创建人", value: rdata.p_createname },
                        { label: "创建时间", value: rdata.p_createtime },
                        { label: "修改人", value: rdata.p_modifiename },
                        { label: "修改时间", value: rdata.p_modifietime }
                    ]
                ]
            }
        });
    }

    //验证下拉框是否为空
    function comboVal(data) {
        if (data.toString() == "-1") return false;
        return true;
    }

    //删除
    window.system_deleteClick = function (rid) {
        utilDelete("/users/sysconf/delete/" + rid, "post", "", function (data) {
            layer.msg(data.message);
            grid.reload();
        });
        return false;
    };
    //修改
    window.system_updataClick = function (rid, rdata) {
        grid.selectRowById(rid);
        operType = 1;
        changePanel("system_grid_01_edit");
        systemFormInit(1, rdata);
        return false;
    };
    //详情
    window.system_showClick = function (rid, rdata) {
        grid.selectRowById(rid);
        show_systeminfo(rid, rdata);
        return false;
    };
};
