
/**
 * guoj
 * 2018.10.18
 * 容器
 */
 import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
 import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
export default () => {
    //from对象
    var confrom;
    //下拉框对象
    var containerSelect;
    //获取下拉框
    getSelectGJ([{ "objectcode": "containertype" }, { "objectcode": "co_status" }], function (data) {
        $("#container_select").attr("consignor", JSON.stringify(data.data));
        containerSelect = data.data.containertype;
        containerSelect.unshift({ "text": "", "value": "" });
    });
    layer.config({
        anim: 0, //默认动画风格
        shade: 0.5,
        btnAlign: "c",
        fixed: true,
        id: "plgDialog" + new Date().valueOf()
    });
    var Container = { "pageSize": 10, "pageNum": 1 };
    var opts = {
        //terrace显示全部，card分页显示
        skin: "card",
        //renderer:"grid",
        columns: [
            { id: "containercode", name: "id", type: "ro", width: "100", hidden: true },
            { id: "containercode", name: "容器编号", type: "ro", width: "100", render: function (v) { if (v == "test001") return "测试平台1"; } },
            {
                id: "containertype", name: "类型", type: "ro", width: "100", render: function (v, rd) {
                    if (rd["containertype"] == 0) {
                        return "周转箱";
                    }
                    if (rd["containertype"] == 1) {
                        return "托盘";
                    }
                    if (rd["containertype"] == 3) {
                        return "冷藏箱";
                    }
                    if (rd["containertype"] == 4) {
                        return "小推车";
                    }
                }
            },
            {
                id: "status", name: "状态", type: "ro", width: "105", render: function (v, rd) {

                    if (rd["status"] == 0) {
                        return Prolog.getCircle("red") + "作废";
                    }
                    if (rd["status"] == 10) {
                        return Prolog.getCircle("green") + "空闲";
                    }
                    if (rd["status"] == 90) {
                        return Prolog.getCircle("yellow") + "占用";
                    }
                }
            },
            { id: "createat", name: "创建时间", type: "ro", width: "175", render: function (v, rd) { return rd["id"]; } },
            { id: "branchid", name: "所属仓库", type: "ro", width: "175", hidden: true, render: function (v, rd) { return rd["id"]; } },
            { id: "lastmodifydate", name: "最后修改时间", type: "ro", width: "175", render: function (v, rd) { return rd["id"]; } },
            {
                id: "op", name: "操作", type: "button", align: "left", fixed: "right", width: "180", render: function (v, record) {
                    var text = "启用";
                    text = record.status == 10 ? "锁定" : "启用";
                    return "修改^resource_editClick," + text + "^resource_lockClick,详情^resource_details,删除^resource_deleteClick";
                }
            }
        ],
        multiselect: true,
        fixedLast: true, //开启固定列，固定最后一行，倒数第二列不能隐藏
        toolbar: [
            { type: "input", name: "containercode", label: "容器编号:", width: 270 }, { type: "newcolumn", offset: 40 },
            {
                type: "combo", readonly: true, name: "containertype", label: "容器类型 :", width: 270, options: containerSelect
            },
            { type: "newcolumn", offset: 10 },
            { type: "button", name: "querycon", value: "查询" }, { type: "newcolumn" },
            { type: "button", name: "con_Reset", className: "normal", value: "重置" }, { type: "newcolumn" },
            { type: "button", name: "exportBtn", className: "plg-toolbar-right", value: "<i class='layui-icon layui-icon-download-circle'></i>导出" }, { type: "newcolumn" },
            { type: "button", name: "addBtn", offsetLeft: 10, className: "plg-toolbar-right", value: "<i class='layui-icon layui-icon-add-1'></i>新增" }, { type: "newcolumn" }
        ],
        imagePath: "/prologui/dist/images/PlgGrid",
        url: "/basic/container/list",//数据接口
        type: "post",//数据提交方式，默认为get
        pagebar: {
            buttons: [
                { text: "删除", className: "layui-btn-danger", name: "delete" },
                { text: "锁定", className: "", name: "lock" },
                { text: "启用", className: "", name: "unlock" }
            ]
            // type: 'simple' //full simple
        },
        params: JSON.stringify(Container),//查询提交参数，分页参数默认为pageNum,pageSize
        contentType: "application/json",
        page: true, //是否启用分页
        totalCount: "totalCount" //总记录数字段，默认totalCount
    };
    //分页参数 pageSize pageNum
    var grid = new PlgGrid(opts);
    grid.renderTo("container_div");
    grid.loadData();

    //按钮添加方法
    grid.attachToolBarEvent("onButtonClick", function (name) {
        //查询
        if (name == "querycon") {
            var fdata = grid.getToolBarForm().getFormData();
            grid.setParams(JSON.stringify(fdata));
            grid.reload();
        }
        //新增
        if (name == "addBtn") {
            $("#container_title").html("新增");
            $("#container_div4").empty();
            $("#container_div3").css("display", "none");
            $("#container_div1").css("display", "block");
            $("#container_div9").css("display", "none");
            $("#container_Template").css("display", "none");
            confrom = $("#container_div4").initPlgForm({
                items: [
                    { type: "settings", position: "label-left", width: 300, labelWidth: 80 },
                    { type: "newcolumn", offset: 30 },
                    {
                        type: "select", name: "containertype", label: "容器类型 :", width: 260, options: JSON.parse($("#container_select").attr("consignor")).containertype
                    },
                    { type: "newcolumn", offset: 10 },
                    { type: "input", name: "startContainercode", label: "起始号:", width: 260, validate: "ValidNumeric", required: true },

                    { type: "newcolumn", offset: 10 },
                    { type: "input", name: "endContainercode", label: "终止号:", width: 260, validate: "ValidNumeric", required: true }]
            });

            confrom.attachEvent("onBlur", function (name) {
                let fd = confrom.getFormData();

                if (name == "startContainercode") {
                    let startContainercode = parseFloat(fd.startContainercode);
                    if (!Number.isInteger(startContainercode)) {
                        PlgDialog.msg("起始号只能为整数");
                        confrom.setItemValue("startContainercode", "");
                    }
                }
                if (name == "endContainercode") {
                    let endContainercode = parseFloat(fd.endContainercode);
                    if (!Number.isInteger(endContainercode)) {
                        PlgDialog.msg("终止号只能为整数");
                        confrom.setItemValue("endContainercode", "");
                    }
                }
            });
        }
        //导出
        if (name == "impandexpBtn") {
            // utilImportGJ("/download/容器模板.xlsx", "/basic/container/batch-delete");
            $("#container_div3").css("display", "none");
            $("#container_div1").css("display", "none");
            $("#container_div9").css("display", "none");
            $("#container_Template").css("display", "block");
        }
        //导出数据
        if (name == "exportBtn") {
            unfilledWorktime_export();
        }
        //导出
        if (name == "download") {
            window.open("/download/容器模板.xlsx");
        }
        //重置
        if (name == "con_Reset") {
            grid.getToolBarForm().clear();
        }
    });
    utilImportGJ2("container_Template1", "containerImportId", "containerExportId", "url", function () {
        $("#container_div1").css("display", "none");
        $("#container_div3").css("display", "block");
        $("#container_div9").css("display", "none");
        $("#container_Template").css("display", "none");
    });
    //按钮添加方法
    grid.attachPageBarEvent(function (name) {
        //删除
        if (name == "delete") {
            let data = [];
            let datas = getDeleteAll(grid);
            datas.forEach(v => {
                data.push({ containercode: v });
            });
            data = JSON.stringify(data);
            utilDelete("/basic/container/batch-delete", "put", data, function (data) {
                setTimeout(() => { PlgDialog.msg(data.message == null ? "接口调用失败" : data.message); }, 300);
                grid.reload();
            }, "application/json");
        }
        //锁定
        if (name == "lock") {
            let data = [];
            let datas = getDeleteAll(grid);
            datas.forEach(v => {
                data.push({ containercode: v, "status": "90" });
            });
            data = JSON.stringify(data);
            utilAjaxGJ("/basic/container/update-status", "put", data, function (data) {
                setTimeout(() => { PlgDialog.msg(data.message == null ? "接口调用失败" : data.message); }, 300);
                grid.reload();
            }, "application/json");
        }
        //启用
        if (name == "unlock") {
            var data = [];
            var datas = getDeleteAll(grid);
            datas.forEach(v => {
                data.push({ containercode: v, "status": "10" });
            });
            data = JSON.stringify(data);
            utilAjaxGJ("/basic/container/update-status", "put", data, function (data) {
                setTimeout(() => { PlgDialog.msg(data.message == null ? "接口调用失败" : data.message); }, 300);
                grid.reload();
            }, "application/json");
        }
    });

    //主界面导出事件
    function unfilledWorktime_export() {
        var fdata = grid.getToolBarForm().getFormData();
        var obj = JSON.parse(JSON.stringify(fdata));
        var url = "/basic/container/export?containercode=" + encodeURI(obj.containercode) + "&containertype=" + encodeURI(obj.containertype);
        var token = localStorage.getItem("authorization");
        if (token == null || token == "") {
            PlgDialog.msg("登录状态异常，请重新登录！");
            window.location.href = "/menu?path=login";
            return;
        }
        var xhh = new XMLHttpRequest();
        xhh.open("get", url);
        xhh.setRequestHeader("Authorization", token);
        xhh.responseType = "blob";
        xhh.onreadystatechange = function () {
            if (xhh.readyState === 4 && xhh.status === 200) {
                var filename = "容器" + new Date().getTime() + ".xlsx";
                var blob = new Blob([xhh.response], { type: "text/xlsx" });
                var csvUrl = URL.createObjectURL(blob);
                var link = document.createElement("a");
                link.href = csvUrl;
                link.download = filename;
                link.click();
            }
        };
        xhh.send();

    }

    //修改
    window.resource_editClick = function (rid, data) {
        $("#container_title").html("修改");
        $("#container_div4").empty();
        $("#container_div3").css("display", "none");
        $("#container_div1").css("display", "block");
        $("#container_div9").css("display", "none");
        $("#container_Template").css("display", "none");
        confrom = $("#container_div4").initPlgForm({
            items: [
                { type: "settings", position: "label-left", width: 300, labelWidth: 80 },
                { type: "newcolumn", offset: 30 },
                { type: "input", name: "containercode", label: "容器编号:", width: 260, editable: false },
                { type: "newcolumn", offset: 10 },
                {
                    type: "select", name: "containertype", label: "容器类型 :", width: 260, options: JSON.parse($("#container_select").attr("consignor")).containertype
                },
                { type: "newcolumn", offset: 10 },
                {
                    type: "select", name: "status", label: "容器状态 :", width: 260, options: JSON.parse($("#container_select").attr("consignor")).co_status
                }]
        });
        confrom.disableItem("containercode");
        confrom.disableItem("containertype");
        confrom.setFormData(data);
    };
    //详情
    window.resource_details = function (rid, rdata) {
        var dataSelect = JSON.parse($("#container_select").attr("consignor"));
        $("#container_div3").css("display", "none");
        $("#container_div1").css("display", "none");
        $("#container_div9").css("display", "block");
        $("#container_Template").css("display", "none");
        new PlgPanel({
            renderer: "container_div422",
            skin: 2,
            header: {
                isShow: true,
                title: "基本信息"
            },
            defaultBody: {
                layoutCol: 3,
                valueBj: true,
                cols: [
                    [{
                        label: "容器编号",
                        value: rdata.containercode
                    }, {
                        label: "容器类型",
                        value: getSelectValue(dataSelect.containertype, rdata.containertype)
                    }, {
                        label: "库别",
                        value: getSelectValue(dataSelect.co_status, rdata.status)
                    }]
                ]
            }
        });
    };
    //锁定
    window.resource_lockClick = function (rid, data) {
        grid.selectRowById(rid);
        var datas;
        var status = data.status == "10" ? "90" : "10";
        data = grid.getSelectedRowId();
        if (data == null) {
            PlgDialog.msg("请选择行!");
            return;
        }
        datas = [{ "containercode": data, "status": status }];
        utilAjaxGJ("/basic/container/update-status", "put", JSON.stringify(datas), function (data) {
            setTimeout(() => { PlgDialog.msg(data.message == null ? "接口调用失败" : data.message); }, 300);
            grid.reload();
        }, "application/json");
    };
    //删除
    window.resource_deleteClick = function (rid) {
        grid.selectRowById(rid);
        let data = [];
        let datas = getDeleteAll(grid);
        datas.forEach(v => {
            data.push({ containercode: v });
        });
        data = JSON.stringify(data);
        utilDelete("/basic/container/batch-delete", "put", data, function (data) {
            setTimeout(() => { PlgDialog.msg(data.message == null ? "接口调用失败" : data.message); }, 300);
            grid.reload();
        }, "application/json");
    };
    //跳转页面
    var carousel = layui.carousel;
    carousel.render({
        elem: "#container_div2",
        autoplay: false,
        index: 0,
        arrow: "none",
        indicator: "none",
        anim: "fade",
        width: "100%", //设置容器宽度
        height: "100%"
    });

    //返回
    $(document).on("click", "#container_return", function () {
        $("#container_div3").css("display", "block");
        $("#container_div1").css("display", "none");
        $("#container_div9").css("display", "none");
        $("#container_Template").css("display", "none");
    });
    //保存
    document.querySelector("#container_save").onclick = function () {
        //数据data
        var data = confrom.getFormData();
        var feik = confrom.validate();
        if (!feik) {
            return;
        }
        //请求地址和类型
        var url = "/basic/container/batch-update";
        var type = "put";
        var contentType = "application/json";
        //companyid新增为null
        if (data.status == null || data.status == "") {
            var re = /^[0-9]+$/;
            if (!re.test(data.startContainercode) || !re.test(data.endContainercode)) {
                PlgDialog.msg("起始号或终止号必须为正整数");
                return;
            }
            url = "/basic/container/batch-create2";
            type = "post";
            contentType = "application/x-www-form-urlencoded";
        }
        else {
            data = JSON.stringify([data]);
        }
        //调用ajax方法
        utilAjaxGJ(url, type, data, function (data) {
            setTimeout(() => { PlgDialog.msg(data.message == null ? "接口调用失败" : data.message); }, 300);
            grid.reload();
            $("#container_div3").css("display", "block");
            $("#container_div1").css("display", "none");
            $("#container_div9").css("display", "none");
            $("#container_Template").css("display", "none");
        }, contentType);
    };
};