/**
 * guoj
 * 2018.10.15
 * 库区
 */
 import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
 import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
 export default () => {
    var ddfrom = null;
    //按钮
    var batton = {
        del: "删除",
        update: "更新",
        run: "详情"
    };
    //获取下拉框
    getSelectGJ([{ "objectcode": "wms_storageattr" }, { "objectcode": "wms_pickmode" }, { "objectcode": "areatype" }], function (data) {
        $("#reservoir_area_select").attr("consignor", JSON.stringify(data.data));

    });
    //库别
    var warehouse;
    getDropDownWharehouse();
    //跳转页面
    var carousel = layui.carousel;
    var comp_data;
    carousel.render({
        elem: "#reservoir_area_div2",
        autoplay: false,
        index: 0,
        arrow: "none",
        indicator: "none",
        anim: "fade",
        width: "100%", //设置容器宽度
        height: "100%"
    });

    queryGj();
    function queryGj() {
        $("#guojzhuans1").empty();
        //查询数据
        utilSyncAjaxGJ("/basic/area/list-by-storoom", "get", { "branchid": userGJ.p_companyid }, function (data) {
            comp_data = data.data.zoneList;
            for (var i = 0; i < comp_data.length; i++) {
                var div = "<div style=\"padding: 1px;\" id=" + comp_data[i].storeroomcode + "></div>";
                $("#guojzhuans1").append(div);
                if (comp_data[i].list != null) {
                    for (var y = 0; y < comp_data[i].list.length; y++) {
                        comp_data[i].list[y].name = comp_data[i].list[y].areaname;
                        comp_data[i].list[y].description = "";
                        comp_data[i].list[y].useNo = comp_data[i].list[y].areacode;
                        comp_data[i].list[y].btns = batton;
                        comp_data[i].list[y].id = JSON.stringify(comp_data[i].list[y]);
                    }
                }
                //渲染数据
                var config = {
                    renderer: comp_data[i].storeroomcode,
                    data: {
                        zoneId: comp_data[i].storeroomcode,
                        zoneName: comp_data[i].storeroomname,
                        isShowAdd: true,
                        customerList: comp_data[i].list
                    }
                };
                var plgCard = new PlgCardList(config);
                //新增
                plgCard.on("add", function (ind) {
                    add(0, "新增", { "refstoreroom": ind });
                });
                if (comp_data[i].list != null) {
                    //删除
                    plgCard.on("del", function (ind) {
                        del(ind);
                    });
                    //详情
                    plgCard.on("run", function (rdata) {
                        update(rdata);
                    });
                    //修改
                    plgCard.on("update", function (ind) {
                        add(1, "修改", ind);
                    });
                }
            }
        });
    }
    function add(message, title, dataGJ) {
        $("#reservoir_area_div1").css("display", "block");
        $("#reservoir_area_div3").css("display", "none");
        $("#reservoir_area_xq").css("display", "none");
        $("#reservoir_area_title").html(title);
        ddfrom.clear();
        ddfrom.setFormData(dataGJ);
        ddfrom.enableAllItem();
        if (message == 1) {
            ddfrom.disableItem("areacode");
        }
        if (message == 2) {
            ddfrom.disableAllItem();
        }
    }
    function del(ind) {
        utilDelete("/basic/area/batch-delete", "put", JSON.stringify([{ "sysid": ind.sysid }]), function (data) {
            setTimeout(() => { PlgDialog.msg(data.message == null ? "接口调用失败" : data.message); }, 300);
            queryGj();
        }, "application/json");
    }
    function update(rdata) {
        var dataSelete = JSON.parse($("#reservoir_area_select").attr("consignor"));
        $("#reservoir_area_div1").css("display", "none");
        $("#reservoir_area_div3").css("display", "none");
        $("#reservoir_area_xq").css("display", "block");
        new PlgPanel({
            renderer: "reservoir_div422",
            skin: 2,
            header: {
                isShow: true,
                title: "基本信息"
            },
            defaultBody: {
                layoutCol: 3,
                valueBj: true,
                cols: [
                    [{
                        label: "区域编号",
                        value: rdata.areacode
                    },
                    {
                        label: "区域名称",
                        value: rdata.areaname
                    },
                    {
                        label: "库别",
                        value: getSelectValue(warehouse, rdata.refstoreroom)
                    },
                    {
                        label: "存储属性",
                        value: getSelectValue(dataSelete.wms_storageattr, rdata.scattermark)
                    }],
                    [
                        {
                            label: "作业方式",
                            value: getSelectValue(dataSelete.wms_pickmode, rdata.pickmode)
                        },
                        {
                            label: "区域类型",
                            value: getSelectValue(dataSelete.areatype, rdata.areatype)
                        },
                        {
                            label: "受日期控制",
                            value: rdata.checkbox == 1 ? "是" : "否"
                        }
                    ]
                ]
            }
        });
    }
    //获取库别
    function getDropDownWharehouse() {
        utilSyncAjaxGJ("/basic/storeroom/list-all", "post", { "branchid": userGJ.p_companyid }, function (data) {
            warehouse = data.data;
        });
    }
    ddfrom = $("#reservoir_area_div4").initPlgForm({
        items: [
            { type: "settings", position: "label-left", width: 300, labelWidth: 80 },
            { type: "hidden", name: "sysid", label: "id:", width: 230 },
            { type: "newcolumn", offset: 30 },
            { type: "input", name: "areacode", label: "区域编号:", width: 210, editable: false, validate: "NotEmpty", required: true },
            { type: "input", name: "areaname", label: "区域名称:", width: 210, validate: "NotEmpty", required: true },
            { type: "checkbox", name: "checkbox", label: "受日期控制:"},
            { type: "newcolumn", offset: 10 },
            {
                type: "select", name: "refstoreroom", label: "库别:", width: 210, options: warehouse
            },
            {
                type: "select", name: "scattermark", label: "存储属性:", width: 210, options: JSON.parse($("#reservoir_area_select").attr("consignor")).wms_storageattr
            },
            { type: "newcolumn", offset: 10 },
            {
                type: "select", name: "pickmode", label: "作业方式:", width: 210, options: JSON.parse($("#reservoir_area_select").attr("consignor")).wms_pickmode
            },
            {
                type: "select", name: "areatype", label: "区域类型:", width: 210, options: JSON.parse($("#reservoir_area_select").attr("consignor")).areatype
            }]
    });
    //返回
    $(document).on("click", "#reservoir_area_return", function () {
        $("#reservoir_area_div1").css("display", "none");
        $("#reservoir_area_div3").css("display", "block");
        $("#reservoir_area_xq").css("display", "none");
    });
    //保存
    document.querySelector("#reservoir_area_save").onclick = function () {
        //数据data
        var data = ddfrom.getFormData();
        var feik = ddfrom.validate();
        if (!feik) {
            return;
        }
        //请求地址和类型
        var url = "/basic/area/update";
        var type = "put";
        var contentType = "application/json";
        //message新增为0，修改为1
        if (data.sysid == null || data.sysid == "") {
            url = "/basic/area/create";
            type = "post";
        }
        data.branchid = userGJ.p_companyid;
        //调用ajax方法
        utilAjaxGJ(url, type, JSON.stringify(data), function (data) {
            setTimeout(() => { PlgDialog.msg(data.message == null ? "接口调用失败" : data.message); }, 300);
            queryGj();
            $("#reservoir_area_div1").css("display", "none");
            $("#reservoir_area_div3").css("display", "block");
            $("#reservoir_area_xq").css("display", "none");
        }, contentType);
    };
};