 /**
 * guoj
 * 2020.03.31
 * 工位与配送目标
 */
  import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
  import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
  export default () => {
    var grid = null;
    var ddfrom = null;
    var subsegtwoSelect;
    //获取下拉框
    getSelectGJ([{ "objectcode": "subsegtwo" }], function (data) {
        subsegtwoSelect = data.data.subsegtwo;
    });
    var opts = {
        //terrace显示全部，card分页显示
        skin: "card",
        //renderer:"grid",
        columns: [
            { id: "id", name: "id", type: "ro", width: 100, hidden: true },
            { id: "datacode", name: "仓名称", type: "ro", width: 100 },
            { id: "subsegone", name: "产线", type: "ro", width: 100 },
            { id: "subsegtwo", name: "工位", type: "ro", width: 100 },
            { id: "valueparmone", name: "目标位置", type: "ro", width: 100 },
            { id: "storevalue", name: "目标位置描述", type: "ro",width: 100 },
            { id: "createdate", name: "创建时间", type: "ro", width: 130 },
            { id: "remarkinfoname", name: "创建人", type: "ro", width: 80 },
            { id: "valueparmthree", name: "最后修改时间", type: "ro",width: 130 },
            { id: "valueparmthree", name: "最后修改人", type: "ro", width: 80 },
            {
                id: "op", name: "操作", type: "button", align: "center", fixed: "right", width: 200, render: function () {
                    return "删除^stationAndObjectives_deleteClick,修改^stationAndObjectives_updataClick,复制^stationAndObjectives_copy,详情^stationAndObjectives_details";
                }
            }
        ],
        multiselect: true,
        fixedLast: true, //开启固定列，固定最后一行，倒数第二列不能隐藏
        toolbar: [
            { type: "newcolumn", offset: 10 },
            { type: "input", name: "storevalue", label: "产线:", width: 200 },
            { type: "newcolumn", offset: 10 },
            { type: "input", name: "storevalue", label: "工位:", width: 200 },
            { type: "newcolumn", offset: 10 },
            { type: "input", name: "storevalue", label: "目标位置:", width: 200 },
            { type: "newcolumn", offset: 10 },
            { type: "button", name: "querywork", value: "查询" }, { type: "newcolumn" },
            { type: "button", name: "work_Reset", className: "normal", value: "重置" }, { type: "newcolumn" },
            { type: "button", name: "addBtn", offsetLeft: 10, className: "plg-toolbar-right", value: "<i class='layui-icon layui-icon-add-1'></i>新增" }, { type: "newcolumn" }],
        imagePath: "/prologui/dist/images/PlgGrid",
        url: "/booking/goodsdefined/getGoodsdefined/v1.0",//数据接口
        type: "get",//数据提交方式，默认为get
        pagebar: {
            buttons: [
                { text: "删除", className: "layui-btn-danger", name: "delete" }
            ]
        },
        params: {},//查询提交参数，分页参数默认为pageNum,pageSize
        page: true, //是否启用分页
        totalCount: "totalCount" //总记录数字段，默认totalCount
    };
    //分页参数 pageSize pageNum
    grid = new PlgGrid(opts);
    grid.renderTo("stationAndObjectives_table");
    $("#stationAndObjectives_table").addClass("layui-form");
    grid.attachEvent("onDataReady", function () {
        setTimeout(function () {
            layui.form.render();
        }, 200);
    });
    grid.loadData();
    //按钮添加方法
    grid.attachToolBarEvent("onButtonClick", function (name) {
        if (name == "querywork") {
            var fdata = grid.getToolBarForm().getFormData();
            grid.setParams(fdata);
            grid.reload();
        }
        if (name == "addBtn") {
            $("#stationAndObjectives_div1").css("display", "block");
            $("#stationAndObjectives_div3").css("display", "none");
            $("#stationAndObjectives_div9").css("display", "none");
            $("#stationAndObjectives_Template").css("display", "none");
            ddfrom.enableAllItem();
            ddfrom.clear();
            $("#stationAndObjectives_title").html("新增");
            stationAndObjectivesTimeInit();
        }
        if (name == "work_Reset") {
            grid.getToolBarForm().clear();
        }
    });
    //按钮添加方法
    grid.attachPageBarEvent(function (name) {
        //删除
        if (name == "delete") {
            var datas = getDeleteAll(grid);
            utilDelete("/booking/goodsdefined/deleteGoodsdefined/v1.0", "post", JSON.stringify(datas), function (data) {
                setTimeout(() => { PlgDialog.msg(data.message == null ? "接口调用失败" : data.message); }, 300);
                grid.reload();
            }, "application/json");
        }
    });
    //删除
    window.stationAndObjectives_deleteClick = function (rid) {
        grid.selectRowById(rid);
        var datas = getDeleteAll(grid);
        utilDelete("/booking/goodsdefined/deleteGoodsdefined/v1.0", "post", JSON.stringify(datas), function (data) {
            setTimeout(() => { PlgDialog.msg(data.message == null ? "接口调用失败" : data.message); }, 300);
            grid.reload();
        }, "application/json");
    };
    //修改
    window.stationAndObjectives_updataClick = function (rid, data) {
        ddfrom.enableAllItem();
        grid.selectRowById(rid);
        var strconsole = data.subsegone.split("-");
        ddfrom.clear();
        data.End = strconsole[1];
        data.start = strconsole[0];
        ddfrom.setFormData(data);
        stationAndObjectivesTimeInit();
        $("#stationAndObjectives_div1").css("display", "block");
        $("#stationAndObjectives_div3").css("display", "none");
        $("#stationAndObjectives_div9").css("display", "none");
        $("#stationAndObjectives_Template").css("display", "none");
        $("#stationAndObjectives_title").html("编辑");
    };
    //复制
    window.stationAndObjectives_copy = function (rid, data) {
        ddfrom.enableAllItem();
        grid.selectRowById(rid);
        var strconsole = data.subsegone.split("-");
        ddfrom.clear();
        data.id = "";
        data.End = strconsole[1];
        data.start = strconsole[0];
        ddfrom.setFormData(data);
        $("#stationAndObjectives_div1").css("display", "block");
        $("#stationAndObjectives_div3").css("display", "none");
        $("#stationAndObjectives_div9").css("display", "none");
        $("#stationAndObjectives_Template").css("display", "none");
        $("#stationAndObjectives_title").html("新增");
        stationAndObjectivesTimeInit();
    };
    //详情
    window.stationAndObjectives_details = function (rid, rdata) {
        grid.selectRowById(rid);
        $("#stationAndObjectives_div1").css("display", "none");
        $("#stationAndObjectives_div3").css("display", "none");
        $("#stationAndObjectives_div9").css("display", "block");
        $("#stationAndObjectives_Template").css("display", "none");
        new PlgPanel({
            renderer: "stationAndObjectives_div422",
            skin: 2,
            header: {
                isShow: true,
                title: "基本信息"
            },
            defaultBody: {
                layoutCol: 3,
                valueBj: true,
                cols: [
                    [{
                        label: "仓名称",
                        value: rdata.datacode
                    },
                    {
                        label: "产线",
                        value: rdata.subsegone
                    },
                    {
                        label: "工位",
                        value: rdata.valueparmone
                    },
                    {
                        label: "目标位置",
                        value: rdata.subsegtwo
                    }],
                    [
                        {
                            label: "目标位置描述",
                            value: rdata.storevalue
                        },
                        {
                            label: "创建时间",
                            value: rdata.createdate
                        },
                        {
                            label: "创建人",
                            value: rdata.remarkinfoname
                        },
                        {
                            label: "最后修改时间",
                            value: rdata.valueparmthree
                        }
                    ],[{

                        label: "最后修改人",
                        value: rdata.valueparmthree
                    }]
                ]
            }
        });
    };
    //跳转页面
    var carousel = layui.carousel;
    carousel.render({
        elem: "#stationAndObjectives_div2",
        autoplay: false,
        index: 0,
        arrow: "none",
        indicator: "none",
        anim: "fade",
        width: "100%", //设置容器宽度
        height: "100%"
    });
    ddfrom = $("#stationAndObjectives_div4").initPlgForm({
        items: [
            { type: "settings", position: "label-left", width: 300, labelWidth: 80 },
            { type: "hidden", name: "id", label: "id:", width: 230 },
            { type: "combo", readonly: true, name: "subsegtwo", label: "仓库:", width: 230, options: subsegtwoSelect, validate: "NotEmpty", required: true },
            { type: "input", name: "valueparmone", label: "目标位置:", width: 230, validate: "NotEmpty", required: true },
            { type: "newcolumn", offset: 10 },
            { type: "input", name: "start", label: "产线:", width: 230, validate: "NotEmpty", required: true },
            { type: "input", name: "storevalue", label: "目标位置描述:", width: 230 },
            { type: "newcolumn", offset: 10 },
            { type: "input", name: "End", label: "工位:", width: 230, validate: "NotEmpty", required: true}
        ]
    });
    //返回
    $(document).on("click", "#stationAndObjectives_return", function () {
        $("#stationAndObjectives_div1").css("display", "none");
        $("#stationAndObjectives_div3").css("display", "block");
        $("#stationAndObjectives_div9").css("display", "none");
        $("#stationAndObjectives_Template").css("display", "none");
    });
    //保存
    document.querySelector("#stationAndObjectives_save").onclick = function () {
        //数据data
        var data = ddfrom.getFormData();
        var feik = ddfrom.validate();
        if (!feik) {
            return;
        }
        data.datacode = userGJ.p_companyid;
        data.objectcode = "IN_Book_Ability";
        //请求地址和类型
        var url = "/booking/goodsdefined/modifyGoodsdefined/v1.0";
        var type = "post";
        //message新增为0，修改为1
        if (data.id == null || data.id == "") {
            url = "/booking/goodsdefined/newGoodsdefined/v1.0";
        }
        //调用ajax方法
        utilAjaxGJ(url, type, data, function (data) {
            setTimeout(() => { PlgDialog.msg(data.message == null ? "接口调用失败" : data.message); }, 300);
            $("#stationAndObjectives_div1").css("display", "none");
            $("#stationAndObjectives_div3").css("display", "block");
            $("#stationAndObjectives_div9").css("display", "none");
            $("#stationAndObjectives_Template").css("display", "none");
            grid.reload();
        });
    };
};
