/**
 * zzx
 * 2022.02.14
 * 商品品类管理
    */
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE, UPCLOUD_RDC_TMS_BUSINESS_SERVICE, UPCLOUD_RDC_TMS_INTERFACE_SERVICE } from '@/config/serviceSettings.js';
import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
export default () => {
  // 获取扩展字段
  let gird_opts_list = [], form_opts_list = [], date_list = [];
  utilSyncAjaxGJ(UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/extendedField/list", "post", JSON.stringify({ "extendedObjectCode": "1" }), function (res) {
    extendedFieldList({ list: res.data, className: "layui-col-md4" }, function (res) {
      gird_opts_list = res.gird_opts_list;
      form_opts_list = res.form_opts_list;
      date_list = res.date_list;
    });
  }, "application/json");

  let master_grid, edit_form;

  // 跳转页面
  var carousel = layui.carousel;
  carousel.render({
    elem: "#transportationCategory",
    autoplay: false,
    index: 0,
    arrow: "none",
    indicator: "none",
    anim: "fade",
    width: "100%", //设置容器宽度
    height: "100%"
  });
  let viewList = ["#transportationCategory_edit", "#transportationCategory_main", "#transportationCategory_view"];
  function changePanel(name) {
    for (let i = 0; i < viewList.length; i++) {
      if (name == viewList[i]) {
        $(name).css("display", "block");
      }
      else {
        $(viewList[i]).css("display", "none");
      }
    }
  }
  // 返回
  $(".transportationCategory_return").on("click", function () {
    changePanel("#transportationCategory_main");
  });

  // 获取下拉框
  let dataSelect;
  getSelectGJ([
    { "objectcode": "ITEM_CATEGORY_LEVEL" }
  ], function (data) {
    data.data.ITEM_CATEGORY_LEVEL.unshift({ "text": "", "value": "" });
    dataSelect = data.data;
  });

  // 上级商品品类
  let itemCategory_table = {
    columns: [
      { id: "itemCategoryId", name: "id", type: "ro", hidden: true },
      { id: "itemCategoryCode", name: "商品品类编码", type: "ro" },
      { id: "itemCategoryName", name: "商品品类名称", type: "ro" },
      { id: "itemCategoryLevel", name: "类目级别", type: "ro", render: function (v) { return getSelectValue(dataSelect.ITEM_CATEGORY_LEVEL, v); } },
      { id: "fatherItemCategoryCode", name: "上级商品品类编码", type: "ro" },
      { id: "fatherItemCategoryName", name: "上级商品品类名称", type: "ro" },
      { id: "fatherItemCategoryLevel", name: "上级类目级别", type: "ro", render: function (v) { return getSelectValue(dataSelect.ITEM_CATEGORY_LEVEL, v); } }
    ],
    toolbar: [
      { type: "settings", labelAlign: "right", labelWidth: 65 },
      { type: "input", name: "search", label: "查询条件:", offsetLeft: 5, placeholder: "请输入商品品类编码/名称", width: 300 },
      { type: "newcolumn" },
      { type: "button", name: "querycarr", value: "查询" },
      { type: "newcolumn" },
      { type: "button", name: "car_Reset", value: "重置" }

    ],
    multiselect: false,

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/item_category/popup",
    type: "post",
    params: "{}",
    contentType: "application/json",
    pagebar: { type: "simple" },
    page: true,
    totalCount: "totalCount"
  };

  let master_grid_opts_columns = [
    { id: "itemCategoryId", name: "id", type: "ro", width: 120, hidden: true },
    { id: "itemCategoryCode", name: "商品品类编码", type: "ro", width: 120 },
    { id: "itemCategoryName", name: "商品品类名称", type: "ro", width: 120 },
    { id: "itemCategoryLevel", name: "类目级别", type: "ro", width: 120, render: function (v) { return getSelectValue(dataSelect.ITEM_CATEGORY_LEVEL, v); } },
    { id: "fatherItemCategoryCode", name: "上级商品品类编码", type: "ro", width: 120 },
    { id: "fatherItemCategoryName", name: "上级商品品类名称", type: "ro", width: 120 },
    { id: "fatherItemCategoryLevel", name: "上级类目级别", type: "ro", width: 120, render: function (v) { return getSelectValue(dataSelect.ITEM_CATEGORY_LEVEL, v); } },
    { id: "memo", name: "备注", type: "ro", width: 120 },
    { id: "statusName", name: "状态", type: "ro", width: 120 },
  ]
  var master_grid_opts = {
    skin: "card",
    columns: master_grid_opts_columns.concat(gird_opts_list, [
      { id: "createperson", name: "创建人", type: "ro", width: 120 },
      { id: "createtime", name: "创建时间", type: "ro", width: 120 },
      { id: "updateperson", name: "修改人", type: "ro", width: 120 },
      { id: "updatetime", name: "修改时间", type: "ro", width: 120 },
      {
        id: "op", name: "操作", type: "button", align: "center", fixed: "right", width: 250, render: function (v, rd) {
          let result = "查看^transportationCategory_view,修改^transportationCategory_edit,";
          if (rd.status == 10) {
            result += "停用^transportationCategory_enOrDis";
          }
          else {
            result += "启用^transportationCategory_enOrDis";
          }
          result += ",删除^transportationCategory_del";
          return result;
        }
      }
    ]),
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "input", className: "layui-col-md3", name: "itemCategoryCode", label: "商品品类编码:" },
          { type: "input", className: "layui-col-md3", name: "itemCategoryName", label: "商品品类名称:" },
          {
            type: "block", className: "layui-col-md2 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "master_search", value: "查 询" },
              { type: "newcolumn" },
              { type: "button", name: "master_reset", value: "重 置" }
            ]
          },
          {
            type: "block", className: "layui-col-md4 right",
            list: [
              { type: "button", className: "btn-normal", name: "master_add", value: "<i class='layui-icon layui-icon-add-1'></i>新 增" },
              { type: "newcolumn" },
              { type: "button", className: "btn-normal", name: "master_en", value: "启用" },
              { type: "newcolumn" },
              { type: "button", className: "btn-danger", name: "master_dis", value: "停用" },
              { type: "newcolumn" },
              { type: "button", className: "btn-danger", name: "master_del", value: "删除" },
              { type: "newcolumn" },
              { type: "button", className: "btn-normal", name: "master_import", value: "导入" }
            ]
          }
        ]
      }
    ],
    multiselect: true,
    fixedLast: true,

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/item_category/paging_query",
    type: "post",
    contentType: "application/json",
    params: "{}",
    page: true,
    totalCount: "totalCount"
  };
  master_grid = new PlgGrid(master_grid_opts);
  master_grid.renderTo("transportationCategory_master");
  master_grid.loadData();

  master_grid.attachToolBarEvent("onButtonClick", function (name) {
    if (name === "master_search") {
      var request = master_grid.getToolBarForm().getFormData();
      master_grid.setParams(JSON.stringify(request));
      master_grid.reload();
    }
    else if (name === "master_reset") {
      master_grid.getToolBarForm().clear();
    }
    else if (name === "master_add") {
      changePanel("#transportationCategory_edit");
      $("#transportationCategory_edit_title").html("新增");
      editFormInit();
    }
    else if (name === "master_en" || name === "master_dis") {
      let ids = master_grid.getCheckedIds();
      let status = name === "master_en" ? 10 : 0;
      if (!ids) {
        layer.msg("请选择数据");
        return false;
      }
      let list = ids.split(",").map(item => {
        return { itemCategoryId: item };
      });
      itemCategory_whetherToEnable(list, status);
    }
    else if (name === "master_del") {
      let ids = master_grid.getCheckedIds();
      if (!ids) {
        layer.msg("请选择数据");
        return false;
      }
      let list = ids.split(",").map(item => {
        return { itemCategoryId: item };
      });
      itemCategory_del(list);
    }
    else if (name === "master_import") {
      importDialog({ id: "import", importUrl: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/item_category/importExcel", downloadUrl: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/item_category/download_template", downloadName: "商品品类模板" });
    }
  });

  // 停用/启用
  window.transportationCategory_enOrDis = function (rid, rdata) {
    let status = rdata.status == 10 ? 0 : 10;
    itemCategory_whetherToEnable([{ itemCategoryId: rid }], status);
  };
  // 停用/启用方法
  function itemCategory_whetherToEnable(idList, status) {
    let text = status == 10 ? "启用" : "停用";
    layer.open({
      title: text,
      content: status == 10 ? "是否启用？" : "停用商品品类，所属商品的商品品类为空，请确认是否停用商品品类！",
      btn: ["确认", "取消"],
      yes: function () {
        let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        Prolog.ajax({
          url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/item_category/whether_to_enable", type: "post", contentType: "application/json", data: JSON.stringify({
            itemCategoryIds: idList,
            status
          }),
          success: function (data) {
            PlgDialog.close(pload);
            if (data.success) {
              layer.closeAll();
              PlgDialog.msg(data.message);
              master_grid.reload();
              return true;
            }
            return false;

          }, error: function () { PlgDialog.close(pload); return false; }
        });
      }
    });
  }

  // 删除
  window.transportationCategory_del = function (rid) {
    itemCategory_del([{ itemCategoryId: rid }]);
  };
  // 删除方法
  function itemCategory_del(idList) {
    layer.open({
      title: "删除",
      content: "是否删除？",
      btn: ["确认", "取消"],
      yes: function () {
        let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        Prolog.ajax({
          url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/item_category/batch_delete", type: "post", contentType: "application/json", data: JSON.stringify(idList),
          success: function (data) {
            PlgDialog.close(pload);
            if (data.success) {
              layer.closeAll();
              PlgDialog.msg(data.message);
              master_grid.reload();
              return true;
            }
            return false;

          }, error: function () { PlgDialog.close(pload); return false; }
        });
      }
    });
  }

  // 修改
  window.transportationCategory_edit = function (rid, rdata) {
    changePanel("#transportationCategory_edit");
    $("#transportationCategory_edit_title").html("修改");
    editFormInit(rdata);
  };
  //详情
  window.transportationCategory_view = function (rid, rdata) {
    changePanel("#transportationCategory_view");

    let view_list = gird_opts_list.map(item => {
      return { label: item.name, value: rdata[item.id] };
    });
    new PlgPanel({
      renderer: "transportationCategory_view_form",
      skin: 2,
      header: {
        isShow: true,
        title: "基本信息"
      },
      defaultBody: {
        layoutCol: 4,
        valueBj: true,
        cols: [
          [
            { label: "商品品类编码", value: rdata.itemCategoryCode },
            { label: "商品品类名称", value: rdata.itemCategoryName },
            { label: "类目级别", value: getSelectValue(dataSelect.ITEM_CATEGORY_LEVEL, rdata.itemCategoryLevel) }
          ],
          [
            { label: "上级商品品类编码", value: rdata.fatherItemCategoryCode },
            { label: "上级商品品类名称", value: rdata.fatherItemCategoryName },
            { label: "上级类目级别", value: getSelectValue(dataSelect.ITEM_CATEGORY_LEVEL, rdata.fatherItemCategoryLevel) }
          ],
          [
            { label: "备注", value: rdata.memo }
          ]
        ].concat([view_list])
      }
    });
  };

  // 创建form
  function editFormInit(rdata) {
    $("#transportationCategory_edit_form").html("");
    edit_form = new PlgForm({
      renderer: "transportationCategory_edit_form",
      items: [
        { type: "settings", labelAlign: "right", labelWidth: 120 },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md4", name: "itemCategoryCode", label: "商品品类编码:", required: true },
            { type: "input", className: "layui-col-md4", name: "itemCategoryName", label: "商品品类名称:", required: true },
            { type: "combo", className: "layui-col-md4", name: "itemCategoryLevel", label: "类目级别:", options: dataSelect.ITEM_CATEGORY_LEVEL, readonly: true, required: true }
          ]
        },
        {
          type: "row",
          list: [
            { type: "hidden", name: "fatherItemCategoryId" },
            { type: "hidden", name: "fatherItemCategoryCode" },
            {
              className: "layui-col-md4",
              type: "selectTable",
              placeholder: "请选择上级商品品类编码",
              readonly: false,
              table: itemCategory_table,
              tableWidth: 800,
              tableHeight: 600,
              fieldText: "itemCategoryCode",
              fieldValue: "itemCategoryCode",
              name: "fatherItemCategoryList",
              label: "上级商品品类编码",
              listener: {
                "init": function (grid) {
                  setMethod(grid, itemCategory_table, function () { });
                },
                "afterSelect": function (isSelected, selectId, sgrid) {
                  let sdata = sgrid.getRowData(selectId);
                  edit_form.setFormData({
                    fatherItemCategoryId: isSelected ? sdata.itemCategoryId : "",
                    fatherItemCategoryCode: isSelected ? sdata.itemCategoryCode : "",
                    fatherItemCategoryName: isSelected ? sdata.itemCategoryName : ""
                  });
                  if (isSelected) {
                    edit_form.getCombo("fatherItemCategoryLevel").setComboValue(sdata.itemCategoryLevel);
                  }
                  else {
                    edit_form.getCombo("fatherItemCategoryLevel").setComboText("");
                  }
                }
              }
            },
            { type: "input", className: "layui-col-md4", name: "fatherItemCategoryName", label: "上级商品品类名称:", disabled: true },
            { type: "combo", className: "layui-col-md4", name: "fatherItemCategoryLevel", label: "上级类目级别:", options: dataSelect.ITEM_CATEGORY_LEVEL, readonly: true, disabled: true }
          ]
        },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md8", name: "memo", label: "备注" }
          ]
        },
        {
          type: "row",
          list: form_opts_list
        }
      ]
    });

    if (rdata) {
      rdata.fatherItemCategoryList = rdata.fatherItemCategoryCode ? JSON.stringify([rdata.fatherItemCategoryCode]) : "";
      edit_form.setFormData(rdata);
      edit_form.disableItem("itemCategoryCode");
      edit_form.disableItem("itemCategoryName");
      edit_form.setText("fatherItemCategoryList", rdata.fatherItemCategoryCode || "");
    }
    else {
      edit_form.enableItem("itemCategoryCode");
      edit_form.enableItem("itemCategoryName");
    }
  }

  // 保存
  $("#transportationCategory_save").on("click", function () {
    let feik = edit_form.validate();
    if (!feik) return;

    if ($("#transportationCategory_edit_title").html() === "新增") {
      Save();
    }
    else {
      layer.open({
        title: "修改",
        content: "是否保存？",
        btn: ["确认", "取消"],
        yes: function () {
          Save();
        }
      });
    }
  });
  function Save() {
    let formData = edit_form.getFormData();
    date_list.forEach(item => {
      formData[item] = FormatDateTime(formData[item]);
    });
    let url = $("#transportationCategory_edit_title").html() === "新增" ? UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/item_category/add" : UPCLOUD_RDC_TMS_MAINDATA_SERVICE + "/item_category/modify";
    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    Prolog.ajax({
      url, type: "post", contentType: "application/json", data: JSON.stringify(formData),
      success: function (res) {
        PlgDialog.close(pload);
        if (res.success) {
          PlgDialog.msg(res.message);
          changePanel("#transportationCategory_main");
          master_grid.reload();
          return true;
        }
        return false;
      }, error: function () { PlgDialog.close(pload); return false; }
    });
  }
};
