/**
 * zzx
 * 2020.09.17
 * 车辆事故登记
    */
    import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
    import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
export default () => {
  var master_grid, edit_form;
  var userinfo = {
    p_id: '',
    p_username: '',
    p_workernumber: '',
    p_nickname: '',
    p_phone: null,
    p_email: null,
    p_companyid: '',
    p_enterpriseid: '',
    p_organizationid: '',
    p_companyname: '',
    p_orgname: '',
    p_enterprisename: '',
    p_usertype: '',
    p_lastlogindate: '',
    p_lastmodipassdate: null,
    p_validdate: '',
    p_import_batchno: null,
    p_data_source: null,
    forceModifyPasswdFlag: false,
    vehicle: null,
  }
  // 跳转页面
  var carousel = layui.carousel;
  carousel.render({
    elem: "#vehicleAccidentRegistration",
    autoplay: false,
    index: 0,
    arrow: "none",
    indicator: "none",
    anim: "fade",
    width: "100%", // 设置容器宽度
    height: "100%"
  });
  // 切换页面
  function changePanel(name) {
    var slideList = ["#vehicleAccidentRegistration_main", "#vehicleAccidentRegistration_deit"];
    for (var i = 0; i < slideList.length; i++) {
      if (slideList[i] == name) {
        $(name).css("display", "block");
      }
      else {
        $(slideList[i]).css("display", "none");
      }
    }
  }
  // 返回
  $(document).on("click", "#vehicleAccidentRegistration_deit_return", function () {
    changePanel("#vehicleAccidentRegistration_main");
  });

  // 获取默认时间
  var startTime = Prolog.formatDate(new Date(), "%YY-%MM") + "-01 00:00:00";
  var endTime = Prolog.formatDate(new Date()) + " 23:59:59";

  // 获取下拉框数据
  var dataSelect;
  getSelectGJ([
    { objectcode: "ACCID_TYPE" },
    { objectcode: "DUTYALLOC" },
    { objectcode: "YES_OR_NO" },
    { objectcode: "SEX" },
    { objectcode: "AUDIT_STATUS" }], function (data) {
      dataSelect = data.data;
      dataSelect.ACCID_TYPE.unshift({ "value": "", "text": "" });
      dataSelect.DUTYALLOC.unshift({ "value": "", "text": "" });
    }
  );

  // 配送中心table
  var branchTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "配送中心编号", type: "ro" },
      { id: "companyname", name: "配送中心名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 100 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "配送中心编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "S" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  // 车牌号table
  var vehicleTable = {
    skin: "card",
    columns: [
      { id: "vehicleId", name: "id", type: "ro", width: "130", hidden: true },
      { id: "vehicleNo", name: "车牌号", type: "ro" },
      { id: "vehicleName", name: "车辆名称", type: "ro" }
    ],
    multiselect: false,
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/tBaseVehicle/queryVehicleInfo",
    type: "post",
    pagebar: { type: "simple" },
    contentType: "application/json",
    params: JSON.stringify({ companyId: userinfo.p_companyid }),
    page: true,
    totalCount: "totalCount"
  };

  // 主页grid
  var master_grid_opts = {
    skin: "card",
    columns: [
      { id: "accidentNum", name: "id", type: "ro", width: "130", hidden: true },
      { id: "branchid", name: "机构id", type: "ro", width: 120 },
      { id: "branchname", name: "机构牌号", type: "ro", width: 120 },
      { id: "accidentNum", name: "事故编号", type: "ro", width: 120 },
      { id: "acciddate", name: "事故日期", type: "ro", width: 120 },
      {
        id: "accidtype", name: "事故类型", type: "ro", width: 120, render: function (v) {
          return getSelectValue(dataSelect.ACCID_TYPE, v);
        }
      },
      { id: "accidaddress", name: "事故地点", type: "ro", width: 120 },
      { id: "reporter", name: "报案人姓名", type: "ro", width: 120 },
      { id: "reportdate", name: "报案时间", type: "ro", width: 120 },
      { id: "carlost", name: "本车损失", type: "ro", width: 120 },
      { id: "thirdpl", name: "第三方损失", type: "ro", width: 120 },
      { id: "vehiclecode", name: "本方车牌号", type: "ro", width: 120 },
      { id: "usCode", name: "本方驾驶证号", type: "ro", width: 120 },
      { id: "otherVehicle", name: "对方车牌号", type: "ro", width: 120 },
      { id: "otherCode", name: "对方驾驶证号", type: "ro", width: 120 },
      { id: "otherMaindriver", name: "对方驾驶员姓名", type: "ro", width: 120 },
      { id: "trafficpd", name: "交警部门", type: "ro", width: 120 },
      {
        id: "status", name: "状态", type: "ro", width: 120, render: function (v) {
          return getSelectValue(dataSelect.AUDIT_STATUS, v);
        }
      },
      { id: "memo", name: "备注", type: "ro", width: 120 },
      {
        id: "op", name: "操作", type: "button", align: "left", fixed: "right", width: "100", render: function () {
          return "修改^vehicleAccidentRegistration_mod,删除^vehicleAccidentRegistration_del";
        }
      }
    ],
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "calendar", className: "layui-col-md3", name: "startdate", label: "开始时间:", value: startTime },
          { type: "calendar", className: "layui-col-md3", name: "enddate", label: "结束时间:", value: endTime },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择配送中心",
            readonly: false,
            table: branchTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "branchidList",
            label: "配送中心:",
            listener: function (Grid) {
              setMethod(Grid, branchTable, function () { });
            }
          },
          { type: "input", className: "layui-col-md3", name: "accidentNum", label: "事故编号:" },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择车牌号",
            readonly: false,
            table: vehicleTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "vehicleNo",
            fieldValue: "vehicleNo",
            name: "vehiclecodeList",
            label: "车牌号:",
            listener: function (Grid) {
              setMethod(Grid, vehicleTable, function () { });
            }
          },
          { type: "input", className: "layui-col-md3", name: "reporter", label: "报案人:" },
          { type: "input", className: "layui-col-md3", name: "accidaddress", label: "事故地点:" },
          {
            type: "block", className: "layui-col-md2 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "master_search", value: "查 询" },
              { type: "newcolumn" },
              { type: "button", name: "master_reset", value: "重 置" }
            ]
          },
          {
            type: "block", className: "layui-col-md1 right",
            list: [
              { type: "button", className: "btn-normal", name: "master_add", value: "<i class='layui-icon layui-icon-add-1'></i>新 增" }
            ]
          }
        ]
      }
    ],
    pagebar: {
      buttons: [
        { text: "<i class='layui-icon layui-icon-delete'></i>删除", className: "plg-btn-normal", name: "pagebar_delete" }
      ]
    },
    fixedLast: true, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: true, // 是否支持多选

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleManage/queryTVmAccidentregRegister", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ startdate: startTime, enddate: endTime, statuses: ["5", "10"] }), // 查询提交参数，分页参数默认为pageNum,pageSize
    page: true, // 是否启用分页
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  master_grid = new PlgGrid(master_grid_opts);
  master_grid.renderTo("vehicleAccidentRegistration_master");
  master_grid.loadData();
  master_grid.attachToolBarEvent("onButtonClick", function (name) {
    switch (name) {
      case "master_search":
        var request = master_grid.getToolBarForm().getFormData();
        request.startdate = request.startdate ? Prolog.formatDate(request.startdate) + " 00:00:00" : "";
        request.enddate = request.enddate ? Prolog.formatDate(request.enddate) + " 23:59:59" : "";
        if (request.startdate > request.enddate) {
          layer.msg("开始时间不能大于结束时间");
          return false;
        }
        request.branchid = request.branchidList ? JSON.parse(request.branchidList)[0] : "";
        request.vehiclecode = request.vehiclecodeList ? JSON.parse(request.vehiclecodeList)[0] : "";
        request.statuses = ["5", "10"];
        dealNullQueryCondition(request);
        delete request.branchidList;
        delete request.vehiclecodeList;
        master_grid.setParams(JSON.stringify(request));
        master_grid.reload();
        break;
      case "master_reset":
        master_grid.getToolBarForm().clear();
        master_grid.getToolBarForm().setText("branchidList", "");
        master_grid.getToolBarForm().setText("vehiclecodeList", "");
        master_grid.getToolBarForm().setFormData({ startdate: startTime, enddate: endTime });
        break;
      case "master_add":
        changePanel("#vehicleAccidentRegistration_deit");
        $("#vehicleAccidentRegistration_deit_title").html("新增");
        editFormCreated();
        break;
    }
  });

  // 单个删除
  window.vehicleAccidentRegistration_del = function (rid) {
    tVmAccidentregDelete([{ accidentNum: rid }]);
  };
  // 批量删除
  master_grid.attachPageBarEvent(function (name, ids) {
    let list = ids.split(",").map(item => {
      return { accidentNum: item };
    });
    tVmAccidentregDelete(list);
  });
  function tVmAccidentregDelete(idList) {
    layer.open({
      title: "删除",
      content: "是否删除？",
      btn: ["确认", "取消"],
      yes: function () {
        let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        Prolog.ajax({
          url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleManage/tVmAccidentregDelete", type: "post", contentType: "application/json", data: JSON.stringify(idList),
          success: function (res) {
            PlgDialog.close(pload);
            if (res.success) {
              layer.closeAll();
              PlgDialog.msg(res.message);
              master_grid.reload();
              return true;
            }
            return false;

          }, error: function () { PlgDialog.close(pload); return false; }
        });
      }
    });
  }

  // 修改
  window.vehicleAccidentRegistration_mod = function (rid, rdata) {
    $("#vehicleAccidentRegistration_deit_title").html("修改");
    changePanel("#vehicleAccidentRegistration_deit");
    editFormCreated(rdata);
  };

  // 注册编辑页form
  function editFormCreated(rdata) {
    $("#vehicleAccidentRegistration_deit_form").html("");
    var edit_form_opts = {
      renderer: "vehicleAccidentRegistration_deit_form",
      items: [
        { type: "settings", labelAlign: "left", labelWidth: 95 },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md3", name: "accidentNum", label: "事故编号:", required: true },
            {
              type: "selectTable",
              className: "layui-col-md3",
              placeholder: "请选择配送中心",
              readonly: false,
              table: branchTable,
              tableWidth: 600,
              tableHeight: 500,
              fieldText: "companyname",
              fieldValue: "companyid",
              name: "branchidList",
              label: "配送中心:<span class='dhxform_item_required'>*</span>",
              listener: {
                "init": function (Grid) {
                  // 注册按钮事件
                  Grid.attachToolBarEvent("onButtonClick", function (name) {
                    switch (name) {
                      case "querycarr":
                        var { companycode } = Grid.getToolBarForm().getFormData();
                        Grid.setParams(JSON.stringify({ companycode, companytype: "S" }));
                        Grid.reload();
                        break;
                      case "car_Reset":
                        Grid.getToolBarForm().clear();
                        break;
                    }
                  });
                },
                "afterSelect": function (isSelected, selectId, sgrid) {
                  let sdata = sgrid.getRowData(selectId);
                  edit_form.setFormData({
                    branchid: isSelected ? sdata.companyid : "",
                    branchname: isSelected ? sdata.companyname : ""
                  });
                }
              }
            },
            { type: "hidden", name: "branchid", label: "配送中心id:" },
            { type: "hidden", name: "branchname", label: "配送中心名称:" },
            { type: "calendar", className: "layui-col-md3", name: "acciddate", label: "事故日期:", dateFormat: "%Y-%m-%d %H:%i:%s", enableTime: true, required: true },
            { type: "combo", className: "layui-col-md3", readonly: true, name: "accidtype", label: "事故类型:", options: dataSelect.ACCID_TYPE, required: true }
          ]
        },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md3", name: "accidaddress", label: "事故地点:" },
            { type: "input", className: "layui-col-md3", name: "roadcon", label: "路况:" },
            { type: "input", className: "layui-col-md3", name: "reporter", label: "报案人姓名:" },
            { type: "calendar", className: "layui-col-md3", name: "reportdate", label: "报案时间:", dateFormat: "%Y-%m-%d %H:%i:%s", enableTime: true, required: true }
          ]
        },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md3", name: "theaccid", label: "出现经过:" },
            { type: "input", className: "layui-col-md3", name: "respdes", label: "责任描述:" },
            { type: "input", className: "layui-col-md3", name: "carlost", label: "本车损失:" },
            { type: "input", className: "layui-col-md3", name: "thirdpl", label: "第三方损失:" }
          ]
        },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md3", name: "injuries", label: "轻伤人数:", validate: "Money_11bit" },
            { type: "input", className: "layui-col-md3", name: "injured", label: "重伤人数:", validate: "Money_11bit" },
            { type: "input", className: "layui-col-md3", name: "death", label: "死亡人数:", validate: "Money_11bit" },
            { type: "input", className: "layui-col-md3", name: "trafficpd", label: "交警部门:" }
          ]
        },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md3", name: "policecontact", label: "交警联系人:" },
            { type: "input", className: "layui-col-md3", name: "policecall", label: "交警电话:" },
            { type: "input", className: "layui-col-md3", name: "underwrite", label: "承保方:" },
            { type: "input", className: "layui-col-md3", name: "salesman", label: "业务员:" }
          ]
        },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md3", name: "pho", label: "照片地址路径:" },
            { type: "combo", className: "layui-col-md3", readonly: true, name: "dutyAlloc", label: "责任划分:", options: dataSelect.DUTYALLOC },
            { type: "input", className: "layui-col-md3", name: "estimatedloss", label: "估损金额:", validate: "Money_11bit" },
            { type: "input", className: "layui-col-md3", name: "actualLoss", label: "实际损失:", validate: "Money_11bit" }
          ]
        },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md3", name: "insurancepm", label: "保险赔付情况:" },
            { type: "input", className: "layui-col-md3", name: "liabilityAttribute", label: "责任属性:" },
            { type: "input", className: "layui-col-md3", name: "theaccidDescribe", label: "出现经过描述:" },
            { type: "combo", className: "layui-col-md3", readonly: true, name: "ifPicture", label: "是否有照片:", options: dataSelect.YES_OR_NO }
          ]
        },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md3", name: "giveMsg", label: "消息推送给:" }
          ]
        },
        {
          type: "row",
          list: [
            {
              type: "selectTable",
              className: "layui-col-md3",
              placeholder: "请选择本方车牌号",
              readonly: false,
              table: vehicleTable,
              tableWidth: 600,
              tableHeight: 500,
              fieldText: "vehicleNo",
              fieldValue: "vehicleNo",
              name: "vehiclecodeList",
              label: "本方车牌号:<span class='dhxform_item_required'>*</span>",
              listener: {
                "afterSelect": function (isSelected, selectId, sgrid) {
                  let sdata = sgrid.getRowData(selectId);
                  edit_form.setFormData({
                    vehiclecode: isSelected ? sdata.vehicleNo : ""
                  });
                }
              }
            },
            { type: "hidden", name: "vehiclecode", label: "本方车牌号:" },
            { type: "input", className: "layui-col-md3", name: "usMaindriver", label: "本方驾驶员姓名:" },
            { type: "input", className: "layui-col-md3", name: "usCode", label: "本方驾驶证号:" },
            { type: "input", className: "layui-col-md3", name: "usDriverage", label: "本方驾驶员年龄:", validate: "Money_11bit" }
          ]
        },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md3", name: "usDriverdriving", label: "本方驾驶员驾龄:", validate: "Money_11bit" }
          ]
        },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md3", name: "otherVehicle", label: "对方车牌号:" },
            { type: "input", className: "layui-col-md3", name: "otherVehiclespec", label: "对方车辆型号:" },
            { type: "input", className: "layui-col-md3", name: "otherMaindriver", label: "对方驾驶员姓名:" },
            { type: "input", className: "layui-col-md3", name: "otherCode", label: "对方驾驶证号:" }
          ]
        },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md3", name: "otherDriverage", label: "对方驾驶员年龄:", validate: "Money_11bit" },
            { type: "combo", className: "layui-col-md3", readonly: true, name: "otherDriversex", label: "对方驾驶员性别:", options: dataSelect.SEX },
            { type: "input", className: "layui-col-md3", name: "otherDriverdriving", label: "对方驾驶员驾龄:", validate: "Money_11bit" },
            { type: "combo", className: "layui-col-md3", readonly: true, name: "ifInsure", label: "对方是否保险:", options: dataSelect.YES_OR_NO }
          ]
        },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md6", name: "otherDriveradd", label: "对方驾驶员地址:" }
          ]
        },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md6", name: "memo", label: "备注:", rows: 3 }
          ]
        }
      ]
    };
    edit_form = new PlgForm(edit_form_opts);

    // 事故日期、报案时间时间顺序逻辑
    var data = {
      reportdate: null,
      acciddate: null
    };
    var event = {
      reportdate: function (value) {
        edit_form.getCalendar("acciddate").setSensitiveRange(null, value);
      },
      acciddate: function (value) {
        edit_form.getCalendar("reportdate").setSensitiveRange(value, null);
      }
    };
    edit_form.attachEvent("onInputChange", function (name, value) {
      data[name] = value;
      event[name](value);
    });

    if (rdata) {
      rdata.branchidList = JSON.stringify([rdata.branchid]);
      rdata.vehiclecodeList = JSON.stringify([rdata.vehiclecode]);
      edit_form.setFormData(rdata);
      edit_form.disableItem("accidentNum");
      edit_form.setText("branchidList", rdata.branchname);
      edit_form.setText("vehiclecodeList", rdata.vehiclecode);
    }
    else {
      edit_form.enableItem("accidentNum");
    }
  }


  // 保存
  $("#vehicleAccidentRegistration_deit_save").on("click", function () {
    let vdate = edit_form.validate();
    if (!vdate) return false;
    let formData = edit_form.getFormData();
    if (!formData.branchname) {
      layer.msg("请选择配送中心");
      return false;
    }
    if (!formData.vehiclecode) {
      layer.msg("请选择本方车牌号");
      return false;
    }
    formData.acciddate = formData.acciddate ? Prolog.formatDate(formData.acciddate, "%YY-%MM-%DD %hh:%mm:%ss") : "";
    formData.reportdate = formData.reportdate ? Prolog.formatDate(formData.reportdate, "%YY-%MM-%DD %hh:%mm:%ss") : "";
    delete formData.branchidList;
    delete formData.vehiclecodeList;
    let url = $("#vehicleAccidentRegistration_deit_title").html() === "新增" ? UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleManage/tVmAccidentregSave" : UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleManage/tVmAccidentregUpdate";
    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    Prolog.ajax({
      url, type: "post", contentType: "application/json", data: JSON.stringify(formData),
      success: function (res) {
        PlgDialog.close(pload);
        if (res.success) {
          PlgDialog.msg(res.message);
          changePanel("#vehicleAccidentRegistration_main");
          master_grid.reload();
          return true;
        }
                return false;
      }, error: function () { PlgDialog.close(pload); return false; }
    });
  });
};