/**
 * jiw
 * 2019.01.21
 * 仓客户设置
 */
 import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
 import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
 export default () => {
    var grid = null;
    //获取货主
    var consignorGJ;
    utilSyncAjaxGJ(UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/company/consignors", "post", JSON.stringify({ "pageSize": 10, "pageNum": 1, "carrierid": "%" }), function (data) {
        consignorGJ = data.data.list;
        for (x in consignorGJ) {
            consignorGJ[x].text = consignorGJ[x].locname;
            consignorGJ[x].value = consignorGJ[x].companyid;
        }
        consignorGJ.unshift({ "text": "", "value": "" });
    }, "application/json");
    //获取下拉框
    getSelectGJ([{ "objectcode": "pc_companytype" }], function (data) {
        $("#warehouseCustomSet_select").attr("consignor", JSON.stringify(data.data));
    });
    var userinfo = window.localStorage.getItem("userinfo");
    if (userinfo != null) {
        userinfo = JSON.parse(userinfo);
    }

    // 高级查询
    var searchFormOpt = {
        renderer: "searchForm",
        items: [
            { type: "settings", position: "label-left", labelWidth: 80 },
            { type: "input", name: "branchid", label: "仓号:" },
            { type: "input", name: "locname", label: "单位名称:" },
            { type: "input", name: "companycode", label: "单位编码:" },
            { type: "input", name: "consignor", label: "货主:" },
            { type: "input", name: "zjm", label: "助记码:" }
        ]
    };
    var searchOpt = {
        title: "高级查询",
        shadeClose: true,
        area: ["300px", "300px"],
        content: "<div id=\"searchForm\"></div>",
        yes: function (index) {
            PlgDialog.close(index); //如果设定了yes回调，需进行手工关闭
            var searchParam = {};
            searchParam.branchid = $("#searchForm input[name=\"branchid\"]").val();
            searchParam.locname = $("#searchForm input[name=\"locname\"]").val();
            searchParam.companycode = $("#searchForm input[name=\"companycode\"]").val();
            searchParam.consignor = $("#searchForm input[name=\"consignor\"]").val();
            searchParam.zjm = $("#searchForm input[name=\"zjm\"]").val();
            if (searchParam.itemid == "") {
                searchParam.itemid = "%";
            }
            grid.setParams(searchParam);
            grid.reload();
        },
        success: function () {
            var _searchForm = new PlgForm(searchFormOpt);
            _searchForm.setFormItemData("branchid", userinfo.p_companyid);
        }
    };

    // 添加弹出框
    var branchid_grid;
    var warehouseCustomSet_branchid_opts = {
        skin: "terrace",
        rowId: "itemid",
        columns: [
            { id: "companyid", name: "单位id", type: "ro", hidden: true, width: 100 }, // 主键，必须是唯一，放在第一行
            { id: "id", name: "编号", type: "ro", width: 100, hidden: true },
            { id: "companycode", name: "单位编号", type: "ro", width: 100 },
            { id: "locname", name: "单位名称", type: "ro", width: 180 },
            { id: "shortname", name: "简称", type: "ro", width: 100 },
            { id: "zjm", name: "助记码", type: "ro", width: 100 },
            {
                id: "companytype", name: "类型", type: "ro", width: 100, render: function (v) {
                    return Prolog.getNameByID(JSON.parse($("#warehouseCustomSet_select").attr("consignor")).pc_companytype, v);
                }
            },
            { id: "customergroup", name: "单位性质", type: "ro", width: 100 },
            { id: "areaid", name: "所在区域", type: "ro", width: 100 },
            { id: "shipleadtime", name: "到货时效", type: "ro", width: 100 },
            { id: "lineno", name: "配送线路", type: "ro", width: 100 },
            { id: "lineseq", name: "装车顺序", type: "ro", width: 100 },
            { id: "groupno1", name: "分类", type: "ro", width: 100 },
            { id: "consignorname", name: "货主名称", type: "ro", width: 180 },
            { id: "consignor", name: "货主编码", type: "ro", width: 100 },
            { id: "branchid", name: "仓号", type: "ro", width: 100 },
            { id: "print_ship_sendlist", name: "标签格式", type: "ro", width: 100 },
            { id: "firstopstatus", name: "是否首营", type: "ro", width: 100 },
            { id: "isprintdruglist", name: "是否打印药监单", type: "ro", width: 120 }
        ],
        multiselect: true,
        toolbar: [
            { type: "input", name: "param", label: "查询条件:", inputWidth: 260, placeholder: "单位编号/单位名称/助记码" }, { type: "newcolumn" },
            { type: "hidden", name: "branchid", label: "仓号:", offsetLeft: 10, value: userinfo.p_companyid }, { type: "newcolumn" },
            { type: "combo", readonly: true, name: "consignor", label: "货主:", offsetLeft: 10, options: consignorGJ, width: 160 }, { type: "newcolumn" },
            { type: "button", name: "searchBtn", value: "查询" }
        ],
        imagePath: "/prologui/dist/images/PlgGrid",
        url: "/basic/company-cop/list-like",//数据接口
        type: "post",//数据提交方式，默认为get
        //params: {param: '',branchid: userinfo.p_companyid,type: '2', consignor: '', pageNum: 1, pageSize: 20}, //查询提交参数，分页参数默认为pageNum,pageSize
        contentType: "application/json",
        params: JSON.stringify({ param: "", branchid: userinfo.p_companyid, type: "2", consignor: "", pageNum: 1, pageSize: 20 }),
        page: true, //是否启用分页
        totalCount: "totalCount" //总记录数字段，默认totalCount
    };

    var warehouseCustomSet_opts = {
        skin: "terrace",
        rowId: "itemid",
        columns: [
            { id: "id", name: "编号", type: "ro", width: 100, hidden: true }, // 主键，必须是唯一，放在第一行
            { id: "companyid", name: "单位id", type: "ro", hidden: true, width: 100 },
            { id: "companycode", name: "单位编号", type: "ro", width: 100 },
            { id: "locname", name: "单位名称", type: "ro", width: 180 },
            { id: "shortname", name: "简称", type: "ro", width: 100, hidden: true },
            { id: "zjm", name: "助记码", type: "ro", width: 100 },
            {
                id: "companytype", name: "类型", type: "ro", width: 100, hidden: true, render: function (v) {
                    return Prolog.getNameByID(JSON.parse($("#warehouseCustomSet_select").attr("consignor")).pc_companytype, v);
                }
            },
            { id: "customergroup", name: "单位性质", type: "ro", width: 100, hidden: true },
            { id: "areaid", name: "所在区域", type: "ro", width: 100, hidden: true },
            { id: "shipleadtime", name: "到货时效", type: "ro", width: 100 },
            { id: "lineno", name: "配送线路", type: "ro", width: 100 },
            { id: "lineseq", name: "装车顺序", type: "ro", width: 100 },
            { id: "groupno1", name: "分类", type: "ro", width: 100 },
            { id: "consignorname", name: "货主名称", type: "ro", width: 180 },
            { id: "consignor", name: "货主编码", type: "ro", width: 100, hidden: true },
            { id: "branchid", name: "仓号", type: "ro", width: 100, hidden: true },
            { id: "print_ship_sendlist", name: "标签格式", type: "ro", width: 100, hidden: true },
            { id: "firstopstatus", name: "是否首营", type: "ro", width: 100, hidden: true },
            { id: "isprintdruglist", name: "是否打印药监单", type: "ro", width: 120, hidden: true },
            { id: "begindate", name: "生产日期", type: "ro", width: 100, hidden: true },
            { id: "enddate", name: "有效期至", type: "ro", width: 100, hidden: true },
            { id: "createdate", name: "创建时间", type: "ro", width: 120 },
            {
                id: "op", name: "操作", type: "button", align: "center", width: 150, render: function () {
                    return "详细^CustomSetting_detailClick,修改^CustomSetting_editClick,删除^CustomSetting_deleteClick";
                }
            }
        ],
        multiselect: true,
        fixedLast: true,
        toolbar: [
            { type: "input", name: "param", label: "查询条件:", inputWidth: 260, placeholder: "单位编号/单位名称/助记码" }, { type: "newcolumn" },
            { type: "hidden", name: "branchid", label: "仓号:", offsetLeft: 10, value: userinfo.p_companyid }, { type: "newcolumn" },
            { type: "combo", readonly: true, name: "consignor", label: "货主:", offsetLeft: 10, options: consignorGJ, width: 160 }, { type: "newcolumn" },
            { type: "button", name: "searchBtn", value: "查询" }, { type: "newcolumn" },
            { type: "button", name: "btn_reset", className: " normal", value: "重置" }, { type: "newcolumn" },
            { type: "button", name: "exportBtn", className: "plg-toolbar-right normal", value: "<i class='layui-icon layui-icon-download-circle'></i>导出" }, { type: "newcolumn" },
            { type: "button", name: "addBtn", className: "plg-toolbar-right", value: "<i class='layui-icon layui-icon-add-1'></i>添加" }, { type: "newcolumn" }
        ],
        pagebar: {
            buttons: [
                { text: "删除", className: "layui-btn-danger", name: "delete" }
                // {text:"锁定",className:"layui-btn layui-btn-primary layui-btn-sm",name:"lock"},
                // {text:"启用",className:"layui-btn layui-btn-primary layui-btn-sm",name:"unlock"}
            ],
            type: "full" //full simple
        },
        imagePath: "/prologui/dist/images/PlgGrid",
        url: "/basic/company-cop/list-like",//数据接口
        type: "post",//数据提交方式，默认为get
        //params: {param: '',branchid: userinfo.p_companyid,type: '1', consignor: '', pageNum: 1, pageSize: 20}, //查询提交参数，分页参数默认为pageNum,pageSize
        contentType: "application/json",
        params: JSON.stringify({ param: "", branchid: userinfo.p_companyid, type: "1", consignor: "", pageNum: 1, pageSize: 20 }),
        page: true, //是否启用分页
        totalCount: "totalCount" //总记录数字段，默认totalCount
    };
    //分页参数 pageSize pageNum
    grid = new PlgGrid(warehouseCustomSet_opts);
    grid.renderTo("warehouseCustomSet_grid_1");
    grid.loadData();

    //工具栏键盘事件
    grid.getToolBarForm().attachEvent("onKeyDown", function (inp, ev) {
        if (ev.key == "Enter") {
            var fdata = grid.getToolBarForm().getFormData();
            fdata.type = "1";
            grid.setParams(JSON.stringify(fdata));
            grid.reload();
        }
    });

    // 按钮事件
    grid.attachToolBarEvent("onButtonClick", function (name) {
        if (name == "searchBtn") { // 查询
            var fdata = grid.getToolBarForm().getFormData();
            fdata.type = "1";
            grid.setParams(JSON.stringify(fdata));
            grid.reload();
        } if (name == "more") {
            grid.getToolBarForm().clear();
            PlgDialog.open(searchOpt);
        } if (name == "exportBtn") {// 导出
            /*          $('#warehouseCustomSetting_zhen').css("display", 'none');
                      $('#warehouseCustomSetting_D').css("display", 'none');
                      $('#warehouseCustomSet_grid_1').css("display", 'none');
                      $('#warehouseCustomSetting_Template').css("display", 'block');*/
            warehouseCustom_export();
        } if (name == "download") {// 下载模板
            window.open("/download/工作台模板.xlsx");
        }
        else if (name == "addBtn") { // 添加
            $("#warehouseCustomSetting_zhen").css("display", "block");
            $("#warehouseCustomSetting_D").css("display", "none");
            $("#warehouseCustomSet_grid_1").css("display", "none");
            $("#warehouseCustomSetting_Template").css("display", "none");

            branchid_grid = new PlgGrid(warehouseCustomSet_branchid_opts);
            branchid_grid.renderTo("warehouseCustomSetting_zhen1");
            branchid_grid.loadData();

            branchid_grid.attachToolBarEvent("onButtonClick", function (name) {
                if (name == "cus_fanh") { // 返回
                    $("#warehouseCustomSetting_zhen").css("display", "none");
                    $("#warehouseCustomSetting_D").css("display", "none");
                    $("#warehouseCustomSet_grid_1").css("display", "block");
                    $("#warehouseCustomSetting_Template").css("display", "none");
                }
                if (name == "searchBtn") { // 查询
                    var fdata = branchid_grid.getToolBarForm().getFormData();
                    fdata.type = "2";
                    branchid_grid.setParams(JSON.stringify(fdata));
                    branchid_grid.reload();
                }
            });
        }
        else if (name == "btn_reset") {
            grid.getToolBarForm().clear();
        }
    });

    //分页栏按钮事件
    grid.attachPageBarEvent(function (name) {
        if (name == "delete") {
            var rowId = grid.getCheckedIds();
            var rowIds = rowId.split(",");
            var checkedIds = [];
            rowIds.forEach(v => {
                checkedIds.push(
                    { id: v }
                );
            });
            Prolog.delGridRowData(grid, "/basic/company-cop/batch-delete", "post", "application/json", JSON.stringify(checkedIds), true);
        }
    });

    //主界面导出事件
    function warehouseCustom_export() {
        let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        if (grid.getRowsNum() <= 0) {
            PlgDialog.close(pload);
            PlgDialog.msg("没有要导出的数据");
            return;
        }
        let url = "/basic/company-cop/export";
        let name = "仓客户" + Prolog.formatDate(new Date(), "%YY%MM%DD") + ".xls";
        let p = grid.getToolBarForm().getFormData();
        Prolog.exportFile(url, name, "", "get", p);
        PlgDialog.close(pload);
    }

    utilImportGJ2("warehouseCustomSetting_Template1", "warehouseCustomSettingImportId", "warehouseCustomSettingExportId", "url", function () {
        $("#warehouseCustomSetting_zhen").css("display", "none");
        $("#warehouseCustomSetting_D").css("display", "none");
        $("#warehouseCustomSet_grid_1").css("display", "block");
        $("#warehouseCustomSetting_Template").css("display", "none");
    });

    // 单行删除
    window.CustomSetting_deleteClick = function (rid) {
        grid.selectRowById(rid);
        Prolog.delGridRowData(grid, "/basic/company-cop/batch-delete", "post", "application/json", JSON.stringify([{ "id": rid }]), true);

    };
    // 单行修改
    window.CustomSetting_editClick = function (rid, rowData) {
        $("#warehouseCustomSetting_title2").html("修改");
        grid.selectRowById(rid);
        $("#warehouseCustomSetting_zhen").css("display", "none");
        $("#warehouseCustomSetting_D").css("display", "block");
        $("#warehouseCustomSet_grid_1").css("display", "none");
        $("#warehouseCustomSetting_Template").css("display", "none");
        formInit(rowData);

        /*  if (rowData.consignor != null) {
             rowData.consignor = JSON.stringify({ "value": rowData.consignor });
         }
         warehouseCustomSetting_D1_form.setFormData(rowData);
         warehouseCustomSetting_D1_form.getDForm().setText("consignor", rowData.consignorname); */
    };
    window.CustomSetting_detailClick = function (rid, rdata) {
        $("#btn_save_02").hide();
        $("#warehouseCustomSetting_title2").html("查看详细");
        grid.selectRowById(rid);
        $("#warehouseCustomSetting_zhen").css("display", "none");
        $("#warehouseCustomSetting_D").css("display", "block");
        $("#warehouseCustomSet_grid_1").css("display", "none");
        $("#warehouseCustomSetting_Template").css("display", "none");
        $("#warehouseCustomSetting_D1").removeClass();
        $("#warehouseCustomSetting_D1").html("");

        new PlgPanel({
            renderer: "warehouseCustomSetting_D1",
            skin: 2,
            header: {
                isShow: true,
                title: "基本信息"
            },
            defaultBody: {
                layoutCol: 3,
                valueBj: true,
                cols: [
                    [
                        { value: rdata.companycode, label: "单位编号" },
                        { value: rdata.locname, label: "单位名称" },
                        { value: rdata.shortname, label: "简称" },
                        { value: rdata.zjm, label: "助记码" },
                        { value: Prolog.getNameByID(JSON.parse($("#warehouseCustomSet_select").attr("consignor")).pc_companytype, rdata.companytype), label: "单位类型" },
                        { value: rdata.customergroup, label: "单位性质" },
                        { value: rdata.areaid, label: "所在区域" },
                        { value: rdata.shipleadtime, label: "到货时效" },
                        { value: rdata.lineno, label: "配送线路" },
                        { value: rdata.lineseq, label: "装车顺序" },
                        { value: rdata.groupno1, label: "分类" },
                        { value: rdata.consignor, label: "货主编号" },
                        { value: rdata.consignorname, label: "货主名称" },
                        { value: rdata.print_ship_sendlist, label: "标签格式" },
                        { value: rdata.firstopstatus == "1" ? "是" : "否", label: "是否首营" },
                        { value: rdata.isprintdruglist == "1" ? "是" : "否", label: "打印药监单" },
                        { value: rdata.begindate, label: "生产日期" },
                        { value: rdata.enddate, label: "有效期至" }
                    ],
                    [
                        { value: rdata.createdate, label: "创建时间" }

                    ]
                ]
            }
        });
    };

    //跳转页面
    var carousel = layui.carousel;
    carousel.render({
        elem: "#warehouseCustomSetting_div",
        autoplay: false,
        index: 0,
        arrow: "none",
        indicator: "none",
        anim: "fade",
        width: "100%", //设置容器宽度
        height: "100%"
    });

    //表单
    function formInit(rdata) {
        $("#btn_save_02").show();
        $("#warehouseCustomSetting_D1").html("");
        var warehouseCustomSetting_D1 = {
            renderer: "warehouseCustomSetting_D1",
            items: [
                { type: "settings", inputWidth: 200, width: 400, labelWidth: 100, position: "label-left", labelAlign: "left" },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "hidden", name: "id", className: "label-right", label: "编号:", disabled: true },
                        { type: "hidden", name: "companyid" },
                        { type: "input", name: "companycode", className: "label-right", label: "单位编号:", disabled: true },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "locname", className: "label-right", label: "单位名称:", disabled: true },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "shortname", className: "label-right", label: "简称:", disabled: true }
                    ]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "input", name: "zjm", className: "label-right", label: "助记码:", disabled: true },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "customergroup", className: "label-right", label: "单位性质:" },
                        { type: "newcolumn", offset: 20 },
                        { type: "combo", readonly: true, width: 200, name: "companytype", className: "label-right", label: "类型:", options: JSON.parse($("#warehouseCustomSet_select").attr("consignor")).pc_companytype }
                    ]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "input", name: "areaid", className: "label-right", label: "所在区域:" },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "shipleadtime", className: "label-right", label: "到货时效:" },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "lineno", className: "label-right", label: "配送线路:" }
                    ]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "hidden", name: "consignor" },
                        { type: "input", name: "consignorname", className: "label-right", disabled: true, label: "货主:" },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "lineseq", className: "label-right", label: "装车顺序:" },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "print_ship_sendlist", className: "label-right", label: "客户标签格式:" }
                    ]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "input", name: "groupno1", className: "label-right", label: "分类:", disabled: true },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "begindate", className: "label-right", label: "生产日期:", disabled: true },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "enddate", className: "label-right", label: "有效期至:", disabled: true }
                    ]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "newcolumn", offset: 100 },
                        { type: "checkbox", name: "firstopstatus", label: "是否首营", position: "label-right" },
                        { type: "newcolumn", offset: 20 },
                        { type: "checkbox", name: "isprintdruglist", label: "是否打印药监单", position: "label-right" }
                    ]
                }
            ]
        };

        warehouseCustomSetting_D1_form = new PlgForm(warehouseCustomSetting_D1);
        warehouseCustomSetting_D1_form.setFormData(rdata);
        //warehouseCustomSetting_D1_form.getDForm().disableItem("consignor");
    }

    //返回
    $(document).on("click", "#warehouseCustomSetting_back1", function () {
        $("#warehouseCustomSetting_zhen").css("display", "none");
        $("#warehouseCustomSetting_D").css("display", "none");
        $("#warehouseCustomSet_grid_1").css("display", "block");
        $("#warehouseCustomSetting_Template").css("display", "none");
    });
    // 保存
    $("#btn_warehouseCustomSetting_zhen_save").click(function () {
        //加载等待
        var pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        // 获取多选行的数据
        var fdata = branchid_grid.getToolBarForm().getFormData();
        var checkedIds = branchid_grid.getCheckedIds();
        checkedIds = checkedIds == null || checkedIds == "" ? branchid_grid.getSelectedRowId() : checkedIds;
        if (checkedIds == null || checkedIds == "") {
            PlgDialog.close(pload);
            PlgDialog.msg("请选择数据");
            return false;
        }
        var ids = checkedIds.split(",");
        var checkedData = [];
        ids.forEach(v => {
            var tr = branchid_grid.getGrid().getUserData(v, "data");
            tr.branchid = fdata.branchid;
            checkedData.push(tr);
        });
        // 更新主表
        Prolog.ajax({
            url: "/basic/company-cop/batch-create",
            type: "post",
            contentType: "application/json",
            data: JSON.stringify(checkedData),
            success: function (data) {
                PlgDialog.close(pload);
                if (data.success) {
                    $("#warehouseCustomSetting_zhen").css("display", "none");
                    $("#warehouseCustomSetting_D").css("display", "none");
                    $("#warehouseCustomSet_grid_1").css("display", "block");
                    $("#warehouseCustomSetting_Template").css("display", "none");
                    grid.reload();
                    branchid_grid.reload();
                    setTimeout(() => { PlgDialog.msg(data.message); }, 300);
                }
                else {
                    setTimeout(() => { PlgDialog.alert(data.message == null ? "接口调用失败" : data.message); }, 300);
                }
            },
            error: function () { PlgDialog.close(pload); PlgDialog.msg("接口调用失败"); }
        });
    });
    $("#btn_save_02").click(function () {
        //加载等待
        var pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        var fd = warehouseCustomSetting_D1_form.getFormData();
        delete fd.createdate;
        Prolog.ajax({
            url: "/basic/company-cop/update-by-id",
            type: "post",
            contentType: "application/json",
            data: JSON.stringify(fd),
            async: true,
            success: function (data) {
                PlgDialog.close(pload);
                if (data.success) {
                    $("#warehouseCustomSetting_zhen").css("display", "none");
                    $("#warehouseCustomSetting_D").css("display", "none");
                    $("#warehouseCustomSet_grid_1").css("display", "block");
                    $("#warehouseCustomSetting_Template").css("display", "none");
                    grid.reload();
                    setTimeout(() => { PlgDialog.msg(data.message); }, 300);
                }
                else {
                    setTimeout(() => { PlgDialog.alert(data.message == null ? "接口调用失败" : data.message); }, 300);
                }
            },
            error: function () { PlgDialog.close(pload); PlgDialog.msg("接口调用失败"); }
        });
    });
};