/**
 * guoj
 * 2020.09.27
 * 预约调整
    */
    import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
    import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
export default () => {
  // 司机table
  var driverTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "driverId", name: "id", type: "ro", width: "130", hidden: true },
      { id: "driverId", name: "司机编号", type: "ro" },
      { id: "driverName", name: "司机名称", type: "ro" },
      { id: "vehicleNo", name: "车辆", type: "ro" },
      { id: "vehicleName", name: "车辆名称", type: "ro", hidden: true }
    ],
    multiselect: false,

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/tBaseBranchDriver/queryAppointDriver",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true // 是否启用分页
  };
  // 车辆table
  var carrierVehicleTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "vehicleNo", name: "id", type: "ro", width: "130", hidden: true },
      { id: "vehicleNo", name: "车辆编号", type: "ro" },
      { id: "vehicleName", name: "车辆名称", type: "ro" },
      { id: "mainDriverId", name: "司机编号", type: "ro", hidden: true },
      { id: "mainDriverName", name: "司机", type: "ro" }
    ],
    multiselect: false,

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/tBaseBranchVehicle/queryAppointVehicle",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true // 是否启用分页
  };
  let gridAddTop;
  var startTime = Prolog.formatDate(new Date(), "%YY-%MM") + "-01 00:00:00";
  var endTime = Prolog.formatDate(new Date()) + " 23:59:59";
  let addRowData = {};
  let fromDataJson;
  var grid, gridBottom;
  //配送中心table
  var userTable = {
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "配送中心编号", type: "ro" },
      { id: "companyname", name: "配送中心名称", type: "ro" }
    ],
    multiselect: false,
    pagebar: { type: "simple" },

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch", //数据接口
    type: "post", //数据提交方式，默认为get
    contentType: "application/json",
    params: JSON.stringify({ "companytype": "S" }), //查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  var ddfrom = null;
  let dataSelete;

  //获取下拉框
  getSelectGJ([{ "objectcode": "APPOINT_TIME" }, { "objectcode": "URG_FLG" }, { "objectcode": "TMS_SHIP_BILLTYPE" }, { "objectcode": "TMS_REF_BILLTYPE" }], function (data) {
    dataSelete = data.data;
    dataSelete.APPOINT_TIME.unshift({ "text": "", "value": "" });
    dataSelete.URG_FLG.unshift({ "text": "", "value": "" });
  });
  utilSyncAjaxGJ(UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleSpecs/vehicleSpecsQuery", "post", JSON.stringify({ pageNum: 1, pageSize: 100 }), (data) => {
    queryList = data.data.list;
    let dataList = [{ "text": "", "value": "" }];
    for (var i = 0; i < queryList.length; i++) {
      dataList.push({ "text": queryList[i].vehicleSpecsName, "value": queryList[i].vehicleSpecsNo });
    }
    dataSelete.appointVehicleModel = dataList;
  }, "application/json");
  var opts = {
    //terrace显示全部，card分页显示
    skin: "card",
    //renderer:"grid",
    columns: [
      { id: "loadbillid", name: "id", type: "ro", width: "100", hidden: true },
      { id: "branchname", name: "配送中心", type: "ro", width: 150 },
      { id: "loadbillno", name: "预约单号", type: "ro", width: 150 },
      {
        id: "appointDate", name: "预约日期", type: "ro", width: 130
      },
      {
        id: "appointTime", name: "预约时间", type: "ro", width: 100, render: (v) => {
          return getSelectValue(dataSelete.APPOINT_TIME, v);
        }
      },
      { id: "carrierno", name: "预约单位编号", type: "ro", width: 100 },
      {
        id: "carriername", name: "预约单位名称", type: "ro", width: 100
      },
      {
        id: "driver1stname", name: "司机", type: "ro", width: 100
      },
      {
        id: "drivertel", name: "司机手机号", type: "ro", width: 100
      },
      {
        id: "appointVehicleModel", name: "车型", type: "ro", width: 120, render: (v) => {
          return getSelectValue(dataSelete.appointVehicleModel, v);
        }
      },
      { id: "carriername", name: "承运商", type: "ro", width: 100 },
      { id: "voucherno", name: "车牌号", type: "ro", width: 100 },
      { id: "customerNumber", name: "客户数", type: "ro", width: 130 },
      { id: "orderNumber", name: "运单数", type: "ro", width: 100 },
      { id: "shipmentNumber", name: "预约件数", type: "ro", width: 100 },
      { id: "shipmentWeight", name: "预约重量", type: "ro", width: 100 },
      { id: "shipmentVol", name: "预约体积", type: "ro", width: 100 },
      { id: "remark", name: "备注", type: "ro", width: 100 },
      {
        id: "op", name: "操作", type: "button", align: "center", fixed: "right", width: 200, render: function () {
          return "修改^appointmentAdjustment_updataClick;新增^appointmentAdjustment_addClick";
        }
      }
    ],
    multiselect: true,
    fixedLast: true, //开启固定列，固定最后一行，倒数第二列不能隐藏
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "calendar", readonly: true, className: "layui-col-md3", name: "startTime", label: "开始时间:", value: startTime },
          { type: "calendar", readonly: true, className: "layui-col-md3", name: "endTime", label: "结束时间:", value: endTime },
          {
            className: "layui-col-md3",
            type: "selectTable",
            placeholder: "请选择配送中心",
            readonly: false,
            table: userTable,
            tableWidth: 500,
            tableHeight: 400,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "branchidList",
            label: "配送中心:",
            listener: function () {
            }
          },
          { type: "input", name: "driver1stname", label: "司机:", className: "layui-col-md3" },
          { type: "input", name: "voucherno", label: "车牌号:", className: "layui-col-md3" },
          {
            type: "block", className: "layui-col-md3 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "querywork", value: "查询" },
              { type: "newcolumn" },
              { type: "button", name: "work_Reset", className: "normal", value: "重置" }
            ]
          },
          {
            type: "block", className: "layui-col-md6 right",
            list: [
              { type: "button", name: "clearApp", className: "btn-normal", value: "预约取消" }
            ]
          }
        ]
      }],

    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/appointAdjustQuery",//数据接口
    type: "post",//数据提交方式，默认为get
    contentType: "application/json",
    params: JSON.stringify({ startTime, endTime }),//查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //分页参数 pageSize pageNum
  grid = new PlgGrid(opts);
  grid.renderTo("appointmentAdjustment_guojzhuans2");
  grid.loadData();

  //单击事件
  grid.on("onRowSelect", function (id) {
    gridBottom.setParams(JSON.stringify({ "loadbillid": id, "pageNum": "1", "pageSize": "10" }));
    gridBottom.reload();
  });
  //按钮添加方法
  grid.attachToolBarEvent("onButtonClick", function (name) {
    //查询
    if (name == "querywork") {
      var fdata = grid.getToolBarForm().getFormData();
      fdata.startTime = FormatDate(fdata.startTime) + " 00:00:00";
      fdata.endTime = Prolog.formatDate(fdata.endTime) + " 23:59:59";
      fdata.branchid = fdata.branchidList ? JSON.parse(fdata.branchidList)[0] : "";
      delete fdata.branchidList;
      grid.setParams(JSON.stringify(fdata));
      gridBottom.getGrid().clearAll();
      grid.reload();
    }
    //重置
    if (name == "work_Reset") {
      grid.getToolBarForm().getDForm().setText("branchidList", "");
      grid.getToolBarForm().clear();
      grid.getToolBarForm().setFormData({ startTime, endTime });
    }
    //预约取消
    if (name == "clearApp") {
      let datai = getDeleteAll(grid);
      if (datai == "" || datai == null) {
        return;
      }
      for (var i = 0; i < datai.length; i++) {
        datai[i] = grid.getRowData(datai[i]);
      }
      //调用ajax方法
      utilAjaxGJ(UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/appointCancel", "post", JSON.stringify(datai), function (data) {
        grid.reload();
        gridBottom.getGrid().clearAll();
      }, "application/json");
    }

  });
  //修改
  window.appointmentAdjustment_updataClick = function (rid, data) {
    // 2021.04.09更新 不传vehicleType，改传branchId
    driverTable.params = JSON.stringify({ branchId: data.branchid });
    carrierVehicleTable.params = JSON.stringify({ branchId: data.branchid });
    // if (data.coldBillNumber == 0 || data.coldBillNumber == null) {
    //   driverTable.params = JSON.stringify({ vehicleType: "01" });
    //   carrierVehicleTable.params = JSON.stringify({ vehicleType: "01" });
    // }
    // else {
    //   driverTable.params = JSON.stringify({ vehicleType: "02" });
    //   carrierVehicleTable.params = JSON.stringify({ vehicleType: "02" });
    // }
    $("#appointmentAdjustment_div4").html("");
    ddfrom = new PlgForm(fromDataJson);
    ddfrom.getDForm().setText("voucherno1", data.voucherno == null ? "" : data.voucherno);
    ddfrom.getDForm().setText("driver1stname1", data.driver1stname == null ? "" : data.driver1stname);
    ddfrom.attachEvent("onBlur", function (name) {
      let fd = ddfrom.getFormData();
      if (name == "drivertel" && fd.drivertel != "") {
        getMxList({ tel: fd.drivertel });
      }
    });
    grid.selectRowById(rid);
    ddfrom.setFormData(data);
    setView("#appointmentAdjustment_div1");
    $("#appointmentAdjustment_title").html("预约单修改");
  };
  //新增
  window.appointmentAdjustment_addClick = function (rid, rdata) {
    addRowData = rdata;
    grid.selectRowById(rid);
    gridAddTop.getToolBarForm().clear();
    gridAddTop.getToolBarForm().setFormData({ startTime, endTime });
    gridAddTop.setParams(JSON.stringify({ branchid: addRowData.branchid, startTime, endTime }));
    gridAddTop.reload();
    setView("#appointmentAdjustment_div9");
    gridAddBottom.getGrid().clearAll();
  };
  //删除
  window.appointmentAdjustment_delectClick = function (rid, data) {
    utilDelete(UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/appointDeleteConfirm", "post", this.JSON.stringify(data), (data) => {

      grid.reload();
      gridBottom.getGrid().clearAll();
    }, "application/json");
  };
  //跳转页面
  var carousel = layui.carousel;
  carousel.render({
    elem: "#appointmentAdjustment_div2",
    autoplay: false,
    index: 0,
    arrow: "none",
    indicator: "none",
    anim: "fade",
    width: "100%", //设置容器宽度
    height: "100%"
  });
  let viewList = ["#appointmentAdjustment_div1", "#appointmentAdjustment_div3", "#appointmentAdjustment_div9"];
  function setView(name) {
    for (let i = 0; i < viewList.length; i++) {
      if (name == viewList[i]) {
        $(name).css("display", "block");
      }
      else {
        $(viewList[i]).css("display", "none");
      }
    }
  }
  fromDataJson = {
    renderer: "appointmentAdjustment_div4",
    items: [
      { type: "settings", position: "label-left", width: 300, labelWidth: 90 },
      { type: "hidden", name: "loadbillid", label: "id:", width: 230 },
      { type: "input", name: "loadbillno", label: "预约单号:", readonly: true, width: 230 },
      { type: "hidden", name: "driver1stname", label: "司机:", width: 230 },
      { type: "hidden", name: "driver1st", label: "司机:", width: 230 },
      {
        width: 230,
        type: "selectTable",
        placeholder: "请选择司机",
        readonly: false,
        table: driverTable,
        tableWidth: 500,
        tableHeight: 400,
        fieldText: "driverName",
        fieldValue: "driverId",
        name: "driver1stname1",
        label: "司机:",
        listener: function (consignorGrid) {
          setMethod(consignorGrid, driverTable, function (data) {
            var datad = {};
            datad.driver1stname = data.driverName;
            datad.driver1st = data.driverId;
            datad.drivercard = data.card;
            datad.driver1stname = data.driverName;
            datad.driver1st = data.driverId;
            datad.drivertel = data.tel;
            datad.vouchernane = data.vehicleName;
            datad.voucherno = data.vehicleNo;
            datad.appointVehicleModel = data.vehicleSpecsNo;
            datad.appointVehicleModelName = data.vehicleSpecsName;
            ddfrom.getDForm().setText("voucherno1", data.vehicleNo);
            ddfrom.getDForm().setText("driver1stname1", data.driverName);
            ddfrom.setFormData(datad);
            //getMxList({driverId: data.driverId});
          });
        }
      },

      {
        type: "input", disabled: true, name: "drivercard", label: "司机身份证号:", width: 230
      },
      { type: "hidden", name: "voucherno", label: "车牌号:", width: 230 },
      { type: "hidden", name: "vouchernane", label: "车牌号:", width: 230 },
      {
        width: 230,
        type: "selectTable",
        placeholder: "请选择车牌号",
        readonly: false,
        table: carrierVehicleTable,
        tableWidth: 500,
        tableHeight: 400,
        fieldText: "vehicleName",
        fieldValue: "vehicleNo",
        name: "voucherno1",
        label: "车牌号:",
        listener: function (consignorGrid) {
          setMethod(consignorGrid, carrierVehicleTable, function (data) {
            var datad = {};
            datad.vouchernane = data.vehicleName;
            datad.voucherno = data.vehicleNo;
            datad.driver1stname = data.mainDriverName;
            datad.driver1st = data.mainDriverId;
            datad.drivercard = data.card;
            datad.drivertel = data.tel;
            datad.dirver2nd = data.secondDriverId;
            datad.dirver2ndname = data.secondDriverName;
            datad.appointVehicleModel = data.vehicleSpecsNo;
            datad.appointVehicleModelName = data.vehicleSpecsName;
            ddfrom.getDForm().setText("voucherno1", data.vehicleNo);
            ddfrom.getDForm().setText("driver1stname1", data.mainDriverName);
            ddfrom.setFormData(datad);
            //getMxList({vehicleNo: data.vehicleNo});
          });
        }
      },
      {
        type: "calendar", name: "appointDate", label: "预约日期:", width: 230
      },
      { type: "newcolumn", offset: 10 },
      { type: "input", name: "branchname", readonly: true, label: "配送中心:", width: 230 },
      { type: "input", name: "drivertel", label: "司机手机号:", width: 230, disabled: true },
      {
        type: "combo", disabled: true, name: "appointVehicleModel", readonly: true, label: "车型:", width: 230, options: dataSelete.appointVehicleModel
      },
      {
        type: "hidden", disabled: true, name: "appointVehicleModelName", readonly: true, label: "车型:", width: 230, options: dataSelete.appointVehicleModel
      },
      {
        type: "combo", name: "appointTime", label: "预约时间:", width: 230, options: dataSelete.APPOINT_TIME
      },
      {
        type: "input", name: "remark", label: "备注:", width: 230
      }]
  };
  //返回
  $(document).on("click", "#appointmentAdjustment_return", function () {
    setView("#appointmentAdjustment_div3");
  });
  //修改保存
  document.querySelector("#appointmentAdjustment_save").onclick = function () {
    //数据data
    var data = ddfrom.getFormData();
    var feik = ddfrom.validate();
    if (!feik) {
      return;
    }
    data.appointDate = FormatDate(data.appointDate);
    //调用ajax方法
    utilAjaxGJ(UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/appointUpdateConfirm", "post", JSON.stringify(data), function (data) {

      setView("#appointmentAdjustment_div3");
      grid.reload();
      gridBottom.getGrid().clearAll();
    }, "application/json");
  };

  var optsBottom = {
    //terrace显示全部，card分页显示
    skin: "card",
    //renderer:"grid",
    columns: [
      { id: "INDEX", name: "id", type: "ro", width: "100", hidden: true },
      { id: "branchname", name: "配送中心", type: "ro", width: 150 },
      { id: "consignorname", name: "货主", type: "ro", width: 150 },
      {
        id: "shipbillno", name: "运单号", type: "ro", width: 100
      },
      {
        id: "billtype", name: "运单类型", type: "ro", width: 100, render: (v) => {
          return getSelectValue(dataSelete.TMS_SHIP_BILLTYPE, v);
        }
      },
      { id: "linenane", name: "线路名称", type: "ro", width: 100 },
      {
        id: "billdate", name: "单据日期", type: "ro", width: 130
      },
      {
        id: "urgentIdentify", name: "是否急单", type: "ro", width: 100, render: (v) => {
          return getSelectValue(dataSelete.URG_FLG, v);
        }
      },
      {
        id: "refbillno", name: "业务单号", type: "ro", width: 100
      },
      {
        id: "refbilltype", name: "业务类型", type: "ro", width: 120, render: (v) => {
          return getSelectValue(dataSelete.TMS_REF_BILLTYPE, v);
        }
      },
      { id: "shiptoCustomerName", name: "客户名称", type: "ro", width: 130 },
      { id: "shipfromAddress", name: "客户地址", type: "ro", width: 100 },
      { id: "reqshipmentdate", name: "预计发货日期", type: "ro", width: 130 },
      { id: "reqarrivvaldate", name: "预计到货日期", type: "ro", width: 140 },
      { id: "rsumcases", name: "件数", type: "ro", width: 100 },
      { id: "rsumgoodsweight", name: "重量", type: "ro", width: 100 },
      { id: "rsumgoodsvol", name: "体积", type: "ro", width: 100 },
      { id: "memo", name: "备注", type: "ro", width: 100 },
      {
        id: "op", name: "操作", type: "button", align: "center", fixed: "right", width: 200, render: function () {
          return "删除^appointmentAdjustment_delectClick";
        }
      }
    ],
    beforeLoadData: function (res) {
      res.data.forEach((item, index) => {
        item.INDEX = index + "";
      });
      return res;
    },
    multiselect: false,
    fixedLast: true, //开启固定列，固定最后一行，倒数第二列不能隐藏

    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/appointAdjustQueryDtl",//数据接口
    type: "post",//数据提交方式，默认为get
    contentType: "application/json",
    params: "{}",//查询提交参数，分页参数默认为pageNum,pageSize
    page: false, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //分页参数 pageSize pageNum
  gridBottom = new PlgGrid(optsBottom);
  gridBottom.renderTo("appointmentAdjustment_guojzhuans2CP");
  var optsAddTop = {
    //terrace显示全部，card分页显示
    skin: "card",
    //renderer:"grid",
    columns: [
      { id: "shipbillid", name: "id", type: "ro", width: "100", hidden: true },
      { id: "branchname", name: "配送中心", type: "ro", width: 150 },
      { id: "consignorname", name: "货主", type: "ro", width: 150 },
      { id: "shipbillno", name: "运单号", type: "ro", width: 100 },
      { id: "billtypeName", name: "运单类型", type: "ro", width: 100 },
      { id: "linenane", name: "线路名称", type: "ro", width: 100 },
      { id: "billdate", name: "单据日期", type: "ro", width: 130 },
      { id: "urgentIdentifyName", name: "是否急单", type: "ro", width: 100 },
      { id: "refbillno", name: "业务单号", type: "ro", width: 100 },
      { id: "refbilltypeName", name: "业务类型", type: "ro", width: 120 },
      { id: "shiptoCustomerName", name: "客户名称", type: "ro", width: 130 },
      { id: "shiptoAddress", name: "客户地址", type: "ro", width: 100 },
      { id: "reqshipmentdate", name: "预计发货日期", type: "ro", width: 130 },
      { id: "reqarrivvaldate", name: "预计到货日期", type: "ro", width: 130 },
      { id: "rsumcases", name: "件数", type: "ro", width: 100 },
      { id: "rsumgoodsweight", name: "重量", type: "ro", width: 100 },
      { id: "rsumgoodsvol", name: "体积", type: "ro", width: 100 },
      { id: "memo", name: "备注", type: "ro", width: 100 }
    ],
    multiselect: true,
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "calendar", className: "layui-col-md3", name: "startTime", label: "开始时间:", value: startTime },
          { type: "calendar", className: "layui-col-md3", name: "endTime", label: "结束时间:", value: endTime },
          { type: "input", name: "shipbillno", label: "运单号:", className: "layui-col-md3" },
          { type: "input", name: "refbillno", label: "业务单号:", className: "layui-col-md3" },
          { type: "combo", name: "urgentIdentify", label: "是否急单:", className: "layui-col-md3", options: dataSelete.URG_FLG },
          {
            type: "block", className: "layui-col-md6 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "querywork", value: "查询" },
              { type: "newcolumn" },
              { type: "button", name: "work_Reset", className: "normal", value: "重置" }
            ]
          },
          {
            type: "block", className: "layui-col-md3 right",
            list: [
              { type: "button", className: "btn-normal", name: "addBtn", offsetLeft: 10, value: "<i class='layui-icon layui-icon-add-1'></i>新增确认" }
            ]
          }
        ]
      }],

    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/queryAppointPlanAdjustmentAdd",//数据接口
    type: "post",//数据提交方式，默认为get
    contentType: "application/json",
    params: "{}",//查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //分页参数 pageSize pageNum
  gridAddTop = new PlgGrid(optsAddTop);
  gridAddTop.renderTo("appointmentAdjustment_div422A");

  //按钮添加方法
  gridAddTop.attachToolBarEvent("onButtonClick", function (name) {
    //查询
    if (name == "querywork") {
      var fdata = gridAddTop.getToolBarForm().getFormData();
      fdata.startTime = FormatDate(fdata.startTime) + " 00:00:00";
      fdata.endTime = Prolog.formatDate(fdata.endTime) + " 23:59:59";
      fdata.branchid = addRowData.branchid;
      gridAddTop.setParams(JSON.stringify(fdata));
      gridAddTop.reload();
      gridAddBottom.getGrid().clearAll();
    }
    //重置
    if (name == "work_Reset") {
      gridAddTop.getToolBarForm().clear();
      gridAddTop.getToolBarForm().setFormData({ startTime, endTime });
    }
    //新增确认
    if (name == "addBtn") {
      let datai = getDeleteAll(gridAddTop);
      if (datai == "" || datai == null) {
        return;
      }
      addRowData.shipbillids = datai;
      //调用ajax方法
      utilAjaxGJ(UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/appointAddConfirm", "post", JSON.stringify(addRowData), function (data) {
        setView("#appointmentAdjustment_div3");
        grid.reload();
        gridBottom.getGrid().clearAll();
      }, "application/json");
    }

  });
  var optsAddBottom = {
    //terrace显示全部，card分页显示
    skin: "card",
    //renderer:"grid",
    columns: [
      { id: "lineid", name: "id", type: "ro", width: "100", hidden: true },
      { id: "shipbillno", name: "运单号", type: "ro" },
      { id: "itemno", name: "商品编号", type: "ro" },
      {
        id: "itemname", name: "商品名称", type: "ro"
      },
      { id: "itemtype", name: "商品类型", type: "ro", hidden: true },
      { id: "itemtypeName", name: "商品类型", type: "ro" },
      { id: "pcs", name: "件数", type: "ro" },
      {
        id: "weight", name: "重量", type: "ro"
      },
      {
        id: "vol", name: "体积", type: "ro"
      },
      {
        id: "remark", name: "备注", type: "ro"
      }
    ],
    multiselect: true,

    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/tmsShipbillDQuery",//数据接口
    type: "post",//数据提交方式，默认为get
    contentType: "application/json",
    params: "{}",//查询提交参数，分页参数默认为pageNum,pageSize
    page: false, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //分页参数 pageSize pageNum
  gridAddBottom = new PlgGrid(optsAddBottom);
  gridAddBottom.renderTo("appointmentAdjustment_div422B");
  //单击事件
  gridAddTop.on("onRowSelect", function (id) {
    let item = gridAddTop.getRowData(id);
    gridAddBottom.setParams(JSON.stringify({ "shipbillid": id, "pageNum": "1", "pageSize": "10", "branchid": item.branchid }));
    gridAddBottom.reload();
  });
  //单击事件
  function getMxList(data) {
    let retData;
    utilSyncAjaxGJ(UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/driver/queryDriverVehicle", "post", JSON.stringify(data), (data) => {
      retData = data.data;
      ddfrom.setFormData({
        drivercard: retData == null ? "" : retData.card,
        driver1stname: retData == null ? "" : retData.driverName,
        driver1st: retData == null ? "" : retData.driverId,
        drivertel: retData == null ? "" : retData.tel,
        vouchernane: retData == null ? "" : retData.vehicleName,
        voucherno: retData == null ? "" : retData.vehicleNo,
        appointVehicleModel: retData == null ? "" : retData.vehicleSpecs,
        appointVehicleModelName: retData == null ? "" : retData.vehicleSpecsName
      });
      ddfrom.getDForm().setText("voucherno1", retData == null ? "" : retData.vehicleNo);
      ddfrom.getDForm().setText("driver1stname1", retData == null ? "" : retData.driverName);
    }, "application/json");
    return retData;
  }
};
