/**
 * zzx
 * 2020.09.27
 * 装车扫描-预约模块
    */
    import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
    import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
export default () => {
  var unscanned_grid, scanned_grid;
  var selectloadbillid, selectloadbillno; // 选中的数据

  // 未扫rgrid
  var unscanned_grid_opts = {
    skin: "card",
    columns: [
      { id: "shipbillid", name: "运单id", type: "ro", width: 120, hidden: true },
      { id: "shipbillno", name: "运单号", type: "ro", width: 120 },
      { id: "branchid", name: "配送中心编号", type: "ro", width: 120 },
      { id: "branchname", name: "配送中心名称", type: "ro", width: 120 },
      { id: "consignor", name: "货主编号", type: "ro", width: 120 },
      { id: "consignorname", name: "货主名称", type: "ro", width: 120 },
      { id: "billtype", name: "运单类型", type: "ro", width: 120, hidden: true },
      { id: "billtypename", name: "运单类型名称", type: "ro", width: 120 },
      { id: "lineno", name: "线路编号", type: "ro", width: 120 },
      { id: "linenane", name: "线路名称", type: "ro", width: 120 },
      { id: "billdate", name: "单据时间", type: "ro", width: 120 },
      { id: "urgentIdentifyname", name: "紧急标识", type: "ro", width: 120 },
      { id: "refbillno", name: "业务单据号", type: "ro", width: 120 },
      { id: "refbilltype", name: "业务单据类型", type: "ro", width: 120, hidden: true },
      { id: "refbilltypename", name: "业务单据类型", type: "ro", width: 120 },
      { id: "carrierid", name: "承运商ID", type: "ro", width: 120, hidden: true },
      { id: "carriername", name: "承运商名称", type: "ro", width: 120 },
      { id: "shiptoCustomerId", name: "客户id", type: "ro", width: 120, hidden: true },
      { id: "shiptoCustomerName", name: "客户名称", type: "ro", width: 120 },
      { id: "shiptoAddress", name: "客户地址", type: "ro", width: 120 },
      { id: "reqshipmentdate", name: "预计发货日期", type: "ro", width: 120 },
      { id: "reqarrivvaldate", name: "要求到货日期", type: "ro", width: 120 },
      { id: "rsumcases", name: "件数", type: "ro", width: 120 },
      { id: "rsumgoodsweight", name: "总重量", type: "ro", width: 120 },
      { id: "rsumgoodsvol", name: "总体积", type: "ro", width: 120 },
      { id: "remark", name: "备注", type: "ro", width: 120 }
      // {
      //   id: "status", name: "状态", type: "ro", width: 120, render: function (v) {
      //     return getSelectValue(dataSelect.AUDIT_STATUS, v);
      //   }
      // },
      // {
      //   id: "op", name: "操作", type: "button", align: "left", fixed: "right", width: "100", render: function () {
      //     return "修改^vehicleFuelingRegistration_mod,删除^vehicleFuelingRegistration_del";
      //   }
      // }
    ],
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          {
            type: "block", className: "layui-col-md12",
            list: [
              { type: "button", className: "btn-normal", name: "master_abstract", value: "<i class='layui-icon layui-icon-add-1'></i>提 取" },
              { type: "newcolumn" },
              { type: "button", className: "btn-normal", name: "master_sealOff", value: "封 车" }
            ]
          },
          { type: "input", className: "layui-col-md6", name: "shipbillno", label: "扫描单号:", rows: 3 },
          { type: "input", className: "layui-col-md6", name: "reason", label: "扫描结果:", rows: 3, readonly: true },
          { type: "label", className: "layui-col-md12", name: "info", label: "", labelWidth: 800 }
        ]
      }
    ],
    fixedLast: false, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: false, // 是否支持多选

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleManage/queryTVmFuelRecord", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
    page: false, // 是否启用分页
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  unscanned_grid = new PlgGrid(unscanned_grid_opts);
  unscanned_grid.renderTo("loadingScan_unscanned_grid");
  // 按钮点击事件
  unscanned_grid.attachToolBarEvent("onButtonClick", function (name) {
    switch (name) {
      case "master_abstract":
        abstract();
        break;

      case "master_sealOff":
        loadingScanEnd();
        break;
    }
  });
  let textareas = document.getElementById("loadingScan_unscanned_grid").getElementsByTagName("textarea");
  setTimeout(() => {
    textareas[0].focus();
  }, 500);
  textareas[0].onkeydown = function (key) {
    if (key.key == "Enter") {
      const { shipbillno } = unscanned_grid.getToolBarForm().getFormData();
      if (!shipbillno) {
        layer.msg("请扫描单号");
        textareas[0].focus();
        return false;
      }
      /**
       * 若已选择单据，此处控制未扫已扫
       * 若未选择单据，此处扫描更新数据
       */
      if (selectloadbillid) {
        let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        Prolog.ajax({
          url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/loadingScanConfirm", type: "post", contentType: "application/json", data: JSON.stringify({
            loadbillid: selectloadbillid,
            shipbillno
          }),
          success: function (res) {
            PlgDialog.close(pload);
            if (res.success) {
              // PlgDialog.msg(res.message);
              unscanned_grid.getToolBarForm().setFormData({
                shipbillno: "",
                reason: "运单" + shipbillno + "扫描成功"
              });
              textareas[0].focus();
              loadingScanShipQuery();
              return true;
            }
                        return false;

          }, error: function () { PlgDialog.close(pload); return false; }
        });
      }
      else {
        selectloadbillno = shipbillno;
        loadingScanShipQuery(true);
      }
    }
  };

  // 修改扫描结果样式
  $("textarea[name='reason']").addClass("loadingScan_reason");

  // 提取弹窗
  function abstract() {
    PlgDialog.open({
      title: "预装车单信息",
      shadeClose: true,
      type: 1, // 设置为1，手动控制dialog的开关
      area: ["850px", "500px"],
      content: "<div id =\"loadingScan_dialog\"></div>" //iframe的url
    });
    $(".layui-layer-btn0").hide();
    let loadingScan_grid_opts = {
      skin: "card",
      columns: [
        { id: "loadbillid", name: "装车单号", type: "ro", width: "130", hidden: true },
        { id: "loadbillno", name: "装车单号", type: "ro", width: 180 },
        { id: "branchid", name: "配送中心ID", type: "ro", width: 120 },
        { id: "branchname", name: "配送中心名称", type: "ro", width: 120 },
        { id: "billdate", name: "单据日期", type: "ro", width: 120 },
        { id: "carriername", name: "承运商", type: "ro", width: 120 },
        { id: "voucherno", name: "车牌号", type: "ro", width: 120 },
        { id: "driver1stname", name: "司机", type: "ro", width: 120 },
        { id: "drivertel", name: "司机手机号", type: "ro", width: 120 },
        { id: "orderNumber", name: "运单数", type: "ro", width: 120 },
        { id: "customerNumber", name: "客户数", type: "ro", width: 120 },
        { id: "shipmentNumber", name: "件数", type: "ro", width: 120 },
        { id: "shipmentWeight", name: "重量", type: "ro", width: 120 },
        { id: "shipmentVol", name: "体积", type: "ro", width: 120 },
        { id: "pickUpNumber", name: "提货件数", type: "ro", width: 120 }
      ],
      multiselect: false,

      url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/loadingScanQuery",
      pagebar: { type: "simple" },
      type: "post",
      params: "{}",
      contentType: "application/json",
      page: true,
      totalCount: "totalCount"
    };
    let loadingScan_grid = new PlgGrid(loadingScan_grid_opts);
    loadingScan_grid.renderTo("loadingScan_dialog");
    loadingScan_grid.reload();

    loadingScan_grid.on("onRowDblClicked", function (id) {
      selectloadbillid = id;
      let rdata = loadingScan_grid.getRowData(id);
      selectloadbillno = rdata.loadbillno;
      loadingScanShipQuery();
    });
  }
  // 刷新主页面2个grid isFirst-true 通过扫描更新主单
  function loadingScanShipQuery(isFirst) {
    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    Prolog.ajax({
      url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/loadingScanShipQuery", type: "post", contentType: "application/json", data: JSON.stringify({
        loadbillno: selectloadbillno
      }),
      success: function (res) {
        PlgDialog.close(pload);
        if (res.success) {
          layer.closeAll();
          PlgDialog.msg(res.message);

          unscanned_grid.clearAll();
          scanned_grid.clearAll();
          unscanned_grid.loadData({ "data": { "list": res.data.wloadingScan } });
          scanned_grid.loadData({ "data": { "list": res.data.yloadingScan } });
          selectloadbillid = res.data.loadbillid;
          unscanned_grid.getToolBarForm().setItemLabel("info", "预约单【" + selectloadbillno + "】未扫描装车单据");
          scanned_grid.getToolBarForm().setItemLabel("info", "预约单【" + selectloadbillno + "】已扫描装车单据");

          if (isFirst) {
            unscanned_grid.getToolBarForm().setFormData({
              shipbillno: "",
              reason: "预约单" + selectloadbillno + "扫描成功"
            });
          }
          textareas[0].focus();
        }
        else {
                    if (isFirst) {
            unscanned_grid.getToolBarForm().setItemLabel("info", "");
            scanned_grid.getToolBarForm().setItemLabel("info", "");
            unscanned_grid.getToolBarForm().setFormData({
              shipbillno: "",
              reason: "预约单" + selectloadbillno + "扫描失败"
            });
          }
          selectloadbillno = "";

        }
      }, error: function () { PlgDialog.close(pload); return false; }
    });
  }
  // 封车
  function loadingScanEnd() {
    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    Prolog.ajax({
      url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/loadingScanEnd", type: "post", contentType: "application/json", data: JSON.stringify({
        loadbillid: selectloadbillid
      }),
      success: function (res) {
        PlgDialog.close(pload);
        if (res.success) {
          PlgDialog.msg(res.message);
          selectloadbillid = "";
          selectloadbillno = "";
          branchid = "";
          unscanned_grid.clearAll();
          scanned_grid.clearAll();
          unscanned_grid.getToolBarForm().setFormData({ info: "" });
          scanned_grid.getToolBarForm().setFormData({ info: "" });
          return true;
        }
                return false;

      }, error: function () { PlgDialog.close(pload); return false; }
    });
  }

  // 已扫grid
  var scanned_grid_opts = {
    skin: "card",
    columns: [
      { id: "shipbillid", name: "运单id", type: "ro", width: 120, hidden: true },
      { id: "shipbillno", name: "运单号", type: "ro", width: 120 },
      { id: "branchid", name: "配送中心编号", type: "ro", width: 120 },
      { id: "branchname", name: "配送中心名称", type: "ro", width: 120 },
      { id: "consignor", name: "货主编号", type: "ro", width: 120 },
      { id: "consignorname", name: "货主名称", type: "ro", width: 120 },
      { id: "billtype", name: "运单类型", type: "ro", width: 120, hidden: true },
      { id: "billtypename", name: "运单类型名称", type: "ro", width: 120 },
      { id: "lineno", name: "线路编号", type: "ro", width: 120 },
      { id: "linenane", name: "线路名称", type: "ro", width: 120 },
      { id: "billdate", name: "单据时间", type: "ro", width: 120 },
      { id: "urgentIdentifyname", name: "紧急标识", type: "ro", width: 120 },
      { id: "refbillno", name: "业务单据号", type: "ro", width: 120 },
      { id: "refbilltype", name: "业务单据类型", type: "ro", width: 120, hidden: true },
      { id: "refbilltypename", name: "业务单据类型", type: "ro", width: 120 },
      { id: "carrierid", name: "承运商ID", type: "ro", width: 120, hidden: true },
      { id: "carriername", name: "承运商名称", type: "ro", width: 120 },
      { id: "shiptoCustomerId", name: "客户id", type: "ro", width: 120, hidden: true },
      { id: "shiptoCustomerName", name: "客户名称", type: "ro", width: 120 },
      { id: "shiptoAddress", name: "客户地址", type: "ro", width: 120 },
      { id: "reqshipmentdate", name: "预计发货日期", type: "ro", width: 120 },
      { id: "reqarrivvaldate", name: "要求到货日期", type: "ro", width: 120 },
      { id: "rsumcases", name: "件数", type: "ro", width: 120 },
      { id: "rsumgoodsweight", name: "总重量", type: "ro", width: 120 },
      { id: "rsumgoodsvol", name: "总体积", type: "ro", width: 120 },
      { id: "memo", name: "备注", type: "ro", width: 120 },
      {
        id: "op", name: "操作", type: "button", align: "left", fixed: "right", width: "100", render: function () {
          return "删除^scanned_del";
        }
      }
    ],
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "label", className: "layui-col-md12", name: "info", label: "", labelWidth: 800 }
        ]
      }
    ],
    fixedLast: true, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: false, // 是否支持多选

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleManage/queryTVmFuelRecord", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
    page: false, // 是否启用分页
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  scanned_grid = new PlgGrid(scanned_grid_opts);
  scanned_grid.renderTo("loadingScan_scanned_grid");
  // 删除
  window.scanned_del = function (rid, rdata) {
    layer.open({
      title: "删除",
      content: "还未保存，是否删除？",
      btn: ["确认", "取消"],
      yes: function () {
        let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        Prolog.ajax({
          url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/loadingScanDelete", type: "post", contentType: "application/json", data: JSON.stringify({
            loadbillid: selectloadbillid,
            shipbillid: rdata.shipbillid
          }),
          success: function (res) {
            PlgDialog.close(pload);
            if (res.success) {
              textareas[0].focus();
              loadingScanShipQuery();
              return true;
            }
                        return false;

          }, error: function () { PlgDialog.close(pload); return false; }
        });
      }
    });
  };
};