/*
* zzx
* 2020.06.22
* 运单确认
* */
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';


export default () => {
  // 获取默认时间
  var startTime = Prolog.formatDate(new Date(), "%YY-%MM") + "-01 00:00:00";
  var endTime = Prolog.formatDate(new Date()) + " 23:59:59";
  // 获取下拉框
  var dataSelect = {
    URG_FLG: []
  };
  getSelectGJ([
    { "objectcode": "URG_FLG" }
  ], function (data) {
    dataSelect = data.data;
    dataSelect.URG_FLG.unshift({ "value": "", "text": "" });
  });

  // 配送中心table
  var branchTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "配送中心编号", type: "ro" },
      { id: "companyname", name: "配送中心名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 80 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "配送中心编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "S" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };

  var master_grid;
  // var details_grid;
  var master_grid_opts, details_grid_opts;

  // 主表grid
  master_grid_opts = {
    skin: "card",
    columns: [
      { id: "shipbillid", name: "运单id", type: "ro", width: "130", hidden: true },
      { id: "shipbillno", name: "运单号", type: "ro", width: 120 },
      { id: "branchid", name: "配送中心编号", type: "ro", width: 120 },
      { id: "branchname", name: "配送中心名称", type: "ro", width: 120 },
      { id: "consignor", name: "货主编号", type: "ro", width: 120 },
      { id: "consignorname", name: "货主名称", type: "ro", width: 120 },
      { id: "billtypeName", name: "运单类型", type: "ro", width: 80 },
      { id: "lineno", name: "线路编号", type: "ro", width: 80 },
      { id: "linenane", name: "线路名称", type: "ro", width: 80 },
      { id: "billdate", name: "单据时间", type: "ro", width: 130 },
      { id: "urgentIdentifyName", name: "紧急标识", type: "ro", width: 100 },
      { id: "refbillno", name: "业务单据号", type: "ro", width: 100 },
      { id: "refbilltypeName", name: "业务单据类型", type: "ro", width: 120 },
      { id: "carrierName", name: "承运商名称", type: "ro", width: 120 },
      { id: "shiptoCustomerName", name: "客户名称", type: "ro", width: 120 },
      { id: "shiptoAddress", name: "客户地址", type: "ro", width: 120 },
      { id: "reqshipmentdate", name: "预计发货日期", type: "ro", width: 130 },
      { id: "reqarrivvaldate", name: "要求到货日期", type: "ro", width: 120 },
      { id: "rsumcases", name: "件数", type: "ro", width: 240 },
      { id: "rsumgoodsweight", name: "总重量", type: "ro", width: 120 },
      { id: "rsumgoodsvol", name: "总体积", type: "ro", width: 120},
      { id: "memo", name: "备注", type: "ro", width: 120 }
    ],
    toolbar: [
      { type: "settings", labelWidth: 70, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "calendar", readonly: true, className: "layui-col-md3", name: "startTime", label: "开始时间:", value: startTime },
          { type: "calendar", readonly: true, className: "layui-col-md3", name: "endTime", label: "结束时间:", value: endTime },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择配送中心",
            readonly: false,
            table: branchTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "branchidList",
            label: "配送中心:",
            listener: function (Grid) {
              setMethod(Grid, branchTable, function () { });
            }
          },
          { type: "input", className: "layui-col-md3", name: "shipbillno", label: "运单号:" },
          { type: "input", className: "layui-col-md3", name: "refbillno", label: "业务单号:" },
          { type: "combo", className: "layui-col-md3", readonly: true, name: "urgentIdentify", label: "是否急单:", options: dataSelect.URG_FLG },
          {
            type: "block", className: "layui-col-md4 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "master_search", value: "查 询" },
              { type: "newcolumn" },
              { type: "button", name: "master_reset", value: "重 置" },
              { type: "newcolumn" },
              { type: "button", className: "btn-normal", name: "master_export", value: "导 出" }
            ]
          },
          {
            type: "block", className: "layui-col-md2 right",
            list: [
              { type: "button", className: "btn-normal", name: "master_confirm", value: "运单确认" }
            ]
          }
        ]
      }
    ],
    fixedLast: false, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: true, // 是否支持多选
    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/waybillConfirm/query", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ startTime: startTime, endTime: endTime, pageNum: 0, pageSize: 0 }),
    page: false, // 是否启用分页
    expandRow: true, // 是否单行展开
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  master_grid = new PlgGridExpand(master_grid_opts);
  // master_grid = new PlgGrid(master_grid_opts);
  master_grid.renderTo("waybillConfirmation");
  master_grid.loadData();
  master_grid.attachEvent("onDataReady", function () {
    let indexNum = master_grid.getGrid().getRowsNum();
    for (let i = 0; i < indexNum; i++) {
      const id = master_grid.getRowId(i);
      const element = master_grid.getRowData(id);
      if (element.urgentIdentify == "01") master_grid.getGrid().setRowColor(id, "#F56C6C");
    }
  });
  master_grid.attachToolBarEvent("onButtonClick", function (name) {
    var request = master_grid.getToolBarForm().getFormData();
    request.startTime = request.startTime ? Prolog.formatDate(request.startTime) + " 00:00:00" : "";
    request.endTime = request.endTime ? Prolog.formatDate(request.endTime) + " 23:59:59" : "";
    if (request.startTime > request.endTime) {
      layer.msg("开始时间不能大于结束时间");
      return false;
    }
    request.branchid = request.branchidList ? JSON.parse(request.branchidList)[0] : "";
    request.pageNum = 0;
    request.pageSize = 0;
    dealNullQueryCondition(request);
    delete request.branchidList;
    switch (name) {
      case "master_search":
        master_grid.setParams(JSON.stringify(request));
        dataList = [];
        master_grid.reload();
        break;
      case "master_reset":
        master_grid.getToolBarForm().clear();
        master_grid.getToolBarForm().setFormData({ startTime: startTime, endTime: endTime });
        master_grid.getToolBarForm().setText("branchidList", "");
        break;
      case "master_confirm":
        var ids = master_grid.getCheckedIds();
        if (!ids) {
          layer.msg("请选择数据");
          return;
        }
        var list = ids.split(",").map(item => {
          return { "shipbillid": item };
        });
        layer.open({
          title: "审核",
          content: "是否运单确认？",
          btn: ["确认", "取消"],
          yes: function () {
            let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
            Prolog.ajax({
              url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/waybillConfirm/confirm", type: "post", contentType: "application/json", data: JSON.stringify(list),
              success: function (data) {
                PlgDialog.close(pload);
                if (data.success) {
                  layer.closeAll();
                  PlgDialog.msg(data.message);
                  dataList = [];
                  master_grid.reload();
                }
                else {
                      }
              }, error: function () { PlgDialog.close(pload); return false; }
            });
          }
        });
        break;
      case "master_export":
        tmsOrderBillExport(request);
        break;
    }
  });
  // 点击展开的事件
  master_grid.expandedRowsChange(function (expId, id, boolean) {
    if (!boolean) return;
    let rdata = master_grid.getRowData(id);
    let child = new PlgGridExpand(details_grid_opts);
    child.renderTo(expId);
    child.setParams(JSON.stringify({ shipbillid: id, branchid: rdata.branchid }));
    child.reload();
  });
  // 单击一行显示明细
  // master_grid.on("onRowSelect", function (id) {
  //   let rdata = master_grid.getRowData(id);
  //   details_grid.setParams(JSON.stringify({ shipbillid: id, branchid: rdata.branchid }));
  //   details_grid.reload();
  // });

  // 详情表grid
  details_grid_opts = {
    // skin: "card",
    columns: [
      { id: "lineid", name: "运单id", type: "ro", width: "130", hidden: true },
      { id: "shipbillno", name: "运单号", type: "ro" },
      { id: "itemno", name: "物料编号", type: "ro" },
      { id: "itemname", name: "物料名称", type: "ro" },
      { id: "itemtype", name: "物料类型", type: "ro", render: function (v, rd) { return rd.itemtypeName ? rd.itemtypeName : v; } },
      { id: "pcs", name: "件数", type: "ro" },
      { id: "weight", name: "重量", type: "ro" },
      { id: "vol", name: "体积", type: "ro" },
      { id: "remark", name: "备注", type: "ro" }
    ],
    // fixedLast: false, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    // multiselect: false, // 是否支持多选
    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/waybillConfirm/detailQuery", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: "{}",
    page: false, // 是否启用分页
    contentType: "application/json"
    // totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  // details_grid = new PlgGrid(details_grid_opts);
  // details_grid.renderTo("waybillConfirmation_details");

  // 导出
  function tmsOrderBillExport(params) {
    var url = UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/waybillConfirm/export";
    var token = Prolog.reloadToken();
    if (token == null || token == "") {
      PlgDialog.msg("登录状态异常，请重新登录！");
      window.location.href = "/menu?path=login";
      return;
    }
    var xhh = new XMLHttpRequest();
    xhh.open("post", url);
    xhh.setRequestHeader("Authorization", token);
    xhh.setRequestHeader("Content-Type", "application/json");
    xhh.responseType = "blob";
    xhh.onreadystatechange = function () {
      if (xhh.readyState === 4 && xhh.status === 200) {
        var filename = "运单确认" + new Date().getTime() + ".xls";
        var blob = new Blob([xhh.response], { type: "text/xls" });
        var csvUrl = URL.createObjectURL(blob);
        var link = document.createElement("a");
        link.href = csvUrl;
        link.download = filename;
        link.click();
      }
    };
    xhh.send(JSON.stringify(params));
  }
};