/**
 * zzx
 * 2021.06.02
 * 订单管理
    */
    import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
    import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
export default () => {
  // 跳转页面
  var carousel = layui.carousel;
  carousel.render({
    elem: "#orderManage",
    autoplay: false,
    index: 0,
    arrow: "none",
    indicator: "none",
    anim: "fade",
    width: "100%", // 设置容器宽度
    height: "100%"
  });
  // 切换页面
  function changePanel(name) {
    var slideList = ["#orderManage_main", "#orderManage_view", "#orderManage_edit"];
    for (var i = 0; i < slideList.length; i++) {
      if (slideList[i] == name) {
        $(name).css("display", "block");
      }
      else {
        $(slideList[i]).css("display", "none");
      }
    }
  }
  // 返回
  $("#orderManage_view_return").on("click", function () {
    changePanel("#orderManage_main");
  });
  $("#orderManage_edit_return").on("click", function () {
    changePanel("#orderManage_main");
  });

  var master_grid, details_grid, orderManage_view_grid;
  var orderManage_edit_form, orderManage_edit_grid;

  // 获取默认时间
  var startTime = Prolog.formatDate(new Date(), "%YY-%MM") + "-01 00:00:00";
  // var startTime = "2021-01-01 00:00:00";
  var endTime = Prolog.formatDate(new Date()) + " 23:59:59";

  // 获取下拉框
  var dataSelect;
  getSelectGJ([
    { "objectcode": "TMS_SHIP_BILLTYPE" },
    { "objectcode": "URG_FLG" },
    { "objectcode": "ITEM_TYPE" },
    { "objectcode": "TEMP_REQ" },
    { "objectcode": "GOODS_TYPE" },
    { "objectcode": "SEND_CUS_TYPE" },
    { "objectcode": "TMS_ORDER_BILLH_STATUS", "groupcode1": "1" },
    { "objectcode": "GET_CUS_TYPE" }
  ], function (data) {
    dataSelect = data.data;
    dataSelect.TMS_SHIP_BILLTYPE.unshift({ "value": "", "text": "" });
    dataSelect.TEMP_REQ.unshift({ "value": "", "text": "" });
    dataSelect.GOODS_TYPE.unshift({ "value": "", "text": "" });
    dataSelect.SEND_CUS_TYPE.unshift({ "value": "", "text": "" });
    dataSelect.URG_FLG.unshift({ "value": "", "text": "" });
    dataSelect.TMS_ORDER_BILLH_STATUS.unshift({ "value": "", "text": "" });
    dataSelect.GET_CUS_TYPE.unshift({ "value": "", "text": "" });
  });

  // 查询省
  var provinceEnums = [];
  utilSyncAjaxGJ(UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", "post", JSON.stringify({ "fatherid": "01" }), function (data) {
    provinceEnums = data.data;
    for (let x in provinceEnums) {
      provinceEnums[x].text = provinceEnums[x].keyvalue;
      provinceEnums[x].value = provinceEnums[x].zoneid;
    }
    provinceEnums.unshift({ "value": "", "text": "" });
  }, "application/json");

  // 配送中心/站点table
  var branchTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "配送中心/站点编号", type: "ro" },
      { id: "companyname", name: "配送中心/站点名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 110 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "配送中心/站点编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "S" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  // 货主table
  var consignorTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "货主编号", type: "ro" },
      { id: "companyname", name: "货主名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 100 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "货主编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyConsignor",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "H" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  // 客户table
  var clientTable01 = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "addressid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "客户编号", type: "ro", width: 100 },
      { id: "companyname", name: "客户名称", type: "ro", width: 100 },
      { id: "provincename", name: "省", type: "ro", width: 80 },
      { id: "cityname", name: "市", type: "ro", width: 80 },
      { id: "areaname", name: "区", type: "ro", width: 80 },
      { id: "townname", name: "镇", type: "ro", width: 80 },
      { id: "contactman", name: "联系人", type: "ro", width: 80 },
      { id: "address", name: "详细地址", type: "ro", width: 150 }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 100 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "客户编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/querySenderReceiver",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  var client_dialog_grid01 = new PlgGrid(clientTable01);
  // 个人table
  var clientTable02 = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "customerId", name: "id", type: "ro", width: "130", hidden: true },
      { id: "customerCode", name: "客户编号", type: "ro" },
      { id: "customerName", name: "客户名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 70 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "customerCode", label: "客户编码:", width: 120 },
          { type: "newcolumn", offset: 10 },
          { type: "input", name: "customerName", label: "客户名称:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/tBaseIndividualCustomer/queryPopup",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  var client_dialog_grid02 = new PlgGrid(clientTable02);
  // 仓库table
  var clientTable03 = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "addressid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "配送中心/站点编号", type: "ro", width: 150 },
      { id: "companyname", name: "配送中心/站点名称", type: "ro", width: 150 },
      { id: "provincename", name: "省", type: "ro", width: 80 },
      { id: "cityname", name: "市", type: "ro", width: 80 },
      { id: "areaname", name: "区", type: "ro", width: 80 },
      { id: "townname", name: "镇", type: "ro", width: 80 },
      { id: "contactman", name: "联系人", type: "ro", width: 80 },
      { id: "address", name: "详细地址", type: "ro", width: 150 }

    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 110 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "配送中心/站点编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "S" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  var client_dialog_grid03 = new PlgGrid(clientTable03);
  // 商品table
  var itemTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "itemid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "itemcode", name: "商品编码", type: "ro" },
      { id: "itemname", name: "商品名称", type: "ro" }
    ],
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 100 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "itemcode", label: "商品编码:", width: 120 },
          { type: "newcolumn" },
          { type: "input", name: "itemname", label: "商品名称:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    multiselect: false,

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/iteminfo/pop/v1.0",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  // 货品table
  var categoryTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "categoryId", name: "id", type: "ro", width: "130", hidden: true },
      { id: "categoryCode", name: "运输品类编号", type: "ro" },
      { id: "categoryName", name: "运输品类名称", type: "ro" }
    ],
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 100 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "categoryCode", label: "运输品类编号:", width: 120 },
          { type: "newcolumn" },
          { type: "input", name: "categoryName", label: "运输品类名称:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    multiselect: false,

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/tBaseTransportCategory/queryTBaseTransportCategory",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };

  // 客户/个人弹窗事件
  function clientDialog(grid, type, valueName) {
    PlgDialog.open({
      title: "选择客户",
      shadeClose: true,
      type: 1, // 设置为1，手动控制dialog的开关
      area: ["650px", "500px"],
      content: "<div id =\"client_dialog\"></div>" //iframe的url
    });
    grid.renderTo("client_dialog");
    grid.reload();
    // 注册表格查询时间
    grid.attachToolBarEvent("onButtonClick", function (name) {
      switch (name) {
        case "querycarr":
          grid.setParams(JSON.stringify(grid.getToolBarForm().getFormData()));
          grid.reload();
          break;
        case "car_Reset":
          grid.getToolBarForm().clear();
          break;
      }
    });
    // 注册表格单击选择事件
    grid.on("onRowSelect", function () {
      let data = grid.getSelectedRowData();
      // 01-公司 02-个人 03-仓库
      // valueName shipper-发货人 arriver-收货人
      if (type === "01") {
        if (valueName === "shipper") {
          orderManage_edit_form.setFormData({
            shipperName: data.companyname,
            shipperId: data.companyid,
            shipperCode: data.companycode,
            shipoperator: data.contactman,
            shipoperatortel: data.tel,
            shipmentProvinceNo: data.province,
            shipmentProvinceName: data.provincename,
            shipmentCityNo: data.city,
            shipmentCityName: data.cityname,
            shipmentDistrictNo: data.area,
            shipmentDistrictName: data.areaname,
            shipmentTownNo: data.town,
            shipmentTownName: data.townname,
            shipmentAddress: data.address,
            shipmentAddressid: data.addressid || "",
            shipmentAddresscode: data.addresscode || ""
          });

          // 更新省市区下拉框数据
          getByPid(data.province, "shipmentCityNo", data.city);
          getByPid(data.city, "shipmentDistrictNo", data.area);
          getByPid(data.area, "shipmentTownNo", data.town);
          getByPid(data.town, "shipmentCommunityNo", data.community);
        }
        else if (valueName === "arriver") {
          orderManage_edit_form.setFormData({
            arriverName: data.companyname,
            arriverId: data.companyid,
            arriverCode: data.companycode,
            consignee: data.contactman,
            consigneetel: data.tel,
            arriveProvinceNo: data.province,
            arriveProvinceName: data.provincename,
            arriveCityNo: data.city,
            arriveCityName: data.cityname,
            arriveDistrictNo: data.area,
            arriveDistrictName: data.areaname,
            arriveTownNo: data.town,
            arriveTownName: data.townname,
            arriveAddress: data.address,
            arriveAddressid: data.addressid || "",
            arriveAddresscode: data.addresscode || ""
          });

          // 更新省市区下拉框数据
          getByPid(data.province, "arriveCityNo", data.city);
          getByPid(data.city, "arriveDistrictNo", data.area);
          getByPid(data.area, "arriveTownNo", data.town);
          getByPid(data.town, "arriveCommunityNo", data.community);
        }
      }
      else if (type === "02") {
        if (valueName === "shipper") {
          orderManage_edit_form.setFormData({
            shipperName: data.customerName,
            shipperId: data.customerId,
            shipperCode: data.customerCode,
            shipoperator: data.contactman,
            shipoperatortel: data.contacttel1,
            shipmentProvinceNo: data.province,
            shipmentProvinceName: data.provinceName,
            shipmentCityNo: data.city,
            shipmentCityName: data.cityName,
            shipmentDistrictNo: data.district,
            shipmentDistrictName: data.districtName,
            shipmentTownNo: data.street,
            shipmentTownName: data.streetName,
            shipmentAddress: data.address
          });

          // 更新省市区下拉框数据
          getByPid(data.province, "shipmentCityNo", data.city);
          getByPid(data.city, "shipmentDistrictNo", data.district);
          getByPid(data.district, "shipmentTownNo", data.street);
          getByPid(data.street, "shipmentCommunityNo", data.community);
        }
        else if (valueName === "arriver") {
          orderManage_edit_form.setFormData({
            arriverName: data.customerName,
            arriverId: data.customerId,
            arriverCode: data.customerCode,
            consignee: data.contactman,
            consigneetel: data.contacttel1,
            arriveProvinceNo: data.province,
            arriveProvinceName: data.provinceName,
            arriveCityNo: data.city,
            arriveCityName: data.cityName,
            arriveDistrictNo: data.district,
            arriveDistrictName: data.districtName,
            arriveTownNo: data.street,
            arriveTownName: data.streetName,
            arriveAddress: data.address
          });

          // 更新省市区下拉框数据
          getByPid(data.province, "arriveCityNo", data.city);
          getByPid(data.city, "arriveDistrictNo", data.district);
          getByPid(data.district, "arriveTownNo", data.street);
          getByPid(data.street, "arriveCommunityNo", data.community);
        }
      }
      else if (type === "03") {
        if (valueName === "shipper") {
          orderManage_edit_form.setFormData({
            shipperName: data.companyname,
            shipperId: data.companyid,
            shipperCode: data.companycode,
            shipoperator: data.contactman,
            shipoperatortel: data.tel,
            shipmentProvinceNo: data.province,
            shipmentProvinceName: data.provincename,
            shipmentCityNo: data.city,
            shipmentCityName: data.cityname,
            shipmentDistrictNo: data.area,
            shipmentDistrictName: data.areaname,
            shipmentTownNo: data.town,
            shipmentTownName: data.townname,
            shipmentAddress: data.address,
            shipmentAddressid: data.addressid || "",
            shipmentAddresscode: data.addresscode || ""

          });

          // 更新省市区下拉框数据
          getByPid(data.province, "shipmentCityNo", data.city);
          getByPid(data.city, "shipmentDistrictNo", data.area);
          getByPid(data.area, "shipmentTownNo", data.town);
          getByPid(data.town, "shipmentCommunityNo", data.community);
        }
        else if (valueName === "arriver") {
          orderManage_edit_form.setFormData({
            arriverName: data.companyname,
            arriverId: data.companyid,
            arriverCode: data.companycode,
            consignee: data.contactman,
            consigneetel: data.tel,
            arriveProvinceNo: data.province,
            arriveProvinceName: data.provincename,
            arriveCityNo: data.city,
            arriveCityName: data.cityname,
            arriveDistrictNo: data.area,
            arriveDistrictName: data.areaname,
            arriveTownNo: data.town,
            arriveTownName: data.townname,
            arriveAddress: data.address,
            arriveAddressid: data.addressid || "",
            arriveAddresscode: data.addresscode || ""
          });

          // 更新省市区下拉框数据
          getByPid(data.province, "arriveCityNo", data.city);
          getByPid(data.city, "arriveDistrictNo", data.area);
          getByPid(data.area, "arriveTownNo", data.town);
          getByPid(data.town, "arriveCommunityNo", data.community);
        }
      }
      layer.closeAll();
    });
  }

  // 主页grid
  var master_grid_opts = {
    skin: "card",
    columns: [
      { id: "billid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "branchname", name: "配送中心/站点名称", type: "ro", width: 120 },
      { id: "consignorname", name: "货主", type: "ro", width: 120 },
      { id: "billno", name: "运单编号", type: "ro", width: 120 },
      { id: "billdate", name: "单据日期", type: "ro", width: 120 },
      {
        id: "billtype", name: "单据类型", type: "ro", width: 120, render: function (v) {
          return getSelectValue(dataSelect.TMS_SHIP_BILLTYPE, v);
        }
      },
      {
        id: "urgentIdentify", name: "急单标识", type: "ro", width: 120, render: function (v) {
          return getSelectValue(dataSelect.URG_FLG, v);
        }
      },
      { id: "shipperName", name: "发货客户", type: "ro", width: 120 },
      { id: "shipoperator", name: "发货联系人", type: "ro", width: 120 },
      { id: "shipmentAddress", name: "发货地址", type: "ro", width: 120 },
      { id: "arriverName", name: "收货客户", type: "ro", width: 120 },
      { id: "consignee", name: "收货联系人", type: "ro", width: 120 },
      { id: "arriveAddress", name: "收货地址", type: "ro", width: 120 },
      { id: "sumcases", name: "总件数", type: "ro", width: 120 },
      { id: "sumgoodsweight", name: "总重量(kg)", type: "ro", width: 120 },
      { id: "sumgoodsvol", name: "总体积(m³)", type: "ro", width: 120 },
      { id: "memo", name: "备注", type: "ro", width: 120 },
      {
        id: "status", name: "单据状态", type: "ro", width: 120, render: function (v) {
          return getSelectValue(dataSelect.TMS_ORDER_BILLH_STATUS, v);
        }
      },
      { id: "auditdescrible", name: "审核意见", type: "ro", width: 120 },
      {
        id: "op", name: "操作", type: "button", align: "left", width: 120, fixed: "right", render: function () {
          return "修改^orderManage_edit,详情^orderManage_view";
        }
      }
    ],
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择配送中心/站点",
            readonly: false,
            table: branchTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "branchList",
            label: "配送中心/站点:",
            listener: function (Grid) {
              setMethod(Grid, branchTable, function () { });
            }
          },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择货主",
            readonly: false,
            table: consignorTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "consignorList",
            label: "货主:",
            listener: function (Grid) {
              setMethod(Grid, consignorTable, function () { });
            }
          },
          { type: "input", className: "layui-col-md3", name: "shipperName", label: "发货方:" },
          { type: "input", className: "layui-col-md3", name: "arriverName", label: "收货方:" },
          { type: "input", className: "layui-col-md3", name: "billno", label: "运单编号:" },
          { type: "combo", className: "layui-col-md3", readonly: true, name: "billtype", label: "单据类型:", options: dataSelect.TMS_SHIP_BILLTYPE },
          { type: "combo", className: "layui-col-md3", readonly: true, name: "urgentIdentify", label: "急单标识:", options: dataSelect.URG_FLG },
          { type: "calendar", className: "layui-col-md3", name: "sdate", label: "开始时间:", value: startTime },
          { type: "calendar", className: "layui-col-md3", name: "edate", label: "结束时间:", value: endTime },
          { type: "combo", className: "layui-col-md3", readonly: true, name: "status", label: "单据状态:", options: dataSelect.TMS_ORDER_BILLH_STATUS },
          {
            type: "block", className: "layui-col-md3 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "master_search", value: "查 询" },
              { type: "newcolumn" },
              { type: "button", name: "master_reset", value: "重 置" }
            ]
          },
          {
            type: "block", className: "layui-col-md3 right",
            list: [
              { type: "button", className: "btn-normal", name: "master_add", value: "<i class='layui-icon layui-icon-add-1'></i>新 增" }
            ]
          }
        ]
      }
    ],
    fixedLast: true, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: false, // 是否支持多选

    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/tmsOrderManage/queryTmsOrderBillHExtract", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ flag: "query", sdate: startTime, edate: endTime }), // 查询提交参数，分页参数默认为pageNum,pageSize
    page: true, // 是否启用分页
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  master_grid = new PlgGrid(master_grid_opts);
  master_grid.renderTo("orderManage_master");
  master_grid.loadData();
  master_grid.attachToolBarEvent("onButtonClick", function (name) {
    switch (name) {
      case "master_search":
        var request = master_grid.getToolBarForm().getFormData();
        request.sdate = request.sdate ? Prolog.formatDate(request.sdate) + " 00:00:00" : "";
        request.edate = request.edate ? Prolog.formatDate(request.edate) + " 23:59:59" : "";
        if (request.sdate > request.edate) {
          layer.msg("开始时间不能大于结束时间");
          return false;
        }
        request.branchid = request.branchList ? JSON.parse(request.branchList)[0] : "";
        request.consignor = request.consignorList ? JSON.parse(request.consignorList)[0] : "";
        request.flag = "query";
        master_grid.setParams(JSON.stringify(request));
        master_grid.reload();
        break;
      case "master_reset":
        master_grid.getToolBarForm().clear();
        master_grid.getToolBarForm().setText("branchList", "");
        master_grid.getToolBarForm().setText("consignorList", "");
        master_grid.getToolBarForm().setFormData({ sdate: startTime, edate: endTime });
        break;
      case "master_add":
        changePanel("#orderManage_edit");
        formInit();
        gridInit();
        break;
    }
  });
  // 单击一行显示明细
  master_grid.on("onRowSelect", function (id) {
    let { billid } = master_grid.getRowData(id);
    details_grid.setParams(JSON.stringify({ billid }));
    details_grid.reload();
  });

  // 明细grid
  var details_grid_opts = {
    skin: "card",
    columns: [
      { id: "lineId", name: "id", type: "ro", width: "130", hidden: true },
      {
        id: "itemtype", name: "货品类别", type: "ro", render: function (v) {
          return getSelectValue(dataSelect.ITEM_TYPE, v);
        }
      },
      { id: "itemno", name: "货品编号", type: "ro" },
      { id: "itemname", name: "货品名称", type: "ro" },
      { id: "pcs", name: "货品件数", type: "ro" },
      { id: "weight", name: "货品重量(kg)", type: "ro" },
      { id: "vol", name: "货品体积(m³)", type: "ro" }
    ],
    fixedLast: false, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: false, // 是否支持多选

    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/tmsOrderManage/queryTmsOrderBillDExtract", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
    page: false, // 是否启用分页
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  details_grid = new PlgGrid(details_grid_opts);
  details_grid.renderTo("orderManage_details");

  // 详情页
  window.orderManage_view = function (rid, rdata) {
    changePanel("#orderManage_view");
    new PlgPanel({
      renderer: "orderManage_view_form",
      skin: 2,
      header: {
        isShow: true,
        title: "运单详情"
      },
      defaultBody: {
        layoutCol: 4,
        valueBj: true,
        cols: [
          [
            { value: rdata.branchname, label: "配送中心/站点" },
            { value: rdata.consignorname, label: "货主" },
            { value: getSelectValue(dataSelect.TMS_SHIP_BILLTYPE, rdata.billtype), label: "单据类型" },
            { value: getSelectValue(dataSelect.TEMP_REQ, rdata.temperatureRequire), label: "温度要求" },
            { value: getSelectValue(dataSelect.GOODS_TYPE, rdata.shipgoodsgroup), label: "货物类型" },
            { value: getSelectValue(dataSelect.URG_FLG, rdata.urgentIdentify), label: "紧急标识" },
            { value: rdata.reqshipmentdate, label: "预计发货时间" },
            { value: rdata.reqarrivvaldate, label: "要求到货时间" },
            { value: rdata.billdate, label: "单据日期" },
            { value: rdata.memo, label: "备注", layoutCol: 12 }
          ]
        ]
      }
    });
    new PlgPanel({
      renderer: "orderManage_view_form",
      skin: 2,
      empyt: false,
      header: {
        isShow: true,
        title: "发货人信息"
      },
      defaultBody: {
        layoutCol: 4,
        valueBj: true,
        cols: [
          [
            { value: getSelectValue(dataSelect.SEND_CUS_TYPE, rdata.shipperType), label: "客户类型" },
            { value: rdata.shipperName, label: "发运客户", layoutCol: 8 },
            { value: rdata.shipoperator, label: "发运联系人" },
            { value: rdata.shipoperatortel, label: "发运人电话" },
            { value: rdata.shipoperatormobile, label: "发运人手机" },
            { value: rdata.shipmentProvinceName, label: "省" },
            { value: rdata.shipmentCityName, label: "市" },
            { value: rdata.shipmentDistrictName, label: "区/县" },
            { value: rdata.shipmentTownName, label: "街道/乡镇" },
            { value: rdata.shipmentCommunityName, label: "村/社区", layoutCol: 8 },
            { value: rdata.shipmentAddress, label: "详细地址", layoutCol: 12 }
          ]
        ]
      }
    });
    new PlgPanel({
      renderer: "orderManage_view_form",
      skin: 2,
      empyt: false,
      header: {
        isShow: true,
        title: "收货人信息"
      },
      defaultBody: {
        layoutCol: 4,
        valueBj: true,
        cols: [
          [
            { value: getSelectValue(dataSelect.SEND_CUS_TYPE, rdata.arriverType), label: "客户类型" },
            { value: rdata.arriverName, label: "收货客户", layoutCol: 8 },
            { value: rdata.consignee, label: "收货联系人" },
            { value: rdata.consigneetel, label: "收货人电话" },
            { value: rdata.consigneemobile, label: "收货人手机" },
            { value: rdata.arriveProvinceName, label: "省" },
            { value: rdata.arriveCityName, label: "市" },
            { value: rdata.arriveDistrictName, label: "区/县" },
            { value: rdata.arriveTownName, label: "街道/乡镇" },
            { value: rdata.arriveCommunityName, label: "村/社区", layoutCol: 8 },
            { value: rdata.arriveAddress, label: "详细地址", layoutCol: 12 }
          ]
        ]
      }
    });
    // 详情页grid
    orderManage_view_grid = new PlgGrid(details_grid_opts);
    orderManage_view_grid.renderTo("orderManage_view_grid");
    orderManage_view_grid.setParams(JSON.stringify({ billid: rdata.billid }));
    orderManage_view_grid.reload();
  };

  // 修改
  window.orderManage_edit = function (rid) {
    let rdata = master_grid.getRowData(rid);
    changePanel("#orderManage_edit");
    formInit(rdata);
    gridInit(rdata);
  };

  // 注册form
  function formInit(rdata) {
    $("#orderManage_edit_form").html("");
    orderManage_edit_form = new PlgForm({
      renderer: "orderManage_edit_form",
      items: [
        {
          type: "block", list: [
            { type: "settings", position: "label-left", labelWidth: 90, inputWidth: 190 },
            {
              type: "block", width: "*",
              list: [
                { type: "input", name: "billno", label: "订单编号:", width: 190, disabled: true }
              ]
            },
            {
              type: "block", width: "*",
              list: [
                {
                  width: 190,
                  type: "selectTable",
                  placeholder: "请选择配送中心/站点",
                  readonly: false,
                  table: branchTable,
                  tableWidth: 600,
                  tableHeight: 500,
                  fieldText: "companyname",
                  fieldValue: "companyid",
                  name: "branchList",
                  label: "配送中心/站点:<span class='dhxform_item_required'>*<span>",
                  listener: {
                    "init": function (Grid) {
                      // 注册按钮事件
                      Grid.attachToolBarEvent("onButtonClick", function (name) {
                        switch (name) {
                          case "querycarr":
                            var { companycode } = Grid.getToolBarForm().getFormData();
                            Grid.setParams(JSON.stringify({ companycode, companytype: "S" }));
                            Grid.reload();
                            break;
                          case "car_Reset":
                            Grid.getToolBarForm().clear();
                            break;
                        }
                      });
                    },
                    "afterSelect": function (isSelected, selectId, sgrid) {
                      let sdata = sgrid.getRowData(selectId);
                      orderManage_edit_form.setFormData({
                        branchid: isSelected ? sdata.companyid : "",
                        branchcode: isSelected ? sdata.companycode : "",
                        branchname: isSelected ? sdata.companyname : ""
                      });
                    }
                  }
                },
                { type: "hidden", name: "branchid", label: "当前仓ID:" },
                { type: "hidden", name: "branchcode", label: "当前仓编号:" },
                { type: "hidden", name: "branchname", label: "当前仓名称:" },
                { type: "newcolumn", offset: 40 },
                {
                  width: 190,
                  type: "selectTable",
                  placeholder: "请选择货主",
                  readonly: false,
                  table: consignorTable,
                  tableWidth: 600,
                  tableHeight: 500,
                  fieldText: "companyname",
                  fieldValue: "companyid",
                  name: "consignorList",
                  label: "货主:<span class='dhxform_item_required'>*<span>",
                  listener: {
                    "init": function (Grid) {
                      // 注册按钮事件
                      Grid.attachToolBarEvent("onButtonClick", function (name) {
                        switch (name) {
                          case "querycarr":
                            var { companycode } = Grid.getToolBarForm().getFormData();
                            Grid.setParams(JSON.stringify({ companycode, companytype: "H" }));
                            Grid.reload();
                            break;
                          case "car_Reset":
                            Grid.getToolBarForm().clear();
                            break;
                        }
                      });
                    },
                    "afterSelect": function (isSelected, selectId, sgrid) {
                      let sdata = sgrid.getRowData(selectId);
                      orderManage_edit_form.setFormData({
                        consignor: isSelected ? sdata.companyid : "",
                        consignorcode: isSelected ? sdata.companycode : "",
                        consignorname: isSelected ? sdata.companyname : ""
                      });
                      // 切换货主，清空详情表
                      orderManage_edit_grid.clearAll();
                    }
                  }
                },
                { type: "hidden", name: "consignor", label: "货主ID:" },
                { type: "hidden", name: "consignorcode", label: "货主编号:" },
                { type: "hidden", name: "consignorname", label: "货主名称:" },
                { type: "newcolumn", offset: 40 },
                { type: "combo", name: "billtype", label: "单据类型:", width: 190, options: dataSelect.TMS_SHIP_BILLTYPE, readonly: true, required: true }
              ]
            },
            {
              type: "block", width: "*",
              list: [
                { type: "combo", name: "temperatureRequire", label: "温度要求:", width: 190, options: dataSelect.TEMP_REQ, readonly: true, required: true },
                { type: "newcolumn", offset: 40 },
                { type: "combo", name: "shipgoodsgroup", label: "货物类型:", width: 190, options: dataSelect.GOODS_TYPE, readonly: true },
                { type: "newcolumn", offset: 40 },
                { type: "combo", name: "urgentIdentify", label: "紧急标识:", width: 190, options: dataSelect.URG_FLG, readonly: true, required: true }
              ]
            },
            {
              type: "block", width: "*",
              list: [
                { type: "calendar", name: "reqshipmentdate", label: "预计发货时间:", width: 190, required: true },
                { type: "newcolumn", offset: 40 },
                { type: "calendar", name: "reqarrivvaldate", label: "要求到货时间:", width: 190, required: true }
                // { type: "newcolumn", offset: 40 },
                // { type: "calendar", name: "billdate", label: "单据日期:", width: 190, readonly: true, required: true }
              ]
            },
            {
              type: "block", width: "*",
              list: [
                { type: "input", name: "memo", label: "备注:", inputWidth: 518, rows: 3 }
              ]
            }
          ]
        },
        {
          type: "fieldset", name: "shipperInfo", label: "发货人信息", list: [
            { type: "settings", position: "label-left", labelWidth: 90, inputWidth: 190 },
            {
              type: "block", width: "*",
              list: [
                { type: "combo", name: "shipperType", label: "客户类型:", width: 190, options: dataSelect.SEND_CUS_TYPE, readonly: true, required: true },
                { type: "newcolumn", offset: 40 },
                { type: "input", name: "shipperName", label: "发运客户:", placeholder: "请双击选择", readonly: true, required: true },
                { type: "hidden", name: "shipperId", label: "发运客户/个人id:" }
              ]
            },
            {
              type: "block", width: "*",
              list: [
                { type: "input", name: "shipoperator", label: "发运联系人:", required: true },
                { type: "newcolumn", offset: 40 },
                { type: "input", name: "shipoperatortel", label: "发运人电话:" },
                { type: "newcolumn", offset: 40 },
                { type: "input", name: "shipoperatormobile", label: "发运人手机:" }
              ]
            },
            {
              type: "block", width: "*",
              list: [
                { type: "combo", readonly: true, name: "shipmentProvinceNo", label: "省:", width: 190, options: provinceEnums },
                { type: "hidden", name: "shipmentProvinceName", label: "省:" },
                { type: "newcolumn", offset: 40 },
                { type: "combo", readonly: true, name: "shipmentCityNo", label: "市:", width: 190 },
                { type: "hidden", name: "shipmentCityName", label: "市:" },
                { type: "newcolumn", offset: 40 },
                { type: "combo", readonly: true, name: "shipmentDistrictNo", label: "区/县:", width: 190 },
                { type: "hidden", name: "shipmentDistrictName", label: "区/县:" }
              ]
            },
            {
              type: "block", width: "*",
              list: [
                { type: "combo", readonly: true, name: "shipmentTownNo", label: "街道/乡镇:", width: 190 },
                { type: "hidden", name: "shipmentTownName", label: "街道/乡镇:" },
                { type: "newcolumn", offset: 40 },
                { type: "combo", readonly: true, name: "shipmentCommunityNo", label: "村/社区:", width: 190 },
                { type: "hidden", name: "shipmentCommunityName", label: "村/社区:" }
              ]
            },
            {
              type: "block", width: "*",
              list: [
                { type: "input", name: "shipmentAddress", label: "详细地址:", inputWidth: 518 }
              ]
            }
          ]
        },
        {
          type: "fieldset", name: "arriverInfo", label: "收货人信息", list: [
            { type: "settings", position: "label-left", labelWidth: 90, inputWidth: 190 },
            {
              type: "block", width: "*",
              list: [
                { type: "combo", name: "arriverType", label: "客户类型:", width: 190, options: dataSelect.GET_CUS_TYPE, readonly: true },
                { type: "newcolumn", offset: 40 },
                { type: "input", name: "arriverName", label: "收货客户:", placeholder: "请双击选择", readonly: true },
                { type: "hidden", name: "arriverId", label: "收货客户/个人id:" }
              ]
            },
            {
              type: "block", width: "*",
              list: [
                { type: "input", name: "consignee", label: "收货联系人:" },
                { type: "newcolumn", offset: 40 },
                { type: "input", name: "consigneetel", label: "收货人电话:" },
                { type: "newcolumn", offset: 40 },
                { type: "input", name: "consigneemobile", label: "收货人手机:" }
              ]
            },
            {
              type: "block", width: "*",
              list: [
                { type: "combo", readonly: true, name: "arriveProvinceNo", label: "省:", width: 190, options: provinceEnums },
                { type: "hidden", name: "arriveProvinceName", label: "省:" },
                { type: "newcolumn", offset: 40 },
                { type: "combo", readonly: true, name: "arriveCityNo", label: "市:", width: 190 },
                { type: "hidden", name: "arriveCityName", label: "市:" },
                { type: "newcolumn", offset: 40 },
                { type: "combo", readonly: true, name: "arriveDistrictNo", label: "区/县:", width: 190 },
                { type: "hidden", name: "arriveDistrictName", label: "区/县:" }
              ]
            },
            {
              type: "block", width: "*",
              list: [
                { type: "combo", readonly: true, name: "arriveTownNo", label: "街道/乡镇:", width: 190 },
                { type: "hidden", name: "arriveTownName", label: "街道/乡镇:" },
                { type: "newcolumn", offset: 40 },
                { type: "combo", readonly: true, name: "arriveCommunityNo", label: "村/社区:", width: 190 },
                { type: "hidden", name: "arriveCommunityName", label: "村/社区:" }
              ]
            },
            {
              type: "block", width: "*",
              list: [
                { type: "input", name: "arriveAddress", label: "详细地址:", inputWidth: 518 }
              ]
            }
          ]
        }
      ]
    });

    // 如果是修改，回显数据
    if (rdata) {
      // 更新省市区下拉框数据
      getByPid(rdata.shipmentProvinceNo, "shipmentCityNo", rdata.shipmentCityNo);
      getByPid(rdata.shipmentCityNo, "shipmentDistrictNo", rdata.shipmentDistrictNo);
      getByPid(rdata.shipmentDistrictNo, "shipmentTownNo", rdata.shipmentTownNo);
      getByPid(rdata.shipmentTownNo, "shipmentCommunityNo", rdata.shipmentCommunityNo);
      getByPid(rdata.arriveProvinceNo, "arriveCityNo", rdata.arriveCityNo);
      getByPid(rdata.arriveCityNo, "arriveDistrictNo", rdata.arriveDistrictNo);
      getByPid(rdata.arriveDistrictNo, "arriveTownNo", rdata.arriveTownNo);
      getByPid(rdata.arriveTownNo, "arriveCommunityNo", rdata.arriveCommunityNo);

      rdata.branchList = JSON.stringify([rdata.branchid]);
      rdata.consignorList = JSON.stringify([rdata.consignor]);
      orderManage_edit_form.setFormData(rdata);
      orderManage_edit_form.setText("branchList", rdata.branchname);
      orderManage_edit_form.setText("consignorList", rdata.consignorname);
      orderManage_edit_form.showItem("billno");
      orderManage_edit_form.disableItem("consignorList");
    }
    else {
      orderManage_edit_form.hideItem("billno");
      orderManage_edit_form.enableItem("consignorList");
    }

    function setDisabled(type, state) {
      if (type == "shipperType" && state) {
        orderManage_edit_form.disableItem("shipmentProvinceNo");
        orderManage_edit_form.disableItem("shipmentCityNo");
        orderManage_edit_form.disableItem("shipmentDistrictNo");
        orderManage_edit_form.disableItem("shipmentTownNo");
        orderManage_edit_form.disableItem("shipmentCommunityNo");
        orderManage_edit_form.disableItem("shipmentAddress");
      }
      else if (type == "shipperType" && !state) {
        orderManage_edit_form.enableItem("shipmentProvinceNo");
        orderManage_edit_form.enableItem("shipmentCityNo");
        orderManage_edit_form.enableItem("shipmentDistrictNo");
        orderManage_edit_form.enableItem("shipmentTownNo");
        orderManage_edit_form.enableItem("shipmentCommunityNo");
        orderManage_edit_form.enableItem("shipmentAddress");
      }
      else if (type == "arriverType" && state) {
        orderManage_edit_form.disableItem("arriveProvinceNo");
        orderManage_edit_form.disableItem("arriveCityNo");
        orderManage_edit_form.disableItem("arriveDistrictNo");
        orderManage_edit_form.disableItem("arriveTownNo");
        orderManage_edit_form.disableItem("arriveCommunityNo");
        orderManage_edit_form.disableItem("arriveAddress");
      }
      else if (type == "arriverType" && !state) {
        orderManage_edit_form.enableItem("arriveProvinceNo");
        orderManage_edit_form.enableItem("arriveCityNo");
        orderManage_edit_form.enableItem("arriveDistrictNo");
        orderManage_edit_form.enableItem("arriveTownNo");
        orderManage_edit_form.enableItem("arriveCommunityNo");
        orderManage_edit_form.enableItem("arriveAddress");
      }
    }

    // 发运客户、收货客户点击事件
    $("#orderManage_edit_form input").on("dblclick", function (data) {
      let shipperType = orderManage_edit_form.getItemValue("shipperType");
      let arriverType = orderManage_edit_form.getItemValue("arriverType");
      // 01-公司 02-个人 03-仓库
      if (data.delegateTarget.name == "shipperName") {
        if (shipperType === "01") {
          clientDialog(client_dialog_grid01, shipperType, "shipper");
        }
        else if (shipperType === "02") {
          clientDialog(client_dialog_grid02, shipperType, "shipper");
        }
        else if (shipperType === "03") {
          clientDialog(client_dialog_grid03, shipperType, "shipper");
        }
        else {
          layer.msg("请选择发货人客户类型");
        }
      }
      if (data.delegateTarget.name == "arriverName") {
        if (arriverType === "01") {
          clientDialog(client_dialog_grid01, arriverType, "arriver");
        }
        else if (arriverType === "02") {
          clientDialog(client_dialog_grid02, arriverType, "arriver");
        }
        else if (arriverType === "03") {
          clientDialog(client_dialog_grid03, arriverType, "arriver");
        }
        else {
          layer.msg("请选择收货人客户类型");
        }
      }
    });

    // 客户类型修改时清空数据
    orderManage_edit_form.attachComboEvent("shipperType", "onChange", function (id) {
      setDisabled("shipperType", id == "01" || id == "03" ? true : false);

      orderManage_edit_form.setFormData({
        shipperName: "",
        shipperId: "",
        shipperCode: "",
        shipoperator: "",
        shipoperatortel: "",
        shipoperatormobile: "",
        shipmentProvinceNo: "",
        shipmentProvinceName: "",
        shipmentCityNo: "",
        shipmentCityName: "",
        shipmentDistrictNo: "",
        shipmentDistrictName: "",
        shipmentTownNo: "",
        shipmentTownName: "",
        shipmentCommunityNo: "",
        shipmentCommunityName: "",
        shipmentAddress: ""
      });
      orderManage_edit_form.getCombo("shipmentProvinceNo").setComboText("");
      orderManage_edit_form.getCombo("shipmentCityNo").setComboText("");
      orderManage_edit_form.getCombo("shipmentDistrictNo").setComboText("");
      orderManage_edit_form.getCombo("shipmentTownNo").setComboText("");
      orderManage_edit_form.getCombo("shipmentCommunityNo").setComboText("");
      orderManage_edit_form.setReadonly("shipperName", id === "01");
    });
    orderManage_edit_form.attachComboEvent("arriverType", "onChange", function (id) {
      setDisabled("arriverType", id == "01" || id == "03" ? true : false);

      orderManage_edit_form.setFormData({
        arriverName: "",
        arriverId: "",
        arriverCode: "",
        consignee: "",
        consigneetel: "",
        consigneemobile: "",
        arriveProvinceNo: "",
        arriveProvinceName: "",
        arriveCityNo: "",
        arriveCityName: "",
        arriveDistrictNo: "",
        arriveDistrictName: "",
        arriveTownNo: "",
        arriveTownName: "",
        arriveCommunityNo: "",
        arriveCommunityName: "",
        arriveAddress: ""
      });
      orderManage_edit_form.getCombo("arriveProvinceNo").setComboText("");
      orderManage_edit_form.getCombo("arriveCityNo").setComboText("");
      orderManage_edit_form.getCombo("arriveDistrictNo").setComboText("");
      orderManage_edit_form.getCombo("arriveTownNo").setComboText("");
      orderManage_edit_form.getCombo("arriveCommunityNo").setComboText("");
      orderManage_edit_form.setReadonly("arriverName", id === "01");
    });

    // 省市区联动
    orderManage_edit_form.attachComboEvent("shipmentProvinceNo", "onChange", function (id) {
      orderManage_edit_form.setFormData({ shipmentProvinceName: orderManage_edit_form.getCombo("shipmentProvinceNo").getComboText() });
      orderManage_edit_form.getCombo("shipmentCityNo").setComboText("");
      if (id) {
        orderManage_edit_form.loadComboData("shipmentCityNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
      else {
        orderManage_edit_form.getCombo("shipmentCityNo").clearAll();
      }
    });
    orderManage_edit_form.attachComboEvent("shipmentCityNo", "onChange", function (id) {
      orderManage_edit_form.setFormData({ shipmentCityName: orderManage_edit_form.getCombo("shipmentCityNo").getComboText() });
      orderManage_edit_form.getCombo("shipmentDistrictNo").setComboText("");
      if (id) {
        orderManage_edit_form.loadComboData("shipmentDistrictNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
      else {
        orderManage_edit_form.getCombo("shipmentDistrictNo").clearAll();
      }
    });
    orderManage_edit_form.attachComboEvent("shipmentDistrictNo", "onChange", function (id) {
      orderManage_edit_form.setFormData({ shipmentDistrictName: orderManage_edit_form.getCombo("shipmentDistrictNo").getComboText() });
      orderManage_edit_form.getCombo("shipmentTownNo").setComboText("");
      if (id) {
        orderManage_edit_form.loadComboData("shipmentTownNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
      else {
        orderManage_edit_form.getCombo("shipmentTownNo").clearAll();
      }
    });
    orderManage_edit_form.attachComboEvent("shipmentTownNo", "onChange", function (id) {
      orderManage_edit_form.setFormData({ shipmentTownName: orderManage_edit_form.getCombo("shipmentTownNo").getComboText() });
      orderManage_edit_form.getCombo("shipmentCommunityNo").setComboText("");
      if (id) {
        orderManage_edit_form.loadComboData("shipmentCommunityNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
      else {
        orderManage_edit_form.getCombo("shipmentCommunityNo").clearAll();
      }
    });
    orderManage_edit_form.attachComboEvent("shipmentCommunityNo", "onChange", function () {
      orderManage_edit_form.setFormData({ shipmentCommunityName: orderManage_edit_form.getCombo("shipmentCommunityNo").getComboText() });
    });

    orderManage_edit_form.attachComboEvent("arriveProvinceNo", "onChange", function (id) {
      orderManage_edit_form.setFormData({ arriveProvinceName: orderManage_edit_form.getCombo("arriveProvinceNo").getComboText() });
      orderManage_edit_form.getCombo("arriveCityNo").setComboText("");
      if (id) {
        orderManage_edit_form.loadComboData("arriveCityNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
      else {
        orderManage_edit_form.getCombo("arriveCityNo").clearAll();
      }
    });
    orderManage_edit_form.attachComboEvent("arriveCityNo", "onChange", function (id) {
      orderManage_edit_form.setFormData({ arriveCityName: orderManage_edit_form.getCombo("arriveCityNo").getComboText() });
      orderManage_edit_form.getCombo("arriveDistrictNo").setComboText("");
      if (id) {
        orderManage_edit_form.loadComboData("arriveDistrictNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
      else {
        orderManage_edit_form.getCombo("arriveDistrictNo").clearAll();
      }
    });
    orderManage_edit_form.attachComboEvent("arriveDistrictNo", "onChange", function (id) {
      orderManage_edit_form.setFormData({ arriveDistrictName: orderManage_edit_form.getCombo("arriveDistrictNo").getComboText() });
      orderManage_edit_form.getCombo("arriveTownNo").setComboText("");
      if (id) {
        orderManage_edit_form.loadComboData("arriveTownNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
      else {
        orderManage_edit_form.getCombo("arriveTownNo").clearAll();
      }
    });
    orderManage_edit_form.attachComboEvent("arriveTownNo", "onChange", function (id) {
      orderManage_edit_form.setFormData({ arriveTownName: orderManage_edit_form.getCombo("arriveTownNo").getComboText() });
      orderManage_edit_form.getCombo("arriveCommunityNo").setComboText("");
      if (id) {
        orderManage_edit_form.loadComboData("arriveCommunityNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
      else {
        orderManage_edit_form.getCombo("arriveCommunityNo").clearAll();
      }
    });
    orderManage_edit_form.attachComboEvent("arriveCommunityNo", "onChange", function () {
      orderManage_edit_form.setFormData({ arriveCommunityName: orderManage_edit_form.getCombo("arriveCommunityNo").getComboText() });
    });
  }

  // 注册grid
  function gridInit(rdata) {
    $("#orderManage_edit_grid").html("");
    orderManage_edit_grid = new PlgGrid({
      skin: "card",
      columns: [
        { id: "lineId", name: "id", type: "ro", width: "130", hidden: true },
        { id: "itemtype", name: "<span style='color:#096dd9;'>货品类型</span>", type: "coro" }, // 3
        { id: "itemid", name: "<span style='color:#096dd9;'>货物ID</span>", type: "ro" }, // 4
        { id: "itemname", name: "货物名称", type: "ro" }, // 5
        { id: "pcs", name: "<span style='color:#096dd9;'>件数</span>", type: "ed" }, // 6
        { id: "weight", name: "<span style='color:#096dd9;'>重量</span>", type: "ed" }, // 7
        { id: "vol", name: "<span style='color:#096dd9;'>体积</span>", type: "ed" }, // 8
        { id: "itemno", name: "货品code", type: "ed", hidden: true } // 9
      ],
      toolbar: [
        { type: "button", name: "grid_add", className: "plg-toolbar-right ", value: "<i class='layui-icon layui-icon-add-1'></i>新增" }
      ],
      pagebar: {
        buttons: [
          { text: "<i class='layui-icon layui-icon-delete'></i>删除", className: "plg-btn-normal", name: "page_del" }
        ]
      },
      fixedLast: false, // 开启固定列，固定最后一行，倒数第二列不能隐藏
      multiselect: true, // 是否支持多选

      url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/tmsOrderManage/queryTmsOrderBillDExtract", // 数据接口
      type: "post", // 数据提交方式，默认为get
      params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
      page: false, // 是否启用分页
      contentType: "application/json",
      totalCount: "totalCount" // 总记录数字段，默认totalCount
    });
    orderManage_edit_grid.renderTo("orderManage_edit_grid");

    // 如果是修改，获取数据
    if (rdata) {
      orderManage_edit_grid.setParams(JSON.stringify({ billid: rdata.billid }));
      orderManage_edit_grid.reload();
    }

    // 表格编辑资源
    orderManage_edit_grid.getGrid().enableEditEvents(true, false, true);
    // 下拉赋值
    let combo_1 = orderManage_edit_grid.getGrid().getCombo(3);
    dataSelect.ITEM_TYPE.forEach(v => {
      combo_1.put(v.value, v.text);
    });
    // 表格新增事件
    orderManage_edit_grid.attachToolBarEvent("onButtonClick", function () {
      let { branchid, branchname, consignor, consignorname } = orderManage_edit_form.getFormData();
      if (!consignor) {
        layer.msg("请先选择货主");
        return;
      }
      let id = new Date().getTime();
      let rowData = {
        branchid,
        branchname,
        consignor,
        consignorname
      };
      orderManage_edit_grid.addRow(id, rowData);
    });
    // 表格单击事件
    orderManage_edit_grid.on("onRowSelect", function (id, index) {
      let { itemtype } = orderManage_edit_grid.getRowData(id);
      if (index === 4) {
        // 01-商品 02-货品
        if (!itemtype) {
          layer.msg("请选择货品类型");
          return false;
        }
        PlgDialog.open({
          title: "选择" + (itemtype === "01" ? "商品" : "货品"),
          shadeClose: true,
          type: 1, // 设置为1，手动控制dialog的开关
          area: ["850px", "500px"],
          content: "<div id =\"item_dialog\"></div>" //iframe的url
        });
        $(".layui-layer-btn0").hide();
        // 注册商品、货品
        let item_grid = new PlgGrid(itemtype === "01" ? itemTable : categoryTable);
        item_grid.renderTo("item_dialog");
        let consignor = orderManage_edit_form.getFormData().consignor;
        item_grid.setParams(JSON.stringify({ consignor }));
        item_grid.attachToolBarEvent("onButtonClick", function (name) {
          switch (name) {
            case "querycarr":
              var request = item_grid.getToolBarForm().getFormData();
              item_grid.setParams(JSON.stringify(Object.assign({}, request, { consignor })));
              item_grid.reload();
              break;
            case "car_Reset":
              item_grid.getToolBarForm().clear();
              break;
          }
        });
        item_grid.reload();
        // 单击选择事件
        item_grid.on("onRowSelect", function () {
          let data = item_grid.getSelectedRowData();
          orderManage_edit_grid.setCellValue(id, 4, itemtype === "01" ? data.itemid : data.categoryId);
          orderManage_edit_grid.setCellValue(id, 5, itemtype === "01" ? data.itemname : data.categoryName);
          orderManage_edit_grid.setCellValue(id, 9, itemtype === "01" ? data.itemcode : data.categoryCode);
          layer.closeAll();
        });
      }
    });
    // 编辑离开校验
    orderManage_edit_grid.attachEvent("onEditCell", function (stage, rId, cInd, nValue, oValue) {
      let positiveInteger = /^[1-9]\d*$/; // 正整数
      let positveOrZero = /^[+]{0,1}(\d+)$|^[+]{0,1}(\d+\.\d+)$/; // 非负数
      if (stage === 2) {
        if (cInd === 3 && nValue !== oValue) {
          orderManage_edit_grid.setCellValue(rId, cInd, nValue);
          orderManage_edit_grid.setCellValue(rId, 4, "");
          orderManage_edit_grid.setCellValue(rId, 5, "");
          orderManage_edit_grid.setCellValue(rId, 6, "");
          orderManage_edit_grid.setCellValue(rId, 7, "");
          orderManage_edit_grid.setCellValue(rId, 8, "");
          orderManage_edit_grid.setCellValue(rId, 9, "");
        }
        else if (cInd === 6) { // 件数
          if (!positiveInteger.test(Number(nValue))) {
            layer.msg("请输入正整数");
            return;
          }
          orderManage_edit_grid.setCellValue(rId, 6, Number(nValue));
        }
        else if (cInd === 7 || cInd === 8) {
          if (!positveOrZero.test(nValue)) {
            layer.msg("请输入正数");
            return;
          }
          orderManage_edit_grid.setCellValue(rId, cInd, Number(nValue));
        }
        else {
          orderManage_edit_grid.setCellValue(rId, cInd, nValue);
        }
      }
      return true;
    });
    // 删除
    orderManage_edit_grid.attachPageBarEvent(function (name, ids) {
      layer.open({
        title: "删除",
        content: "还未保存，是否删除？",
        btn: ["确认", "取消"],
        yes: function () {
          ids.split(",").forEach(id => {
            orderManage_edit_grid.deleteRow(id);
          });
          layer.closeAll();
        }
      });
    });
  }

  // 保存
  $("#orderManage_edit_save").on("click", function () {
    let vdate = orderManage_edit_form.validate();
    if (!vdate) return false;

    let telValidate = /^[0][1-9]{2,3}-[0-9]{5,10}$/; // 座机正则
    let phoneValidate = /^1\d{10}$/; // 手机号校验

    let tmsOrderBillHVo = orderManage_edit_form.getFormData();
    if (!tmsOrderBillHVo.shipperName) {
      layer.msg("发货人信息不能为空");
      return false;
    }
    if (tmsOrderBillHVo.billtype !== "02" && (!tmsOrderBillHVo.arriverName || !tmsOrderBillHVo.arriveProvinceNo || !tmsOrderBillHVo.arriveCityNo || !tmsOrderBillHVo.arriveDistrictNo || !tmsOrderBillHVo.arriveAddress)) {
      layer.msg("单据类型不为提货入库时，请选择收货人、地址相关信息不能为空");
      return false;
    }
    if (tmsOrderBillHVo.billtype === "02" && (!tmsOrderBillHVo.shipmentProvinceNo || !tmsOrderBillHVo.shipmentCityNo || !tmsOrderBillHVo.shipmentDistrictNo || !tmsOrderBillHVo.shipmentAddress)) {
      layer.msg("单据类型不为配送类型时，发货人地址相关信息不能为空");
      return false;
    }
    if (!tmsOrderBillHVo.shipoperatortel && !tmsOrderBillHVo.shipoperatormobile || !tmsOrderBillHVo.consigneetel && !tmsOrderBillHVo.consigneemobile) {
      layer.msg("联系人电话，联系人手机不能同时为空");
      return false;
    }
    if (tmsOrderBillHVo.shipoperatortel && !telValidate.test(tmsOrderBillHVo.shipoperatortel) && !phoneValidate.test(tmsOrderBillHVo.shipoperatortel)) {
      layer.msg("请输入正确的发运人电话");
      return false;
    }
    if (tmsOrderBillHVo.shipoperatormobile && !telValidate.test(tmsOrderBillHVo.shipoperatormobile) && !phoneValidate.test(tmsOrderBillHVo.shipoperatormobile)) {
      layer.msg("请输入正确的发运人手机");
      return false;
    }
    if (tmsOrderBillHVo.consigneetel && !telValidate.test(tmsOrderBillHVo.consigneetel) && !phoneValidate.test(tmsOrderBillHVo.consigneetel)) {
      layer.msg("请输入正确的收货人电话");
      return false;
    }
    if (tmsOrderBillHVo.consigneemobile && !telValidate.test(tmsOrderBillHVo.consigneemobile) && !phoneValidate.test(tmsOrderBillHVo.consigneemobile)) {
      layer.msg("请输入正确的收货人手机");
      return false;
    }

    tmsOrderBillHVo.reqshipmentdate = tmsOrderBillHVo.reqshipmentdate ? Prolog.formatDate(tmsOrderBillHVo.reqshipmentdate) : "";
    tmsOrderBillHVo.reqarrivvaldate = tmsOrderBillHVo.reqarrivvaldate ? Prolog.formatDate(tmsOrderBillHVo.reqarrivvaldate) : "";
    // tmsOrderBillHVo.billdate = tmsOrderBillHVo.billdate ? Prolog.formatDate(tmsOrderBillHVo.billdate) : "";
    dealNullQueryCondition(tmsOrderBillHVo);
    delete tmsOrderBillHVo.branchList;
    delete tmsOrderBillHVo.consignorList;

    let list = [];
    let indexNum = orderManage_edit_grid.getGrid().getRowsNum();
    for (let i = 0; i < indexNum; i++) {
      const element = orderManage_edit_grid.getRowData(orderManage_edit_grid.getRowId(i));
      if (!element.itemtype || !element.itemid || !element.pcs || !element.weight || !element.vol) {
        layer.msg("请填写完整的货品信息");
        return false;
      }
      list.push(element);
    }

    let parmas, url;
    if (tmsOrderBillHVo.billid) {
      parmas = tmsOrderBillHVo;
      parmas.itemlists = list;
      url = UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/tmsOrderManage/updateTmsOrderBillExtract";
    }
    else {
      parmas = { tmsOrderBillHVo, list };
      url = UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/tmsOrderManage/tmsOrderSave";
    }
    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    Prolog.ajax({
      url, type: "post", contentType: "application/json", data: JSON.stringify(parmas),
      success: function (res) {
        PlgDialog.close(pload);
        if (res.success) {
          PlgDialog.msg(res.message);
          changePanel("#orderManage_main");
          master_grid.reload();
          details_grid.clearAll();
          return true;
        }
                return false;

      }, error: function () { PlgDialog.close(pload); return false; }
    });
  });
  // 重置
  $("#orderManage_edit_reset").on("click", function () {
    formInit();
    gridInit();
  });

  // 省市区联动
  function getByPid(fatherid, comboName, value) {
    if (fatherid) {
      Prolog.ajax({
        url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ fatherid }),
        success: function (res) {
          if (res.success) {
            let list = res.data.map(item => {
              return {
                value: item.zoneid,
                text: item.keyvalue
              };
            });
            // 给combo赋下拉框数据
            orderManage_edit_form.getCombo(comboName).addOption(list);
            // 给combo赋值
            const nextData = {};
            nextData[comboName] = value;
            orderManage_edit_form.setFormData(nextData);
          }
          else {
                      }
        },
        error: function () { PlgDialog.close(pload); }
      });
    }
  }
};