/**
 * zzx
 * 2020.10.20
 * 提货交接
 */
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';


export default () => {
  var master_grid;
  // 获取默认时间
  var startTime = Prolog.formatDate(new Date(), "%YY-%MM") + "-01 00:00:00";
  var endTime = Prolog.formatDate(new Date()) + " 23:59:59";

  // 获取下拉框
  var dataSelect = {
    TMS_SHIP_BILLTYPE: [],
    URG_FLG: []
  };
  getSelectGJ([
    { "objectcode": "TMS_SHIP_BILLTYPE" },
    { "objectcode": "URG_FLG" }
  ], function (data) {
    dataSelect = data.data;
  });

  // 配送中心table
  var branchTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "配送中心编号", type: "ro" },
      { id: "companyname", name: "配送中心名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 100 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "配送中心编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "S" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  // 承运商table
  var carrierTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "承运商编号", type: "ro" },
      { id: "companyname", name: "承运商名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 70 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "承运商编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyCarrier",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "Y" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  // 客户table
  var customerTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "客户编号", type: "ro" },
      { id: "companyname", name: "客户名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 70 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "客户编码:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyCustomer",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "C" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };

  // 主页grid
  var master_grid_opts = {
    skin: "card",
    columns: [
      { id: "seqno", name: "运单id", type: "ro", width: "130", hidden: true },
      { id: "shipbillno", name: "运单编号", type: "ro", width: 120 },
      { id: "rrfshipbillid", name: "原运单id", type: "ro", width: 120 , hidden: true },
      { id: "rrfshipbillno", name: "原运单编号", type: "ro", width: 120 , hidden: true },
      { id: "fathershipbillno", name: "父运单编号", type: "ro", width: 120 , hidden: true },
      { id: "branchid", name: "当前仓编号", type: "ro", width: 120 },
      { id: "branchname", name: "当前仓名称", type: "ro", width: 120 },
      { id: "consignor", name: "货主编号", type: "ro", width: 120 },
      { id: "consignorname", name: "货主名称", type: "ro", width: 120 },
      {
        id: "billtype", name: "单据类型", type: "ro", width: 120, render: function (v) {
          return getSelectValue(dataSelect.TMS_SHIP_BILLTYPE, v);
        }
      },
      { id: "billsource", name: "单据来源", type: "ro", width: 120, hidden: true },
      { id: "billsourceName", name: "单据来源", type: "ro", width: 120 },
      { id: "billdate", name: "单据时间", type: "ro", width: 120 },
      { id: "lineno", name: "线路编号", type: "ro", width: 120 },
      { id: "linenane", name: "线路名称", type: "ro", width: 120 },
      { id: "loadbillno", name: "装车单号", type: "ro", width: 120 },
      { id: "carrierid", name: "承运商id", type: "ro", width: 120 , hidden: true },
      { id: "carriername", name: "承运商", type: "ro", width: 120 },
      { id: "shiptoCustomerType", name: "目的客户类型", type: "ro", width: 120, hidden: true },
      { id: "shiptoCustomerTypeName", name: "目的客户类型", type: "ro", width: 120 },
      { id: "shiptoCustomerId", name: "目的客户/个人id", type: "ro", width: 120 , hidden: true },
      { id: "shiptoCustomerName", name: "目的客户/个人名称", type: "ro", width: 120 },
      { id: "shiptoAddress", name: "目的详细地址", type: "ro", width: 120 },
      { id: "reqshipmentdate", name: "预计发货日期", type: "ro", width: 120 },
      { id: "reqarrivvaldate", name: "要求到货日期", type: "ro", width: 120 },
      {
        id: "urgentIdentify", name: "是否急单", type: "ro", width: 120, render: function (v) {
          return getSelectValue(dataSelect.URG_FLG, v);
        }
      },
      { id: "refbillid", name: "业务单据id", type: "ro", width: 120 , hidden: true },
      { id: "refbillno", name: "业务单据号", type: "ro", width: 120 },
      { id: "refbilltype", name: "业务单据类型", type: "ro", width: 120, hidden: true },
      { id: "refbilltypeName", name: "业务单据类型", type: "ro", width: 120 },
      { id: "rsumcases", name: "提货件数", type: "ro", width: 120 },
      { id: "rsumgoodsweight", name: "提货重量", type: "ro", width: 120 },
      { id: "rsumgoodsvol", name: "提货体积", type: "ro", width: 120 },
      { id: "status", name: "状态", type: "ro", width: 120 , hidden: true },
      { id: "statusName", name: "状态", type: "ro", width: 120 , hidden: true },
      { id: "memo", name: "备注", type: "ro", width: 120 },
      // {
      //   id: "status", name: "状态", type: "ro", width: 120, render: function (v) {
      //     return getSelectValue(dataSelect.AUDIT_STATUS, v);
      //   }
      // },
      {
        id: "op", name: "操作", type: "button", align: "left", fixed: "right", width: "100", render: function () {
          return "提货交接^deliveryHandover_handover";
        }
      }
    ],
    toolbar: [
      { type: "settings", labelWidth: 70, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "calendar", className: "layui-col-md3", name: "sdate", label: "开始时间:", value: startTime },
          { type: "calendar", className: "layui-col-md3", name: "edate", label: "结束时间:", value: endTime },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择配送中心",
            readonly: false,
            table: branchTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "branchidList",
            label: "配送中心:",
            listener: function (Grid) {
              setMethod(Grid, branchTable, function () { });
            }
          },

          { type: "input", className: "layui-col-md3", name: "shipbillno", label: "运单号:" },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择客户",
            readonly: false,
            table: customerTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "shiptoCustomerIdList",
            label: "客户:",
            listener: function (Grid) {
              setMethod(Grid, customerTable, function () { });
            }
          },
          { type: "input", className: "layui-col-md3", name: "refbillno", label: "业务单号:" },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择承运商",
            readonly: false,
            table: carrierTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "carrieridList",
            label: "承运商:",
            listener: function (Grid) {
              setMethod(Grid, carrierTable, function () { });
            }
          },
          { type: "input", className: "layui-col-md3", name: "loadbillno", label: "装车单号:" },
          {
            type: "block", className: "layui-col-md12 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "master_search", value: "查 询" },
              { type: "newcolumn" },
              { type: "button", name: "master_reset", value: "重 置" }
            ]
          }
        ]
      }
    ],
    fixedLast: true, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: false, // 是否支持多选
    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/shipDispatch/takegoodsHandoverQuery", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ sdate: startTime, edate: endTime }), // 查询提交参数，分页参数默认为pageNum,pageSize
    page: true, // 是否启用分页
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  master_grid = new PlgGrid(master_grid_opts);
  master_grid.renderTo("deliveryHandover");
  master_grid.loadData();
  master_grid.attachToolBarEvent("onButtonClick", function (name) {
    switch (name) {
      case "master_search":
        var request = master_grid.getToolBarForm().getFormData();
        request.sdate = request.sdate ? Prolog.formatDate(request.sdate) + " 00:00:00" : "";
        request.edate = request.edate ? Prolog.formatDate(request.edate) + " 23:59:59" : "";
        if (request.sdate > request.edate) {
          layer.msg("开始时间不能大于结束时间");
          return false;
        }
        request.branchid = request.branchidList ? JSON.parse(request.branchidList)[0] : "";
        request.shiptoCustomerId = request.shiptoCustomerIdList ? JSON.parse(request.shiptoCustomerIdList)[0] : "";
        request.carrierid = request.carrieridList ? JSON.parse(request.carrieridList)[0] : "";
        dealNullQueryCondition(request);
        delete request.branchidList;
        delete request.shiptoCustomerIdList;
        delete request.carrieridList;
        master_grid.setParams(JSON.stringify(request));
        master_grid.reload();
        break;
      case "master_reset":
        master_grid.getToolBarForm().clear();
        master_grid.getToolBarForm().setText("branchidList", "");
        master_grid.getToolBarForm().setText("shiptoCustomerIdList", "");
        master_grid.getToolBarForm().setText("carrieridList", "");
        master_grid.getToolBarForm().setFormData({ sdate: startTime, edate: endTime });
        break;
      case "master_handover":
        var ids = master_grid.getCheckedIds();
        if (!ids) {
          layer.msg("请选择数据");
          return false;
        }
        var dataList = ids.split(",").map(item => master_grid.getRowData(item));
        handoverDialog(dataList);
        break;
    }
  });

  // 提货交接
  window.deliveryHandover_handover = function (rid, rdata) {
    handoverDialog(rdata);
  };
  // 提货交接弹窗
  function handoverDialog(rdata) {
    let dialogForm;
    PlgDialog.open({
      title: "提货交接",
      shadeClose: true,
      type: 1, // 设置为1，手动控制dialog的开关
      area: ["600px", "300px"],
      btn: ["提货交接", "取消"],
      content: "<div id =\"deliveryHandover_dialog\"></div>", //iframe的url
      yes: function (index) {
        var feik = dialogForm.validate();
        if (!feik) {
          return;
        }

        let { shipPerson, sumcases, remark } = dialogForm.getFormData();
        let positveOrZero = /^[+]{0,1}(\d+)$|^[+]{0,1}(\d+\.\d+)$/; // 非负数
        if (!positveOrZero.test(sumcases)) {
          layer.msg("交接件数为非负数");
          return false;
        }
        let request = {
          list: [rdata],
          shipPerson,
          sumcases,
          remark
        };
        let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        Prolog.ajax({
          url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/shipDispatch/takegoodsHandover", type: "post", contentType: "application/json", data: JSON.stringify(request),
          success: function (res) {
            PlgDialog.close(pload);
            if (res.success) {
              PlgDialog.close(index);
              PlgDialog.msg(res.message);
              master_grid.reload();
              return true;
            }
                        return false;
          },
          error: function () { PlgDialog.close(pload); return false; }
        });
      }
    });
    let dialogForm_opts = {
      renderer: "deliveryHandover_dialog",
      items: [
        { type: "settings", labelAlign: "left", labelWidth: 80 },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md6 no-border", name: "takegoodssignPerson", label: "提货交接人:", readonly: true },
            { type: "input", className: "layui-col-md6 no-border", name: "takegoodssignSumcases", label: "提货件数:", readonly: true },
            { type: "input", className: "layui-col-md6", name: "shipPerson", label: "交接人:", required: true },
            { type: "input", className: "layui-col-md6", name: "sumcases", label: "交接件数:", required: true },
            { type: "input", className: "layui-col-md12", name: "remark", label: "交接备注:" }
          ]
        }
      ]
    };
    dialogForm = new PlgForm(dialogForm_opts);
    dialogForm.setFormData(rdata);
  }
};