/**
 * zzx
 * 2020.10.22
 * 提货信息补充
 */
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';


export default () => {
  var edit_form;
  // 获取默认时间
  var startTime = Prolog.formatDate(new Date(), "%YY-%MM") + "-01 00:00:00";
  var endTime = Prolog.formatDate(new Date()) + " 23:59:59";

  // 跳转页面
  var carousel = layui.carousel;
  carousel.render({
    elem: "#deliveryInfoSupplement",
    autoplay: false,
    index: 0,
    arrow: "none",
    indicator: "none",
    anim: "fade",
    width: "100%", // 设置容器宽度
    height: "100%"
  });
  // 切换页面
  function changePanel(name) {
    var slideList = ["#deliveryInfoSupplement_main", "#deliveryInfoSupplement_edit"];
    for (var i = 0; i < slideList.length; i++) {
      if (slideList[i] == name) {
        $(name).css("display", "block");
      }
      else {
        $(slideList[i]).css("display", "none");
      }
    }
  }
  $(document).on("click", "#deliveryInfoSupplement_edit_return", function () {
    changePanel("#deliveryInfoSupplement_main");
  });

  // 配送中心table
  var branchTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "配送中心编号", type: "ro" },
      { id: "companyname", name: "配送中心名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 100 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "配送中心编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "S" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  // 货主table
  var consignorTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "货主编号", type: "ro" },
      { id: "companyname", name: "货主名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 100 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "货主编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyConsignor",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "H" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  // 客户table
  var customerTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "客户编号", type: "ro" },
      { id: "companyname", name: "客户名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 70 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "客户编码:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyCustomer",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "C" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  // 客户table
  var clientTable01 = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "客户编号", type: "ro" },
      { id: "companyname", name: "客户名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 100 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "客户编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyCustomer",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "C" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  var client_dialog_grid01 = new PlgGrid(clientTable01);
  // 个人table
  var clientTable02 = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "customerId", name: "id", type: "ro", width: "130", hidden: true },
      { id: "customerCode", name: "客户编号", type: "ro" },
      { id: "customerName", name: "客户名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 70 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "customerCode", label: "客户编码:", width: 120 },
          { type: "newcolumn", offset: 10 },
          { type: "input", name: "customerName", label: "客户名称:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/tBaseIndividualCustomer/queryTBaseIndividualCustomer",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  var client_dialog_grid02 = new PlgGrid(clientTable02);

  // 客户/个人弹窗事件
  function clientDialog(grid, type, valueName) {
    PlgDialog.open({
      title: "选择客户",
      shadeClose: true,
      type: 1, // 设置为1，手动控制dialog的开关
      area: ["650px", "500px"],
      content: "<div id =\"client_dialog\"></div>" //iframe的url
    });
    grid.renderTo("client_dialog");
    grid.reload();
    // 注册表格查询时间
    grid.attachToolBarEvent("onButtonClick", function (name) {
      switch (name) {
        case "querycarr":
          grid.setParams(JSON.stringify(Object.assign({}, grid.getToolBarForm().getFormData(), { companytype: "C" })));
          grid.reload();
          break;
        case "car_Reset":
          grid.getToolBarForm().clear();
          break;
      }
    });
    // 注册表格单击选择事件
    grid.on("onRowSelect", function () {
      let data = grid.getSelectedRowData();
      // 01-公司 02-个人
      // valueName shipper-发货人 arriver-收货人
      if (type === "01") {
        if (valueName === "shipper") {
          edit_form.setFormData({
            shipperName: data.companyname,
            shipperId: data.companyid,
            shipoperator: data.contactman,
            shipoperatortel: data.tel,
            shipmentProvinceNo: data.province,
            shipmentProvinceName: data.provincename,
            shipmentCityNo: data.city,
            shipmentCityName: data.cityname,
            shipmentDistrictNo: data.area,
            shipmentDistrictName: data.areaname,
            shipmentTownNo: data.town,
            shipmentTownName: data.townname,
            shipmentAddress: data.address
          });
          edit_form.getCombo("shipmentProvinceNo").setComboText(data.provincename);
          edit_form.getCombo("shipmentCityNo").setComboText(data.cityname);
          edit_form.getCombo("shipmentDistrictNo").setComboText(data.areaname);
          edit_form.getCombo("shipmentTownNo").setComboText(data.townname);
        }
        else if (valueName === "arriver") {
          edit_form.setFormData({
            arriverName: data.companyname,
            arriverId: data.companyid,
            consignee: data.contactman,
            consigneetel: data.tel,
            arriveProvinceNo: data.province,
            arriveProvinceName: data.provincename,
            arriveCityNo: data.city,
            arriveCityName: data.cityname,
            arriveDistrictNo: data.area,
            arriveDistrictName: data.areaname,
            arriveTownNo: data.town,
            arriveTownName: data.townname,
            arriveAddress: data.address
          });
          edit_form.getCombo("arriveProvinceNo").setComboText(data.provincename);
          edit_form.getCombo("arriveCityNo").setComboText(data.cityname);
          edit_form.getCombo("arriveDistrictNo").setComboText(data.areaname);
          edit_form.getCombo("arriveTownNo").setComboText(data.townname);
        }
      }
      else if (type === "02") {
        if (valueName === "shipper") {
          edit_form.setFormData({
            shipperName: data.customerName,
            shipperId: data.customerId,
            shipoperator: data.contactman,
            shipoperatortel: data.contacttel1,
            shipmentProvinceNo: data.province,
            shipmentProvinceName: data.provinceName,
            shipmentCityNo: data.city,
            shipmentCityName: data.cityName,
            shipmentDistrictNo: data.district,
            shipmentDistrictName: data.districtName,
            shipmentTownNo: data.street,
            shipmentTownName: data.streetName,
            shipmentAddress: data.address
          });
          edit_form.getCombo("shipmentProvinceNo").setComboText(data.provinceName);
          edit_form.getCombo("shipmentCityNo").setComboText(data.cityName);
          edit_form.getCombo("shipmentDistrictNo").setComboText(data.districtName);
          edit_form.getCombo("shipmentTownNo").setComboText(data.streetName);
        }
        else if (valueName === "arriver") {
          edit_form.setFormData({
            arriverName: data.customerName,
            arriverId: data.customerId,
            consignee: data.contactman,
            consigneetel: data.contacttel1,
            arriveProvinceNo: data.province,
            arriveProvinceName: data.provinceName,
            arriveCityNo: data.city,
            arriveCityName: data.cityName,
            arriveDistrictNo: data.district,
            arriveDistrictName: data.districtName,
            arriveTownNo: data.street,
            arriveTownName: data.streetName,
            arriveAddress: data.address
          });
          edit_form.getCombo("arriveProvinceNo").setComboText(data.provinceName);
          edit_form.getCombo("arriveCityNo").setComboText(data.cityName);
          edit_form.getCombo("arriveDistrictNo").setComboText(data.districtName);
          edit_form.getCombo("arriveTownNo").setComboText(data.streetName);
        }
      }
      layer.closeAll();
    });
  }

  // 获取枚举
  var dataSelect;
  getSelectGJ([
    { "objectcode": "TMS_SHIP_BILLTYPE" },
    { "objectcode": "TEMP_REQ" },
    { "objectcode": "GOODS_TYPE" },
    { "objectcode": "URG_FLG" },
    { "objectcode": "SEND_CUS_TYPE" },
    { "objectcode": "GET_CUS_TYPE" },
    { "objectcode": "ITEM_TYPE" }], function (data) {
      dataSelect = data.data;
      dataSelect.TEMP_REQ.unshift({ "value": "", "text": "" });
      dataSelect.GOODS_TYPE.unshift({ "value": "", "text": "" });
      dataSelect.URG_FLG.unshift({ "value": "", "text": "" });
      dataSelect.TMS_SHIP_BILLTYPE.unshift({ "value": "", "text": "" });
      // dataSelect.SEND_CUS_TYPE.unshift({ "value": "", "text": "" });
      // dataSelect.GET_CUS_TYPE.unshift({ "value": "", "text": "" });
    }
  );
  // 查询省
  var provinceEnums = [];
  utilSyncAjaxGJ(UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", "post", JSON.stringify({ "fatherid": "01" }), function (data) {
    provinceEnums = data.data;
    for (let x in provinceEnums) {

      provinceEnums[x].text = provinceEnums[x].keyvalue;
      provinceEnums[x].value = provinceEnums[x].zoneid;
    }
    provinceEnums.unshift({ "value": "", "text": "" });
  }, "application/json");

  // 主页grid
  var master_grid_opts = {
    skin: "card",
    columns: [
      { id: "shipbillid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "branchname", name: "配送中心", type: "ro", width: 120 },
      { id: "shipbillno", name: "提货单号", type: "ro", width: 120 },
      { id: "consignorname", name: "货主", type: "ro", width: 120 },
      { id: "billtypeName", name: "运单类型", type: "ro", width: 120 },
      { id: "linenane", name: "线路名称", type: "ro", width: 120 },
      { id: "billdate", name: "单据日期", type: "ro", width: 120 },
      { id: "urgentIdentifyName", name: "是否急单", type: "ro", width: 120 },
      { id: "refbillno", name: "业务单号", type: "ro", width: 120 },
      { id: "refbilltypeName", name: "业务类型", type: "ro", width: 120 },
      { id: "arriverName", name: "客户名称", type: "ro", width: 120 },
      { id: "arriveAddress", name: "客户地址", type: "ro", width: 120 },
      { id: "rsumcases", name: "件数", type: "ro", width: 120 },
      { id: "rsumgoodsweight", name: "重量", type: "ro", width: 120 },
      { id: "rsumgoodsvol", name: "体积", type: "ro", width: 120 },
      { id: "memo", name: "备注", type: "ro", width: 120 },
      // {
      //   id: "status", name: "状态", type: "ro", width: 120, render: function (v) {
      //     return getSelectValue(dataSelect.AUDIT_STATUS, v);
      //   }
      // },
      {
        id: "op", name: "操作", type: "button", align: "left", fixed: "right", width: "100", render: function () {
          return "提货信息补充^deliveryInfoSupplement_supplement";
        }
      }
    ],
    toolbar: [
      { type: "settings", labelWidth: 70, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "calendar", className: "layui-col-md3", name: "startdate", label: "开始时间:", value: startTime },
          { type: "calendar", className: "layui-col-md3", name: "enddate", label: "结束时间:", value: endTime },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择配送中心",
            readonly: false,
            table: branchTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "branchidList",
            label: "配送中心:",
            listener: function (Grid) {
              setMethod(Grid, branchTable, function () { });
            }
          },
          { type: "input", className: "layui-col-md3", name: "shipbillno", label: "提货单号:" },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择货主",
            readonly: false,
            table: consignorTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "consignorList",
            label: "货主:",
            listener: function (Grid) {
              setMethod(Grid, consignorTable, function () { });
            }
          },
          { type: "input", className: "layui-col-md3", name: "refbillno", label: "业务单号:" },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择客户",
            readonly: false,
            table: customerTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "shiptoCustomerIdList",
            label: "客户:",
            listener: function (Grid) {
              setMethod(Grid, customerTable, function () { });
            }
          },
          {
            type: "block", className: "layui-col-md3 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "master_search", value: "查 询" },
              { type: "newcolumn" },
              { type: "button", name: "master_reset", value: "重 置" }
            ]
          }
        ]
      }
    ],
    fixedLast: true, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: false, // 是否支持多选
    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/dispatch/pickUpUpdateQuery", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ startdate: startTime, enddate: endTime }), // 查询提交参数，分页参数默认为pageNum,pageSize
    page: true, // 是否启用分页
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  master_grid = new PlgGrid(master_grid_opts);
  master_grid.renderTo("deliveryInfoSupplement_master");
  master_grid.loadData();
  master_grid.attachToolBarEvent("onButtonClick", function (name) {
    switch (name) {
      case "master_search":
        var request = master_grid.getToolBarForm().getFormData();
        request.startdate = request.startdate ? Prolog.formatDate(request.startdate) + " 00:00:00" : "";
        request.enddate = request.enddate ? Prolog.formatDate(request.enddate) + " 23:59:59" : "";
        if (request.startdate > request.enddate) {
          layer.msg("开始时间不能大于结束时间");
          return false;
        }
        request.branchid = request.branchidList ? JSON.parse(request.branchidList)[0] : "";
        request.consignor = request.consignorList ? JSON.parse(request.consignorList)[0] : "";
        request.shiptoCustomerId = request.shiptoCustomerIdList ? JSON.parse(request.shiptoCustomerIdList)[0] : "";
        dealNullQueryCondition(request);
        delete request.branchidList;
        delete request.consignorList;
        delete request.shiptoCustomerIdList;
        master_grid.setParams(JSON.stringify(request));
        master_grid.reload();
        break;
      case "master_reset":
        master_grid.getToolBarForm().clear();
        master_grid.getToolBarForm().setText("branchidList", "");
        master_grid.getToolBarForm().setText("consignorList", "");
        master_grid.getToolBarForm().setText("shiptoCustomerIdList", "");
        master_grid.getToolBarForm().setFormData({ startdate: startTime, enddate: endTime });
        break;
    }
  });

  // 信息补充
  window.deliveryInfoSupplement_supplement = function (rid, rdata) {
    changePanel("#deliveryInfoSupplement_edit");
    formInit(rdata);
  };

  // 表单
  var edit_form_opts = {
    renderer: "deliveryInfoSupplement_edit_form",
    items: [
      {
        type: "block", list: [
          { type: "settings", position: "label-left", labelWidth: 90, inputWidth: 190 },
          {
            type: "block", width: "*",
            list: [
              { type: "hidden", name: "branchid", label: "当前仓编号:" },
              { type: "input", className: "no-border", name: "branchname", width: 190, label: "配送中心:", readonly: true },
              { type: "newcolumn", offset: 40 },
              { type: "hidden", name: "consignor", label: "货主编号:" },
              { type: "input", className: "no-border", name: "consignorname", width: 190, label: "货主:", readonly: true },
              { type: "newcolumn", offset: 40 },
              { type: "combo", className: "no-border", name: "billtype", label: "单据类型:", width: 190, options: dataSelect.TMS_SHIP_BILLTYPE, readonly: true, disabled: true }
            ]
          },
          {
            type: "block", width: "*",
            list: [
              { type: "combo", name: "temperatureRequire", label: "温度要求:", width: 190, options: dataSelect.TEMP_REQ, readonly: true, required: true },
              { type: "newcolumn", offset: 40 },
              { type: "combo", name: "shipgoodsgroup", label: "货物类型:", width: 190, options: dataSelect.GOODS_TYPE, readonly: true },
              { type: "newcolumn", offset: 40 },
              { type: "combo", name: "urgentIdentify", label: "紧急标识:", width: 190, options: dataSelect.URG_FLG, readonly: true, required: true }
            ]
          },
          {
            type: "block", width: "*",
            list: [
              { type: "calendar", name: "reqshipmentdate", label: "预计发货时间:", width: 190 },
              { type: "newcolumn", offset: 40 },
              { type: "calendar", name: "reqarrivvaldate", label: "要求到货时间:", width: 190, required: true },
              { type: "newcolumn", offset: 40 },
              { type: "calendar", name: "billdate", label: "单据日期:", width: 190, readonly: true, required: true }
            ]
          },
          {
            type: "block", width: "*",
            list: [
              { type: "input", name: "memo", label: "备注:", inputWidth: 518, rows: 3 }
            ]
          }
        ]
      },
      {
        type: "fieldset", name: "shipperInfo", label: "发货人信息", list: [
          { type: "settings", position: "label-left", labelWidth: 90, inputWidth: 190 },
          {
            type: "block", width: "*",
            list: [
              { type: "combo", name: "shipperType", label: "客户类型:", width: 190, options: dataSelect.SEND_CUS_TYPE, readonly: true, required: true },
              { type: "newcolumn", offset: 40 },
              { type: "input", name: "shipperName", label: "发运客户:", placeholder: "请双击选择", readonly: true },
              { type: "hidden", name: "shipperId", label: "发运客户/个人id:" }
            ]
          },
          {
            type: "block", width: "*",
            list: [
              { type: "input", name: "shipoperator", label: "发运联系人:" },
              { type: "newcolumn", offset: 40 },
              { type: "input", name: "shipoperatortel", label: "发运人电话:" },
              { type: "newcolumn", offset: 40 },
              { type: "input", name: "shipoperatormobile", label: "发运人手机:" }
            ]
          },
          {
            type: "block", width: "*",
            list: [
              { type: "combo", readonly: true, name: "shipmentProvinceNo", label: "省:", width: 190, options: provinceEnums },
              { type: "hidden", name: "shipmentProvinceName", label: "省:" },
              { type: "newcolumn", offset: 40 },
              { type: "combo", readonly: true, name: "shipmentCityNo", label: "市:", width: 190 },
              { type: "hidden", name: "shipmentCityName", label: "市:" },
              { type: "newcolumn", offset: 40 },
              { type: "combo", readonly: true, name: "shipmentDistrictNo", label: "区/县:", width: 190 },
              { type: "hidden", name: "shipmentDistrictName", label: "区/县:" }
            ]
          },
          {
            type: "block", width: "*",
            list: [
              { type: "combo", readonly: true, name: "shipmentTownNo", label: "街道/乡镇:", width: 190 },
              { type: "hidden", name: "shipmentTownName", label: "街道/乡镇:" },
              { type: "newcolumn", offset: 40 },
              { type: "combo", readonly: true, name: "shipmentCommunityNo", label: "村/社区:", width: 190 },
              { type: "hidden", name: "shipmentCommunityName", label: "村/社区:" }
            ]
          },
          {
            type: "block", width: "*",
            list: [
              { type: "input", name: "shipmentAddress", label: "详细地址:", inputWidth: 518 }
            ]
          }
        ]
      },
      {
        type: "fieldset", name: "arriverInfo", label: "收货人信息", list: [
          { type: "settings", position: "label-left", labelWidth: 90, inputWidth: 190 },
          {
            type: "block", width: "*",
            list: [
              { type: "combo", name: "arriverType", label: "客户类型:", width: 190, options: dataSelect.GET_CUS_TYPE, readonly: true, required: true },
              { type: "newcolumn", offset: 40 },
              { type: "input", name: "arriverName", label: "收货客户:", placeholder: "请双击选择", readonly: true },
              { type: "hidden", name: "arriverId", label: "收货客户/个人id:" }
            ]
          },
          {
            type: "block", width: "*",
            list: [
              { type: "input", name: "consignee", label: "收货联系人:" },
              { type: "newcolumn", offset: 40 },
              { type: "input", name: "consigneetel", label: "收货人电话:" },
              { type: "newcolumn", offset: 40 },
              { type: "input", name: "consigneemobile", label: "收货人手机:" }
            ]
          },
          {
            type: "block", width: "*",
            list: [
              { type: "combo", readonly: true, name: "arriveProvinceNo", label: "省:", width: 190, options: provinceEnums },
              { type: "hidden", name: "arriveProvinceName", label: "省:" },
              { type: "newcolumn", offset: 40 },
              { type: "combo", readonly: true, name: "arriveCityNo", label: "市:", width: 190 },
              { type: "hidden", name: "arriveCityName", label: "市:" },
              { type: "newcolumn", offset: 40 },
              { type: "combo", readonly: true, name: "arriveDistrictNo", label: "区/县:", width: 190 },
              { type: "hidden", name: "arriveDistrictName", label: "区/县:" }
            ]
          },
          {
            type: "block", width: "*",
            list: [
              { type: "combo", readonly: true, name: "arriveTownNo", label: "街道/乡镇:", width: 190 },
              { type: "hidden", name: "arriveTownName", label: "街道/乡镇:" },
              { type: "newcolumn", offset: 40 },
              { type: "combo", readonly: true, name: "arriveCommunityNo", label: "村/社区:", width: 190 },
              { type: "hidden", name: "arriveCommunityName", label: "村/社区:" }
            ]
          },
          {
            type: "block", width: "*",
            list: [
              { type: "input", name: "arriveAddress", label: "详细地址:", inputWidth: 518 }
            ]
          }
        ]
      }
    ]
  };
  // 注册form
  function formInit(formData) {
    $("#deliveryInfoSupplement_edit_form").html("");
    edit_form = new PlgForm(edit_form_opts);
    // 发运客户、收货客户点击事件
    $("#deliveryInfoSupplement_edit_form input").on("dblclick", function (data) {
      let shipperType = edit_form.getItemValue("shipperType");
      let arriverType = edit_form.getItemValue("arriverType");
      // 01-公司 02-个人
      if (data.delegateTarget.name == "shipperName") {
        if (shipperType === "01") {
          clientDialog(client_dialog_grid01, shipperType, "shipper");
        }
        else {
          clientDialog(client_dialog_grid02, shipperType, "shipper");
        }
      }
      if (data.delegateTarget.name == "arriverName") {
        if (arriverType === "01") {
          clientDialog(client_dialog_grid01, arriverType, "arriver");
        }
        else {
          clientDialog(client_dialog_grid02, arriverType, "arriver");
        }
      }
    });

    // 客户类型修改时清空数据
    edit_form.attachComboEvent("shipperType", "onChange", function (id) {
      edit_form.setFormData({
        shipperName: "",
        shipperId: "",
        shipoperator: "",
        shipoperatortel: "",
        shipoperatormobile: "",
        shipmentProvinceNo: "",
        shipmentProvinceName: "",
        shipmentCityNo: "",
        shipmentCityName: "",
        shipmentDistrictNo: "",
        shipmentDistrictName: "",
        shipmentTownNo: "",
        shipmentTownName: "",
        shipmentCommunityNo: "",
        shipmentCommunityName: "",
        shipmentAddress: ""
      });
      edit_form.getCombo("shipmentProvinceNo").setComboText("");
      edit_form.getCombo("shipmentCityNo").setComboText("");
      edit_form.getCombo("shipmentDistrictNo").setComboText("");
      edit_form.getCombo("shipmentTownNo").setComboText("");
      edit_form.getCombo("shipmentCommunityNo").setComboText("");
      edit_form.setReadonly("shipperName", id === "01");
    });
    edit_form.attachComboEvent("arriverType", "onChange", function (id) {
      edit_form.setFormData({
        arriverName: "",
        arriverId: "",
        consignee: "",
        consigneetel: "",
        consigneemobile: "",
        arriveProvinceNo: "",
        arriveProvinceName: "",
        arriveCityNo: "",
        arriveCityName: "",
        arriveDistrictNo: "",
        arriveDistrictName: "",
        arriveTownNo: "",
        arriveTownName: "",
        arriveCommunityNo: "",
        arriveCommunityName: "",
        arriveAddress: ""
      });
      edit_form.getCombo("arriveProvinceNo").setComboText("");
      edit_form.getCombo("arriveCityNo").setComboText("");
      edit_form.getCombo("arriveDistrictNo").setComboText("");
      edit_form.getCombo("arriveTownNo").setComboText("");
      edit_form.getCombo("arriveCommunityNo").setComboText("");
      edit_form.setReadonly("arriverName", id === "01");
    });

    // 首先更新省市区下拉框数据
    getByPid(formData.shipmentProvinceNo, "shipmentCityNo", formData.shipmentCityNo);
    getByPid(formData.shipmentCityNo, "shipmentDistrictNo", formData.shipmentDistrictNo);
    getByPid(formData.shipmentDistrictNo, "shipmentTownNo", formData.shipmentTownNo);
    getByPid(formData.shipmentTownNo, "shipmentCommunityNo", formData.shipmentCommunityNo);

    getByPid(formData.arriveProvinceNo, "arriveCityNo", formData.arriveCityNo);
    getByPid(formData.arriveCityNo, "arriveDistrictNo", formData.arriveDistrictNo);
    getByPid(formData.arriveDistrictNo, "arriveTownNo", formData.arriveTownNo);
    getByPid(formData.arriveTownNo, "shipmentCommunityNo", formData.arriveCommunityNo);

    edit_form.setFormData(formData);
    // setTimeout(() => {
    //   edit_form.setFormData(formData);
    // }, 100);

    // 省市区联动
    edit_form.attachComboEvent("shipmentProvinceNo", "onChange", function (id) {
      edit_form.setFormData({ shipmentProvinceName: edit_form.getCombo("shipmentProvinceNo").getComboText() });
      edit_form.getCombo("shipmentCityNo").clearAll();
      edit_form.getCombo("shipmentCityNo").setComboText("");
      if (id) {
        edit_form.loadComboData("shipmentCityNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
    });
    edit_form.attachComboEvent("shipmentCityNo", "onChange", function (id) {
      edit_form.setFormData({ shipmentCityName: edit_form.getCombo("shipmentCityNo").getComboText() });
      edit_form.getCombo("shipmentDistrictNo").clearAll();
      edit_form.getCombo("shipmentDistrictNo").setComboText("");
      if (id) {
        edit_form.loadComboData("shipmentDistrictNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
    });
    edit_form.attachComboEvent("shipmentDistrictNo", "onChange", function (id) {
      edit_form.setFormData({ shipmentDistrictName: edit_form.getCombo("shipmentDistrictNo").getComboText() });
      edit_form.getCombo("shipmentTownNo").clearAll();
      edit_form.getCombo("shipmentTownNo").setComboText("");
      if (id) {
        edit_form.loadComboData("shipmentTownNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
    });
    edit_form.attachComboEvent("shipmentTownNo", "onChange", function (id) {
      edit_form.setFormData({ shipmentTownName: edit_form.getCombo("shipmentTownNo").getComboText() });
      edit_form.getCombo("shipmentCommunityNo").clearAll();
      edit_form.getCombo("shipmentCommunityNo").setComboText("");
      if (id) {
        edit_form.loadComboData("shipmentCommunityNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
    });
    edit_form.attachComboEvent("shipmentCommunityNo", "onChange", function () {
      edit_form.setFormData({ shipmentCommunityName: edit_form.getCombo("shipmentCommunityNo").getComboText() });
    });

    edit_form.attachComboEvent("arriveProvinceNo", "onChange", function (id) {
      edit_form.setFormData({ arriveProvinceName: edit_form.getCombo("arriveProvinceNo").getComboText() });
      edit_form.getCombo("arriveCityNo").clearAll();
      edit_form.getCombo("arriveCityNo").setComboText("");
      if (id) {
        edit_form.loadComboData("arriveCityNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
    });
    edit_form.attachComboEvent("arriveCityNo", "onChange", function (id) {
      edit_form.setFormData({ arriveCityName: edit_form.getCombo("arriveCityNo").getComboText() });
      edit_form.getCombo("arriveDistrictNo").clearAll();
      edit_form.getCombo("arriveDistrictNo").setComboText("");
      if (id) {
        edit_form.loadComboData("arriveDistrictNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
    });
    edit_form.attachComboEvent("arriveDistrictNo", "onChange", function (id) {
      edit_form.setFormData({ arriveDistrictName: edit_form.getCombo("arriveDistrictNo").getComboText() });
      edit_form.getCombo("arriveTownNo").clearAll();
      edit_form.getCombo("arriveTownNo").setComboText("");
      if (id) {
        edit_form.loadComboData("arriveTownNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
    });
    edit_form.attachComboEvent("arriveTownNo", "onChange", function (id) {
      edit_form.setFormData({ arriveTownName: edit_form.getCombo("arriveTownNo").getComboText() });
      edit_form.getCombo("arriveCommunityNo").clearAll();
      edit_form.getCombo("arriveCommunityNo").setComboText("");
      if (id) {
        edit_form.loadComboData("arriveCommunityNo", { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ "fatherid": id }), valueField: "zoneid", textField: "keyvalue" });
      }
    });
    edit_form.attachComboEvent("arriveCommunityNo", "onChange", function () {
      edit_form.setFormData({ arriveCommunityName: edit_form.getCombo("arriveCommunityNo").getComboText() });
    });


  }
  // 省市区联动
  function getByPid(fatherid, comboName, value) {
    Prolog.ajax({
      url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/zone/get-by-pid", type: "post", contentType: "application/json", data: JSON.stringify({ fatherid }),
      success: function (res) {
        if (res.success) {
          let list = res.data.map(item => {
            return {
              value: item.zoneid,
              text: item.keyvalue
            };
          });
          // 给combo赋下拉框数据
          edit_form.getCombo(comboName).addOption(list);
          // 给combo赋值
          const nextData = {};
          nextData[comboName] = value;
          edit_form.setFormData(nextData);
          return true;
        }
                return false;
      },
      error: function () { PlgDialog.close(pload); return false; }
    });
  }

  // 保存
  $("#deliveryInfoSupplement_edit_save").on("click", function () {
    let vdate = edit_form.validate();
    if (!vdate) return false;

    let tmsOrderBillHVo = edit_form.getFormData();
    if (!tmsOrderBillHVo.shipperName) {
      layer.msg("发货人信息不能为空");
      return false;
    }
    if (tmsOrderBillHVo.billtype !== "02" && (!tmsOrderBillHVo.arriverName || !tmsOrderBillHVo.arriveProvinceNo || !tmsOrderBillHVo.arriveCityNo || !tmsOrderBillHVo.arriveDistrictNo || !tmsOrderBillHVo.arriveAddress)) {
      layer.msg("单据类型不为提货入库时，收货人信息不能为空");
      return false;
    }
    if (tmsOrderBillHVo.billtype === "02" && (!tmsOrderBillHVo.shipmentProvinceNo || !tmsOrderBillHVo.shipmentCityNo || !tmsOrderBillHVo.shipmentDistrictNo || !tmsOrderBillHVo.shipmentAddress)) {
      layer.msg("单据类型不为配送类型时，发货人地址相关信息不能为空");
      return false;
    }
    if (!tmsOrderBillHVo.shipoperatortel && !tmsOrderBillHVo.shipoperatormobile || !tmsOrderBillHVo.consigneetel && !tmsOrderBillHVo.consigneemobile) {
      layer.msg("联系人电话，联系人手机不能同时为空");
      return false;
    }
    tmsOrderBillHVo.reqshipmentdate = tmsOrderBillHVo.reqshipmentdate ? Prolog.formatDate(tmsOrderBillHVo.reqshipmentdate) : "";
    tmsOrderBillHVo.reqarrivvaldate = tmsOrderBillHVo.reqarrivvaldate ? Prolog.formatDate(tmsOrderBillHVo.reqarrivvaldate) : "";
    tmsOrderBillHVo.billdate = tmsOrderBillHVo.billdate ? Prolog.formatDate(tmsOrderBillHVo.billdate, "%YY-%MM-%DD %hh:%mm:%ss") : "";
    dealNullQueryCondition(tmsOrderBillHVo);
    delete tmsOrderBillHVo.branchList;
    delete tmsOrderBillHVo.consignorList;

    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    Prolog.ajax({
      url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/dispatch/pickUpUpdateConfirm", type: "post", contentType: "application/json", data: JSON.stringify(tmsOrderBillHVo),
      success: function (res) {
        PlgDialog.close(pload);
        if (res.success) {
          PlgDialog.msg(res.message);
          changePanel("#deliveryInfoSupplement_main");
          return true;
        }
                return false;

      }, error: function () { PlgDialog.close(pload); return false; }
    });
  });

};