/**
   * guoj
   * 2020.10.19
   * 回车登记
   */
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';


export default () => {
  // 获取默认时间
  var sdate = Prolog.formatDate(new Date(), "%YY-%MM") + "-01 00:00:00";
  var edate = Prolog.formatDate(new Date()) + " 23:59:59";

  let ddfrom;
  //跳转页面
  var carousel = layui.carousel;
  var car = carousel.render({
    elem: "#returnRegistration_div",
    autoplay: false,
    index: 0,
    arrow: "none",
    indicator: "none",
    anim: "fade",
    width: "100%", //设置容器宽度
    height: "100%"
  });
  //跳转方法
  var tt = "returnRegistration_zhu_div";

  function changePanel() {
    car.slide(tt);
    tt = tt == "returnRegistration_xi1" ? "returnRegistration_zhu_div" : "returnRegistration_xi1";
  }
  var grid;
  //配送中心table
  var userTable = {
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "配送中心编号", type: "ro" },
      { id: "companyname", name: "配送中心名称", type: "ro" }
    ],
    multiselect: false,
    contentType: "application/json",
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch", //数据接口
    type: "post", //数据提交方式，默认为get
    pagebar: { type: "simple" },
    params: JSON.stringify({ "companytype": "S" }), //查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //承运商table
  var companynerTable = {
    columns: [
      { id: "carrierId", name: "id", type: "ro", width: "130", hidden: true },
      { id: "carrierCode", name: "承运商编号", type: "ro" },
      { id: "carrierName", name: "承运商名称", type: "ro" }
    ],
    multiselect: false,
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/tmsBaseCarrier/queryTmsBaseCarrier", //数据接口
    type: "post", //数据提交方式，默认为get
    pagebar: { type: "simple" },
    contentType: "application/json",
    params: JSON.stringify({ pageNum: 1, pageSize: 500 }), //查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //分页参数
  var opts = {
    //terrace显示全部，card分页显示
    skin: "card",
    //renderer:"grid",
    columns: [
      { id: "loadbillid", name: "id", type: "ro", width: "80", hidden: true },
      { id: "branchname", name: "配送中心", type: "ro", width: "100" },
      { id: "loadbillno", name: "装车单号", type: "ro", width: "100" },
      { id: "billdate", name: "单据时间", type: "ro", width: "80" },
      { id: "carriername", name: "承运商", type: "ro", width: "100" },
      { id: "voucherno", name: "车辆", type: "ro", width: "80" },
      { id: "driver1stname", name: "司机", type: "ro", width: "120" },
      { id: "distperson1name", name: "配送员", type: "ro", width: "120" },
      { id: "shipmentWeight", name: "总重量", type: "ro", width: "120" },
      { id: "shipmentVol", name: "总体积", type: "ro", width: "130" },
      { id: "shipmentNumber", name: "总件数", type: "ro", width: "80" },
      { id: "customerNumber", name: "客户数", type: "ro", width: "80" },
      { id: "loadingRateWeight", name: "载重装载率", type: "ro", width: "120" },
      { id: "loadingRateVol", name: "体积装载率", type: "ro", width: "120" },
      { id: "memo", name: "备注", type: "ro", width: "80" }
    ],
    multiselect: true,
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "calendar", name: "sdate", className: "layui-col-md3", label: "开始时间:", value: sdate },
          { type: "calendar", name: "edate", className: "layui-col-md3", label: "结束时间:", value: edate },
          { type: "input", name: "loadbillno", className: "layui-col-md3", label: "装车单号:" },
          {
            className: "layui-col-md3",
            type: "selectTable",
            placeholder: "请选择配送中心",
            readonly: false,
            table: userTable,
            tableWidth: 500,
            tableHeight: 400,
            fieldText: "companyname",
            fieldValue: "companycode",
            name: "branchid",
            label: "配送中心:"
          },
          {
            className: "layui-col-md3",
            type: "selectTable",
            placeholder: "请选择承运商",
            readonly: false,
            table: companynerTable,
            tableWidth: 500,
            tableHeight: 400,
            fieldText: "carrierName",
            fieldValue: "carrierId",
            name: "carrierid",
            label: "承运商:"
          },
          {
            type: "block", className: "layui-col-md3 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "querycarr", value: "查 询" },
              { type: "newcolumn" },
              { type: "button", name: "car_Reset", className: "normal", value: "重 置" }
            ]
          },
          {
            type: "block", className: "layui-col-md6 right",
            list: [
              { type: "button", className: "btn-addBtn btn-normal", name: "arrivalConfirmation_print", value: "回车登记" }
            ]
          }
        ]
      }],
    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/returnVehicleRegister/returnVehicleRegisterQuery",//数据接口
    type: "post",//数据提交方式，默认为get
    contentType: "application/json",
    params: JSON.stringify({ sdate: sdate, edate: edate }),//查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //分页参数 pageSize pageNum
  grid = new PlgGrid(opts);
  grid.renderTo("returnRegistration_zhu");
  grid.getToolBarForm().setFormData({ "systemId": "prolog-healthy-wms" });
  grid.loadData();
  //按钮添加方法
  grid.attachToolBarEvent("onButtonClick", function (name) {
    //查询
    if (name == "querycarr") {
      var jsonData = grid.getToolBarForm().getFormData();
      jsonData.sdate = jsonData.sdate ? Prolog.formatDate(jsonData.sdate) + " 00:00:00" : "";
      jsonData.edate = jsonData.edate ? Prolog.formatDate(jsonData.edate) + " 23:59:59" : "";
      if (jsonData.sdate > jsonData.edate) {
        layer.msg("开始时间不能大于结束时间");
        return false;
      }
      jsonData.branchid = jsonData.branchid ? JSON.parse(jsonData.branchid)[0] : "";
      jsonData.carrierid = jsonData.carrierid ? JSON.parse(jsonData.carrierid)[0] : "";
      grid.setParams(JSON.stringify(jsonData));
      grid.reload();
    }
    //重置
    if (name == "car_Reset") {
      grid.getToolBarForm().getDForm().setText("branchid", "");
      grid.getToolBarForm().getDForm().setText("carrierid", "");
      grid.getToolBarForm().clear();
      grid.getToolBarForm().setFormData({ sdate: sdate, edate: edate });
    }
    //回车登记
    if (name == "arrivalConfirmation_print") {
      let datai = getDeleteAll(grid);
      if (datai == "" || datai == null) {
        return;
      }
      let vouchernoSet = new Set();
      datai.forEach(item => {
        const rowData = grid.getRowData(item);
        vouchernoSet.add(rowData.voucherno);
      });
      if (vouchernoSet.size > 1) {
        layer.msg("请选择相同车牌进行批量回车");
        return false;
      }
      ddfrom = new PlgForm({
        renderer: "returnRegistration_xi",
        items: [
          { type: "settings", labelWidth: 90, labelAlign: "right" },
          {
            type: "row",
            list: [
              { type: "settings", position: "label-left", width: 300, labelWidth: 90 },
              { type: "input", name: "returnMile", label: "回车里程:", className: "layui-col-md6", required: true },
              { type: "input", name: "returnRemark", label: "回车备注:", className: "layui-col-md6" }
            ]
          }]
      });
      changePanel();
    }
  });
  //返回
  document.querySelector("#returnRegistration_back1").onclick = function () {
    changePanel();
  };
  //确认
  document.querySelector("#returnRegistration_save").onclick = function () {
    var feik = ddfrom.validate();
    if (!feik) {
      return;
    }
    let dataList = getDeleteAll(grid);
    for (var i = 0; i < dataList.length; i++) {
      dataList[i] = grid.getRowData(dataList[i]);
    }
    //信息比对
    let url = UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/returnVehicleRegister/returnVehicleRegister";
    let datai = ddfrom.getFormData();
    datai.list = dataList;
    //调用ajax方法
    utilAjaxGJ(url, "post", JSON.stringify(datai), function (data) {
      if (data.success) {
        grid.reload();
        changePanel();
      }
    }, "application/json");
  };
};