/**
 * zzx
 * 2020.10.22
 * 自提登记
 */
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';


export default () => {
  var master_grid;
  var selectedData;
  // 获取默认时间
  var startTime = Prolog.formatDate(new Date(), "%YY-%MM") + "-01 00:00:00";
  var endTime = Prolog.formatDate(new Date()) + " 23:59:59";

  // 配送中心table
  var branchTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "配送中心编号", type: "ro" },
      { id: "companyname", name: "配送中心名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 100 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "配送中心编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "S" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  // 客户table
  var customerTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "客户编号", type: "ro" },
      { id: "companyname", name: "客户名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 70 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "客户编码:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyCustomer",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "C" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };

  // 主页grid
  var master_grid_opts = {
    skin: "card",
    columns: [
      { id: "shipbillid", name: "运单id", type: "ro", width: "130", hidden: true },
      { id: "branchname", name: "配送中心", type: "ro", width: 120 },
      { id: "shipbillno", name: "运单编号", type: "ro", width: 120 },
      { id: "consignorname", name: "货主名称", type: "ro", width: 120 },
      { id: "billtype", name: "单据类型", type: "ro", width: 120 },
      { id: "linenane", name: "线路名称", type: "ro", width: 120 },
      { id: "billdate", name: "单据时间", type: "ro", width: 120 },
      { id: "refbillno", name: "业务单据号", type: "ro", width: 120 },
      { id: "refbilltype", name: "业务单据类型", type: "ro", width: 120 },
      { id: "shiptoCustomerName", name: "客户名称", type: "ro", width: 120 },
      { id: "shiptoAddress", name: "客户地址", type: "ro", width: 120 },
      { id: "rsumcases", name: "件数", type: "ro", width: 120 },
      { id: "rsumgoodsweight", name: "重量", type: "ro", width: 120 },
      { id: "rsumgoodsvol", name: "体积", type: "ro", width: 120 },
      { id: "memo", name: "备注", type: "ro", width: 120 }


      // { id: "shipbillno", name: "运单编号", type: "ro", width: 120 },
      // { id: "rrfshipbillid", name: "原运单id", type: "ro", width: 120 },
      // { id: "rrfshipbillno", name: "原运单编号", type: "ro", width: 120 },
      // { id: "fathershipbillno", name: "父运单编号", type: "ro", width: 120 },
      // { id: "branchid", name: "当前仓编号", type: "ro", width: 120 },
      // { id: "branchname", name: "当前仓名称", type: "ro", width: 120 },
      // { id: "consignor", name: "货主编号", type: "ro", width: 120 },
      // { id: "consignorname", name: "货主名称", type: "ro", width: 120 },
      // { id: "billtype", name: "单据类型", type: "ro", width: 120 },
      // { id: "billsource", name: "单据来源", type: "ro", width: 120 },
      // { id: "billdate", name: "单据时间", type: "ro", width: 120 },
      // { id: "lineno", name: "线路编号", type: "ro", width: 120 },
      // { id: "linenane", name: "线路名称", type: "ro", width: 120 },
      // { id: "loadbillno", name: "装车单号", type: "ro", width: 120 },
      // { id: "carrierid", name: "承运商id", type: "ro", width: 120 },
      // { id: "carriername", name: "承运商", type: "ro", width: 120 },
      // { id: "shiptoCustomerType", name: "目的客户类型", type: "ro", width: 120 },
      // { id: "shiptoCustomerId", name: "目的客户/个人id", type: "ro", width: 120 },
      // { id: "shiptoCustomerName", name: "目的客户/个人名称", type: "ro", width: 120 },
      // { id: "shiptoAddress", name: "目的详细地址", type: "ro", width: 120 },
      // { id: "reqshipmentdate", name: "预计发货日期", type: "ro", width: 120 },
      // { id: "reqarrivvaldate", name: "要求到货日期", type: "ro", width: 120 },
      // { id: "urgentIdentify", name: "紧急标识", type: "ro", width: 120 },
      // { id: "refbillid", name: "业务单据id", type: "ro", width: 120 },
      // { id: "refbillno", name: "业务单据号", type: "ro", width: 120 },
      // { id: "refbilltype", name: "业务单据类型", type: "ro", width: 120 },
      // { id: "rsumcases", name: "提货件数", type: "ro", width: 120 },
      // { id: "rsumgoodsweight", name: "提货重量", type: "ro", width: 120 },
      // { id: "rsumgoodsvol", name: "提货体积", type: "ro", width: 120 },
      // { id: "status", name: "状态", type: "ro", width: 120 },
      // { id: "memo", name: "备注", type: "ro", width: 120 }
      // {
      //   id: "status", name: "状态", type: "ro", width: 120, render: function (v) {
      //     return getSelectValue(dataSelect.AUDIT_STATUS, v);
      //   }
      // },
      // {
      //   id: "op", name: "操作", type: "button", align: "left", fixed: "right", width: "100", render: function () {
      //     return "自提登记^selfRegistration_registration";
      //   }
      // }
    ],
    toolbar: [
      { type: "settings", labelWidth: 70, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "calendar", className: "layui-col-md3", name: "startTime", label: "开始时间:", value: startTime },
          { type: "calendar", className: "layui-col-md3", name: "endTime", label: "结束时间:", value: endTime },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择配送中心",
            readonly: false,
            table: branchTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "branchidList",
            label: "配送中心:",
            listener: function (Grid) {
              setMethod(Grid, branchTable, function () { });
            }
          },
          { type: "input", className: "layui-col-md3", name: "shipbillno", label: "运单号:" },
          { type: "input", className: "layui-col-md3", name: "refbillno", label: "业务单号:" },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择客户",
            readonly: false,
            table: customerTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "shiptoCustomerIdList",
            label: "客户:",
            listener: function (Grid) {
              setMethod(Grid, customerTable, function () { });
            }
          },
          {
            type: "block", className: "layui-col-md3 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "master_search", value: "查 询" },
              { type: "newcolumn" },
              { type: "button", name: "master_reset", value: "重 置" }
            ]
          },
          {
            type: "block", className: "layui-col-md3 right",
            list: [
              { type: "button", className: "btn-normal", name: "master_registration", value: "自提登记" }
            ]
          }
        ]
      }
    ],
    fixedLast: false, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: true, // 是否支持多选
    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/dispatch/pickUpRegisterQuery", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ startTime: startTime, endTime: endTime }), // 查询提交参数，分页参数默认为pageNum,pageSize
    page: true, // 是否启用分页
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  master_grid = new PlgGrid(master_grid_opts);
  master_grid.renderTo("selfRegistration");
  master_grid.loadData();
  master_grid.attachToolBarEvent("onButtonClick", function (name) {
    switch (name) {
      case "master_search":
        var request = master_grid.getToolBarForm().getFormData();
        request.startTime = request.startTime ? Prolog.formatDate(request.startTime) + " 00:00:00" : "";
        request.endTime = request.endTime ? Prolog.formatDate(request.endTime) + " 23:59:59" : "";
        if (request.startTime > request.endTime) {
          layer.msg("开始时间不能大于结束时间");
          return false;
        }
        request.branchid = request.branchidList ? JSON.parse(request.branchidList)[0] : "";
        request.shiptoCustomerId = request.shiptoCustomerIdList ? JSON.parse(request.shiptoCustomerIdList)[0] : "";
        dealNullQueryCondition(request);
        delete request.branchidList;
        delete request.shiptoCustomerIdList;
        master_grid.setParams(JSON.stringify(request));
        master_grid.reload();
        break;
      case "master_reset":
        master_grid.getToolBarForm().clear();
        master_grid.getToolBarForm().setText("branchidList", "");
        master_grid.getToolBarForm().setText("shiptoCustomerIdList", "");
        master_grid.getToolBarForm().setFormData({ startTime: startTime, endTime: endTime });
        break;
      case "master_registration":
        var ids = master_grid.getCheckedIds();
        if (!ids) {
          layer.msg("请选择数据");
          return false;
        }
        var total = 0;
        selectedData = [];
        ids.split(",").forEach(item => {
          const element = master_grid.getRowData(item);
          total += Number(element.sumcases);
          selectedData.push(element);
        });


        var formData = {
          billnum: selectedData.length,
          sumcasess: total
        };
        registrationDialog(formData);
        break;
    }
  });

  // 自提登记
  // window.selfRegistration_registration = function (rid, rdata) {
  //   registrationDialog();
  // };
  // 自提登记弹窗
  function registrationDialog(formData) {
    let dialogForm;
    PlgDialog.open({
      title: "自提登记",
      shadeClose: true,
      type: 1, // 设置为1，手动控制dialog的开关
      area: ["600px", "300px"],
      btn: ["自提登记", "取消"],
      content: "<div id =\"selfRegistration_dialog\"></div>", //iframe的url
      yes: function (index) {
        var feik = dialogForm.validate();
        if (!feik) {
          return;
        }
        pickUpRegisterConfirm(dialogForm.getFormData(), index);
      },
      btn2: function (index) {
        PlgDialog.close(index); // 如果设定了yes回调，需进行手工关闭
      },
      success: function () {
        // 当你需要在层创建完毕时即执行一些语句，可以通过该回调。success会携带两个参数，分别是当前层DOM当前层索引。如：
      }
    });
    let dialogForm_opts = {
      renderer: "selfRegistration_dialog",
      items: [
        { type: "settings", labelAlign: "left", labelWidth: 80 },
        {
          type: "row",
          list: [
            { type: "input", className: "layui-col-md6 no-border", name: "billnum", label: "订单数:", readonly: true },
            { type: "input", className: "layui-col-md6 no-border", name: "sumcasess", label: "总件数:", readonly: true },
            { type: "input", className: "layui-col-md6", name: "deliverycode", label: "交接凭证:", required: true },
            { type: "input", className: "layui-col-md6", name: "deliveryer", label: "交接人:", required: true },
            { type: "input", className: "layui-col-md12", name: "deliverymemo", label: "交接备注:" }
          ]
        }
      ]
    };
    dialogForm = new PlgForm(dialogForm_opts);
    dialogForm.setFormData(formData);
  }
  // 确认
  function pickUpRegisterConfirm(formData, index) {
    const { deliverycode, deliveryer, deliverymemo } = formData;
    const list = selectedData.map(item => {
      item.deliverycode = deliverycode;
      item.deliveryer = deliveryer;
      item.deliverymemo = deliverymemo;
      return item;
    });

    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    Prolog.ajax({
      url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/dispatch/pickUpRegisterConfirm", type: "post", contentType: "application/json", data: JSON.stringify(list),
      success: function (res) {
        PlgDialog.close(pload);
        if (res.success) {
          PlgDialog.close(index);
          PlgDialog.msg(res.message);
          master_grid.reload();
          return true;
        }
                return false;

      }, error: function () { PlgDialog.close(pload); return false; }
    });
  }
};