/**
   * guoj
   * 2020.10.19
   * 中转到货
   */
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';


export default () => {
  // 获取默认时间
  var sdate = Prolog.formatDate(new Date(), "%YY-%MM") + "-01 00:00:00";
  var edate = Prolog.formatDate(new Date()) + " 23:59:59";
  let ddfrom;
  let transitArrivalNumber, volist = []; // 判断是单个操作还是批量操作
  //跳转页面
  var carousel = layui.carousel;
  var car = carousel.render({
    elem: "#transitArrival_div",
    autoplay: false,
    index: 0,
    arrow: "none",
    indicator: "none",
    anim: "fade",
    width: "100%", //设置容器宽度
    height: "100%"
  });
  //跳转方法
  var tt = "transitArrival_zhu_div";

  function changePanel() {
    car.slide(tt);
    tt = tt == "transitArrival_xi1" ? "transitArrival_zhu_div" : "transitArrival_xi1";
  }
  var grid;
  //配送中心table
  var userTable = {
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "配送中心编号", type: "ro" },
      { id: "companyname", name: "配送中心名称", type: "ro" }
    ],
    multiselect: false,
    contentType: "application/json",
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch", //数据接口
    type: "post", //数据提交方式，默认为get
    pagebar: { type: "simple" },
    params: JSON.stringify({ "companytype": "S" }), //查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //承运商table
  var companynerTable = {
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "承运商编号", type: "ro" },
      { id: "companyname", name: "承运商名称", type: "ro" }
    ],
    multiselect: false,
    contentType: "application/json",
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyCarrier", //数据接口
    type: "post", //数据提交方式，默认为get
    pagebar: { type: "simple" },
    params: JSON.stringify({ "companytype": "Y" }), //查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //分页参数
  var opts = {
    //terrace显示全部，card分页显示
    skin: "card",
    //renderer:"grid",
    columns: [
      { id: "seqno", name: "id", type: "ro", width: "80", hidden: true },
      { id: "branchname", name: "配送中心", type: "ro", width: "100" },
      { id: "loadbillno", name: "装车单号", type: "ro", width: "100" },
      { id: "billdate", name: "单据时间", type: "ro", width: "130" },
      { id: "carriername", name: "承运商", type: "ro", width: "100" },
      { id: "voucherno", name: "车辆", type: "ro", width: "80" },
      { id: "driver1stname", name: "司机", type: "ro", width: "120" },
      { id: "consignee", name: "配送员", type: "ro", width: "120" },
      { id: "rsumgoodsweight", name: "总重量", type: "ro", width: "120" },
      { id: "rsumgoodsvol", name: "总体积", type: "ro", width: "130" },
      { id: "rsumcases", name: "总件数", type: "ro", width: "80" },
      { id: "customers", name: "客户数", type: "ro", width: "80" },
      { id: "memo", name: "备注", type: "ro", width: "80" },
      {
        id: "op", name: "操作", type: "button", align: "left", fixed: "right", width: "100", render: function () {
          return "中转到货^transitArrival_transit";
        }
      }
    ],
    beforeLoadData: function (res) {
      res.data.list.forEach((item, index) => {
        item.seqno = index + "";
      });
      return res;
    },
    multiselect: true,
    fixedLast: true,
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "calendar", name: "sdate", className: "layui-col-md3", label: "开始时间:", value: sdate },
          { type: "calendar", name: "edate", className: "layui-col-md3", label: "结束时间:", value: edate },
          { type: "input", name: "loadbillno", className: "layui-col-md3", label: "装车单号:" },
          {
            className: "layui-col-md3",
            type: "selectTable",
            placeholder: "请选择配送中心",
            readonly: false,
            table: userTable,
            tableWidth: 500,
            tableHeight: 400,
            fieldText: "companyname",
            fieldValue: "companycode",
            name: "branchid",
            label: "配送中心:"
          },
          {
            className: "layui-col-md3",
            type: "selectTable",
            placeholder: "请选择承运商",
            readonly: false,
            table: companynerTable,
            tableWidth: 500,
            tableHeight: 400,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "carrierid",
            label: "承运商:"
          },
          {
            type: "block", className: "layui-col-md3 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "querycarr", value: "查 询" },
              { type: "newcolumn" },
              { type: "button", name: "car_Reset", className: "normal", value: "重 置" }
            ]
          },
          {
            type: "block", className: "layui-col-md6 right",
            list: [
              { type: "button", className: "btn-addBtn btn-normal", name: "arrivalConfirmation_print", value: "中转到货" }
            ]
          }
        ]
      }],
    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/onTheWay/trainsArrivalQuery",//数据接口
    type: "post",//数据提交方式，默认为get
    contentType: "application/json",
    params: JSON.stringify({ sdate: sdate, edate: edate }),//查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //分页参数 pageSize pageNum
  grid = new PlgGrid(opts);
  grid.renderTo("transitArrival_zhu");
  grid.getToolBarForm().setFormData({ "systemId": "prolog-healthy-wms" });
  grid.loadData();
  //按钮添加方法
  grid.attachToolBarEvent("onButtonClick", function (name) {
    //查询
    if (name == "querycarr") {
      var jsonData = grid.getToolBarForm().getFormData();
      jsonData.sdate = jsonData.sdate ? Prolog.formatDate(jsonData.sdate) + " 00:00:00" : "";
      jsonData.edate = jsonData.edate ? Prolog.formatDate(jsonData.edate) + " 23:59:59" : "";
      if (jsonData.sdate > jsonData.edate) {
        layer.msg("开始时间不能大于结束时间");
        return false;
      }
      jsonData.branchid = jsonData.branchid ? JSON.parse(jsonData.branchid)[0] : "";
      jsonData.carrierid = jsonData.carrierid ? JSON.parse(jsonData.carrierid)[0] : "";
      grid.setParams(JSON.stringify(jsonData));
      grid.reload();
    }
    //重置
    if (name == "car_Reset") {
      grid.getToolBarForm().getDForm().setText("branchid", "");
      grid.getToolBarForm().getDForm().setText("carrierid", "");
      grid.getToolBarForm().clear();
      grid.getToolBarForm().setFormData({ sdate: sdate, edate: edate });
    }
    //中转到货
    if (name == "arrivalConfirmation_print") {
      let ids = grid.getCheckedIds();
      if (!ids) {
        layer.msg("请选择数据");
        return false;
      }
      volist = [];
      ids.split(",").forEach(item => {
        const element = grid.getRowData(item);
        volist.push(element);
      });
      transitArrivalNumber = volist.length;

      let formData = {
        customers: 0,
        ordernums: 0,
        rsumcases: 0,
        rsumgoodsvol: 0,
        rsumgoodsweight: 0
      };
      volist.forEach(item => {
        formData.customers = Prolog.floatOper(formData.customers, item.customers, "+");
        formData.ordernums = Prolog.floatOper(formData.ordernums, item.ordernums, "+");
        formData.rsumcases = Prolog.floatOper(formData.rsumcases, item.rsumcases, "+");
        formData.rsumgoodsvol = Prolog.floatOper(formData.rsumgoodsvol, item.rsumgoodsvol, "+");
        formData.rsumgoodsweight = Prolog.floatOper(formData.rsumgoodsweight, item.rsumgoodsweight, "+");
      });
      if (transitArrivalNumber === 1) {
        formData = Object.assign({}, volist[0], formData);
      }

      formInit(formData);
    }
  });
  window.transitArrival_transit = function (rid) {
    transitArrivalNumber = 1;
    let rdata = grid.getRowData(rid);
    volist = [rdata];
    formInit(rdata);
  };
  // 注册表单
  function formInit(formData) {
    if (transitArrivalNumber === 1) {
      ddfrom = new PlgForm({
        renderer: "transitArrival_xi",
        items: [
          { type: "settings", labelWidth: 90, labelAlign: "right" },
          {
            type: "row",
            list: [
              { type: "input", name: "loadbillno", label: "装车单号 :", className: "layui-col-md3", disabled: true, required: true },
              { type: "input", name: "carriername", label: "承运商 :", className: "layui-col-md3", disabled: true, required: true },
              { type: "input", name: "billdate", label: "单据时间 :", className: "layui-col-md3", disabled: true, required: true },
              { type: "input", name: "driver1stname", label: "司机 :", className: "layui-col-md3", disabled: true, required: true }
            ]
          },
          {
            type: "row",
            list: [
              { type: "input", name: "voucherno", label: "车辆 :", className: "layui-col-md3", disabled: true, required: true },
              { type: "input", name: "consignee", label: "配送员 :", className: "layui-col-md3", disabled: true },
              { type: "input", name: "customers", label: "客户数 :", className: "layui-col-md3", disabled: true, required: true },
              { type: "input", name: "ordernums", label: "订单数 :", className: "layui-col-md3", disabled: true, required: true }
            ]
          },
          {
            type: "row",
            list: [
              { type: "input", name: "rsumcases", label: "总件数 :", className: "layui-col-md3", disabled: true, required: true },
              {
                className: "layui-col-md3",
                type: "selectTable",
                placeholder: "请选择目的站点",
                readonly: false,
                table: userTable,
                tableWidth: 500,
                tableHeight: 400,
                fieldText: "companyname",
                fieldValue: "companycode",
                name: "shipcrossbyList",
                label: "目的站点:<span class='dhxform_item_required'>*</span>",
                listener: function (consignorGrid) {
                  setMethod(consignorGrid, userTable, function () { });
                }
              },
              { type: "input", name: "singer", label: "交接人:", className: "layui-col-md3", required: true },
              { type: "hidden", name: "signqty", label: "交接单数:", placeholder: "请输入数字", validate: "ValidNumeric", maxLength: 8, className: "layui-col-md3" },
              { type: "hidden", name: "rsumcasesjj", label: "交接件数:", placeholder: "请输入数字", validate: "ValidNumeric", maxLength: 8, className: "layui-col-md3" },
              { type: "hidden", name: "customerNum", label: "交接客户数:", placeholder: "请输入数字", validate: "ValidNumeric", maxLength: 8, className: "layui-col-md3" },
              { type: "input", name: "singRemark", label: "交接备注:", className: "layui-col-md3" }
            ]
          }]
      });
    }
    else {
      ddfrom = new PlgForm({
        renderer: "transitArrival_xi",
        items: [
          { type: "settings", labelWidth: 90, labelAlign: "right" },
          {
            type: "row",
            list: [
              { type: "input", name: "customers", label: "客户数 :", className: "layui-col-md3", disabled: true, required: true },
              { type: "input", name: "ordernums", label: "订单数 :", className: "layui-col-md3", disabled: true, required: true }
            ]
          },
          {
            type: "row",
            list: [
              { type: "input", name: "rsumcases", label: "总件数 :", className: "layui-col-md3", disabled: true, required: true },
              {
                className: "layui-col-md3",
                type: "selectTable",
                placeholder: "请选择目的站点",
                readonly: false,
                table: userTable,
                tableWidth: 500,
                tableHeight: 400,
                fieldText: "companyname",
                fieldValue: "companycode",
                name: "shipcrossbyList",
                label: "目的站点:<span class='dhxform_item_required'>*</span>",
                listener: function (consignorGrid) {
                  setMethod(consignorGrid, userTable, function () { });
                }
              },
              { type: "input", name: "singer", label: "交接人:", className: "layui-col-md3", required: true },
              { type: "hidden", name: "signqty", label: "交接单数:", placeholder: "请输入数字", validate: "ValidNumeric", maxLength: 8, className: "layui-col-md3" },
              { type: "hidden", name: "rsumcasesjj", label: "交接件数:", placeholder: "请输入数字", validate: "ValidNumeric", maxLength: 8, className: "layui-col-md3" },
              { type: "hidden", name: "customerNum", label: "交接客户数:", placeholder: "请输入数字", validate: "ValidNumeric", maxLength: 8, className: "layui-col-md3" },
              { type: "input", name: "singRemark", label: "交接备注:", className: "layui-col-md3" }
            ]
          }]
      });
    }
    formData.signqty = formData.ordernums;
    formData.rsumcasesjj = formData.rsumcases;
    formData.customerNum = formData.customers;
    ddfrom.setFormData(formData);
    changePanel();
  }

  //返回
  document.querySelector("#transitArrival_back1").onclick = function () {
    changePanel();
  };
  //确认
  document.querySelector("#transitArrival_save").onclick = function () {
    //信息比对
    let url = UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/onTheWay/trainsArrivalConfirm";
    let datai = ddfrom.getFormData();
    var feik = ddfrom.validate();
    if (!feik) {
      return;
    }
    datai.shipcrossby = datai.shipcrossbyList ? JSON.parse(datai.shipcrossbyList)[0] : "";
    let list = volist.map(item => {
      item.shipcrossby = datai.shipcrossby;
      item.singer = datai.singer;
      item.singRemark = datai.singRemark;
      return item;
    });
    //调用ajax方法
    utilAjaxGJ(url, "post", JSON.stringify(list), function (data) {
      if (data.success) {
        changePanel();
        grid.reload();
      }
    }, "application/json");
  };
};