/*
 * SMY
 * 2020.09.22
 * 运单查询
 * */
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';


export default () => {
  var master_grid = null;
  var waybillInquiry_view_grid = null;
  // 获取默认时间
  var startTime = Prolog.formatDate(new Date(), "%YY-%MM") + "-01 00:00:00";
  var endTime = Prolog.formatDate(new Date()) + " 23:59:59";
  var param_obj = {
    pageNum: 1,
    pageSize: 20,
    startTime: startTime,
    endTime: endTime
  };

  // 获取下拉框
  var dataSelect;
  getSelectGJ([
    { "objectcode": "TMS_SHIP_BILLTYPE" },
    { "objectcode": "URG_FLG" },
    { "objectcode": "TMS_SHIP_BILLSTATUS" },
    { "objectcode": "TMS_REF_BILLTYPE" }
  ], function (data) {
    dataSelect = data.data;
    dataSelect.TMS_SHIP_BILLTYPE.unshift({ "value": "", "text": "" });
    dataSelect.URG_FLG.unshift({ "value": "", "text": "" });
  });

  // 跳转页面
  var carousel = layui.carousel;
  carousel.render({
    elem: "#waybillInquiry",
    autoplay: false,
    index: 0,
    arrow: "none",
    indicator: "none",
    anim: "fade",
    width: "100%", // 设置容器宽度
    height: "100%"
  });
  // 切换页面
  function changePanel(name) {
    var slideList = ["#waybillInquiry_main", "#waybillInquiry_view", "#waybillInquiry_timeline"];
    for (var i = 0; i < slideList.length; i++) {
      if (slideList[i] == name) {
        $(name).css("display", "block");
      }
      else {
        $(slideList[i]).css("display", "none");
      }
    }
  }
  // 返回
  $(document).on("click", "#waybillInquiry_view_return", function () {
    changePanel("#waybillInquiry_main");
  });
  $(document).on("click", "#waybillInquiry_timeline_return", function () {
    changePanel("#waybillInquiry_main");
  });

  // 货主table
  var consignorTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [{
      id: "companyid",
      name: "id",
      type: "ro",
      width: "130",
      hidden: true
    },
    {
      id: "companycode",
      name: "货主编号",
      type: "ro"
    },
    {
      id: "companyname",
      name: "货主名称",
      type: "ro"
    }
    ],
    multiselect: false,
    toolbar: [{
      type: "settings",
      position: "label-left",
      width: 200,
      labelWidth: 70
    },
    {
      type: "block",
      id: "bk",
      blockOffset: 0,
      list: [{
        type: "input",
        name: "companycode",
        label: "货主编码:",
        width: 120
      },
      {
        type: "newcolumn"
      },
      {
        type: "button",
        name: "querycarr",
        value: "查询"
      },
      {
        type: "newcolumn"
      },
      {
        type: "button",
        name: "car_Reset",
        value: "重置"
      }
      ]
    }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyConsignor",
    pagebar: {
      type: "simple"
    },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({
      companytype: "H"
    }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };

  // 配送中心table
  var branchTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [{
      id: "companyid",
      name: "id",
      type: "ro",
      width: "130",
      hidden: true
    },
    {
      id: "companycode",
      name: "配送中心编号",
      type: "ro"
    },
    {
      id: "companyname",
      name: "配送中心名称",
      type: "ro"
    }
    ],
    multiselect: false,
    toolbar: [{
      type: "settings",
      position: "label-left",
      width: 200,
      labelWidth: 100
    },
    {
      type: "block",
      id: "bk",
      blockOffset: 0,
      list: [{
        type: "input",
        name: "companycode",
        label: "配送中心编号:",
        width: 120
      },
      {
        type: "newcolumn"
      },
      {
        type: "button",
        name: "querycarr",
        value: "查询"
      },
      {
        type: "newcolumn"
      },
      {
        type: "button",
        name: "car_Reset",
        value: "重置"
      }
      ]
    }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch",
    pagebar: {
      type: "simple"
    },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({
      companytype: "S"
    }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };

  // 客户table
  var customerTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [{
      id: "companyid",
      name: "id",
      type: "ro",
      width: "130",
      hidden: true
    },
    {
      id: "companycode",
      name: "客户编号",
      type: "ro"
    },
    {
      id: "companyname",
      name: "客户名称",
      type: "ro"
    }
    ],
    multiselect: false,
    toolbar: [{
      type: "settings",
      position: "label-left",
      width: 200,
      labelWidth: 110
    },
    {
      type: "block",
      id: "bk",
      blockOffset: 0,
      list: [{
        type: "input",
        name: "companycode",
        label: "客户编号:",
        width: 120
      },
      {
        type: "newcolumn"
      },
      {
        type: "button",
        name: "querycarr",
        value: "查询"
      },
      {
        type: "newcolumn"
      },
      {
        type: "button",
        name: "car_Reset",
        value: "重置"
      }
      ]
    }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyCustomer",
    pagebar: {
      type: "simple"
    },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({
      companytype: "C"
    }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };


  // 主页grid
  var master_grid_opts = {
    skin: "card",
    columns: [{
      id: "shipbillno",
      name: "id",
      type: "ro",
      width: "130",
      hidden: true
    },
    {
      id: "branchname",
      name: "配送中心",
      type: "ro",
      width: 120
    },
    {
      id: "shipbillno",
      name: "运单号",
      type: "ro",
      width: 120
    },
    {
      id: "consignorname",
      name: "货主",
      type: "ro",
      width: 120
    },
    {
      id: "billtype",
      name: "运单类型",
      type: "ro",
      width: 120,
      render: function (v) {
        return getSelectValue(dataSelect.TMS_SHIP_BILLTYPE, v);
      }
    },
    {
      id: "status",
      name: "状态",
      type: "ro",
      width: 120,
      render: function (v) {
        return getSelectValue(dataSelect.TMS_SHIP_BILLSTATUS, v);
      }
    },
    {
      id: "linenane",
      name: "线路名称",
      type: "ro",
      width: 120
    },
    {
      id: "billdate",
      name: "单据日期",
      type: "ro",
      width: 120
    },
    {
      id: "urgentIdentify",
      name: "是否急单",
      type: "ro",
      width: 120,
      render: function (v) {
        return getSelectValue(dataSelect.URG_FLG, v);
      }
    },
    {
      id: "refbillno",
      name: "业务单号",
      type: "ro",
      width: 120
    },
    {
      id: "refbilltype",
      name: "业务类型",
      type: "ro",
      width: 120,
      render: function (v) {
        return getSelectValue(dataSelect.TMS_REF_BILLTYPE, v);
      }
    },
    {
      id: "arriverName",
      name: "客户名称",
      type: "ro",
      width: 120
    },
    {
      id: "arriveAddress",
      name: "客户地址",
      type: "ro",
      width: 120
    },
    {
      id: "rsumcases",
      name: "件数",
      type: "ro",
      width: 80
    },
    {
      id: "rsumgoodsweight",
      name: "重量",
      type: "ro",
      width: 80
    },
    {
      id: "rsumgoodsvol",
      name: "体积",
      type: "ro",
      width: 80
    },
    {
      id: "memo",
      name: "备注",
      type: "ro",
      width: 120
    },
    {
      id: "op",
      name: "操作",
      type: "button",
      align: "left",
      width: 80,
      fixed: "right",
      render: function () {
        return "详情^waybillInquiry_view,操作记录^waybillInquiry_timeline";
      }
    }
    ],
    toolbar: [{
      type: "settings",
      labelWidth: 90,
      labelAlign: "right"
    },
    {
      type: "row",
      list: [{
        type: "calendar",
        className: "layui-col-md3",
        name: "startTime",
        label: "开始时间:",
        value: startTime, readonly: true
      },
      {
        type: "calendar",
        className: "layui-col-md3",
        name: "endTime",
        label: "结束时间:",
        value: endTime, readonly: true
      },
      {
        type: "selectTable",
        className: "layui-col-md3",
        placeholder: "请选择配送中心",
        readonly: false,
        table: branchTable,
        tableWidth: 600,
        tableHeight: 500,
        fieldText: "companyname",
        fieldValue: "companyid",
        name: "branchList",
        label: "配送中心:",
        listener: {
          "init": function (sgrid) {
            //初始化回调
            sgrid.attachToolBarEvent("onButtonClick", function (name) {
              if (name === "querycarr") {
                var p_companycode = sgrid.getToolBarForm().getFormData().companycode;
                var params;
                if (p_companycode) {
                  params = JSON.stringify({ "companycode": p_companycode, "companytype": "S", "pageNum": 1, "pageSize": 20 });
                }
                else {
                  params = JSON.stringify({ "companycode": "", "companytype": "S", "pageNum": 1, "pageSize": 20 });
                }

                sgrid.setParams(params);
                sgrid.reload();
              }
              else if (name == "car_Reset") {
                sgrid.getToolBarForm().clear();
              }
            });
          },
          "afterClose": function (text, value, sgrid) {
            //关闭回调

            if (value == "" || value == []) return;
            let datad = {};
            let arr = JSON.parse(value);
            if (arr.length) {
              datad.branchid = arr[0].value;
            }
            else {
              datad.branchid = "";
            }
            master_grid.getToolBarForm().setFormData(datad);

          },
          "afterSelect": function (status, selectId, sgrid) {
            //选中回调

          }
        }
      },
      {
        type: "selectTable",
        className: "layui-col-md3",
        placeholder: "请选择货主",
        readonly: false,
        table: consignorTable,
        tableWidth: 600,
        tableHeight: 500,
        fieldText: "companyname",
        fieldValue: "companyid",
        name: "consignorList",
        label: "货主:",
        listener: {
          "init": function (sgrid) {
            //初始化回调
            sgrid.attachToolBarEvent("onButtonClick", function (name) {
              if (name === "querycarr") {
                var p_companycode = sgrid.getToolBarForm().getFormData().companycode;
                var params;
                if (p_companycode) {
                  params = JSON.stringify({ "companycode": p_companycode, "companytype": "H", "pageNum": 1, "pageSize": 20 });
                }
                else {
                  params = JSON.stringify({ "companycode": "", "companytype": "H", "pageNum": 1, "pageSize": 20 });
                }

                sgrid.setParams(params);
                sgrid.reload();
              }
              else if (name == "car_Reset") {
                sgrid.getToolBarForm().clear();
              }
            });
          },
          "afterClose": function (text, value, sgrid) {
            //关闭回调
            if (value == "" || value == []) return;
            let datad = {};
            let arr = JSON.parse(value);
            if (arr.length) {
              datad.consignor = arr[0].value;
            }
            else {
              datad.consignor = "";
            }
            master_grid.getToolBarForm().setFormData(datad);
          },
          "afterSelect": function (status, selectId, sgrid) {
            //选中回调
          }
        }
      },
      {
        type: "input",
        className: "layui-col-md3",
        name: "refbillno",
        label: "业务单号:"
      },
      {
        type: "selectTable",
        className: "layui-col-md3",
        placeholder: "请选择客户",
        readonly: false,
        table: customerTable,
        tableWidth: 600,
        tableHeight: 500,
        fieldText: "companyname",
        fieldValue: "companyid",
        name: "customerIdList",
        label: "客户:",
        listener: {
          "init": function (sgrid) {
            //初始化回调
            sgrid.attachToolBarEvent("onButtonClick", function (name) {
              if (name === "querycarr") {
                var p_companycode = sgrid.getToolBarForm().getFormData().companycode;
                var params;
                if (p_companycode) {
                  params = JSON.stringify({ "companycode": p_companycode, "companytype": "C", "pageNum": 1, "pageSize": 20 });
                }
                else {
                  params = JSON.stringify({ "companycode": "", "companytype": "C", "pageNum": 1, "pageSize": 20 });
                }

                sgrid.setParams(params);
                sgrid.reload();
              }
              else if (name == "car_Reset") {
                sgrid.getToolBarForm().clear();
              }
            });
          },
          "afterClose": function (text, value, sgrid) {
            //关闭回调

            if (value == "" || value == []) return;
            let datad = {};
            let arr = JSON.parse(value);
            if (arr.length) {
              datad.arriverId = arr[0].value;
            }
            else {
              datad.arriverId = "";
            }
            master_grid.getToolBarForm().setFormData(datad);
          },
          "afterSelect": function (status, selectId, sgrid) {
            //选中回调
          }
        }
      },
      {
        type: "input",
        className: "layui-col-md3",
        name: "shipbillno",
        label: "运单号:"
      },

      {
        type: "block",
        className: "layui-col-md6",
        list: [{
          type: "button",
          className: "btn-normal",
          name: "master_search",
          value: "查询"
        },
        {
          type: "newcolumn"
        },
        {
          type: "button",
          name: "master_reset",
          value: "重置"
        },
        {
          type: "newcolumn"
        },
        {
          type: "button",
          name: "master_export",
          value: "<i class='layui-icon layui-icon-download-circle'></i>导出"
        }
        ]
      }
      ]
    }
    ],
    fixedLast: true, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: false, // 是否支持多选
    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/dispatch/shipbillQuery", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify(param_obj), // 查询提交参数，分页参数默认为pageNum,pageSize
    page: true, // 是否启用分页
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  master_grid = new PlgGrid(master_grid_opts);
  master_grid.renderTo("waybillInquiry_master");
  master_grid.loadData();
  master_grid.attachToolBarEvent("onButtonClick", function (name) {
    switch (name) {
      case "master_search":
        var request = master_grid.getToolBarForm().getFormData();
        request.startTime = request.startTime == null ? "" : request.startTime.format("yyyy-MM-dd hh:mm:ss");
        request.endTime = request.endTime == null ? "" : request.endTime.format("yyyy-MM-dd") + " 23:59:59";
        if (request.startTime > request.endTime) {
          layer.msg("开始时间不能大于结束时间");
          return false;
        }
        if (request.consignorList && request.consignorList != []) {
          request.consignor = JSON.parse(request.consignorList)[0];
        }
        if (request.branchList && request.branchList != []) {
          request.branchid = JSON.parse(request.branchList)[0];
        }
        if (request.customerIdList && request.customerIdList != []) {
          request.arriverId = JSON.parse(request.customerIdList)[0];
        }
        delete request.branchList;
        delete request.consignorList;
        delete request.customerIdList;
        master_grid.setParams(JSON.stringify(request));
        master_grid.reload();
        break;
      case "master_reset":
        master_grid.getToolBarForm().clear();
        master_grid.getToolBarForm().setText("branchList", "");
        master_grid.getToolBarForm().setText("consignorList", "");
        master_grid.getToolBarForm().setText("customerIdList", "");
        master_grid.getToolBarForm().setFormData({ startTime: startTime, endTime: endTime });
        break;
      case "master_export":
        unfilledWorktime_export();
        break;
    }
  });
  //主界面导出事件
  function unfilledWorktime_export() {
    let url = UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/dispatch/shipbillQueryExport";
    let name = "运单查询" + Prolog.formatDate(new Date(), "%YY%MM%DD") + ".xls";
    let request = master_grid.getToolBarForm().getFormData();
    request.startTime = request.startTime == null ? "" : request.startTime.format("yyyy-MM-dd hh:mm:ss");
    request.endTime = request.endTime == null ? "" : request.endTime.format("yyyy-MM-dd") + " 23:59:59";
    if (request.consignorList && request.consignorList != []) {
      request.consignor = JSON.parse(request.consignorList)[0];
    }
    if (request.branchList && request.branchList != []) {
      request.branchid = JSON.parse(request.branchList)[0];
    }
    if (request.customerIdList && request.customerIdList != []) {
      request.arriverId = JSON.parse(request.customerIdList)[0];
    }
    delete request.branchList;
    delete request.consignorList;
    delete request.customerIdList;
    Prolog.exportFile(url, name, "application/json", "POST", request);
  }

  var selectedShipbillno;
  // 详情页
  window.waybillInquiry_view = function (rid, rdata) {
    rdata.a = 1;
    selectedShipbillno = rdata.shipbillno;
    changePanel("#waybillInquiry_view");
    var fdata = { "shipbillno": selectedShipbillno };
    waybillInquiry_view_grid.setParams(JSON.stringify(fdata));
    waybillInquiry_view_grid.reload();
  };
  // 详情页grid
  var waybillInquiry_view_grid_opts = {
    skin: "card",
    columns: [{
      id: "lineid",
      name: "id",
      type: "ro",
      width: "130",
      hidden: true
    },
    {
      id: "seqno",
      name: "序号",
      type: "ro"
    },
    {
      id: "itemno",
      name: "商品编码",
      type: "ro"
    },
    {
      id: "itemname",
      name: "商品名称",
      type: "ro"
    },
    {
      id: "pcs",
      name: "件数",
      type: "ro"
    },
    {
      id: "odd",
      name: "零数",
      type: "ro"
    },
    {
      id: "qty",
      name: "总数量",
      type: "ro"
    },
    {
      id: "weight",
      name: "重量",
      type: "ed"
    },
    {
      id: "vol",
      name: "体积",
      type: "ed"
    },
    {
      id: "refbilllineid",
      name: "来源单据行号",
      type: "ro"
    },
    {
      id: "lotno",
      name: "批号",
      type: "ro"
    },
    {
      id: "yielddate",
      name: "生产日期",
      type: "ro"
    },
    {
      id: "expdate",
      name: "有效期至",
      type: "ro"
    },
    {
      id: "remark",
      name: "备注",
      type: "ro"
    }
    ],
    toolbar: [{
      type: "settings",
      labelWidth: 90,
      labelAlign: "right"
    },
    {
      type: "row",
      list: [{
        type: "input",
        className: "layui-col-md3",
        name: "itemcode",
        label: "商品编号:"
      },
      {
        type: "input",
        className: "layui-col-md3",
        name: "itemname",
        label: "商品名称:"
      },
      {
        type: "block",
        className: "layui-col-md6",
        list: [{
          type: "button",
          className: "btn-normal",
          name: "master_search",
          value: "查询"
        },
        {
          type: "newcolumn"
        },
        {
          type: "button",
          name: "master_reset",
          value: "重置"
        }
        ]
      }
      ]
    }
    ],
    fixedLast: false, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: false, // 是否支持多选
    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/dispatch/shipbillDetailQuery", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: "", // 查询提交参数，分页参数默认为pageNum,pageSize
    page: true, // 是否启用分页
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  waybillInquiry_view_grid = new PlgGrid(waybillInquiry_view_grid_opts);
  waybillInquiry_view_grid.renderTo("waybillInquiry_view_grid");
  waybillInquiry_view_grid.attachToolBarEvent("onButtonClick", function (name) {
    switch (name) {
      case "master_search":
        var request = waybillInquiry_view_grid.getToolBarForm().getFormData();
        request.shipbillno = selectedShipbillno;
        dealNullQueryCondition(request);
        waybillInquiry_view_grid.setParams(JSON.stringify(request));
        waybillInquiry_view_grid.reload();
        break;
      case "master_reset":
        waybillInquiry_view_grid.getToolBarForm().clear();
        break;
    }
  });

  // 运输流程
  window.waybillInquiry_timeline = function (rid, rdata) {
    rdata.a = 1;
    let obj = {
      branchid: rdata.branchid,
      shipbillid: rdata.shipbillid
      // pageNum: 1,
      // pageSize: 20
    };
    Prolog.ajax({
      url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/dispatch/shipbillRecordQuery",
      type: "POST",
      contentType: "application/json",
      data: JSON.stringify(obj),
      success: function (res) {
        //成功回调
        if (res.success) {
          let _html = "";
          for (let i = 0; i < res.data.length; i++) {
            let sty1 = "";
            let sty2 = "layui-icon-up";
            if (i === 0) {
              sty1 = "completion-status";
              sty2 = "layui-icon-ok";
            }
            else if (i === res.data.length - 1) {
              sty2 = "layui-icon-circle-dot";
            }
            _html += "            <li class=\"layui-timeline-item d-f ai-c " + sty1 + " \"> ";
            _html += "              <div class=\"layui-timeline-item-leftBox layui-text ta-c\"> ";
            _html += "                  <p>" + res.data[i].eventtime + "</p> ";
            _html += "              </div> ";
            _html += "              <i class=\"layui-icon layui-timeline-axis " + sty2 + " \"></i> ";
            _html += "              <div class=\"layui-timeline-content layui-text \"> ";
            _html += "                  <p> ";
            _html += "                      " + res.data[i].eventremark + " <span style=\"margin-left:20px;\">操作员:" + res.data[i].operatorname + "</span> ";
            _html += "                  </p> ";
            _html += "              </div> ";
            _html += "            </li>";
          }
          $("#waybillInquiry_timeline_main").html(_html);
        }
        else {
          layer.msg("数据加载失败!");
        }

      },
      error: function (XMLHttpRequest, textStatus, errorThrown) {
        errorThrown.a = 1;
        //失败回调
      }
    });


    changePanel("#waybillInquiry_timeline");
  };


};