/**
 * guoj
 * 2020.12.10
 * 异常率报表
 */
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';


export default () => {
  //获取下拉框
  var data_select;
  getSelectGJ([{ "objectcode": "TMS_ABNORMAL_TYPE" }], function (data) {
    data_select = data.data;
  });
  // 获取默认时间
  var sdate = ship_FormatDate(new Date());
  var edate = FormatDate(new Date());
  let gridBottom;
  var grid;
  //配送中心table
  var userTable = {
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "配送中心编号", type: "ro" },
      { id: "companyname", name: "配送中心名称", type: "ro" }
    ],
    multiselect: false,
    pagebar: { type: "simple" },
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch", //数据接口
    type: "post", //数据提交方式，默认为get
    contentType: "application/json",
    params: JSON.stringify({ "companytype": "S" }), //查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  var opts = {
    //terrace显示全部，card分页显示
    skin: "card",
    //renderer:"grid",
    columns: [
      { id: "INDEX", name: "id", type: "ro", hidden: true },
      { id: "branchname", name: "配送中心", type: "ro" },
      { id: "voucherno", name: "关联车牌", type: "ro" },
      { id: "billdate", name: "单据日期", type: "ro" },
      { id: "orderNums", name: "运单数", type: "ro" },
      { id: "abnormalOrderNums", name: "异常运单数", type: "ro" },
      { id: "abnormalRate", name: "异常率(%)", type: "ro" }
    ],
    beforeLoadData: function (res) {
      res.data.list.forEach((item, index) => {
        item.INDEX = index + "";
      });
      return res;
    },
    multiselect: true,
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "calendar", className: "layui-col-md3", name: "sdate", label: "单据开始时间:", value: sdate, readonly: true },
          { type: "calendar", className: "layui-col-md3", name: "edate", label: "单据结束时间:", value: edate, readonly: true },
          {
            className: "layui-col-md3",
            type: "selectTable",
            placeholder: "请选择配送中心",
            readonly: false,
            table: userTable,
            tableWidth: 500,
            tableHeight: 400,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "branchid",
            label: "配送中心:"
          },
          { type: "input", name: "voucherno", label: "关联车牌:", className: "layui-col-md3" },
          {
            type: "block", className: "layui-col-md6 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "querywork", value: "查询" },
              { type: "newcolumn" },
              { type: "button", name: "work_Reset", className: "normal", value: "重置" }
            ]
          },
          {
            type: "block", className: "layui-col-md6 right",
            list: [
              { type: "button", name: "export", className: "btn-normal", value: "导出" }
            ]
          }
        ]
      }],
    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/abnormalRateReport/queryAbnormalRateReport",//数据接口
    type: "post",//数据提交方式，默认为get
    contentType: "application/json",
    params: JSON.stringify({ sdate, edate }),//查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //分页参数 pageSize pageNum
  grid = new PlgGrid(opts);
  grid.renderTo("abnormalRate_guojzhuans2");
  grid.loadData();

  //单击事件
  grid.on("onRowSelect", function (id) {
    let item = grid.getRowData(id);
    gridBottom.setParams(JSON.stringify({ "voucherno": item.voucherno, "billdate": item.billdate, "branchid": item.branchid }));
    gridBottom.reload();
  });
  //按钮添加方法
  grid.attachToolBarEvent("onButtonClick", function (name) {
    var fdata = grid.getToolBarForm().getFormData();
    fdata.sdate = FormatDate(fdata.sdate);
    fdata.edate = FormatDate(fdata.edate);
    fdata.branchid = fdata.branchid ? JSON.parse(fdata.branchid)[0] : "";
    //查询
    if (name == "querywork") {
      grid.setParams(JSON.stringify(fdata));
      grid.reload();
      gridBottom.clearAll();
    }
    //重置
    if (name == "work_Reset") {
      grid.getToolBarForm().getDForm().setText("branchid", "");
      grid.getToolBarForm().clear();
      grid.getToolBarForm().setFormData({ sdate: sdate, edate: edate });
    }
    //导出
    if (name == "export") {
      if (grid.getRowsNum() <= 0) {
        PlgDialog.msg("没有要导出的数据");
        return;
      }
      let url = UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/abnormalRateReport/exportAbnormalRateReport";
      let name = "异常率" + FormatDateTime(new Date()) + ".xls";
      let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
      Prolog.exportFile(url, name, "application/json", "post", fdata);
      PlgDialog.close(pload);
    }

  });

  var optsBottom = {
    //terrace显示全部，card分页显示
    skin: "card",
    //renderer:"grid",
    columns: [
      { id: "seqno", name: "id", type: "ro", hidden: true },
      { id: "branchname", name: "配送中心", type: "ro" },
      { id: "seqno", name: "异常编号", type: "ro" },
      {
        id: "abnormalType", name: "异常类型", type: "ro", render: (v) => {
          return getSelectValue(data_select.TMS_ABNORMAL_TYPE, v);
        }
      },
      { id: "relationBillno", name: "关联单号", type: "ro" },
      { id: "relationVoucherno", name: "关联车牌", type: "ro" },
      { id: "abnormalDescription", name: "异常原因", type: "ro" },
      { id: "createperson", name: "异常上报人", type: "ro" },
      { id: "createtime", name: "异常上报时间", type: "ro" },
      { id: "abnormalLocation", name: "异常上报地点", type: "ro" },
      { id: "memo", name: "备注", type: "ro" }
    ],
    multiselect: false,
    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/abnormalRateReport/queryDetails",//数据接口
    type: "post",//数据提交方式，默认为get
    contentType: "application/json",
    params: "{}",//查询提交参数，分页参数默认为pageNum,pageSize
    page: false, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //分页参数 pageSize pageNum
  gridBottom = new PlgGrid(optsBottom);
  gridBottom.renderTo("abnormalRate_guojzhuans2CP");
};
