/***
 * jiw
 * 2020-08-22
 * 承运商预约调整统计
 ***/
 import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
 import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';

export default () => {
  var grid;

  //配送中心table
  var org_Table = {
    columns: [
      { id: "companyid", name: "id", type: "ro", width: 100, hidden: true },
      { id: "companycode", name: "编号", type: "ro" },
      { id: "companyname", name: "名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 300, labelWidth: 70 },
      { type: "input", name: "companycode", label: "查询条件:", placeholder: "请输入编号", width: 190 },
      { type: "newcolumn" },
      { type: "button", name: "btn_search", value: "查询" }, { type: "newcolumn" },
      { type: "button", name: "btn_reset", className: " normal", value: "重置" }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch",
    type: "post",
    contentType: "application/json",
    pagebar: { type: "simple" },
    params: JSON.stringify({ "companytype": "S" }),
    page: true,
    totalCount: "totalCount"
  };

  //承运商table
  var company_Table = {
    columns: [
      { id: "companyid", name: "id", type: "ro", width: 100, hidden: true },
      { id: "companycode", name: "编号", type: "ro" },
      { id: "companyname", name: "名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 300, labelWidth: 70 },
      { type: "input", name: "param", label: "查询条件:", placeholder: "请输入编号/名称", width: 190 },
      { type: "newcolumn" },
      { type: "button", name: "btn_search", value: "查询" }, { type: "newcolumn" },
      { type: "button", name: "btn_reset", className: " normal", value: "重置" }

    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyCarrier",
    type: "post",
    contentType: "application/json",
    pagebar: { type: "simple" },
    params: JSON.stringify({ "companytype": "Y" }),
    page: true,
    totalCount: "totalCount"
  };

  var opts = {
    skin: "card",
    columns: [
      { name: "id", id: "id", type: "ro", hidden: true },
      { name: "承运商编号", id: "customercode", type: "ro" },
      { name: "承运商名称", id: "customername", type: "ro" },
      { name: "配送中心", id: "branchname", type: "ro" },
      { name: "开始日期", id: "startDate", type: "ro" },
      { name: "结束日期", id: "endDate", type: "ro" },
      { name: "预约单数", id: "billNumber", type: "ro" },
      { name: "取消预约单数", id: "deleteNumber", type: "ro" },
      { name: "有效预约单数", id: "realNumber", type: "ro" },
      { name: "预约单修改次数", id: "updateNumber", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "calendar", name: "startDate", className: "layui-col-md3", label: "开始时间:", labelWidth: 60, value: Prolog.formatDate(new Date()) },
          { type: "calendar", name: "endDate", className: "layui-col-md3", label: "结束时间:", value: Prolog.formatDate(new Date()) },
          {
            className: "layui-col-md3",
            type: "selectTable",
            placeholder: "请选择配送中心",
            readonly: false,
            table: org_Table,
            tableWidth: 500,
            tableHeight: 400,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "branchid",
            label: "配送中心:",
            listener: {
              "init": function (sgrid) {
                sgrid.attachToolBarEvent("onButtonClick", function (name) {
                  if (name === "btn_search") {
                    var p = sgrid.getToolBarForm().getFormData();
                    p.companytype = "S";
                    sgrid.setParams(JSON.stringify(p));
                    sgrid.reload();
                  }
                });
              }
            }
          },
          {
            className: "layui-col-md3",
            type: "selectTable",
            placeholder: "请选择承运商",
            readonly: false,
            table: company_Table,
            tableWidth: 500,
            tableHeight: 400,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "carrierid",
            label: "承运商:",
            listener: {
              "init": function (sgrid) {
                sgrid.attachToolBarEvent("onButtonClick", function (name) {
                  if (name === "btn_search") {
                    var p = sgrid.getToolBarForm().getFormData();
                    p.companytype = "Y";
                    sgrid.setParams(JSON.stringify(p));
                    sgrid.reload();
                  }
                });
              }
            }
          },
          {
            type: "block", className: "layui-col-md6 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "btn_search", value: "查 询" },
              { type: "newcolumn" },
              { type: "button", name: "btn_reset", className: "normal", value: "重 置" }
            ]
          },
          {
            type: "block", className: "layui-col-md6 right",
            list: [
              { type: "button", name: "btn_export", className: "btn-normal", value: "导 出" }
            ]
          }
        ]
      }],
    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/bookingManage/appointAdjustStatisticsQuery",
    type: "post",
    contentType: "application/json",
    params: JSON.stringify({ startDate: Prolog.formatDate(new Date()) + " 00:00:00", endDate: Prolog.formatDate(new Date()) + " 23:59:59" }),
    page: true,
    totalCount: "totalCount"
  };

  grid = new PlgGrid(opts);
  grid.renderTo("appointmentAdjustmentBySearch_grid");
  grid.loadData();

  //工具栏按钮事件
  grid.attachToolBarEvent("onButtonClick", function (name) {
    //查询
    if (name == "btn_search") {
      let fd = grid.getToolBarForm().getFormData();
      if (!fd.startDate || !fd.endDate) {
        PlgDialog.msg("日期条件不有为空");
        return;
      }
      fd.startDate = fd.startDate ? Prolog.formatDate(fd.startDate) + " 00:00:00" : "";
      fd.endDate = fd.endDate ? Prolog.formatDate(fd.endDate) + " 23:59:59" : "";
      if (fd.branchid) {
        let arr = JSON.parse(fd.branchid);
        fd.branchid = arr.length > 0 ? arr[0] : "";
      }
      else {
        fd.branchid = "";
      }
      if (fd.carrierid) {
        let arr = JSON.parse(fd.carrierid);
        fd.carrierid = arr.length > 0 ? arr[0] : "";
      }
      else {
        fd.carrierid = "";
      }
      grid.setParams(JSON.stringify(fd));
      grid.reload();
    }
    //重置
    if (name == "btn_reset") {
      grid.getToolBarForm().getDForm().setText("branchid", "");
      grid.getToolBarForm().getDForm().setText("carrierid", "");
      grid.getToolBarForm().clear();
      grid.getToolBarForm().setFormData({ startDate: Prolog.formatDate(new Date()) + " 00:00:00", endDate: Prolog.formatDate(new Date()) + " 23:59:59" });
    }
    //导出
    if (name == "btn_export") {
      exportExcel();
    }
  });
  //导出
  function exportExcel() {
    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    if (grid.getRowsNum() <= 0) {
      PlgDialog.close(pload);
      PlgDialog.msg("没有要导出的数据");
      return;
    }
    let url = "business/bookingManage/appointAdjustStatisticsExport";
    let name = "承运商预约调整统计" + Prolog.formatDate(new Date(), "%YY%MM%DD") + ".xls";

    let fd = grid.getToolBarForm().getFormData();
    if (!fd.startDate || !fd.endDate) {
      PlgDialog.msg("日期条件不有为空");
      return;
    }
    fd.startDate = fd.startDate ? Prolog.formatDate(fd.startDate) + " 00:00:00" : "";
    fd.endDate = fd.endDate ? Prolog.formatDate(fd.endDate) + " 23:59:59" : "";
    if (fd.branchid) {
      let arr = JSON.parse(fd.branchid);
      fd.branchid = arr.length > 0 ? arr[0] : "";
    }
    else {
      fd.branchid = "";
    }
    if (fd.carrierid) {
      let arr = JSON.parse(fd.carrierid);
      fd.carrierid = arr.length > 0 ? arr[0] : "";
    }
    else {
      fd.carrierid = "";
    }

    Prolog.exportFile(url, name, "application/json", "post", fd);
    PlgDialog.close(pload);

  }
};