/*
* chengj
* 2020.10.21
* 运单记录查询
* */
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';


export default () => {
    var master_grid, details_grid;
  var userinfo = {
  p_id: '',
  p_username: '',
  p_workernumber: '',
  p_nickname: '',
  p_phone: null,
  p_email: null,
  p_companyid: '',
  p_enterpriseid: '',
  p_organizationid: '',
  p_companyname: '',
  p_orgname: '',
  p_enterprisename: '',
  p_usertype: '',
  p_lastlogindate: '',
  p_lastmodipassdate: null,
  p_validdate: '',
  p_import_batchno: null,
  p_data_source: null,
  forceModifyPasswdFlag: false,
  vehicle: null,
}

    // 获取默认时间
    var startTime = Prolog.formatDate(new Date(), "%YY-%MM") + "-01 00:00:00";
    var endTime = Prolog.formatDate(new Date()) + " 23:59:59";
    // 获取下拉框
    var dataSelect;
    getSelectGJ([
        { "objectcode": "ITEM_TYPE" }, { "objectcode": "URG_FLG" }, { "objectcode": "TMS_SHIP_BILLSTATUS" }
    ], function (data) {
        dataSelect = data.data;
        dataSelect.URG_FLG.unshift({ "value": "", "text": "" });
    });
    // 配送中心table
    var branchTable = {
        // terrace显示全部，card分页显示
        skin: "card",
        // renderer:"grid",
        columns: [
            { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
            { id: "companycode", name: "配送中心编号", type: "ro" },
            { id: "companyname", name: "配送中心名称", type: "ro" }
        ],
        multiselect: false,
        toolbar: [
            { type: "settings", position: "label-left", width: 200, labelWidth: 100 },
            {
                type: "block", id: "bk", blockOffset: 0, list: [
                    { type: "input", name: "companycode", label: "配送中心:", width: 120 },
                    { type: "newcolumn" },
                    { type: "button", name: "querycarr", value: "查询" },
                    { type: "newcolumn" },
                    { type: "button", name: "car_Reset", value: "重置" }
                ]
            }
        ],
            url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch",
        pagebar: { type: "simple" },
        type: "post", // 数据提交方式，默认为get
        params: JSON.stringify({ companytype: "S" }), // 查询提交参数，分页参数默认为pageNum,pageSize
        contentType: "application/json",
        page: true, // 是否启用分页
        totalCount: "totalCount" // 总记录数字段，默认totalCount
    };
    //承运商table
    var company_Table = {
        columns: [
            { id: "companyid", name: "id", type: "ro", width: 100, hidden: true },
            { id: "companycode", name: "编号", type: "ro" },
            { id: "companyname", name: "名称", type: "ro" }
        ],
        multiselect: false,
        toolbar: [
            { type: "settings", position: "label-left", width: 300, labelWidth: 70 },
            { type: "input", name: "companycode", label: "查询条件:", placeholder: "请输入编号/名称", width: 190 },
            { type: "newcolumn" },
            { type: "button", name: "btn_search", value: "查询" }, { type: "newcolumn" },
            { type: "button", name: "btn_reset", className: " normal", value: "重置" }

        ],
        url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyCarrier",
        type: "post",
        contentType: "application/json",
        pagebar: { type: "simple" },
        params: JSON.stringify({ "companytype": "Y" }),
        page: true,
        totalCount: "totalCount"
    };
    // 主页主表grid
    var master_grid_opts = {
        skin: "card",
        columns: [
            { id: "INDEX", name: "id", type: "ro", width: "130", hidden: true },
            { id: "shipbillno", name: "运单编号", type: "ro", width: 120 },
            { id: "billtype", name: "运单类型", type: "ro", width: 120 },
            {
                id: "status", name: "状态", type: "ro", width: 120, render: (v) => {
                    return getSelectValue(dataSelect.TMS_SHIP_BILLSTATUS, v);
                }
            },
            { id: "branchid", name: "配送中心编号", type: "ro", width: 120 },
            { id: "branchname", name: "配送中心名称", type: "ro", width: 120 },
            { id: "consignor", name: "货主编号", type: "ro", width: 120 },
            { id: "consignorname", name: "货主名称", type: "ro", width: 120 },
            { id: "billdate", name: "单据时间", type: "ro", width: 120 },
            { id: "linenane", name: "线路名称", type: "ro", width: 120 },
            { id: "arriverName", name: "客户名称", type: "ro", width: 120 },
            { id: "consignee", name: "收货联系人", type: "ro", width: 120 },
            { id: "shipmentAddress", name: "发货地址", type: "ro", width: 120 },
            { id: "arriveAddress", name: "客户地址", type: "ro", width: 120 },
            { id: "urgentIdentify", name: "是否急单", type: "ro", width: 120 },
            { id: "refbillno", name: "业务单号", type: "ro", width: 120 },
            { id: "refbilltype", name: "业务类型", type: "ro", width: 120 },
            { id: "carriername", name: "承运商", type: "ro", width: 120 },
            { id: "temperatureRequire", name: "运输温度要求", type: "ro", width: 120 },
            { id: "rsumcases", name: "件数", type: "ro", width: 120 },
            { id: "rsumgoodsweight", name: "重量", type: "ro", width: 120 },
            { id: "rsumgoodsvol", name: "体积", type: "ro", width: 120 },
            { id: "memo", name: "备注", type: "ro", width: 120 },
            {
                id: "op", name: "操作", type: "button", align: "left", width: 80, fixed: "right", render: function () {
                    return "签收图片^signInPictures_btn,运输节点^transportNodeQuery_record";
                }
            }
        ],
        beforeLoadData: function (res) {
            res.data.list.forEach((item, index) => {
                item.INDEX = index + "";
            });
            return res;
        },
        toolbar: [
            { type: "settings", labelWidth: 70, labelAlign: "right" },
            {
                type: "row",
                list: [
                    { type: "calendar", className: "layui-col-md3", name: "startdate", label: "开始时间:", value: startTime, readonly: true },
                    { type: "calendar", className: "layui-col-md3", name: "enddate", label: "结束时间:", value: endTime, readonly: true },
                    {
                        type: "selectTable",
                        className: "layui-col-md3",
                        placeholder: "请选择配送中心",
                        readonly: false,
                        table: branchTable,
                        tableWidth: 600,
                        tableHeight: 500,
                        fieldText: "companyname",
                        fieldValue: "companyid",
                        name: "branchidList",
                        label: "配送中心:",
                        listener: function (Grid) {
                            setMethod(Grid, branchTable, function () { });
                        }
                    },
                    { type: "input", className: "layui-col-md3", name: "shipbillno", label: "运单号:" },
                    { type: "input", className: "layui-col-md3", name: "refbillno", label: "业务单号:" },
                    { type: "combo", className: "layui-col-md3", readonly: true, name: "urgentIdentify", label: "是否急单:", options: dataSelect.URG_FLG },
                    { type: "input", className: "layui-col-md3", name: "linenane", label: "运输线路:" },
                    {
                        className: "layui-col-md3",
                        type: "selectTable",
                        placeholder: "请选择承运商",
                        readonly: false,
                        table: company_Table,
                        tableWidth: 500,
                        tableHeight: 400,
                        fieldText: "companyname",
                        fieldValue: "companyid",
                        name: "carrieridList",
                        label: "承运商:",
                        listener: {
                            "init": function (sgrid) {
                                sgrid.attachToolBarEvent("onButtonClick", function (name) {
                                    if (name === "btn_search") {
                                        var p = sgrid.getToolBarForm().getFormData();
                                        p.companytype = "Y";
                                        sgrid.setParams(JSON.stringify(p));
                                        sgrid.reload();
                                    }
                                });
                            }
                        }
                    },
                    {
                        type: "block", className: "layui-col-md6 form_btn_left",
                        list: [
                            { type: "button", className: "btn-normal", name: "master_search", value: "查 询" },
                            { type: "newcolumn" },
                            { type: "button", name: "master_reset", value: "重 置" }
                        ]
                    },
                    {
                        type: "block", className: "layui-col-md6 right",
                        list: [
                            { type: "button", name: "car_export", className: "btn-normal", value: "导 出" }
                        ]
                    }
                ]
            }
        ],
        fixedLast: true, // 开启固定列，固定最后一行，倒数第二列不能隐藏
        multiselect: false, // 是否支持多选
            url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/report/shipbillRecordQuery", // 数据接口
        type: "post", // 数据提交方式，默认为get
        params: JSON.stringify({ startdate: startTime, enddate: endTime }),
        page: true, // 是否启用分页
        contentType: "application/json",
        totalCount: "totalCount" // 总记录数字段，默认totalCount
    };
    master_grid = new PlgGrid(master_grid_opts);
    master_grid.renderTo("shipbillRecordQuery_master");
    master_grid.loadData();
    master_grid.attachToolBarEvent("onButtonClick", function (name) {
        switch (name) {
            case "master_search":
                var request = master_grid.getToolBarForm().getFormData();
                request.startdate = request.startdate ? Prolog.formatDate(request.startdate) + " 00:00:00" : "";
                request.enddate = request.enddate ? Prolog.formatDate(request.enddate) + " 23:59:59" : "";
                if (request.startdate > request.enddate) {
                    layer.msg("开始时间不能大于结束时间");
                    return false;
                }
                request.branchid = request.branchidList ? JSON.parse(request.branchidList)[0] : "";
                request.carrierid = request.carrieridList ? JSON.parse(request.carrieridList)[0] : "";
                dealNullQueryCondition(request);
                delete request.branchidList;
                delete request.carrieridList;
                master_grid.setParams(JSON.stringify(request));
                master_grid.reload();
                break;
            case "master_reset":
                master_grid.getToolBarForm().clear();
                master_grid.getToolBarForm().setFormData({ startdate: startTime, enddate: endTime });
                master_grid.getToolBarForm().setText("branchidList", "");
                master_grid.getToolBarForm().setText("carrieridList", "");
                break;
        }
        if (name == "car_export") {
            unfilledWorktime_export();
        }
    });

    //主界面导出事件
    function unfilledWorktime_export() {
        let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        if (master_grid.getRowsNum() <= 0) {
            PlgDialog.close(pload);
            PlgDialog.msg("没有要导出的数据");
            return;
        }
        let url = UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/report/shipbillRecordExport";
        let name = "运单记录查询" + Prolog.formatDate(new Date(), "%YY%MM%DD") + ".xls";
        var request = master_grid.getToolBarForm().getFormData();
        request.startdate = request.startdate ? Prolog.formatDate(request.startdate) + " 00:00:00" : "";
        request.enddate = request.enddate ? Prolog.formatDate(request.enddate) + " 23:59:59" : "";
        if (request.startdate > request.enddate) {
            PlgDialog.close(pload);
            layer.msg("开始时间不能大于结束时间");
            return false;
        }
        request.branchid = request.branchidList ? JSON.parse(request.branchidList)[0] : "";
        request.carrierid = request.carrieridList ? JSON.parse(request.carrieridList)[0] : "";
        delete request.branchidList;
        delete request.carrieridList;
        Prolog.exportFile(url, name, "application/json", "post", request);
        PlgDialog.close(pload);

    }

    // 查看图片
    window.signInPictures_btn = function (rid, rdata) {
        let request = {
            bizId: rdata.shipbillno,
            bizType: "SUPPLIER_SAMPLE",
            enterpriseid: userinfo.p_enterpriseid,
            indexCol1: ""
        };
        querySysPicture(request).then(res => {
            if (!res.length) {
                PlgDialog.msg("暂无图片");
                return;
            }

            PlgDialog.open({
                zIndex: "10",
                title: "签收图片",
                shadeClose: true,
                type: 1, // 设置为1，手动控制dialog的开关
                area: ["600px", "600px"],
                // btn: ["启运登记", "取消"],
                content: "<div id =\"signInPictures_open_dialog\"></div>", //iframe的url
                // yes: function (index) {
                // },
                // btn2: function (index) {
                //     PlgDialog.close(index); // 如果设定了yes回调，需进行手工关闭
                // },
                success: function () {
                    // 当你需要在层创建完毕时即执行一些语句，可以通过该回调。success会携带两个参数，分别是当前层DOM当前层索引。如：
                    $("#signInPictures_open_dialog").html("");
                    res.forEach(item => {
                        let html = "";
                        html += "<div style='display: inline-block;margin-right: 20px;'>";
                        html += "   <img src='" + item.fileUrl + "' class='signInPictures_upload_image' style='height: 100px;'>";
                        html += "</div>";
                        let htmljs = $(html);
                        // 点击展示
                        htmljs.find(".signInPictures_upload_image").on("click", function () {
                            getImgDataRecon(res, item.fileUrl);
                        });
                        $("#signInPictures_open_dialog").append(htmljs);
                    });

                }
            });


        });
    };
    // 图片放大
    function getImgDataRecon(res, src) {
        for (let i = 0; i < res.length; i++) {
            let rd = res[i];
            if (rd.fileUrl == src) {
                imageView(res, i);
                return;
            }
        }
    }

    // 运输节点
    window.transportNodeQuery_record = function (rid, rdata) {


        let request = {
            shipbillid: rdata.shipbillid,
            shipbillno: rdata.shipbillno
        };
        let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        Prolog.ajax({
            url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/report/operationRecordQuery", type: "post", contentType: "application/json", data: JSON.stringify(request),
            success: function (res) {
                PlgDialog.close(pload);
                if (res.success) {
                    PlgDialog.msg(res.message);


                    PlgDialog.open({
                        title: "运输节点",
                        shadeClose: true,
                        type: 1, // 设置为1，手动控制dialog的开关
                        area: ["600px", "600px"],
                        // btn: ["启运登记", "取消"],
                        content: "<div id =\"master_grid_open_dialog\"></div>", //iframe的url
                        // yes: function (index) {
                        // },
                        // btn2: function (index) {
                        //     PlgDialog.close(index); // 如果设定了yes回调，需进行手工关闭
                        // },
                        success: function () {
                            // 当你需要在层创建完毕时即执行一些语句，可以通过该回调。success会携带两个参数，分别是当前层DOM当前层索引。如：
                            renderRecord(res.data);
                        }
                    });

                    return true;
                }
                                return false;

            }, error: function () { PlgDialog.close(pload); return false; }
        });
    };
    // 渲染操作记录页面
    function renderRecord(list) {
        let html = "";
        let length = list.length;
        list.forEach((item, index) => {
            let calssname = index === 0 ? "first_step" : "";
            let seq = index === 0 ? "√" : index === length - 1 ? "·" : "⬆";
            html += "   <div class='el-step " + calssname + "'>";
            html += "      <div class='el-step__time'>";
            html += "          <div class='el-step__description'>" + item.eventtime + "</div>";
            html += "      </div>";
            html += "      <div class='el-step__head'>";
            html += "          <div class='el-step__line'></div>";
            html += "          <div class='el-step__icon'>";
            html += "              <div class='el-step__icon-inner'>" + seq + "</div>";
            html += "          </div>";
            html += "      </div>";
            html += "      <div class='el-step__main'>";
            html += "          <div class='el-step__description'>";
            html += "              " + item.eventremark + " 操作员：" + item.operatorname + "";
            html += "          </div>";
            html += "      </div>";
            html += "   </div>";
        });
        $("#master_grid_open_dialog").html(html);

    }


    // 单击一行显示明细
    master_grid.on("onRowSelect", function (id) {
        let rdata = master_grid.getRowData(id);
        details_grid.setParams(JSON.stringify({ shipbillno: rdata.shipbillno, branchid: rdata.branchid }));
        details_grid.reload();
    });

    // 主页详情表grid
    var details_grid_opts = {
        skin: "card",
        columns: [
            { id: "lineid", name: "id", type: "ro", width: "130", hidden: true },
            { id: "shipbillno", name: "运单号", type: "ro" },
            { id: "itemno", name: "产品编号", type: "ro" },
            { id: "itemname", name: "产品名称", type: "ro" },
            {
                id: "itemtype", name: "产品类型", type: "ro", render: (v) => {
                    return getSelectValue(dataSelect.ITEM_TYPE, v);
                }
            },
            { id: "pcs", name: "件数", type: "ro" },
            { id: "weight", name: "重量", type: "ro" },
            { id: "vol", name: "体积", type: "ro" },
            { id: "remark", name: "备注", type: "ro" }
        ],
        fixedLast: false, // 开启固定列，固定最后一行，倒数第二列不能隐藏
        multiselect: false, // 是否支持多选
            url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/appoint/tmsShipbillDQuery", // 数据接口
        type: "post", // 数据提交方式，默认为get
        params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
        page: false, // 是否启用分页
        contentType: "application/json",
        totalCount: "totalCount" // 总记录数字段，默认totalCount
    };
    details_grid = new PlgGrid(details_grid_opts);
    details_grid.renderTo("shipbillRecordQuery_details");
};