/**
   * chengj
   * 2020.10.26
   * 运单明细查询
   */
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';


export default () => {
  var grid;
  //配送中心table
  var userTable = {
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "组织编号", type: "ro" },
      { id: "companyname", name: "组织名称", type: "ro" }
    ],
    multiselect: false,
    contentType: "application/json",
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch", //数据接口
    type: "post", //数据提交方式，默认为get
    pagebar: { type: "simple" },
    params: JSON.stringify({ "companytype": "S" }), //查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  // 客户table
  var customerTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "客户编号", type: "ro" },
      { id: "companyname", name: "客户名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 110 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "客户编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyCustomer",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "C" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  // 获取默认时间
  var startTime = Prolog.formatDate(new Date(), "%YY-%MM") + "-01 00:00:00";
  var endTime = Prolog.formatDate(new Date()) + " 23:59:59";
  // 获取下拉框
  var dataSelect;
  getSelectGJ([
    { "objectcode": "TMS_SHIP_BILLTYPE" }, { "objectcode": "ITEM_TYPE" }, { "objectcode": "URG_FLG" }, { "objectcode": "TMS_SHIP_BILLSTATUS" }
  ], function (data) {
    dataSelect = data.data;
    dataSelect.TMS_SHIP_BILLTYPE.unshift({ "value": "", "text": "" });
  });
  //分页参数
  var opts = {
    //terrace显示全部，card分页显示
    skin: "card",
    //renderer:"grid",
    columns: [
      { id: "lineid", name: "id", type: "ro", width: "80", hidden: true },
      { id: "branchname", name: "配送中心", type: "ro", width: "120" },
      { id: "shipbillno", name: "运单号", type: "ro", width: "100" },
      { id: "consignorname", name: "货主", type: "ro", width: "80" },
      { id: "arriverName", name: "客户名称", type: "ro", width: "120" },
      {
        id: "billtype", name: "运单类型", type: "ro", width: "80", render: (v) => {
          return getSelectValue(dataSelect.TMS_SHIP_BILLTYPE, v);
        }
      },
      {
        id: "status", name: "运单状态", type: "ro", width: "80", render: (v) => {
          return getSelectValue(dataSelect.TMS_SHIP_BILLSTATUS, v);
        }
      },
      { id: "billdate", name: "单据日期", type: "ro", width: "80" },
      {
        id: "urgentIdentify", name: "是否急单", type: "ro", width: "80", render: (v) => {
          return getSelectValue(dataSelect.URG_FLG, v);
        }
      },
      { id: "linenane", name: "线路名称", type: "ro", width: "100" },
      { id: "itemno", name: "产品编号", type: "ro", width: "100" },
      { id: "itemname", name: "产品名称", type: "ro", width: "100" },
      {
        id: "itemtype", name: "产品类型", type: "ro", width: "100", render: (v) => {
          return getSelectValue(dataSelect.ITEM_TYPE, v);
        }
      },
      { id: "lotno", name: "批号", type: "ro", width: "80" },
      { id: "pcs", name: "件数", type: "ro", width: "80" },
      { id: "weight", name: "重量", type: "ro", width: "80" },
      { id: "vol", name: "体积", type: "ro", width: "80" },
      { id: "remark", name: "备注", type: "ro", width: "100" }
    ],
    multiselect: false,
    fixedLast: false, //开启固定列，固定最后一行，倒数第二列不能隐藏
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "calendar", name: "startdate", className: "layui-col-md3", label: "开始时间:", value: startTime, readonly: true },
          { type: "calendar", name: "enddate", className: "layui-col-md3", label: "结束时间:", value: endTime, readonly: true },
          {
            className: "layui-col-md3",
            type: "selectTable",
            placeholder: "请选择配送中心",
            readonly: false,
            table: userTable,
            tableWidth: 500,
            tableHeight: 400,
            fieldText: "companyname",
            fieldValue: "companycode",
            name: "branchidList",
            label: "配送中心:",
            listener: function (consignorGrid) {
              setMethod(consignorGrid, userTable, function (data) {
                var datad = {};
                datad.branchid = data.companyid;
                grid.getToolBarForm().setFormData(datad);
              });
            }
          },
          { type: "hidden", name: "branchid", label: "配送中心:" },
          { type: "input", name: "shipbillno", className: "layui-col-md3", label: "运单号:" },
          { type: "combo", name: "billtype", className: "layui-col-md3", label: "运单类型:", options: dataSelect.TMS_SHIP_BILLTYPE },
          { type: "input", name: "itemname", className: "layui-col-md3", label: "产品名称/编号:" },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择客户",
            readonly: false,
            table: customerTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "customerList",
            label: "客户:",
            listener: function (Grid) {
              setMethod(Grid, customerTable, function (data) {
                var datad = {};
                datad.shiptoCustomerId = data.companyid;
                grid.getToolBarForm().setFormData(datad);
              });
            }
          },
          {
            type: "block", className: "layui-col-md6 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "querycarr", value: "查 询" },
              { type: "newcolumn" },
              { type: "button", name: "car_Reset", className: "normal", value: "重 置" }
            ]
          },
          {
            type: "block", className: "layui-col-md6 right",
            list: [
              { type: "button", name: "car_export", className: "btn-normal", value: "导 出" }
            ]
          }
        ]
      }],
    url: UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/report/waybillDetailsQuery",//数据接口
    type: "post",//数据提交方式，默认为get
    contentType: "application/json",
    params: JSON.stringify({ startdate: startTime, enddate: endTime }),//查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //分页参数 pageSize pageNum
  grid = new PlgGrid(opts);
  grid.renderTo("waybillDetailsQuery_zhu");
  grid.getToolBarForm().setFormData({ "systemId": "prolog-healthy-wms" });
  grid.loadData();
  //按钮添加方法
  grid.attachToolBarEvent("onButtonClick", function (name) {
    //查询
    if (name == "querycarr") {
      var jsonData = grid.getToolBarForm().getFormData();
      if (jsonData.startdate == null) {
        jsonData.startdate = FormatDate(new Date()) + " 00:00:00";
      }
      else {
        jsonData.startdate = Prolog.formatDate(jsonData.startdate) + " 00:00:00";
      }
      if (jsonData.enddate == null) {
        jsonData.enddate = FormatDate(new Date()) + " 23:59:59";
      }
      else {
        jsonData.enddate = Prolog.formatDate(jsonData.enddate) + " 23:59:59";
      }
      if (jsonData.startdate > jsonData.enddate) {
        layer.msg("开始时间不能大于结束时间");
        return false;
      }
      jsonData.branchid = jsonData.branchidList ? JSON.parse(jsonData.branchidList)[0] : "";
      jsonData.shiptoCustomerId = jsonData.customerList ? JSON.parse(jsonData.customerList)[0] : "";
      grid.setParams(JSON.stringify(jsonData));
      grid.reload();
    }
    //重置
    if (name == "car_Reset") {
      grid.getToolBarForm().getDForm().setText("branchidList", "");
      grid.getToolBarForm().getDForm().setText("customerList", "");
      grid.getToolBarForm().clear();
      grid.getToolBarForm().setFormData({ startdate: startTime, enddate: endTime });
    }
    //导出
    if (name == "car_export") {
      unfilledWorktime_export();
    }
  });
  //主界面导出事件
  function unfilledWorktime_export() {
    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    if (grid.getRowsNum() <= 0) {
      PlgDialog.close(pload);
      PlgDialog.msg("没有要导出的数据");
      return;
    }
    let url = UPCLOUD_RDC_TMS_BUSINESS_SERVICE+"/report/waybillDetailsExport";
    let name = "运单明细" + Prolog.formatDate(new Date(), "%YY%MM%DD") + ".xls";
    var jsonData = grid.getToolBarForm().getFormData();
    if (jsonData.startdate == null) {
      jsonData.startdate = FormatDate(new Date()) + " 00:00:00";
    }
    else {
      jsonData.startdate = Prolog.formatDate(jsonData.startdate) + " 00:00:00";
    }
    if (jsonData.enddate == null) {
      jsonData.enddate = FormatDate(new Date()) + " 23:59:59";
    }
    else {
      jsonData.enddate = Prolog.formatDate(jsonData.enddate) + " 23:59:59";
    }
    if (jsonData.startdate > jsonData.enddate) {
      PlgDialog.close(pload);
      layer.msg("开始时间不能大于结束时间");
      return false;
    }
    jsonData.branchid = jsonData.branchidList ? JSON.parse(jsonData.branchidList)[0] : "";
    jsonData.shiptoCustomerId = jsonData.customerList ? JSON.parse(jsonData.customerList)[0] : "";
    Prolog.exportFile(url, name, "application/json", "post", jsonData);
    PlgDialog.close(pload);

  }
};