/**
 * jiw
 * 2018.10.24
 * 系统参数配置
 */
 import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
 import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';

export default () => {
  //获取通用参照数据
  var rsp_grouptype = [],
    rsp_modifylevel = [],
    rsp_branchid = [],
    rsp_consignor = [];
  Prolog.ajax({
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/company/list-by-type",
    type: "post",
    contentType: "application/x-www-form-urlencoded",
    data: {
      "types": "H"
    },
    async: false,
    success: function (data) {
      if (data.success) {
        rsp_consignor.push({
          text: "",
          value: ""
        });
        for (var i = 0; i < data.data.length; i++) {
          rsp_consignor.push({
            text: data.data[i].text,
            value: data.data[i].value
          });
        }
      }
    },
    error: function () { PlgDialog.msg("接口调用失败"); }
  });
  Prolog.ajax({
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/company/list-by-type",
    type: "post",
    contentType: "application/x-www-form-urlencoded",
    data: {
      "types": "S"
    },
    async: false,
    success: function (data) {
      if (data.success) {
        rsp_branchid.push({
          text: "",
          value: ""
        });
        for (var i = 0; i < data.data.length; i++) {
          rsp_branchid.push({
            text: data.data[i].text,
            value: data.data[i].value
          });
        }
      }
    },
    error: function () { PlgDialog.msg("接口调用失败"); }
  });

  var req = [{
    "objectcode": "grouptype"
  }, {
    "objectcode": "modifylevel"
  }];
  Prolog.ajax({
    url: "/sys/refdata/dtl/dd-list",
    type: "post",
    contentType: "application/json",
    data: JSON.stringify(req),
    async: false,
    success: function (data) {
      if (data.success) {
        bindRefdata(rsp_grouptype, data.data.grouptype, true);
        bindRefdata(rsp_modifylevel, data.data.modifylevel, true);
      }
    },
    error: function () { PlgDialog.msg("接口调用失败"); }
  });

  var grid = null;
  var param = {
    "pageNum": 1,
    "pageSize": 10
  };
  var type = 0;

  //滑屏
  var carousel = layui.carousel;
  var car = carousel.render({
    elem: "#registryconfig_grid",
    autoplay: false,
    index: 0,
    arrow: "none",
    indicator: "none",
    anim: "fade",
    width: "100%", //设置容器宽度
    height: "100%"
  });

  function changePanel(name) {
    car.slide(name);
  }

  //返回主页面
  $("#registryconfig_btn_back").click(function () {
    changePanel("registryconfig_grid_01");
    return false;
  });

  gridInit();


  //主页面Grid
  function gridInit() {
    var numOpts = {
      skin: "terrace",
      rowId: "uniqueid",
      columns: [
        { id: "uniqueid", name: "ID", type: "ro", hidden: true },
        { id: "grouptype", name: "分组类型", align: "center", type: "ro", width: 100, render: function (v) { return Prolog.getNameByID(rsp_grouptype, v); } },
        { id: "regcode", name: "识别号", type: "ro", width: 200 },
        { id: "regname", name: "名称", type: "ro", width: 200 },
        { id: "regvalue", name: "注册值", align: "center", type: "ro", width: 150 },
        { id: "branchid", name: "仓号", type: "ro", width: 150, render: function (v) { return Prolog.getNameByID(rsp_branchid, v); } },
        { id: "consignor", name: "货主", type: "ro", width: 150, render: function (v) { return Prolog.getNameByID(rsp_consignor, v); } },
        { id: "remark", name: "备注", type: "ro", width: 200 },
        { id: "op", name: "操作", type: "button", align: "center", width: 150, render: function () { return "详情^res_RegistryConfig_showClick,修改^res_RegistryConfig_editClick,删除^res_RegistryConfig_delClick"; } }
      ],
      multiselect: false,
      fixedLast: true,
      toolbar: [
        { type: "input", width: 300, name: "search", label: "查询条件:", placeholder: "请输入识别号/名称/仓号/货主编号" },
        { type: "newcolumn" }, { type: "button", name: "btn_search", value: "查询" },
        { type: "newcolumn" },
        { type: "button", name: "btn_reset", className: " normal", value: "重置" },
        { type: "newcolumn" },
        { type: "button", name: "btn_add", className: "plg-toolbar-right", value: "<i class='layui-icon layui-icon-add-1'></i>新增" },
        { type: "newcolumn" }
      ],
      formData: [],
        url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/sysParameter/query",
      type: "POST",
      params: param,
      contentType: "application/x-www-form-urlencoded",
      page: true,
      totalCount: "totalCount"
    };
    //分页参数 pageSize pageNum
    grid = new PlgGrid(numOpts);
    grid.renderTo("registryconfig_grid_01");
    grid.loadData();

    //工具栏键盘事件
    grid.getToolBarForm().attachEvent("onKeyDown", function (inp, ev) {
      if (ev.key == "Enter") {
        grid.setParams(grid.getToolBarForm().getFormData());
        grid.reload();
      }
    });

    // 双击行
    grid.on("onRowDblClicked", function () {
      show_registryconfiginfo(grid.getSelectedRowId(), grid.getSelectedRowData());
    });

    //工具栏按钮事件
    grid.attachToolBarEvent("onButtonClick", function (name) {
      // 查询
      if (name === "btn_search") {
        grid.setParams(grid.getToolBarForm().getFormData());
        grid.reload();
      }
      // 新增
      else if (name === "btn_add") {
        addregistryconfig();
      }
      else if (name == "btn_reset") {
        grid.getToolBarForm().clear();
      }
    });
  }

  //添加系统参数
  function addregistryconfig() {
    type = 0;
    var str = "<div class=\"layui-col-lg12\" id=\"registryconfig_grid_add_content\"></div>";
    $("#registryconfig_grid_sub").html(str);
    changePanel("registryconfig_grid_01_edit");
    registryconfigFormInit(0, {});
  }

  $("#btn_save_registryconfig").click(function () {
    var b = form1.validate();
    if (!b) return;
    var fd = form1.getFormData();
    if (type === 0) {
      save_registryconfig(grid, UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/sysParameter/save", "post", "application/x-www-form-urlencoded", fd);
    }
    else if (type === 1) {
      save_registryconfig(grid, UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/sysParameter/update", "put", "application/x-www-form-urlencoded", fd);
    }
  });

  //系统参数表单
  function registryconfigFormInit(ntype, rdata) {
    var tit = "新增系统参数";
    var rediv = "registryconfig_grid_add_content";
    if (ntype === 1) {
      tit = "系统参数 [" + rdata.regname + "] 信息修改";
      rediv = "registryconfig_grid_sub";
    }
    $("#registryconfig_span_title").html(tit);
    $("#btn_save_registryconfig").show();
    $("#" + rediv).html("");
    var formcfg = {
      renderer: rediv,
      items: [{
        type: "settings",
        inputWidth: 200,
        width: "*",
        labelWidth: 80,
        position: "label-left",
        labelAlign: "left"
      },
      {
        type: "block",
        width: "*",
        list: [{
          type: "combo", readonly: true,
          name: "branchid",
          label: "仓号:",
          width: 200,
          options: rsp_branchid
        },
        {
          type: "newcolumn",
          offset: 40
        },
        {
          type: "combo", readonly: true,
          name: "consignor",
          label: "货主:",
          width: 200,
          options: rsp_consignor
        },
        {
          type: "newcolumn",
          offset: 40
        },
        {
          type: "combo", readonly: true,
          name: "grouptype",
          label: "分组类型:",
          width: 200,
          options: rsp_grouptype
        }
        ]
      },
      {
        type: "block",
        width: "*",
        list: [{
          type: "input",
          name: "regcode",
          label: "识别号:",
          validate: "NotEmpty",
          required: true
        },
        {
          type: "newcolumn",
          offset: 40
        },
        {
          type: "input",
          name: "regname",
          label: "名称:",
          validate: "NotEmpty",
          required: true
        },
        {
          type: "newcolumn",
          offset: 40
        },
        {
          type: "input",
          name: "regvalue",
          label: "注册值:",
          validate: "NotEmpty",
          required: true
        }
        ]
      },
      {
        type: "block",
        width: "*",
        list: [{
          type: "combo", readonly: true,
          name: "modifylevel",
          editable: false,
          label: "修改等级",
          width: 200,
          options: rsp_modifylevel
        },
        {
          type: "newcolumn",
          offset: 40
        },
        {
          type: "input",
          name: "remark",
          label: "备注:"
        },
        {
          type: "newcolumn",
          offset: 40
        },
        {
          type: "input",
          name: "extregvalue1",
          label: "扩展属性1:"
        }
        ]
      },
      {
        type: "block",
        width: "*",
        list: [

          {
            type: "input",
            name: "extregvalue2",
            label: "扩展属性2:"
          },
          {
            type: "newcolumn",
            offset: 40
          },
          {
            type: "input",
            name: "extregvalue3",
            label: "扩展属性3:"
          },
          {
            type: "newcolumn",
            offset: 40
          },
          {
            type: "input",
            name: "extregvalue4",
            label: "扩展属性4:"
          }
        ]
      },
      {
        type: "block",
        width: "*",
        list: [{
          type: "input",
          name: "extregvalue5",
          label: "扩展属性5:"
        },
        {
          type: "newcolumn",
          offset: 40
        },
        {
          type: "input",
          name: "subregcode1",
          label: "子条件1:"
        },
        {
          type: "newcolumn",
          offset: 40
        },
        {
          type: "input",
          name: "subregcode2",
          label: "子条件2:"
        }
        ]
      },
      {
        type: "block",
        width: "*",
        list: [{
          type: "input",
          name: "subregcode3",
          label: "子条件3:"
        },
        {
          type: "newcolumn",
          offset: 40
        },
        {
          type: "input",
          name: "subregcode4",
          label: "子条件4:"
        },
        {
          type: "newcolumn",
          offset: 40
        },
        {
          type: "input",
          name: "subregcode5",
          label: "子条件5:"
        }
        ]
      },
      {
        type: "block",
        width: "*",
        list: [{
          type: "hidden",
          name: "uniqueid",
          value: ""
        }, {
          type: "hidden",
          name: "p_id"
        }]
      }
      ]
    };
    form1 = new PlgForm(formcfg);
    form1.setFormData(rdata);

    if (ntype === 1) {
      form1.getDForm().disableItem("p_code");
      form1.getDForm().disableItem("modifylevel");
    }
  }


  //系统参数信息保存
  function save_registryconfig(grid, url, type, contentType, formData) {
    //加载等待
    var pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    var rep = null;
    Prolog.ajax({
      url: url,
      type: type,
      contentType: contentType,
      data: formData,
      async: false,
      success: function (data) {
        PlgDialog.close(pload);
        rep = data;
        if (data.success) {
          PlgDialog.msg(data.message);
          setTimeout(function () {
            changePanel("registryconfig_grid_01");
            grid.reload();
          }, 10);
        }
        else {
          setTimeout(() => { PlgDialog.alert(data.message == null ? "接口调用失败" : data.message); }, 300);
        }
      },
      error: function () { PlgDialog.close(pload); PlgDialog.msg("接口调用失败"); }
    });
    return rep;
  }

  //查看系统参数详细
  function show_registryconfiginfo(rid, rdata) {
    grid.selectRowById(rid);
    $("#btn_save_registryconfig").hide();
    $("#registryconfig_span_title").html("系统参数 [" + rdata.regname + "] 信息查看");
    changePanel("registryconfig_grid_01_edit");
    $("#registryconfig_grid_sub").removeClass();

    new PlgPanel({
      renderer: "registryconfig_grid_sub",
      skin: 2,
      header: {
        isShow: true,
        title: "基本信息"
      },
      defaultBody: {
        layoutCol: 3,
        valueBj: true,
        cols: [
          [{
            label: "仓号",
            value: Prolog.getNameByID(rsp_branchid, rdata.branchid)
          },
          {
            label: "货主",
            value: Prolog.getNameByID(rsp_consignor, rdata.consignor)
          },
          {
            label: "识别号",
            value: rdata.regcode
          },
          {
            label: "分组类型",
            value: Prolog.getNameByID(rsp_grouptype, rdata.grouptype)
          },
          {
            label: "名称",
            value: rdata.regname
          },
          {
            label: "注册值",
            value: rdata.regvalue
          },
          {
            label: "修改等级",
            value: Prolog.getNameByID(rsp_modifylevel, rdata.modifylevel)
          },
          {
            label: "备注",
            value: rdata.remark
          }],
          [
            {
              label: "创建人",
              value: rdata.createby
            },
            {
              label: "创建时间",
              value: rdata.createdate
            },
            {
              label: "修改人",
              value: rdata.modifyat
            },
            {
              label: "修改时间",
              value: rdata.modifyby
            }

          ]
        ]
      }
    });

    new PlgPanel({
      renderer: "registryconfig_grid_sub",
      skin: 2,
      empyt: false,
      header: {
        isShow: true,
        title: "扩展属性"
      },
      defaultBody: {
        layoutCol: 2,
        valueBj: true,
        cols: [
          [
            {
              label: "扩展属性1",
              value: rdata.extregvalue1
            },
            {
              label: "扩展属性2",
              value: rdata.extregvalue2
            },
            {
              label: "扩展属性3",
              value: rdata.extregvalue3
            },
            {
              label: "扩展属性4",
              value: rdata.extregvalue4
            },
            {
              label: "扩展属性5",
              value: rdata.extregvalue5
            }
          ]
        ]
      }
    });

    new PlgPanel({
      renderer: "registryconfig_grid_sub",
      skin: 2,
      empyt: false,
      header: {
        isShow: true,
        title: "子条件"
      },
      defaultBody: {
        layoutCol: 2,
        valueBj: true,
        cols: [
          [
            {
              label: "子条件1",
              value: rdata.subregcode1
            },
            {
              label: "子条件2",
              value: rdata.subregcode2
            },
            {
              label: "子条件3",
              value: rdata.subregcode3
            },
            {
              label: "子条件4",
              value: rdata.subregcode4
            },
            {
              label: "子条件5",
              value: rdata.subregcode5
            }
          ]
        ]
      }
    });
  }

  function bindRefdata(rsp, data, addNsN) {
    if (addNsN) {
      rsp.push({
        text: "",
        value: ""
      });
    }
    for (var i = 0; i < data.length; i++) {
      rsp.push({
        text: data[i].text,
        value: data[i].value
      });
    }
  }

  window.res_RegistryConfig_editClick = function (rid, rdata) {
    grid.selectRowById(rid);
    type = 1;
    changePanel("rulefactor_grid_01_edit");
    registryconfigFormInit(1, rdata);
    return false;
  };
  window.res_RegistryConfig_delClick = function (rid) {
    Prolog.delGridRowData(grid, UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/sysParameter/delete", "", "", {
      "uniqueid": rid
    }, false);
    return false;
  };
  window.res_RegistryConfig_showClick = function (rid, rdata) {
    grid.selectRowById(rid);
    show_registryconfiginfo(rid, rdata);
    return false;
  };
};