/**
 * jiw
 * 2018.10.25
 * 通用参照数据
 */
 import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
 import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
export default () => {
  //获取通用参照数据
  var rsp_modifylevel = [], rsp_groupcode = [];
  var req = [{ "objectcode": "REFDATAH_MODIFYLEVEL" }, { "objectcode": "REFDATAH_GROUPCODE" }];
  var tmp_rdata = null;
  Prolog.ajax({
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/refdata/dtl/dd-list", type: "post", contentType: "application/json", data: JSON.stringify(req), async: false,
    success: function (data) {
      if (data.success) {
        bindRefdata(rsp_modifylevel, data.data.REFDATAH_MODIFYLEVEL, true);
        bindRefdata(rsp_groupcode, data.data.REFDATAH_GROUPCODE, true);
      }
    }, error: function () { PlgDialog.msg("接口调用失败"); }
  });

  var form1 = null;
  var grid = null, grid1 = null, grid3 = null;
  var param = { "pageNum": 1, "pageSize": 10 };
  var type = 0;

  //滑屏
  var carousel = layui.carousel;
  carousel.render({
    elem: "#commomfieldconfig_grid",
    autoplay: false,
    index: 0,
    arrow: "none",
    indicator: "none",
    anim: "fade",
    width: "100%", //设置容器宽度
    height: "100%"
  });

  function changePanel(name) {
    var dl = ["commomfieldconfig_grid_01", "commomfieldconfig_grid_01_edit", "commomfieldconfig_grid_02", "commomfieldconfig_grid_02_edit"];
    dl.forEach(function (item) { $("#" + item).removeClass("layui-this"); });
    $("#" + name).addClass("layui-this");
    $("#" + name).attr("style", "");
    //car.slide(name); //此方法切换多页面时会出错
  }

  //返回主页面
  $(".commomfieldconfig_btn_back").click(function () {
    changePanel("commomfieldconfig_grid_01");
    return false;
  });
  $("#commomfieldconfig_btn_02_back").click(function () {
    changePanel("commomfieldconfig_grid_02");
    return false;
  });

  gridInit();

  function gridInit() {
    var gridOpts1 = {
      skin: "terrace",
      rowId: "objectcode",
      columns: [
        { id: "objectcode", name: "字段编号", type: "ro", width: 200 },
        { id: "description", name: "字段名称", type: "ro", width: 200 },
        { id: "modifylevel", name: "修改等级", type: "ro", width: 150, render: function (v) { return Prolog.getNameByID(rsp_modifylevel, v); } },
        { id: "groupcode", name: "分组号", type: "ro", width: 100, render: function (v) { return Prolog.getNameByID(rsp_groupcode, v); } },
        {
          id: "ismodify", name: "是否可修改", type: "ro", width: 100, render: function (v) {
            return "<input disabled=\"disabled\" type=\"checkbox\" " + (v == "1" ? "checked=\"\"" : "") + " name=\"chk_ismodify\" lay-skin=\"switch\" lay-filter=\"chk_ismodify\" lay-text=\"ON|OFF\">";
          }
        },
        { id: "remarktext", name: "备注", type: "ro", width: 200 },
        {
          id: "op", name: "操作", type: "button", align: "center", width: 260, render: function () {
            return "详情^res_commomFieldConfig_show2Click,修改^res_commomFieldConfig_edit1Click,删除^res_commomFieldConfig_del1Click,维护明细^res_commomFieldConfig_show1Click";
            // 显示列^res_commomFieldConfig_showClick,
          }
        }

      ],
      multiselect: false,
      fixedLast: true,
      toolbar: [
        { type: "input", name: "search", label: "查询条件:", placeholder: "请输入编号/描述", width: 300 }, { type: "newcolumn" },
        { type: "button", name: "btn_search", value: "查询" },
        { type: "newcolumn" },
        { type: "button", name: "btn_reset", className: " normal", value: "重置" },
        { type: "newcolumn" },
        { type: "button", name: "btn_add", className: "plg-toolbar-right", value: "<i class='layui-icon layui-icon-add-1'></i>新增汇总" }, { type: "newcolumn" }
      ],
      formData: [],
        url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/refdata/hdr/list",
      type: "POST",
      params: JSON.stringify(param),
      contentType: "application/json",
      page: true,
      totalCount: "totalCount"
    };
    grid = new PlgGrid(gridOpts1);
    grid.renderTo("commomfieldconfig_grid_01");
    grid.loadData();


    $("#commomfieldconfig_grid_01").addClass("layui-form");
    grid.attachEvent("onDataReady", function () {
      setTimeout(function () {
        layui.form.render();
      }, 200);
    });

    //工具栏键盘事件
    grid.getToolBarForm().attachEvent("onKeyDown", function (inp, ev) {
      if (ev.key == "Enter") {
        grid.setParams(JSON.stringify(grid.getToolBarForm().getFormData()));
        grid.reload();
      }
    });

    //grid双击行
    grid.on("onRowDblClicked", function () {
      show_commomfieldconfiginfo(grid.getSelectedRowId(), grid.getSelectedRowData());
    });

    //工具栏按钮事件
    grid.attachToolBarEvent("onButtonClick", function (name) {
      // 查询
      if (name == "btn_search") {
        grid.setParams(JSON.stringify(grid.getToolBarForm().getFormData()));
        grid.reload();
      }
      // 新增汇总
      else if (name == "btn_add") {
        addcommomfieldconfig();
      }
      else if (name == "btn_reset") {
        grid.getToolBarForm().clear();
      }
    });
  }

  //添加通用参照数据
  function addcommomfieldconfig() {
    type = 0;
    var str = "<div class=\"layui-col-lg12\" id=\"commomfieldconfig_grid_add_content\"></div>";
    $("#commomfieldconfig_grid_sub").html(str);
    $("#commomfieldconfig_add_btn_next").show();
    changePanel("commomfieldconfig_grid_01_edit");
    commomfieldconfigFormInit(0, {});

  }

  //通用参照数据表单
  function commomfieldconfigFormInit(ntype, rdata) {

    var tit = "新增通用参照数据";
    var rediv = "commomfieldconfig_grid_add_content";
    if (ntype == 1) {
      tit = "通用参照数据 [" + rdata.objectcode + "] 信息修改";
      rediv = "commomfieldconfig_grid_sub";
    }
    $("#commomfieldconfig_span_title").html(tit);
    $("#btn_save_commomfieldconfig_01").show();
    $("#" + rediv).html("");
    var formcfg = {
      renderer: rediv,
      items: [
        { type: "settings", inputWidth: 200, width: "*", labelWidth: 100, position: "label-left", labelAlign: "left" },
        {
          type: "block", width: "*",
          list: [
            { type: "input", name: "objectcode", label: "字段编号:", editable: false, validate: "NotEmpty", required: true },
            { type: "newcolumn", offset: 40 },
            { type: "input", name: "description", label: "字段名称:", editable: false, validate: "NotEmpty", required: true }]
        },
        {
          type: "block", width: "*",
          list: [
            { type: "combo", readonly: true, name: "modifylevel", label: "修改等级:", width: 200, editable: false, options: rsp_modifylevel },
            { type: "newcolumn", offset: 40 },
            { type: "combo", readonly: true, name: "groupcode", label: "分组号:", width: 200, options: rsp_groupcode }]
        },
        {
          type: "block", width: "*",
          list: [
            { type: "input", name: "remarktext", label: "备注:", editable: false },
            { type: "newcolumn", offset: 40 },
            { type: "checkbox", name: "ismodify", label: "是否可修改:", editable: false, width: 200 }]
        }
      ]
    };
    form1 = new PlgForm(formcfg);
    form1.setFormData(rdata);

    if (ntype == 1) {
      form1.getDForm().disableItem("objectcode");
      form1.getDForm().disableItem("description");
      form1.getDForm().disableItem("modifylevel");
      form1.getDForm().disableItem("remarktext");
      form1.getDForm().disableItem("ismodify");
    }
  }

  //通用参照数据信息保存
  $("#btn_save_commomfieldconfig_01").click(function () {

    if (type == 0) {
      let b = form1.validate();
      if (!b) return;
      let fd = form1.getFormData();

      save_commomfieldconfiginfo(grid, UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/refdata/hdr/create", "post", "application/json", JSON.stringify(fd));
    }
    else if (type == 1) {
      var b = form1.validate();
      if (!b) return;
      var fd = form1.getFormData();

      save_commomfieldconfiginfo(grid, UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/refdata/hdr/update", "post", "application/json", JSON.stringify(fd));
    }
    else if (type == 2) {
      save_showcol(tmp_rdata);
    }
  });
  function save_commomfieldconfiginfo(grid, url, type, contentType, formData) {
    //加载等待
    var pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    Prolog.ajax({
      url: url,
      type: type,
      contentType: contentType,
      data: formData,
      success: function (data) {
        PlgDialog.close(pload);
        if (data.success) {
          PlgDialog.msg(data.message);
          setTimeout(function () {
            changePanel("commomfieldconfig_grid_01");
            grid.reload();
          });
        }
        else {
          setTimeout(() => { PlgDialog.alert(data.message == null ? "接口调用失败" : data.message); }, 300);
        }
      },
      error: function () { PlgDialog.close(pload); PlgDialog.msg("接口调用失败"); }
    });
  }

  //查看通用参照数据详细
  function show_commomfieldconfiginfo(rid, rdata) {
    $("#btn_save_commomfieldconfig_01").hide();
    $("#commomfieldconfig_span_title").html("通用参照数据 [" + rdata.objectcode + "] 信息查看");
    changePanel("commomfieldconfig_grid_01_edit");
    $("#commomfieldconfig_grid_sub").removeClass();

    new PlgPanel({
      renderer: "commomfieldconfig_grid_sub",
      skin: 2,
      header: {
        isShow: true,
        title: "基本信息"
      },
      defaultBody: {
        layoutCol: 3,
        valueBj: true,
        cols: [
          [{
            label: "字段编号",
            value: rdata.objectcode
          },
          {
            label: "字段名称",
            value: rdata.description
          },
          {
            label: "修改等级",
            value: Prolog.getNameByID(rsp_modifylevel, rdata.modifylevel)
          },
          {
            label: "分组号",
            value: Prolog.getNameByID(rsp_groupcode, rdata.groupcode)
          },
          {
            label: "是否可修改",
            value: rdata.ismodify == "1" ? "是" : "否"
          },
          {
            label: "备注",
            value: rdata.remarktext
          }],
          [
            {
              label: "创建人",
              value: rdata.createby
            },
            {
              label: "创建时间",
              value: rdata.createdate
            }
          ]
        ]
      }
    });
  }

  //显示列维护
  function show_commomfieldconfigcol(rdata) {
    type = 2;
    tmp_rdata = rdata;
    $("#commomfieldconfig_span_title").html("通用参照数据 [" + rdata.objectcode + "] 维护显示列");
    $("#commomfieldconfig_grid_sub").removeClass("ul_bg");
    $("#btn_save_commomfieldconfig_01").show();
    var rediv = "commomfieldconfig_grid_sub";
    param.type = 0;

    $("#" + rediv).html("");
    var gridOpts3 = {
      skin: "terrace",
      rowId: "column_name",
      columns: [
        { id: "column_name", name: "字段编号", type: "ro", width: 150 },
        { id: "ifshow", name: "是否显示", type: "ch", width: 150 },
        { id: "comments", name: "显示名称", type: "ed", width: "*" }
      ],
      toolbar: [],
      multiselect: false,
        url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/refdata/show-cols",
      type: "POST",
      contentType: "application/x-www-form-urlencoded",
      page: false
    };

    grid3 = new PlgGrid(gridOpts3);
    grid3.renderTo(rediv);

    if (rdata.colnamelist == null || rdata.colnamelist == "") {
      grid3.loadData();
    }
    else {
      try {
        var td = {
          "success": true, "message": "成功", "code": "200", "data": {
            "list": JSON.parse(rdata.colnamelist), "totalCount": 0, "pageCount": 0, "pageNum": 1, "pageSize": 0, "startRow": 0, "endRow": 0
          }
        };
        grid3.loadData(td);
      }
      catch (a) {
        grid3.loadData();
      }
    }

    grid3.getGrid().enableEditEvents(true, false, true);

  }
  function save_showcol(rdata) {
    //加载等待
    var pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    var dd = [], ifshow;
    for (var i = 0; i < grid3.getGrid().getRowsNum(); i++) {
      ifshow = grid3.getCellValue(grid3.getRowId(i), 2);
      if (grid3.getCellValue(grid3.getRowId(i), 1) == "sortnum") ifshow = "1";
      dd.push({
        "column_name": grid3.getCellValue(grid3.getRowId(i), 1),
        "comments": grid3.getCellValue(grid3.getRowId(i), 3),
        "ifshow": ifshow
      });
    }
    Prolog.ajax({
      url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/refdata/hdr/update",
      type: "put",
      contentType: "application/x-www-form-urlencoded",
      data: { "objectcode": rdata.objectcode, "description": rdata.description, "ismodify": rdata.ismodify, "colnamelist": JSON.stringify(dd) },
      success: function (data) {
        PlgDialog.close(pload);
        if (data.success) {
          PlgDialog.msg(data.message);
          setTimeout(function () {
            changePanel("commomfieldconfig_grid_01");
            grid.reload();
          }, 10);
        }
        else {
          setTimeout(() => { PlgDialog.alert(data.message == null ? "接口调用失败" : data.message); }, 300);
        }
      },
      error: function () { PlgDialog.close(pload); PlgDialog.msg("接口调用失败"); }
    });
  }


  //明细维护
  var formData;
  function commomfieldconfig_sc_Init(rid, rdata) {
    var rediv = "commomfieldconfig_grid_02_table";
    formData = [];
    $("#" + rediv).html("");
    $("#commomfieldconfig_grid_02_table_tit").html("维护明细 [ " + rdata.objectcode + " ]");


    //获取选中行数据
    var rowData = rdata;
    var colData = [
      { id: "sortnum", name: "排序号", type: "ro", width: 80, hidden: true },
      { id: "objectcode", name: "字段编号", type: "ro", width: 150 },
      { id: "code", name: "字段值", type: "ro", width: 150 },
      { id: "name", name: "显示名称", type: "ro", width: 150 },
      { id: "groupcode1", name: "分组编号", type: "ro", width: "*" }
    ];
    formData = [
      { type: "settings", inputWidth: 200, width: "*", labelWidth: 100, position: "label-left", labelAlign: "left" },
      {
        type: "block", width: "*",
        list: [
          { type: "input", name: "objectcode", label: "字段编号:", value: rid, disabled: true, required: true },
          { type: "newcolumn", offset: 40 },
          { type: "input", name: "sortnum", label: "排序号:", required: true }
        ]
      },
      {
        type: "block", width: "*",
        list: [
          { type: "input", name: "name", label: "显示名称:", required: true },
          { type: "newcolumn", offset: 40 },
          { type: "input", name: "code", label: "字段值:", required: true }
        ]
      },
      {
        type: "block", width: 520,
        list: [{ type: "input", name: "groupcode1", label: "分组编号:" }]
      }];

    //根据显示维护列生成grid参数
    var collist = rowData.colnamelist ? $.parseJSON(rowData.colnamelist) : null;
    if (collist != null && collist.length > 0) {
      var tmp = [];

      //生成grid1动态列参数
      colData = [];
      colData.push({ id: "sortnum", name: "排序号", type: "ro", hidden: true });
      for (var i = 0; i < collist.length; i++) {
        if (collist[i].ifshow == "1" && collist[i].column_name !== "sortnum") {
          colData.push({ id: collist[i].column_name, name: collist[i].comments, type: "ro", width: "*" });
        }

        //获取formData动态字段数据
        if (collist[i].ifshow == "1") {
          var s1 = collist[i].column_name;
          var s2 = collist[i].comments;
          if (s2 == null || s2 == "") s2 = s1;
          if (s1 == "objectcode") {
            tmp.push({ type: "input", name: s1, label: s2 + ":", value: grid.getSelectedRowId(), disabled: true });
          }
          else if (s1 == "sortnum") {
            tmp.push({ type: "input", name: s1, label: s2 + ":" });
          }
          else {
            tmp.push({ type: "input", name: s1, label: s2 + ":" });
          }
        }
      }

      //生成formData参数
      var n = 0;
      formData = [];
      for (let i = 0; i < tmp.length; i++) {
        if (i == 0) {
          formData.push({ type: "block", width: "*", list: [tmp[i]] });
        }
        else {
          if (i % 2) {
            formData[n].list.push({ type: "newcolumn", offset: 40 });
            formData[n].list.push(tmp[i]);
          }
          else {
            formData.push({ type: "block", width: "*", list: [tmp[i]] });
            n++;
          }
        }
      }
      formData.push({ type: "settings", inputWidth: 200, width: "*", labelWidth: 100, position: "label-left", labelAlign: "left" });
    }
    colData.push({
      id: "op", name: "操作", type: "button", align: "center", width: 150, render: function () {
        return "修改^res_commomFieldConfig_edit2Click,删除^res_commomFieldConfig_del2Click";
      }
    });

    var gridOpts2 = {
      skin: "terrace",
      rowId: "sortnum",
      columns: colData,
      multiselect: false,
      fixedLast: true,
      formData: [],
        url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/refdata/dtl/get-part",
      type: "POST",
      params: JSON.stringify({ "objectcode": rowData.objectcode }),
      contentType: "application/json",
      toolbar: [
      ],
      page: false,
      totalCount: "totalCount"
    };
    grid1 = new PlgGrid(gridOpts2);
    grid1.renderTo(rediv);
    grid1.loadData();

    // 双击行编辑
    grid1.on("onRowDblClicked", function () { res_commomFieldConfig_edit2Click(grid1.getSelectedRowId(), grid1.getSelectedRowData()); });
  }
  $("#btn_commomfieldconfig_02_add").click(function () {
    addcommomfieldconfig_sc();
  });
  //明细维护-添加
  function addcommomfieldconfig_sc() {
    type = 0;
    var str = "<div class=\"layui-col-lg12\" id=\"commomfieldconfig_grid_02_add_content\"></div>";
    $("#commomfieldconfig_grid_02_sub").html(str);
    $("#commomfieldconfig_02_add_btn_next").show();
    changePanel("commomfieldconfig_grid_02_edit");
    commomfieldconfig_scFormInit(0, {});

  }

  //明细维护-表单
  function commomfieldconfig_scFormInit(ntype, rdata) {
    var tit = "新增通用参照数据明细";
    var rediv = "commomfieldconfig_grid_02_add_content";
    if (ntype == 1) {
      tit = "通用参照数据明细 [" + rdata.objectcode + "] 信息修改";
      rediv = "commomfieldconfig_grid_02_sub";
    }
    $("#commomfieldconfig_span_02_title").html(tit);
    $("#" + rediv).html("");

    var formcfg = {
      renderer: rediv,
      items: formData
    };
    form1 = new PlgForm(formcfg);
    form1.setFormData(rdata);

    if (ntype == 1) {
      form1.getDForm().disableItem("objectcode");
      //form1.getDForm().disableItem("sortnum");
      //form1.getDForm().disableItem("code");
    }
  }

  //明细维护-保存
  $("#btn_save_commomfieldconfig_02").click(function () {
    var b = form1.validate();
    if (!b) return;
    var fd = form1.getFormData();
    if (type == 0) {
      save_commomfieldconfig_scinfo(grid1, UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/refdata/dtl/create", "post", "application/json", JSON.stringify([fd]));
    }
    else if (type == 1) {
      save_commomfieldconfig_scinfo(grid1, UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/refdata/dtl/update", "post", "application/json", JSON.stringify([fd]));
    }
  });
  function save_commomfieldconfig_scinfo(grid, url, type, contentType, formData) {
    //加载等待
    var pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    var rep = null;
    Prolog.ajax({
      url: url,
      type: type,
      contentType: contentType,
      data: formData,
      async: false,
      success: function (data) {
        PlgDialog.close(pload);
        rep = data;
        if (data.success) {
          PlgDialog.msg(data.message);
          setTimeout(function () {
            changePanel("commomfieldconfig_grid_02");
            grid.reload();
          }, 10);
        }
        else {
          setTimeout(() => { PlgDialog.alert(data.message == null ? "接口调用失败" : data.message); }, 300);
        }
      },
      error: function () { PlgDialog.close(pload); PlgDialog.msg("接口调用失败"); }
    });
    return rep;
  }

  function bindRefdata(rsp, data, addNsN) {
    if (addNsN) {
      rsp.push({ text: "", value: "" });
    }
    for (var i = 0; i < data.length; i++) {
      rsp.push({ text: data[i].text, value: data[i].value });
    }
  }

  window.res_commomFieldConfig_edit1Click = function (rid, rdata) {
    grid.selectRowById(rid);
    type = 1;
    changePanel("commomfieldconfig_grid_01_edit");
    commomfieldconfigFormInit(1, rdata);
    return false;
  };
  window.res_commomFieldConfig_edit2Click = function (rid, rdata) {
    grid1.selectRowById(rid);
    type = 1;
    changePanel("commomfieldconfig_grid_02_edit");
    commomfieldconfig_scFormInit(1, rdata);
    return false;
  };
  window.res_commomFieldConfig_del1Click = function (rid) {
    Prolog.delGridRowData(grid, UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/refdata/hdr/delete", "post", "application/json", JSON.stringify({ "objectcode": rid }), false);
    return false;
  };
  window.res_commomFieldConfig_del2Click = function (rid, rdata) {
    Prolog.delGridRowData(grid1, UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/refdata/dtl/delete", "post", "application/json", JSON.stringify([{ "sortnum": rid, "objectcode": rdata.objectcode, "code": rdata.code }]), false);
    return false;
  };
  window.res_commomFieldConfig_showClick = function (rid, rdata) {
    grid.selectRowById(rid);
    type = 0;
    if (rid == null) {
      PlgDialog.msg("请选择行!");
      return;
    }
    show_commomfieldconfigcol(rdata);
    changePanel("commomfieldconfig_grid_01_edit");
    return false;
  };
  window.res_commomFieldConfig_show1Click = function (rid, rdata) {
    grid.selectRowById(rid);
    changePanel("commomfieldconfig_grid_02");
    commomfieldconfig_sc_Init(rid, rdata);
    return false;
  };
  window.res_commomFieldConfig_show2Click = function (rid, rdata) {
    grid.selectRowById(rid);
    show_commomfieldconfiginfo(rid, rdata);
    return false;
  };
};