// /**分页查询接口重试日志 */
import request from '@/utils/request';
import { extendedFieldList } from '@/blocks/utils';



// initDictionary([{ objectcode: 'CONTAINER_TYPE' }, { objectcode: 'MAINDATA_STATUS' }, { objectcode: 'DEVICE_TYPE' }]).then(res => {
//   this.options.CONTAINER_TYPE = res.CONTAINER_TYPE.map(item => {
//     item.value = +item.value
//     return item
//   })
//   this.options.MAINDATA_STATUS = res.MAINDATA_STATUS.map(item => {
//     item.value = +item.value
//     return item
//   })
//   this.options.DEVICE_TYPE = res.DEVICE_TYPE.map(item => {
//     item.value = +item.value
//     return item
//   })
// })

import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE } from '@/config/serviceSettings.js'
const serviceName = UPCLOUD_RDC_TMS_MAINDATA_SERVICE
export const add_item = () => {};
export const import_item = () => {};

export const enable_item = () => {};

export const disable_item = () => {};

export const show_info_item = () => {};
export const update_item = () => {};

export const importUrl = serviceName + '/vehicle/batchImportVehicle';
export const mainDownUrl = serviceName + '/vehicle/download_template';
export const paper_device_url = serviceName + '/vehicle/paging_query_device'; // 车辆-设备资料分页查询 POST
export const pop_device_url = serviceName + '/device/pop'; // 车辆-设备弹框分页查询 POST
export const paper_container_url = serviceName + '/vehicle/pageVehicleContainerData'; //  容器资料分页查询 POST
export const pop_container_url = serviceName + '/container/pop'; //  容器资料弹窗 POST




export const cargo_ownerUrl = serviceName + '/cargo_owner/popup'; //货主
export const queryCarriersUrl = serviceName + '/carrier/popup'; //承运商
// //分页查询接口重试日志 GET
export const mainTableInfoUrl = serviceName + '/vehicle/paging_query';
//司机绑定查询
export const getBindCarUrl = serviceName + '/vehicle/paging_query_driver';

export const getPopDevice = (_this, data) => {
  _this.confirmLoading = true;

  return request({
    url: pop_device_url,
    method: 'post',
    data
  })
    .then((response) => {
      _this.confirmLoading = false;

      if (response.success) {
        return response;
      } else {
        _this.$exception(response);
        return false;
      }
    })
    .catch((response) => {
      _this.confirmLoading = false;
    });
};
export const getPopContainer = (_this, data) => {
  _this.confirmLoading = true;

  return request({
    url: pop_container_url,
    method: 'post',
    data
  })
    .then((response) => {
      _this.confirmLoading = false;

      if (response.success) {
        return response;
      } else {
        _this.$exception(response);
        return false;
      }
    })
    .catch((response) => {
      _this.confirmLoading = false;
    });
};

//车辆查询
export const getBindAll = (_this, data) => {
  _this.confirmLoading = true;

  return request({
    url: serviceName+'/driver/popup',
    //getBindCarUrl,
    method: 'post',
    data
  })
    .then((response) => {
      _this.confirmLoading = false;

      if (response.success) {
        return response;
      } else {
        _this.$exception(response);
        return false;
      }
    })
    .catch((response) => {
      _this.confirmLoading = false;
    });
};

//证件资料新增
export const paper_add_url = serviceName + '/vehicle/paper_add'; //证件新增
export const paper_update_url = serviceName + '/vehicle/paper_modify'; //证件修改

//保存资料
export const savePaper = function(_this, st, data) {
  _this.confirmLoading = false;
  return request({
    url: st > 1 ? paper_update_url : paper_add_url,
    method: 'post',
    data
  }).then(responseThen.bind(_this)).catch((response) => {
    _this.confirmLoading = false;
  });
};

export const getLinkUrl = serviceName + '/vehicle/paging_query_line'; //车辆常跑线路查看
export const getCertificateUrl = serviceName + '/vehicle/paging_query_paper'; //证件资料

function responseThen(response) {
  if (response.success) {
    this.visible = false;
    this.$message.success(response.message);
  } else {
    this.$exception(response);
  }
  setTimeout(() => {
    this.confirmLoading = false;
  }, 1000);
  return response;
}

//车辆资料新增|修改
export const saveMainData = (_this, data, st) => {
  _this.confirmLoading = true;
  let userCategory = _this.$store.getters?.userInfo?.userCategory ?? null
  if (userCategory !== 'I') {
    data.affiliationType=2
  }
  return request({
    url: serviceName + (st > 1 ? '/vehicle/modify' : '/vehicle/add'),
    method: 'post',
    data
  })
    .then(responseThen.bind(_this))
    .catch((response) => {
      _this.confirmLoading = false;
    });
};

export const mainIsEnable = (context, vehicleByIds, status) => {
  if (status === 1) {
    status=10
  }
  return new Promise((resolve) => {
    context.$confirm({
      title: '是否' + (status > 0 ? '启用' : '禁用') + '?',
      confirmLoading: context.confirmLoading,
      onOk(clear) {
        context.confirmLoading = true;
        return request({
          url: serviceName + '/vehicle/whether_to_enable',
          method: 'post',
          data: {
            status,
            vehicleByIds
          }
        }).then((response) => {
          if (response.success) {
            clear();
            context.$refs.mainTable.reload();
          } else {
            context.$exception(response);
          }
          context.confirmLoading = false;
          return resolve(response);
        });
      }
    });
  });
};
export const deleteMainItem = (context, id) => {
  return new Promise((resolve) => {
    context.$confirm({
      title: '删除之后,不能再启用,确认是否删除!',
      confirmLoading: context.confirmLoading,
      onOk(clear) {
        context.confirmLoading = true;
        return request({
          url: serviceName + '/vehicle/delete',
          method: 'post',
          data: id
        }).then((response) => {
          if (response.success) {
            clear();
            context.$refs.mainTable.reload();

          } else {
            context.$exception(response);
          }
          context.confirmLoading = false;
          return resolve(response);
        });
      }
    });
  });
};

export const paperIsEnable = (context, vehiclePaperIds, status, vehicleId) => {
  if (status === 1) {
    status=10
  }
  return new Promise((resolve) => {
    context.$confirm({
      title: '是否' + (status > 0 ? '启用' : '禁用') + '?',
      confirmLoading: context.confirmLoading,
      onOk(clear) {
        context.confirmLoading = true;
        return request({
          url: serviceName + '/vehicle/paper_whether_to_enable',
          method: 'post',
          data: {
            status,
            vehiclePaperIds
          }
        }).then((response) => {
          if (response.success) {
            clear();
            context.$refs.table_3.reload({ data: { vehicleId } });
          } else {
            context.$exception(response);
          }
          context.confirmLoading = false;
          return resolve(response);
        });
      }
    });
  });
};

//车辆绑定司机删除
export const removeVehicle = (context, data, vehicleId) => {
  return new Promise((resolve) => {
    context.$confirm({
      title: '是否删除车辆绑定司机?',
      confirmLoading: context.confirmLoading,
      onOk(clear) {
        context.confirmLoading = true;
        return request({
          url: serviceName + '/vehicle/driver_delete',
          method: 'post',
          data
        }).then((response) => {
          if (response.success) {
            clear();
            context.$refs.table_1.reload({ data: { vehicleId } });
          } else {
            context.$exception(response);
          }
          context.confirmLoading = false;
          return resolve(response);
        });
      }
    });
  });
};

//车辆绑定司机删除
export const removeDevice= (context, data, vehicleId) => {
  return new Promise((resolve) => {
    context.$confirm({
      title: '是否删除车辆绑定设备?',
      confirmLoading: context.confirmLoading,
      onOk(clear) {
        context.confirmLoading = true;
        return request({
          url: serviceName + '/vehicle/device_delete',
          method: 'post',
          data
        }).then((response) => {
          if (response.success) {
            clear();
            context.$refs.table_4.reload({ data: { vehicleId } });
          } else {
            context.$exception(response);
          }
          context.confirmLoading = false;
          return resolve(response);
        });
      }
    });
  });
};


//删除证件
export const removeCard = (context, data,vehicleId) => {
  return new Promise((resolve) => {
    context.$confirm({
      title: '是否删除证件?',
      confirmLoading: context.confirmLoading,
      onOk(clear) {
         if (context.st === 1) {
          data.forEach(item => {
            let index = context.dataSource_3.findIndex(row => {
              return row.id === item.paperId
            })
            if (index > -1) {
              context.dataSource_3.splice(index, 1)
            }
          })
          return clear()
        }
        context.confirmLoading = true;
        return request({
          url: serviceName + '/vehicle/paper_delete',
          method: 'post',
          data
        }).then((response) => {
          if (response.success) {
            clear();
            context.refTable.reload({ data: { vehicleId } });
          } else {
            context.$exception(response);
          }
          context.confirmLoading = false;
          return resolve(response);
        });
      }
    });
  });
};

//删除容器
export const removeContainer = (context, data,vehicleId) => {
  return new Promise((resolve) => {
    context.$confirm({
      title: '是否删除容器?',
      confirmLoading: context.confirmLoading,
      onOk(clear) {

        context.confirmLoading = true;
        return request({
          url: serviceName + '/vehicle/deleteVehicleContainer',
          method: 'post',
          data
        }).then((response) => {
          if (response.success) {
            clear();
            context.refTable.reload({ data: { vehicleId } });
          } else {
            context.$exception(response);
          }
          context.confirmLoading = false;
          return resolve(response);
        });
      }
    });
  });
};
