const remote = (self, type) => {
  return {
    customRender: (text) => {

      if (self.options[type]) {
        let _txt = self.options[type].find((item) => {
          return item.value === +text;
        });
        return _txt ? _txt.label : '无';
      }
      return text;
    }
  };
};
export const setMainColumns = (self, data = []) => {
  return [
    { dataIndex: 'id', title: 'ID', hidden: true },
    {
      dataIndex: 'code',
      align: 'center',
      title: '车辆编码'
      // hidden: true,
    },
    {
      dataIndex: 'plateNumber',
      align: 'center',
      title: '车牌号'
    },
    { dataIndex: 'departmentName', title: '部门' },

    {
      dataIndex: 'type',
      align: 'center',
      title: '归属',
      ...remote(self, 'VEHICLE_TYPE')
    },
    {
      title: '隶属机构',
      dataIndex: 'affiliationName',
      align: 'center',
    },
    {
      title: '状态',
      dataIndex: 'status',
      align: 'center',
      ...remote(self, 'MAINDATA_STATUS')
    },
    {
      title: '车型编码',
      dataIndex: 'vehicleTypeCode',
      align: 'center',
    },
    {
      title: '车型名称',
      dataIndex: 'vehicleTypeName',
      align: 'center'
    },
    {
      title: '品牌',
      dataIndex: 'brandName',
      align: 'center',
     // ...remote(self, 'VEHICLE_TYPE_BRAND')
    },
    {
      title: '类别',
      dataIndex: 'vehicleTypeCategoryName',
      align: 'center',
     // ...remote(self, 'VEHICLE_TYPE_CATEGORY')
    },
    {
      title: '长(m)',
      dataIndex: 'length',
      align: 'center',
    },
    {
      title:'宽(m)',
      dataIndex: 'width',
      align: 'center',
    },
    {
      title: '高(m)' ,
      dataIndex: 'height',
      align: 'center',
    },
    {
      title: '最大行驶里程(公里)',
      dataIndex: 'maxMileage',
      align: 'center',
    },
    {
      title: '载重(kg)',
      dataIndex: 'weight',
      align: 'center',
    },
    {
      title: '载方(m³)',
      dataIndex: 'volume',
      align: 'center',
    },
    {
      title: '里程管理',
      dataIndex: 'mileageManagementName',
      align: 'center',
    },
    // {
    //   title: '设备号',
    //   dataIndex: 'deviceName',
    //   align: 'center',
    // },
    {
      title: '备注',
      dataIndex: 'memo',
      align: 'center',
    },
    ...data,
    { dataIndex: 'createperson', title: '创建人', width: 100 },
    { dataIndex: 'createtime', title: '创建时间', width: 150 },
    { dataIndex: 'updateperson', title: '修改人', width: 100 },
    { dataIndex: 'updatetime', title: '修改时间', width: 150 },

    {
      key: 'operation',
      title: '操作',
      width: 170,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' }
    }
  ];
};
