export const setMainColumns = (self, data = []) => {
  return [
    { dataIndex: 'id', title: 'ID', hidden: true },
    { dataIndex: 'code', title: '送货员编码' },
    { dataIndex: 'name', title: '送货员姓名' },
    { dataIndex: 'departmentName', title: '部门',width: 200 },
    {
      dataIndex: 'type',
      title: '归属',
      align: 'center',
      customRender: (text, data) => {
        if (self.options.DRIVER_TYPE) {
          return self.options.DRIVER_TYPE[[+text - 1]].label;
        }

        return data.typeName;
      }
    },
    { dataIndex: 'affiliationName', title: '隶属机构' },
    { dataIndex: 'phoneNumber', title: '手机号' },
    {
      dataIndex: 'statusName',
      title: '状态',
      align: 'center',
      customRender: (text, data) => {
        return self._c('a-badge', {
          attrs: {
            color: data.status > 0 ? 'cyan' : 'red',
            text
          }
        });
      }
    },
    { dataIndex: 'memo', title: '备注', width: 120 },
    ...data,
    { dataIndex: 'createperson', title: '创建人', width: 100 },
    { dataIndex: 'createtime', title: '创建时间', width: 150 },
    { dataIndex: 'updateperson', title: '修改人', width: 100 },
    { dataIndex: 'updatetime', title: '修改时间', width: 150 },
    {
      key: 'operation',
      title: '操作',
      width: 180,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' }
    }
  ];
};
