const customRender = (self, type) => {
  return (text, data) => {
    if (self.options[type] && Array.isArray(self.options[type])) {
      let value = self.options[type].find((item) => item.value === text)
      return value ? value.label : text
    }
    return text
  }
}

// 主表
export const setMainColumns = (self, expData = []) => {
  return [
    { dataIndex: 'itemCategoryCode', title: '商品品类编码', width: 120, },
    { dataIndex: 'itemCategoryName', title: '商品品类名称', width: 120, },
    { dataIndex: 'itemCategoryLevel', title: '类目级别', width: 120, customRender: customRender(self, 'ITEM_CATEGORY_LEVEL'), },
    { dataIndex: 'cargoOwnerName', title: '所属货主', width: 120, },
    { dataIndex: 'fatherItemCategoryCode', title: '上级商品品类编码', width: 120, },
    { dataIndex: 'fatherItemCategoryName', title: '上级商品品类名称', width: 120, },
    { dataIndex: 'fatherItemCategoryLevel', title: '上级类目级别', width: 120, customRender: customRender(self, 'ITEM_CATEGORY_LEVEL'), },
    { dataIndex: 'memo', title: '备注', width: 120, },
    { dataIndex: 'statusName', title: '状态', width: 120, },
    ...expData,
    { dataIndex: 'createperson', title: '创建人', width: 120, },
    { dataIndex: 'createtime', title: '创建时间', width: 120, },
    { dataIndex: 'updateperson', title: '修改人', width: 120, },
    { dataIndex: 'updatetime', title: '修改时间', width: 120, },
    {
      key: 'operation',
      title: '操作',
      width: 180,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' },
    },
  ]
}