
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE } from '@/config/serviceSettings.js'

/**
 * 收货方
 * */
export const consigneeAttr = {
  label: '收货方',
  placeholder: '请选择收货方',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/tmsBaseCustomer/queryCustomerAndReceiver', method: 'post' },
  rowKey: 'id',
  toolBar: {
    items: [
      { type: 'input', name: 'customerCode', label: '客户编码' },
      { type: 'input', name: 'customerName', label: '客户名称' },
      { type: 'input', name: 'cargoOwnerName', label: '货主' },
    ],
  },
  tableConfig: {
    rowSelectType: 2,
    scroll: { x: true },
    columns: [
      { dataIndex: 'code', title: '客户编码' },
      { dataIndex: 'name', title: '客户姓名' },
      { dataIndex: 'cargoOwnerName', title: '货主' },
    ],
  },
}

/**
 * 线路
 * */
export const lineAttr = {
  label: '线路',
  placeholder: '请选择线路',
  targetClick: true,
  targetValueKey: 'name',
  remoteUrl: { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/line/move_target_line_query', method: 'post' },
  rowKey: 'lineId',
  toolBar: {
    items: [
      { type: 'input', name: 'lineCode', label: '线路编码' },
      { type: 'input', name: 'lineName', label: '线路名称' },
    ],
  },
  tableConfig: {
    scroll: { x: true },
    columns: [
      { dataIndex: 'lineCode', title: '线路编码' },
      { dataIndex: 'lineName', title: '线路名称' },
      { dataIndex: 'departmentName', title: '部门' },
      { dataIndex: 'lineTypeName', title: '线路类型' },
      { dataIndex: 'startLineTypeName', title: '线路起点类型' },
      { dataIndex: 'distinguishTypeName', title: '划分类型' },
      { dataIndex: 'carrierTypeName', title: '承运方类型' },
      { dataIndex: 'totalMileage', title: '总里程数' },
    ],
  },
}