export const baseColor = {
  color: 'rgba(0, 0, 0, 0.65)',
  background: 'transparent',
}
function divider(self, value) {
  return {
    label: '',
    span: 24,
    itemHeight: '60px',
    labelCol: { span: 0 },
    wrapperCol: { span: 24 },
    type: () => {
      return self._c('a-divider', { attrs: { orientation: 'left' } }, [self._v(value)])
    },
  }
}

export const setFormItems = (self) => {
  return [
    divider(self, '全局参数设置'),
    {
      name: 'DRIVER_QR_SHOW_TYPE',
      label: '二维码生成方式',
      type: 'select',
      style: {
        marginRight: '50%'
      },
      get options() {
        return self.options.DRIVER_QR_SHOW_TYPE
      },
      labelCol: { span: 8 },
      span: 12,
    },
    {
      // style: { display: 'inline-block', width: '25%' },
      name: 'LOCATE_INTERVAL',
      label: '车辆定位间隔',
      unit: '分钟',
      labelCol: { span: 8 },
      span: 12,
      type: 'select',
      get options() {
        return self.options.LOCATE_INTERVAL
      },
    },
    {
      // style: { display: 'inline-block', width: '300px', marginRight: '50%' },
      name: 'GPS_SAVE_DAYS',
      label: '车辆轨迹保存',
      span: 12,
      labelCol: { span: 8 },

      type: 'number',
      unit: '天'
    },
    {
      name: 'PICKUP_HANDLE_TYPE',
      label: '待提货处理方式',
      type: 'select',
      labelCol: { span: 8 },
      span: 12,
      get options() {
        // -- 待提货处理方式  PICKUP_HANDLE_TYPE

        return self.options.PICKUP_HANDLE_TYPE
      },
    },
    {
      name: 'DELIVERY_HANDLE_TYPE',
      label: '待送达处理方式',
      type: 'select',
      get options() {
        // 待送达处理方式 DELIVERY_HANDLE_TYPE
        return self.options.DELIVERY_HANDLE_TYPE
      },
      labelCol: { span: 8 },
      span: 12,
    },
    {
      span: 12,
      name: 'ARRIVE_NOTEQUAL_DELIVERY_HANDLETYPE',
      label: '送达数量不等于配送数量处理方式',
      type: 'select',
      labelCol: { span: 8 },
      get options() {
        return self.options.ARRIVE_NOTEQUAL_DELIVERY_HANDLETYPE
      },
    },
    {
      span: 12,
      // style: {
      //   marginRight: '50%'
      // },
      labelCol: { span: 8 },
      name: 'SHIPBILL_ID_CREATE_RULE',
      label: '拆分,中转子单运单号生成方式',
      type: 'select',
      get options() {
        return self.options.SHIPBILL_ID_CREATE_RULE
      },
    },
    {
      span: 12,
      // style: {
      //   marginRight: '50%'
      // },
      labelCol: { span: 8 },
      name: 'SIGNIN_NOTEQUAL_DELIVERY_HANDLETYPE',
      label: '签收数量不等于配送数量处理方式',
      type: 'select',
      get options() {
        return self.options.SIGNIN_NOTEQUAL_DELIVERY_HANDLETYPE
      },
    },
    {
      name: 'LOADING_BILL_CREATE_RULE',
      label: '多个发货地址调度单生成方式',
      type: 'select',
      labelCol: { span: 8 },
      get options() {
        // 待装卸列表显示方式 LOADING_SHOW
        return self.options.LOADING_BILL_CREATE_RULE
      },
    },
    {
      name: 'RELATION_THIRD_SYSTEM',
      label: '关联外围系统',
      type: 'select',
      mode: "multiple",
      required: true,
      labelCol: { span: 8 },
      get options() {
        return self.options.RELATION_THIRD_SYSTEM
      },
      on: {
        change(value, label, options, form) {
          if (!value.length) {
            options.forEach(item => {
              self.$set(item, 'disabled', false)
            })
          }
          else if (value.includes('0')) {
            options.forEach(item => {
              if (item.value !== '0') self.$set(item, 'disabled', true)
            })
          }
          else {
            options.forEach(item => {
              if (item.value === '0') self.$set(item, 'disabled', true)
            })
          }
        }
      }
    },
    {
      name: 'EVENT_FEEDBACK_MODE',
      label: '事件反馈方式',
      type: 'select',
      mode: "multiple",
      labelCol: { span: 8 },
      get options() {
        return self.options.EVENT_FEEDBACK_MODE
      },
      on: {
        change(value, label, options, form) {
          if (value.includes('1')) {
            options.forEach(item => {
              if (item.value === '2') self.$set(item, 'disabled', true)
            })
          } else {
            options.forEach(item => {
              if (item.value === '2') self.$set(item, 'disabled', false)
            })
          }
          if (value.includes('2')) {
            options.forEach(item => {
              if (item.value === '1') self.$set(item, 'disabled', true)
            })
          } else {
            options.forEach(item => {
              if (item.value === '1') self.$set(item, 'disabled', false)
            })
          }
          if (value.includes('3')) {
            options.forEach(item => {
              if (item.value === '4') self.$set(item, 'disabled', true)
            })
          } else {
            options.forEach(item => {
              if (item.value === '4') self.$set(item, 'disabled', false)
            })
          }
          if (value.includes('4')) {
            options.forEach(item => {
              if (item.value === '3') self.$set(item, 'disabled', true)
            })
          } else {
            options.forEach(item => {
              if (item.value === '3') self.$set(item, 'disabled', false)
            })
          }
        }
      }
    },
    {
      name: 'DRIVER_VOICE_BROADCAST_SWITCH',
      label: '是否开启司机语音播报',
      type: 'select',
      labelCol: { span: 8 },
      get options() {
        return self.options.ENABLE_STATUS
      },
      on: {
        change(value, label, options, form) {
          form.setFieldsValue({ VOICE_BROADCAST_INTERVAL: undefined, DRIVER_VOICE_BROADCAST_SHIP_TEMPLATE: undefined, DRIVER_VOICE_BROADCAST_DELIVERY_TEMPLATE: undefined })
          if (value == 1) {
            form.unhiddenItem(['VOICE_BROADCAST_INTERVAL', 'DRIVER_VOICE_BROADCAST_SHIP_TEMPLATE', 'DRIVER_VOICE_BROADCAST_DELIVERY_TEMPLATE'])
          } else {
            form.hiddenItem(['VOICE_BROADCAST_INTERVAL', 'DRIVER_VOICE_BROADCAST_SHIP_TEMPLATE', 'DRIVER_VOICE_BROADCAST_DELIVERY_TEMPLATE'])
          }
        }
      }
    },
    {
      name: 'VOICE_BROADCAST_INTERVAL',
      label: '语音播报间隔',
      type: 'number',
      labelCol: { span: 8 },
      unit: '分钟'
    },
    {
      name: 'MAX_INTELLIGENT_DISPATCH_SHIP_BILL_NUM',
      label: '智能调度选择运单数上限',
      type: 'number',
      value:1000,
      labelCol: { span: 8 },
      unit: '单'
    },
    {
      name: 'DRIVER_VOICE_BROADCAST_SHIP_TEMPLATE',
      label: '司机启运语音播报配置',
      type: 'input',
      span: 12,
      labelCol: { span: 8 },
    },
    {
      span: 24,
      name: 'DRIVER_VOICE_BROADCAST_DELIVERY_TEMPLATE',
      label: '司机送达语音播报配置',
      type: 'input',
      span: 12,
      labelCol: { span: 8 },

    },

    {
      name: 'INTF_SHIPBILL_AUTO_CRT_GOODS',
      label: '接口订单自动生成商品及商品大类',
      type: 'select',
      span: 12,
      labelCol: { span: 8 },
      get options() {
        return self.options.GOODS_TRANSFINITE_ENABLED
      },
    },
    {
      name: 'INTF_SHIPBILL_AUTO_CRT_CONSIGNEE',
      label: '接口订单自动生成收货方',
      type: 'select',
      span: 12,
      labelCol: { span: 8 },
      // on: {
      //   change: function (value) {

      //     self.defaultGoodsVlaue = value
      //   }
      // },
      get options() {
        return self.options.GOODS_TRANSFINITE_ENABLED
      },
    },
    {
      name: 'PICK_UP_CHECK_DETAIL_SWITCH',
      label: '启运登记开启检查清单',
      type: 'select',
      span: 12,
      labelCol: { span: 8 },
      value:'0',
      options: [{ label: '开启', value: '1' }, {label:'关闭',value:'0'}]
    },

    {
      name: 'GOODS_TRANSFINITE_ENABLED',
      label: '是否启用商品超限',
      type: 'select',
      span: 12,
      labelCol: { span: 8 },
      on: {
        change: function (value) {

          self.defaultGoodsVlaue = value
        }
      },
      get options() {
        return self.options.GOODS_TRANSFINITE_ENABLED
      },
     //  options: [{value:'0',label:'否'},{value:'1',label:'是'}]
    },
    {
      type: 'row',
      span: 21,
      wrapperCol:{ span: 20 },
      push: 3,
      get hidden() {
            return!~~self.defaultGoodsVlaue
      },
      list:[
        {
          get required() {
            return self.defaultGoodsVlaue==1?true:false
          },
          value:self.options.GOODS_TRANSFINITE_LENGTH&&self.options.GOODS_TRANSFINITE_LENGTH[0].value,
          labelCol: { span: 8 },
          wrapperCol:{ span: 14 },
          label: '长度(mm)', name: 'GOODS_TRANSFINITE_LENGTH', type: 'number'
        },
        {
          get required() {
            return self.defaultGoodsVlaue==1?true:false
          },
          labelCol: { span: 8 },
          wrapperCol:{ span: 14 },
          value:self.options.GOODS_TRANSFINITE_WIDTH&&self.options.GOODS_TRANSFINITE_WIDTH[0].value,
          label: '宽度(mm)', name: 'GOODS_TRANSFINITE_WIDTH', type: 'number'
        },
        {
          get required() {
            return self.defaultGoodsVlaue==1?true:false
          },
          labelCol: { span: 8 },
          wrapperCol: { span: 14 },
          value:self.options.GOODS_TRANSFINITE_HEIGHT&&self.options.GOODS_TRANSFINITE_HEIGHT[0].value,
          label: '高度(mm)', name: 'GOODS_TRANSFINITE_HEIGHT', type: 'number'
        },
        {
          get required() {
            return self.defaultGoodsVlaue==1?true:false
          },

          labelCol: { span: 8 },
          wrapperCol: { span: 14 },
          value:self.options.GOODS_TRANSFINITE_WEIGHT&&self.options.GOODS_TRANSFINITE_WEIGHT[0].value,
          label: '重量(kg)', name: 'GOODS_TRANSFINITE_WEIGHT', type: 'number'
        },
      ]
    },
    divider(self, '装车扫描设置'),
    {
      name: 'SCANLOADING_METHED',
      label: '装车扫描方式',
      type: 'select',
      // requiredd: true,
      get options() {
        // -- 装车扫描方式  SCANLOADING_METHED
        return self.options?.SCANLOADING_METHED ?? []
      },
    },
    {
      name: 'CONTAINER_WITH_VEHICLE',
      label: '容器随车标识',
      type: "radio",
      get options() {
        return self.options?.WHETHER ?? []
      },
    },
    {
      name: 'SCAN_DISPATCH_METHOD',
      label: '扫描派车方式',
      type: 'select',
      // requiredd: true,
      get options() {
        // -- 装车扫描方式  SCANLOADING_METHED
        return self.options?.SCAN_DISPATCH_METHOD ?? []
      },
    },
    divider(self, '小程序-业务端设置'),
    {
      name: 'ARRAGE_GOODS_SHOW',
      label: '待理货列表显示方式',
      type: 'select',
      get options() {
        // -- 待理货列表显示方式  ARRAGE_GOODS_SHOW
        return self.options.ARRAGE_GOODS_SHOW
      },
    },
    {
      name: 'LOADING_SHOW',
      label: '待装卸列表显示方式',
      type: 'select',
      get options() {
        // 待装卸列表显示方式 LOADING_SHOW
        return self.options.LOADING_SHOW
      },
    },
    {
      name: 'APPOINTMENT_SHOW',
      label: '待预约列表显示方式',
      type: 'select',
      get options() {
        // -- 待预约列表显示方式 APPOINTMENT_SHOW
        return self.options.APPOINTMENT_SHOW
      },
    },

    {
      name: 'PICKUP_SHOW',
      label: '待提货列表显示方式',
      type: 'select',
      get options() {
        // --待提货列表显示方式  PICKUP_SHOW
        return self.options.PICKUP_SHOW
      },
    },
    {
      name: 'DELIVERY_SHOW',
      label: '待送达列表显示方式',
      type: 'select',
      get options() {
        //-- 待送达列表显示方式  DELIVERY_SHOW
        return self.options.DELIVERY_SHOW
      },
    },
    {
      name: 'DISPATCH_SELFPICK_HANDLE_TYPE',
      label: '待调度、待自提处理方式',
      type: 'select',
      get options() {
        return self.options.DISPATCH_SELFPICK_HANDLE_TYPE
      },
    },
    divider(self, '小程序-司机端设置'),
    {
      name: 'DRIVER_SHOW_TYPE',
      label: '司机端列表显示方式',
      type: 'select',
      get options() {
        return self.options.DRIVER_SHOW_TYPE
      },
      on: {
        change(value, label, options, form) {
          form.hiddenItem(['DRIVER_APPOINTMENT_SHOW', 'DRIVER_PICKUP_SHOW', 'DRIVER_DELIVERY_SHOW'])
          if (!value || value == 1) {
            form.setFieldsValue({ DRIVER_APPOINTMENT_SHOW: undefined, DRIVER_PICKUP_SHOW: undefined, DRIVER_DELIVERY_SHOW: undefined })
            return
          } else if (value == 2) {
            form.unhiddenItem(['DRIVER_PICKUP_SHOW', 'DRIVER_DELIVERY_SHOW'])
          } else if (value == 3) {
            form.unhiddenItem(['DRIVER_APPOINTMENT_SHOW', 'DRIVER_PICKUP_SHOW', 'DRIVER_DELIVERY_SHOW'])
          }
        },
      },
    },
    {
      name: 'DRIVER_OPEN_RECEIVE_REJECT',
      label: '司机开启接单拒绝',
      type: 'select',
      get options() {
        return self.options.DRIVER_OPEN_RECEIVE_REJECT
      },
    },
    {
      hidden: true,
      name: 'DRIVER_APPOINTMENT_SHOW',
      label: '司机待预约列表显示方式',
      type: 'select',
      get options() {
        return self.options.APPOINTMENT_SHOW
      },
    },
    {
      hidden: true,
      name: 'DRIVER_PICKUP_SHOW',
      label: '司机待提货列表显示方式',
      type: 'select',
      get options() {
        return self.options.PICKUP_SHOW
      },
    },
    {
      hidden: true,
      name: 'DRIVER_DELIVERY_SHOW',
      label: '司机待送达列表显示方式',
      type: 'select',
      get options() {
        return self.options.DRIVER_DELIVERY_SHOW
      },
    },
  ]
}



