import {consignee,shipper} from '../mainTable/tableConfig.js';

export default (self, exp = []) => {
  return [
    {
      dataIndex: 'shipbillNo',
      title: '运单号',
      width: 200,
      sorter: (a, b) => {
        if (!b.shipbillNo || !b.shipbillNo) return;
        return a.shipbillNo.replace(/[^0-9]/gi, '') - b.shipbillNo.replace(/[^0-9]/gi, '');
      },
      customRender: (txt, record) => {
        return self._c(
          'a',
          {
            attrs: {
              href: 'javascript:void(0)',
            },
          },
          [self._v(txt ? txt : '')]
        );
      },
    },

    {
      dataIndex: 'cargoOwnerName',
      title: '货主',
      width: 150,
      sorter: (a, b) => {
        return a.cargoOwnerName != b.cargoOwnerName;
      },
    },

    {
      dataIndex: 'orderNo',
      title: '订单号',
      width: 200,

      sorter: (a, b) => {
        if (!a.orderNo || !b.orderNo) {
          return;
        }
        return a.orderNo.replace(/[^0-9]/gi, '') - b.orderNo.replace(/[^0-9]/gi, '');
      },
    },
    {
      dataIndex: 'wmsOrderNo',
      title: 'WMS单号',
      width: 200,

      sorter: (a, b) => {
        if (!a.wmsOrderNo || !a.wmsOrderNo) return;
        return a.wmsOrderNo.replace(/[^0-9]/gi, '') - b.wmsOrderNo.replace(/[^0-9]/gi, '');
      },
    },


    {
      width: 80,

      dataIndex: 'statusName',
      title: '运单状态',
      align: 'center',
      sorter: (a, b) => {
        return a.status - b.status;
      },
    },

    {
      width: 100,
      dataIndex: 'orderTypeName',
      title: '订单类型',
      sorter: (a, b) => {
        return a.orderType - b.orderType;
      },
    },
    {
      dataIndex: 'orderBusinessTypeName',
      title: '业务类型',
      width: 100,
      sorter: (a, b) => {
        return a.orderBusinessType - b.orderBusinessType;
      },
    },
    {
      dataIndex: 'deliveryMethodTypeName',
      title: '配送方式',
      align: 'center',
      width: 150,
      sorter: (a, b) => {
        return a.deliveryMethodType - b.deliveryMethodType;
      },
    },
    {
      dataIndex: 'transportTypeName',
      title: '运输模式',
      width: 150,
      sorter: (a, b) => {
        return a.transportType - b.transportType;
      },
    },
    {
      dataIndex: 'temperatureRequirementName',
      title: '温度要求',
      width: 100,
      sorter: (a, b) => {
        return a.temperatureRequirement - b.temperatureRequirement;
      },
    },
    {
      dataIndex: 'lineName',
      title: '线路',
      width: 100,
      sorter: (a, b) => {
        return a.temperatureRequirement != b.temperatureRequirement;
      },
    },
    {
      dataIndex: 'memo',
      title: '备注',
      width: 120,
      sorter: (a, b) => {
        return a.temperatureRequirement != b.temperatureRequirement;
      },
    },
    ...exp,
    {
      dataIndex: 'orderDate',
      title: '订单下单日期',
      width: 120,

      sorter: (a, b) => {
        return +new Date(a.orderDate) - +new Date(b.orderDate);
      },
    },
    {
      dataIndex: 'estimatedPickupStartTime',
      title: '预计提货时间',
      width: 120,
      customRender(text, data) {
        if (!text) {
          return data.estimatedPickupEndTime;
        }
        return text;
      },
      sorter: (a, b) => {
        return +new Date(a.estimatedPickupStartTime) - +new Date(b.estimatedPickupStartTime);
      },
    },
    {
      dataIndex: 'estimatedDeliveryStartTime',
      title: '预计送达时间',
      width: 120,
      sorter: (a, b) => {
        return +new Date(a.estimatedDeliveryStartTime) - +new Date(b.estimatedDeliveryStartTime);
      },
    },
    {
      dataIndex: 'transportAging',
      title: '时效',
      width: 80,
      sorter: (a, b) => {
        return a.transportAging - b.transportAging;
      },
    },

    ...consignee.init(self), //收
    ...shipper.init(self), //发

    {
      dataIndex: 'totalPcs',
      title: '总件数',
      width: 120,
      sorter: (a, b) => {
        return a.totalPcs - b.totalPcs
      },
    },
    {
      dataIndex: 'totalVolume',
      title: '总体积',
      width: 120,
      sorter: (a, b) => {
        return a.totalVolume - b.totalVolume
      },
    },
    {
      dataIndex: 'totalWeight',
      title: '总重量',
      width: 120,
      sorter: (a, b) => {
        return a.totalWeight - b.totalWeight
      },
    },
  ].filter((item) => item);
};
