// "createEndTime (string, optional)": "创建结束时间",
// "createStartTime (string, optional)": "创建开始时间",
// "orderBusinessType (integer, optional)": "订单业务类型 数据字典ORDER_BUSINESS_TYPE：1销售订单-直送 2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提 5销售退货 6采购退货 7调拨",

// "pageNum (integer, optional)": "页码",
// "pageSize (integer, optional)": "每页条数",

function disabledTime(name) {
  return function (endValue, form) {
    let startValue = form.getFieldValue(name)
    if (!startValue || !endValue) {
      return false
    }
    return new Date(startValue).valueOf() >= endValue.valueOf()
  }
}

export const setQueryFormItmes = (self) => {
  return [
    {
      hidden: true,
      value: '查询',
      type: 'button',
      htmlType: 'submit',
    },
    { name: 'cargoOwnerName', label: '货主', type: 'input' },
    { name: 'orderNo', label: '订单号', type: 'input' },
    { name: 'shipbillNo', label: '运单号', type: 'input' },
    {
      name: 'orderBusinessType',
      label: '业务类型',
      type: 'select',
      get options() {
        return self.options.ORDER_BUSINESS_TYPE
      },
    },
    {
      name: 'orderStartDate',
      disabledDate(startValue, form) {
        let endValue = form.getFieldValue('orderEndDate')
        if (!startValue || !endValue) {
          return false
        }
        return startValue.valueOf() > new Date(endValue).valueOf()
      },

      label: '订单开始日期',
      type: 'date',
      // showTime: true,
      format: 'YYYY-MM-DD',
      placeholder: '年/月/日',
      on: {
        openChange(open, form) {
          if (!open) {
            form.setItemProps('orderEndDate', { open: true })
          }
        },
      },
    },
    {
      name: 'orderEndDate',
      label: '订单结束日期',
      disabledDate: disabledTime('orderStartDate'),
      type: 'date',
      //showTime: true,
      format: 'YYYY-MM-DD',
      placeholder: '年/月/日',
      on: {
        openChange(open, form) {
          form.setItemProps('orderEndDate', { open })
        },
      },
    },
    {
      name: 'createStartTime',
      label: '创建开始时间',
      disabledDate(startValue, form) {
        let endValue = form.getFieldValue('createEndTime')
        if (!startValue || !endValue) {
          return false
        }
        return startValue.valueOf() > new Date(endValue).valueOf()
      },
      type: 'date',
      format: 'YYYY-MM-DD',
      // showTime: true,
      placeholder: '年/月/日',
      on: {
        openChange(open, form) {
          if (!open) {
            form.setItemProps('createEndTime', { open: true })
          }
        },
      },
    },
    {
      name: 'createEndTime',
      disabledDate: disabledTime('createStartTime'),
      label: '创建结束时间',
      type: 'date',
      //showTime: true,
      format: 'YYYY-MM-DD',
      placeholder: '年/月/日',
      on: {
        openChange(open, form) {
          form.setItemProps('createEndTime', { open })
        },
      },
    },
    {
      name: 'shipperLocation',
      label: '发货方位置',
      type: 'select',
      // value:1,
      // options: [
      //   {label: '已定位',value:1},
      //   {label: '未定位',value:0}
      // ]
      value: undefined,
      get options() {
        return self.options.LOCATION_FLAG
      },
    },
    {
      name: 'consigneeLocation',
      label: '收货方位置',
      type: 'select',
      // value:1,
      // options: [
      //   {label: '已定位',value:1},
      //   {label: '未定位',value:0}
      // ]
      value: undefined,
      get options() {
        return self.options.LOCATION_FLAG
      },
    },
    // {
    //   offset: 16,
    //   span: 7,
    //   type: 'buttonGroup',
    //   style: { textAlign: 'right' },
    //   options: [
    //     {
    //       value: '查询',
    //       icon: 'search',
    //       btnType: 'primary',
    //       style: 'margin-right:10px',
    //       htmlType: 'submit',
    //     },
    //     {
    //       value: '重置',
    //       name: 'ccz',
    //       style: 'margin-right:10px',
    //       on: {
    //         click(event, form) {
    //           form.resetFields()
    //         },
    //       },
    //     },
    //     // {
    //     //   value: '高级查询',
    //     //   name: 'high',
    //     //   btnType: 'primary',
    //     //   actionKey:'adQuery',
    //     //   on: {
    //     //     click(event, form) {
    //     //       form.resetFields()
    //     //       self.visible = true
    //     //     },
    //     //   },
    //     // },
    //   ],
    // },
  ]
}
