// import myClass from '@/blocks/components/scheduling/js/table/Class.js'

// const customRender = (self, type) => {
//   return (text, data) => {
//     if (self.options[type] && Array.isArray(self.options[type])) {
//       let value = self.options[type].find((item) => item.value === text)
//       return value ? value.label : text
//     }
//     return text
//   }
// }
// let consignee = new myClass({ name: '收货方', key: 'consignee', customRender })
// let shipper = new myClass({ name: '发货方', key: 'shipper', customRender })

// 主表
export const setMainColumns = (self, expData = []) => {
  return [
    {
      dataIndex: 'reserveNumber',
      title: '预约号',
      width: 120,
      sorter: (a, b) => {
        if (!a.reserveNumber || !b.reserveNumber) {
          return
        }
        return a.reserveNumber.replace(/[^0-9]/gi, '') - b.reserveNumber.replace(/[^0-9]/gi, '')
      },
    },
    {
      dataIndex: 'appointmentTypeName',
      title: '预约类型',
      width: 120,
      sorter: (a, b) => {
        return a.appointmentType - b.appointmentType
      },
    },
    {
      dataIndex: 'statusName',
      title: '预约状态',
      width: 120,
      sorter: (a, b) => {
        return a.status - b.status
      },
    },
    {
      dataIndex: 'tallyStatusName',
      title: '理货状态',
      width: 120,
      sorter: (a, b) => {
        return a.tallyStatus - b.tallyStatus
      },
    },
    {
      dataIndex: 'queueNumber',
      title: '排队号',
      width: 120,
      sorter: (a, b) => {
        return a.queueNumber - b.queueNumber
      },
    },
    {
      dataIndex: 'queueNumberTime',
      title: '取号时间',
      width: 120,
      sorter: (a, b) => {
        return +new Date(a.queueNumberTime) - +new Date(b.queueNumberTime)
      },
    },
    {
      dataIndex: 'callNumber',
      title: '叫号顺序',
      width: 120,
      sorter: (a, b) => {
        return a.callNumber - b.callNumber
      },
    },
    {
      dataIndex: 'urgentQuantity',
      title: '紧急运单数量',
      width: 120,
      sorter: (a, b) => {
        return a.urgentQuantity - b.urgentQuantity
      },
    },
    {
      dataIndex: 'branchName',
      title: '预约地点',
      width: 120,
      sorter: (a, b) => {
        return a.branchName.length - b.branchName.length
      },
    },
    {
      dataIndex: 'loadingBillIds',
      title: '派车单号',
      width: 120,
      sorter: (a, b) => {
        if (!a.loadingBillIds || !b.loadingBillIds) {
          return
        }
        return a.loadingBillIds.replace(/[^0-9]/gi, '') - b.loadingBillIds.replace(/[^0-9]/gi, '')
      },
    },
    {
      dataIndex: 'branchAddress',
      title: '预约位置',
      width: 120,
      sorter: (a, b) => {
        return a.branchAddress.length - b.branchAddress.length
      },
    },
    {
      dataIndex: 'reserveNumberTime',
      title: '预约时间',
      width: 120,
      sorter: (a, b) => {
        return +new Date(a.reserveNumberTime) - +new Date(b.reserveNumberTime)
      },
    },
    {
      dataIndex: 'driverName',
      title: '预约司机',
      width: 120,
      sorter: (a, b) => {
        return a.driverName.length - b.driverName.length
      },
    },
    {
      dataIndex: 'driverPhoneNumber',
      title: '预约电话',
      width: 120,
      sorter: (a, b) => {
        return a.driverPhoneNumber - b.driverPhoneNumber
      },
    },
    {
      dataIndex: 'vehiclePlateNumber',
      title: '车牌号',
      width: 120,
      sorter: (a, b) => {
        return a.vehiclePlateNumber - b.vehiclePlateNumber
      },
    },
    {
      dataIndex: 'carrierName',
      title: '承运商',
      width: 120,
      sorter: (a, b) => {
        return a.carrierName.length - b.carrierName.length
      },
    },
    {
      dataIndex: 'shipbillQuantity',
      title: '运单数',
      width: 120,
      sorter: (a, b) => {
        return a.shipbillQuantity - b.shipbillQuantity
      },
    },
    {
      dataIndex: 'totalPcs',
      title: '总件数',
      width: 120,
      sorter: (a, b) => {
        return a.totalPcs - b.totalPcs
      },
    },
    {
      dataIndex: 'tallyWorkerName',
      title: '理货工名称',
      width: 120,
      sorter: (a, b) => {
        return a.tallyWorkerName.length - b.tallyWorkerName.length
      },
    },
    {
      dataIndex: 'loadAndUnloadWorkerName',
      title: '装卸工名称',
      width: 120,
      sorter: (a, b) => {
        return a.loadAndUnloadWorkerName.length - b.loadAndUnloadWorkerName.length
      },
    },
    ...expData,
    {
      dataIndex: 'createperson',
      title: '创建人',
      width: 120,
      sorter: (a, b) => {
        return a.createperson.length - b.createperson.length
      },
    },
    {
      dataIndex: 'createtime',
      title: '创建时间',
      width: 120,
      sorter: (a, b) => {
        return +new Date(a.createtime) - +new Date(b.createtime)
      },
    },
    {
      dataIndex: 'updateperson',
      title: '修改人',
      width: 120,
      sorter: (a, b) => {
        return a.updateperson.length - b.updateperson.length
      },
    },
    {
      dataIndex: 'updatetime',
      title: '修改时间',
      width: 120,
      sorter: (a, b) => {
        return +new Date(a.updatetime) - +new Date(b.updatetime)
      },
    },
    {
      key: 'operation',
      title: '操作',
      width: 180,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' },
    },
  ]
}