import { axios } from "@/utils/request";
import qs from "qs";
import { UPCLOUD_RDC_TMS_BUSINESS_SERVICE } from '@/config/serviceSettings.js'
const serviceName = UPCLOUD_RDC_TMS_BUSINESS_SERVICE

// 预约单分页查询
export const reserveListRemoteUrl = {
  url: serviceName + '/take_number/page',
  method: 'post',
}

// 预约单配载运单地址
export const queryAppointDetail = {
  url: serviceName + '/take_number/queryAppointDetail',
  method: 'post',
}

// 预约单商品表地址
export const queryAppointItem = {
  url: serviceName + '/take_number/queryAppointItem',
  method: 'post',
}

// 预约单包裹表地址
export const queryAppointPack = {
  url: serviceName + '/take_number/queryAppointPack',
  method: 'post',
}

// 运单分页查询
export const waybillListRemoteUrl = {
  url: serviceName + '/take_number/queryShipbill',
  method: 'post',
}

// 运单商品表地址
export const listItemDetailData = {
  url: serviceName + '/take_number/listItemDetailData',
  method: 'post',
}

// 运单包裹表地址
export const listPackageData = {
  url: serviceName + '/take_number/listPackageData',
  method: 'post',
}

// 预约单分页查询
export const take_number_page = data => {
  return axios.post(serviceName + "/take_number/page", data);
};

// 按预约单取号
export const takeNumberByAppoint = data => {
  return axios.post(serviceName + "/take_number/takeNumberByAppoint", data);
};

// 按运单取号
export const takeNumberByShipbill = data => {
  return axios.post(serviceName + "/take_number/takeNumberByShipbill", data);
};

// 根据运单号查询取号信息
export const getTakeNumberInfoByShipbillNo = data => {
  return axios.post(serviceName + "/take_number/getTakeNumberInfoByShipbillNo", data);
};
