export const setMainColumns = (self, expData = []) => {

  return [
    { dataIndex: 'id', title: 'ID', hidden: true },
    { dataIndex: 'itemCode',width:160, title: '商品编码' },
    { dataIndex: 'itemName',width:160, title: '商品名称' },

    { dataIndex: 'itemCategoryName', title: '商品品类' },
    { dataIndex: 'packTypeName', title: '包装类型' },
    { dataIndex: 'cargoThermosphereName', title: '货物温层' },
    {
      dataIndex: 'origPcs',
      title: '原始件数',
      type: 'txt',
      align: 'center',
      width: 120,
      sorter: (a, b) => {
        return ~~a.origPcs - ~~b.origPcs
      },
    },
    {
      title: '发货件数',
      dataIndex: 'deliveryPcs',
      type: 'txt',
      width: 120,
      align: 'center',
      sorter: (a, b) => {
        return ~~a.deliveryPcs - ~~b.deliveryPcs
      },
    },
    {
      title: '关闭件数',
      dataIndex: 'closingPcs',
      width: 120,
      align: 'center',
      sorter: (a, b) => {
        return ~~a.closingPcs - ~~b.closingPcs
      },
    },
    {
      title: '剩余件数',
      dataIndex: 'pcs',
      width: 120,
      align: 'center',
      sorter: (a, b) => {
        return ~~a.pcs - ~~b.pcs
      },
    },
    {
      dataIndex: 'weight',
      title: '剩余重量(公斤)',
      align: 'center',
      sorter: (a, b) => {
        return a.weight - b.weight
      },
    },
    {
      dataIndex: 'volume',
      title: '剩余体积(立方)',
      align: 'center',
      sorter: (a, b) => {
        return a.center - b.center
      },
    },
    { dataIndex: 'memo', title: '备注' },
    {
      dataIndex: 'branchName',
      title: '默认存放仓库',
    },
    {
      dataIndex: 'inventoryPcs',
      title: '库存数量',
    },
    {
      dataIndex: 'stagingLocation',
      title: '暂存位',
    },
    ...expData,

  ];
};
