import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE, UPCLOUD_RDC_TMS_BUSINESS_SERVICE } from '@/config/serviceSettings.js'
import { consignorAutoComplete,driverAutoCompleteMethod } from '@/blocks/components/searchModalConfig/index'

//预约查询
let appointmentForm = (self) => {
  return [
    {
      hidden: true,
      value: '查询',
      type: 'button',
      htmlType: 'submit',
    },
    {
      name: 'branchName',
      label: '仓库',
      targetClick: true,
      required: true,
      toolBar: {
        labelCol: {
          span: 8,
        },
        wrapperCol: {
          span: 16,
        },
        items: [
          {
            type: 'input',
            name: 'code',
            label: '仓库编码',
            value: '',
          },
          {
            type: 'input',
            name: 'name',
            label: '仓库名称',
            value: '',
          },
        ],
        span: 8,
      },
      remoteUrl: {
        url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/tmsBaseBranch/queryBranchPopup',
        method: 'post',
      },
      rowKey: 'id',
      targetValueKey: 'name',
      disabled: false,
      type: 'searchModal',
      on: {
        change(event, value, dataArr, form) {
          let data = dataArr[0]
          let branchId = ''
          if (data) {
            branchId = data.id
          }
          form.setFieldsValue({ branchId })
          form.focusByName('branchAddress')
        },
      },
      tableConfig: {
        scroll: { x: true },
        columns: [
          {
            dataIndex: 'id',
            title: 'ID',
            hidden: true,
          },
          {
            dataIndex: 'name',
            title: '仓库名称',
          },
          {
            dataIndex: 'code',
            title: '仓库编码',
          },
          {
            dataIndex: 'provinceName',
            title: '省',
          },
          {
            dataIndex: 'cityName',
            title: '市',
          },
          {
            dataIndex: 'districtName',
            title: '区',
          },
          {
            dataIndex: 'address',
            title: '详细地址',
          },
        ],
      },
    },
    {
      name: 'branchId',
      label: '仓库id',
      type: 'input',
      hidden: true,
    },
    {
      name: 'branchAddress',
      label: '预约地点',
      type: 'input',
    },
    {
      name: 'reserveNumber',
      label: '预约号',
      type: 'input',
    },

    {
      name: 'appointmentType',
      label: '预约类型',
      type: 'select',
      get options() {
        return self.options?.APPOINTMENT_TYPE ?? []
      }

    },
    {
      name: 'driverName',
      label: '预约司机',
      type: 'input',
    },
    {
      name: 'vehiclePlateNumber',
      label: '车牌号',
      type: 'input',
    },
    {
      name: 'driverPhoneNumber',
      label: '预约电话',
      type: 'input',
    }
  ]
}

export const setQueryFormItmes = (self, count) => {
  let _type = [
    [
      { name: 'shipperAddress', label: '始发地', type: 'input' },
      { name: 'consigneeAddress', label: '目的地', type: 'input' },
      { name: 'packageCode', label: '包裹号', type: 'input' },
    ],
    [
      driverAutoCompleteMethod(self,{ name: 'driverName', label: '司机姓名',}),
      { name: 'vehiclePlateNumber', label: '车牌号', type: 'input' },
      { name: 'lineName', label: '线路', type: 'input' },
    ],
    [],
    [],
    [
      //外包跟踪
      {
        hidden: true,
        value: '查询',
        type: 'button',
        htmlType: 'submit',
      },
      { name: 'loadingBillNo', label: '托运单', type: 'input' },
      {
        name: 'status',
        label: '托运单状态',
        type: 'select',
        get options() {
          return self.options.LOADING_BILL_STATUS
        },
      },
      {
        name: 'startDate',
        label: '创建开始日期',
        disabledDate(startValue, form) {
          let endValue = form.getFieldValue('endDate')
          if (!startValue || !endValue) {
            return false
          }
          return startValue.valueOf() > new Date(endValue).valueOf()
        },
        type: 'date',
        format: 'YYYY-MM-DD',
        placeholder: '年/月/日',
        on: {
          openChange(open, form) {
            if (!open) {
              form.setItemProps('endDate', { open: true })
            }
          },
        },
      },


      {
        name: 'endDate',
        disabledDate(endValue, form) {
          let startValue = form.getFieldValue('startDate')
          if (!startValue || !endValue) {
            return false
          }
          return new Date(startValue).valueOf() > endValue.valueOf()
        },
        label: '创建结束日期',
        type: 'date',
        format: 'YYYY-MM-DD',
        placeholder: '年/月/日',
        on: {
          openChange(open, form) {
            form.setItemProps('endDate', { open })
          },
        },
      },
    ],
  ]

  let person = self.$root.constructor.observable({ dataSource: [] })

  // let person = {
  //   dataSource: {
  //     get() {
  //       debugger
  //      return this.dataSource
  //     },
  //     set(value) {
  //     }
  //   }
  // }
  let defaultData = [
    {
      hidden: true,
      value: '查询',
      type: 'button',
      htmlType: 'submit',
    },
    consignorAutoComplete(self, { name: 'cargoOwnerName', label: '货主'}),
    { name: 'orderNo', label: '订单号', type: 'input' },
    {
      name: 'shipbillNo', label: '运单号', type: 'input',
      value:self.$route.query?.shipbillId??''
   },
    {
      name: 'orderBusinessType',
      label: '业务类型',
      type: 'select',
      get options() {
        return self.options.ORDER_BUSINESS_TYPE
      },
    },
    {
      label: '预计提货开始日期',
      name: 'estimatedPickupStartTime',
      disabledDate(startValue, form) {
        let endValue = form.getFieldValue('estimatedPickupEndTime')
        if (!startValue || !endValue) {
          return false
        }
        return startValue.valueOf() > new Date(endValue).valueOf()
      },

      type: 'date',
      // showTime: true,
      format: 'YYYY-MM-DD',
      placeholder: '年/月/日',
      on: {
        openChange(open, form) {
          if (!open) {
            form.setItemProps('estimatedPickupEndTime', { open: true })
          }
        },
      },
    },
    {
      name: 'estimatedPickupEndTime',
      label: '预计提货结束日期',
      disabledDate(endValue, form) {
        let startValue = form.getFieldValue('estimatedPickupStartTime')
        if (!startValue || !endValue) {
          return false
        }
        return new Date(startValue).valueOf() > endValue.valueOf()
      },
      type: 'date',
      format: 'YYYY-MM-DD',
      placeholder: '年/月/日',
      on: {
        openChange(open, form) {
          form.setItemProps('estimatedPickupEndTime', { open })
        },
      },
    },
    {
      name: 'estimatedDeliveryStartTime',
      label: '预计送达开始日期',
      disabledDate(startValue, form) {
        let endValue = form.getFieldValue('estimatedDeliveryEndTime')
        if (!startValue || !endValue) {
          return false
        }
        return startValue.valueOf() > new Date(endValue).valueOf()
      },
      type: 'date',
      format: 'YYYY-MM-DD',
      placeholder: '年/月/日',
      on: {
        openChange(open, form) {
          if (!open) {
            form.setItemProps('estimatedDeliveryEndTime', { open: true })
          }
        },
      },
    },
    {
      name: 'estimatedDeliveryEndTime',
      disabledDate(endValue, form) {
        let startValue = form.getFieldValue('estimatedDeliveryStartTime')
        if (!startValue || !endValue) {
          return false
        }
        return new Date(startValue).valueOf() > endValue.valueOf()
      },

      label: '预计送达结束日期',
      type: 'date',
      format: 'YYYY-MM-DD',
      placeholder: '年/月/日',
      on: {
        openChange(open, form) {
          form.setItemProps('estimatedDeliveryEndTime', { open })
        },
      },
    },
  ]

  //派车单
  if (count === 3) {
    return [
      {
        hidden: true,
        value: '查询',
        type: 'button',
        htmlType: 'submit',
      },
      { name: 'loadingBillNo', label: '派车单号', type: 'input' },
      {
        name: 'createStartTime',
        label: '创建开始日期',
        disabledDate(startValue, form) {
          let endValue = form.getFieldValue('createEndTime')
          if (!startValue || !endValue) {
            return false
          }
          return startValue.valueOf() > new Date(endValue).valueOf()
        },
        type: 'date',
        format: 'YYYY-MM-DD',
        placeholder: '年/月/日',
        on: {
          openChange(open, form) {
            if (!open) {
              form.setItemProps('createEndTime', { open: true })
            }
          },
        },
      },
      {
        name: 'createEndTime',
        disabledDate(endValue, form) {
          let startValue = form.getFieldValue('createStartTime')
          if (!startValue || !endValue) {
            return false
          }
          return new Date(startValue).valueOf() > endValue.valueOf()
        },

        label: '创建结束日期',
        type: 'date',
        format: 'YYYY-MM-DD',
        placeholder: '年/月/日',
        on: {
          openChange(open, form) {
            form.setItemProps('createEndTime', { open })
          },
        },
      },

      {
        type: 'buttonGroup',
        style: { textAlign: 'right' },
        options: [
          {
            value: '查询',
            icon: 'search',
            btnType: 'primary',
            style: 'margin-right:10px',
            on: {
              clickSync: self.submit,
            },
          },
          {
            value: '重置',
            name: 'ccz',
            style: 'margin-right:10px',
            btnType: 'primary',
            on: {
              click: self.mx_reset,
            },
          },
          // {
          //   value: '高级查询',
          //   name: 'high',
          //   btnType: 'primary',
          //   on: {
          //     click(event, form) {
          //       form.resetFields()
          //       self.visible = true
          //     },
          //   },
          // },
        ],
      },
    ]
  } else if (count === 4) {
    //外包跟踪
    return _type[count]
  } else if (count === 6) {
    //预约单模式
    self.axios({
      url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/tmsBaseBranch/queryBranchPopup',
      method: 'post',
      data: {
        pageNum: 1,
        pageSize: 999,
      },
    }).then((response) => {
      if (response.success && response.data?.list?.length === 1) {
        let form = self.$refs.gird.form

        const { id,name } = response.data.list[0]
        form.setFieldsValue({
          branchName:name,branchId:id
        })
      }
    })

    return appointmentForm(self)
  } else {
    defaultData = [...defaultData, ..._type[count]]
    return defaultData
  }
}

export const bizTypeObj = {
  订单管理: '10',
  待审核: '20',
  待调度: '30',
  已调度: '40',
  已派车: '50',
  已托运: '60',
  所有运单: '70',
  已完成: '90',
  待装卸: '100',
  待送达: '110',
  待理货: '120',
  待自提: '130',
  待提货: '140',
  入库在途: '150',
  整车直发: '160',
  拣货出库: '170',
  出库在途: '180',
  外包跟踪: '190',
  提货确认: '200',
}
