
export const setUpdateForm = (self, title) => {
  return [
    { name: 'shipbillIds', hidden: true ,label: 'shipbillIds'},
    { name: 'shipbillId', hidden: true ,label: 'shipbillId'},
    {
      name: 'deliverySignTime',
      label: '签到时间',
      type: 'date',
      format: 'YYYY-MM-DD HH:mm',
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
      value: self.moment().format('YYYY-MM-DD HH:mm'),
    },
    {
      name: 'deliveryTime',
      label: '送达时间',
      type: 'date',
      format: 'YYYY-MM-DD HH:mm',
      required: true,
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
      // value: self.moment().format('YYYY-MM-DD HH:mm'),
    },
    {
      name: 'deliverySignPerson',
      label: '签收人',
      type: 'input',
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
    },
    {
      name: 'deliveryStatus',
      label: '配送状态',
      type: 'select',
      required: true,
      value:30,
      get options() {
        return self.options.DELIVERY_STATUS
      },
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
    },
    {
      name: 'deliveryFailureReason',
      label: '配送失败原因',
      type: 'select',
      hidden: true,
      get options() {
        return self.options.DELIVERY_FAILURE_REASON
      },
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
    },

    {
      name: 'deliveryStrandedReason',
      label: '送达滞留原因',
      type: 'select',
      hidden: true,
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
      get options() {
        return self.options.DELIVERY_STRANDED_REASON
      },
    },

    {
      name: 'deliveryMemo',
      span: 24,
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      label: '备注',
      type: 'textarea',
    },
    {
      name: 'goodsPhoto',
      itemHeight: 'auto',
      label: '货物图片',
      span: 24,
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      scopedSlots: { customRender: 'photo' },
      value: '',
    },
    {
      name: 'receiptPhoto',
      itemHeight: 'auto',
      label: '回单照片',
      span: 24,
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      scopedSlots: { customRender: 'photo2' },
      value: '',
    }
  ]
}
