// /**分页查询接口重试日志 */
import request from '@/utils/request'

import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE, UPCLOUD_RDC_TMS_BUSINESS_SERVICE } from '@/config/serviceSettings.js'
const business = UPCLOUD_RDC_TMS_BUSINESS_SERVICE
//容器业务日志查询
export const operateLogView =(_this,data)=> request({
  url: business + '/containerBill/log/query',
  method: 'post',
  data
}).then((response,reject) => {
    if (response.success) {
    } else {
      _this.$exception(response)
    }
    return response

  })



export const mainTableInfoUrl = business + '/containerBill/page'
//export const mainTableInfoUrl = business + '/allShipbill/query_sell'

//运输管理-在途容器控制层/门店在途查询
export const mainTableInfoUrl2 = business + '/containerBill/consignee/page'
//export const mainTableInfoUrl2 = business + '/allShipbill/queryAllShipbillPage'

///运输管理-在途容器控制层/容器归还单查询
export const mainTableInfoUrl3 = business + '/containerBill/return/page'

// 门店在途容器明细查询 POST
export const containerDetailsUrl = business + '/containerBill/consignee/details'



///运输管理-在途容器控制层/容器归还单明细查询
export const detailsTableUrl = business + '/containerBill/return/details'


export const startArrangeGoods = (_this, data) => {
  let confirmLoading = true
  return new Promise((resolve) => {
    _this.$confirm({
      title: '是否开始理货?',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: business + '/deliveryConfirm/startArrangeGoods',
          method: 'post',
          data,
        })
          .then((response) => {
            if (response.success) {
              clear()
              _this.$refs.mainTable.reload()
              _this.$message.success(response.message)
            } else {
              _this.$exception(response)
            }
            setTimeout(() => {
              confirmLoading = false
            }, 1000)
            return resolve(response)
          })
          .catch((response) => {
            confirmLoading = false
          })
      },
    })
  })
}





//运输管理-/托运交接
export const handoverSubmit = (_this, data, close) => {
  let confirmLoading = true
  return new Promise((resolve) => {
    _this.$confirm({
      title: '是否托运交接?',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: business + '/outsource_track/handover',
          method: 'post',
          data,
        })
          .then((response) => {
            close()
            _this.visible = false
            if (response.success) {
              clear()
              _this.$refs.mainTable.reload()
              _this.$message.success(response.message)
            } else {
              _this.$exception(response)
            }
            setTimeout(() => {
              confirmLoading = false
            }, 1000)
            return resolve(response)
          })
          .catch((response) => {
            _this.visible = false
            confirmLoading = false
          })
      },
    })
  })
}

export const exportUrls = {
  allUrl: business + '/deliveryConfirm/export_all_shipbill',
  currentUrl: business + '/deliveryConfirm/export_page_shipbill',
  selectUrl: business + '/deliveryConfirm/export_select_line_shipbill',
  ids:[]

}
export const printUrl = business + '/deliveryConfirm/print'
// 容器归还单修改 POST
export const modifyContinent = (_this, data) => {
  _this.confirmLoading=true
  data.ids = data.details.map(item => {
    return item.id
  })
  return request({
    url: business + '/containerBill/return/modify',
    method: 'post',
    data
  }).then((response,reject) => {
      if (response.success) {
        _this.$message.success(response.message)
      } else {
        _this.$exception(response)
      }
      return response

    })
    .finally((response) => {
      _this.sVisible = false
      _this.confirmLoading=false

    })
}


//  容器归还单签收 POST
export const receiptedContinent = (_this, data) => {
  _this.confirmLoading=true
  return request({
    url: business + '/containerBill/return/receipted',
    method: 'post',
    data
  }).then((response,reject) => {
      if (response.success) {
        _this.$message.success(response.message)
      } else {
        _this.$exception(response)
      }
      return response

    })
    .finally((response) => {
      _this.sVisible = false
      _this.confirmLoading=false

    })
}
///运输管理-在途容器控制层/归还容器
export const saveContinent = (_this, data) => {
  _this.confirmLoading=true
  return request({
    url: business + '/containerBill/return/save',
    method: 'post',
    data
  }).then((response,reject) => {
    if (response.success) {

      } else {
        _this.$exception(response)
      }
      return response

    })
    .finally((response) => {
      _this.sVisible = false
      _this.confirmLoading=false

    })
}
export const containerCaancel = (_this, data) => {

  let confirmLoading = true
  return new Promise((resolve) => {
    _this.$confirm({
      title:'是否确认取消？',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: business + '/containerBill/return/cancel',
          method: 'post',
          data,
        }) .then((response) => {
          if (response.success) {
            clear()
            _this.reload()
            _this.$message.success(response.message)
          } else {
            _this.$exception(response)
          }
          confirmLoading = false
          return resolve(response)
        })
          .catch((response) => {
            confirmLoading = false
         })

      },
    })
  })
}

//运输管理-在途容器控制层/容器异常处理
export const submitContientAbnormal = (_this, data) => {
  _this.confirmLoading=true
  return request({
    url: business + '/containerBill/abnormal',
    method: 'post',
    data
  }).then((response,reject) => {
      if (response.success) {
      } else {
        _this.$exception(response)
      }
      return response

    })
    .finally((response) => {
      _this.sVisible = false
      _this.confirmLoading=false

    })
}


//门店在途统计查询 POST
export const  getContainerBillCount = (_this, data,callback) => {
  _this.confirmLoading = true
  let url = {
    1:business + '/containerBill/container/count',
    2:business + '/containerBill/consignee/count',
  }
  return request({
    url:url[_this.actioveTabKey],
    method: 'post',
    data
  }).then((response,reject) => {
    if (response.success) {
      callback&&callback(response.data)
      } else {
      _this.$exception(response)
      }
    })
}

// 容器归还单统计查询 POST
export const  getContainerBillReturnCount = (_this, data,callback) => {
  return request({
    url:business+'/containerBill/return/count',
    method: 'post',
    data
  }).then((response,reject) => {
    if (response.success) {
      callback&&callback(response.data)
      } else {
      _this.$exception(response)
      }
    })
}
