
import { driverAttr, carAttr } from '@/blocks/components/searchModalConfig/index'

export const setUpdateForm = (self, title) => {
  // driverAttr=_.
  //   driverAttr.tableConfig.rowSelectType = 2;

  return [
    { name: 'ids', hidden: true ,label: 'loadingBillId'},
    {
      name: 'consignmentHandoverTime',
      label: '托运交接时间',
      type: 'date',
      format: 'YYYY-MM-DD HH:mm',
      required: true,
      showTime: true,
      labelCol: { span: 8 },
      style:'margin-right:100px',
      wrapperCol: { span: 16 },
      value: self.moment().format('YYYY-MM-DD HH:mm'),
    },
    {
      name: 'consignmentAgen',
      label: '托运经办人',
      type: 'input',
      value: '',
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
    },
    {
      name: 'agenContacPhoneNumber',
      label: '经办联系方式',
      type: 'input',
      value: '',
      validateTrigger:'blur',

      rules: [
        {
          type: 'phoneAndTel',
        },

      ],

      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
    },
    {name:'driverId',hidden:true},
    {name:'driverCode',hidden:true},
    {
      ...driverAttr,
      name: 'driverName',
      targetClick: false,
      label: '交接司机',
      type: 'searchModal',
      // dataSource: ['Burns Bay Road', 'Downing Street', 'Wall Street'],
      // filterOption(input, option) {
      //   console.log(input)

      //   return (
      //     option.componentOptions.children[0].text.toUpperCase().indexOf(input.toUpperCase()) >= 0
      //   );
      // },
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
     // mode: 'autoComplete',
      value: '',
      on: {
        input(event, form) {
          form.setFieldsValue({driverId:'',driverCode:''})
        },
        // search(value, vnode,from) {
        //   console.log(value)
        //   // this.dataSource = !searchText ? [] : [searchText, searchText.repeat(2), searchText.repeat(3)];

        //  // from.setFieldsValue({driverId:'',driverCode:''})

        // },

        ok(event, value, dataArr, form) {
          let data = dataArr[0]
          if (data) {
            const {paperCode:driverIdCard,vehicleId,vehiclePlateNumber,vehicleTypeCode ,id: driverId, code: driverCode, phoneNumber: driverPhoneNumber } = data
            form.setFieldsValue({
              driverIdCard,
              driverId,
              driverCode,
              vehiclePlateNumber,
              driverPhoneNumber
            })
          }

        }
      }
    },
    {
      name: 'driverPhoneNumber',
      label: '司机联系方式',
      type: 'input',
      value: '',
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
    },

    {
      ...carAttr,
      name: 'vehiclePlateNumber',
      label: '车牌号',
      targetClick: false,
      type: 'searchModal',
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
    },

    {
      name: 'driverIdCard',
      label: '身份证',
      rules: [
        {
          type: 'idCard',
        },

      ],
      type: 'input',
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
    },

    {
      name: 'memo',
      span: 24,
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      label: '备注',
      type: 'textarea',
    },
    {
      name: 'pictureUrl',
      itemHeight: 'auto',
      label: '添加图片',
      span: 24,
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      scopedSlots: { customRender: 'photo' },
      value: '',
    }
  ]
}




// {
//   agenContacPhoneNumber:"[string] 经办人联系方式"
//   consignmentAgen:"[string] 托运经办人"
//   consignmentHandoverDate:"[string] 托运交接时间"
//   driverCode:"[string] 司机编号"
//   driverId:"[integer] 司机ID"
//   driverIdCard:"[string] 身份证"
//   driverName:"[string] 司机名称"
//   driverPhoneNumber:"[string] 司机联系方式"
//   ids:[
//   {}
//   ]
//   memo:"[string] 备注"
//   pictureUrl:"[string] 图片地址"
//   vehiclePlateNumber:"[string] 车牌号"


export const setShipbillForm = (self, title) => {
  return [
    { name: 'ids', hidden: true, label: 'shipbillId' },
    {
      name: 'returnOrderDate',
      label: '回单返回时间',
      type: 'date',
      required: true,
      format: 'YYYY-MM-DD HH:mm',
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
      value: self.moment().format('YYYY-MM-DD HH:mm'),
    },
    {
      name: 'returnOrderStatus',
      label: '回单状态',
      type: 'select',
      required: true,
      // value:30,
      get options() {
        return self.options.ORIG_RECEIPT_STATUS
      },
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
    },
    {
      name: 'returnOrderType',
      label: '回单类型',
      type: 'select',
      required: true,
      // value:30,
      get options() {
        return self.options.ORIG_RECEIPT_TYPE
      },
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
    },
    // { name: 'origReceiptAging', label:'回单时效',type:'number'},
    { name: 'receiver', label: '接收人', labelCol: { span: 8 }, wrapperCol: { span: 16 } },
    { name: 'counts', label: '接收份数', type: 'number', unit:'份',labelCol: { span: 8 }, wrapperCol: { span: 16 } },
    // 回单类型 数据字典 ORIG_RECEIPT_TYPE
    {
      name: 'memo',
      span: 24,
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      label: '备注',
      type: 'textarea',
    },
    {
      name: 'pictureUrl',
      itemHeight: 'auto',
      label: '添加图片',
      span: 24,
      message: '请上传回单照片',
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      scopedSlots: { customRender: 'photo' },
      value: '',
    //  required: true,
    },
  ]
}