// /**分页查询接口重试日志 */
import request from '@/utils/request'

import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE, UPCLOUD_RDC_TMS_BUSINESS_SERVICE } from '@/config/serviceSettings.js'
const business = UPCLOUD_RDC_TMS_BUSINESS_SERVICE
//运输管理-待理货控制层
const serviceName = UPCLOUD_RDC_TMS_MAINDATA_SERVICE

export const mainTableInfoUrl = business + '/storageHalfway/query_loadbill'

export const shipbillTableUrl = business + '/storageHalfway/get_shipbill'

export const goodsTableUrl = business + '/storageHalfway/item_detail'

export const packageTableUrl = business + '/storageHalfway/package_detail'
export const advancedQueryUrl = business + '/storageHalfway/advanced_query_shipbill'



export const exportUrls = {
  allUrl:business+ '/storageHalfway/export_all_shipbill',
  currentUrl:business+ '/storageHalfway/export_page_shipbill',
  selectUrl: business + '/storageHalfway/export_select_line_shipbill',
  ids:[]

}
export const printUrl = business + '/storageHalfway/print'

export let t_name = ['loadbillIds', 'shipbillIds']

//送达确认
export const deliveryConfirm = (_this, data, close) => {
  let confirmLoading = true
  let st = data.st
  let names = t_name[st]
  let table = ['mainTable', 'shipbillTable'][st]
  let url = ['/storageHalfway/delivered_confirm', '/storageHalfway/shipbill_delivered_confirm']
  data[names] = data.ids.split(',')
  data.receiptPhoto = data.picture2
  data.goodsPhoto = data.picture
  let params = [{}, { data: { loadingBillId: _this.mainCurrent?.loadingBillId } }][st]
  delete data.picture
  delete data.picture2
  delete data.ids
  delete data.st
  return new Promise((resolve) => {
    _this.$confirm({
      title: '是否启运登记?',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: business + url[st],
          method: 'post',
          data,
        })
          .then((response) => {
            close()
            if (response.success) {
              _this.visible = false
              clear()
              _this.$message.success(response.message)
              _this.$refs[table].reload(params)
            } else {
              _this.$exception(response)
            }
            setTimeout(() => {
              confirmLoading = false
            }, 1000)
            return resolve(response)
          })
          .catch((response) => {
            confirmLoading = false
          })
      },
    })
  })
}



//运输管理-/ 客服反馈  POST
export const feedbackConfirm = (_this, data, close) => {
  let confirmLoading = true
  let st = data.st
  let names = t_name[st]
  let table = ['mainTable', 'shipbillTable'][st]
  let url = ['/storageHalfway/feed_back', '/storageHalfway/shipbill_feed_back']
  data[names] = data.ids.split(',')
  data.feedbackPicture = data.picture
  let params = [{}, { data: { loadingBillId: _this.mainCurrent?.loadingBillId } }][st]
  delete data.picture
  delete data.ids
  delete data.st
  return new Promise((resolve) => {
    _this.$confirm({
      title: '是否反馈信息?',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: business + url[st],
          method: 'post',
          data,
        })
          .then((response) => {
            close()
            if (response.success) {
              _this.visible = false
              clear()
              _this.$message.success(response.message)
              _this.$refs[table].reload(params)
            } else {
              _this.$exception(response)
            }
            setTimeout(() => {
              confirmLoading = false
            }, 1000)
            return resolve(response)
          })
          .catch((response) => {
            confirmLoading = false
          })
      },
    })
  })
}

//运输管理-/ 异常登记  POST
export const abnormalRegister = (_this, data, close) => {
  let confirmLoading = true
  let st = data.st
  let names = t_name[st]
  let table = ['mainTable', 'shipbillTable'][st]
  let url = ['/storageHalfway/abnormal_register', '/storageHalfway/shipbill_abnormal_register']
  data[names] = data.ids.split(',')
  data.abnormalPhoto = data.picture
  let params = [{}, { data: { loadingBillId: _this.mainCurrent?.loadingBillId } }][st]
  delete data.picture
  delete data.ids
  delete data.st
  return new Promise((resolve) => {
    _this.$confirm({
      title: '是否登记异常?',
      confirmLoading,
      onOk(clear) {
        confirmLoading = true
        return request({
          url: business + url[st],
          method: 'post',
          data,
        })
          .then((response) => {
            close()
            if (response.success) {
              _this.visible = false
              clear()
              _this.$message.success(response.message)
              _this.$refs[table].reload(params)
            } else {
              _this.$exception(response)
            }
            setTimeout(() => {
              confirmLoading = false
            }, 1000)
            return resolve(response)
          })
          .catch((response) => {
            confirmLoading = false
          })
      },
    })
  })
}

