

import { carAttr, carrierAttr, carAutoCompleteMethod, consignorAttr, driverAutoCompleteMethod } from '@/blocks/components/searchModalConfig';

export default (self) => {
  let driver = driverAutoCompleteMethod(self,
    {
      subName: ['driverId', 'driverCode','driverPhoneNumber'],
      name: 'driverName',
      label: '司机姓名',
      disabled: self.carrierType !== 2,
      required:self.carrierType == 2,
      on: {
        ok(event, value, dataArr, form) {
          if (dataArr.length > 0) {
            let _vehiclePlateNumber = [],_vehicleCode=[],_vehicleId=[]
            dataArr.forEach(item => {

              const { vehiclePlateNumber,vehicleCode,vehicleId } = item
              _vehiclePlateNumber.push(vehiclePlateNumber)
              _vehicleCode.push(vehicleCode)
              _vehicleId.push(vehicleId)
            });
            form.setFieldsValue({
              vehiclePlateNumber: _vehiclePlateNumber.join(','),
              vehicleCode: _vehicleCode.join(','),
              vehicleId: _vehicleId.join(','),
            })
          }
        }
      }
    }
  );



  Object.defineProperties(driver, {
    disabled: {
      get() {
        return self.carrierType !== 2
      }
    },
    required: {
      get() {
        return self.carrierType == 2
      }
    }
  })

  let car=carAutoCompleteMethod(self,{
    subName: ['vehicleId', 'vehicleCode'],
    ...carAttr,
    targetClick: false,
    name: 'vehiclePlateNumber',
    label: '车辆',
    disabled: self.carrierType !== 2,
    required:self.carrierType == 2,
    validateTrigger: 'blur',
    rules: [
      {
        type: 'plateNumber',
      },
    ]

  },)




  Object.defineProperties(car, {
    disabled: {
      get() {
        return self.carrierType !== 2
      }
    },
    required: {
      get() {
        return self.carrierType == 2
      }
    }
  })
  return [
    { name: 'planBillId', label: 'planBillId', hidden: true, value: '' },
    {
      name: 'planBillNo',
      label: '计划单号',
      value: '计划单自动生成',
      type: 'txt',
    },


    {
      name: 'carrierType',
      label: '承运商类型',
      required: true,
      type: 'select',
      get options() {
        return self.options.LINE_CARRIER_TYPE
      },
      on: {
        change: function (valeu, label, data, form) {
          self.carrierType = valeu;
          form.setFieldsValue({
            carrierId: '',
            carrierCode: '',
            carrierName: '',
            vehiclePlateNumber: '',
            driverId: '', driverCode: '', driverName: '',
          })
        }
      }
    },
    {
      ...carrierAttr,
      label: '承运商',
      targetValueKey: 'name',
      subName: ['carrierId', 'carrierCode'],
      name: 'carrierName',
      type: 'searchModal',
      get disabled() {
        return self.carrierType !== 1
      },
      get required() {
        return self.carrierType == 1
      },
      on: {
        change(event, value, dataArr, form) {
          let obj = { carrierId: '', carrierCode: '' }
          let data = dataArr[0]
          if (data) {
            obj = { carrierId: data.id, carrierCode: data.code }
          }
          form.setFieldsValue(obj)
        },
      },
    },
    driver,
    car,


    {
      name: 'planTotalPcs',
      label: '计划箱数',
      required: true,
      type: 'number',
    },
    {
      name: 'planTotalVehicleNumber',
      label: '计划车数',
      type: 'number',
      required: true,
      min: 1,
      value: 1
    },
    {
      name: 'planDeliveryDate',
      label: '计划发货日期',
      required: true,
      type: 'date',
      format: 'YYYY-MM-DD HH:mm',
      showTime: true,
      // value: self.moment().format('YYYY-MM-DD HH:mm')
    },
    {
      name: 'status',
      label: '计划状态',
      type: 'select',
      value: 10,
      options: self.options.PLAN_BILL_STATUS.map(item => {

        if (item.value !== 10 && self.st === 2) {

          item.disabled=true
        } else {
          item.disabled=false
        }
        return item
      }),
      allowClear:false
    },

    {
      name: 'transfiniteCommitDate',
      label: '超限提交日期',
      type: 'date',
      format: 'YYYY-MM-DD HH:mm',
      showTime: true,

    },
    {
      name: 'transfiniteDescription',
      label: '超限说明',
      type: 'input',

    },

    {

      required: true,
      name: 'productName',
      label: '产品名称',
      type: "input",
      placeholder: '请选择订单'
    },
    {
      name: 'isWeigh',
      type: "radio",
      label: '是否过磅',
      value: 0,
      options: [
        { label: "是", value: 1 },
        { label: "否", value: 0 },
      ],
    },
    {

      label: '装车地点',
      name: 'loadingLocation',
      type: 'input'
    },

    {

      label: '待发运说明',
      name: 'deliveryDescription',
      type: 'textarea'
    },

    {
      span: 24,
      itemHeight: 'auto',
      wrapperCol: { span: 24 },
      scopedSlots: { customRender: 'table' },
    },




  ]
}