
export default (self, expData = []) => {
  return [
    {
      dataIndex: 'shipbillNo',
      title: '运单号',
      sorter: (a, b) => a.shipbillNo.localeCompare(b.shipbillNo),
      width: 200,
      customRender: (txt, record) => {
        const { recordTagWord,colorTagFontColor } = record
      let text= self._c(
          'a',
          {
            attrs: {
              href: 'javascript:void(0)',
            },
            style: {[colorTagFontColor&&'color']: colorTagFontColor},
            // on: {
            //   click: (event) => {
            //     event.stopPropagation()
            //     return self.toView(record)
            //   },
            // },
          },
          [self._v(txt)])
        if (recordTagWord) {
          return self._c('a-space', {}, [text, self._c('a-badge', {
            attrs: {
              numberStyle:{boxShadow:'none'},
              count: recordTagWord,
              overflowCount:Infinity
            }
          },
          )])
        } else {
          return text
        }

      },
    },
    {
      dataIndex: 'orderNo',
      title: '订单号',
      sorter: (a, b) => a.orderNo.localeCompare(b.orderNo),
      width: 160
    },
    {
      dataIndex: 'cargoOwnerName',
      title: '货主',
      sorter: (a, b) => a.cargoOwner.localeCompare(b.cargoOwner),
      width: 100
    },
    {
      dataIndex: 'carrierName',
      title: '承运商',
      sorter: (a, b) => a.carrierName.localeCompare(b.carrierName),
      width: 120
    },
    {
      dataIndex: 'consigneeName',
      title: '收货方',
      sorter: (a, b) => a.consigneeName.localeCompare(b.consigneeName),
      width: 100
    },
    {
      dataIndex: 'itemCode',
      title: '商品编码',
      sorter: (a, b) => a.itemCode.localeCompare(b.itemCode),
      width: 120
    },
    {
      dataIndex: 'itemName',
      title: '商品名称',
      sorter: (a, b) => a.itemName.localeCompare(b.itemName),
      width: 160
    },
    {
      dataIndex: 'loadingLocation',
      title: '装货地点',
      sorter: (a, b) => a.loadingLocation.localeCompare(b.loadingLocation),
      width: 120
    },
    {
      dataIndex: 'planDeliveryDate',
      title: '计划发货日期',
      sorter: (a, b) => a.planDeliveryDate.localeCompare(b.planDeliveryDate),
      width: 160
    },
    {
      dataIndex: 'branchName',
      title: '仓库',
      sorter: (a, b) => a.warehouse.localeCompare(b.warehouse),
      width: 100
    },
    {
      dataIndex: 'pcs',
      title: '计划箱数',
      sorter: (a, b) => a.pcs - b.pcs,
      width: 100
    },
    {
      dataIndex: 'isTransfiniteName',
      title: '是否超限',
      sorter: (a, b) => a.isTransfiniteName.localeCompare(b.isTransfiniteName),
    },
    {
      key: 'operation',
      title: '操作',
      width: 120,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' },
    },
  ]
}

