package com.prolog.rdc.tms.model.dto.basicConfigure;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 标记配置弹窗DTO
 *
 * @author zhangsj
 * @since 2022-04-26 15:53:19
 */
@Data
@ApiModel("标记配置弹窗DTO")
public class SignconfigPopDTO implements Serializable {
	private static final long serialVersionUID = 881329211486955796L;

	@ApiModelProperty(value = "标记ID")
	private Long id;

	@ApiModelProperty(value = "标记名称")
	private String name;

	@ApiModelProperty(value = "标记类型 数据字典SIGNCONFIG_TYPE 1订单类型 2业务类型 3温度要求 4配送方式 5订单备注")
	private Integer type;

	@ApiModelProperty(value = "标记类型名称 数据字典SIGNCONFIG_TYPE 1订单类型 2业务类型 3温度要求 4配送方式 5订单备注")
	private String typeName;

	@ApiModelProperty(value = "匹配 数据字典SIGNCONFIG_MATCHING 1模糊匹配 2模糊不匹配 3非空 4为空 5等于 6不等于")
	private Integer matching;

	@ApiModelProperty(value = "匹配名称 数据字典SIGNCONFIG_MATCHING 1模糊匹配 2模糊不匹配 3非空 4为空 5等于 6不等于")
	private String matchingName;

	@ApiModelProperty(value = "储存值")
	private String storedValue;

	@ApiModelProperty(value = "底纹")
	private String background;

	@ApiModelProperty(value = "字体")
	private String color;

	@ApiModelProperty(value = "优先级 数据字典SIGNCONFIG_PRIORITY")
	private Integer priority;

	@ApiModelProperty(value = "优先级名称 数据字典SIGNCONFIG_PRIORITY")
	private String priorityName;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "字符属性扩展1")
	private String extStr1;

	@ApiModelProperty(value = "字符属性扩展2")
	private String extStr2;

	@ApiModelProperty(value = "字符属性扩展3")
	private String extStr3;

	@ApiModelProperty(value = "字符属性扩展4")
	private String extStr4;

	@ApiModelProperty(value = "字符属性扩展5")
	private String extStr5;

	@ApiModelProperty(value = "数值属性扩展1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	private BigDecimal extNum5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展1")
	private Date extDate1;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展2")
	private Date extDate2;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展3")
	private Date extDate3;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展4")
	private Date extDate4;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展5")
	private Date extDate5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

}
