package com.prolog.rdc.tms.model.dto.e6;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 获取设备的最新位置信息DTO
 * @author hongbo.pan
 * @date 2023/3/21
 */
@Data
public class EquipInfoDTO {

    @ApiModelProperty(value = "设备编号")
    private String equipCode;

    @ApiModelProperty(value = "定位时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gpsTime;

    @ApiModelProperty(value = "速度")
    private BigDecimal speed;

    @ApiModelProperty(value = "里程")
    private BigDecimal odometer;

    @ApiModelProperty(value = "纬度(WGS-84坐标系)")
    private BigDecimal lat;

    @ApiModelProperty(value = "经度(WGS-84坐标系)")
    private BigDecimal lon;

    @ApiModelProperty(value = "车头方向0-360(0为正北 顺时针递加)")
    private BigDecimal direction;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "省")
    private String provice;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "区")
    private String district;

    @ApiModelProperty(value = "路名信息")
    private String roadName;

    @ApiModelProperty(value = "温度1(℃)")
    private BigDecimal t1;

    @ApiModelProperty(value = "温度2(℃)")
    private BigDecimal t2;

    @ApiModelProperty(value = "温度3(℃)")
    private BigDecimal t3;

    @ApiModelProperty(value = "温度4(℃)")
    private BigDecimal t4;

    @ApiModelProperty(value = "温度1采集时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date tempTime1;

    @ApiModelProperty(value = "温度2采集时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date tempTime2;

    @ApiModelProperty(value = "温度3采集时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date tempTime3;

    @ApiModelProperty(value = "温度4采集时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date tempTime4;

    @ApiModelProperty(value = "湿度1(%RH)")
    private BigDecimal h1;

    @ApiModelProperty(value = "湿度2(%RH)")
    private BigDecimal h2;

    @ApiModelProperty(value = "湿度3(%RH)")
    private BigDecimal h3;

    @ApiModelProperty(value = "湿度4(%RH)")
    private BigDecimal h4;

    @ApiModelProperty(value = "湿度1采集时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date humiTime1;

    @ApiModelProperty(value = "湿度2采集时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date humiTime2;

    @ApiModelProperty(value = "湿度3采集时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date humiTime3;

    @ApiModelProperty(value = "湿度4采集时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date humiTime4;

    @ApiModelProperty(value = "电量百分比数值")
    private BigDecimal voltage;

    @ApiModelProperty(value = "电源状态")
    private String powerStatus;

}
