package com.prolog.rdc.tms.model.dto.e6;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 获取车辆的轨迹信息DTO
 * @author hongbo.pan
 * @date 2023/3/21
 */
@Data
public class TrackDetailDTO {

    @ApiModelProperty(value = "车牌")
    @JSONField(name = "Vehicle")
    private String vehicle;

    @ApiModelProperty(value = "定位时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @JSONField(name = "GPSTime")
    private Date gpsTime;

    @ApiModelProperty(value = "纬度(WGS-84坐标系)")
    @JSONField(name = "Lat")
    private BigDecimal lat;

    @ApiModelProperty(value = "经度(WGS-84坐标系)")
    @JSONField(name = "Lon")
    private BigDecimal lon;

    @ApiModelProperty(value = "车头方向0-360(0为正北 顺时针递加)")
    @JSONField(name = "Direction")
    private BigDecimal direction;

    @ApiModelProperty(value = "里程")
    @JSONField(name = "Odometer")
    private BigDecimal odometer;

    @ApiModelProperty(value = "速度")
    @JSONField(name = "Speed")
    private BigDecimal speed;

    @ApiModelProperty(value = "车辆位置")
    @JSONField(name = "PlaceName")
    private String placeName;

    @ApiModelProperty(value = "路名信息")
    @JSONField(name = "RoadName")
    private String roadName;

    @ApiModelProperty(value = "1路温度(℃)")
    @JSONField(name = "Temp1")
    private BigDecimal temp1;

    @ApiModelProperty(value = "2路温度(℃)")
    @JSONField(name = "Temp2")
    private BigDecimal temp2;

    @ApiModelProperty(value = "3路温度(℃)")
    @JSONField(name = "Temp3")
    private BigDecimal temp3;

    @ApiModelProperty(value = "4路温度(℃)")
    @JSONField(name = "Temp4")
    private BigDecimal temp4;

    @ApiModelProperty(value = "根据参数isoffsetlonlat返回的纬度")
    @JSONField(name = "Lat02")
    private BigDecimal lat02;

    @ApiModelProperty(value = "根据参数isoffsetlonlat返回的经度")
    @JSONField(name = "Lon02")
    private BigDecimal lon02;

    @ApiModelProperty(value = "ACC开,3D定位,天线正常,冷机开,门关,门关4")
    @JSONField(name = "Status")
    private String status;

}
