package com.prolog.rdc.tms.model.dto.e6;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 查询车辆的温度信息DTO
 * @author hongbo.pan
 * @date 2023/3/21
 */
@Data
public class VehicleTemperatureInfoDTO {

    @ApiModelProperty(value = "车牌")
    @JSONField(name = "Vehicle")
    private String vehicle;

    @ApiModelProperty(value = "定位时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @JSONField(name = "GPSTime")
    private Date gpsTime;

    @ApiModelProperty(value = "纬度(WGS-84坐标系)")
    @JSONField(name = "Lat")
    private BigDecimal lat;

    @ApiModelProperty(value = "经度(WGS-84坐标系)")
    @JSONField(name = "Lon")
    private BigDecimal lon;

    @ApiModelProperty(value = "1路温度(℃)")
    @JSONField(name = "Temperature")
    private BigDecimal temperature;

    @ApiModelProperty(value = "2路温度(℃)")
    @JSONField(name = "Temperature2")
    private BigDecimal temperature2;

    @ApiModelProperty(value = "3路温度(℃)")
    @JSONField(name = "Temperature3")
    private BigDecimal temperature3;

    @ApiModelProperty(value = "4路温度(℃)")
    @JSONField(name = "Temperature4")
    private BigDecimal temperature4;

    @ApiModelProperty(value = "冷机状态")
    @JSONField(name = "ColdStatus")
    private String coldStatus;

    @ApiModelProperty(value = "门状态(一个门开则认为是开)1：门开 0：门关 -1：无门磁")
    @JSONField(name = "DoorSta")
    private String doorSta;
}
