package com.prolog.rdc.tms.model.dto.e6;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 查询车辆的温度信息DTO
 * @author hongbo.pan
 * @date 2023/3/21
 */
@Data
public class VehiclesAllAlarmInfoDTO {

    @ApiModelProperty(value = "车牌")
    @JSONField(name = "Vehicle")
    private String vehicle;

    @ApiModelProperty(value = "报警类型")
    @JSONField(name = "AlarmType")
    private String alarmType;

    @ApiModelProperty(value = "开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @JSONField(name = "BTime")
    private Date bTime;

    @ApiModelProperty(value = "开始位置")
    @JSONField(name = "BPlaceName")
    private String bPlaceName;

    @ApiModelProperty(value = "结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @JSONField(name = "ETime")
    private Date eTime;

    @ApiModelProperty(value = "结束位置")
    @JSONField(name = "EPlaceName")
    private String ePlaceName;

    @ApiModelProperty(value = "报警内容")
    @JSONField(name = "AlarmContent")
    private String alarmContent;

    @ApiModelProperty(value = "持续时长(秒)")
    @JSONField(name = "Duration")
    private BigDecimal duration;

    @ApiModelProperty(value = "所属部门")
    @JSONField(name = "OrgName")
    private String orgName;

    @ApiModelProperty(value = "开始位置维度")
    @JSONField(name = "BLat")
    private BigDecimal bLat;

    @ApiModelProperty(value = "开始位置经度")
    @JSONField(name = "BLon")
    private BigDecimal bLon;

    @ApiModelProperty(value = "结束位置维度")
    @JSONField(name = "ELat")
    private BigDecimal eLat;

    @ApiModelProperty(value = "结束位置经度")
    @JSONField(name = "ELon")
    private BigDecimal eLon;

    @ApiModelProperty(value = "处理方式(0:未处理，1:已处理，2:已忽略)")
    @JSONField(name = "HandleType")
    private String handleType;

}
