package com.prolog.rdc.tms.model.dto.g7;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *
 *
 * 车辆当前定位V1.0DTO
 *
 * @className :CurrentLocationDTO
 * @author :fanzw
 * @creationTime :2022/08/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class CurrentGpsLocationDTO {

    @ApiModelProperty(value = "gps设备号")
    private String gpsno;

    @ApiModelProperty(value = "经度，GCJ02坐标系")
    private BigDecimal lng;

    @ApiModelProperty(value = "纬度，GCJ02坐标系")
    private BigDecimal lat;

    @ApiModelProperty(value = "方向角(°)，360度，正北为0")
    private BigDecimal course;

    @ApiModelProperty(value = "最后通讯时间")
    private String time;

    @ApiModelProperty(value = "最后定位时间")
    private String gps_time;

    @ApiModelProperty(value = "状态，同G7系统全图监控设备状态(G7自定义状态，0=无法定位（设备没有上报过数据）；1=信号中断；2=未定位；3=车辆静止；4=车辆运动中; 6=未启用)")
    private Integer status;

    @ApiModelProperty(value = "两个相邻经纬度点的距离|单位:厘米")
    private BigDecimal altitude;

    @ApiModelProperty(value = "速度，km/h")
    private BigDecimal speed;

}
