package com.prolog.rdc.tms.model.dto.g7;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *
 *
 * 车辆当前定位V1.0DTO
 *
 * @className :CurrentLocationDTO
 * @author :fanzw
 * @creationTime :2022/08/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class CurrentLocationDTO {

    @ApiModelProperty(value = "经度，GCJ02坐标系")
    private BigDecimal lng;

    @ApiModelProperty(value = "纬度，GCJ02坐标系")
    private BigDecimal lat;

    @ApiModelProperty(value = "速度，km/h")
    private Integer speed;

    @ApiModelProperty(value = "方向角(°)，360度，正北为0")
    private String course;

    @ApiModelProperty(value = "定位时间 unix timestamp, 精度毫秒ms")
    private String time;

    @ApiModelProperty(value = "两个相邻经纬度点的距离|单位:厘米")
    private Integer distance;
}
