package com.prolog.rdc.tms.model.dto.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* 车辆 DTO
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-08-28 12:27:10
*/
@Data
public class VehicleDTO {

    @ApiModelProperty(value = "车辆ID")
    private Long id;

    @ApiModelProperty(value = "车辆编码")
    private String code;

    @ApiModelProperty(value = "车牌号")
    private String plateNumber;

    @ApiModelProperty(value = "车辆类型：数据字典VEHICLE_TYPE: 1自有、2挂靠、3临时")
    private Integer type;

    @ApiModelProperty(value = "车辆类型：数据字典VEHICLE_TYPE: 1自有、2挂靠、3临时")
    private String typeName;

    @ApiModelProperty(value = "隶属机构ID")
    private Long affiliationId;

    @ApiModelProperty(value = "隶属机构编码")
    private String affiliationCode;

    @ApiModelProperty(value = "隶属机构名称")
    private String affiliationName;

    @ApiModelProperty(value = "车型ID")
    private Long vehicleTypeId;

    @ApiModelProperty(value = "车型编码")
    private String vehicleTypeCode;

    @ApiModelProperty(value = "车型名称")
    private String vehicleTypeName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "车辆状态，0闲 1送")
    private Integer vehicleStatus;

    @ApiModelProperty(value = "车辆状态，0闲 1送")
    private String vehicleStatusName;

}
