package com.prolog.rdc.tms.model.dto.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
* 车型车辆 DTO
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-08-28 12:27:10
*/
@Data
public class VehicleTypeVehicleDTO {

    @ApiModelProperty(value = "车型ID")
    private Long id;

    @ApiModelProperty(value = "车型编码")
    private String code;

    @ApiModelProperty(value = "车型名称")
    private String name;

    @ApiModelProperty(value = "车型品牌 数据字典VEHICLE_TYPE_BRAND：1长安、2依维柯")
    private Integer brand;

    @ApiModelProperty(value = "车型品牌 数据字典VEHICLE_TYPE_BRAND：1长安、2依维柯")
    private String brandName;

    @ApiModelProperty(value = "车型类别 数据字典VEHICLE_TYPE_CATEGORY：1冷藏车、2平顶车、3厢式货车")
    private Integer type;

    @ApiModelProperty(value = "车型类别 数据字典VEHICLE_TYPE_CATEGORY：1冷藏车、2平顶车、3厢式货车")
    private String typeName;

    @ApiModelProperty(value = "长(m)")
    private BigDecimal length;

    @ApiModelProperty(value = "宽(m)")
    private BigDecimal width;

    @ApiModelProperty(value = "高(m)")
    private BigDecimal height;

    @ApiModelProperty(value = "最大行驶里程(km)")
    private BigDecimal maxMileage;

    @ApiModelProperty(value = "最多订单数量")
    private BigDecimal maxOrders;

    @ApiModelProperty(value = "最多配送客户数")
    private BigDecimal sites;

    @ApiModelProperty(value = "载重(kg)")
    private BigDecimal weight;

    @ApiModelProperty(value = "载方(m³)")
    private BigDecimal volume;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "车辆集合")
    private List<VehicleDTO> vehicleDTOList;

    @ApiModelProperty(value = "车辆数量")
    private Integer vehicleNumber;

}
