package com.prolog.rdc.tms.model.entity;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import com.prolog.product.core.base.group.AddGroup;
import com.prolog.product.core.base.group.EditGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * 
 *
 * 行政区域 Model
 *
 * @className :LmsTmsZoneModel
 * @author :fanzw
 * @creationTime :2020/07/03
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2020/07/03
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table(value = "lms_tms_zone")
public class LmsTmsZoneModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@ApiModelProperty(value = "区域ID")
	@Column(value = "zoneid")
	@NotBlank(message = "区域ID必填", groups = { AddGroup.class, EditGroup.class })
	private String zoneid;

	@ApiModelProperty(value = "区域名称")
	@Column(value = "zname")
	@NotBlank(message = "区域名称必填", groups = { AddGroup.class, EditGroup.class })
	private String zname;

	@ApiModelProperty(value = "父级ID")
	@Column(value = "fatherid")
	private String fatherid;

	@ApiModelProperty(value = "层级")
	@Column(value = "zlevel")
	@NotBlank(message = "层级必填", groups = { AddGroup.class, EditGroup.class })
	private Integer zlevel;

	@ApiModelProperty(value = "简称")
	@Column(value = "keyvalue")
	@NotBlank(message = "简称必填", groups = { AddGroup.class, EditGroup.class })
	private String keyvalue;

	@ApiModelProperty(value = "父级名称")
	@Column(value = "fullname")
	private String fullname;

	@ApiModelProperty(value = "请补充说明")
	@Column(value = "sortcode")
	private String sortcode;

	@ApiModelProperty(value = "备注")
	@Column(value = "REMARK")
	private String remark;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

}
