package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 打印模版
 */

@Data
@Table(value = "sys_printer_template")
public class PrinterTemplate implements Serializable {

	private static final long serialVersionUID = -4245664791891980110L;

	@ApiModelProperty(value = "id")
	@Id
	@Column(value = "id")
	private Long id;

	@ApiModelProperty(value = "方案名称")
	@Column(value = "plan_name")
	private String planName;

	@ApiModelProperty(value = "方案编码")
	@Column(value = "plan_code")
	private String planCode;

	@ApiModelProperty(value = "客户类型 0：货主 1：供应商")
	@Column(value = "company_type")
	private String companyType;

	@ApiModelProperty(value = "客户ID")
	@Column(value = "company_id")
	private Long companyId;

	@ApiModelProperty(value = "客户编码")
	@Column(value = "company_code")
	private String companyCode;

	@ApiModelProperty(value = "客户名称")
	@Column(value = "company_name")
	private String companyName;

	@ApiModelProperty(value = "模版高度")
	@Column(value = "template_height")
	private BigDecimal templateHeight;

	@ApiModelProperty(value = "模版宽度")
	@Column(value = "template_wide")
	private BigDecimal templateWide;

	@ApiModelProperty(value = "模版名称")
	@Column(value = "template_name")
	private String templateName;

	@ApiModelProperty(value = "模版地址")
	@Column(value = "template_path")
	private String templatePath;

	@ApiModelProperty(value = "模版类型 0:纸单 1:标签")
	@Column(value = "template_type")
	private String templateType;

	@ApiModelProperty(value = "仓库名称")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "备注")
	@Column(value = "remark")
	private String remark;

	@ApiModelProperty(value = "备注")
	@Column(value = "version")
	private int version;

	@ApiModelProperty(value = "0 未删除，1 已删除")
	@Column(value = "deleted_flag")
	private int deletedFlag;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "warehouse_id")
	private Long warehouseId;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "warehouse_code")
	private String warehouseCode;

	@ApiModelProperty(value = "仓库名称")
	@Column(value = "warehouse_name")
	private String warehouseName;

	@ApiModelProperty(value = "创建人")
	@Column(value = "created_by")
	private String createdBy;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "created_date")
	private Date createdDate;

	@ApiModelProperty(value = "最后修改人")
	@Column(value = "last_modified_by")
	private String lastModifiedBy;

	@ApiModelProperty(value = "最后修改时间")
	@Column(value = "last_modified_date")
	private Date lastModifiedDate;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str4")
	private String attrStr4;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str5")
	private String attrStr5;
}