package com.prolog.rdc.tms.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 *
 * 地图接口调用参数VO
 *
 * @className :KD100VO
 * @author :fanzw
 * @creationTime :2023/02/03
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/02/03
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class AMapVO implements Serializable {

	private static final long serialVersionUID = -5873583673725618198L;

	@ApiModelProperty(value = "快递单号")
	private String expressNumber;

	@ApiModelProperty(value = "承运商编码")
	private String carriersCode;

	@ApiModelProperty(value = "发货方经度")
	private BigDecimal shipperLongitude;

	@ApiModelProperty(value = "发货方纬度")
	private BigDecimal shipperLatitude;

	@ApiModelProperty(value = "收货方经度")
	private BigDecimal consigneeLongitude;

	@ApiModelProperty(value = "收货方纬度")
	private BigDecimal consigneeLatitude;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "启运时间")
	private Date departureTime;
}
