package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * GPS数据VO
 *
 * @className :GpsDataVO
 * @author :fanzw
 * @creationTime :2023/02/03
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/02/03
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class GpsDataVO implements Serializable {

	private static final long serialVersionUID = -5873583673725618198L;

	@ApiModelProperty(value = "主键ID")
	private String id;

	@ApiModelProperty(value = "类型 2车辆")
	private Integer type;

	@ApiModelProperty(value = "设备ID")
	private BigDecimal deviceId;

	@ApiModelProperty(value = "设备编码")
	private String deviceCode;

	@ApiModelProperty(value = "设备名称  ")
	private String deviceName;

	@ApiModelProperty(value = "车辆ID")
	private BigDecimal vehicleId;

	@ApiModelProperty(value = "车辆编码")
	private String vehicleCode;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "司机ID")
	private BigDecimal driverId;

	@ApiModelProperty(value = "司机编号")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "定位时间")
	private Date gpsDate;

	@ApiModelProperty(value = "定位的高程值(默认0)")
	private BigDecimal locationHeight;

	@ApiModelProperty(value = "空间参考 默认4326")
	private String spatialReference;

	@ApiModelProperty(value = "水平速度 默认0")
	private BigDecimal horizontalVelocity;

	@ApiModelProperty(value = "垂直速度 默认0")
	private BigDecimal verticalVelocity;

	@ApiModelProperty(value = "车辆当前速度 默认0")
	private BigDecimal currentVelocity;

	@ApiModelProperty(value = "车辆当前的方向 取值为0-360 度之间，没有方向也需要填充0")
	private BigDecimal vehicleDirection;

	@ApiModelProperty(value = "定位质量 默认10即可")
	private String positioningQuality;

	@ApiModelProperty(value = "定位状态 默认1即可")
	private String positioningStatus;

	@ApiModelProperty(value = "数据提供方 公司名称缩写或名称")
	private String dataProvider;

	@ApiModelProperty(value = "企业ID")
	private BigDecimal enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

}
