package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 运单包裹汇总接口保存VO
 *
 * @className :IntfShipbillPackageHeaderVO
 * @author :fanzw
 * @creationTime :2022/08/13
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/13
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("运单包裹汇总接口保存VO")
public class IntfShipbillPackageHeaderVO implements Serializable {

	private static final long serialVersionUID = 5061123257196922637L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "订单ID")
	private String orderId;

	@ApiModelProperty(value = "订单编号")
	private String orderNo;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	private String branchName;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "货主编码")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "货主名称")
	private String cargoOwnerName;

	@ApiModelProperty(value = "明细行号")
	private Integer seqno;

	@ApiModelProperty(value = "原明细行号")
	private Integer originalSeqno;

	@ApiModelProperty(value = "包裹ID")
	private String packageId;

	@ApiModelProperty(value = "包裹编号")
	private String packageCode;

	@ApiModelProperty(value = "包裹类型 数据字典PACKAGE_TYPE:1整件 2拼箱")
	private Integer packageType;

	@ApiModelProperty(value = "托盘号")
	private String palletNumber;

	@ApiModelProperty(value = "件数")
	private BigDecimal pcs;

	@ApiModelProperty(value = "体积")
	private BigDecimal volume;

	@ApiModelProperty(value = "重量")
	private BigDecimal weight;

	@ApiModelProperty(value = "整件数")
	private BigDecimal wholePiece;

	@ApiModelProperty(value = "拼箱数")
	private BigDecimal lclPiece;

	@ApiModelProperty(value = "长(cm)")
	private BigDecimal length;

	@ApiModelProperty(value = "宽(cm)")
	private BigDecimal width;

	@ApiModelProperty(value = "高(cm)")
	private BigDecimal heigth;

	@ApiModelProperty(value = "品类数")
	private Integer itemCategoryNumber;

	@ApiModelProperty(value = "设备生产厂商 数据字典表DEVICE_COMPANY：1易流、2捷依、3G7")
	private Integer deviceCompany;

	@ApiModelProperty(value = "设备ID")
	private Long deviceId;

	@ApiModelProperty(value = "设备编码")
	private String deviceCode;

	@ApiModelProperty(value = "设备名称")
	private String deviceName;

	@ApiModelProperty(value = "暂存区")
	private String storageCache;

	@ApiModelProperty(value = "状态 数据字典PACKAGE_STATUS:0 取消 10 初始")
	private Integer status;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@ApiModelProperty(value = "字符属性扩展1")
	private String extStr1;

	@ApiModelProperty(value = "字符属性扩展2")
	private String extStr2;

	@ApiModelProperty(value = "字符属性扩展3")
	private String extStr3;

	@ApiModelProperty(value = "字符属性扩展4")
	private String extStr4;

	@ApiModelProperty(value = "字符属性扩展5")
	private String extStr5;

	@ApiModelProperty(value = "数值属性扩展1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	private BigDecimal extNum5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展1")
	private Date extDate1;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展2")
	private Date extDate2;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展3")
	private Date extDate3;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展4")
	private Date extDate4;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展5")
	private Date extDate5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

	@ApiModelProperty(value = "子母单类型(CHILD_PARENT_TYPE 1主单号、2子单号)")
	private Integer childParentType;

	@ApiModelProperty(value = "是否最后一个包裹(LAST_PACKAGE 0-否，1-是)")
	private Integer lastPackage;

	@ApiModelProperty(value = "运单包裹明细接口保存VO")
	private List<IntfShipbillPkgDetailVO> details;
}
