package com.prolog.rdc.tms.model.vo;

import com.prolog.product.core.base.group.AddGroup;
import com.prolog.product.core.base.group.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 
 *
 * 行政区域查询 VO
 *
 * @className :LmsTmsZoneQueryVO
 * @author :fanzw
 * @creationTime :2020/11/16
 * @description :
 * 
 * @modifier :fanzw
 * @modifyTime :2020/11/16
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("行政区域查询 VO")
public class LmsTmsZoneQueryVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "区域名称")
	@NotBlank(message = "区域名称必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 60, message = "区域名称最大长度60", groups = { AddGroup.class, EditGroup.class })
	private String zname;

	@ApiModelProperty(value = "层级")
	@NotNull(message = "层级必填", groups = { AddGroup.class, EditGroup.class })
	private Integer zlevel;

	@ApiModelProperty(value = "父级ID")
	@Size(max = 10, message = "父级ID最大长度10", groups = { AddGroup.class, EditGroup.class })
	private String fatherid;
}
