package com.prolog.rdc.tms.model.vo.basicConfigure;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 *
 * 预警消息新增VO
 *
 * @className :AlertMessageAddVO
 * @author :fanzw
 * @creationTime :2022/01/18
 * @description :
 * @modifier :fanzw
 * @modifyTime :2022/01/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class AlertMessageAddVO implements Serializable {

	private static final long serialVersionUID = -2649394760618883135L;

	@ApiModelProperty(value = "消息类型编码 1.预警")
	private Integer messageTypeCode;

	@ApiModelProperty(value = "消息类型名称 1.预警")
	private String messageTypeName;

	@ApiModelProperty(value = "单位id")
	private String customerIds;

	@ApiModelProperty(value = "单位编号")
	private String customerCodes;

	@ApiModelProperty(value = "单位名称")
	private String customerNames;

	@ApiModelProperty(value = "业务单据ID")
	private String refbillid;

	@ApiModelProperty(value = "业务单据号")
	private String refbillno;

	@ApiModelProperty(value = "消息内容")
	private String message;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "发送时间")
	private Date sendTime;

	@ApiModelProperty(value = "发送人ID")
	private String sendPeopleId;

	@ApiModelProperty(value = "发送人名称")
	private String sendPeopleName;

	@ApiModelProperty(value = "发送部门ID")
	private String sendDepartmentId;

	@ApiModelProperty(value = "发送部门名称")
	private String sendDepartmentName;

	@ApiModelProperty(value = "发送企业ID")
	private String sendEnterpriseId;

	@ApiModelProperty(value = "发送企业名称")
	private String sendEnterpriseName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "接收时间")
	private Date receiveTime;

	@ApiModelProperty(value = "接收人ID")
	private String receivePeopleId;

	@ApiModelProperty(value = "接收人名称")
	private String receivePeopleName;

	@ApiModelProperty(value = "接收部门ID")
	private String receiveDepartmentId;

	@ApiModelProperty(value = "接收部门名称")
	private String receiveDepartmentName;

	@ApiModelProperty(value = "接收企业ID")
	private String receiveEnterpriseId;

	@ApiModelProperty(value = "接收企业名称")
	private String receiveEnterpriseName;

	@ApiModelProperty(value = "是否已读 0:否 1:是")
	private Integer whetherRead;

	@ApiModelProperty(value = "是否处理 0:否 1:是")
	private Integer status;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

}
