package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class TmsBaseBranchQueryVO {

	@ApiModelProperty(value = "当前页")
    private int pageNum;

    @ApiModelProperty(value = "页最大行数")
    private int pageSize;
    
    @ApiModelProperty(value = "仓库编码")
    private String code;
    
    @ApiModelProperty(value = "仓库名称")
    private String name;
    
    @ApiModelProperty(value = "仓库ID数组集合 前端入参格式 ['仓库ID1','仓库ID2']")
    private List<String> ids;
	
    // STD-DEVELOP20220823 lhb JC-HZ-001 仓库支持多部门 20220908 start
    @ApiModelProperty(value = "仓库ID权限数组集合" , hidden = true)
    private Long[] idArrs;

    @ApiModelProperty(value = "部门ID" , hidden = true)
    private String[] departmentIds;

    @ApiModelProperty(value = "企业ID", hidden = true)
    private Long enterpriseId;

    @ApiModelProperty(value = "状态:0：停用 1：启用 数据字典MAINDATA_STATUS", hidden = true)
    private Integer status;

    @ApiModelProperty(value = "是否数据权限" , hidden = true)
    private String isData;

    @ApiModelProperty(value = "是否部门权限" , hidden = true)
    private String isDept;
    // STD-DEVELOP20220823 lhb JC-HZ-001 仓库支持多部门 20220908 end
	
}
