package com.prolog.rdc.tms.app.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.app.model.dto.ContoinerBillConsigneePageDTO;
import com.prolog.rdc.tms.app.model.dto.ContoinerBillConsigneeStoresListDTO;
import com.prolog.rdc.tms.app.model.dto.ContoinerBillReturnPageDTO;
import com.prolog.rdc.tms.app.model.dto.ContoinerBillReturnStoresListDTO;
import com.prolog.rdc.tms.app.model.entity.TmsContainerBillHeaderModel;
import com.prolog.rdc.tms.app.model.vo.ContoinerBillConsigneePageVO;
import com.prolog.rdc.tms.app.model.vo.ContoinerBillConsigneeStoresListVO;
import com.prolog.rdc.tms.app.model.vo.ContoinerBillReturnPageVO;
import com.prolog.rdc.tms.app.model.vo.ContoinerBillReturnStoresListVO;

/**
 *
 * 容器业务单汇总
 *
 * @className    :TmsContainerBillHeaderMapper
 * @author       :fanzw
 * @date         :2023/6/8
 * @description  :
 *
 * @version      :1.2.1
 *
 */
@Repository
public interface TmsContainerBillHeaderMapper extends BaseMapper<TmsContainerBillHeaderModel> {

	/**
	 * 门店在途查询
	 *
	 * @param vo
	 * @return
	 */
	List<ContoinerBillConsigneePageDTO> contoinerBillConsigneeSql(@Param("vo") ContoinerBillConsigneePageVO contoinerBillConsigneePageVO);

	/**
	 * 门店在途门店查询
	 *
	 * @param vo
	 * @return
	 */
	List<ContoinerBillConsigneeStoresListDTO> contoinerBillConsigneeStoresSql(@Param("vo") ContoinerBillConsigneeStoresListVO contoinerBillConsigneeStoresListVO);

	/**
	 * 容器归还单查询
	 *
	 * @param vo
	 * @return
	 */
	List<ContoinerBillReturnPageDTO> contoinerBillReturnSql(@Param("vo") ContoinerBillReturnPageVO contoinerBillReturnPageVO);

	/**
	 * 门店在途门店查询
	 *
	 * @param vo
	 * @return
	 */
	List<ContoinerBillReturnStoresListDTO> contoinerBillReturnStoresSql(@Param("vo") ContoinerBillReturnStoresListVO contoinerBillReturnStoresListVO);

}
