package com.prolog.rdc.tms.app.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * 预约单查询DTO
 *
 * @author qian.yh
 * @since 2022-07-21 15:30:16
 */
@Data
@ApiModel("预约单查询DTO")
public class AppointmentBillQueryForCarrierDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "司机ID")
	private String driverId;

	@ApiModelProperty(value = "企业ID")
	private String enterpriseId;

	@ApiModelProperty(value = "提货地点ID")
	private String shipfromId;

	@ApiModelProperty(value = "提货地点编号")
	private String shipfromCode;

	@ApiModelProperty(value = "提货地点名称")
	private String shipfromName;

	@ApiModelProperty(value = "提货地点地址")
	private String shipfromAddress;

	@ApiModelProperty(value = "提货地点经度")
	private String shipfromLongitude;

	@ApiModelProperty(value = "提货地点纬度")
	private String shipfromLatitude;

	@ApiModelProperty(value = "运单数")
	private int shipBillNums;

	@ApiModelProperty(value = "总件数")
	private int shipBillPackages;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "预约日期")
	private String appointmentDate;

	@ApiModelProperty(value = "预约时间")
	private String appointmentTime;

	@ApiModelProperty(value = "预约单状态")
	private String status;

	@ApiModelProperty(value = "预约单状态")
	private String statusName;

	@ApiModelProperty(value = "预约单号")
	private String appointmentNo;

	@ApiModelProperty(value = "预约单号")
	private String appointmentId;

	@ApiModelProperty(value = "预约号码")
	private String reserveNumber;

	@ApiModelProperty(value = "预约司机名称")
	private String driverName;

	@ApiModelProperty(value = "预约电话")
	private String appointmentTel;

	@ApiModelProperty(value = "车牌号")
	private String plateNumber;

	@ApiModelProperty(value = "理货状态")
	private Integer tallyStatus;

	@ApiModelProperty(value = "理货状态")
	private String tallyStatusName;

	@ApiModelProperty(value = "运单id集合")
	private String shipbillIds;

}
