package com.prolog.rdc.tms.app.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 预约确认DTO
 *
 * @author qian.yh
 * @since 2022-07-21 15:30:16
 */
@Data
@ApiModel("预约确认DTO")
public class AppointmentConfirmationDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "司机编号")
    private String driverCode;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "司机电话")
    private String driverTel;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "提货地点ID")
    private String appointFromId;

    @ApiModelProperty(value = "提货地点名称")
    private String appointFromName;

    @ApiModelProperty(value = "提货地址")
    private String appointAddress;

    @ApiModelProperty(value = "预约时间")
    private String appointDate;

    @ApiModelProperty(value = "预约号")
    private String appointNumber;

    @ApiModelProperty(value = "预约单号")
    private String appointmentBillNo;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计提货时间")
    private Date shipfromDate;

    @ApiModelProperty(value = "运单数")
    private int shipBillNums;

    @ApiModelProperty(value = "总件数")
    private int shipBillPackages;

}
