package com.prolog.rdc.tms.app.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 预约单汇总 Model
 *
 * @author xiaoyf
 * @since 2020-04-03 10:57
 */
@Data
public class AppointmentHeaderDTO implements Serializable {

	@ApiModelProperty(value = "预约单ID")
	private String appointmentId;

	@ApiModelProperty(value = "预约单号")
	private String appointmentNo;

	@ApiModelProperty(value = "预约类型")
	private Integer appointmentType;

	@ApiModelProperty(value = "预约状态 数据字典TALLY_STATUS: 10未理货 20开始理货 30理货完成")
	private Integer status;

	@ApiModelProperty(value = "理货状态")
	private Integer tallyStatus;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	private String branchName;

	@ApiModelProperty(value = "仓库详细地址")
	private String branchAddress;

	@ApiModelProperty(value = "预约日期")
	private Date appointmentDate;

    @ApiModelProperty(value = "预约时间段 数据格式严格按 09:00-12:00(示例)存储")
    private String appointmentTime;

	@ApiModelProperty(value = "预约号码")
	private String reserveNumber;

	@ApiModelProperty(value = "预约时间")
	private Date reserveNumberTime;

    @ApiModelProperty(value = "取号号码(排队号)")
    private String queueNumber;

	@ApiModelProperty(value = "取号时间")
	private Date queueNumberTime;

    @ApiModelProperty(value = "叫号号码(叫号顺序)")
    private String callNumber;

	@ApiModelProperty(value = "叫号时间")
	private Date callNumberTime;

	@ApiModelProperty(value = "紧急运单数量")
	private Integer urgentQuantity;

	@ApiModelProperty(value = "运单数量")
	private Integer shipbillQuantity;

	@ApiModelProperty(value = "总件数")
	private BigDecimal totalPcs;

	@ApiModelProperty(value = "总体积")
	private BigDecimal totalVolume;

	@ApiModelProperty(value = "总重量")
	private BigDecimal totalWeight;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "司机编码")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "承运商ID")
	private Long carrierId;

	@ApiModelProperty(value = "承运商编码")
	private String carrierCode;

	@ApiModelProperty(value = "承运商名称")
	private String carrierName;

    @ApiModelProperty(value = "月台编号")
    private String platformCode;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

	@ApiModelProperty(value = "装卸开始时间")
	private Date loadAndUnloadStartTime;

	@ApiModelProperty(value = "装卸结束时间")
	private Date loadAndUnloadEndTime;

	// STD-DEVELOP20220823 lhb 4273 20220902 start
	@ApiModelProperty(value = "理货工ID")
	private Long tallyWorkerId;

	@ApiModelProperty(value = "理货工编码")
	private String tallyWorkerCode;

	@ApiModelProperty(value = "理货工名称")
	private String tallyWorkerName;

	@ApiModelProperty(value = "装卸工ID")
	private Long loadAndUnloadWorkerId;

	@ApiModelProperty(value = "装卸工编码")
	private String loadAndUnloadWorkerCode;

	@ApiModelProperty(value = "装卸工名称")
	private String loadAndUnloadWorkerName;
	// STD-DEVELOP20220823 lhb 4273 20220902 end

	@ApiModelProperty(value = "生成模式1发货方模式2收货方模式3运单模式4派车单模式")
	private String createMode;

	@ApiModelProperty(value = "派车单号")
	private String loadingBillIds;
}
