package com.prolog.rdc.tms.app.model.dto;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 容器业务日志查询DTO
 *
 * @className :ContoinerBillLogQueryDTO
 * @author :fanzw
 * @creationTime :2023/06/09
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/06/09
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("容器业务日志查询DTO")
public class ContoinerBillLogQueryDTO implements Serializable {

	private static final long serialVersionUID = 5336739951239021253L;

	@ApiModelProperty(value = "主键")
	@Column(value = "id")
	private String id;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "操作时间")
	@Column(value = "operate_date")
	private Date operateDate;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "操作事件")
	@Column(value = "operate_event")
	private String operateEvent;

	@ApiModelProperty(value = "容器ID")
	@Column(value = "container_id")
	private Long containerId;

	@ApiModelProperty(value = "容器业务单号")
	@Column(value = "container_bill_no")
	private String containerBillNo;

}
