package com.prolog.rdc.tms.app.model.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 排车单明细查询DTO
 *
 * @className :DispatchOrderDetailQueryDTO
 * @author :qian.yh
 * @date :2022/7/4
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("排车单明细查询DTO")
public class DispatchOrderDetailQueryDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "司机ID")
	private String driverId;

	@ApiModelProperty(value = "企业ID")
	private String enterpriseId;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "配送地点ID")
	private String shipToId;

	@ApiModelProperty(value = "配送地点编号")
	private String shipToCode;

	@ApiModelProperty(value = "配送地点名称")
	private String shipToName;

	@ApiModelProperty(value = "配送地点地址")
	private String shipToAddress;

	@ApiModelProperty(value = "收货人")
	private String shipToConsignee;

	@ApiModelProperty(value = "收货人联系电话")
	private String shipToConsigneeTel;

	@ApiModelProperty(value = "收货人联系电话2")
	private String shipToConsigneeMobel;

	@ApiModelProperty(value = "配送地点经度")
	private String shipToLongitude;

	@ApiModelProperty(value = "配送地点纬度")
	private String shipToLatitude;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "送达时间")
	private Date deliveryTime;

	@ApiModelProperty(value = "派车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "货物明细")
	private List<ShipbillItemDetailQueryDTO> itemDetail;
}
