package com.prolog.rdc.tms.app.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * 仓库任务汇总查询DTO
 *
 * @className :PendingAppointmentDetailQueryDTO
 * @author :qian.yh
 * @date :2022/7/4
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("仓库任务汇总查询DTO")
public class PendingAppointmentQueryDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "提货地点ID")
    private String shipfromId;

    @ApiModelProperty(value = "提货地点编号")
    private String shipfromCode;

    @ApiModelProperty(value = "提货地点名称")
    private String shipfromName;

    @ApiModelProperty(value = "提货地点地址")
    private String shipfromAddress;

    @ApiModelProperty(value = "提货地点经度")
    private String shipfromLongitude;

    @ApiModelProperty(value = "提货地点纬度")
    private String shipfromLatitude;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计提货时间")
    private Date shipfromDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计提货时间")
    private Date estimatedPickupStartTime;

    @ApiModelProperty(value = "运单数")
    private int shipBillNums;

    @ApiModelProperty(value = "总件数")
    private int shipBillPackages;

    @ApiModelProperty(value = "运单id集合")
    private String shipbillIds;

    // STD-DEVELOP20220823 lhb tel 20220907 start
    @ApiModelProperty(value = "发货方手机号")
    private String shipperPhoneNumber;

    @ApiModelProperty(value = "发货方座机号")
    private String shipperLandlineNumber;
    // STD-DEVELOP20220823 lhb tel 20220907 end

    @ApiModelProperty(value = "派车单ID集合")
    private String loadingBillIds;

    @ApiModelProperty(value = "司机接单状态:N-未接单,A-已接单")
    private String driverReceiveStatus;

    @ApiModelProperty(value = "是否过磅 0:否 1:是")
    private Integer isWeigh;
}
