package com.prolog.rdc.tms.app.model.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.prolog.rdc.tms.app.model.dto.business.PendingReceiptPackageDetailDTO;
import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 提货任务明细查询DTO
 *
 * @className :PendingPickUpDetailQueryDTO
 * @author :qian.yh
 * @date :2022/7/7
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("提货任务明细查询DTO")
public class PendingPickUpDetailQueryDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "司机ID")
	private String driverId;

	@ApiModelProperty(value = "企业ID")
	private String enterpriseId;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "单据时间")
	private Date orderDate;

	@ApiModelProperty(value = "提货地点ID")
	private String shipfromId;

	@ApiModelProperty(value = "提货地点编号")
	private String shipfromCode;

	@ApiModelProperty(value = "提货地点名称")
	private String shipfromName;

	@ApiModelProperty(value = "提货地点地址")
	private String shipfromAddress;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计提货时间")
	private Date shipfromDate;

	@ApiModelProperty(value = "配送地点ID")
	private String shipToId;

	@ApiModelProperty(value = "配送地点编号")
	private String shipToCode;

	@ApiModelProperty(value = "配送地点名称")
	private String shipToName;

	@ApiModelProperty(value = "配送地点地址")
	private String shipToAddress;

	@ApiModelProperty(value = "收货人")
	private String shipToConsignee;

	@ApiModelProperty(value = "收货人联系电话")
	private String shipToConsigneeTel;

	@ApiModelProperty(value = "收货人联系电话2")
	private String shipToConsigneeMobel;

	// STD-DEVELOP20220823 lhb auto check in 20220902 start
	@ApiModelProperty(value = "提货签到")
	private Integer shipperPickUpSign;

	@ApiModelProperty(value = "状态")
	private Integer status;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "主键ID")
	private String id;
	// STD-DEVELOP20220823 lhb auto check in 20220902 end

	@ApiModelProperty(value = "货物明细")
	private List<ShipbillItemDetailQueryDTO> itemDetail;

	@ApiModelProperty(value = "包裹信息")
	private List<PendingReceiptPackageDetailDTO> packageDetailDTOList;
}
