package com.prolog.rdc.tms.app.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 提货任务汇总查询DTO
 *
 * @className :PendingPickUpQueryDTO
 * @author :qian.yh
 * @date :2022/7/7
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("提货任务汇总查询DTO")
public class PendingPickUpQueryDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "司机ID")
	private String driverId;

	@ApiModelProperty(value = "企业ID")
	private String enterpriseId;

	@ApiModelProperty(value = "提货地点ID")
	private String shipfromId;

	@ApiModelProperty(value = "提货地点编号")
	private String shipfromCode;

	@ApiModelProperty(value = "提货地点名称")
	private String shipfromName;

	@ApiModelProperty(value = "提货地点地址")
	private String shipfromAddress;

	@ApiModelProperty(value = "提货地点经度")
	private String shipfromLongitude;

	@ApiModelProperty(value = "提货地点纬度")
	private String shipfromLatitude;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计提货时间")
	private Date shipfromDate;

	@ApiModelProperty(value = "运单数")
	private int shipBillNums;

	@ApiModelProperty(value = "总件数")
	private int shipBillPackages;

	@ApiModelProperty(value = "是否签到")
	private Integer shipperPickUpSign;

	@ApiModelProperty(value = "运单id集合")
	private String shipbillIds;

	@ApiModelProperty(value = "运单状态")
	private Integer status;

	//STD-DEVELOP20220823 lhb 自动签到 20220901 start
	@ApiModelProperty(value = "默认提货围栏(km)")
	private BigDecimal shipperPickUpRail;
	@ApiModelProperty(value = "自动提货签到")
	private Integer shipperAutoPickUpSign;
	//STD-DEVELOP20220823 lhb 自动签到 20220901 end

	// STD-DEVELOP20220823 lhb tel 20220907 start
	@ApiModelProperty(value = "发货方手机号")
	private String shipperPhoneNumber;

	@ApiModelProperty(value = "发货方座机号")
	private String shipperLandlineNumber;
	// STD-DEVELOP20220823 lhb tel 20220907 end

	@ApiModelProperty(value = "配送方式 数据字典DELIVERY_METHOD_TYPE：1配送 2自提")
	private Integer deliveryMethodType;

	@ApiModelProperty(value = "司机接单状态:N-未接单,A-已接单")
	private String driverReceiveStatus;

	@ApiModelProperty(value = "车辆设备ID")
	private String vehicleDeviceId;

	@ApiModelProperty(value = "车辆设备CODE")
	private String vehicleDeviceCode;

	@ApiModelProperty(value = "车辆设备名称")
	private String vehicleDeviceName;

	@ApiModelProperty(value = "容器id")
	private String containerId;

	@ApiModelProperty(value = "容器编号")
	private String containerCode;

	@ApiModelProperty(value = "容器名称")
	private String containerName;
}