package com.prolog.rdc.tms.app.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 扫描单据DTO
 *
 * @author lhb
 * @since 2022-04-26 15:30:16
 */
@Data
@ApiModel("扫描单据DTO")
public class ScanDispatchBillDTO implements Serializable {

	private static final long serialVersionUID = -95869941042132913L;

	@ApiModelProperty("1:订单 2:运单 3:商品")
	private String codeType;

	@ApiModelProperty(value = "扫描单号")
	private String billCode;

	@ApiModelProperty(value = "收货方名称")
	private String consigneeName;

	@ApiModelProperty(value = "已扫商品code")
	private List<String> scannedItemCodes;

	@ApiModelProperty(value = "全部商品code")
	private List<String> totalItemCodes;

	@ApiModelProperty("已扫描运单集合")
	List<ScanDispatchShipbillDTO> scannedShipbillList;

	@ApiModelProperty("已扫描运单明细集合")
	private List<ScanDispatchDetailDTO> scannedShipbillDetailList;

}
