package com.prolog.rdc.tms.app.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 运单节点 DTO
 *
 * @author zhangsj
 * @since 2022-03-31 11:34:10
 */
@Data
@ApiModel("运单节点查看DTO")
public class ShipbillNodeTrackingDTO implements Serializable {
	private static final long serialVersionUID = -57386015377873582L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "节点事件")
	private String nodeEvent;

	@ApiModelProperty(value = "节点图片")
	private String picUrl;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "节点时间")
	private Date nodeDate;

	@ApiModelProperty(value = "用户名称")
	private String userName;

}
