package com.prolog.rdc.tms.app.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 * 扫描取号查询DTO
 *
 * @className :WarehousePickUpNumberDataDTO
 * @author :qian.yh
 * @date :2022/7/20
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("扫描取号查询DTO")
public class WarehousePickUpNumberDataDTO  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "取号类型(1:按预约单 2：按运单 3：按派车单)")
    private String pickType;

    @ApiModelProperty(value = "预约单明细")
    private List<WarehousePickUpPendingDataDTO> pendingDetail;

    @ApiModelProperty(value = "运单明细")
    private List<WarehousePickUpWaybillDataDTO> waybillDetail;

    @ApiModelProperty(value = "派车单明细")
    private List<WarehousePickUpLoadingBillDataDTO> loadingBillList;
}
