package com.prolog.rdc.tms.app.model.dto;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 扫描取号预约单查询DTO
 *
 * @className :WarehousePickUpPendingDataDTO
 * @author :qian.yh
 * @date :2022/7/20
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("扫描取号预约单查询DTO")
public class WarehousePickUpPendingDataDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "司机ID")
	private String driverId;

	@ApiModelProperty(value = "企业ID")
	private String enterpriseId;

	@ApiModelProperty(value = "预约单ID")
	private String appointmentId;

	@ApiModelProperty(value = "司机编号")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机电话")
	private String driverTel;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "预约号")
	private String appointNumber;

	@ApiModelProperty(value = "提货地点ID")
	private String shipfromId;

	@ApiModelProperty(value = "提货地点编号")
	private String shipfromCode;

	@ApiModelProperty(value = "提货地点名称")
	private String shipfromName;

	@ApiModelProperty(value = "提货地点地址")
	private String shipfromAddress;

	@ApiModelProperty(value = "运单数")
	private int shipBillNums;

	@ApiModelProperty(value = "总件数")
	private int shipBillPackages;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计提货时间")
	private Date shipfromDate;

	@ApiModelProperty(value = "预约日期")
	private String appointmentDate;

	@ApiModelProperty(value = "预约时间")
	private String appointmentTime;

	@ApiModelProperty(value = "预约号码")
	private String reserveNumber;

	@ApiModelProperty(value = "派车单ID集合")
	private String loadingBillIds;

}
