package com.prolog.rdc.tms.app.model.dto.business;

import com.prolog.rdc.tms.app.model.dto.ScanDispatchShipbillDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("扫描派车扫描单据信息DTO")
public class ScanDispatchShipbillInfoDTO {

    @ApiModelProperty("运单信息")
    private List<ScanDispatchShipbillDTO> scannedShipbillList;

    @ApiModelProperty("未扫")
    private Integer unScan;

    @ApiModelProperty("已扫")
    private Integer scanned;

    @ApiModelProperty("应扫")
    private Integer totalScan;

    @ApiModelProperty("所有未扫商品")
    private Integer allUnScanItem;

    @ApiModelProperty("所有已扫商品")
    private Integer allScannedItem;

    @ApiModelProperty("所有应扫商品")
    private Integer allTotalScanItem;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @ApiModelProperty(value = "所属部门名称")
    private String departmentName;

    @ApiModelProperty(value = "收货方名称")
    private String consigneeName;

    @ApiModelProperty(value = "收货方详细电话")
    private String consigneeTel;

    @ApiModelProperty(value = "收货方经度")
    private BigDecimal consigneeLongitude;

    @ApiModelProperty(value = "收货方纬度")
    private BigDecimal consigneeLatitude;

}
