package com.prolog.rdc.tms.app.model.dto.business;

import com.prolog.rdc.tms.app.model.dto.ScanDispatchShipbillDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("扫描派车扫描订单信息DTO")
public class ScanOrderInfoDTO {

    @ApiModelProperty("运单信息")
    private List<ScanDispatchShipbillDTO> scannedShipbillList;

    @ApiModelProperty("订单号")
    private String orderNo;

    @ApiModelProperty(value = "运单数")
    private int shipBillNums;

    @ApiModelProperty(value = "总件数")
    private BigDecimal totalPcs;

    @ApiModelProperty("未扫商品")
    private Integer unScanItem;

    @ApiModelProperty("已扫商品")
    private Integer scannedItem;

    @ApiModelProperty("应扫商品")
    private Integer totalScanItem;

    @ApiModelProperty(value = "所属部门名称")
    private String departmentName;

    @ApiModelProperty(value = "收货方名称")
    private String consigneeName;

    @ApiModelProperty(value = "收货方详细地址")
    private String consigneeAddress;

    @ApiModelProperty(value = "收货方详细电话")
    private String consigneeTel;

    @ApiModelProperty(value = "收货方经度")
    private BigDecimal consigneeLongitude;

    @ApiModelProperty(value = "收货方纬度")
    private BigDecimal consigneeLatitude;

}
