package com.prolog.rdc.tms.app.model.dto.business;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 首页扫二维码返回信息DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xiaoyf
 * @since 2022/6/6 17:36
 */
@Data
@ApiModel("首页扫二维码返回信息DTO")
public class ScanQRByLoadingBillDTO implements Serializable {

    @ApiModelProperty(value = "取号地点ID")
    private Long branchId;

    @ApiModelProperty(value = "取号地点编码")
    private String branchCode;

    @ApiModelProperty(value = "取号地点名称")
    private String branchName;

    @ApiModelProperty(value = "取号详细地址")
    private String branchAddress;

    @ApiModelProperty(value = "司机ID")
    private Long driverId;

    @ApiModelProperty(value = "司机编码")
    private String driverCode;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "司机手机号")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "页面跳转标识 1按预约单取号 2按运单取号 3跳转至运单管理界面")
    private String flag;

    @ApiModelProperty(value = "预约号码")
    private String reserveNumber;

    @ApiModelProperty(value = "发货方类型 数据字典SHIPPER_TYPE:1客户 2仓库 3供应商")
    private Integer shipperType;

    @ApiModelProperty(value = "发货方单位ID")
    private Long shipperUnitId;

    @ApiModelProperty(value = "发货方单位编码")
    private String shipperUnitCode;

    @ApiModelProperty(value = "发货方单位名称")
    private String shipperUnitName;

    @ApiModelProperty(value = "发货方ID")
    private Long shipperId;

    @ApiModelProperty(value = "发货方编码")
    private String shipperCode;

    @ApiModelProperty(value = "发货方名称")
    private String shipperName;

    @ApiModelProperty(value = "发货方联系人")
    private String shipperContact;

    @ApiModelProperty(value = "发货方手机号")
    private String shipperPhoneNumber;

    @ApiModelProperty(value = "发货方座机号")
    private String shipperLandlineNumber;

    @ApiModelProperty(value = "发货方邮箱")
    private String shipperEmail;

    @ApiModelProperty(value = "发货方关联手机号")
    private String shipperRelatedPhoneNumber;

    @ApiModelProperty(value = "发货方省编码")
    private String shipperProvince;

    @ApiModelProperty(value = "发货方省名称")
    private String shipperProvinceName;

    @ApiModelProperty(value = "发货方市编码")
    private String shipperCity;

    @ApiModelProperty(value = "发货方市名称")
    private String shipperCityName;

    @ApiModelProperty(value = "发货方区/县编码")
    private String shipperDistrict;

    @ApiModelProperty(value = "发货方区/县名称")
    private String shipperDistrictName;

    @ApiModelProperty(value = "发货方详细地址")
    private String shipperAddress;

    @ApiModelProperty(value = "发货方经度")
    private BigDecimal shipperLongitude;

    @ApiModelProperty(value = "发货方纬度")
    private BigDecimal shipperLatitude;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计提货开始时间")
    private Date estimatedPickupStartTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计提货结束时间")
    private Date estimatedPickupEndTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计送达开始时间")
    private Date estimatedDeliveryStartTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计结束开始时间")
    private Date estimatedDeliveryEndTime;

    @ApiModelProperty(value = "派车单编号")
    private String loadingBillNo;

    @ApiModelProperty(value = "派车单id")
    private String loadingBillId;

    @ApiModelProperty(value = "运单数")
    private Integer shipBillNums;

    @ApiModelProperty(value = "总件数")
    private BigDecimal shipBillPackages;

}
