package com.prolog.rdc.tms.app.model.dto.business;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 已派车分页查询DTO
 *
 * @author zhangsj
 * @since 2022-04-13 16:10:47
 */
@Data
@ApiModel("已派车分页查询DTO")
public class SendCarQueryDTO implements Serializable {
    private static final long serialVersionUID = 723427282459705840L;

    @ApiModelProperty(value = "装车单ID")
    private String loadingBillId;

    @ApiModelProperty(value = "装车单编号")
    private String loadingBillNo;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "装车单时间")
    private Date loadingBillDate;

    @ApiModelProperty(value = "分组名称")
    private String groupName;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "司机手机号")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "车型名称")
    private String vehicleTypeName;

    @ApiModelProperty(value = "送货员名称")
    private String deliverymanName;

    @ApiModelProperty(value = "送货员手机号")
    private String deliverymanPhoneNumber;

    @ApiModelProperty(value = "运单数")
    private Integer shipbillNumber;

    @ApiModelProperty(value = "客户数")
    private Integer customerNumber;

    @ApiModelProperty(value = "总站点数")
    private Integer siteNumber;

    @ApiModelProperty(value = "总里程数")
    private BigDecimal totalMileage;

    @ApiModelProperty(value = "总件数")
    private BigDecimal totalPcs;

    @ApiModelProperty(value = "总体积")
    private BigDecimal totalVolume;

    @ApiModelProperty(value = "总重量")
    private BigDecimal totalWeight;

    @ApiModelProperty(value = "实际总件数")
    private BigDecimal actualTotalPcs;

    @ApiModelProperty(value = "实际总体积")
    private BigDecimal actualTotalVolume;

    @ApiModelProperty(value = "实际总重量")
    private BigDecimal actualTotalWeight;

    @ApiModelProperty(value = "总整件数")
    private BigDecimal totalWholePiece;

    @ApiModelProperty(value = "总拼箱数")
    private BigDecimal totalLclPiece;

    @ApiModelProperty(value = "配载体积装载率")
    private String volumeLoadingRate;

    @ApiModelProperty(value = "配载重量装载率")
    private String weightLoadingRate;

    @ApiModelProperty(value = "装车单状态 数据字典：LOADING_BILL_STATUS:10未审核 20已审核")
    private Integer status;

	@ApiModelProperty(value = "装车单状态 数据字典：LOADING_BILL_STATUS:10未审核 20已审核")
	private Integer oldStatus;

    @ApiModelProperty(value = "装车单状态名称 数据字典：LOADING_BILL_STATUS:10未审核 20已审核")
    private String statusName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "字符属性扩展1")
    private String extStr1;

    @ApiModelProperty(value = "字符属性扩展2")
    private String extStr2;

    @ApiModelProperty(value = "字符属性扩展3")
    private String extStr3;

    @ApiModelProperty(value = "字符属性扩展4")
    private String extStr4;

    @ApiModelProperty(value = "字符属性扩展5")
    private String extStr5;

    @ApiModelProperty(value = "数值属性扩展1")
    private BigDecimal extNum1;

    @ApiModelProperty(value = "数值属性扩展2")
    private BigDecimal extNum2;

    @ApiModelProperty(value = "数值属性扩展3")
    private BigDecimal extNum3;

    @ApiModelProperty(value = "数值属性扩展4")
    private BigDecimal extNum4;

    @ApiModelProperty(value = "数值属性扩展5")
    private BigDecimal extNum5;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "日期属性扩展1")
    private Date extDate1;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "日期属性扩展2")
    private Date extDate2;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "日期属性扩展3")
    private Date extDate3;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "日期属性扩展4")
    private Date extDate4;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "日期属性扩展5")
    private Date extDate5;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

    @ApiModelProperty(value = "提货站点数")
    private Long pickupStations;

    @ApiModelProperty(value = "送货站点数")
    private Long deliveryStations;

    @ApiModelProperty(value = "总站点数")
    private Long totalStations;

    @ApiModelProperty(value = "预约单状态")
    private Integer appointStatus;

    @ApiModelProperty(value = "预约单理货状态")
    private Integer appointTallyStatus;

    @ApiModelProperty(value = "预约单状态")
    private String appointStatusName;

    @ApiModelProperty(value = "预约单理货状态")
    private String appointTallyStatusName;

    @ApiModelProperty(value = "车辆类别数据字典VEHICLE_TYPE_CATEGORY：1冷藏车、2平顶车、3厢式货车")
    private String vehicleTypeCategory;

    @ApiModelProperty(value = "车辆类别")
    private String vehicleTypeCategoryName;

    @ApiModelProperty(value = "车辆设备ID")
    private String vehicleDeviceId;

    @ApiModelProperty(value = "车辆设备CODE")
    private String vehicleDeviceCode;

    @ApiModelProperty(value = "车辆设备名称")
    private String vehicleDeviceName;

    @ApiModelProperty(value = "车辆隶属机构ID")
    private String vehicleAffiliationId;

    @ApiModelProperty(value = "车辆隶属机构CODE")
    private String vehicleAffiliationCode;

    @ApiModelProperty(value = "车辆隶属机构名称")
    private String vehicleAffiliationName;

    @ApiModelProperty(value = "冷链运单数")
    private Long coldShipbillNumber;

    @ApiModelProperty(value = "紧急运单数")
    private Long urgentShipbillNumber;

    @ApiModelProperty(value = "总货主数")
    private Long cargoOwnerNumber;

    @ApiModelProperty(value = "运单集合")
    private String shipBillIdList;

    @ApiModelProperty(value = "冷链运单集合")
    private String coldShipBillIdList;

    @ApiModelProperty(value = "紧急运单集合")
    private String urgentShipBillIdList;

    @ApiModelProperty(value = "容器id")
    private String containerId;

    @ApiModelProperty(value = "容器编号")
    private String containerCode;

    @ApiModelProperty(value = "容器名称")
    private String containerName;

    @ApiModelProperty(value = "总发货件数")
    private BigDecimal totalDeliveryPcs;

    @ApiModelProperty(value = "总发货体积")
    private BigDecimal totalDeliveryVolume;

    @ApiModelProperty(value = "总发货重量")
    private BigDecimal totalDeliveryWeight;

    @ApiModelProperty(value = "车辆归属")
    private Integer vehicleAscription;

    @ApiModelProperty(value = "车辆归属名称")
    private String vehicleAscriptionName;
}

