package com.prolog.rdc.tms.app.model.dto.business;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/20 12:06
 */
@Data
@ApiModel("快速开单方便封装DTO")
public class ShipbillLinkDTO implements Serializable {
    
    private static final long serialVersionUID = 3666512332472767575L;

    @ApiModelProperty(value = "发货方联系人")
    private String contact;

    @ApiModelProperty(value = "发货方手机号")
    private String phoneNumber;

    @ApiModelProperty(value = "发货方座机号")
    private String landlineNumber;

    @ApiModelProperty(value = "发货方邮箱")
    private String email;

    @ApiModelProperty(value = "发货方关联手机号")
    private String relatedPhoneNumber;

    @ApiModelProperty(value = "发货方省编码")
    private String province;

    @ApiModelProperty(value = "发货方省名称")
    private String provinceName;

    @ApiModelProperty(value = "发货方市编码")
    private String city;

    @ApiModelProperty(value = "发货方市名称")
    private String cityName;

    @ApiModelProperty(value = "发货方区/县编码")
    private String district;

    @ApiModelProperty(value = "发货方区/县名称")
    private String districtName;

    @ApiModelProperty(value = "发货方详细地址")
    private String address;

    @ApiModelProperty(value = "发货方经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "发货方纬度")
    private BigDecimal latitude;

    @ApiModelProperty(value = "发货方备注")
    private String memo;

    @ApiModelProperty(value = "提货签到 数据字典WHETHER:0否，1是")
    private Integer pickUpSign;

    @ApiModelProperty(value = "自动提货签到 数据字典WHETHER:0否，1是")
    private Integer autoPickUpSign;

    @ApiModelProperty(value = "提货图片 数据字典WHETHER:0否，1是")
    private Integer pickUpPicture;

    @ApiModelProperty(value = "默认提货围栏(km)")
    private BigDecimal pickUpRail;

    @ApiModelProperty(value = "送达签到 数据字典WHETHER:0否，1是")
    private Integer deliverySign;

    @ApiModelProperty(value = "自动送达签到 数据字典WHETHER:0否，1是")
    private Integer autoDeliverySign;

    @ApiModelProperty(value = "送货图片 数据字典WHETHER:0否，1是")
    private Integer deliveryPicture;

    @ApiModelProperty(value = "默认送货围栏(km)")
    private BigDecimal deliveryRail;
    
    @ApiModelProperty(value = "是否要求回单 数据字典WHETHER:0否，1是")
    private Integer returnOrderFlag;

    @ApiModelProperty(value = "回单期限")
    private Integer returnOrderDeadline;
}
