package com.prolog.rdc.tms.app.model.dto.business;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @author xiaoyf
 * @since 2022/7/20 12:06
 */
@Data
@ApiModel("运单管理——商品DTO")
public class ShipbillManageItemDTO implements Serializable {

	private static final long serialVersionUID = 5465177917803161095L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "商品ID")
	private Long itemId;

	@ApiModelProperty(value = "商品编码")
	private String itemCode;

	@ApiModelProperty(value = "商品名称")
	private String itemName;

	@ApiModelProperty(value = "商品品类")
	private String itemCategoryName;

	@ApiModelProperty(value = "包装类型  数据字典PACK_TYPE:1纸箱  2包装袋")
	private Integer packType;

	@ApiModelProperty(value = "包装类型")
	private String packTypeName;

	@ApiModelProperty(value = "货物温层  数据字典CARGO_THERMOSPHERE:1常温 2冷藏 3冷冻")
	private Integer cargoThermosphere;

	@ApiModelProperty(value = "货物温层")
	private String cargoThermosphereName;

	@ApiModelProperty(value = "件数")
	private BigDecimal pcs;

	@ApiModelProperty(value = "重量")
	private BigDecimal weight;

	@ApiModelProperty(value = "体积")
	private BigDecimal volume;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "默认存放仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "默认存放仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "默认存放仓库名称")
	private String branchName;

	@ApiModelProperty(value = "库存数量")
	private Integer inventoryPcs;

	@ApiModelProperty(value = "暂存位")
	private String stagingLocation;

	@ApiModelProperty(value = "原始件数")
	private BigDecimal origPcs;

	@ApiModelProperty(value = "单位体积")
	private BigDecimal unitVolume;

	@ApiModelProperty(value = "单位重量")
	private BigDecimal unitWeight;

}
