package com.prolog.rdc.tms.app.model.dto.business;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 运单操作日志 DTO
 *
 * @author zhangsj
 * @since 2022-03-31 11:51:50
 */
@Data
@ApiModel("运单日志查看DTO")
public class ShipbillOperateLogDTO implements Serializable {
	private static final long serialVersionUID = 989139546621772794L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "操作事件")
	private String operateEvent;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "操作时间")
	private Date operateDate;

	@ApiModelProperty(value = "操作用户名称")
	private String userName;

}
