package com.prolog.rdc.tms.app.model.dto.business;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待送达——运单商品数量DTO
 *
 */
@Data
@ApiModel("待送达——运单商品数量DTO")
public class WaitDeliveredItemDTO implements Serializable {

	private static final long serialVersionUID = 6578631667237883086L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "商品ID")
	private Long itemId;

	@ApiModelProperty(value = "商品编码")
	private String itemCode;

	@ApiModelProperty(value = "商品名称")
	private String itemName;

	@ApiModelProperty(value = "数量")
	private BigDecimal pcs;

	@ApiModelProperty(value = "库存数量")
	private Integer qty;

	@ApiModelProperty(value = "暂存位")
	private String scratchArea;

	@ApiModelProperty(value = "发货件数")
	private BigDecimal deliveryPcs;

	@ApiModelProperty(value = "计划发货件数")
	private BigDecimal planDeliveryPcs;

	@ApiModelProperty(value = "提货件数")
	private BigDecimal pickUpPcs;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "单位体积")
	private BigDecimal unitVolume;

	@ApiModelProperty(value = "单位重量")
	private BigDecimal unitWeight;
}
