package com.prolog.rdc.tms.app.model.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 扫描派车扫描记录表
 *
 * @author zhangsj
 * @since 2022-03-30 13:59:19
 */
@Data
@Table("tms_dispatch_scan_log")
public class TmsDispatchScanLogModel implements Serializable {

	private static final long serialVersionUID = -92248416608078822L;

	@Id
	@ApiModelProperty(value = "主键")
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "运单ID")
	@Column(value = "shipbill_id")
	private String shipbillId;

	@ApiModelProperty(value = "订单编号")
	@Column(value = "order_no")
	private String orderNo;

	@ApiModelProperty(value = "运单明细主键")
	@Column(value = "shipbill_detail_id")
	private String shipbillDetailId;

	@ApiModelProperty(value = "商品编码")
	@Column(value = "item_code")
	private String itemCode;

	@ApiModelProperty(value = "件数")
	@Column(value = "pcs")
	private BigDecimal pcs;

	@ApiModelProperty(value = "申请件数")
	@Column(value = "apply_pcs")
	private BigDecimal applyPcs;

	@ApiModelProperty(value = "扫描单据类型 1:订单 2:运单 3:商品")
	@Column(value = "bill_type")
	private String billType;

	@ApiModelProperty(value = "状态 10:未调度 20:已调度")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

}
