package com.prolog.rdc.tms.app.model.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @author hongbo.pan
 * @date 2023/5/22
 */
@Data
@Table(value = "tms_shipbill_container_temp")
public class TmsShipbillContainerTemp implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @Id
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "运单id")
    @Column(value = "shipbill_id")
    private String shipbillId;

    @ApiModelProperty(value = "容器id")
    @Column(value = "container_id")
    private Long containerId;

    @ApiModelProperty(value = "容器编号")
    @Column(value = "container_code")
    private String containerCode;

    @ApiModelProperty(value = "容器名称")
    @Column(value = "container_name")
    private String containerName;

    @ApiModelProperty(value = "启运温度")
    @Column(value = "departure_temp")
    private BigDecimal departureTemp;

    @ApiModelProperty(value = "送达温度")
    @Column(value = "delivery_temp")
    private BigDecimal deliveryTemp;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "启运温度时间")
    @Column(value = "departure_temp_time")
    private Date departureTempTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "送达温度时间")
    @Column(value = "delivery_temp_time")
    private Date deliveryTempTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

}
