package com.prolog.rdc.tms.app.model.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运单服务评价
 * 
 * @author hongbo.pan
 * @date 2022/11/1
 */
@Data
@Table("tms_shipbill_evaluation")
public class TmsShipbillEvaluationModel implements Serializable {

	private static final long serialVersionUID = -1998189766367400204L;

	@Id
	@ApiModelProperty(value = "评价id")
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "评价单号")
	@Column(value = "code")
	private String code;

	@ApiModelProperty(value = "运单ID")
	@Column(value = "shipbill_id")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	@Column(value = "shipbill_no")
	private String shipbillNo;

	@ApiModelProperty(value = "星数")
	@Column(value = "evaluation_star")
	private BigDecimal evaluationStar;

	@ApiModelProperty(value = "评价对象 数据字典 EVALUATION_TARGET：1发货方 2物流公司 3司机")
	@Column(value = "evaluation_target")
	private Integer evaluationTarget;

	@ApiModelProperty(value = "问题类型 数据字典 EVALUATION_PROBLEM_TYPE")
	@Column(value = "problem_type")
	private Integer problemType;

	@ApiModelProperty(value = "问题描述")
	@Column(value = "problem_desc")
	private String problemDesc;

	@ApiModelProperty(value = "图片")
	@Column(value = "pic_url")
	private String picUrl;

	@ApiModelProperty(value = "评价人id")
	@Column(value = "evaluation_user_id")
	private Long evaluationUserId;

	@ApiModelProperty(value = "评价人")
	@Column(value = "evaluation_user_name")
	private String evaluationUserName;

	@ApiModelProperty(value = "评价人类型")
	@Column(value = "evaluation_user_type")
	private String evaluationUserType;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;
}
