package com.prolog.rdc.tms.app.model.entity;

import java.math.BigDecimal;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;
import org.springframework.format.annotation.DateTimeFormat;

/**
*  Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-01-17 15:01:18
*/
@Data
@Table(value = "tms_shipbill_event_feedback")
public class TmsShipbillEventFeedback implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @Id
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "类型 S启运事件，D送达事件")
    @Column(value = "type")
    private String type;

    @ApiModelProperty(value = "运单id")
    @Column(value = "shipbill_id")
    private String shipbillId;

    @ApiModelProperty(value = "运单编号")
    @Column(value = "shipbill_no")
    private String shipbillNo;

    @ApiModelProperty(value = "里程数")
    @Column(value = "mileage")
    private BigDecimal mileage;

    @ApiModelProperty(value = "实时地点")
    @Column(value = "address")
    private String address;

    @ApiModelProperty(value = "经度")
    @Column(value = "longitude")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    @Column(value = "latitude")
    private BigDecimal latitude;

    @ApiModelProperty(value = "事件类型 数据字典EVENT_FEEDBACK_TYPE:1里程上报，2位置校准")
    @Column(value = "event_type")
    private String eventType;

    @ApiModelProperty(value = "事件内容")
    @Column(value = "event_content")
    private String eventContent;

    @ApiModelProperty(value = "事件图片")
    @Column(value = "event_pic")
    private String eventPic;

    @ApiModelProperty(value = "运单状态 数据字典EVENT_FEEDBACK_STATUS:10-待审核 20-已审核 30-作废")
    @Column(value = "status")
    private String status;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

}
