package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;


/**
 * 业务小程序承运商预约单查询VO
 * @author panhb
 */
@Data
@ApiModel("业务小程序承运商预约单查询VO")
public class AppointmentBillQueryForCarrierVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "页码不能为空")
    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @NotNull(message = "每页条数不能为空")
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @NotNull(message = "仓库ID不能为空")
    @ApiModelProperty(value = "仓库ID")
    private String branchId;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "仓库ID")
    private List<String> branchIdList;

}
