package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 预约主表查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/14 14:56
 */
@Data
@ApiModel("预约主表查询VO")
public class AppointmentHeadQueryVO implements Serializable {

	private static final long serialVersionUID = 6894768558505903615L;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "预约日期")
	private Date appointmentDate;

	@ApiModelProperty(value = "预约时间段 数据格式严格按 09:00-12:00(示例)存储")
	private String appointmentTime;

	@ApiModelProperty(value = "运单ID集合")
	private List<String> shipbillIds;

	@ApiModelProperty(value = "是否有急的运单", hidden = true)
	private String isJiaJi;

	@ApiModelProperty(value = "预约类型", hidden = true)
	private Integer appointmentType;
}
