package com.prolog.rdc.tms.app.model.vo;

import com.prolog.rdc.tms.app.model.vo.business.ContainerTemperatureVO;
import com.prolog.rdc.tms.app.model.vo.business.ShipBillReceiptPhotoVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 *
 * 送达确认VO
 *
 * @className :PendingDeliveryConfirmVO
 * @author :qian.yh
 * @date :2022/07/07
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("送达确认VO")
public class PendingDeliveryConfirmVO  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "运单号")
    private String shipbillId;

    @ApiModelProperty(value = "货物图片")
    private String goodsPicUrl;

    @ApiModelProperty(value = "回单图片")
    private String receiptPicUrl;

    @ApiModelProperty(value = "签收人")
    private String signPerson;

    @ApiModelProperty(value = "签收备注")
    private String signRemark;

    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

    @ApiModelProperty(value = "送达温度")
    private BigDecimal deliveryTemperature;

    @ApiModelProperty(value = "商品明细")
    private List<SignInItemVO> itemVOList;

    @ApiModelProperty(value = "里程数")
    private BigDecimal mileage;

    @ApiModelProperty(value = "实时地点")
    private String address;

    @ApiModelProperty(value = "事件类型 数据字典EVENT_FEEDBACK_TYPE:1里程上报，2位置校准")
    private String eventType;

    @ApiModelProperty(value = "事件内容")
    private String eventContent;

    @ApiModelProperty(value = "事件图片")
    private String eventPic;

    @ApiModelProperty(value = "是否显示送达温度")
    private Boolean showDeliveryTemperature;

    @ApiModelProperty(value = "是否显示容器温度")
    private Boolean showContainerTemperature;

    @ApiModelProperty(value = "容器温度集合")
    private List<ContainerTemperatureVO> temperatureVOList;

    @ApiModelProperty(value = "运单送达确认回单图片集合")
    private List<ShipBillReceiptPhotoVO> receiptPhotoVOList;
}
