package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * 配送任务查询VO
 *
 * @className :PendingDeliveryTaskQueryVO
 * @author :qian.yh
 * @date :2022/07/07
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("配送任务查询VO")
public class PendingDeliveryTaskQueryVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotBlank
    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @NotBlank
    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @NotBlank
    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    //STD-DEVELOP20220823 lhb 自动签到 20220901 start
    @ApiModelProperty(value = "司机经度")
    private BigDecimal driverLongitude;

    @ApiModelProperty(value = "司机纬度")
    private BigDecimal driverLatitude;
    //STD-DEVELOP20220823 lhb 自动签到 20220901 end

}