package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 *
 * 提货启运VO
 *
 * @className :PendingFullLinkPickUpStartShipmentVO
 * @author :qian.yh
 * @date :2022/08/15
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("提货启运VO")
public class PendingFullLinkPickUpStartShipmentVO  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "调度单明细ID")
    private String id;

    @ApiModelProperty(value = "启运图片")
    private String startShipmentUrl;

    @ApiModelProperty(value = "提货地点")
    private String shipfrom;

    @ApiModelProperty(value = "预计提货时间")
    private String shipfromDate;

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "检查清单 逗号分隔")
    private String checkDetails;

    @ApiModelProperty(value = "事件类型 数据字典EVENT_FEEDBACK_TYPE:1里程上报，2位置校准")
    private String eventType;

    @ApiModelProperty(value = "事件内容")
    private String eventContent;

    @ApiModelProperty(value = "事件图片")
    private String eventPic;

    @ApiModelProperty(value = "运单明细")
    private List<StartShipmentDetailVO> detailVOList;

    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

}