package com.prolog.rdc.tms.app.model.vo;

import com.prolog.rdc.tms.app.model.vo.business.ContainerTemperatureVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 *
 * 提货启运VO
 *
 * @className :PendingPickUpStartShipmentVO
 * @author :qian.yh
 * @date :2022/07/07
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("提货启运VO")
public class PendingPickUpStartShipmentVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "提货地点")
    private String shipfrom;

    @ApiModelProperty(value = "预计提货时间")
    private String shipfromDate;

    @ApiModelProperty(value = "启运图片")
    private String startShipmentUrl;

    // STD-DEVELOP20220823 lhb auto check in 20220902 start
    @ApiModelProperty(value = "运单id集合")
    private String shipbillIds;
    // STD-DEVELOP20220823 lhb auto check in 20220902 start

    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

    @ApiModelProperty(value = "车辆设备ID")
    private String vehicleDeviceId;

    @ApiModelProperty(value = "车辆设备CODE")
    private String vehicleDeviceCode;

    @ApiModelProperty(value = "车辆设备名称")
    private String vehicleDeviceName;

    @ApiModelProperty(value = "启运温度")
    private BigDecimal departureTemperature;

    @ApiModelProperty(value = "运单明细")
    private List<StartShipmentDetailVO> detailVOList;

    @ApiModelProperty(value = "里程数")
    private BigDecimal mileage;

    @ApiModelProperty(value = "实时地点")
    private String address;

    @ApiModelProperty(value = "事件类型 数据字典EVENT_FEEDBACK_TYPE:1里程上报，2位置校准")
    private String eventType;

    @ApiModelProperty(value = "事件内容")
    private String eventContent;

    @ApiModelProperty(value = "事件图片")
    private String eventPic;

    @ApiModelProperty(value = "容器id")
    private String containerId;

    @ApiModelProperty(value = "容器编号")
    private String containerCode;

    @ApiModelProperty(value = "容器名称")
    private String containerName;

    @ApiModelProperty(value = "是否显示启运温度")
    private Boolean showDepartureTemperature;

    @ApiModelProperty(value = "是否显示容器温度")
    private Boolean showContainerTemperature;

    @ApiModelProperty(value = "容器温度集合")
    private List<ContainerTemperatureVO> temperatureVOList;

    @ApiModelProperty(value = "检查清单 逗号分隔")
    private String checkDetails;

}

