package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 单号扫描VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/13 14:51
 */
@Data
@ApiModel("单号扫描VO")
public class ScanShipbillDetailConfirmVO implements Serializable {

    private static final long serialVersionUID = 9179127280552737280L;

    @NotBlank(message = "商品id不为空")
    @ApiModelProperty(value = "主键")
    private String id;

    @NotBlank(message = "商品编码不为空")
    @ApiModelProperty(value = "商品编码")
    private String itemCode;

    @NotNull(message = "商品件数不为空")
    @ApiModelProperty(value = "件数")
    private BigDecimal pcs;

    @NotNull(message = "商品申请件数不为空")
    @ApiModelProperty(value = "申请件数")
    private BigDecimal applyPcs;

}
