package com.prolog.rdc.tms.app.model.vo;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运单管理查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xiaoyf
 * @since 2022/3/31 15:08
 */
@Data
@ApiModel("运单管理查询VO")
public class ShipbillManageQueryVO implements Serializable {

	private static final long serialVersionUID = -2486757105452534355L;

	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@ApiModelProperty(value = "页最大行数")
	private Integer pageSize;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "顶级部门ID", hidden = true)
	private String departmentId;

	@ApiModelProperty(value = "货主ID", hidden = true)
	private Long cargoOwnerId;

	@ApiModelProperty(value = "仓库", hidden = true)
	private Long[] wsarehouses;

	@ApiModelProperty(value = "供应商", hidden = true)
	private Long[] suppliers;

	@ApiModelProperty(value = "客户", hidden = true)
	private Long[] customers;

	@ApiModelProperty(value = "部门IDs", hidden = true)
	private String[] depts;

	@ApiModelProperty(value = "是否部门权限", hidden = true)
	private String isDept;

	@ApiModelProperty(value = "货主", hidden = true)
	private Long[] consignors;

	@ApiModelProperty(value = "承运商ID", hidden = true)
	private Long carrierId;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "开始时间")
	private Date startTime;

	@ApiModelProperty(value = "结束时间")
	private Date endTime;

	@ApiModelProperty(value = "货主ID",hidden = true)
	private Long cargoOwnerUserId;

	@ApiModelProperty(value = "客户ID",hidden = true)
	private Long customerUserId;

	@ApiModelProperty(value = "供应商ID",hidden = true)
	private Long supplierUserId;

}
