package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 签收数量-商品明细VO
 * @author panhb
 * @since 2022/10/17
 */
@Data
@ApiModel("签收数量-商品明细VO")
public class SignInItemVO implements Serializable {

	private static final long serialVersionUID = -6020099009631693990L;

	@NotBlank(message = "运单明细ID不能为空")
	@ApiModelProperty("运单明细ID")
	private String id;

	@NotNull(message = "商品ID不能为空")
	@ApiModelProperty(value = "商品ID")
	private Long itemId;

	@NotNull(message = "签收数量不能为空")
	@ApiModelProperty(value = "签收数量")
	private BigDecimal signInPcs;

}
