package com.prolog.rdc.tms.app.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import javax.validation.constraints.NotEmpty;

import com.prolog.rdc.tms.app.model.vo.business.ContainerTemperatureVO;
import com.prolog.rdc.tms.app.model.vo.business.ShipBillReceiptPhotoVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待送达-送达确认VO
 *
 *
 * @author xiaoyf
 * @since 2022/6/16 12:24
 */
@Data
@ApiModel("待送达-送达确认VO")
public class WaitDeliveredDeliveredConfirmVO implements Serializable {

	private static final long serialVersionUID = -6020099009631693990L;

	@NotEmpty(message = "运单ID不能为空")
	@ApiModelProperty("运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "送达签收人")
	private String deliverySignPerson;

	@ApiModelProperty(value = "送达备注")
	private String deliveryMemo;

	@ApiModelProperty(value = "货物图片")
	private String goodsPhoto;

	@ApiModelProperty(value = "回单图片")
	private String receiptPhoto;

	/*
	 * @ApiModelProperty(value = "送达签到时间") private Date deliverySignTime;
	 * 
	 * @ApiModelProperty(value = "送达时间") private Date deliveryTime;
	 * 
	 * @ApiModelProperty(value = "送达配送状态 数据字典DELIVERY_STATUS:10配送失败 20配送滞留 30配送成功")
	 * private Integer deliveryStatus;
	 * 
	 * @ApiModelProperty(value =
	 * "送达失败原因 数据字典DELIVERY_FAILURE_REASON 10无理由退货 20商品保质期、批次问题 30商品包装(质量)问题")
	 * private Integer deliveryFailureReason;
	 * 
	 * @ApiModelProperty(value = "送达滞留原因 数据字典DELIVERY_STRANDED_REASON 10无法联系到客户")
	 * private Integer deliveryStrandedReason;
	 */

	@ApiModelProperty(value = "送达温度")
	private BigDecimal deliveryTemperature;

	@ApiModelProperty(value = "是否显示送达温度")
	private Boolean showDeliveryTemperature;

	@ApiModelProperty(value = "商品明细")
	private List<SignInItemVO> itemVOList;

	@ApiModelProperty(value = "是否显示容器温度")
	private Boolean showContainerTemperature;

	@ApiModelProperty(value = "容器温度集合")
	private List<ContainerTemperatureVO> temperatureVOList;

	@ApiModelProperty(value = "运单送达确认回单图片集合")
	private List<ShipBillReceiptPhotoVO> receiptPhotoVOList;


}
