package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 新增运单事件
 * @author hongbo.pan
 * @date 2023/1/17
 */
@Data
@ApiModel("新增运单事件VO")
public class AddShipbillEventFeedbackVO implements Serializable {

    @ApiModelProperty(value = "类型 S启运事件，D送达事件")
    private String type;

    @ApiModelProperty(value = "运单id")
    private String shipbillId;

    @ApiModelProperty(value = "里程数")
    private BigDecimal mileage;

    @ApiModelProperty(value = "实时地点")
    private String address;

    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

    @ApiModelProperty(value = "事件类型 数据字典EVENT_FEEDBACK_TYPE:1里程上报，2位置校准")
    private String eventType;

    @ApiModelProperty(value = "事件内容")
    private String eventContent;

    @ApiModelProperty(value = "事件图片")
    private String eventPic;

}
