package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 *
 * 调整运单模式查询VO
 *
 * @className :AdjustShipbillQueryVO
 * @author :qian.yh
 * @date :2022/07/07
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("调整运单模式查询VO")
public class AdjustShipbillQueryVO implements Serializable {

    private static final long serialVersionUID = -1629837230585746141L;


    @ApiModelProperty(value = "企业ID", hidden=true)
    private Long enterpriseId;

    @ApiModelProperty(value = "货主集合", hidden=true)
    private Long[] consignors;

    @ApiModelProperty(value = "承运商集合", hidden=true)
    private Long[] suppliers;

    @ApiModelProperty(value = "客户集合", hidden=true)
    private Long[] customers;

    @ApiModelProperty(value = "仓库集合", hidden=true)
    private Long[] wsarehouses;

    @ApiModelProperty(value = "单位ID", hidden=true)
    private Long unitId;

    @ApiModelProperty(value = "部门IDs", hidden=true)
    private String[] depts;

    @ApiModelProperty(value = "调度类型 数据字典SCHEDULE_TYPE:1.自有  2.承运商", hidden=true)
    private Integer scheduleType;

    @ApiModelProperty(value = "承运方运单调度状态", hidden=true)
    private Integer carrierShipbillStatus;

    @ApiModelProperty(value = "是否部门权限", hidden=true)
    private String isDept;

    @ApiModelProperty(value = "用户类型", hidden=true)
    private String userType;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

}
