package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 预约管理-配载商品查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xiaoyf
 * @since 2022/6/6 18:05
 */
@Data
@ApiModel("预约管理-配载商品查询VO")
public class BookingItemDetailVO implements Serializable {

    private static final long serialVersionUID = 286588962211675260L;

    @NotNull(message = "预约单id不能为空")
    @ApiModelProperty(value = "预约单id")
    private String appointmentId;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;
}
