package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author hongbo.pan
 * @date 2022/12/7
 */
@Data
@ApiModel("装车确认VO")
public class LoadingScanConfirmVO {

    @NotNull
    @ApiModelProperty(value = "司机ID")
    private Long driverId;

    @NotBlank
    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "月台名称")
    private String platformName;

    @ApiModelProperty(value = "车辆类别数据字典VEHICLE_TYPE_CATEGORY：1冷藏车、2平顶车、3厢式货车")
    private String vehicleTypeCategory;

    @ApiModelProperty(value = "车辆设备ID")
    private String vehicleDeviceId;

    @ApiModelProperty(value = "车辆设备CODE")
    private String vehicleDeviceCode;

    @ApiModelProperty(value = "车辆设备名称")
    private String vehicleDeviceName;

    @ApiModelProperty(value = "容器id")
    private String containerId;

    @ApiModelProperty(value = "容器编号")
    private String containerCode;

    @ApiModelProperty(value = "容器名称")
    private String containerName;

    @ApiModelProperty(value = "容器是否随车 数据字典:WHETHER 1是 0否")
    private BigDecimal containerWithVehicle;

}
