package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("装车扫描查询VO")
public class LoadingScanQueryVO {

    @NotNull
    @ApiModelProperty(value = "司机ID")
    private Long driverId;

    @NotBlank
    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "月台", hidden = true)
    private String platform;

    @ApiModelProperty(value = "商品编码", hidden = true)
    private String itemCode;

    @ApiModelProperty(value = "装车扫描状态", hidden = true)
    private Integer scanStatus;

    @ApiModelProperty(value = "派车单", hidden = true)
    private List<String> loadingBillIdList;

    @NotBlank
    @ApiModelProperty(value = "扫描方式")
    String scanLoadingMethod;
}
