package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 待审核分页查询VO
 *
 * @author lhb
 * @date 2022/04/11
 */
@Data
@ApiModel("待审核分页查询VO")
public class PendingReviewQueryVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "业务类型")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "预计提货开始日期")
	private Date estimatedPickupStartTime;

	@ApiModelProperty(value = "预计提货结束日期")
	private Date estimatedPickupEndTime;

	@ApiModelProperty(value = "始发地")
	private String shipperAddress;

	@ApiModelProperty(value = "目的地")
	private String consigneeAddress;

	@ApiModelProperty(value = "客户")
	private String consigneeUnitName;

	@ApiModelProperty(value = "线路名称")
	private String lineName;

	@ApiModelProperty(value = "下单开始日", hidden=true)
	private Date orderDateStart;

	@ApiModelProperty(value = "下单结束日", hidden=true)
	private Date orderDateEnd;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	@ApiModelProperty(value = "订单编号")
	private String orderNo;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

//	@ApiModelProperty(value = "商品编码")
//	private String itemCode;
}
