package com.prolog.rdc.tms.app.model.vo.business;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运单汇总表(TmsShipbillHeader)VO
 *
 * @author zhangsj
 * @since 2022-03-30 15:36:56
 */
@Data
@ApiModel("待提交-查询运单VO")
public class PendingSubmitQueryVO implements Serializable {

	private static final long serialVersionUID = -39695669101321531L;

	@ApiModelProperty(value = "客户名称")
	private String customerName;

	@ApiModelProperty(value = "线路名称")
	private String lineName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计提货开始时间")
	private Date estimatedPickupStartTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计提货结束时间")
	private Date estimatedPickupEndTime;

	@ApiModelProperty(value = "订单业务类型 数据字典ORDER_BUSINESS_TYPE：1销售订单-直送  2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提 5销售退货 6采购退货 7调拨")
	private Integer orderBusinessType;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建开始时间")
	private Date createStartTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建结束时间")
	private Date createEndTime;

	@ApiModelProperty(value = "始发地")
	private String shipperLocation;

	@ApiModelProperty(value = "目的地")
	private String consigneeLocation;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

}
