package com.prolog.rdc.tms.app.model.vo.business;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待装卸-运单查询VO
 *
 *
 * @author xiaoyf
 * @since 2022/6/6 10:45
 */
@Data
@ApiModel("待装卸-运单查询VO")
public class QueryTypeByShipbillVO implements Serializable {

	private static final long serialVersionUID = -6861629549788765464L;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "是否是部门权限", hidden = true)
	private String isDept;

	@ApiModelProperty(value = "部门权限", hidden = true)
	private String[] depts;

	@ApiModelProperty(value = "货主权限", hidden = true)
	private Long[] consignors;

	@ApiModelProperty(value = "仓库权限", hidden = true)
	private Long[] wsarehouses;

	@ApiModelProperty(value = "供应商权限", hidden = true)
	private Long[] suppliers;

	@ApiModelProperty(value = "客户权限", hidden = true)
	private Long[] customers;

	@ApiModelProperty(value = "单位ID", hidden = true)
	private Long unitId;

	@ApiModelProperty(value = "预约单ID")
	private String appointmentId;

	@ApiModelProperty(value = "订单编号")
	private String orderNo;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

//	@ApiModelProperty(value = "商品编码")
//	private String itemCode;

}
