package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 自提确认VO
 * Company: 湖北普罗格科技股份有限公司
 * @author xyf
 * @since 2022/4/15 15:21
 */
@Data
@ApiModel("自提确认VO")
public class SelfWithdrawalConfirmVO implements Serializable {

    private static final long serialVersionUID = -395224701099284118L;

    // STD-DEVELOP20220823 lhb bwc0823003 20220825  start
    @ApiModelProperty(value = "勾选的运单集合")
    private List<String> shipbills;
    // STD-DEVELOP20220823 lhb bwc0823003 20220825  end

    @NotNull(message = "自提时间不能为空")
    @ApiModelProperty(value = "自提时间")
    private Date selfWithdrawalDate;

    @NotEmpty(message = "自提人不能为空")
    @ApiModelProperty(value = "自提人")
    private String selfWithdrawalPerson;

    @NotEmpty(message = "联系方式不能为空")
    @ApiModelProperty(value = "联系方式")
    private String contactTel;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "身份证")
    private String idCrad;

    @ApiModelProperty(value = "图片")
    private String picUrl;

}
