package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 新增或修改运单服务评价
 * @author hongbo.pan
 * @date 2022/11/1
 */
@Data
@ApiModel("新增或修改运单服务评价VO")
public class ShipbillEvaluationAddOrUpdateVO implements Serializable {

    @ApiModelProperty(value = "评价id")
    private String id;

    @NotBlank(message = "运单ID不能为空")
    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @NotNull(message = "星数不能为空")
    @ApiModelProperty(value = "星数")
    private BigDecimal evaluationStar;

    @NotNull(message = "评价对象不能为空")
    @ApiModelProperty(value = "评价对象 数据字典 EVALUATION_TARGET：1发货方 2物流公司 3司机")
    private Integer evaluationTarget;

    @NotNull(message = "问题类型不能为空")
    @ApiModelProperty(value = "问题类型 数据字典 EVALUATION_PROBLEM_TYPE：1收费错误2态度问题")
    private Integer problemType;

    @ApiModelProperty(value = "问题描述")
    private String problemDesc;

    @ApiModelProperty(value = "图片")
    private String picUrl;

}
