package com.prolog.rdc.tms.app.model.vo.business;

import com.prolog.rdc.tms.app.model.vo.SignInItemVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;


/**
 * 签收运单VO
 * @author panhb
 */
@Data
@ApiModel("签收运单VO")
public class SignInShipBillVO implements Serializable {

	private static final long serialVersionUID = 7996923071056751689L;

	@ApiModelProperty(value = "司机ID")
	private String driverId;

	@ApiModelProperty(value = "企业ID")
	private String enterpriseId;

	@ApiModelProperty(value = "货物图片")
	private String goodsPicUrl;

	@ApiModelProperty(value = "回单图片")
	private String receiptPicUrl;

	@ApiModelProperty(value = "签收人")
	private String signPerson;

	@ApiModelProperty(value = "签收备注")
	private String signRemark;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@NotBlank(message = "运单ID不能为空")
	@ApiModelProperty("运单ID")
	private String shipBillId;

	@ApiModelProperty(value = "送达温度")
	private BigDecimal deliveryTemperature;

	@ApiModelProperty(value = "商品明细")
	private List<SignInItemVO> itemVOList;

	@ApiModelProperty("类型：S送达，Q签收")
	private String returnType;

}
