package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 取号管理-按运单取号VO
 *
 * @author xiaoyf
 * @date 2022/04/20
 */
@Data
@ApiModel("取号管理-按运单取号VO")
public class TakeNumberByShipbillVO implements Serializable {

	private static final long serialVersionUID = -2885379600521006444L;

	@NotNull(message = "仓库ID不能为空")
	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@NotEmpty(message = "仓库编码不能为空")
	@ApiModelProperty(value = "仓库ID")
	private String branchCode;

	@NotEmpty(message = "仓库名称不能为空")
	@ApiModelProperty(value = "仓库ID")
	private String branchName;

	@ApiModelProperty(value = "仓库详细地址")
	private String branchAddress;

	@NotNull(message = "司机ID不能为空")
	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@NotEmpty(message = "司机编码不能为空")
	@ApiModelProperty(value = "司机ID")
	private String driverCode;

	@NotEmpty(message = "司机名称不能为空")
	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@NotEmpty(message = "司机手机号不能为空")
	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@NotEmpty(message = "车牌号不能为空")
	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "勾选的装车单明细主键集合 格式ids:['','']")
	private List<String> ids;

}
