package com.prolog.rdc.tms.app.model.vo.business;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待送达-异常上报VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xiaoyf
 * @since 2022/6/6 18:05
 */
@Data
@ApiModel("待送达-异常上报VO")
public class WaitDeliveredAbnormalVO implements Serializable {

	private static final long serialVersionUID = 7377227867495214119L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@NotNull(message = "异常类型不能为空")
	@ApiModelProperty(value = "异常类型")
	private Integer abnormalType;

	@NotNull(message = "异常事件不能为空")
	@ApiModelProperty(value = "异常事件")
	private Integer abnormalCase;

	@ApiModelProperty(value = "客户投诉(是/否 1是 0否)")
	private Integer customerComplain;

	@ApiModelProperty(value = "异常内容")
	private String content;

	@ApiModelProperty(value = "异常图片地址")
	private String pictureUrl;

}
