package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 待自提查询VO
 *
 * @author xyf
 * @date 2022/04/22
 */
@Data
@ApiModel("待自提查询VO")
public class WaitForSelfWithdrawalQueryVO implements Serializable {

	private static final long serialVersionUID = 3142212969333551913L;


	@ApiModelProperty(value = "预计提货开始日期")
	private Date estimatedPickupStartTime;

	@ApiModelProperty(value = "预计提货结束日期")
	private Date estimatedPickupEndTime;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "顶级部门ID", hidden = true)
	private String departmentId;

	@ApiModelProperty(value = "货主ID", hidden = true)
	private Long cargoOwnerId;

	@ApiModelProperty(value = "仓库", hidden = true)
	private Long[] wsarehouses;

	@ApiModelProperty(value = "供应商", hidden = true)
	private Long[] suppliers;

	@ApiModelProperty(value = "客户", hidden = true)
	private Long[] customers;


	@ApiModelProperty(value = "配送方式",hidden = true)
	private Integer deliveryMethodType;

	@ApiModelProperty(value = "拆单状态",hidden = true)
	private Integer splitOrderStatus;

	@ApiModelProperty(value = "状态",hidden = true)
	private Integer status;

	@ApiModelProperty(value = "是否部门权限",hidden = true)
	private String isDept;

	@ApiModelProperty(value = "部门IDs",hidden = true)
	private String[] depts;

	@ApiModelProperty(value = "货主集合",hidden = true)
	private Long[] consignors;

	@ApiModelProperty(value = "业务类型")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "始发地")
	private String shipperAddress;

	@ApiModelProperty(value = "目的地")
	private String consigneeAddress;

	@ApiModelProperty(value = "线路")
	private String lineName;

	@ApiModelProperty(value = "客户")
	private String consigneeUnitName;

	@ApiModelProperty(value = "收货方")
	private String consigneeName;

	@ApiModelProperty(value = "发货方名称")
	private String shipperName;

	@ApiModelProperty(value = "客户ID",hidden = true)
	private Long customerUserId;

	@ApiModelProperty(value = "供应商ID",hidden = true)
	private Long supplierUserId;

	@ApiModelProperty(value = "货主ID",hidden = true)
	private Long cargoOwnerUserId;
}
