package com.prolog.rdc.tms.app.model.vo.business;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import com.prolog.rdc.tms.app.model.vo.StartShipmentDetailVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待提货-启运登记VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xiaoyf
 * @since 2022/6/14 14:56
 */
@Data
@ApiModel("待提货-启运登记VO")
public class WaitPickUpGoodsStartShipmentVO implements Serializable {

	private static final long serialVersionUID = 6894768558505903615L;

	@ApiModelProperty("运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "启运货物图片")
	private String departurePhoto;

	@ApiModelProperty(value = "车辆设备ID")
	private String vehicleDeviceId;

	@ApiModelProperty(value = "车辆设备CODE")
	private String vehicleDeviceCode;

	@ApiModelProperty(value = "车辆设备名称")
	private String vehicleDeviceName;

	@ApiModelProperty(value = "启运温度")
	private BigDecimal departureTemperature;

	@ApiModelProperty(value = "容器id")
	private String containerId;

	@ApiModelProperty(value = "容器编号")
	private String containerCode;

	@ApiModelProperty(value = "容器名称")
	private String containerName;

	@ApiModelProperty(value = "是否显示启运温度")
	private Boolean showDepartureTemperature;

	@ApiModelProperty(value = "运单明细")
	private List<StartShipmentDetailVO> detailVOList;

	@ApiModelProperty(value = "是否显示容器温度")
	private Boolean showContainerTemperature;

	@ApiModelProperty(value = "容器温度集合")
	private List<ContainerTemperatureVO> temperatureVOList;

	@ApiModelProperty(value = "检查清单 逗号分隔")
	private String checkDetails;
}
