package com.prolog.rdc.tms.app.service.business;

import com.prolog.rdc.tms.app.model.entity.TmsLoadingBillHeaderModel;

import java.util.List;

/**
 * 派车单服务
 * @author hongbo.pan
 * @date 2022/9/29
 */
public interface LoadingBillService {

    /**
     * 更新派车单站点数
     * updateStationByLoadingBillId
     * @param loadingBillId
     */
    void updateStationByLoadingBillId(String loadingBillId);

    /**
     * 批量更新派车单站点数
     * updateStationByLoadingBillIdList
     * @param loadingBillIdList
     */
    void updateStationByLoadingBillIdList(List<String> loadingBillIdList);

    /**
     * 获取派车单号
     * @param shipBillId
     * @return
     */
    String getLoadingBillIdByShipBillId(String shipBillId);

    /**
     * 获取派车单号
     * @param shipBillIds
     * @return
     */
    List<String> getLoadingBillIdsByShipBillIds(List<String> shipBillIds);

    /**
     * 重算表头数据
     * @param loadingBillIdList
     */
    void reCalLoadingBill(List<String> loadingBillIdList);

    /**
     * setLoadingBillDelivery
     * @param loadingBillHeaderModel
     * @return TmsLoadingBillHeaderModel
     */
    TmsLoadingBillHeaderModel setLoadingBillDelivery(TmsLoadingBillHeaderModel loadingBillHeaderModel);
}
