package com.prolog.rdc.tms.app.service.business;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.app.model.dto.business.PendingReceiptDTO;
import com.prolog.rdc.tms.app.model.dto.business.PendingReceiptItemDetailDTO;
import com.prolog.rdc.tms.app.model.dto.business.PendingReceiptPackageDetailDTO;
import com.prolog.rdc.tms.app.model.vo.business.PendingReceiptConfirmVO;
import com.prolog.rdc.tms.app.model.vo.business.PendingReceiptQueryVO;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/1/16
 */
public interface PendingReceiptService {

    /**
     * 回单查询
     * @param vo
     * @return
     */
    Page<PendingReceiptDTO> findByCondition(PendingReceiptQueryVO vo);

    /**
     * 回单确认
     * @param vo
     */
    void confirm(PendingReceiptConfirmVO vo);

    /**
     * 包裹查询
     * @param shipBillId
     * @return
     */
    List<PendingReceiptPackageDetailDTO> getPackageDetailDTO(String shipBillId);

    /**
     * 明细查询
     * @param shipBillId
     * @return
     */
    List<PendingReceiptItemDetailDTO> getItemDetailDTO(String shipBillId);

}
