package com.prolog.rdc.tms.app.service.business;

import com.prolog.framework.core.pojo.Page;
import com.prolog.product.core.framework.entity.UserEntity;
import com.prolog.rdc.tms.app.model.dto.business.PendingReviewQueryDTO;
import com.prolog.rdc.tms.app.model.vo.business.PendingReviewQueryVO;
import com.prolog.rdc.tms.app.model.vo.business.ShipbillGoBackVO;

import java.util.Date;
import java.util.List;

/**
 * 调度管理-待审核服务层
 *
 * @author lhb
 * @since 2022-04-11 14:45:00
 */
public interface PendingReviewService {

	/**
	 * 待审核查询
	 *
	 * @param pendingReviewVO
	 * @return
	 */
	Page<PendingReviewQueryDTO> pendingReviewQuery(PendingReviewQueryVO pendingReviewVO);


	/**
	 * 运单审核
	 *
	 * @param shipbillIds
	 * @return
	 */
	void reviewShipbillData(List<String> shipbillIds);

	/**
	 * 自动运单审核
	 *
	 * @param shipbillIds
	 * @return
	 */
	void autoReviewShipbillData(List<String> shipbillIds, UserEntity user, Date date);

	/**
	 * 运单待审核-回退
	 *
	 * @param vo
	 * @return
	 */
	void goBackShipbill(ShipbillGoBackVO vo);

}
