package com.prolog.rdc.tms.app.service.business;

import java.util.Date;
import java.util.List;

import com.prolog.framework.core.pojo.Page;
import com.prolog.product.core.framework.entity.UserEntity;
import com.prolog.rdc.tms.app.model.dto.business.PendingSubmitQueryDTO;
import com.prolog.rdc.tms.app.model.vo.business.PendingSubmitQueryVO;

/**
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/20 16:00
 */
public interface PendingSubmitService {

    /**
     * 查询运单
     *
     * @return
     */
    Page<PendingSubmitQueryDTO> queryShipbillData(PendingSubmitQueryVO pendingSubmitQueryVO);

    /**
     * 运单接单
     *
     * @param ids
     */
    void receiveShipbillData(List<String> ids);

    /**
     * 运单拒绝
     *
     * @param ids
     */
    void rejectShipbillData(List<String> ids);

    /**
     * 运单提交
     *
     * @param ids
     */
    void submitShipbillData(List<String> ids);

    /**
     * 自动运单提交
     *
     * @param ids
     */
    void autoSubmitShipbillData(List<String> ids, UserEntity user, Date date);
}
