package com.prolog.rdc.tms.app.service.business;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.app.model.dto.business.ReceiptAndDeliveryCountDTO;
import com.prolog.rdc.tms.app.model.dto.business.ReceiptAndDeliveryDTO;
import com.prolog.rdc.tms.app.model.dto.business.ReceiptAndDeliveryNodeDTO;
import com.prolog.rdc.tms.app.model.vo.business.ReceiptAndDeliveryQueryVO;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/10/31
 */
public interface ReceiptAndDeliveryService {

    /**
     * 合计数量
     * @param vo
     * @return
     */
    ReceiptAndDeliveryCountDTO count(ReceiptAndDeliveryQueryVO vo);

    /**
     * 收发货小程序查询
     * @param vo
     * @return
     */
    Page<ReceiptAndDeliveryDTO> findByCondition(ReceiptAndDeliveryQueryVO vo);

    /**
     * 运单节点查询
     * @param shipBillId
     * @return
     */
    List<ReceiptAndDeliveryNodeDTO> findNodeByShipBillId(String shipBillId);
}
