package com.prolog.rdc.tms.app.service.business;



import com.prolog.rdc.tms.app.model.dto.ShipbillNodeTrackingDTO;
import com.prolog.rdc.tms.app.model.vo.business.ShipbillNodeTrackingListVO;
import com.prolog.rdc.tms.app.model.vo.business.ShipbillNodeTrackingRollbackVO;
import com.prolog.rdc.tms.app.model.vo.business.ShipbillNodeTrackingSaveNewVO;
import com.prolog.rdc.tms.app.model.vo.business.ShipbillNodeTrackingSaveVO;

import java.util.List;

/**
 * 运单节点跟踪服务层
 *
 * @author zhangsj
 * @since 2022-03-31 14:49:08
 */
public interface ShipbillNodeTrackingService {

	/**
	 * 运单节点查看
	 * 
	 * @param shipbillNodeTrackingListVO
	 * @return
	 */
	List<ShipbillNodeTrackingDTO> listShipbillNodeTrackingData(ShipbillNodeTrackingListVO shipbillNodeTrackingListVO);

	/**
	 * 运单节点新增
	 * 
	 * @param vo
	 */
	void addShipbillNodeTrackingData(ShipbillNodeTrackingSaveVO vo);

	/**
	 * 运单节点新增(新)
	 *
	 * @param vo
	 */
	void addShipbillNodeTrackingNewData(ShipbillNodeTrackingSaveNewVO vo);

	/**
	 * 运单节点回退
	 *
	 * @param vo
	 */
	void rollbackShipbillNodeTracking(ShipbillNodeTrackingRollbackVO vo);
}
