package com.prolog.rdc.tms.app.service.business;

import java.util.List;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.app.model.dto.business.WaitForArrangeGoodsDTO;
import com.prolog.rdc.tms.app.model.dto.business.WaitForArrangeGoodsQueryDTO;
import com.prolog.rdc.tms.app.model.vo.business.WaitForArrangeGoodsQueryVO;
import com.prolog.rdc.tms.app.model.vo.business.WaitForArrangeGoodsVO;

/**
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/22 11:02
 */
public interface WaitForArrangeGoodsService {

    /**
     * 主页查询
     *
     * @param waitForArrangeGoodsVO
     * @return
     */
    Page<WaitForArrangeGoodsDTO> queryData(WaitForArrangeGoodsVO waitForArrangeGoodsVO) throws Exception;

    /**
     * 开始理货
     *
     * @param ids
     */
    void startArrangeGoods(List<String> ids);

    /**
     * 理货完成
     *
     * @param ids
     */
    void completeArrangeGoods(List<String> ids);

    /**
     * 查询运单
     *
     * @param waitForArrangeGoodsQueryVO
     * @return
     */
    Page<WaitForArrangeGoodsQueryDTO> queryShipbillData(WaitForArrangeGoodsQueryVO waitForArrangeGoodsQueryVO);
}
