package com.prolog.rdc.tms.app.service.business;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.app.model.dto.business.SelfPickUpShipBillDetailDTO;
import com.prolog.rdc.tms.app.model.dto.business.SelfWithdrawalConfirmQueryDTO;
import com.prolog.rdc.tms.app.model.dto.business.WaitForSelfWithdrawalDTO;
import com.prolog.rdc.tms.app.model.vo.business.*;

import java.util.List;

/**
 * 待自提服务层
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/6/1 12:43
 */
public interface WaitForSelfWithdrawalService {

	/**
	 * 待自提主界面分页查询
	 *
	 * @param vo
	 * @return
	 */
	Page<WaitForSelfWithdrawalDTO> queryShipbill(WaitForSelfWithdrawalQueryVO vo);

	/**
	 * 自提确认
	 *
	 * @param vo
	 * @return
	 */
	void selfWithdrawalConfirm(SelfWithdrawalConfirmVO vo);

	/**
	 * 自提车辆登记
	 *
	 * @param vehicleRegisterVO
	 * @return
	 */
	void vehicleRegister(SelfPickUpVehicleRegisterVO vehicleRegisterVO);

	/**
	 * 自提确认查询
	 *
	 * @param vo
	 * @return
	 */
	SelfWithdrawalConfirmQueryDTO ConfirmQuery(SelfWithdrawalConfirmQueryVO vo);

	/**
	 * 商品查询
	 *
	 * @param itemQueryVO
	 * @return
	 */
	List<SelfPickUpShipBillDetailDTO> queryShipbillDetail_(WaitForSelfItemQueryVO itemQueryVO);
}
