package com.prolog.rdc.tms.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class BmsFreightPriceLadderDTO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "价格编码")
    private String priceNo;

    @ApiModelProperty(value = "区间上限符号")
    private int sectionUpSymbol;
    private String sectionUpSymbolName;

    @ApiModelProperty(value = "区间上限")
    private BigDecimal sectionUp;

    @ApiModelProperty(value = "区间下限符号")
    private int sectionDownSymbol;
    private String sectionDownSymbolName;

    @ApiModelProperty(value = "区间下限")
    private BigDecimal sectionDown;

    @ApiModelProperty(value = "单价")
    private BigDecimal price;

    @ApiModelProperty(value = "类别")
    private String ladderType;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

    @ApiModelProperty(value = "首时")
    private int firstHour;

    @ApiModelProperty(value = "起步价")
    private BigDecimal startingPrice;

    @ApiModelProperty(value = "初始阶梯（首重/首方）")
    private BigDecimal initialLadder;

    @ApiModelProperty(value = "初始阶梯单价(首重/首方)")
    private BigDecimal initialLadderPrice;

    @ApiModelProperty(value = "计算规则(首重+续重/重量一口价)")
    private Integer calculateRule;
    private String calculateRuleName;
}