package com.prolog.rdc.tms.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


@Data
public class BmsMergeStrategyDTO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "策略名称")
    private String strategyName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "策略状态 BMS_STATUS")
    private int status;
    private String statusName;

    @ApiModelProperty(value = "合并规则")
    private String mergeRule;

    @ApiModelProperty(value = "计费规则")
    private String feeRuleName;
    private Integer feeRule;

    @ApiModelProperty(value = "相同实际启运日期 1：是，0：否")
    private Integer isSameStartDate;

    @ApiModelProperty(value = "相同运输车辆")
    private Integer isSameCar;

    @ApiModelProperty(value = "相同运输司机")
    private Integer isSameDriver;

    @ApiModelProperty(value = "相同发货方")
    private Integer isSameSender;

    @ApiModelProperty(value = "相同收货方")
    private Integer isSameReceive;

    @ApiModelProperty(value = "相同实际送达日期")
    private Integer isSameEndDate;

    @ApiModelProperty(value = "相同电子回单日期")
    private Integer isSameElectronicBackDate;

    @ApiModelProperty(value = "相同正本回单日期")
    private Integer isSameOriginalBackDate;

    @ApiModelProperty(value = "相同承运商")
    private Integer isSameCarrier;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "公司名称")
    private String enterpriseName;

    @ApiModelProperty(value = "相同配送区域")
    private Integer isSameDeliveryArea;

    @ApiModelProperty(value = "相同送货站点")
    private Integer isSameDeliveryStation;

    @ApiModelProperty(value = "相同线路")
    private Integer isSameLine;

    @ApiModelProperty(value = "相同货主")
    private Integer isSameCargoOwner;
}