package com.prolog.rdc.tms.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.rdc.tms.model.vo.BmsTimeStrategyLadderVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


@Data
public class BmsTimeBillStrategyDTO implements Serializable {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "策略名称")
    private String strategyName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "策略状态 OMS_STATUS 1: 启用 0：停用")
    private int status;
    private String statusName;

    @ApiModelProperty(value = "开始时间 OMS_START_DATE_STRATEGY")
    private int startDate;
    private String startDateName;

    @ApiModelProperty(value = "结束时间 OMS_END_DATE_STRATEGY")
    private int endDate;
    private String endDateName;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "公司名称")
    private String enterpriseName;

    @ApiModelProperty(value = "时间精度")
    private Integer timePrecision;

    @ApiModelProperty(value = "时间取整")
    private Integer timeInteger;

    @ApiModelProperty(value = "时间取整名称")
    private String timeIntegerName;

    @ApiModelProperty(value = "是否启用阶梯时间换算 0:不启用 1:启用")
    private Integer timeLadderEnable;

    @ApiModelProperty(value = "是否启用阶梯时间换算名称")
    private String timeLadderEnableName;

    @ApiModelProperty(value = "策略时间阶梯")
    List<BmsTimeStrategyLadderDTO> timeStrategyLadderDTOS;
}