package com.prolog.rdc.tms.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


@Data
public class ContractLogQueryDTO implements Serializable {

    @ApiModelProperty(value = "业务单号")
    private String orderNo;

    @ApiModelProperty(value = "日志类型 1:运单，2：合同,3:对账单 4：结算单，5：费用单")
    private int logType;

    @ApiModelProperty(value = "日志说明")
    private String logMemo;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @ApiModelProperty(value = "主键")
    private Long id;

}