package com.prolog.rdc.tms.model.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import com.prolog.product.core.easyexcel.support.DropdownPropExtConverter;
import com.prolog.product.core.easyexcel.util.ValidationCellEnum;
import lombok.Data;

import java.io.Serializable;

@Data
public class ExpenseAccountTemplateDTO implements Serializable {

    @ExcelProperty(value = "费用编码")
    private String expenseCode;

    @ExcelProperty(value = "费用名称")
    private String expenseName;

    @ExcelProperty(value = "费用分类", converter = DropdownPropExtConverter.class)
    @ValidationPropertyExt(dropdownValues = { "1", "2" }, dropdownNames = { "收入", "支出"}, cellType = ValidationCellEnum.LIST)
    private int expenseClassify;

}