package com.prolog.rdc.tms.model.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class FreightPriceExportDTO implements Serializable {

    @ExcelProperty(value = "合同编号")
    private String contractNo;

    @ExcelProperty(value = "合同名称")
    private String contractName;

    @ExcelProperty(value = "价格编号")
    private String priceNo;

    @ExcelProperty(value = "价格名称")
    private String priceName;

    @ExcelProperty(value = "始发地省")
    private String shipperProvinceName;

    @ExcelProperty(value = "始发地市")
    private String shipperCityName;

    @ExcelProperty(value = "始发地区")
    private String shipperDistrictName;

    @ExcelProperty(value = "目的地省")
    private String consigneeProvinceName;

    @ExcelProperty(value = "目的地市")
    private String consigneeCityName;

    @ExcelProperty(value = "目的地区")
    private String consigneeDistrictName;

    @ExcelProperty(value = "时效(时)")
    private int aging;

    @ExcelProperty(value = "里程(KM)")
    private BigDecimal mileage;

    @ExcelProperty(value = "费用")
    private String expenseName;

    @ExcelProperty(value = "备注")
    private String memo;

    @ExcelProperty(value = "计费模式")
    private String settlementModelName;

    @ExcelProperty(value = "阶梯方式")
    private String ladderTypeName;

    @ExcelProperty(value = "计费方式")
    private String settlementTypeName;

    @ExcelProperty(value = "策略")
    private String strategyName;

    @ExcelProperty(value = "单价")
    private BigDecimal price;

    @ExcelProperty(value = "匹配条件")
    private String matchCondition;

    @ExcelProperty(value = "序号")
    private Integer number;

    @ExcelProperty(value = "区间下限符号")
    private String sectionDownSymbol;

    @ExcelProperty(value = "区间下限")
    private BigDecimal sectionDown;

    @ExcelProperty(value = "区间上限符号")
    private String sectionUpSymbol;

    @ExcelProperty(value = "区间上限")
    private BigDecimal sectionUp;

    @ExcelProperty(value = "起步价")
    private BigDecimal startingPrice;

    @ExcelProperty(value = "首重(KG)/首方(M3)")
    private BigDecimal initialLadder;

    @ExcelProperty(value = "阶梯单价")
    private BigDecimal ladderPrice;

    @ExcelProperty(value = "类别")
    private String priceLadderType;

}