package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;


@Data
public class LogisticsContractQuery implements Serializable {

    @NotNull(message = "当前页不能为空")
    @ApiModelProperty(value = "当前页")
    private int pageNum;

    @NotNull(message = "页行数不能为空")
    @ApiModelProperty(value = "页行数")
    private int pageSize;

    @ApiModelProperty(value = "合同编号")
    private String contractNo;

    @ApiModelProperty(value = "合同名称")
    private String contractName;

    @ApiModelProperty(value = "甲方-货主名称/部门名称")
    private String firstPartyName;

    @ApiModelProperty(value = "乙方-承运商ID/部门ID")
    private String secondPartyName;

    @ApiModelProperty(value = "甲方-货主名称/部门名称",hidden = true)
    private List<String> firstPartyNames;

    @ApiModelProperty(value = "乙方-承运商ID/部门ID",hidden = true)
    private List<String>  secondPartyNames;

    @ApiModelProperty(value = "企业ID",hidden = true)
    private Long enterpriseId;

    @ApiModelProperty(value = "合同模式 1-托运 2-承运")
    private Integer contractMode;

}