package com.prolog.rdc.tms.model.dto.carrier.settlement;

import com.prolog.rdc.tms.model.dto.common.BmsBaseDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author hongbo.pan
 * @date 2023/6/28
 */
@Data
public class CarrierSettlementManagementDTO extends BmsBaseDTO {

    @ApiModelProperty(value = "结算单ID")
    private Long id;

    @ApiModelProperty(value = "结算单号")
    private String settlementNo;

    @ApiModelProperty(value = "结算单名称")
    private String settlementName;

    @ApiModelProperty(value = "结算单状态")
    private Integer status;

    @ApiModelProperty(value = "结算单状态")
    private String statusName;

    @ApiModelProperty(value = "结算周期")
    private Integer settlementCycle;

    @ApiModelProperty(value = "结算周期")
    private String settlementCycleName;

    @ApiModelProperty(value = "往来单位id")
    private Integer carrierId;

    @ApiModelProperty(value = "往来单位编码")
    private String carrierCode;

    @ApiModelProperty(value = "往来单位名称")
    private String carrierName;

    @ApiModelProperty(value = "结算部门")
    private String settlementDepartment;

    @ApiModelProperty(value = "结算部门ID")
    private String settlementDepartmentId;

    @ApiModelProperty(value = "结算部门编码")
    private String settlementDepartmentCode;

    @ApiModelProperty(value = "结算公司")
    private String settlementCompany;

    @ApiModelProperty(value = "结算公司id")
    private Long settlementCompanyId;

    @ApiModelProperty(value = "结算公司编码")
    private String settlementCompanyCode;

    @ApiModelProperty(value = "挂账结束日期")
    private Date accountEndDate;

    @ApiModelProperty(value = "开票结束日期")
    private Date invoiceEndDate;

    @ApiModelProperty(value = "税点")
    private String taxPoint;

    @ApiModelProperty(value = "含税金额")
    private BigDecimal taxAmt;

    @ApiModelProperty(value = "无税金额")
    private BigDecimal noTaxAmt;

    @ApiModelProperty(value = "总税额")
    private BigDecimal tax;

    @ApiModelProperty(value = "备注")
    private String memo;
}
