package com.prolog.rdc.tms.model.dto.shipbill;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.rdc.tms.model.dto.common.BmsBaseDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author hongbo.pan
 * @date 2023/4/13
 */
@Data
public class BmsShipBillAdjustDTO extends BmsBaseDTO {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @ApiModelProperty(value = "调整内容")
    private String adjustMemo;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "调整时间")
    private Date adjustDate;

    @ApiModelProperty(value = "调整人名称")
    private String adjustName;

    @ApiModelProperty(value = "明细行号")
    private Integer seqNo;


}