package com.prolog.rdc.tms.model.dto.shipbill;

import com.prolog.rdc.tms.model.dto.common.BmsBaseDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author hongbo.pan
 * @date 2023/4/13
 */
@Data
public class BmsShipBillPackageDTO extends BmsBaseDTO {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @ApiModelProperty(value = "包裹号")
    private String packageCode;

    @ApiModelProperty(value = "暂存区")
    private String storageCache;

    @ApiModelProperty(value = "包裹类型")
    private String packType;

    @ApiModelProperty(value = "关联设备类型")
    private String deviceCompany;

    @ApiModelProperty(value = "关联设备编号")
    private String deviceCompanyName;

    @ApiModelProperty(value = "整件数")
    private BigDecimal wholePiece;

    @ApiModelProperty(value = "拼箱数")
    private BigDecimal lclPiece;

    @ApiModelProperty(value = "包裹总重量")
    private BigDecimal packageTotalWeight;

    @ApiModelProperty(value = "包裹总体积")
    private BigDecimal packageTotalVolume;

    @ApiModelProperty(value = "明细行号")
    private Integer seqNo;

    @ApiModelProperty(value = "件数")
    private BigDecimal pcs;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "运费")
    private BigDecimal transportFee;


}