package com.prolog.rdc.tms.model.entity;

import java.math.BigDecimal;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
* 结算单表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-05-04 10:47:02
*/
@Data
@Table(value = "bms_pay_settlement")
public class BmsPaySettlementModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @Id
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "结算单号")
    @Column(value = "settlement_no")
    private String settlementNo;

    @ApiModelProperty(value = "结算单名称")
    @Column(value = "settlement_name")
    private String settlementName;

    @ApiModelProperty(value = "结算周期")
    @Column(value = "settlement_cycle")
    private String settlementCycle;

    @ApiModelProperty(value = "支出费用类型   1 支出托运费用, 2 支出司机费用")
    @Column(value = "pay_fee_type")
    private Integer payFeeType;

    @ApiModelProperty(value = "往来单位类型")
    @Column(value = "carrier_type")
    private Integer carrierType;

    @ApiModelProperty(value = "往来单位id")
    @Column(value = "carrier_id")
    private Long carrierId;

    @ApiModelProperty(value = "往来单位code")
    @Column(value = "carrier_code")
    private String carrierCode;

    @ApiModelProperty(value = "往来单位名称")
    @Column(value = "carrier_name")
    private String carrierName;

    @ApiModelProperty(value = "司机ID")
    @Column(value = "driver_id")
    private Long driverId;

    @ApiModelProperty(value = "司机编号")
    @Column(value = "driver_code")
    private String driverCode;

    @ApiModelProperty(value = "司机名称")
    @Column(value = "driver_name")
    private String driverName;

    @ApiModelProperty(value = "司机手机号")
    @Column(value = "driver_phone_number")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "车牌号")
    @Column(value = "vehicle_plate_number")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "结算公司")
    @Column(value = "settlement_company")
    private String settlementCompany;

    @ApiModelProperty(value = "结算公司id")
    @Column(value = "settlement_company_id")
    private Long settlementCompanyId;

    @ApiModelProperty(value = "结算公司code")
    @Column(value = "settlement_company_code")
    private String settlementCompanyCode;

    @ApiModelProperty(value = "结算部门")
    @Column(value = "settlement_department")
    private String settlementDepartment;

    @ApiModelProperty(value = "结算部门id")
    @Column(value = "settlement_department_id")
    private String settlementDepartmentId;

    @ApiModelProperty(value = "结算部门code")
    @Column(value = "settlement_department_code")
    private String settlementDepartmentCode;

    @ApiModelProperty(value = "挂账结束日期")
    @Column(value = "account_end_date")
    private Date accountEndDate;

    @ApiModelProperty(value = "开票结束日期")
    @Column(value = "invoice_end_date")
    private Date invoiceEndDate;

    @ApiModelProperty(value = "税点")
    @Column(value = "tax_point")
    private String taxPoint;

    @ApiModelProperty(value = "含税金额")
    @Column(value = "tax_amt")
    private BigDecimal taxAmt;

    @ApiModelProperty(value = "无税金额")
    @Column(value = "no_tax_amt")
    private BigDecimal noTaxAmt;

    @ApiModelProperty(value = "总税额")
    @Column(value = "tax")
    private BigDecimal tax;

    @ApiModelProperty(value = "备注")
    @Column(value = "memo")
    private String memo;

    @ApiModelProperty(value = "结算单状态")
    @Column(value = "status")
    private Integer status;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

    @ApiModelProperty(value = "字符属性扩展1")
    @Column(value = "ext_str1")
    private String extStr1;

    @ApiModelProperty(value = "字符属性扩展2")
    @Column(value = "ext_str2")
    private String extStr2;

    @ApiModelProperty(value = "字符属性扩展3")
    @Column(value = "ext_str3")
    private String extStr3;

    @ApiModelProperty(value = "字符属性扩展4")
    @Column(value = "ext_str4")
    private String extStr4;

    @ApiModelProperty(value = "字符属性扩展5")
    @Column(value = "ext_str5")
    private String extStr5;

    @ApiModelProperty(value = "数值属性扩展1")
    @Column(value = "ext_num1")
    private BigDecimal extNum1;

    @ApiModelProperty(value = "数值属性扩展2")
    @Column(value = "ext_num2")
    private BigDecimal extNum2;

    @ApiModelProperty(value = "数值属性扩展3")
    @Column(value = "ext_num3")
    private BigDecimal extNum3;

    @ApiModelProperty(value = "数值属性扩展4")
    @Column(value = "ext_num4")
    private BigDecimal extNum4;

    @ApiModelProperty(value = "数值属性扩展5")
    @Column(value = "ext_num5")
    private BigDecimal extNum5;

    @ApiModelProperty(value = "日期属性扩展1")
    @Column(value = "ext_date1")
    private Date extDate1;

    @ApiModelProperty(value = "日期属性扩展2")
    @Column(value = "ext_date2")
    private Date extDate2;

    @ApiModelProperty(value = "日期属性扩展3")
    @Column(value = "ext_date3")
    private Date extDate3;

    @ApiModelProperty(value = "日期属性扩展4")
    @Column(value = "ext_date4")
    private Date extDate4;

    @ApiModelProperty(value = "日期属性扩展5")
    @Column(value = "ext_date5")
    private Date extDate5;





}
