package com.prolog.rdc.tms.model.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


@Data
@Table("bms_shipbill_header")
public class BmsShipBillHeaderModel implements Serializable {

	private static final long serialVersionUID = -92248416608078822L;

	@Id
	@ApiModelProperty(value = "运单ID")
	@Column(value = "id")
	private Long id;

	@ApiModelProperty(value = "运单编号")
	@Column(value = "shipbill_no")
	private String shipbillNo;

	@ApiModelProperty(value = "派车单主键ID")
	@Column(value = "loading_id")
	private Long loadingId;

	@ApiModelProperty(value = "调度单号")
	@Column(value = "loading_bill_no")
	private String loadingBillNo;

	@ApiModelProperty(value = "计费类型 10:按运单计费  20:按派车单计费 30:未匹配到价格")
	@Column(value = "fee_clt_type")
	private Integer feeCltType;

	@ApiModelProperty(value = "货主ID")
	@Column(value = "cargo_owner_id")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "货主编码")
	@Column(value = "cargo_owner_code")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "货主名称")
	@Column(value = "cargo_owner_name")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单ID")
	@Column(value = "order_id")
	private String orderId;

	@ApiModelProperty(value = "订单编号")
	@Column(value = "order_no")
	private String orderNo;

	@ApiModelProperty(value = "WMS单据ID")
	@Column(value = "wms_order_id")
	private String wmsOrderId;

	@ApiModelProperty(value = "WMS单据编号")
	@Column(value = "wms_order_no")
	private String wmsOrderNo;

	@ApiModelProperty(value = "订单类型 数据字典ORDER_TYPE：1普通 2紧急 3加急")
	@Column(value = "order_type")
	private Integer orderType;

	@ApiModelProperty(value = "订单业务类型 数据字典ORDER_BUSINESS_TYPE：1销售订单-直送  2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提 5销售退货 6采购退货 7调拨")
	@Column(value = "order_business_type")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "配送方式 数据字典DELIVERY_METHOD_TYPE：1配送 2自提")
	@Column(value = "delivery_method_type")
	private Integer deliveryMethodType;

	@ApiModelProperty(value = "运输类型(运输模式) 数据字典TRANSPORT_TYPE:1整车 2零担")
	@Column(value = "transport_type")
	private Integer transportType;

	@ApiModelProperty(value = "温度要求 数据字典TEMPERATURE_REQUIREMENT：1常温 2冷藏 3冷冻 4恒温")
	@Column(value = "temperature_requirement")
	private Integer temperatureRequirement;

	@ApiModelProperty(value = "所属部门ID")
	@Column(value = "department_id")
	private String departmentId;

	@ApiModelProperty(value = "所属部门编码")
	@Column(value = "department_code")
	private String departmentCode;

	@ApiModelProperty(value = "所属部门名称")
	@Column(value = "department_name")
	private String departmentName;

	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;

	@ApiModelProperty(value = "发货方类型 数据字典SHIPPER_TYPE:1客户 2仓库 3供应商")
	@Column(value = "shipper_type")
	private Integer shipperType;

	@ApiModelProperty(value = "发货方单位ID")
	@Column(value = "shipper_unit_id")
	private Long shipperUnitId;

	@ApiModelProperty(value = "发货方单位编码")
	@Column(value = "shipper_unit_code")
	private String shipperUnitCode;

	@ApiModelProperty(value = "发货方单位名称")
	@Column(value = "shipper_unit_name")
	private String shipperUnitName;

	@ApiModelProperty(value = "发货方ID")
	@Column(value = "shipper_id")
	private Long shipperId;

	@ApiModelProperty(value = "发货方编码")
	@Column(value = "shipper_code")
	private String shipperCode;

	@ApiModelProperty(value = "发货方名称")
	@Column(value = "shipper_name")
	private String shipperName;

	@ApiModelProperty(value = "发货方联系人")
	@Column(value = "shipper_contact")
	private String shipperContact;

	@ApiModelProperty(value = "发货方手机号")
	@Column(value = "shipper_phone_number")
	private String shipperPhoneNumber;

	@ApiModelProperty(value = "发货方座机号")
	@Column(value = "shipper_landline_number")
	private String shipperLandlineNumber;

	@ApiModelProperty(value = "发货方邮箱")
	@Column(value = "shipper_email")
	private String shipperEmail;

	@ApiModelProperty(value = "发货方关联手机号")
	@Column(value = "shipper_related_phone_number")
	private String shipperRelatedPhoneNumber;

	@ApiModelProperty(value = "发货方省编码")
	@Column(value = "shipper_province")
	private String shipperProvince;

	@ApiModelProperty(value = "发货方省名称")
	@Column(value = "shipper_province_name")
	private String shipperProvinceName;

	@ApiModelProperty(value = "发货方市编码")
	@Column(value = "shipper_city")
	private String shipperCity;

	@ApiModelProperty(value = "发货方市名称")
	@Column(value = "shipper_city_name")
	private String shipperCityName;

	@ApiModelProperty(value = "发货方区/县编码")
	@Column(value = "shipper_district")
	private String shipperDistrict;

	@ApiModelProperty(value = "发货方区/县名称")
	@Column(value = "shipper_district_name")
	private String shipperDistrictName;

	@ApiModelProperty(value = "发货方详细地址")
	@Column(value = "shipper_address")
	private String shipperAddress;

	@ApiModelProperty(value = "发货方经度")
	@Column(value = "shipper_longitude")
	private BigDecimal shipperLongitude;

	@ApiModelProperty(value = "发货方纬度")
	@Column(value = "shipper_latitude")
	private BigDecimal shipperLatitude;

	@ApiModelProperty(value = "发货方备注")
	@Column(value = "shipper_memo")
	private String shipperMemo;

	@ApiModelProperty(value = "始发地")
	@Column(value = "shipper_province_city_district")
	private String shipperProvinceCityDistrict;

	@ApiModelProperty(value = "收货方类型 数据字典CONSIGNEE_TYPE:1客户 2仓库 3供应商")
	@Column(value = "consignee_type")
	private Integer consigneeType;

	@ApiModelProperty(value = "收货方单位ID")
	@Column(value = "consignee_unit_id")
	private Long consigneeUnitId;

	@ApiModelProperty(value = "收货方单位编码")
	@Column(value = "consignee_unit_code")
	private String consigneeUnitCode;

	@ApiModelProperty(value = "收货方单位名称")
	@Column(value = "consignee_unit_name")
	private String consigneeUnitName;

	@ApiModelProperty(value = "收货方ID")
	@Column(value = "consignee_id")
	private Long consigneeId;

	@ApiModelProperty(value = "收货方编码")
	@Column(value = "consignee_code")
	private String consigneeCode;

	@ApiModelProperty(value = "收货方名称")
	@Column(value = "consignee_name")
	private String consigneeName;

	@ApiModelProperty(value = "收货方联系人")
	@Column(value = "consignee_contact")
	private String consigneeContact;

	@ApiModelProperty(value = "收货方手机号")
	@Column(value = "consignee_phone_number")
	private String consigneePhoneNumber;

	@ApiModelProperty(value = "收货方座机号")
	@Column(value = "consignee_landline_number")
	private String consigneeLandlineNumber;

	@ApiModelProperty(value = "收货方邮箱")
	@Column(value = "consignee_email")
	private String consigneeEmail;

	@ApiModelProperty(value = "收货方关联手机号")
	@Column(value = "consignee_related_phone_number")
	private String consigneeRelatedPhoneNumber;

	@ApiModelProperty(value = "收货方省编码")
	@Column(value = "consignee_province")
	private String consigneeProvince;

	@ApiModelProperty(value = "收货方省名称")
	@Column(value = "consignee_province_name")
	private String consigneeProvinceName;

	@ApiModelProperty(value = "收货方市编码")
	@Column(value = "consignee_city")
	private String consigneeCity;

	@ApiModelProperty(value = "收货方市名称")
	@Column(value = "consignee_city_name")
	private String consigneeCityName;

	@ApiModelProperty(value = "收货方区/县编码")
	@Column(value = "consignee_district")
	private String consigneeDistrict;

	@ApiModelProperty(value = "收货方区/县名称")
	@Column(value = "consignee_district_name")
	private String consigneeDistrictName;

	@ApiModelProperty(value = "收货方详细地址")
	@Column(value = "consignee_address")
	private String consigneeAddress;

	@ApiModelProperty(value = "收货方经度")
	@Column(value = "consignee_longitude")
	private BigDecimal consigneeLongitude;

	@ApiModelProperty(value = "收货方纬度")
	@Column(value = "consignee_latitude")
	private BigDecimal consigneeLatitude;

	@ApiModelProperty(value = "收货方备注")
	@Column(value = "consignee_memo")
	private String consigneeMemo;

	@ApiModelProperty(value = "目的地")
	@Column(value = "consignee_province_city_district")
	private String consigneeProvinceCityDistrict;

	@ApiModelProperty(value = "回单图片 数据字典WHETHER:0否，1是")
	@Column(value = "consignee_return_order_picture")
	private Integer consigneeReturnOrderPicture;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "字符扩展1")
	@Column(value = "ext_str1")
	private String extStr1;

	@ApiModelProperty(value = "字符扩展2")
	@Column(value = "ext_str2")
	private String extStr2;

	@ApiModelProperty(value = "字符扩展3")
	@Column(value = "ext_str3")
	private String extStr3;

	@ApiModelProperty(value = "字符扩展4")
	@Column(value = "ext_str4")
	private String extStr4;

	@ApiModelProperty(value = "字符扩展5")
	@Column(value = "ext_str5")
	private String extStr5;

	@ApiModelProperty(value = "数值属性扩展1")
	@Column(value = "ext_num1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	@Column(value = "ext_num2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	@Column(value = "ext_num3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	@Column(value = "ext_num4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	@Column(value = "ext_num5")
	private BigDecimal extNum5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展1")
	@Column(value = "ext_date1")
	private Date extDate1;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展2")
	@Column(value = "ext_date2")
	private Date extDate2;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展3")
	@Column(value = "ext_date3")
	private Date extDate3;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展4")
	@Column(value = "ext_date4")
	private Date extDate4;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展5")
	@Column(value = "ext_date5")
	private Date extDate5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "总件数")
	@Column(value = "total_pcs")
	private BigDecimal totalPcs;

	@ApiModelProperty(value = "总体积")
	@Column(value = "total_volume")
	private BigDecimal totalVolume;

	@ApiModelProperty(value = "总重量")
	@Column(value = "total_weight")
	private BigDecimal totalWeight;

	@ApiModelProperty(value = "运单状态 数据字典SHIPBILL_STATUS:0已作废 10初始化 20已提交 5已回退")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "来源 数据字典SOURCE 1.新增 2.excel导入 3.接口导入")
	@Column(value = "source")
	private Integer source;

	@ApiModelProperty(value = "承运方(调度)类型 数据字典LINE_CARRIER_TYPE:1.承运商  2.司机")
	@Column(value = "carrier_type")
	private Integer carrierType;

	@ApiModelProperty(value = "承运商ID")
	@Column(value = "carrier_id")
	private Long carrierId;

	@ApiModelProperty(value = "承运商编码")
	@Column(value = "carrier_code")
	private String carrierCode;

	@ApiModelProperty(value = "承运商名称")
	@Column(value = "carrier_name")
	private String carrierName;

	@ApiModelProperty(value = "司机ID")
	@Column(value = "driver_id")
	private Long driverId;

	@ApiModelProperty(value = "司机编号")
	@Column(value = "driver_code")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	@Column(value = "driver_name")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	@Column(value = "driver_phone_number")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "车型ID")
	@Column(value = "vehicle_type_id")
	private Long vehicleTypeId;

	@ApiModelProperty(value = "车型编号")
	@Column(value = "vehicle_type_code")
	private String vehicleTypeCode;

	@ApiModelProperty(value = "车型名称")
	@Column(value = "vehicle_type_name")
	private String vehicleTypeName;

	@ApiModelProperty(value = "车型")
	@Column(value = "vehicle_type")
	private String vehicleType;

	@ApiModelProperty(value = "配载重量装载率")
	@Column(value = "weight_loading_rate")
	private String weightLoadingRate;

	@ApiModelProperty(value = "隶属机构ID")
	@Column(value = "affiliation_id")
	private Long affiliationId;

	@ApiModelProperty(value = "隶属机构编码")
	@Column(value = "affiliation_code")
	private String affiliationCode;

	@ApiModelProperty(value = "隶属机构名称")
	@Column(value = "affiliation_name")
	private String affiliationName;

	@ApiModelProperty(value = "所属组织ID")
	@Column(value = "organization_id")
	private Long organizationId;

	@ApiModelProperty(value = "所属组织编码")
	@Column(value = "organization_code")
	private String organizationCode;

	@ApiModelProperty(value = "所属组织名称")
	@Column(value = "organization_name")
	private String organizationName;

	@ApiModelProperty(value = "启运日期")
	@Column(value = "start_date")
	private Date startDate;

	@ApiModelProperty(value = "送达日期")
	@Column(value = "delivery_date")
	private Date deliveryDate;

	@ApiModelProperty(value = "回单日期")
	@Column(value = "receipt_date")
	private Date receiptDate;

	@ApiModelProperty(value = "正本回单日期")
	@Column(value = "original_back_date")
	private Date originalBackDate;

	@ApiModelProperty(value = "完成日期")
	@Column(value = "complete_date")
	private Date completeDate;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "branch_id")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	@Column(value = "branch_code")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	@Column(value = "branch_name")
	private String branchName;

	@ApiModelProperty(value = "扫描状态 数据字典SCAN_STATUS:10初始 20已装车扫描")
	@Column(value = "scan_status")
	private Integer scanStatus;

	@ApiModelProperty(value = "配送状态 数据字典DELIVERY_STATUS:10配送失败 20配送滞留 30配送成功")
	@Column(value = "delivery_status")
	private Integer deliveryStatus;

	@ApiModelProperty(value = "流程配置 Add新增,AddCommit新增提交,Commit提交,CommitReview提交审核,Review审核," + "ReviewDispatch匹配唯一承运方自动调度,Dispatch调度,DispatchCheck调度后自动审核,Check调度审核,Appointment预约," + "ArrangeGoods理货,LoadUnLoad装卸,Scanning装车扫描,SendOff启运登记,ArriveConfirm送达确认")
	@Column(value = "flow_config")
	private String flowConfig;

	@ApiModelProperty(value = "流程配置 接单Receive,接单后自动提交ReceiveCommit,承运商是否开启接单拒绝RejectReceive,Commit提交,CommitReview提交审核,Review审核," + "ReviewDispatch匹配唯一承运方自动调度,Dispatch调度,DispatchCheck调度后自动审核,Check调度审核,Appointment预约," + "ArrangeGoods理货,LoadUnLoad装卸,Scanning装车扫描,SendOff启运登记,ArriveConfirm送达确认")
	@Column(value = "carrier_flow_config")
	private String carrierFlowConfig;

	@ApiModelProperty(value = "运费")
	@Column(value = "transportation_price")
	private BigDecimal transportationPrice;

	@ApiModelProperty(value = "提货费")
	@Column(value = "pick_up_fee")
	private BigDecimal pickUpFee;

	@ApiModelProperty(value = "支出总价 类型为支出的含税金额")
	@Column(value = "pay_amount")
	private BigDecimal payAmount;

	@ApiModelProperty(value = "合同支出总价 类型为支出的来源是价格表生成 含税金额")
	@Column(value = "contract_pay_amount")
	private BigDecimal contractPayAmount;

	@ApiModelProperty(value = "计费时间")
	@Column(value = "cost_date")
	private Date costDate;

	@ApiModelProperty(value = "计费合同")
	@Column(value = "cost_contract")
	private String costContract;

	@ApiModelProperty(value = "计费状态 1：计费成功，2：计费失败" )
	@Column(value = "cost_status")
	private Integer costStatus;

	@ApiModelProperty(value = "计费失败原因")
	@Column(value = "cost_fail_reason")
	private String costFailReason;

	@ApiModelProperty(value = "疫情补贴")
	@Column(value = "subsidies")
	private BigDecimal subsidies;

	@ApiModelProperty(value = "送货费")
	@Column(value = "delivery_fee")
	private BigDecimal deliveryFee;

	@Column(value = "settlement_status")
	@ApiModelProperty(value = "核算状态 0:未核算，1：核算待提交，2：核算审批中，3:核算完成 ")
	private Integer settlementStatus;

	@ApiModelProperty(value = "导入批次号")
	@Column(value = "import_batch_number")
	private String importBatchNumber;

	@ApiModelProperty(value = "车辆ID")
	@Column(value = "vehicle_id")
	private Long vehicleId;

	@ApiModelProperty(value = "车辆编号")
	@Column(value = "vehicle_code")
	private String vehicleCode;

	@ApiModelProperty(value = "车辆名称")
	@Column(value = "vehicle_name")
	private String vehicleName;

	@ApiModelProperty(value = "同步状态")
	@Column(value = "synchronous_status")
	private Integer synchronousStatus;

	@ApiModelProperty(value = "同步时间")
	@Column(value = "synchronous_date")
	private Date synchronousDate;

	@ApiModelProperty(value = "同步失败原因")
	@Column(value = "synchronous_fail_reason")
	private String synchronousFailReason;

	@ApiModelProperty(value = "运单状态")
	@Column(value = "ship_bill_status")
	private Integer shipBillStatus;

	@ApiModelProperty(value = "异常状态 0:非异常 1:异常")
	@Column(value = "abnormal_status")
	private Integer abnormalStatus;

	@ApiModelProperty(value = "下单时间")
	@Column(value = "order_date")
	private Date orderDate;

	@ApiModelProperty(value = "提交时间")
	@Column(value = "submit_date")
	private Date submitDate;

	@ApiModelProperty(value = "审核时间")
	@Column(value = "audit_date")
	private Date auditDate;

	@ApiModelProperty(value = "调度时间")
	@Column(value = "loading_date")
	private Date loadingDate;

	@ApiModelProperty(value = "调度审核时间")
	@Column(value = "loading_audit_date")
	private Date loadingAuditDate;

	@ApiModelProperty(value = "完成时间")
	@Column(value = "completion_date")
	private Date completionDate;

	@ApiModelProperty(value = "总里程")
	@Column(value = "total_mileage")
	private BigDecimal totalMileage;

	@ApiModelProperty(value = "核算时间")
	@Column(value = "settlement_date")
	private Date settlementDate;

	@ApiModelProperty(value = "结算公司")
	@Column(value = "settlement_company")
	private String settlementCompany;

	@ApiModelProperty(value = "结算公司id")
	@Column(value = "settlement_company_id")
	private String settlementCompanyId;

	@ApiModelProperty(value = "结算公司编码")
	@Column(value = "settlement_company_code")
	private String settlementCompanyCode;

	@ApiModelProperty(value = "结算部门")
	@Column(value = "settlement_department")
	private String settlementDepartment;

	@ApiModelProperty(value = "结算部门ID")
	@Column(value = "settlement_department_id")
	private String settlementDepartmentId;

	@ApiModelProperty(value = "结算部门编码")
	@Column(value = "settlement_department_code")
	private String settlementDepartmentCode;

	@ApiModelProperty(value = "运输时效")
	@Column(value = "transport_aging")
	private BigDecimal transportAging;

	@ApiModelProperty(value = "拼箱数")
	@Column(value = "package_lcl_piece")
	private BigDecimal packageLclPiece;

	@ApiModelProperty(value = "包裹总重量")
	@Column(value = "package_total_weight")
	private BigDecimal packageTotalWeight;

	@ApiModelProperty(value = "包裹总体积")
	@Column(value = "package_total_volume")
	private BigDecimal packageTotalVolume;

	@ApiModelProperty(value = "包裹整件数")
	@Column(value = "package_whole_piece")
	private BigDecimal packageWholePiece;

	@ApiModelProperty(value = "送货员姓名")
	@Column(value = "delivery_name")
	private String deliveryName;

	@ApiModelProperty(value = "送货员电话")
	@Column(value = "delivery_tel")
	private String deliveryTel;

	@ApiModelProperty(value = "配送站点ID")
	@Column(value = "delivery_station_id")
	private Long deliveryStationId;

	@ApiModelProperty(value = "配送站点编号")
	@Column(value = "delivery_station_code")
	private String deliveryStationCode;

	@ApiModelProperty(value = "配送站点名称")
	@Column(value = "delivery_station_name")
	private String deliveryStationName;

	@ApiModelProperty(value = "配送区域")
	@Column(value = "delivery_areas")
	private String deliveryAreas;

	@ApiModelProperty(value = "线路ID")
	@Column(value = "line_id")
	private Long lineId;

	@ApiModelProperty(value = "线路编码")
	@Column(value = "line_code")
	private String lineCode;

	@ApiModelProperty(value = "线路名称")
	@Column(value = "line_name")
	private String lineName;

	@ApiModelProperty(value = "支出件数")
	@Column(value = "total_pay_pcs")
	private BigDecimal totalPayPcs;

	@ApiModelProperty(value = "支出体积")
	@Column(value = "total_pay_volume")
	private BigDecimal totalPayVolume;

	@ApiModelProperty(value = "支出重量")
	@Column(value = "total_pay_weight")
	private BigDecimal totalPayWeight;

	@ApiModelProperty(value = "支出计费类型 10:按运单计费  20:按派车单计费 30:未匹配到价格")
	@Column(value = "pay_fee_clt_type")
	private Integer payFeeCltType;

	@ApiModelProperty(value = "支出里程")
	@Column(value = "total_pay_mileage")
	private BigDecimal totalPayMileage;

	@ApiModelProperty(value = "承运商类型 数据字典CARRIERS_TYPE:1.三方快递  2.三方物流")
	@Column(value = "carriers_type")
	private Integer carriersType;

	@ApiModelProperty(value = "承运商ID")
	@Column(value = "carriers_id")
	private Long carriersId;

	@ApiModelProperty(value = "承运商编码")
	@Column(value = "carriers_code")
	private String carriersCode;

	@ApiModelProperty(value = "承运商名称")
	@Column(value = "carriers_name")
	private String carriersName;
}
