package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Table(value = "bms_expense_management")
public class ExpenseManagementModel implements Serializable {

	private static final long serialVersionUID = 4833885083680808283L;

	@ApiModelProperty(value = "ID")
	@Id
	@Column(value = "ID")
	private Long id;

	@Column(value = "EXPENSE_CODE")
	@ApiModelProperty(value = "费用编码")
	private String expenseCode;

	@Column(value = "EXPENSE_NAME")
	@ApiModelProperty(value = "费用名称")
	private String expenseName;

	@Column(value = "expense_type")
	@ApiModelProperty(value = "费用类别")
	private int expenseType;

	@Column(value = "EXPENSE_ACCOUNT_CODE")
	@ApiModelProperty(value = "费用科目编码")
	private String expenseAccountCode;

	@Column(value = "EXPENSE_ACCOUNT_NAME")
	@ApiModelProperty(value = "费用科目名称")
	private String expenseAccountName;

	@Column(value = "STATUS")
	@ApiModelProperty(value = "状态")
	private int status;

	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "扩展字段3")
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "扩展字段4")
	@Column(value = "attr_str4")
	private String attrStr4;

	@ApiModelProperty(value = "扩展字段5")
	@Column(value = "attr_str5")
	private String attrStr5;

	@Column(value = "CREATEPERSON")
	@ApiModelProperty(value = "创建人")
	private String createperson;

	@Column(value = "CREATETIME")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@Column(value = "UPDATEPERSON")
	@ApiModelProperty(value = "最后修改人")
	private String updateperson;

	@Column(value = "UPDATETIME")
	@ApiModelProperty(value = "最后修改时间")
	private Date updatetime;

	@Column(value = "enterprise_id")
	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@Column(value = "enterprise_name")
	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;
}