package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;


@Data
public class BmsMergeStrategyVO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @NotEmpty(message = "策略名称不能为空")
    @ApiModelProperty(value = "策略名称")
    private String strategyName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "策略状态")
    private int status;

    @ApiModelProperty(value = "计费规则")
    private Integer feeRule;

    @ApiModelProperty(value = "相同实际启运日期 1：是，0：否")
    private Integer isSameStartDate;

    @ApiModelProperty(value = "相同运输车辆")
    private Integer isSameCar;

    @ApiModelProperty(value = "相同运输司机")
    private Integer isSameDriver;

    @ApiModelProperty(value = "相同发货方")
    private Integer isSameSender;

    @ApiModelProperty(value = "相同收货方")
    private Integer isSameReceive;

    @ApiModelProperty(value = "相同实际送达日期")
    private Integer isSameEndDate;

    @ApiModelProperty(value = "相同电子回单日期")
    private Integer isSameElectronicBackDate;

    @ApiModelProperty(value = "相同正本回单日期")
    private Integer isSameOriginalBackDate;

    @ApiModelProperty(value = "相同承运商")
    private Integer isSameCarrier;

    @ApiModelProperty(value = "相同配送区域")
    private Integer isSameDeliveryArea;

    @ApiModelProperty(value = "相同送货站点")
    private Integer isSameDeliveryStation;

    @ApiModelProperty(value = "相同线路")
    private Integer isSameLine;

    @ApiModelProperty(value = "相同货主")
    private Integer isSameCargoOwner;
}