package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;


@Data
public class BmsTimeStrategyVO implements Serializable {

    @ApiModelProperty(value = "ID")
    private String id;

    @NotEmpty(message = "策略名称不能为空")
    @ApiModelProperty(value = "策略名称")
    private String strategyName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "策略状态 OMS_STATUS")
    private int status;

    @ApiModelProperty(value = "开始时间 OMS_START_DATE_STRATEGY")
    private int startDate;

    @ApiModelProperty(value = "结束时间 OMS_END_DATE_STRATEGY")
    private int endDate;

    @ApiModelProperty(value = "时间精度")
    private Integer timePrecision;

    @ApiModelProperty(value = "时间取整")
    private Integer timeInteger;

    @ApiModelProperty(value = "是否启用阶梯时间换算 0:不启用 1:启用")
    private Integer timeLadderEnable;

    @ApiModelProperty(value = "策略时间阶梯")
    List<BmsTimeStrategyLadderVO> timeStrategyLadderVOS;

}