package com.prolog.rdc.tms.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.List;

/**
 *
 * 司机台账VO
 *
 * @className    :DriverledgerBillPageVO
 * @author       :fanzw
 * @date         :2023/4/25
 * @description  :
 *
 * @version      :1.2.1
 *
 */
@Data
public class DriverledgerBillPageVO implements Serializable {

    private static final long serialVersionUID = 5928288072491739305L;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "页数")
    private Integer pageSize;

    @ApiModelProperty(value = "货主名称")
    private String cargoOwnerName;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "派车单号")
    private String loadingBillNo;

    @ApiModelProperty(value = "派车单号")
    private List<String> loadingBillNos;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建开始日期")
    private String startDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建结束日期")
    private String endDate;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "部门IDs")
    private String[] settlementDepartmentTds;

}