package com.prolog.rdc.tms.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import com.prolog.product.core.easyexcel.support.DropdownPropExtConverter;
import com.prolog.product.core.easyexcel.util.ValidationCellEnum;
import lombok.Data;
import org.apache.poi.ss.usermodel.IndexedColors;

import java.io.Serializable;

@Data
public class ExpenseAccountImportVO implements Serializable {

    @ValidationPropertyExt(headFontColor = IndexedColors.RED)
    @ExcelProperty(value = "费用科目编码(必填)")
    private String expenseCode;

    @ValidationPropertyExt(headFontColor = IndexedColors.RED)
    @ExcelProperty(value = "费用科目名称(必填)")
    private String expenseName;

    @ExcelProperty(value = "费用分类", converter = DropdownPropExtConverter.class)
    @ValidationPropertyExt(dropdownValues = { "1", "2" }, dropdownNames = { "收入", "支出"}, cellType = ValidationCellEnum.LIST)
    private String expenseClassify;
}