package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;


@Data
public class ExpenseManagementVO implements Serializable {

    private Long id;

    @NotEmpty(message = "费用编码不能为空")
    @ApiModelProperty(value = "费用编码")
    private String expenseCode;

    @NotEmpty(message = "费用名称不能为空")
    @ApiModelProperty(value = "费用名称")
    private String expenseName;

    @NotEmpty(message = "费用科目不能为空")
    @ApiModelProperty(value = "费用科目编码")
    private String expenseAccountCode;

    @NotEmpty(message = "费用科目不能为空")
    @ApiModelProperty(value = "费用科目名称")
    private String expenseAccountName;

    @ApiModelProperty(value = "费用分类 1：收入，2：支出")
    private int expenseClassify;
}