package com.prolog.rdc.tms.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import com.prolog.product.core.easyexcel.support.DropdownPropExtConverter;
import com.prolog.product.core.easyexcel.util.ValidationCellEnum;
import lombok.Data;
import org.apache.poi.ss.usermodel.IndexedColors;

import java.io.Serializable;

@Data
public class SettlementFeeImportVO implements Serializable {

    @ValidationPropertyExt(headFontColor = IndexedColors.RED)
    @ExcelProperty(value = "结算编码(必填)")
    private String accountWayCode;

    @ValidationPropertyExt(headFontColor = IndexedColors.RED)
    @ExcelProperty(value = "结算名称(必填)")
    private String accountWayName;

    @ExcelProperty(value = "结算类型", converter = DropdownPropExtConverter.class)
    @ValidationPropertyExt(dropdownValues = { "1", "2" }, dropdownNames = { "收入", "支出"}, cellType = ValidationCellEnum.LIST)
    private String accountType;
}