package com.prolog.rdc.tms.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


@Data
public class ShipbillNodeTrackingSaveNewVO implements Serializable {

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @ApiModelProperty(value = "运单状态 数据字典SHIPBILL_STATUS:0已作废 10初始化 20已提交 5已回退")
    private Integer status;

    @ApiModelProperty(value = "节点事件")
    private String nodeEvent;

    @ApiModelProperty(value = "承运方运单调度状态 数据字典CARRIER_SHIPBILL_STATUS:10待接单 20已接单 30已提交 5已回退 40已审核 50已调度")
    private Integer carrierShipbillStatus;

    @ApiModelProperty(value = "图片地址")
    private String picUrl;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "节点时间")
    private Date nodeDate;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

}