package com.prolog.rdc.tms.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


@Data
public class ShipbillOperateLogSaveNewVO implements Serializable {

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @ApiModelProperty(value = "操作事件")
    private String operateEvent;

    @ApiModelProperty(value = "原运单状态 数据字典SHIPBILL_STATUS:0已作废 10初始化 20已提交 5已回退")
    private Integer oldStatus;

    @ApiModelProperty(value = "新运单状态 数据字典SHIPBILL_STATUS:0已作废 10初始化 20已提交 5已回退")
    private Integer newStatus;

    @ApiModelProperty(value = "原承运方运单调度状态 数据字典CARRIER_SHIPBILL_STATUS:10待接单 20已接单 30已提交 5已回退 40已审核 50已调度")
    private Integer oldCarrierShipbillStatus;

    @ApiModelProperty(value = "新承运方运单调度状态 数据字典CARRIER_SHIPBILL_STATUS:10待接单 20已接单 30已提交 5已回退 40已审核 50已调度")
    private Integer newCarrierShipbillStatus;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "操作时间")
    private Date operateDate;

    @ApiModelProperty(value = "操作用户ID")
    private Long userId;

    @ApiModelProperty(value = "操作用户名称")
    private String userName;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

}