package com.prolog.rdc.tms.model.vo.carrier.settlement;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/6/30
 */
@Data
public class CarrierSettlementManagementUpdateVO {

    @NotNull
    @ApiModelProperty(value = "id")
    private Long id;

    @NotBlank
    @ApiModelProperty(value = "结算周期")
    private String settlementCycle;

    @ApiModelProperty(value = "挂账结束日期")
    private Date accountEndDate;

    @ApiModelProperty(value = "开票结束日期")
    private Date invoiceEndDate;

    @ApiModelProperty(value = "税点")
    private String taxPoint;

    @ApiModelProperty(value = "备注")
    private String memo;

    @NotEmpty
    @ApiModelProperty(value = "费用明细id集合")
    private List<Long> feeDetailIdList;
}
