package com.prolog.rdc.tms.model.vo.income;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author
 * @date 2023/4/14
 */
@Data
public class ArReconciliationLoadingVO {

    @ApiModelProperty(value = "货主名称")
    private String cargoOwnerName;

    @ApiModelProperty(value = "承运商名称")
    private String carrierName;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "派车单编号")
    private String loadingBillNo;

    @ApiModelProperty(value = "页码")
    @NotNull(message = "页码不能为空")
    private Integer pageNum;

    @ApiModelProperty(value = "页数")
    @NotNull(message = "页数不能为空")
    private Integer pageSize;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建开始日期")
    private Date createStartDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建结束日期")
    private Date createEndDate;

    @ApiModelProperty(value = "部门ID", hidden=true)
    private String[]  departmentIds;

    @ApiModelProperty(value = "是否部门权限", hidden=true)
    private String isDept;

    @ApiModelProperty(value = "用户类型", hidden=true)
    private String userType;

    @ApiModelProperty(value = "企业ID", hidden=true)
    private Long enterpriseId;
}
