package com.prolog.rdc.tms.model.vo.income;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author hongbo.pan
 * @date 2023/4/17
 */
@Data
public class BmsIncomeFeeDetailAddVO {

    @NotBlank
    @ApiModelProperty(value = "费用编码")
    private String expenseCode;

    @ApiModelProperty(value = "费用名称")
    private String expenseName;

    @NotNull
    @ApiModelProperty(value = "费用类别")
    private Integer expenseType;

    @ApiModelProperty(value = "费用类型名称")
    private String expenseTypeName;

    @NotBlank
    @ApiModelProperty(value = "费用科目编码")
    private String expenseAccountCode;

    @ApiModelProperty(value = "费用科目名称")
    private String expenseAccountName;

    @ApiModelProperty(value = "金额")
    private BigDecimal amount;

    @NotBlank
    @ApiModelProperty(value = "税点")
    private String taxPoint;

    @ApiModelProperty(value = "1:含税，0：不含税")
    private Integer isPreTax;

    @ApiModelProperty(value = "费用说明")
    private String memo;

    @ApiModelProperty(value = "无税金额")
    private BigDecimal noTaxAmt;

    @ApiModelProperty(value = "税额")
    private BigDecimal tax;

    @NotNull
    @ApiModelProperty(value = "含税金额")
    private BigDecimal taxAmt;

    @NotNull
    @ApiModelProperty(value = "分摊到每一单 1：是，0：否")
    private Integer isShare;

}
