package com.prolog.rdc.tms.model.vo.settlement.income;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;

/**
 *
 * 收入结算派车单台账VO
 *
 * @className    :DriverledgerBillPageVO
 * @author       :fanzw
 * @date         :2023/4/25
 * @description  :
 *
 * @version      :1.2.1
 *
 */
@Data
public class IncomeFeeSettlementPageVO {

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "页数")
    private Integer pageSize;

    @ApiModelProperty(value = "货主名称")
    private String cargoOwnerName;

    @ApiModelProperty(value = "承运商名称")
    private String carrierName;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "派车单号")
    private String loadingBillNo;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建开始日期")
    private String createStartDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建结束日期")
    private String createEndDate;

    @ApiModelProperty(value = "企业ID", hidden = true)
    private Long enterpriseId;

    @ApiModelProperty(value = "部门IDs", hidden = true)
    private List<String> settlementDepartmentTds;

    @ApiModelProperty(value = "排除费用id集合", hidden = true)
    private List<Long> excludeFeeIdList;

    @ApiModelProperty(value = "包含费用id集合", hidden = true)
    private List<Long> includeFeeIdList;
}