package com.prolog.rdc.tms.model.vo.shipbill;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author hongbo.pan
 */
@Data
public class BmsShipBillItemVO {

    @ApiModelProperty(value = "明细ID")
    private Long id;

    @ApiModelProperty(value = "仓库ID")
    private Long branchId;

    @ApiModelProperty(value = "仓库编码")
    private String branchCode;

    @ApiModelProperty(value = "仓库名称")
    private String branchName;

    @ApiModelProperty(value = "明细行号")
    private Integer seqno;

    @NotNull
    @ApiModelProperty(value = "商品ID")
    private Long itemId;

    @ApiModelProperty(value = "商品编码")
    private String itemCode;

    @ApiModelProperty(value = "商品名称")
    private String itemName;

    @ApiModelProperty(value = "商品品类ID")
    private Long itemCategoryId;

    @ApiModelProperty(value = "商品品类编码")
    private String itemCategoryCode;

    @ApiModelProperty(value = "商品品类名称")
    private String itemCategoryName;

    @ApiModelProperty(value = "包装类型  数据字典PACK_TYPE:1纸箱  2包装袋")
    private Integer packType;

    @ApiModelProperty(value = "包装类型  数据字典PACK_TYPE:1纸箱  2包装袋")
    private String packTypeName;

    @ApiModelProperty(value = "货物温层  数据字典CARGO_THERMOSPHERE:1常温 2冷藏 3冷冻")
    private Integer cargoThermosphere;

    @NotNull
    @ApiModelProperty(value = "件数")
    private BigDecimal pcs;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "库存件数")
    private Integer inventoryPcs;

    @ApiModelProperty(value = "暂存位")
    private String stagingLocation;

    @ApiModelProperty(value = "支出件数")
    private BigDecimal payPcs;

    @ApiModelProperty(value = "支出体积")
    private BigDecimal payVolume;

    @ApiModelProperty(value = "支出重量")
    private BigDecimal payWeight;

}