package com.prolog.rdc.tms.service;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.income.BmsBillIncomeFeeDetailDTO;
import com.prolog.rdc.tms.model.dto.income.BmsBillIncomeFeeInfoDTO;
import com.prolog.rdc.tms.model.dto.income.BmsLoadingBillIncomeFeeInfoDTO;
import com.prolog.rdc.tms.model.dto.income.BmsLoadingBillIncomeFeeDTO;
import com.prolog.rdc.tms.model.dto.income.BmsShipBillIncomeFeeInfoDTO;
import com.prolog.rdc.tms.model.dto.income.BmsShipBillIncomeFeeDTO;
import com.prolog.rdc.tms.model.dto.shipbill.BmsLogOperationDTO;
import com.prolog.rdc.tms.model.dto.shipbill.BmsShipBillDTO;
import com.prolog.rdc.tms.model.dto.shipbill.BmsShipBillDetailDTO;
import com.prolog.rdc.tms.model.dto.shipbill.BmsShipBillPackageDTO;
import com.prolog.rdc.tms.model.entity.BmsBillIncomeFeeDetailModel;
import com.prolog.rdc.tms.model.entity.BmsBillIncomeFeeHeaderModel;
import com.prolog.rdc.tms.model.vo.income.BmsIncomeFeeAddVO;
import com.prolog.rdc.tms.model.vo.income.BmsIncomeQueryVO;

import java.util.List;

/**
 * @author hongbo.pan
 */
public interface BmsBillIncomeFeeService {

    /**
     * findShipBillFee
     * @param vo
     * @return
     */
    Page<BmsShipBillIncomeFeeDTO> findShipBillFee(BmsIncomeQueryVO vo);

    /**
     * findLoadingBillFee
     * @param vo
     * @return
     */
    Page<BmsLoadingBillIncomeFeeDTO> findLoadingBillFee(BmsIncomeQueryVO vo);

    /**
     * detailById
     * @param id
     * @return
     */
    BmsBillIncomeFeeInfoDTO detailById(Long id);

    /**
     * detailShipBillById
     * @param id
     * @return
     */
    BmsShipBillIncomeFeeInfoDTO detailShipBillById(Long id);

    /**
     * detailLoadingBillById
     * @param id
     * @return
     */
    BmsLoadingBillIncomeFeeInfoDTO detailLoadingBillById(Long id);

    /**
     * getDetail
     * @param id
     * @return
     */
    List<BmsBillIncomeFeeDetailDTO> getDetail(Long id);

    /**
     * getLog
     * @param id
     * @return
     */
    List<BmsLogOperationDTO> getLog(Long id);

    /**
     * addFee
     * @param vo
     * @return
     */
    void addFee(BmsIncomeFeeAddVO vo);

    /**
     * getShipBill
     * @param id
     * @return
     */
    List<BmsShipBillDTO> getShipBill(Long id);

    /**
     * getItem
     * @param id
     * @return
     */
    List<BmsShipBillDetailDTO> getItem(Long id);

    /**
     * getPackage
     * @param id
     * @return
     */
    List<BmsShipBillPackageDTO> getPackage(Long id);

    /**
     * getAudit
     * @param id
     * @return
     */
    List<Object> getAudit(Long id);

    /**
     * 提交
     * @param idList
     */
    void submit(List<Long> idList);

    /**
     * findDetailModel
     * @param headerModel
     * @return
     */
    List<BmsBillIncomeFeeDetailModel> findDetailModel(BmsBillIncomeFeeHeaderModel headerModel);

}
