package com.prolog.rdc.tms.service;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.income.BmsLoadingBillIncomeFeeDTO;
import com.prolog.rdc.tms.model.entity.BmsIncomeSettlementModel;
import com.prolog.rdc.tms.model.vo.settlement.income.BmsIncomeFeeSettlementVO;
import com.prolog.rdc.tms.model.vo.settlement.income.IncomeFeeSettlementPageVO;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/5/4
 */
public interface BmsIncomeFeeSettlementService {

    /**
     * 收入结算派车单查询
     *
     * @param vo
     * @return Page<BmsLoadingBillIncomeFeeDTO>
     */
    Page<BmsLoadingBillIncomeFeeDTO> findLoadingBillIncomeFeeForSettlement(IncomeFeeSettlementPageVO vo);

    /**
     * 费用结算
     * @param vo
     */
    void feeSettlement(BmsIncomeFeeSettlementVO vo);

    /**
     * initIncomeSettlement
     * @param feeIdList
     * @return
     */
    BmsIncomeSettlementModel initIncomeSettlement(List<Long> feeIdList);

}
