package com.prolog.rdc.tms.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.prolog.framework.common.message.RestMessage;
import com.prolog.framework.log.aop.annotation.UserLog;
import com.prolog.rdc.tms.service.LoadingBillService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @author hongbo.pan
 * @date 2022/9/29
 */
@RestController
@Api(tags = "派车单")
@RequestMapping("/loadingBill")
public class LoadingBillController {

	@Autowired
	private LoadingBillService loadingBillService;

	@UserLog("更新派车单站点数")
	@ApiOperation(value = "更新派车单站点数", notes = "更新派车单站点数")
	@PostMapping("/updateStationByLoadingBillIdList")
	public RestMessage<Object> updateStationByLoadingBillIdList(@RequestBody List<String> loadingBillIdList) {
		loadingBillService.updateStationByLoadingBillIdList(loadingBillIdList);
		return RestMessage.newInstance(true, "操作成功！", null);
	}
}
