package com.prolog.rdc.tms.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 运输管理——运单异常查询DTO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("运单异常查询DTO")
public class AbnormalShipbillDTO implements Serializable {

    private static final long serialVersionUID = 143259325234539797L;

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(value = "abnormal_time")
    private Date abnormalTime;

    @ApiModelProperty(value = "异常类型 数据字典 ABNORMAL_TYPE：10货物异常 20单据异常")
    private Integer abnormalType;

    @ApiModelProperty(value = "异常类型名称")
    private String abnormalTypeName;

    @ApiModelProperty(value = "异常状态 数据字典 ABNORMAL_STATUS：0未异常 10异常 20异常关闭")
    private Integer abnormalStatus;

    @ApiModelProperty(value = "异常状态 数据字典 ABNORMAL_STATUS：0未异常 10异常 20异常关闭")
    private String abnormalStatusNanme;

    @ApiModelProperty(value = "异常事件 数据字典 ABNORMAL_EVENT：10货物缺失 20货物破损")
    private String abnormalEventName;

    @ApiModelProperty(value = "异常事件 数据字典 ABNORMAL_EVENT：10货物缺失 20货物破损")
    private Integer abnormalEvent;

    @ApiModelProperty(value = "客户投诉")
    private String abnormalComplainName;

    @ApiModelProperty(value = "客户投诉")
    private Integer abnormalComplain;

    @ApiModelProperty(value = "异常内容")
    private String abnormalContent;

    @ApiModelProperty(value = "异常图片")
    private String abnormalPhoto;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "异常关闭时间")
    private Date abnormalCloseTime;
}
