package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.alibaba.excel.annotation.ExcelProperty;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 运输管理——所有运单导出DTO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("所有运单导出DTO")
public class AllShipbillExportDTO implements Serializable {

	private static final long serialVersionUID = -6352926643183677451L;

	@ExcelProperty(value = "运单号")
	private String shipbillNo;

	@ExcelProperty(value = "货主")
	private String cargoOwnerName;

	@ExcelProperty(value = "订单号")
	private String orderNo;

	@ExcelProperty(value = "WMS单号")
	private String wmsOrderNo;

	@ExcelProperty(value = "所属部门")
	private String departmentName;

	@ExcelProperty(value = "运单状态")
	private String statusName;

	@ExcelProperty(value = "运输状态")
	private String transportStatusName;

	@ExcelProperty(value = "异常状态")
	private String abnormalStatusName;

	@ExcelProperty(value = "扫描状态")
	private String scanStatusName;

	@ExcelProperty(value = "承运方类型")
	private String carrierTypeName;

	@ExcelProperty(value = "承运商拆单状态")
	private String carrierSplitOrderStatusName;

	@ExcelProperty(value = "调度单号")
	private String loadingBillNo;

	@ExcelProperty(value = "承运商拆单类型")
	private String carrierSplitOrderTypeName;

	@ExcelProperty(value = "承运方")
	private String carrierName;

	@ExcelProperty(value = "承运方手机号")
	private String carrierPhoneNumber;

	@ExcelProperty(value = "送货员姓名")
	private String deliverymanName;

	@ExcelProperty(value = "送货员手机号")
	private String deliverymanPhoneNumber;

	@ExcelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ExcelProperty(value = "订单类型")
	private String orderTypeName;

	@ExcelProperty(value = "业务类型")
	private String orderBusinessTypeName;

	@ExcelProperty(value = "配送方式")
	private String deliveryMethodTypeName;

	@ExcelProperty(value = "运输模式")
	private String transportTypeName;

	@ExcelProperty(value = "温度要求")
	private String temperatureRequirementName;

	@ExcelProperty(value = "线路")
	private String lineName;

	@ExcelProperty(value = "备注")
	private String memo;

	@ExcelProperty(value = "订单下单日期")
	private Date orderDate;

	@ExcelProperty(value = "预计提货时间")
	private Date estimatedPickupStartTime;

	@ExcelProperty(value = "预计送达时间")
	private Date estimatedDeliveryStartTime;

	@ExcelProperty(value = "时效")
	private BigDecimal transportAging;

	@ExcelProperty(value = "收货方类型")
	private String consigneeTypeName;

	@ExcelProperty(value = "收货方单位")
	private String consigneeUnitName;

	@ExcelProperty(value = "收货方")
	private String consigneeName;

	@ExcelProperty(value = "收货方目的地")
	private String consigneeProvinceCityDistrict;

	@ExcelProperty(value = "收货方联系人")
	private String consigneeContact;

	@ExcelProperty(value = "收货方手机号")
	private String consigneePhoneNumber;

	@ExcelProperty(value = "收货方座机号")
	private String consigneeLandlineNumber;

	@ExcelProperty(value = "收货方邮箱")
	private String consigneeEmail;

	@ExcelProperty(value = "收货方详细地址")
	private String consigneeAddress;

	@ExcelProperty(value = "收货方备注")
	private String consigneeMemo;

	@ExcelProperty(value = "收货方位置")
	private String consigneePositioning;

	@ExcelProperty(value = "发货方类型")
	private String shipperTypeName;

	@ExcelProperty(value = "发货方单位")
	private String shipperUnitName;

	@ExcelProperty(value = "发货方")
	private String shipperName;

	@ExcelProperty(value = "发货方始发地")
	private String shipperProvinceCityDistrict;

	@ExcelProperty(value = "发货方联系人")
	private String shipperContact;

	@ExcelProperty(value = "发货方手机号")
	private String shipperPhoneNumber;

	@ExcelProperty(value = "发货方座机号")
	private String shipperLandlineNumber;

	@ExcelProperty(value = "发货方邮箱")
	private String shipperEmail;

	@ExcelProperty(value = "发货方详细地址")
	private String shipperAddress;

	@ExcelProperty(value = "发货方备注")
	private String shipperMemo;

	@ExcelProperty(value = "发货方位置")
	private String shipperPositioning;

	@ExcelProperty(value = "总件数")
	private BigDecimal totalPcs;

	@ExcelProperty(value = "总体积")
	private BigDecimal totalVolume;

	@ExcelProperty(value = "总重量")
	private BigDecimal totalWeight;

	@ExcelProperty(value = "创建人")
	private String createperson;

	@ExcelProperty(value = "创建时间")
	private Date createtime;

	@ExcelProperty(value = "修改人")
	private String updateperson;

	@ExcelProperty(value = "修改时间")
	private Date updatetime;

}
