package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 运输管理——所有运单包裹查询DTO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("包裹查查询DTO")
public class AllShipbillPackageDTO implements Serializable {

    private static final long serialVersionUID = 143259325234539797L;
    @ApiModelProperty(value = "包裹ID")
    private String packageId;

    @ApiModelProperty(value = "包裹号")
    private String packageCode;

    @ApiModelProperty(value = "包裹类型")
    private Integer packageType;

    @ApiModelProperty(value = "包裹类型名称")
    private String packageTypeName;

    @ApiModelProperty(value = "数量")
    private BigDecimal pcs;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "暂存区")
    private String storageCache;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "关联设备类型")
    private Integer deviceCompany;

    @ApiModelProperty(value = "关联设备类型名称")
    private String deviceCompanyName;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

}
