package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.alibaba.excel.annotation.ExcelProperty;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 预约管理导出DTO
 *
 * @author zhangsj
 * @since 2022-07-06 13:39:40
 */
@Data
@ApiModel("预约管理导出DTO")
public class BookingExportDTO implements Serializable {
	private static final long serialVersionUID = -84508168830583858L;

	@ExcelProperty(value = "预约号码")
	private String reserveNumber;

	@ExcelProperty(value = "预约类型")
	private String appointmentTypeName;

	@ExcelProperty(value = "预约状态")
	private String statusName;

	@ExcelProperty(value = "排队号")
	private String queueNumber;

	@ExcelProperty(value = "取号时间")
	private Date queueNumberTime;

	@ExcelProperty(value = "叫号顺序")
	private String callNumber;

	@ExcelProperty(value = "紧急运单数量")
	private Integer urgentQuantity;

	@ExcelProperty(value = "预约地点")
	private String branchName;

	@ExcelProperty(value = "预约位置")
	private String branchAddress;

	@ExcelProperty(value = "预约时间")
	private String reserveNumberTime;

	@ExcelProperty(value = "预约司机")
	private String driverName;

	@ExcelProperty(value = "预约电话")
	private String driverPhoneNumber;

	@ExcelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ExcelProperty(value = "承运商")
	private String carrierName;

	@ExcelProperty(value = "运单数量")
	private Integer shipbillQuantity;

	@ExcelProperty(value = "总件数")
	private BigDecimal totalPcs;

	@ExcelProperty(value = "创建人")
	private String createperson;

	@ExcelProperty(value = "创建时间")
	private Date createtime;

	@ExcelProperty(value = "修改人")
	private String updateperson;

	@ExcelProperty(value = "修改时间")
	private Date updatetime;

}
