package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 预约管理-调整查询(单个)
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/7 11:39
 */
@Data
@ApiModel("预约管理-调整查询(单个)")
public class BookingViewByOneDTO implements Serializable {

    private static final long serialVersionUID = 8377155739517028125L;

    @ApiModelProperty(value = "仓库名称")
    private String branchName;

    @ApiModelProperty(value = "预约日期")
    private Date appointmentDate;

    @ApiModelProperty(value = "预约时间段 数据格式严格按 09:00-12:00(示例)存储")
    private String appointmentTime;

    @ApiModelProperty(value = "预约时间")
    private String appointmentFormatTime;

    @ApiModelProperty(value = "运单数量")
    private Integer shipbillQuantity;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "司机手机号")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "运单明细")
    private List<BookingViewByOneDetailDTO> bookingViewByOneDetailDTOS = new ArrayList<BookingViewByOneDetailDTO>();
}
