package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 叫号等待区查询DTO
 *
 * @className :CallNumberWaitingAreaDTO
 * @author :fanzw
 * @creationTime :2022/08/25
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/25
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("叫号等待区查询DTO")
public class CallNumberWaitingAreaDTO implements Serializable {

	private static final long serialVersionUID = -7185838280217693992L;

	@ApiModelProperty(value = "预约单ID(主键)")
	private String appointmentId;

	@ApiModelProperty(value = "预约时间")
	private String appointmentDateTime;

	@ApiModelProperty(value = "预约号码")
	private String reserveNumber;

	@ApiModelProperty(value = "预约号时间")
	private Date reserveNumberTime;

	@ApiModelProperty(value = "预约类型 字典")
	private Integer appointmentType;

	@ApiModelProperty(value = "取号号码(排队号)")
	private String queueNumber;

	@ApiModelProperty(value = "取号时间")
	private Date queueNumberTime;

	@ApiModelProperty(value = "叫号号码(叫号顺序)")
	private String callNumber;

	@ApiModelProperty(value = "紧急运单数量")
	private Integer urgentQuantity;

	@ApiModelProperty(value = "装卸月台编号")
	private String platformCode;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称(预约地点)")
	private String branchName;

	@ApiModelProperty(value = "预约单状态")
	private Integer status;

	@ApiModelProperty(value = "预约单状态")
	private String statusName;

	@ApiModelProperty(value = "预约司机")
	private String driverName;

	@ApiModelProperty(value = "预约电话")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "运单数量")
	private Integer shipbillQuantity;

	@ApiModelProperty(value = "总件数")
	private BigDecimal totalPcs;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

}
