package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 运输管理-托运交接（运单）分页DTO
 *
 * @className :ConsignmentHandoverPageDTO
 * @author :fanzw
 * @creationTime :2023/08/29
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/08/29
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("运输管理-托运交接（运单）分页DTO")
public class ConsignmentHandoverPageDTO implements Serializable {

	private static final long serialVersionUID = -8010574131701779103L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "父级运单ID")
	private String fatherShipbillId;

	@ApiModelProperty(value = "父级运单编号")
	private String fatherShipbillNo;

	@ApiModelProperty(value = "原始运单ID")
	private String originalShipbillId;

	@ApiModelProperty(value = "原始运单编号")
	private String originalShipbillNo;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	private String branchName;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "货主编码")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "货主名称")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单ID")
	private String orderId;

	@ApiModelProperty(value = "订单编号")
	private String orderNo;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "订单日期")
	private Date orderDate;

	@ApiModelProperty(value = "订单类型 数据字典ORDER_TYPE：1普通 2紧急 3加急")
	private Integer orderType;

	@ApiModelProperty(value = "订单类型 数据字典ORDER_TYPE：1普通 2紧急 3加急")
	private String orderTypeName;

	@ApiModelProperty(value = "订单业务类型 数据字典ORDER_BUSINESS_TYPE：1销售订单-直送  2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提 5销售退货 6采购退货 7调拨")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "订单业务类型 数据字典ORDER_BUSINESS_TYPE：1销售订单-直送  2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提 5销售退货 6采购退货 7调拨")
	private String orderBusinessTypeName;

	@ApiModelProperty(value = "WMS单据ID")
	private String wmsOrderId;

	@ApiModelProperty(value = "WMS单据编号")
	private String wmsOrderNo;

	@ApiModelProperty(value = "运输状态 数据字典TRANSPORT_STATUS:10待发货 20 配送中 30 已送达")
	private Integer transportStatus;

	@ApiModelProperty(value = "运输状态 数据字典TRANSPORT_STATUS:10待发货 20 配送中 30 已送达")
	private String transportStatusName;

	@ApiModelProperty(value = "异常状态 数据字典ABNORMAL_STATUS:10异常")
	private Integer abnormalStatus;

	@ApiModelProperty(value = "异常状态 数据字典ABNORMAL_STATUS:10异常")
	private String abnormalStatusName;

	@ApiModelProperty(value = "拆单状态 数据字典SPLIT_ORDER_STATUS:0未拆单 1已拆单")
	private Integer splitOrderStatus;

	@ApiModelProperty(value = "拆单类型 数据字典SPLIT_ORDER_TYPE:1未拆单 2拆分主单 3拆分子单 4中转主单 5中转子单")
	private Integer splitOrderType;

	@ApiModelProperty(value = "承运商拆单状态 数据字典CARRIER_SPLIT_ORDER_STATUS:0未拆单 1已拆单")
	private Integer carrierSplitOrderStatus;

	@ApiModelProperty(value = "承运商拆单类型 数据字典CARRIER_SPLIT_ORDER_TYPE:1未拆单 2拆分主单 3拆分子单 4中转主单 5中转子单")
	private Integer carrierSplitOrderType;

	@ApiModelProperty(value = "配送方式 数据字典DELIVERY_METHOD_TYPE：1配送 2自提")
	private Integer deliveryMethodType;

	@ApiModelProperty(value = "配送方式 数据字典DELIVERY_METHOD_TYPE：1配送 2自提")
	private String deliveryMethodTypeName;

	@ApiModelProperty(value = "运输类型(运输模式) 数据字典TRANSPORT_TYPE:1整车 2零担")
	private Integer transportType;

	@ApiModelProperty(value = "运输类型(运输模式) 数据字典TRANSPORT_TYPE:1整车 2零担")
	private String transportTypeName;

	@ApiModelProperty(value = "温度要求 数据字典TEMPERATURE_REQUIREMENT：1常温 2冷藏 3冷冻 4恒温")
	private Integer temperatureRequirement;

	@ApiModelProperty(value = "温度要求 数据字典TEMPERATURE_REQUIREMENT：1常温 2冷藏 3冷冻 4恒温")
	private String temperatureRequirementName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计提货开始时间")
	private Date estimatedPickupStartTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计提货结束时间")
	private Date estimatedPickupEndTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计送达开始时间")
	private Date estimatedDeliveryStartTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计结束开始时间")
	private Date estimatedDeliveryEndTime;

	@ApiModelProperty(value = "运输时效")
	private BigDecimal transportAging;

	@ApiModelProperty(value = "发货方类型 数据字典SHIPPER_TYPE:1客户 2仓库 3供应商")
	private Integer shipperType;

	@ApiModelProperty(value = "发货方类型 数据字典SHIPPER_TYPE:1客户 2仓库 3供应商")
	private String shipperTypeName;

	@ApiModelProperty(value = "发货方单位ID")
	private Long shipperUnitId;

	@ApiModelProperty(value = "发货方单位编码")
	private String shipperUnitCode;

	@ApiModelProperty(value = "发货方单位名称")
	private String shipperUnitName;

	@ApiModelProperty(value = "发货方ID")
	private Long shipperId;

	@ApiModelProperty(value = "发货方编码")
	private String shipperCode;

	@ApiModelProperty(value = "发货方名称")
	private String shipperName;

	@ApiModelProperty(value = "发货方联系人")
	private String shipperContact;

	@ApiModelProperty(value = "发货方手机号")
	private String shipperPhoneNumber;

	@ApiModelProperty(value = "发货方座机号")
	private String shipperLandlineNumber;

	@ApiModelProperty(value = "发货方邮箱")
	private String shipperEmail;

	@ApiModelProperty(value = "发货方关联手机号")
	private String shipperRelatedPhoneNumber;

	@ApiModelProperty(value = "发货方省编码")
	private String shipperProvince;

	@ApiModelProperty(value = "发货方省名称")
	private String shipperProvinceName;

	@ApiModelProperty(value = "发货方市编码")
	private String shipperCity;

	@ApiModelProperty(value = "发货方市名称")
	private String shipperCityName;

	@ApiModelProperty(value = "发货方区/县编码")
	private String shipperDistrict;

	@ApiModelProperty(value = "发货方区/县名称")
	private String shipperDistrictName;

	@ApiModelProperty(value = "发货方详细地址")
	private String shipperAddress;

	@ApiModelProperty(value = "发货方经度")
	private BigDecimal shipperLongitude;

	@ApiModelProperty(value = "发货方纬度")
	private BigDecimal shipperLatitude;

	@ApiModelProperty(value = "发货方备注")
	private String shipperMemo;

	@ApiModelProperty(value = "提货签到 数据字典WHETHER:0否，1是")
	private Integer shipperPickUpSign;

	@ApiModelProperty(value = "自动提货签到 数据字典WHETHER:0否，1是")
	private Integer shipperAutoPickUpSign;

	@ApiModelProperty(value = "提货图片 数据字典WHETHER:0否，1是")
	private Integer shipperPickUpPicture;

	@ApiModelProperty(value = "默认提货围栏(km)")
	private BigDecimal shipperPickUpRail;

	@ApiModelProperty(value = "收货方类型 数据字典CONSIGNEE_TYPE:1客户 2仓库 3供应商")
	private Integer consigneeType;

	@ApiModelProperty(value = "收货方类型 数据字典CONSIGNEE_TYPE:1客户 2仓库 3供应商")
	private String consigneeTypeName;

	@ApiModelProperty(value = "收货方单位ID")
	private Long consigneeUnitId;

	@ApiModelProperty(value = "收货方单位编码")
	private String consigneeUnitCode;

	@ApiModelProperty(value = "收货方单位名称")
	private String consigneeUnitName;

	@ApiModelProperty(value = "收货方ID")
	private Long consigneeId;

	@ApiModelProperty(value = "收货方编码")
	private String consigneeCode;

	@ApiModelProperty(value = "收货方名称")
	private String consigneeName;

	@ApiModelProperty(value = "收货方联系人")
	private String consigneeContact;

	@ApiModelProperty(value = "收货方手机号")
	private String consigneePhoneNumber;

	@ApiModelProperty(value = "收货方座机号")
	private String consigneeLandlineNumber;

	@ApiModelProperty(value = "收货方邮箱")
	private String consigneeEmail;

	@ApiModelProperty(value = "收货方关联手机号")
	private String consigneeRelatedPhoneNumber;

	@ApiModelProperty(value = "收货方省编码")
	private String consigneeProvince;

	@ApiModelProperty(value = "收货方省名称")
	private String consigneeProvinceName;

	@ApiModelProperty(value = "收货方市编码")
	private String consigneeCity;

	@ApiModelProperty(value = "收货方市名称")
	private String consigneeCityName;

	@ApiModelProperty(value = "收货方区/县编码")
	private String consigneeDistrict;

	@ApiModelProperty(value = "收货方区/县名称")
	private String consigneeDistrictName;

	@ApiModelProperty(value = "收货方详细地址")
	private String consigneeAddress;

	@ApiModelProperty(value = "收货方经度")
	private BigDecimal consigneeLongitude;

	@ApiModelProperty(value = "收货方纬度")
	private BigDecimal consigneeLatitude;

	@ApiModelProperty(value = "收货方备注")
	private String consigneeMemo;

	@ApiModelProperty(value = "送达签到 数据字典WHETHER:0否，1是")
	private Integer consigneeDeliverySign;

	@ApiModelProperty(value = "自动送达签到 数据字典WHETHER:0否，1是")
	private Integer consigneeAutoDeliverySign;

	@ApiModelProperty(value = "送货图片 数据字典WHETHER:0否，1是")
	private Integer consigneeDeliveryPicture;

	@ApiModelProperty(value = "默认送货围栏(km)")
	private BigDecimal consigneeDeliveryRail;

	@ApiModelProperty(value = "线路ID")
	private Long lineId;

	@ApiModelProperty(value = "线路编码")
	private String lineCode;

	@ApiModelProperty(value = "线路名称")
	private String lineName;

	@ApiModelProperty(value = "是否要求回单 数据字典WHETHER:0否，1是")
	private Integer returnOrderFlag;

	@ApiModelProperty(value = "回单期限")
	private Integer returnOrderDeadline;

	@ApiModelProperty(value = "总件数")
	private BigDecimal totalPcs;

	@ApiModelProperty(value = "总体积")
	private BigDecimal totalVolume;

	@ApiModelProperty(value = "总重量")
	private BigDecimal totalWeight;

	@ApiModelProperty(value = "实际总件数")
	private BigDecimal actualTotalPcs;

	@ApiModelProperty(value = "实际总体积")
	private BigDecimal actualTotalVolume;

	@ApiModelProperty(value = "实际总重量")
	private BigDecimal actualTotalWeight;

	@ApiModelProperty(value = "总发货件数")
	private BigDecimal totalDeliveryPcs;

	@ApiModelProperty(value = "总发货体积")
	private BigDecimal totalDeliveryVolume;

	@ApiModelProperty(value = "总发货重量")
	private BigDecimal totalDeliveryWeight;

	@ApiModelProperty(value = "包裹整件数")
	private BigDecimal packageWholePiece;

	@ApiModelProperty(value = "包裹拼箱数")
	private BigDecimal packageLclPiece;

	@ApiModelProperty(value = "包裹总体积")
	private BigDecimal packageTotalVolume;

	@ApiModelProperty(value = "包裹总重量")
	private BigDecimal packageTotalWeight;

	@ApiModelProperty(value = "回退类型 数据字典BACK_TYPE：1.信息填写不完整")
	private Integer backType;

	@ApiModelProperty(value = "回退原因")
	private String backReason;

	@ApiModelProperty(value = "运单状态 数据字典SHIPBILL_STATUS:0已作废 10初始化 20已提交 5已回退")
	private Integer status;

	@ApiModelProperty(value = "运单状态 数据字典SHIPBILL_STATUS:0已作废 10初始化 20已提交 5已回退")
	private String statusName;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "来源 数据字典SOURCE 1.新增 2.excel导入 3.接口导入")
	private Integer source;

	@ApiModelProperty(value = "导入批次号")
	private String importBatchNumber;

	@ApiModelProperty(value = "所属组织ID")
	private Long organizationId;

	@ApiModelProperty(value = "所属组织编码")
	private String organizationCode;

	@ApiModelProperty(value = "所属组织名称")
	private String organizationName;

	@ApiModelProperty(value = "所属部门ID")
	private String departmentId;

	@ApiModelProperty(value = "所属部门编码")
	private String departmentCode;

	@ApiModelProperty(value = "所属部门名称")
	private String departmentName;

	@ApiModelProperty(value = "承运方(调度)类型 数据字典LINE_CARRIER_TYPE:1.承运商  2.司机")
	private Integer carrierType;

	@ApiModelProperty(value = "承运商ID")
	private Long carrierId;

	@ApiModelProperty(value = "承运商编码")
	private String carrierCode;

	@ApiModelProperty(value = "承运商名称")
	private String carrierName;

	@ApiModelProperty(value = "承运方运单调度状态 数据字典CARRIER_SHIPBILL_STATUS:10已接单 20已提交 5已回退 30已审核 40已调度")
	private Integer carrierShipbillStatus;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "启运时间")
	private Date departureTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "送达时间")
	private Date deliveryTime;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@ApiModelProperty(value = "字符扩展1")
	private String extStr1;

	@ApiModelProperty(value = "字符扩展2")
	private String extStr2;

	@ApiModelProperty(value = "字符扩展3")
	private String extStr3;

	@ApiModelProperty(value = "字符扩展4")
	private String extStr4;

	@ApiModelProperty(value = "字符扩展5")
	private String extStr5;

	@ApiModelProperty(value = "字符扩展6")
	private String extStr6;

	@ApiModelProperty(value = "字符扩展7")
	private String extStr7;

	@ApiModelProperty(value = "字符扩展8")
	private String extStr8;

	@ApiModelProperty(value = "字符扩展9")
	private String extStr9;

	@ApiModelProperty(value = "字符扩展10")
	private String extStr10;

	@ApiModelProperty(value = "数值属性扩展1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	private BigDecimal extNum5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展1")
	private Date extDate1;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展2")
	private Date extDate2;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展3")
	private Date extDate3;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展4")
	private Date extDate4;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展5")
	private Date extDate5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

	@ApiModelProperty(value = "扫描状态 数据字典SCAN_STATUS:10初始 20已装车扫描")
	private Integer scanStatus;

	@ApiModelProperty(value = "配送状态 数据字典DELIVERY_STATUS:10配送失败 20配送滞留 30配送成功")
	private Integer deliveryStatus;

	@ApiModelProperty(value = "回单图片 数据字典WHETHER:0否，1是")
	private Integer consigneeReturnOrderPicture;

	@ApiModelProperty(value = "流程配置 Add新增,AddCommit新增提交,Commit提交,CommitReview提交审核,Review审核," + "ReviewDispatch匹配唯一承运方自动调度,Dispatch调度,DispatchCheck调度后自动审核,Check调度审核,Appointment预约," + "ArrangeGoods理货,LoadUnLoad装卸,Scanning装车扫描,SendOff启运登记,ArriveConfirm送达确认")
	private String flowConfig;

	@ApiModelProperty(value = "流程配置 接单Receive,接单后自动提交ReceiveCommit,承运商是否开启接单拒绝RejectReceive,Commit提交,CommitReview提交审核,Review审核," + "ReviewDispatch匹配唯一承运方自动调度,Dispatch调度,DispatchCheck调度后自动审核,Check调度审核,Appointment预约," + "ArrangeGoods理货,LoadUnLoad装卸,Scanning装车扫描,SendOff启运登记,ArriveConfirm送达确认")
	private String carrierFlowConfig;

	// STD-DEVELOP20220823 lhb bwc0823006 运单表增加理货状态的需求变更 20220824 start
	@ApiModelProperty(value = "预约理货状态 数据字典TALLY_STATUS: 空，10待理货 20开始理货 30理货完成")
	private Integer appTallyStatus;
	// STD-DEVELOP20220823 lhb bwc0823006 运单表增加理货状态的需求变更 20220824 end

	@ApiModelProperty(value = "关联运单ID")
	private String relationShipbillId;

	@ApiModelProperty(value = "关联运单编号")
	private String relationShipbillNo;

	@ApiModelProperty(value = "运单类型数据字典SHIPBILL_TYPE:N正常运单R退运单")
	private String shipbillType;

	@ApiModelProperty(value = "签收状态数据字典SIGN_IN_STATUS:S已签收P部分签收N未签收，默认N")
	private String signInStatus;

	@ApiModelProperty(value = "暂存位")
	private String stagingLocations;

	@ApiModelProperty(value = "发货方签到时间点 数据字典PICK_UP_SIGN_TIME 10预计提货开始时间 20预计提货结束时间 " + "30下单时间 40提交时间 50审核时间 60调度时间 70调度审核时间")
	private Integer shipperSignTime;

	@ApiModelProperty(value = "发货方签到时间期间")
	private Integer shipperSignTimeDura;

	@ApiModelProperty(value = "发货方签到时间单位 数据字典SIGN_TIME_UNIT 1分钟 2小时 3天")
	private Integer shipperSignTimeUnit;

	@ApiModelProperty(value = "收货方签到时间点 数据字典DELIVERY_SIGN_TIME 10预计送达开始时间 20预计送达结束时间 " + "30下单时间 40提交时间 50审核时间 60调度时间 70调度审核时间")
	private Integer consigneeSignTime;

	@ApiModelProperty(value = "收货方签到时间期间")
	private Integer consigneeSignTimeDura;

	@ApiModelProperty(value = "收货方签到时间单位 数据字典SIGN_TIME_UNIT 1分钟 2小时 3天")
	private Integer consigneeSignTimeUnit;

	@ApiModelProperty(value = "车辆类别数据字典VEHICLE_TYPE_CATEGORY：1冷藏车、2平顶车、3厢式货车")
	private String vehicleTypeCategory;

	@ApiModelProperty(value = "车辆设备ID")
	private String vehicleDeviceId;

	@ApiModelProperty(value = "车辆设备CODE")
	private String vehicleDeviceCode;

	@ApiModelProperty(value = "车辆设备名称")
	private String vehicleDeviceName;

	@ApiModelProperty(value = "启运温度")
	private BigDecimal departureTemperature;

	@ApiModelProperty(value = "送达温度")
	private BigDecimal deliveryTemperature;

	@ApiModelProperty(value = "司机接单状态:N-未接单,A-已接单")
	private String driverReceiveStatus;

	@ApiModelProperty(value = "容器id")
	private String containerId;

	@ApiModelProperty(value = "容器编号")
	private String containerCode;

	@ApiModelProperty(value = "容器名称")
	private String containerName;

	@ApiModelProperty(value = "线路方向 数据字典LINE_DIRECTION 10正向 20逆向")
	private Integer lineDirection;

	@ApiModelProperty(value = "线路方向 数据字典LINE_DIRECTION 10正向 20逆向")
	private String lineDirectionName;

	@ApiModelProperty(value = "配送顺序")
	private Integer shippingOrder;

	@ApiModelProperty(value = "提货顺序")
	private Integer pickUpOrder;

	@ApiModelProperty(value = "记录标记语")
	private String recordTagWord;

	@ApiModelProperty(value = "颜色标记 底纹背景颜色")
	private String colorTagBgdColor;

	@ApiModelProperty(value = "颜色标记 字体颜色")
	private String colorTagFontColor;

	@ApiModelProperty(value = "发货方站点ID")
	private Long shipperStationId;

	@ApiModelProperty(value = "发货方站点编号")
	private String shipperStationCode;

	@ApiModelProperty(value = "发货方站点名称")
	private String shipperStationName;

	@ApiModelProperty(value = "发货方站点区域")
	private String shipperStationAreas;

	@ApiModelProperty(value = "收货方站点ID")
	private Long consigneeStationId;

	@ApiModelProperty(value = "收货方站点编号")
	private String consigneeStationCode;

	@ApiModelProperty(value = "收货方站点名称")
	private String consigneeStationName;

	@ApiModelProperty(value = "收货方站点区域")
	private String consigneeStationAreas;

	@ApiModelProperty(value = "发货方配送顺序")
	private BigDecimal shipperDeliveryOrder;

	@ApiModelProperty(value = "收货方配送顺序")
	private BigDecimal consigneeDeliveryOrder;

	@ApiModelProperty(value = "托运交接时间")
	private Date consignmentHandoverTime;

	@ApiModelProperty(value = "托运交接人")
	private String consignmentHandoverPerson;

	@ApiModelProperty(value = "托运交接人(经办人)联系方式")
	private String consignmentHandoverContact;

	@ApiModelProperty(value = "托运交接人(经办人)身份证")
	private String consignmentHandoverIdcard;

	@ApiModelProperty(value = "托运交接司机")
	private String consignmentHandoverDriver;

	@ApiModelProperty(value = "托运交接司机联系方式")
	private String consignmentHandoverDriverContact;

	@ApiModelProperty(value = "托运交接车牌")
	private String consignmentHandoverPlateNumber;

	@ApiModelProperty(value = "托运交接配送人")
	private String consignmentHandoverShipper;

	@ApiModelProperty(value = "托运交接设备号")
	private String consignmentHandoverDevice;

	@ApiModelProperty(value = "托运交接备注")
	private String consignmentHandoverMemo;

	@ApiModelProperty(value = "托运交接状态")
	private Integer consignmentHandoverStatus;

	@ApiModelProperty(value = "托运交接状态")
	private String consignmentHandoverStatusName;

	@ExcelProperty(value = "发货方位置")
	private String shipperPositioning;

	@ExcelProperty(value = "收货方位置")
	private String consigneePositioning;

	@ApiModelProperty(value = "背景颜色")
	private String background;

	@ApiModelProperty(value = "字体颜色")
	private String color;

	@ApiModelProperty(value = "标记ID")
	private Long signConfigId;

}
