package com.prolog.rdc.tms.model.dto;

import com.prolog.rdc.tms.model.dto.basicData.ApprovalLogDTO;
import com.prolog.rdc.tms.model.dto.basicData.ApprovalNodeSelDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 调度审核的审批信息查询DTO
 * 
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/5/11 14:16
 */
@Data
@ApiModel("调度审核的审批信息查询DTO")
public class DispatchCkApprovalSCDTO implements Serializable {
	private static final long serialVersionUID = -916438565329402361L;

	@ApiModelProperty(value = "承运方类型 数据字典LINE_CARRIER_TYPE:1.承运商  2.司机")
	private Integer carrierType;

	@ApiModelProperty(value = "承运方类型名称")
	private String carrierTypeName;

	@ApiModelProperty(value = "运单数")
	private Integer shipbillNumber;

	@ApiModelProperty(value = "总件数")
	private BigDecimal totalPcs;

	@ApiModelProperty(value = "总体积")
	private BigDecimal totalVolume;

	@ApiModelProperty(value = "总重量")
	private BigDecimal totalWeight;

	@ApiModelProperty(value = "承运方ID")
	private Long carrierId;

	@ApiModelProperty(value = "承运方编码")
	private String carrierCode;

	@ApiModelProperty(value = "承运方名称")
	private String carrierName;

	@ApiModelProperty(value = "司机ID")
	private String driverId;

	@ApiModelProperty(value = "司机编号")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	@ApiModelProperty(value = "车辆名称")
	private String vehicleName;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "车型ID")
	private Long vehicleTypeId;

	@ApiModelProperty(value = "车型编码")
	private String vehicleTypeCode;

	@ApiModelProperty(value = "车型名称")
	private String vehicleTypeName;

	@ApiModelProperty(value = "送货员ID")
	private String deliverymanId;

	@ApiModelProperty(value = "送货员编号")
	private String deliverymanCode;

	@ApiModelProperty(value = "送货员名称")
	private String deliverymanName;

	@ApiModelProperty(value = "送货员手机号")
	private String deliverymanPhoneNumber;

	@ApiModelProperty(value = "客户数")
	private Integer customerNumber;

	@ApiModelProperty(value = "总站点数")
	private Integer siteNumber;

	@ApiModelProperty(value = "总里程数")
	private BigDecimal totalMileage;

	@ApiModelProperty(value = "实际总件数")
	private BigDecimal actualTotalPcs;

	@ApiModelProperty(value = "实际总体积")
	private BigDecimal actualTotalVolume;

	@ApiModelProperty(value = "实际总重量")
	private BigDecimal actualTotalWeight;

	@ApiModelProperty(value = "总整件数")
	private BigDecimal totalWholePiece;

	@ApiModelProperty(value = "总拼箱数")
	private BigDecimal totalLclPiece;

	@ApiModelProperty(value = "配载体积装载率")
	private String volumeLoadingRate;

	@ApiModelProperty(value = "配载重量装载率")
	private String weightLoadingRate;

	@ApiModelProperty(value = "运单信息DTO")
	private List<ShipbillInfoDTO> shipbillInfoDTOList;

	@ApiModelProperty(value = "运单审核历史DTO")
	private List<ApprovalLogDTO> shipbillApprovalLogDTOList;

	@ApiModelProperty(value = "运单审核节点DTO")
	private List<ApprovalNodeSelDTO> shipbillApprovalNodeDTOList;
}
