package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.alibaba.excel.annotation.ExcelProperty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 已调度导出DTO
 *
 * @author zhangsj
 * @since 2022-04-12 13:54:13
 */
@Data
@ApiModel("已调度导出DTO")
public class ExportDispatchDTO implements Serializable {
	private static final long serialVersionUID = 239309829140150522L;

	@ApiModelProperty(value = "运单ID")
	@ExcelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	@ExcelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "货主名称")
	@ExcelProperty(value = "货主名称")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单编号")
	@ExcelProperty(value = "订单编号")
	private String orderNo;

	@ApiModelProperty(value = "订单日期")
	@ExcelProperty(value = "订单日期")
	private Date orderDate;

	@ApiModelProperty(value = "订单类型")
	@ExcelProperty(value = "订单类型")
	private String orderTypeName;

	@ApiModelProperty(value = "订单业务类型")
	@ExcelProperty(value = "订单业务类型")
	private String orderBusinessTypeName;

	@ApiModelProperty(value = "WMS单据编号")
	@ExcelProperty(value = "WMS单据编号")
	private String wmsOrderNo;

	@ApiModelProperty(value = "配送方式")
	@ExcelProperty(value = "配送方式")
	private String deliveryMethodTypeName;

	@ApiModelProperty(value = "运输类型(运输模式)")
	@ExcelProperty(value = "运输类型(运输模式)")
	private String transportTypeName;

	@ApiModelProperty(value = "温度要求")
	@ExcelProperty(value = "温度要求")
	private String temperatureRequirementName;

	@ApiModelProperty(value = "预计提货开始时间")
	@ExcelProperty(value = "预计提货开始时间")
	private Date estimatedPickupStartTime;

	@ApiModelProperty(value = "预计送达开始时间")
	@ExcelProperty(value = "预计送达开始时间")
	private Date estimatedDeliveryStartTime;

	@ApiModelProperty(value = "运输时效")
	@ExcelProperty(value = "运输时效")
	private BigDecimal transportAging;

	@ApiModelProperty(value = "发货方类型")
	@ExcelProperty(value = "发货方类型")
	private String shipperTypeName;

	@ApiModelProperty(value = "发货方单位名称")
	@ExcelProperty(value = "发货方单位名称")
	private String shipperUnitName;

	@ApiModelProperty(value = "发货方名称")
	@ExcelProperty(value = "发货方名称")
	private String shipperName;

	@ApiModelProperty(value = "发货方联系人")
	@ExcelProperty(value = "发货方联系人")
	private String shipperContact;

	@ApiModelProperty(value = "发货方手机号")
	@ExcelProperty(value = "发货方手机号")
	private String shipperPhoneNumber;

	@ApiModelProperty(value = "发货方座机号")
	@ExcelProperty(value = "发货方座机号")
	private String shipperLandlineNumber;

	@ApiModelProperty(value = "发货方邮箱")
	@ExcelProperty(value = "发货方邮箱")
	private String shipperEmail;

	@ApiModelProperty(value = "发货方关联手机号")
	@ExcelProperty(value = "发货方关联手机号")
	private String shipperRelatedPhoneNumber;

	@ApiModelProperty(value = "发货方省名称")
	@ExcelProperty(value = "发货方省名称")
	private String shipperProvinceName;

	@ApiModelProperty(value = "发货方市名称")
	@ExcelProperty(value = "发货方市名称")
	private String shipperCityName;

	@ApiModelProperty(value = "发货方区/县名称")
	@ExcelProperty(value = "发货方区/县名称")
	private String shipperDistrictName;

	@ApiModelProperty(value = "发货方详细地址")
	@ExcelProperty(value = "发货方详细地址")
	private String shipperAddress;

	@ApiModelProperty(value = "发货方位置")
	@ExcelProperty(value = "发货方位置")
	private String shipperPositioning;

	@ApiModelProperty(value = "发货方备注")
	@ExcelProperty(value = "发货方备注")
	private String shipperMemo;

	@ApiModelProperty(value = "收货方类型")
	@ExcelProperty(value = "收货方类型")
	private String consigneeTypeName;

	@ApiModelProperty(value = "收货方单位名称")
	@ExcelProperty(value = "收货方单位名称")
	private String consigneeUnitName;

	@ApiModelProperty(value = "收货方名称")
	@ExcelProperty(value = "收货方名称")
	private String consigneeName;

	@ApiModelProperty(value = "收货方联系人")
	@ExcelProperty(value = "收货方联系人")
	private String consigneeContact;

	@ApiModelProperty(value = "收货方手机号")
	@ExcelProperty(value = "收货方手机号")
	private String consigneePhoneNumber;

	@ApiModelProperty(value = "收货方座机号")
	@ExcelProperty(value = "收货方座机号")
	private String consigneeLandlineNumber;

	@ApiModelProperty(value = "收货方邮箱")
	@ExcelProperty(value = "收货方邮箱")
	private String consigneeEmail;

	@ApiModelProperty(value = "收货方关联手机号")
	@ExcelProperty(value = "收货方关联手机号")
	private String consigneeRelatedPhoneNumber;

	@ApiModelProperty(value = "收货方省名称")
	@ExcelProperty(value = "收货方省名称")
	private String consigneeProvinceName;

	@ApiModelProperty(value = "收货方市名称")
	@ExcelProperty(value = "收货方市名称")
	private String consigneeCityName;

	@ApiModelProperty(value = "收货方区/县名称")
	@ExcelProperty(value = "收货方区/县名称")
	private String consigneeDistrictName;

	@ApiModelProperty(value = "收货方详细地址")
	@ExcelProperty(value = "收货方详细地址")
	private String consigneeAddress;

	@ApiModelProperty(value = "收货方位置")
	@ExcelProperty(value = "收货方位置")
	private String consigneePositioning;

	@ApiModelProperty(value = "收货方备注")
	@ExcelProperty(value = "收货方备注")
	private String consigneeMemo;

	@ApiModelProperty(value = "线路名称")
	private String lineName;

	@ApiModelProperty(value = "总件数")
	@ExcelProperty(value = "总件数")
	private BigDecimal totalPcs;

	@ApiModelProperty(value = "总体积")
	@ExcelProperty(value = "总体积")
	private BigDecimal totalVolume;

	@ApiModelProperty(value = "总重量")
	@ExcelProperty(value = "总重量")
	private BigDecimal totalWeight;

	@ApiModelProperty(value = "包裹整件数")
	@ExcelProperty(value = "包裹整件数")
	private BigDecimal packageWholePiece;

	@ApiModelProperty(value = "包裹拼箱数")
	@ExcelProperty(value = "包裹拼箱数")
	private BigDecimal packageLclPiece;

	@ApiModelProperty(value = "包裹总体积")
	@ExcelProperty(value = "包裹总体积")
	private BigDecimal packageTotalVolume;

	@ApiModelProperty(value = "包裹总重量")
	@ExcelProperty(value = "包裹总重量")
	private BigDecimal packageTotalWeight;

	@ApiModelProperty(value = "备注")
	@ExcelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "字符属性扩展1")
	@ExcelProperty(value = "字符属性扩展1")
	private String extStr1;

	@ApiModelProperty(value = "字符属性扩展2")
	@ExcelProperty(value = "字符属性扩展2")
	private String extStr2;

	@ApiModelProperty(value = "字符属性扩展3")
	@ExcelProperty(value = "字符属性扩展3")
	private String extStr3;

	@ApiModelProperty(value = "字符属性扩展4")
	@ExcelProperty(value = "字符属性扩展4")
	private String extStr4;

	@ApiModelProperty(value = "字符属性扩展5")
	@ExcelProperty(value = "字符属性扩展5")
	private String extStr5;

	@ApiModelProperty(value = "数值属性扩展1")
	@ExcelProperty(value = "数值属性扩展1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	@ExcelProperty(value = "数值属性扩展2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	@ExcelProperty(value = "数值属性扩展3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	@ExcelProperty(value = "数值属性扩展4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	@ExcelProperty(value = "数值属性扩展5")
	private BigDecimal extNum5;

	@ApiModelProperty(value = "日期属性扩展1")
	@ExcelProperty(value = "日期属性扩展1")
	private Date extDate1;

	@ApiModelProperty(value = "日期属性扩展2")
	@ExcelProperty(value = "日期属性扩展2")
	private Date extDate2;

	@ApiModelProperty(value = "日期属性扩展3")
	@ExcelProperty(value = "日期属性扩展3")
	private Date extDate3;

	@ApiModelProperty(value = "日期属性扩展4")
	@ExcelProperty(value = "日期属性扩展4")
	private Date extDate4;

	@ApiModelProperty(value = "日期属性扩展5")
	@ExcelProperty(value = "日期属性扩展5")
	private Date extDate5;

	@ApiModelProperty(value = "创建时间")
	@ExcelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@ExcelProperty(value = "创建人")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@ExcelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@ExcelProperty(value = "修改人")
	private String updateperson;
}
