package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 运单地图站点信息查询DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author lhb
 * @since 2022/4/20 12:22
 */
@Data
@ApiModel("运单地图站点信息查询DTO")
public class LineSiteMapDTO {

    @ApiModelProperty(value = "线路ID")
    private Long lineId;

    @ApiModelProperty(value = "线路编号")
    private String lineCode;

    @ApiModelProperty(value = "线路名称")
    private String lineName;

    @ApiModelProperty(value = "总里程数")
    private BigDecimal totalMileage;

    @ApiModelProperty(value = "提货点数")
    private Integer pickUpSiteNumber;

    @ApiModelProperty(value = "送货点数")
    private Integer deliverySiteNumber;

    @ApiModelProperty(value = "总站点数")
    private Integer totalStations;

    @ApiModelProperty(value = "线路的站点信息")
    List<TmsLineSiteDTO> siteDTOs;

}
