package com.prolog.rdc.tms.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 派车单站点信息DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author lhb
 * @since 2022/4/20 12:22
 */
@Data
@ApiModel("派车单站点信息DTO")
public class LoadingSiteInfoDTO {

    @ApiModelProperty(value = "站点顺序")
    private Integer siteOrder;

    @ApiModelProperty(value = "站点类型名称")
    private String siteTypeName;

    @ApiModelProperty(value = "详细地址")
    private String siteName;

    @ApiModelProperty(value = "站点经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "站点纬度")
    private BigDecimal latitude;

    @ApiModelProperty(value = "运单数")
    private Integer shipbillQty;

    @ApiModelProperty(value = "商品/包裹 总件数")
    private Integer totalPieceQty;

    @ApiModelProperty(value = "商品/包裹 总重量")
    private Integer totalWeightQty;

    @ApiModelProperty(value = "商品/包裹 总体积")
    private Integer totalVolumeQty;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计时间")
    private Date estimatedTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "实际时间")
    private Date actualTime;

    @ApiModelProperty(value = "时间是否准点")
    private String timeDescription;

    @ApiModelProperty(value = "温度")
    private BigDecimal temperature;

    @ApiModelProperty(value = "温度是否预警 Y:预警 N:不预警")
    private String temperatureAlert;

    @ApiModelProperty(value = "派车单是否完成")
    private String statusName;

}
