package com.prolog.rdc.tms.model.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 外包跟踪导出
 *
 * @author xyf
 * @since 2022/4/13 14:17
 *
 */
@ApiModel("外包跟踪导出DTO")
@Data
public class OutsourceTrackExportDTO implements Serializable {

    private static final long serialVersionUID = 143259325237539797L;

    @ExcelProperty(value = "托运单号")
    private String loadingBillNo;

    @ExcelProperty(value = "托运单状态")
    private String status;

    @ExcelProperty(value = "运单数")
    private Integer shipbillNumber;

    @ExcelProperty(value = "客户数")
    private Integer customerNumber;

    @ExcelProperty(value = "总站数")
    private Integer siteNumber;

    @ExcelProperty(value = "提货站点数")
    private Long pickupStations;

    @ExcelProperty(value = "送货站点数")
    private Long deliveryStations;

    @ExcelProperty(value = "托运经办人")
    private String consignmentAgen;

    @ExcelProperty(value = "经办人联系方式")
    private String agenContactPhoneNumber;

    @ExcelProperty(value = "身份证")
    private String driverIdCard;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ExcelProperty(value = "托运交接时间")
    private Date consignmentHandoverDate;

    @ExcelProperty(value = "司机名称")
    private String driverName;

    @ExcelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ExcelProperty(value = "总整件数")
    private BigDecimal totalWholePiece;

    @ExcelProperty(value = "总拼箱数")
    private BigDecimal totalLclPiece;

    @ExcelProperty(value = "总件数")
    private BigDecimal totalPcs;

    @ExcelProperty(value = "总重量")
    private BigDecimal totalWeight;

    @ExcelProperty(value = "总体积")
    private BigDecimal totalVolume;

    @ExcelProperty(value = "承运方编码")
    private String carrierCode;

    @ExcelProperty(value = "承运方名称")
    private String carrierName;

    @ExcelProperty(value = "备注")
    private String memo;

    @ExcelProperty(value = "创建时间")
    private Date createtime;

    @ExcelProperty(value = "创建人")
    private String createperson;



}
