package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待调度包裹信息查询DTO
 *
 *
 * @author lhb
 * @since 2022/4/11 14:17
 */
@Data
@ApiModel("待调度包裹信息查询DTO")
public class PendingDispatchPackageDTO implements Serializable {

	private static final long serialVersionUID = 143259325234539797L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	private String branchName;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "货主编码")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "货主名称")
	private String cargoOwnerName;

	@ApiModelProperty(value = "明细行号")
	private Integer seqno;

	@ApiModelProperty(value = "原明细行号")
	private Integer originalSeqno;

	@ApiModelProperty(value = "包裹ID")
	private String packageId;

	@ApiModelProperty(value = "包裹编号")
	private String packageCode;

	@ApiModelProperty(value = "包裹类型 数据字典PACKAGE_TYPE:1整件 2拼箱")
	private String packageTypeName;

	@ApiModelProperty(value = "件数")
	private BigDecimal pcs;

	@ApiModelProperty(value = "体积")
	private BigDecimal volume;

	@ApiModelProperty(value = "重量")
	private BigDecimal weight;

	@ApiModelProperty(value = "整件数")
	private BigDecimal wholePiece;

	@ApiModelProperty(value = "拼箱数")
	private BigDecimal lclPiece;

	@ApiModelProperty(value = "长(cm)")
	private BigDecimal length;

	@ApiModelProperty(value = "宽(cm)")
	private BigDecimal width;

	@ApiModelProperty(value = "高(cm)")
	private BigDecimal heigth;

	@ApiModelProperty(value = "品类数")
	private Integer itemCategoryNumber;

	@ApiModelProperty(value = "设备生产厂商 数据字典表DEVICE_COMPANY：1易流、2捷依、3G7")
	private String deviceCompanyName;

	@ApiModelProperty(value = "设备ID")
	private Long deviceId;

	@ApiModelProperty(value = "设备编码")
	private String deviceCode;

	@ApiModelProperty(value = "设备名称")
	private String deviceName;

	@ApiModelProperty(value = "暂存区")
	private String storageCache;

	@ApiModelProperty(value = "状态 数据字典PACKAGE_STATUS:0 取消 10 初始")
	private Integer status;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

}
