package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 待调度包裹明细信息查询DTO
 *
 * @author lhb
 * @since 2022/4/13 14:17
 */
@Data
@ApiModel("待调度包裹明细信息查询DTO")
public class PendingDispatchPackageDetailDTO implements Serializable {

	private static final long serialVersionUID = 143259325234539797L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "商品ID")
	private Long itemId;

	@ApiModelProperty(value = "商品编码")
	private String itemCode;

	@ApiModelProperty(value = "商品名称")
	private String itemName;

	@ApiModelProperty(value = "商品品类ID")
	private Long itemCategoryId;

	@ApiModelProperty(value = "商品品类编码")
	private String itemCategoryCode;

	@ApiModelProperty(value = "商品品类名称")
	private String itemCategoryName;

	@ApiModelProperty(value = "包装类型  数据字典PACK_TYPE:1纸箱  2包装袋")
	private Integer packType;

	@ApiModelProperty(value = "包装类型名称")
	private String packTypeName;

	@ApiModelProperty(value = "货物温层  数据字典CARGO_THERMOSPHERE:1常温 2冷藏 3冷冻")
	private Integer cargoThermosphere;

	@ApiModelProperty(value = "货物温层名称")
	private String cargoThermosphereName;

	@ApiModelProperty(value = "件数")
	private BigDecimal pcs;

	@ApiModelProperty(value = "体积")
	private BigDecimal volume;

	@ApiModelProperty(value = "重量")
	private BigDecimal weight;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "货主编码")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "货主名称")
	private String cargoOwnerName;

}
