package com.prolog.rdc.tms.model.dto;

import com.prolog.rdc.tms.model.dto.basicData.TmsLineMapDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 待调度运单地图-线路货量统计DTO
 *
 * @author lhb
 * @since 2022/4/19 14:17
 *
 */
@Data
@ApiModel("待调度运单地图-线路货量统计DTO")
public class PendingDispatchShipbillQtyByLineDTO implements Serializable {

    private static final long serialVersionUID = 143259325234539797L;

    @ApiModelProperty(value = "线路ID")
    private Long lineId;

    @ApiModelProperty(value = "线路名称")
    private String lineName;

    @ApiModelProperty(value = "货主数")
    private Integer cargoOwnerQty;

    @ApiModelProperty(value = "运单数")
    private Integer shipbillQty;

    @ApiModelProperty(value = "冷链运单数")
    private Integer coldChainShipbillQty;

    @ApiModelProperty(value = "紧急加急运单数")
    private Integer urgentShipbillQty;

    @ApiModelProperty(value = "收货方数")
    private Integer consigneeQty;

    @ApiModelProperty(value = "总提货点数")
    private Integer totalPickUpSiteQty;

    @ApiModelProperty(value = "总配送点数")
    private Integer totalDeliverySiteQty;

    @ApiModelProperty(value = "总站数")
    private Integer totalSitQty;

    @ApiModelProperty(value = "商品/包裹 总件数")
    private Integer totalPieceQty;

    @ApiModelProperty(value = "商品/包裹 总重量")
    private BigDecimal totalWeightQty;

    @ApiModelProperty(value = "商品/包裹 总体积")
    private BigDecimal totalVolumeQty;

    /*@ApiModelProperty(value = "发货方单位名称")
    private String shipperUnitName;

    @ApiModelProperty(value = "线路站点信息")
    private List<TmsLineMapDTO> lineSiteDTOS;

    @ApiModelProperty(value = "货主数")
    private Integer cargoOwnerQty;

    @ApiModelProperty(value = "运单数量（单）")
    private Integer shipbillQty;

    @ApiModelProperty(value = "订单业务类型 运单数量")
    private List<OrderBusinessTypeDTO> orderBusinessTypeDTOList;

    @ApiModelProperty(value = "订单类型 运单数量")
    private List<OrderTypeDTO> orderTypeDTOList;

    @ApiModelProperty(value = "客户数")
    private Integer consigneeQty;

    @ApiModelProperty(value = "总配送点数量")
    private Integer consigneeAddressQty;

    @ApiModelProperty(value = "商品/包裹 总件数")
    private Integer totalPieceQty;

    @ApiModelProperty(value = "商品/包裹 总重量")
    private Integer totalWeightQty;

    @ApiModelProperty(value = "商品/包裹 总体积")
    private Integer totalVolumeQty;*/

}
