package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 待调度运单地图-运单货量统计DTO
 *
 * @author lhb
 * @since 2022/4/11 14:17
 *
 */
@Data
@ApiModel("待调度运单地图-运单货量统计DTO")
public class PendingDispatchShipbillQtyDTO implements Serializable {

    private static final long serialVersionUID = 143259325234539797L;

    @ApiModelProperty(value = "货主数")
    private Integer cargoOwnerQty;

    @ApiModelProperty(value = "运单数")
    private Integer shipbillQty;

    @ApiModelProperty(value = "冷链运单数")
    private Integer coldChainShipbillQty;

    @ApiModelProperty(value = "紧急加急运单数")
    private Integer urgentShipbillQty;

    @ApiModelProperty(value = "收货方数")
    private Integer consigneeQty;

    @ApiModelProperty(value = "总提货点数")
    private Integer totalPickUpSiteQty;

    @ApiModelProperty(value = "总配送点数")
    private Integer totalDeliverySiteQty;

    @ApiModelProperty(value = "总站数")
    private Integer totalSitQty;

    @ApiModelProperty(value = "商品/包裹 总件数")
    private Integer totalPieceQty;

    @ApiModelProperty(value = "商品/包裹 总重量")
    private BigDecimal totalWeightQty;

    @ApiModelProperty(value = "商品/包裹 总体积")
    private BigDecimal totalVolumeQty;

   /* @ApiModelProperty(value = "总里程数")
    private BigDecimal totalMileage;*/

}
