package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 装卸月台与车辆DTO
 *
 * @author lhb
 * @since 2022-06-06 15:30:16
 */
@Data
@ApiModel("装卸月台与车辆DTO")
public class PlatformAndVehicleListDTO implements Serializable {

	private static final long serialVersionUID = -6531081734507307078L;

	@ApiModelProperty(value = "虚拟主键 前端需要")
	private String id;

	@ApiModelProperty(value = "月台编号")
	private String platformCode;

	@ApiModelProperty(value = "预约单ID(主键)")
	private String appointmentId;

	@ApiModelProperty(value = "当前装卸车辆")
	private String vehiclePlateNumber;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "取号时间")
	private Date queueNumberTime;

	@ApiModelProperty(value = "进场时间")
	private Date inDate;

	@ApiModelProperty(value = "仓库停留时长")
	private String loadingTime;

	@ApiModelProperty(value = "下一装卸车辆")
	private String nextVehiclePlateNumber;

	@ApiModelProperty(value = "下一装卸车辆的预约单ID(主键)")
	private String nextAppointmentId;

}
