package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 月台DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/8 14:59
 */
@Data
@ApiModel("月台DTO")
public class PlatformInfoDTO implements Serializable {

    private static final long serialVersionUID = 3571760532643960984L;

    @ApiModelProperty(value = "车位ID (主键)")
    private Long id;

    @ApiModelProperty(value = "车位编码")
    private String code;

    @ApiModelProperty(value = "车位名称")
    private String name;

    @ApiModelProperty(value = "预约单ID")
    private String appointmentId;

    @ApiModelProperty(value = "当前车辆")
    private String currentVehicle;

    @ApiModelProperty(value = "取号时间")
    private Date queueNumberTime;

    @ApiModelProperty(value = "装车时长")
    private String loadingTime;

    @ApiModelProperty(value = "下一个车辆")
    private String nextVehicle;


}
