package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 运输管理——关联运单查询DTO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("关联运单查询DTO")
public class RelatedShipbillDTO implements Serializable {

	private static final long serialVersionUID = -95869941042132913L;

	@ApiModelProperty(value = "运单ID(主键)")
	private String shipbillId;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "承运商拆单状态 数据字典CARRIER_SPLIT_ORDER_STATUS:0未拆单 1已拆单")
	private Integer carrierSplitOrderStatus;

	@ApiModelProperty(value = "承运商拆单类型 数据字典CARRIER_SPLIT_ORDER_TYPE:1未拆单 2拆分主单 3拆分子单 4中转主单 5中转子单")
	private Integer carrierSplitOrderType;

	@ApiModelProperty(value = "拆单状态 数据字典SPLIT_ORDER_STATUS:0未拆单 1已拆单")
	private Integer splitOrderStatus;

	@ApiModelProperty(value = "拆单类型 数据字典SPLIT_ORDER_TYPE:1未拆单 2拆分主单 3拆分子单 4中转主单 5中转子单")
	private Integer splitOrderType;

	@ApiModelProperty(value = "拆单类型")
	private String splitOrderTypeName;

	@ApiModelProperty(value = "父级运单ID")
	private String fatherShipbillId;

	@ApiModelProperty(value = "父级运单编号")
	private String fatherShipbillNo;

	@ApiModelProperty(value = "原始运单ID")
	private String originalShipbillId;

	@ApiModelProperty(value = "原始运单编号")
	private String originalShipbillNo;
}
