package com.prolog.rdc.tms.model.dto;

import com.prolog.rdc.tms.model.dto.basicData.ApprovalLogDTO;
import com.prolog.rdc.tms.model.dto.basicData.ApprovalNodeSelDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 自提登记审核的审批信息查询DTO
 * 
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/5/11 14:16
 */
@Data
@ApiModel("自提登记审核的审批信息查询DTO")
public class SelfPickUpRegApprovalDTO implements Serializable {
	private static final long serialVersionUID = -916438565329402361L;

	@ApiModelProperty(value = "自提登记时间")
	private String selfPickUpTime;

	@ApiModelProperty(value = "自提人")
	private String selfPickUpPerson;

	@ApiModelProperty(value = "联系方式")
	private String selfPickUpTel;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "身份证")
	private String idCard;

	@ApiModelProperty(value = "备注")
	private String selfPickUpMemo;

	@ApiModelProperty(value = "运单信息DTO")
	private List<ShipbillInfoDTO> shipbillInfoDTOList;

	@ApiModelProperty(value = "运单审核历史DTO")
	private List<ApprovalLogDTO> shipbillApprovalLogDTOList;

	@ApiModelProperty(value = "运单审核节点DTO")
	private List<ApprovalNodeSelDTO> shipbillApprovalNodeDTOList;
}
