package com.prolog.rdc.tms.model.dto;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 已派车地图明细DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/4/14 10:48
 */
@Data
@ApiModel("已派车地图明细DTO")
public class SendCarMapDetailDTO {

    @ApiModelProperty(value = "主键ID")
    private String id;

    @ApiModelProperty(value = "配送顺序")
    private Integer shippingOrder;

    @ApiModelProperty(value = "收货方名称")
    private String consigneeName;

    @ApiModelProperty(value = "收货方详细地址")
    private String consigneeAddress;

    @ApiModelProperty(value = "收货方联系人")
    private String consigneeContact;

    @ApiModelProperty(value = "收货方手机号")
    private String consigneePhoneNumber;

    @ApiModelProperty(value = "收货方经度")
    private BigDecimal consigneeLongitude;

    @ApiModelProperty(value = "收货方纬度")
    private BigDecimal consigneeLatitude;
}
