package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 派车单查根据单号查看DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/4/14 15:29
 */
@Data
@ApiModel("派车单查根据单号查看DTO")
public class SendCarViewByIdDTO implements Serializable {
    private static final long serialVersionUID = 2392765408566854835L;

    @ApiModelProperty(value = "装车单ID")
    private String loadingBillId;

    @ApiModelProperty(value = "装车单编号")
    private String loadingBillNo;

    @ApiModelProperty(value = "承运方类型 数据字典LINE_CARRIER_TYPE:1.承运商  2.司机")
    private Integer carrierType;

    @ApiModelProperty(value = "承运方类型名称 数据字典LINE_CARRIER_TYPE:1.承运商  2.司机")
    private String carrierTypeName;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "司机编号")
    private String driverCode;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "司机手机号")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "副司机ID")
    private String viceDriverId;

    @ApiModelProperty(value = "副司机编号")
    private String viceDriverCode;

    @ApiModelProperty(value = "副司机名称")
    private String viceDriverName;

    @ApiModelProperty(value = "副司机手机号")
    private String viceDriverPhoneNumber;

    @ApiModelProperty(value = "车辆ID")
    private Long vehicleId;

    @ApiModelProperty(value = "车辆编号")
    private String vehicleCode;

    @ApiModelProperty(value = "车辆名称")
    private String vehicleName;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "车型ID")
    private Long vehicleTypeId;

    @ApiModelProperty(value = "车型编码")
    private String vehicleTypeCode;

    @ApiModelProperty(value = "车型名称")
    private String vehicleTypeName;

    @ApiModelProperty(value = "送货员ID")
    private String deliverymanId;

    @ApiModelProperty(value = "送货员编号")
    private String deliverymanCode;

    @ApiModelProperty(value = "送货员名称")
    private String deliverymanName;

    @ApiModelProperty(value = "送货员手机号")
    private String deliverymanPhoneNumber;

    @ApiModelProperty(value = "副送货员ID")
    private String viceDeliverymanId;

    @ApiModelProperty(value = "副送货员编号")
    private String viceDeliverymanCode;

    @ApiModelProperty(value = "副送货员名称")
    private String viceDeliverymanName;

    @ApiModelProperty(value = "副送货员手机号")
    private String viceDeliverymanPhoneNumber;

    @ApiModelProperty(value = "运单数")
    private Integer shipbillNumber;

    @ApiModelProperty(value = "总件数")
    private BigDecimal totalPcs;

    @ApiModelProperty(value = "总体积")
    private BigDecimal totalVolume;

    @ApiModelProperty(value = "总重量")
    private BigDecimal totalWeight;

    @ApiModelProperty(value = "装载率")
    private String loadingRate;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "车辆类别数据字典VEHICLE_TYPE_CATEGORY：1冷藏车、2平顶车、3厢式货车")
    private String vehicleTypeCategory;

    @ApiModelProperty(value = "车辆类别")
    private String vehicleTypeCategoryName;

    @ApiModelProperty(value = "车辆设备ID")
    private String vehicleDeviceId;

    @ApiModelProperty(value = "车辆设备CODE")
    private String vehicleDeviceCode;

    @ApiModelProperty(value = "车辆设备名称")
    private String vehicleDeviceName;

    @ApiModelProperty(value = "车辆隶属机构ID")
    private String vehicleAffiliationId;

    @ApiModelProperty(value = "车辆隶属机构CODE")
    private String vehicleAffiliationCode;

    @ApiModelProperty(value = "车辆隶属机构名称")
    private String vehicleAffiliationName;

    @ApiModelProperty(value = "冷链运单数")
    private Long coldShipbillNumber;

    @ApiModelProperty(value = "紧急运单数")
    private Long urgentShipbillNumber;

    @ApiModelProperty(value = "总货主数")
    private Long cargoOwnerNumber;

    @ApiModelProperty(value = "容器名称")
    private String containerName;

    @ApiModelProperty(value = "运单集合")
    private List<SendCarViewDetailByIdDTO> sendCarViewDetailByIdDTOS = new ArrayList<SendCarViewDetailByIdDTO>();

    @ApiModelProperty(value = "系统标志")
    private String carrierSysFlag;

    @ApiModelProperty(value = "系统标志名称")
    private String carrierSysFlagName;
}
