package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运单打印头部DTO
 * 
 * @author Eton Woo
 * @date 2022/04/06
 */
@ApiModel("运单打印头部DTO")
@Data
public class ShipbillPrintHeadDTO implements Serializable {

	private static final long serialVersionUID = 5384235097059354025L;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;
	
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "订单时间")
	private Date createtime;
	
	@ApiModelProperty(value = "运单类型")
	private String orderType;
	
	@ApiModelProperty(value = "发货方")
	private String shipperName;
	
	@ApiModelProperty(value = "发货方联系人")
	private String shipperContact;
	
	@ApiModelProperty(value = "发货方座机号")
	private String shipperLandlineNumber;
	
	@ApiModelProperty(value = "发货方手机号")
	private String shipperPhoneNumber;
	
	@ApiModelProperty(value = "发货方省")
	private String shipperProvinceName;
	
	@ApiModelProperty(value = "发货方市")
	private String shipperCityName;
	
	@ApiModelProperty(value = "发货方区/县")
	private String shipperDistrictName;
	
	@ApiModelProperty(value = "发货方地址")
	private String shipperAddress;
	
	@ApiModelProperty(value = "收货方")
	private String consigneeName;
	
	@ApiModelProperty(value = "收货方联系人")
	private String consigneeContact;
	
	@ApiModelProperty(value = "收货方手机号")
	private String consigneePhoneNumber;
	
	@ApiModelProperty(value = "收货方座机号")
	private String consigneeLandlineNumber;
	
	@ApiModelProperty(value = "收货方省")
	private String consigneeProvinceName;
	
	@ApiModelProperty(value = "收货方市")
	private String consigneeCityName;
	
	@ApiModelProperty(value = "收货方区/县")
	private String consigneeDistrictName;
	
	@ApiModelProperty(value = "收货方地址")
	private String consigneeAddress;
}
