package com.prolog.rdc.tms.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 系统调度分组配置DTO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("系统调度分组配置DTO")
public class SysGroupCfgHdrDTO implements Serializable {

	private static final long serialVersionUID = -95869941042132913L;

	@ApiModelProperty(value = "id")
	private String id;

	@ApiModelProperty(value = "分组名称")
	private String groupName;

	@ApiModelProperty(value = "是否默认 Y是 N否")
	private String defaultFlag;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@ApiModelProperty(value = "总配置层级")
	private Integer totalLevel;

	@ApiModelProperty(value = "分组配置明细集合")
	List<SysGroupCfgDtlDTO> groupCfgDtlDTOList;

	@ApiModelProperty(value = "分组项目名称")
	private List<String> groupItemNames;

}
