package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 取号管理-取号信息 DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/4/20 12:22
 */
@Data
@ApiModel("取号管理-取号信息")
public class TakeNumberInfoDTO implements Serializable {

	private static final long serialVersionUID = 9219676961337892663L;

	@ApiModelProperty(value = "取号地点ID")
	private Long branchId;

	@ApiModelProperty(value = "取号地点编码")
	private String branchCode;

	@ApiModelProperty(value = "取号地点名称")
	private String branchName;

	@ApiModelProperty(value = "取号详细地址")
	private String branchAddress;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "司机编码")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "页面跳转标识 1按预约单取号 2按运单取号")
	private String flag;

}
