package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 托车单打印表格DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/4/14 15:29
 */
@Data
@ApiModel("托车单打印表格DTO")
public class TrailerPrintTableDTO implements Serializable {
    private static final long serialVersionUID = -2885963131128053364L;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "订单时间")
    private Date createtime;

    @ApiModelProperty(value = "发货方")
    private String shipperName;

    @ApiModelProperty(value = "发货方联系人")
    private String shipperContact;

    @ApiModelProperty(value = "发货方手机号")
    private String shipperPhoneNumber;

    @ApiModelProperty(value = "发货方详细地址")
    private String shipperAddress;

    @ApiModelProperty(value = "收货方")
    private String consigneeName;

    @ApiModelProperty(value = "收货方联系人")
    private String consigneeContact;

    @ApiModelProperty(value = "收货方手机号")
    private String consigneePhoneNumber;

    @ApiModelProperty(value = "收货方地址")
    private String consigneeAddress;
}
