package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 拖车单查根据单号查看DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/4/14 15:29
 */
@Data
@ApiModel("拖车单查根据单号查看DTO")
public class TrailerViewByIdDTO implements Serializable {
    private static final long serialVersionUID = 2392765408566854835L;

    @ApiModelProperty(value = "装车单ID")
    private String loadingBillId;

    @ApiModelProperty(value = "装车单编号")
    private String loadingBillNo;

    @ApiModelProperty(value = "承运方类型 数据字典LINE_CARRIER_TYPE:1.承运商  2.司机")
    private Integer carrierType;

    @ApiModelProperty(value = "承运方类型名称 数据字典LINE_CARRIER_TYPE:1.承运商  2.司机")
    private String carrierTypeName;

    @ApiModelProperty(value = "承运方ID")
    private Long carrierId;

    @ApiModelProperty(value = "承运方编码")
    private String carrierCode;

    @ApiModelProperty(value = "承运方名称")
    private String carrierName;

    @ApiModelProperty(value = "运单数")
    private Integer shipbillNumber;

    @ApiModelProperty(value = "总件数")
    private BigDecimal totalPcs;

    @ApiModelProperty(value = "总体积")
    private BigDecimal totalVolume;

    @ApiModelProperty(value = "总重量")
    private BigDecimal totalWeight;

    @ApiModelProperty(value = "运单集合")
    private List<TrailerViewDetailByIdDTO> trailerViewDetailByIdDTOS = new ArrayList<TrailerViewDetailByIdDTO>();

    @ApiModelProperty(value = "系统标志")
    private String carrierSysFlag;

    @ApiModelProperty(value = "系统标志名称")
    private String carrierSysFlagName;
}
