package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待送达-配载商品查询DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/6 18:03
 */
@Data
@ApiModel("待送达-配载商品查询DTO")
public class WaitDeliveredItemDetailDTO implements Serializable {

	private static final long serialVersionUID = -444123460334469102L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "明细行号")
	private Integer seqno;

	@ApiModelProperty(value = "商品ID")
	private Long itemId;

	@ApiModelProperty(value = "商品编码")
	private String itemCode;

	@ApiModelProperty(value = "商品名称")
	private String itemName;

	@ApiModelProperty(value = "商品品类名称")
	private String itemCategoryName;

	@ApiModelProperty(value = "包装类型  数据字典PACK_TYPE:1纸箱  2包装袋")
	private Integer packType;

	@ApiModelProperty(value = "包装类型名称  数据字典PACK_TYPE:1纸箱  2包装袋")
	private String packTypeName;

	@ApiModelProperty(value = "货物温层  数据字典CARGO_THERMOSPHERE:1常温 2冷藏 3冷冻")
	private Integer cargoThermosphere;

	@ApiModelProperty(value = "货物温层名称  数据字典CARGO_THERMOSPHERE:1常温 2冷藏 3冷冻")
	private String cargoThermosphereName;

	@ApiModelProperty(value = "剩余件数")
	private BigDecimal pcs;

	@ApiModelProperty(value = "剩余体积")
	private BigDecimal volume;

	@ApiModelProperty(value = "剩余重量")
	private BigDecimal weight;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "默认存放仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "默认存放仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "默认存放仓库名称")
	private String branchName;

	@ApiModelProperty(value = "库存件数")
	private Integer inventoryPcs;

	@ApiModelProperty(value = "暂存位")
	private String stagingLocation;

	@ApiModelProperty(value = "发货件数")
	private BigDecimal deliveryPcs;

	@ApiModelProperty(value = "发货重量")
	private BigDecimal deliveryWeight;

	@ApiModelProperty(value = "发货体积")
	private BigDecimal deliveryVolume;

	@ApiModelProperty(value = "原始件数")
	private BigDecimal origPcs;

	@ApiModelProperty(value = "关闭件数")
	private BigDecimal closingPcs;

	@ApiModelProperty(value = "签收数量")
	private BigDecimal signInPcs;

	@ApiModelProperty(value = "温控区间（上限）")
	private BigDecimal temperatureCtlUpperLimit;

	@ApiModelProperty(value = "温控区间（下限）")
	private BigDecimal temperatureCtlLowerLimit;

	@ApiModelProperty(value = "单位体积")
	private BigDecimal unitVolume;

	@ApiModelProperty(value = "单位重量")
	private BigDecimal unitWeight;

	@ApiModelProperty(value = "提货件数")
	private BigDecimal pickUpPcs;
}
