package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 待理货——配载商品DTO
 *
 * @author xyf
 * @since 2022/6/1 15:29
 */
@Data
@ApiModel("配载包裹DTO")
public class WaitForArrangeGoodsPackageDTO implements Serializable {

    private static final long serialVersionUID = 143259325234539797L;

    @ApiModelProperty(value = "包裹ID")
    private String packageId;

    @ApiModelProperty(value = "包裹号")
    private String packageCode;

    @ApiModelProperty(value = "包裹类型")
    private Integer packageType;

    @ApiModelProperty(value = "包裹类型名称")
    private String packageTypeName;

    @ApiModelProperty(value = "数量")
    private BigDecimal pcs;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "暂存区")
    private String storageCache;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "关联设备类型")
    private Integer deviceCompany;

    @ApiModelProperty(value = "关联设备类型名称")
    private String deviceCompanyName;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

}
