package com.prolog.rdc.tms.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 待理货——收货方模式分页查询DTO
 *
 * @author xyf
 * @since 2022/6/1 15:29
 */
@Data
@ApiModel("收货方模式分页查询DTO")
public class WaitForArrangeGoodsReceiverPageDTO implements Serializable {

	private static final long serialVersionUID = -8583550197782251605L;

	@ApiModelProperty(value = "group by分组查询返回虚拟主键")
	private Integer id;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillIds;

	@ApiModelProperty(value = "运单集")
	private String shipbillIds;

	@ApiModelProperty(value = "收货方ID")
	private Long consigneeId;

	@ApiModelProperty(value = "收货方单位")
	private String consigneeUnitName;

	@ApiModelProperty(value = "收货方")
	private String consigneeName;

	@ApiModelProperty(value = "手机号")
	private String consigneePhoneNumber;

	@ApiModelProperty(value = "座机号")
	private String consigneeLandlineNumber;

	@ApiModelProperty(value = "目的地")
	private String consigneeProvinceCityDistrict;

	private String consigneePCD;

	@ApiModelProperty(value = "详细地址")
	private String consigneeAddress;

	@ApiModelProperty(value = "承运商")
	private String carrierName;

	@ApiModelProperty(value = "司机")
	private String driverName;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "预计送达时间")
	private Date estimatedDeliveryTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计送达开始时间")
	private Date estimatedDeliveryStartTime;

	@ApiModelProperty(value = "发货方单位")
	private String shipperUnitName;

	@ApiModelProperty(value = "发货方")
	private String shipperName;

	@ApiModelProperty(value = "运单数")
	private BigDecimal count;

	@ApiModelProperty(value = "总整件数")
	private BigDecimal packageWholePiece;

	@ApiModelProperty(value = "总拼箱数")
	private BigDecimal packageLclPiece;

	@ApiModelProperty(value = "总件数")
	private BigDecimal totalPcs;

	@ApiModelProperty(value = "总重量")
	private BigDecimal totalWeight;

	@ApiModelProperty(value = "总体积")
	private BigDecimal totalVolume;

}
