package com.prolog.rdc.tms.model.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 待自提导出DTO
 *
 * @author xyf
 * @since 2022/4/13 14:17
 *
 */
@ApiModel("待自提导出DTO")
@Data
public class WaitForSelfWithdrawalExportDTO implements Serializable {

    private static final long serialVersionUID = 143259325237539797L;

    @ExcelProperty(value = "运单号")
    private String shipbillNo;

    @ExcelProperty(value = "货主")
    private String cargoOwnerName;

    @ExcelProperty(value = "订单号")
    private String orderNo;

    @ExcelProperty(value = "所属部门")
    private String departmentName;

    @ExcelProperty(value = "自提司机")
    private String driverName;

    @ExcelProperty(value = "司机手机号")
    private String driverPhoneNumber;

    @ExcelProperty(value = "身份手机号")
    private String idCrad;

    @ExcelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ExcelProperty(value = "运单状态")
    private String status;

    /*@ExcelProperty(value = "运输状态")
    private String transportStatus;

    @ExcelProperty(value = "异常状态")
    private String abnormalStatus;

    @ExcelProperty(value = "扫描状态")
    private String scanStatus;*/

    /*@ExcelProperty(value = "承运方类型")
    private String carrierType;

    @ExcelProperty(value = "调度单号")
    private String loadingBillNo;

    @ExcelProperty(value = "承运方名称")
    private String carrierName;

    @ExcelProperty(value = "送货员姓名")
    private String deliverymanName;

    @ExcelProperty(value = "车牌号")
    private String vehiclePlateNumber;*/

    @ExcelProperty(value = "WMS单号")
    private String wmsOrderNo;

    @ExcelProperty(value = "订单类型")
    private String orderType;

    @ExcelProperty(value = "业务类型")
    private String orderBusinessType;

    @ExcelProperty(value = "配送方式")
    private String deliveryMethodType;

    @ExcelProperty(value = "运输模式")
    private String transportType;

    @ExcelProperty(value = "温度要求")
    private String temperatureRequirement;

    @ExcelProperty(value = "线路")
    private String lineName;

    @ExcelProperty(value = "备注")
    private String memo;

    //取自运单汇总
    @ExcelProperty(value = "客户下单日期")
    private Date orderDate;

    @ExcelProperty(value = "预计提货开始时间")
    private Date estimatedPickupStartTime;

    @ExcelProperty(value = "预计送达开始时间")
    private Date estimatedDeliveryStartTime;

    @ExcelProperty(value = "时效")
    private BigDecimal transportAging;

    @ExcelProperty(value = "收货方类型")
    private Integer consigneeType;

    @ApiModelProperty(value = "收货方目的地")
    private String consigneeProvinceCityDistrict;

    @ExcelProperty(value = "收货方单位")
    private String consigneeUnitName;

    @ExcelProperty(value = "收货方收货方")
    private String consigneeName;

    @ExcelProperty(value = "收货方联系人")
    private String consigneeContact;

    @ExcelProperty(value = "收货方手机号")
    private String consigneePhoneNumber;

    @ExcelProperty(value = "收货方座机号")
    private String consigneeLandlineNumber;

    @ExcelProperty(value = "收货方邮箱")
    private String consigneeEmail;

    @ExcelProperty(value = "收货方详细地址")
    private String consigneeAddress;

    @ExcelProperty(value = "收货方位置")
    private String consigneePoint;

    @ExcelProperty(value = "收货方备注")
    private String consigneeMemo;

    @ExcelProperty(value = "发货方类型")
    private Integer shipperType;

    @ExcelProperty(value = "发货方单位")
    private String shipperUnitName;

    @ExcelProperty(value = "发货方")
    private String shipperName;

    @ApiModelProperty(value = "发货方始发地")
    private String shipperProvinceCityDistrict;

    @ExcelProperty(value = "发货方联系人")
    private String shipperContact;

    @ExcelProperty(value = "发货方手机号")
    private String shipperPhoneNumber;

    @ExcelProperty(value = "发货方座机号")
    private String shipperLandlineNumber;

    @ExcelProperty(value = "发货方邮箱")
    private String shipperEmail;

    @ExcelProperty(value = "发货方详细地址")
    private String shipperAddress;

    @ExcelProperty(value = "发货方位置")
    private String shipperPoint;

    @ExcelProperty(value = "发货方备注")
    private String shipperMemo;

    @ExcelProperty(value = "总件数")
    private BigDecimal totalPcs;

    @ExcelProperty(value = "总重量")
    private BigDecimal totalWeight;

    @ExcelProperty(value = "总体积")
    private BigDecimal totalVolume;

    @ExcelProperty(value = "整件数")
    private BigDecimal packageWholePiece;

    @ExcelProperty(value = "拼箱数")
    private BigDecimal packageLclPiece;

    @ExcelProperty(value = "包裹总重量")
    private BigDecimal packageTotalWeight;

    @ExcelProperty(value = "包裹总体积")
    private BigDecimal packageTotalVolume;

    @ExcelProperty(value = "创建人")
    private String createperson;

    @ExcelProperty(value = "创建时间")
    private Date createtime;

    @ExcelProperty(value = "修改人")
    private String updateperson;

    @ExcelProperty(value = "修改时间")
    private Date updatetime;

}
