package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 整车直发配载包裹DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/6/13 13:46
 */
@Data
@ApiModel("整车直发配载包裹DTO")
public class WholeCarDeliveryPackDTO implements Serializable {

    private static final long serialVersionUID = -3539053748058107759L;

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @ApiModelProperty(value = "包裹ID")
    private String packageId;

    @ApiModelProperty(value = "包裹编号")
    private String packageCode;

    @ApiModelProperty(value = "包裹类型 数据字典PACKAGE_TYPE:1整件 2拼箱")
    private Integer packageType;

    @ApiModelProperty(value = "包裹类型名称 数据字典PACKAGE_TYPE:1整件 2拼箱")
    private String packageTypeName;

    @ApiModelProperty(value = "件数")
    private BigDecimal pcs;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "设备编码")
    private String deviceCode;

    @ApiModelProperty(value = "设备类型名称")
    private String deviceTypeName;

    @ApiModelProperty(value = "暂存区")
    private String storageCache;

    @ApiModelProperty(value = "备注")
    private String memo;

}
