package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 整车直发派车单DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/6/13 13:46
 */
@Data
@ApiModel("整车直发派车单DTO")
public class WholeCarDeliveryPageDTO implements Serializable {

	private static final long serialVersionUID = -2437748518820095858L;

	@ApiModelProperty(value = "派车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "派车单号")
	private String loadingBillNo;

	@ApiModelProperty(value = "分组名称")
	private String groupName;

	@ApiModelProperty(value = "派车单状态 数据字典：LOADING_BILL_STATUS:10未审核 20已审核")
	private Integer status;

	@ApiModelProperty(value = "派车单状态")
	private String statusName;

	@ApiModelProperty(value = "运单数")
	private Integer shipbillNumber;

	@ApiModelProperty(value = "客户数")
	private Integer customerNumber;

	@ApiModelProperty(value = "总站点数")
	private Integer siteNumber;

	@ApiModelProperty(value = "总整件数")
	private BigDecimal totalWholePiece;

	@ApiModelProperty(value = "总拼箱数")
	private BigDecimal totalLclPiece;

	@ApiModelProperty(value = "总件数")
	private BigDecimal totalPcs;

	@ApiModelProperty(value = "总重量")
	private BigDecimal totalWeight;

	@ApiModelProperty(value = "总体积")
	private BigDecimal totalVolume;

	@ApiModelProperty(value = "总里程数")
	private BigDecimal totalMileage;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "送货员名称")
	private String deliverymanName;

	@ApiModelProperty(value = "送货员手机号")
	private String deliverymanPhoneNumber;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "车型")
	private String vehicleTypeName;

	@ApiModelProperty(value = "配载体积装载率")
	private String volumeLoadingRate;

	@ApiModelProperty(value = "配载重量装载率")
	private String weightLoadingRate;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

}
