package com.prolog.rdc.tms.model.dto.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 客户收货方 DTO
 * <p>
 * Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author hongbo.pan
 * @since 2023-08-29 12:27:10
 */
@Data
public class IntelligentConsigneeDTO {

	@ApiModelProperty(value = "收货方ID")
	private String id;

	@ApiModelProperty(value = "收货方编码")
	private String code;

	@ApiModelProperty(value = "收货方名称")
	private String name;

	@ApiModelProperty(value = "客户ID 关联TMS_BASE_CUSTOMER表主键")
	private String customerId;

	@ApiModelProperty(value = "客户编号")
	private String customerCode;

	@ApiModelProperty(value = "客户名称")
	private String customerName;

	@ApiModelProperty(value = "联系人")
	private String contact;

	@ApiModelProperty(value = "手机号")
	private String phoneNumber;

	@ApiModelProperty(value = "座机号")
	private String landlineNumber;

	@ApiModelProperty(value = "邮箱")
	private String email;

	@ApiModelProperty(value = "关联手机号")
	private String relationPhoneNumber;

	@ApiModelProperty(value = "省编码")
	private String province;

	@ApiModelProperty(value = "省名称")
	private String provinceName;

	@ApiModelProperty(value = "市编码")
	private String city;

	@ApiModelProperty(value = "市名称")
	private String cityName;

	@ApiModelProperty(value = "区编码")
	private String district;

	@ApiModelProperty(value = "区名称")
	private String districtName;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "经度")
	private String longitude;

	@ApiModelProperty(value = "纬度")
	private String latitude;

	@ApiModelProperty(value = "每日作业开始时间")
	private String startTime;

	@ApiModelProperty(value = "每日作业结束时间")
	private String endTime;

	@ApiModelProperty(value = "装车时长")
	private String loadingTime;
}
