package com.prolog.rdc.tms.model.dto.intelligent;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author hongbo.pan
 * @date 2023/8/28
 */
@Data
public class IntelligentDTO {

    @JSONField(name = "TaskId")
    @ApiModelProperty(value = "任务唯一标识")
    private String taskId;

    @ApiModelProperty(value = "调度限制条件")
    private List<IntelligentLimitOrRuleDTO> dispatchLimit;

    @ApiModelProperty(value = "调度规则")
    private List<IntelligentLimitOrRuleDTO> dispatchRules;

    @ApiModelProperty(value = "调度模式")
    private IntelligentModeDTO dispatchModes;

    @ApiModelProperty(value = "仓库信息")
    private List<IntelligentBranchDTO> branchs;

    @ApiModelProperty(value = "车辆信息")
    private List<IntelligentVehicleDTO> vehicle;

    @ApiModelProperty(value = "车型信息")
    private List<IntelligentVehicleTypeDTO> vehicleTypes;

    @ApiModelProperty(value = "客户信息")
    private IntelligentCustomersDTO customers;

    @ApiModelProperty(value = "路径距离")
    private List<Map<String, String>> pathDistances;

    @ApiModelProperty(value = "运单信息")
    private List<IntelligentShipBillDTO> shipbills;

}
