package com.prolog.rdc.tms.model.dto.intelligent;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
* 智能调度回调 DTO
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-08-24 12:27:10
*/
@Data
public class IntelligentDispatchCallBackDTO {

    @ApiModelProperty(value = "任务唯一标识")
    private String taskId;

    @ApiModelProperty(value = "进程id")
    private String processId;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "回调时间")
    private Date callBackTime;

    @ApiModelProperty(value = "进度")
    private BigDecimal progress;

    @ApiModelProperty(value = "剩余时间（秒）")
    private Integer surplusTime;

    @ApiModelProperty(value = "阶段 1:订单车辆数据预处理 2:运单车辆匹配初始化阶段 3:车辆路线规划阶段")
    private Integer stage;

    @ApiModelProperty(value = "回调类型 1:返回进程id 2:返回处理进度 3:返回处理结果")
    private Integer callBackType;

    @ApiModelProperty(value = "算法返回结果")
    private String resultJson;

}
