package com.prolog.rdc.tms.model.dto.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hongbo.pan
 * @date 2023/8/24
 */
@Data
public class IntelligentDispatchGroupPreDataDTO {

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "货主ID")
    private Long cargoOwnerId;

    @ApiModelProperty(value = "货主名称")
    private String cargoOwnerName;

    @ApiModelProperty(value = "订单业务类型 数据字典ORDER_BUSINESS_TYPE：1销售订单-直送  2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提 5销售退货 6采购退货 7调拨")
    private Integer orderBusinessType;

    @ApiModelProperty(value = "运输类型(运输模式) 数据字典TRANSPORT_TYPE:1整车 2零担")
    private Integer transportType;

    @ApiModelProperty(value = "配送方式 数据字典DELIVERY_METHOD_TYPE：1配送 2自提")
    private Integer deliveryMethodType;

    @ApiModelProperty(value = "温度要求 数据字典TEMPERATURE_REQUIREMENT：1常温 2冷藏 3冷冻 4恒温")
    private Integer temperatureRequirement;

    @ApiModelProperty(value = "商品品类ID")
    private String itemCategoryId;

    @ApiModelProperty(value = "商品品类名称")
    private String itemCategoryName;

    @ApiModelProperty(value = "线路ID")
    private String lineId;

    @ApiModelProperty(value = "线路名称")
    private String lineName;

    @ApiModelProperty(value = "发货方站点ID")
    private String shipperStationId;

    @ApiModelProperty(value = "发货方站点名称")
    private String shipperStationName;

    @ApiModelProperty(value = "发货方站点区域")
    private String shipperStationAreas;

    @ApiModelProperty(value = "收货方站点ID")
    private String consigneeStationId;

    @ApiModelProperty(value = "收货方站点名称")
    private String consigneeStationName;

    @ApiModelProperty(value = "收货方站点区域")
    private String consigneeStationAreas;


}
