package com.prolog.rdc.tms.model.dto.intelligent;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;


/**
* 智能调度派车单表 DTO
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-08-24 12:27:10
*/
@Data
public class IntelligentDispatchLoadingDTO {

    @ApiModelProperty(value = "调度单id")
    private String loadingId;

    @ApiModelProperty(value = "智能调度单")
    private String intelligentDispatchId;

    @ApiModelProperty(value = "行驶时长")
    private BigDecimal driveDuration;

    @ApiModelProperty(value = "总里程数")
    private BigDecimal totalMileage;

    @ApiModelProperty(value = "预估成本")
    private BigDecimal estimateCost;

    @ApiModelProperty(value = "装载率")
    private BigDecimal loadingRate;

    @ApiModelProperty(value = "装载率")
    private String loadingRateName;

    @ApiModelProperty(value = "调度状态 数据字典：INTELLIGENT_DISPATCH_LOADING_STATUS:1待调度 2已调度")
    private Integer status;

    @ApiModelProperty(value = "调度状态")
    private String statusName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

    @ApiModelProperty(value = "司机ID")
    private Long driverId;

    @ApiModelProperty(value = "司机编号")
    private String driverCode;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "司机手机号")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "副司机ID")
    private String viceDriverId;

    @ApiModelProperty(value = "副司机编号")
    private String viceDriverCode;

    @ApiModelProperty(value = "副司机名称")
    private String viceDriverName;

    @ApiModelProperty(value = "副司机手机号")
    private String viceDriverPhoneNumber;

    @ApiModelProperty(value = "车辆ID")
    private Long vehicleId;

    @ApiModelProperty(value = "车辆编号")
    private String vehicleCode;

    @ApiModelProperty(value = "车辆名称")
    private String vehicleName;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "车辆归属")
    private Integer vehicleAscription;

    @ApiModelProperty(value = "车辆隶属机构ID")
    private String vehicleAffiliationId;

    @ApiModelProperty(value = "车辆隶属机构CODE")
    private String vehicleAffiliationCode;

    @ApiModelProperty(value = "车辆隶属机构名称")
    private String vehicleAffiliationName;

    @ApiModelProperty(value = "车型ID")
    private Long vehicleTypeId;

    @ApiModelProperty(value = "车型编码")
    private String vehicleTypeCode;

    @ApiModelProperty(value = "车型名称")
    private String vehicleTypeName;

    @ApiModelProperty(value = "车辆类别")
    private String vehicleTypeCategory;

    @ApiModelProperty(value = "车辆类别")
    private String vehicleTypeCategoryName;

    @ApiModelProperty(value = "车型载方")
    private BigDecimal vehicleTypeVolume;

    @ApiModelProperty(value = "车型载重")
    private BigDecimal vehicleTypeWeight;

    @ApiModelProperty(value = "送货员ID")
    private Long deliverymanId;

    @ApiModelProperty(value = "送货员编号")
    private String deliverymanCode;

    @ApiModelProperty(value = "送货员名称")
    private String deliverymanName;

    @ApiModelProperty(value = "送货员手机号")
    private String deliverymanPhoneNumber;

    @ApiModelProperty(value = "副送货员ID")
    private String viceDeliverymanId;

    @ApiModelProperty(value = "副送货员编号")
    private String viceDeliverymanCode;

    @ApiModelProperty(value = "副送货员名称")
    private String viceDeliverymanName;

    @ApiModelProperty(value = "副送货员手机号")
    private String viceDeliverymanPhoneNumber;

    @ApiModelProperty(value = "承运方类型 数据字典LINE_CARRIER_TYPE:1.承运商  2.司机")
    private Integer carrierType;

    @ApiModelProperty(value = "承运方ID")
    private Long carrierId;

    @ApiModelProperty(value = "承运方编码")
    private String carrierCode;

    @ApiModelProperty(value = "承运方名称")
    private String carrierName;

    @ApiModelProperty(value = "运单数")
    private Integer shipBillNum;

    @ApiModelProperty(value = "地图总里程数")
    private BigDecimal totalMileageMap;

    @ApiModelProperty(value = "总件数")
    private BigDecimal totalPcs;

    @ApiModelProperty(value = "总体积")
    private BigDecimal totalVolume;

    @ApiModelProperty(value = "总重量")
    private BigDecimal totalWeight;

    @ApiModelProperty(value = "配载体积装载率")
    private BigDecimal volumeLoadingRate;

    @ApiModelProperty(value = "配载重量装载率")
    private BigDecimal weightLoadingRate;

    @ApiModelProperty(value = "所属部门ID")
    private String departmentId;

    @ApiModelProperty(value = "所属部门编码")
    private String departmentCode;

    @ApiModelProperty(value = "所属部门名称")
    private String departmentName;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "设备CODE")
    private String deviceCode;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "容器id")
    private String containerId;

    @ApiModelProperty(value = "容器编号")
    private String containerCode;

    @ApiModelProperty(value = "容器名称")
    private String containerName;

    @ApiModelProperty(value = "智能调度运单")
    private List<IntelligentDispatchShipDTO> shipDTOList;

    @ApiModelProperty(value = "发货地")
    private String shipmentAddress;

    @ApiModelProperty(value = "收货地")
    private String receiptAddress;
}
