package com.prolog.rdc.tms.model.dto.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* 车型车辆 DTO
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-08-28 12:27:10
*/
@Data
public class IntelligentVehicleTypeDTO {

    @ApiModelProperty(value = "车型ID")
    private String id;

    @ApiModelProperty(value = "车型编码")
    private String code;

    @ApiModelProperty(value = "车型名称")
    private String name;

    @ApiModelProperty(value = "车型类别 数据字典VEHICLE_TYPE_CATEGORY：1冷藏车、2平顶车、3厢式货车")
    private String type;

    @ApiModelProperty(value = "长(m)")
    private String length;

    @ApiModelProperty(value = "宽(m)")
    private String width;

    @ApiModelProperty(value = "高(m)")
    private String height;

    @ApiModelProperty(value = "最大行驶里程(km)")
    private String maxMileage;

    @ApiModelProperty(value = "最多订单数量")
    private String maxOrders;

    @ApiModelProperty(value = "载重(kg)")
    private String weight;

    @ApiModelProperty(value = "载方(m³)")
    private String volume;

    @ApiModelProperty(value = "最大装载体积(m³)")
    private String maxLoadingVolume;

    @ApiModelProperty(value = "最大装载重量(kg)")
    private String maxLoadingWeight;

    @ApiModelProperty(value = "最大装载件数")
    private String maxLoadingPcs;

    @ApiModelProperty(value = "最大装载率")
    private String maxLoadingRatio;

    @ApiModelProperty(value = "最小装载率")
    private String minLoadingRatio;

    @ApiModelProperty(value = "最多配送客户数（最多配送网点数）")
    private String sites;

    @ApiModelProperty(value = "车辆可用数量")
    private String usableCount;
}
