package com.prolog.rdc.tms.model.dto.intransit;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
* GPS表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-03-23 13:37:33
*/
@Data
public class VehicleAlarmDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private String id;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "设备号")
    private String deviceCode;

    @ApiModelProperty(value = "报警类型")
    private String alarmType;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "开始位置")
    private String startPlacename;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "结束位置")
    private String endPlacename;

    @ApiModelProperty(value = "报警内容")
    private String alarmContent;

    @ApiModelProperty(value = "持续时长(秒)")
    private BigDecimal duration;

    @ApiModelProperty(value = "开始位置维度")
    private BigDecimal startLat;

    @ApiModelProperty(value = "开始位置经度")
    private BigDecimal startLon;

    @ApiModelProperty(value = "结束位置维度")
    private BigDecimal endLat;

    @ApiModelProperty(value = "结束位置经度")
    private BigDecimal endLon;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

    @ApiModelProperty(value = "来源")
    private String sourceType;

    @ApiModelProperty(value = "来源id")
    private String sourceId;

}
