package com.prolog.rdc.tms.model.dto.planMng;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 计划单导出DTO
 *
 * @author lhb
 * @since 2023-06-07 15:30:16
 */
@Data
@ApiModel("计划单导出DTO")
public class PlanBillExportDTO implements Serializable {

	private static final long serialVersionUID = -95869941042132913L;


	@ExcelProperty(value = "计划单号")
	private String planBillNo;

	@ExcelProperty(value = "货主")
	private String cargoOwnerName;

	@ExcelProperty(value = "收货方")
	private String consigneeName;

	@ExcelProperty(value = "计划状态")
	private String statusName;

	@ExcelProperty(value = "承运商类型")
	private String carrierTypeName;

	@ExcelProperty(value = "承运商")
	private String carrierName;

	@ExcelProperty(value = "司机")
	private String driverName;

	@ExcelProperty(value = "车辆")
	private String vehicleName;

	@ExcelProperty(value = "计划箱数")
	private Long planTotalPcs;

	@ExcelProperty(value = "实际箱数")
	private Long actualTotalPcs;

	@ExcelProperty(value = "计划车数")
	private Long planTotalVehicleNumber;

	@ExcelProperty(value = "实际车数")
	private Long actualTotalVehicleNumber;

	@ExcelProperty(value = "计划发运日期")
	private Date planDeliveryDate;

	@ExcelProperty(value = "超限提交日期")
	private Date transfiniteCommitDate;

	@ExcelProperty(value = "超限说明")
	private String transfiniteDescription;

	@ExcelProperty(value = "待发运说明")
	private String deliveryDescription;

	@ExcelProperty(value = "产品名称")
	private String productName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ExcelProperty(value = "创建时间")
	private Date createtime;

	@ExcelProperty(value = "创建人")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ExcelProperty(value = "修改时间")
	private Date updatetime;

	@ExcelProperty(value = "修改人")
	private String updateperson;
}
