package com.prolog.rdc.tms.model.dto.planMng;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 计划单按周查询DTO
 *
 * @author lhb
 * @since 2023-06-07 15:30:16
 */
@Data
@ApiModel("计划单按周查询DTO")
public class PlanBillHeaderQueryDTO implements Serializable {

	private static final long serialVersionUID = -95869941042132913L;

	@ApiModelProperty(value = "运输计划单IDs")
	private String planBillIds;

	@ApiModelProperty(value = "运输计划单ID")
	private String planBillId;

	@ApiModelProperty(value = "运输计划单编号")
	private String planBillNo;

	@ApiModelProperty(value = "订单ID")
	private String orderId;

	@ApiModelProperty(value = "订单编号")
	private String orderNo;

	@ApiModelProperty(value = "计划日期")
	private Date planDate;

	@ApiModelProperty(value = "计划总箱数")
	private Long planTotalPcs;

	@ApiModelProperty(value = "实际总箱数")
	private Long actualTotalPcs;

	@ApiModelProperty(value = "计划总箱数/实际总箱数")
	private String totalPcs;

	@ApiModelProperty(value = "计划总车数")
	private Long planTotalVehicleNumber;

	@ApiModelProperty(value = "实际总车数")
	private Long actualTotalVehicleNumber;

	@ApiModelProperty(value = "计划总车数/实际总车数")
	private String totalVehicleNumber;

	@ApiModelProperty(value = "待发运情况说明")
	private String deliveryDescription;

	@ApiModelProperty(value = "超限说明")
	private String transfiniteDescription;

	@ApiModelProperty(value = "超限提交日期")
	private Date transfiniteCommitDate;

	@ApiModelProperty(value = "超限名称")
	private String isTransfiniteName;

}
