package com.prolog.rdc.tms.model.dto.planMng;

import com.baomidou.mybatisplus.annotation.Version;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Value;

import java.math.BigDecimal;
import java.util.List;

/**
 * 计划系统分组-查询 DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author lhb
 * @since 2022/4/20 12:22
 */
@Data
@ApiModel("计划系统分组-查询DTO")
public class PlanGroupQueryDTO {

    @ApiModelProperty(value = "行ID")
    private String id;

    @ApiModelProperty(value = "多个计划单明细ID")
    private String planDetailIds;

    @ApiModelProperty(value = "可配载计划单明细件数")
    private Integer loadingPlanDetailQty;

    @ApiModelProperty(value = "分组名称")
    private String groupName;

    @ApiModelProperty(value = "收货方数")
    private Integer consigneeQty;

    @ApiModelProperty(value = "承运单位数")
    private Integer carrierUnitQty;

    @ApiModelProperty(value = "总重量")
    private BigDecimal totalWeight;

    @ApiModelProperty(value = "总件数")
    private Integer totalPcs;

    @ApiModelProperty(value = "总体积")
    private BigDecimal totalVolume;

    @ApiModelProperty(value = "计划总车数")
    private Integer planTotalVehicleQty;

    @ApiModelProperty(value = "超限单数")
    private Integer transfiniteQty;

    @ApiModelProperty(value = "总计划单数")
    private Integer totalPlanBillQty;

    @ApiModelProperty(value = "总运单数")
    private Integer totalShipbillQty;

    @ApiModelProperty(value = "系统分组维度集合")
    private List<String> groupDimensionList;

    @ApiModelProperty(value = "分组项目")
    private String groupItem;

    @ApiModelProperty(value = "运输计划单编号")
    public String planBillNo;

    @ApiModelProperty(value = "运单编号")
    public String shipbillNo;

    @ApiModelProperty(value = "收货方名称,consignee_name")
    public String consigneeName;

    @ApiModelProperty(value = "订单编号")
    public String orderNo;

    @ApiModelProperty(value = "所属部门名称")
    public String departmentName;

    @ApiModelProperty(value = "计划发运日期")
    public String planDeliveryDate;

    @ApiModelProperty(value = "是否超限  0否 1是")
    public Integer isTransfinite;

    @ApiModelProperty(value = "承运方名称")
    public String carrierName;
}
