package com.prolog.rdc.tms.model.dto.report;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 酸奶运营报表DTO
 * @author lhb
 * @since 2023-03-08 15:30:16
 */
@Data
@ApiModel("酸奶运营报表导出DTO")
public class YogurtOperationExportDTO {
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ExcelProperty({"武汉逸飞物流有限公司低温运营表","调度日期"})
    private Date disDate;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "配送线路"})
    private String lineSites;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "总重量"})
    private BigDecimal totalWeight;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "金额"})
    private BigDecimal totalAmt;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "温度"})
    private BigDecimal temperature;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "车型"})
    private String vehicleTypeName;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "车牌号"})
    private String vehiclePlateNumber;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "司机"})
    private String driverName;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "电话"})
    private String driverPhoneNumber;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "设备号"})
    private String vehicleDeviceName;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "总体积"})
    private BigDecimal totalVolume;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "总里程数"})
    private BigDecimal totalMileage;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "地图总里程数"})
    private BigDecimal totalMileageMap;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "派车单号"})
    private String loadingBillNo;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "派车单状态"})
    private String statusName;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "货主"})
    private String cargoOwnerName;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "创建人"})
    private String createperson;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ExcelProperty({"武汉逸飞物流有限公司低温运营表","创建时间"})
    private Date createtime;

    @ExcelProperty({"武汉逸飞物流有限公司低温运营表", "备注"})
    private String memo;

}
