package com.prolog.rdc.tms.model.dto.report;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 酸奶运营报表DTO
 * @author lhb
 * @since 2023-03-08 15:30:16
 */
@Data
@ApiModel("酸奶运营报表DTO")
public class YogurtOperationReportDTO {

    @ApiModelProperty(value = "主键ID")
    private String id;

    @ApiModelProperty(value = "主键ID")
    private String ids;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "调度日期")
    private Date disDate;

    @ApiModelProperty(value = "线路名称")
    private String lineSites;

    @ApiModelProperty(value = "总重量")
    private BigDecimal totalWeight;

    @ApiModelProperty(value = "总金额")
    private BigDecimal totalAmt;

    @ApiModelProperty(value = "温度")
    private BigDecimal temperature;

    @ApiModelProperty(value = "车型名称")
    private String vehicleTypeName;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "司机手机号")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "车辆设备名称")
    private String vehicleDeviceName;

    @ApiModelProperty(value = "总体积")
    private BigDecimal totalVolume;

    @ApiModelProperty(value = "总里程数")
    private BigDecimal totalMileage;

    @ApiModelProperty(value = "地图总里程")
    private BigDecimal totalMileageMap;

    @ApiModelProperty(value = "装车单编号")
    private String loadingBillNo;

    private String loadingBillId;

    @ApiModelProperty(value = "装车单状态")
    private Integer status;

    @ApiModelProperty(value = "装车单状态名称")
    private String statusName;

    @ApiModelProperty(value = "货主名称")
    private String cargoOwnerName;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @ApiModelProperty(value = "备注")
    private String memo;

}
