package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import com.prolog.wms.common.annotation.TranslSymbol;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 打印路由配置表
 *
 * @className :SysDefineprintrouteModel
 * @author :fanzw
 * @creationTime :2022/05/17
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/05/17
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table(value = "sys_defineprintroute")
public class SysDefineprintrouteModel implements Serializable {

	private static final long serialVersionUID = 9033298029567924311L;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterpriseid")
	private Long enterpriseId;

	@ApiModelProperty(value = "仓ID")
	@Column(value = "branchid")
	private Long branchId;

	@ApiModelProperty(value = "路由配置ID")
	@Id
	@Column(value = "printrouteid")
	private String printrouteid;

	@ApiModelProperty(value = "IP地址")
	@Column(value = "printername")
	private String printername;

	@ApiModelProperty(value = "状态")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "工号")
	@Column(value = "operatorcode")
	private String operatorcode;

	@ApiModelProperty(value = "人员名称")
	@Column(value = "operatorname")
	private String operatorname;

	@ApiModelProperty(value = "字符属性扩展1")
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "字符属性扩展2")
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "字符属性扩展3")
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "字符属性扩展4")
	@Column(value = "attr_str4")
	private String attrStr4;

	@ApiModelProperty(value = "字符属性扩展5")
	@Column(value = "attr_str5")
	private String attrStr5;

	@ApiModelProperty(value = "备注")
	@Column(value = "remark")
	private String remark;

	@TranslSymbol
	protected String createby;
	@DateTimeFormat("yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	protected Date createdate;
	@TranslSymbol
	protected String lastmodifyby;
	@DateTimeFormat("yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	protected Date lastmodifydate;

}
