package com.prolog.rdc.tms.model.entity;

import java.math.BigDecimal;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
* 装车单汇总表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-08-24 12:27:10
*/
@Data
@Table(value = "tms_intelligent_dispatch_ship")
public class TmsIntelligentDispatchShip implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @Id
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "运单id")
    @Column(value = "shipbill_id")
    private String shipbillId;

    @ApiModelProperty(value = "调度单id")
    @Column(value = "loading_id")
    private String loadingId;

    @ApiModelProperty(value = "智能调度单")
    @Column(value = "intelligent_dispatch_id")
    private String intelligentDispatchId;

    @ApiModelProperty(value = "运送顺序")
    @Column(value = "delivery_order")
    private Integer deliveryOrder;

    @ApiModelProperty(value = "预估成本")
    @Column(value = "estimate_cost")
    private BigDecimal estimateCost;

    @ApiModelProperty(value = "收货方ID")
    @Column(value = "consignee_id")
    private Long consigneeId;

    @ApiModelProperty(value = "经度")
    @Column(value = "longitude")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    @Column(value = "latitude")
    private BigDecimal latitude;

    @ApiModelProperty(value = "备注")
    @Column(value = "memo")
    private String memo;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

}
