package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运单操作日志表
 *
 * @author zhangsj
 * @since 2022-03-30 14:33:19
 */
@Data
@Table("tms_shipbill_operate_log")
public class TmsShipbillOperateLogModel implements Serializable {

	private static final long serialVersionUID = 690310347537308832L;

	@Id
	@ApiModelProperty(value = "主键")
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "运单ID")
	@Column(value = "shipbill_id")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	@Column(value = "shipbill_no")
	private String shipbillNo;

	@ApiModelProperty(value = "操作事件")
	@Column(value = "operate_event")
	private String operateEvent;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "操作时间")
	@Column(value = "operate_date")
	private Date operateDate;

	@ApiModelProperty(value = "原运单状态 数据字典SHIPBILL_STATUS:0已作废 10初始化 20已提交 5已回退")
	@Column(value = "old_status")
	private Integer oldStatus;

	@ApiModelProperty(value = "新运单状态 数据字典SHIPBILL_STATUS:0已作废 10初始化 20已提交 5已回退")
	@Column(value = "new_status")
	private Integer newStatus;

	@ApiModelProperty(value = "操作用户ID")
	@Column(value = "user_id")
	private Long userId;

	@ApiModelProperty(value = "操作用户名称")
	@Column(value = "user_name")
	private String userName;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

}
