package com.prolog.rdc.tms.model.entity;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
* GPS表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-03-23 13:37:33
*/
@Data
@Table(value = "tms_temperature_data")
public class TmsTemperatureData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "车牌号")
    @Column(value = "vehicle_plate_number")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "设备号")
    @Column(value = "device_code")
    private String deviceCode;

    @ApiModelProperty(value = "温度")
    @Column(value = "temperature")
    private BigDecimal temperature;

    @ApiModelProperty(value = "湿度")
    @Column(value = "humidity")
    private BigDecimal humidity;

    @ApiModelProperty(value = "经度")
    @Column(value = "longitude")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    @Column(value = "latitude")
    private BigDecimal latitude;

    @ApiModelProperty(value = "温度采集时间")
    @Column(value = "time")
    private Date time;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

    @ApiModelProperty(value = "来源")
    @Column(value = "source_type")
    private String sourceType;

    @ApiModelProperty(value = "来源id")
    @Column(value = "source_id")
    private String sourceId;

    @ApiModelProperty(value = "装车单ID")
    @Column(value = "loading_bill_id")
    private String loadingBillId;

    @ApiModelProperty(value = "运单ID")
    @Column(value = "shipbill_id")
    private String shipbillId;

}
