package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
* 车辆GPS表 Model
* <p>
* Copyright: Copyright (C) 2022 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author rdc
* @since 2022-09-20 15:54:28
*/
@Data
@Table(value = "tms_vehicle_gps")
public class TmsVehicleGpsModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "运单ID")
    @Column(value = "shipbill_id")
    private String shipbillId;

    @ApiModelProperty(value = "运单编号")
    @Column(value = "shipbill_no")
    private String shipbillNo;

    @ApiModelProperty(value = "装车单ID")
    @Column(value = "loading_bill_id")
    private String loadingBillId;

    @ApiModelProperty(value = "装车单编号")
    @Column(value = "loading_bill_no")
    private String loadingBillNo;

    @ApiModelProperty(value = "车辆ID")
    @Column(value = "vehicle_id")
    private Long vehicleId;

    @ApiModelProperty(value = "车辆编码")
    @Column(value = "vehicle_code")
    private String vehicleCode;

    @ApiModelProperty(value = "车牌号")
    @Column(value = "vehicle_plate_number")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "司机ID")
    @Column(value = "driver_id")
    private Long driverId;

    @ApiModelProperty(value = "司机编号")
    @Column(value = "driver_code")
    private String driverCode;

    @ApiModelProperty(value = "司机名称")
    @Column(value = "driver_name")
    private String driverName;

    @ApiModelProperty(value = "司机手机号")
    @Column(value = "driver_phone_number")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "经度")
    @Column(value = "longitude")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    @Column(value = "latitude")
    private BigDecimal latitude;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

    @ApiModelProperty(value = "启运登记时间")
    @Column(value = "start_ship_time")
    private Date startShipTime;

    @ApiModelProperty(value = "送达确认时间")
    @Column(value = "delivery_time")
    private Date deliveryTime;

    @ApiModelProperty(value = "gps对应的真实运单id")
    @Column(value = "real_shipbill_id")
    private String realShipbillId;

    @ApiModelProperty(value = "温度")
    @Column(value = "temperature")
    private BigDecimal temperature;
}
