package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotNull;

/**
 * 运输管理——所有订单异常登记VO
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("所有订单——异常登记VO")
public class AbnormalRegisterVO implements Serializable {

	private static final long serialVersionUID = -5031292505751952741L;

	@ApiModelProperty(value = "勾选的运单主键集合")
	private List<String> ids;

	@NotNull(message = "异常发生时间不能为空")
	@ApiModelProperty(value = "异常发生时间")
	private Date abnormalTime;

	@NotNull(message = "异常类型不能为空")
	@ApiModelProperty(value = "异常类型")
	private Integer abnormalType;

	@NotNull(message = "异常事件不能为空")
	@ApiModelProperty(value = "异常事件")
	private Integer abnormalCase;

	@ApiModelProperty(value = "客户投诉(是/否 1是 0否)")
	private Integer customerComplain;

	@ApiModelProperty(value = "异常内容")
	private String content;

	@ApiModelProperty(value = "异常图片地址")
	private String pictureUrl;

}
