package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 运输管理——【异常订单】分页查询VO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("【异常订单】分页查询VO")
public class AbnormalShipbillAdvancedQueryVO implements Serializable {

    private static final long serialVersionUID = -590743652414896209L;

    @NotNull(message = "页码不能为空")
    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @NotNull(message = "每页条数不能为空")
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    // 以下不需要页面传值
    @ApiModelProperty(value = "企业ID",hidden = true)
    private Long enterpriseId;

    @ApiModelProperty(value = "用户类型",hidden = true)
    private String userType;

    @ApiModelProperty(value = "是否是部门权限",hidden = true)
    private String isDept;

    @ApiModelProperty(value = "部门权限",hidden = true)
    private String[] depts;

    @ApiModelProperty(value = "货主权限",hidden = true)
    private Long[] consignors;

    @ApiModelProperty(value = "仓库权限",hidden = true)
    private Long[] wsarehouses;

    @ApiModelProperty(value = "供应商权限",hidden = true)
    private Long[] suppliers;

    @ApiModelProperty(value = "客户权限",hidden = true)
    private Long[] customers;

    @ApiModelProperty(value = "单位ID",hidden = true)
    private Long unitId;

    @ApiModelProperty(value = "客户ID", hidden = true)
    private Long customerUserId;

    @ApiModelProperty(value = "供应商ID", hidden = true)
    private Long supplierUserId;

    @ApiModelProperty(value = "货主ID", hidden = true)
    private Long cargoOwnerUserId;

    @ApiModelProperty(value = "sql",hidden = true)
    private String sql;

}
