package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.List;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运输管理——【异常订单】分页查询VO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("【异常订单】分页查询VO")
public class AbnormalShipbillQueryVO implements Serializable {

	private static final long serialVersionUID = -590743652414896209L;

	@NotNull(message = "页码不能为空")
	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@NotNull(message = "每页条数不能为空")
	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	@ApiModelProperty(value = "货主")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "预计提货开始时间")
	private String estimatedPickupStartTime;

	@ApiModelProperty(value = "预计提货结束时间")
	private String estimatedPickupEndTime;

	@ApiModelProperty(value = "预计送达开始时间")
	private String estimatedDeliveryStartTime;

	@ApiModelProperty(value = "预计结束开始时间")
	private String estimatedDeliveryEndTime;

	@ApiModelProperty(value = "始发地")
	private String shipperProvinceCityDistrict;

	@ApiModelProperty(value = "目的地")
	private String consigneeProvinceCityDistrict;

	@ApiModelProperty(value = "始发地")
	private String shipperAddress;

	@ApiModelProperty(value = "目的地")
	private String consigneeAddress;

	@ApiModelProperty(value = "线路")
	private String lineName;

	@ApiModelProperty(value = "业务类型 数据字典ORDER_BUSINESS_TYPE：1销售订单-直送  2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提 5销售退货 6采购退货 7调拨")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "是否部门权限", hidden = true)
	private String isDept;

	@ApiModelProperty(value = "部门IDs", hidden = true)
	private String[] depts;

	@ApiModelProperty(value = "仓库", hidden = true)
	private Long[] wsarehouses;

	@ApiModelProperty(value = "供应商", hidden = true)
	private Long[] suppliers;

	@ApiModelProperty(value = "客户", hidden = true)
	private Long[] customers;

	@ApiModelProperty(value = "货主", hidden = true)
	private Long[] consignors;

	@ApiModelProperty(value = "承运商ID", hidden = true)
	private Long carrierId;

	@ApiModelProperty(value = "客户ID", hidden = true)
	private Long customerUserId;

	@ApiModelProperty(value = "供应商ID", hidden = true)
	private Long supplierUserId;

	@ApiModelProperty(value = "货主ID", hidden = true)
	private Long cargoOwnerUserId;

	@ApiModelProperty(value = "勾选的运单主键 数据格式 ids:['','']")
	private List<String> ids;

}
