package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运输管理——所有运单分页查询VO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("所有运单分页查询VO")
public class AllShipbillQueryVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "货主")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "业务类型")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "预计提货开始日期")
	private Date estimatedPickupStartTime;

	@ApiModelProperty(value = "预计提货结束日期")
	private Date estimatedPickupEndTime;

	@ApiModelProperty(value = "预计送达开始日期")
	private Date estimatedDeliveryStartTime;

	@ApiModelProperty(value = "预计送达结束日期")
	private Date estimatedDeliveryEndTime;

	@ApiModelProperty(value = "始发地")
	private String shipperAddress;

	@ApiModelProperty(value = "目的地")
	private String consigneeAddress;

	@ApiModelProperty(value = "包裹号")
	private String packageCode;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "是否部门权限", hidden = true)
	private String isDept;

	@ApiModelProperty(value = "部门IDs", hidden = true)
	private String[] depts;

	@ApiModelProperty(value = "仓库", hidden = true)
	private Long[] wsarehouses;

	@ApiModelProperty(value = "供应商", hidden = true)
	private Long[] suppliers;

	@ApiModelProperty(value = "客户", hidden = true)
	private Long[] customers;

	@ApiModelProperty(value = "货主", hidden = true)
	private Long[] consignors;

	@ApiModelProperty(value = "承运商ID", hidden = true)
	private Long carrierId;

	@ApiModelProperty(value = "运单ID集合")
	private String[] ids;

	// STD-DEVELOP20220823 lhb 销售单模式 20220919 start
	@ApiModelProperty(value = "是否销售单模式", hidden = true)
	private String isSell;
	// STD-DEVELOP20220823 lhb 销售单模式 20220919 end

	@ApiModelProperty(value = "父级运单编号")
	private String fatherShipbillNo;

	@ApiModelProperty(value = "原始运单编号")
	private String originalShipbillNo;

	@ApiModelProperty(value = "收货方单位名称")
	private String consigneeUnitName;

	@ApiModelProperty(value = "收货方名称")
	private String consigneeName;

	@ApiModelProperty(value = "线路名称")
	private String lineName;

	@ApiModelProperty(value = "发货方单位名称")
	private String shipperUnitName;

	@ApiModelProperty(value = "发货方名称")
	private String shipperName;

	@ApiModelProperty(value = "下单开始日期")
	private Date startDate;

	@ApiModelProperty(value = "下单结束日期")
	private Date endDate;

	@ApiModelProperty(value = "商品编码")
	private String itemCode;
}
