package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 预约管理主页面高级查询VO
 *
 * @author zhangsj
 * @since 2022-07-05 10:52:20
 */
@Data
@ApiModel("预约管理主页面高级查询VO")
public class BookingAdvancedQueryVO implements Serializable {

    private static final long serialVersionUID = -40386591510070155L;

    @NotNull(message = "仓库ID不能为空")
    @ApiModelProperty(value = "仓库ID")
    private Long branchId;

    @NotNull(message = "页码不能为空")
    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @NotNull(message = "每页条数不能为空")
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "企业ID", hidden = true)
    private Long enterpriseId;

    @ApiModelProperty(value = "sql",hidden = true)
    private String sql;

}
