package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 预约管理主页面查询VO
 *
 * @author zhangsj
 * @since 2022-07-05 10:52:20
 */
@Data
@ApiModel("预约管理主页面查询VO")
public class BookingQueryVO implements Serializable {

	private static final long serialVersionUID = -40386591510070155L;

	@ApiModelProperty(value = "预约单号")
	private String appointmentNo;

	@ApiModelProperty(value = "预约类型")
	private Integer appointmentType;

	@ApiModelProperty(value = "仓库名称")
	private String branchName;

	@ApiModelProperty(value = "司机名称 ")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@NotNull(message = "仓库ID不能为空")
	@ApiModelProperty(value = "仓库ID")
	private String branchId;

	@NotNull(message = "页码不能为空")
	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@NotNull(message = "每页条数不能为空")
	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	// STD-DEVELOP20220823 xiaoyf 功能调整 start
	@ApiModelProperty(value = "预约状态")
	private Integer status;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "预约日期开始 格式年月日")
	private Date startDate;

	@ApiModelProperty(value = "预约日期结束 格式年月日")
	private Date endDate;
	// STD-DEVELOP20220823 xiaoyf 功能调整 end

}
