package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 预约管理-预约单调整(单个)VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/6 16:01
 */
@Data
@ApiModel("预约管理-预约单调整(单个)VO")
public class BookingUpdateOneVO implements Serializable {

    private static final long serialVersionUID = 6458106723626374150L;

    @NotNull(message = "预约单ID不能为空")
    @ApiModelProperty(value = "预约单ID")
    private String appointmentId;

    @NotNull(message = "预约日期不能为空")
    @ApiModelProperty(value = "预约日期")
    private Date appointmentDate;

    @NotNull(message = "预约时间段不能为空")
    @ApiModelProperty(value = "预约时间段 数据格式严格按 09:00-12:00(示例)存储")
    private String appointmentTime;

    @NotNull(message = "运单数量不能为空")
    @ApiModelProperty(value = "运单数量")
    private Integer shipbillQuantity;

    @NotNull(message = "司机名称不能为空")
    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @NotNull(message = "司机手机号不能为空")
    @ApiModelProperty(value = "司机手机号")
    private String driverPhoneNumber;

    @NotNull(message = "车牌号不能为空")
    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "运单集合")
    private List<String> shipbillIds;
}
