package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 叫号管理-分页查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xiaoyf
 * @since 2022/7/6 16:01
 */
@Data
@ApiModel("叫号管理-分页查询VO")
public class CallNumberQueryVO implements Serializable {

	private static final long serialVersionUID = -2829012209859914136L;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@ApiModelProperty(value = "页最大行数")
	private Integer pageSize;

	@ApiModelProperty(value = "预约单号")
	private String appointmentNo;

	@ApiModelProperty(value = "预约地点")
	private String branchName;

	@ApiModelProperty(value = "预约类型")
	private Integer appointmentType;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "预约日期", hidden = true)
	private Date appointmentDate;

	@ApiModelProperty(value = "预约时间段 数据格式严格按 09:00-12:00(示例)存储")
	private String appointmentTime;

}
