package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 运输管理-托运交接（运单）分页VO
 *
 * @className :ConsignmentHandoverPageVO
 * @author :fanzw
 * @creationTime :2023/08/29
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/08/29
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("运输管理-托运交接（运单）分页VO")
public class ConsignmentHandoverPageVO implements Serializable {

	private static final long serialVersionUID = 8701397742045453859L;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "托运状态（1待交接 2已交接）")
	private Integer consignmentHandoverStatus;

	@ApiModelProperty(value = "托运交接开始日期")
	private Date consignmentHandoverStartDate;

	@ApiModelProperty(value = "托运交接结束日期")
	private Date consignmentHandoverEndDate;

	@ApiModelProperty(value = "创建开始日期")
	private Date createStartDate;

	@ApiModelProperty(value = "创建结束日期")
	private Date createEndDate;

	@ApiModelProperty(value = "托运交接车牌")
	private String consignmentHandoverPlateNumber;

	@ApiModelProperty(value = "托运交接司机")
	private String consignmentHandoverDriver;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	@ApiModelProperty(value = "部门权限数据")
	private String[] departmentIds;

	@ApiModelProperty(value = "货主权限数据")
	private List<Long> cargoOwnerIds;

	@ApiModelProperty(value = "仓库权限数据")
	private List<Long> branchIds;

	@ApiModelProperty(value = "供应商权限数据")
	private List<Long> providerIds;

	@ApiModelProperty(value = "客户权限数据")
	private List<Long> customerIds;

	@ApiModelProperty(value = "是否全部数据权限 1是 0否")
	private Integer allData;

}
