package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 托运交接处理VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/4/11 17:25
 */
@Data
@ApiModel("托运交接处理VO")
public class ConsignmentHandoverVO implements Serializable {

	private static final long serialVersionUID = 8482730910127866596L;

	@ApiModelProperty(value = "勾选的托运单列表主键集合 格式 ids:['','']")
	private List<String> ids;

	@NotNull(message = "托运交接日期不能为空")
	@ApiModelProperty(value = "托运交接时间")
	private Date consignmentHandoverTime;

	@ApiModelProperty(value = "托运经办人")
	private String consignmentAgen;

	@ApiModelProperty(value = "经办人联系方式")
	private String agenContacPhoneNumber;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "图片地址")
	private String pictureUrl;

	@ApiModelProperty(value = "身份证")
	private String driverIdCard;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "司机编号")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "司机联系方式")
	private String driverPhoneNumber;

}
