package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 提货入库-派车单异常登记VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/21 10:24
 */
@Data
@ApiModel("提货入库-派车单异常登记VO")
public class DeliveryConfirmAbnormalRegisterVO implements Serializable {

    private static final long serialVersionUID = -4298884057293311561L;

    @ApiModelProperty("派车单集合")
    private List<String> loadbillIds;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "异常发生时间")
    private Date abnormalTime;

    @ApiModelProperty(value = "异常类型 数据字典 ABNORMAL_TYPE：10货物异常 20单据异常")
    private Integer abnormalType;

    @ApiModelProperty(value = "异常事件 数据字典 ABNORMAL_EVENT：10货物缺失 20货物破损")
    private Integer abnormalEvent;

    @ApiModelProperty(value = "客户投诉")
    private Integer abnormalComplain;

    @ApiModelProperty(value = "异常内容")
    private String abnormalContent;

    @ApiModelProperty(value = "异常图片")
    private String abnormalPhoto;
}
