package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 提货确认-启运登记VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/14 14:56
 */
@Data
@ApiModel("提货确认-启运登记VO")
public class DeliveryConfirmStartShipmentVO implements Serializable {

    private static final long serialVersionUID = 6894768558505903615L;

    @ApiModelProperty("运单集合")
    private List<String> loadbillIds;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "启运签到时间")
    private Date departureSignTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "启运时间")
    private Date departureTime;

    @ApiModelProperty(value = "启运备注")
    private String departureMemo;

    @ApiModelProperty(value = "启运图片")
    private String departurePhoto;

}
