package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 整车直发-送达确认VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/6/14 14:56
 */
@Data
@ApiModel("整车直发-送达确认VO")
public class DeliveryConfirmVO implements Serializable {

	private static final long serialVersionUID = 2703074573292584949L;

	@ApiModelProperty(value = "勾选的派车单主键集合 格式['','']")
	private List<String> loadingBillids;

	@ApiModelProperty(value = "勾选的运单主键集合 格式['','']")
	private List<String> shipbillIds;

	@ApiModelProperty(value = "签到时间")
	private Date signDate;

	@ApiModelProperty(value = "送达时间")
	private Date deliveryDate;

	@ApiModelProperty(value = "签收人")
	private String signPerson;

	@ApiModelProperty(value = "配送状态 字典【】")
	private String deliveryStatus;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "货物图片")
	private String goodsPicUrl;

	@ApiModelProperty(value = "回单图片")
	private String returnOrderPicUrl;

}
