package com.prolog.rdc.tms.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 已调度高级查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/4/11 14:12
 */
@Data
@ApiModel("已调度高级查询VO")
public class DispatchAdvanceQueryVO implements Serializable {
    private static final long serialVersionUID = 1966733646451498648L;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @ApiModelProperty(value = "货主名称")
    private String cargoOwnerName;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "订单业务类型 数据字典ORDER_BUSINESS_TYPE：1销售订单-直送  2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提 5销售退货 6采购退货 7调拨")
    private Integer orderBusinessType;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计提货开始时间")
    private Date estimatedPickupStartTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计提货结束时间")
    private Date estimatedPickupEndTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计送达开始时间")
    private Date estimatedDeliveryStartTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计结束开始时间")
    private Date estimatedDeliveryEndTime;

    @ApiModelProperty(value = "始发地")
    private String provenance;

    @ApiModelProperty(value = "目的地")
    private String destination;

    @ApiModelProperty(value = "线路")
    private String lineName;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "高级查询条件")
    private String sql;

    @ApiModelProperty(value = "用户类型")
    private String userType;

    @ApiModelProperty(value = "运单状态集合")
    private Integer[] statusList;

    @ApiModelProperty(value = "是否部门权限")
    private String isDept;

    @ApiModelProperty(value = "部门IDs")
    private String[] depts;

    @ApiModelProperty(value = "货主集合")
    private Long[] consignors;

    @ApiModelProperty(value = "承运商集合")
    private Long[] suppliers;

    @ApiModelProperty(value = "客户集合")
    private Long[] customers;

    @ApiModelProperty(value = "仓库集合")
    private Long[] wsarehouses;

    @ApiModelProperty(value = "单位ID")
    private Long unitId;

    @ApiModelProperty(value = "承运商状态集合")
    private Integer[] carrierStatusList;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "配送方式")
    private Integer deliveryMethodType;

    @ApiModelProperty(value = "拆单状态")
    private Integer splitOrderStatus;

    @ApiModelProperty(value = "状态")
    private Integer status;
}
