package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待装卸-导出所有数据VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/7 14:20
 */
@Data
@ApiModel("待装卸-导出所有数据VO")
public class DzxExportPageVO implements Serializable {

    private static final long serialVersionUID = 5137815250337355048L;

    @ApiModelProperty(value = "货主")
    private String cargoOwnerName;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "运单号")
    private String shipbillNo;

    @ApiModelProperty(value = "业务类型")
    private Integer orderBusinessType;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计提货开始日期")
    private Date estimatedPickupStartTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计提货结束日期")
    private Date estimatedPickupEndTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计送达开始日期")
    private Date estimatedDeliveryStartTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "预计送达结束日期")
    private Date estimatedDeliveryEndTime;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "车辆号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "线路")
    private String lineName;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "企业ID",hidden = true)
    private Long enterpriseId;

    @ApiModelProperty(value = "用户类型",hidden = true)
    private String userType;

    @ApiModelProperty(value = "是否是部门权限",hidden = true)
    private String isDept;

    @ApiModelProperty(value = "部门权限",hidden = true)
    private String[] depts;

    @ApiModelProperty(value = "货主权限",hidden = true)
    private Long[] consignors;

    @ApiModelProperty(value = "仓库权限",hidden = true)
    private Long[] wsarehouses;

    @ApiModelProperty(value = "供应商权限",hidden = true)
    private Long[] suppliers;

    @ApiModelProperty(value = "客户权限",hidden = true)
    private Long[] customers;

    @ApiModelProperty(value = "单位ID",hidden = true)
    private Long unitId;

    @ApiModelProperty(value = "流程配置 Add新增,AddCommit新增提交,Commit提交,CommitReview提交审核,Review审核," + "ReviewDispatch匹配唯一承运方自动调度,Dispatch调度,DispatchCheck调度后自动审核,Check调度审核,Appointment预约," + "ArrangeGoods理货,LoadUnLoad装卸,Scanning装车扫描,SendOff启运登记,ArriveConfirm送达确认")
    private String flowConfig;
}
