package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 运输管理——所有运单 客户反馈VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/4/11 14:12
 */
@Data
@ApiModel("客服反馈VO")
public class FeedBackVO implements Serializable {

	private static final long serialVersionUID = -8535618777076938711L;

    @ApiModelProperty(value = "勾选的运单主键集合")
    private List<String> ids;

    @NotNull(message = "反馈时间不能为空")
	@ApiModelProperty(value = "反馈日期")
	private Date feedbackDate;

	@ApiModelProperty(value = "实时地点")
	private String address;

	@NotEmpty(message = "反馈内容不能为空")
	@ApiModelProperty(value = "反馈内容")
	private String feedbackContent;

	@ApiModelProperty(value = "反馈图片")
	private String feedbackPicture;

}
