package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 完成运单分页查询VO
 *
 * @author lhb
 * @date 2022/06/01
 */
@Data
@ApiModel("完成运单分页查询VO")
public class FinishShipbillQueryVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "所属货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "所属货主编码")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "所属货主名称")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "业务类型")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "预计提货开始日期")
	private Date estimatedPickupStartTime;

	@ApiModelProperty(value = "预计提货结束日期")
	private Date estimatedPickupEndTime;

	@ApiModelProperty(value = "预计送达开始日期")
	private Date estimatedDeliveryStartTime;

	@ApiModelProperty(value = "预计送达结束日期")
	private Date estimatedDeliveryEndTime;

	@ApiModelProperty(value = "始发地")
	private String shipperAddress;

	@ApiModelProperty(value = "目的地")
	private String consigneeAddress;

	@ApiModelProperty(value = "包裹号")
	private String packageCode;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	// 以下不需要页面传值
	@ApiModelProperty(value = "部门ID集合")
	private String[] departmentIds;

	@ApiModelProperty(value = "货主ID集合")
	private Long[] cargoOwnerIds;

	@ApiModelProperty(value = "仓库ID集合")
	private Long[] warehouses;

	@ApiModelProperty(value = "供应商ID集合")
	private Long[] suppliers;

	@ApiModelProperty(value = "客户ID集合")
	private Long[] customers;

	@ApiModelProperty(value = "承运方ID")
	private Long carrierId;

	@ApiModelProperty(value = "客户ID")
	private Long customerUserId;

	@ApiModelProperty(value = "供应商ID")
	private Long supplierUserId;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerUserId;

	@ApiModelProperty(value = "调度类型 数据字典SCHEDULE_TYPE:1.自有  2.承运商")
	private Integer scheduleType;

	@ApiModelProperty(value = "sql")
	private String sqlBuff;

	@ApiModelProperty(value = "承运方运单调度状态")
	private Integer carrierShipbillStatus;
}
