package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 派车单站点查询VO
 *
 * @author lhb
 * @date 2022/04/20
 */
@Data
@ApiModel("系统分组-查询VO")
public class LoadingSiteInfoQueryVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "运单ID集合")
	private List<String> shipbillIdList;


	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "顶级部门ID", hidden = true)
	private String departmentId;

	@ApiModelProperty(value = "货主ID", hidden = true)
	private Long cargoOwnerId;

	@ApiModelProperty(value = "仓库", hidden = true)
	private Long[] wsarehouses;

	@ApiModelProperty(value = "供应商", hidden = true)
	private Long[] suppliers;

	@ApiModelProperty(value = "客户", hidden = true)
	private Long[] customers;

	@ApiModelProperty(value = "部门IDs",hidden = true)
	private String[] depts;

	@ApiModelProperty(value = "是否部门权限",hidden = true)
	private String isDept;

	@ApiModelProperty(value = "货主",hidden = true)
	private Long[] consignors;

	@ApiModelProperty(value = "承运商ID", hidden = true)
	private Long carrierId;

}
