package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运输管理——出库在途派车单高级查询VO
 *
 * @author zsj
 * @since 2022-07-04 13:51:50
 */
@Data
@ApiModel("出库在途派车单高级查询VO")
public class OutStockOnWayAdvancedQueryVO implements Serializable {

	private static final long serialVersionUID = 253699783165602204L;

	@NotNull(message = "当前页不能为空")
	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@NotNull(message = "当前页最大行数不能为空")
	@ApiModelProperty(value = "当前页最大行数")
	private Integer pageSize;

	@ApiModelProperty(value = "派车单号")
	private String loadingBillNo;

	@ApiModelProperty(value = "创建开始日期 年月日")
	private Date startDate;

	@ApiModelProperty(value = "创建结束日期 年月日")
	private Date endDate;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "调度类型 数据字典SCHEDULE_TYPE:1.自有  2.承运商", hidden = true)
	private Integer scheduleType;

	@ApiModelProperty(value = "承运方类型 数据字典LINE_CARRIER_TYPE:1.承运商  2.司机", hidden = true)
	private Integer carrierType;

	@ApiModelProperty(value = "装车单类型 数据字典LOADING_BILL_TYPE:10.入库类型  20.出库类型 30其他类型", hidden = true)
	private Integer loadingBillType;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "sql",hidden = true)
	private String sql;

	@ApiModelProperty(value = "部门权限",hidden = true)
	private String[] depts;

}
