package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 出库在途 送达确认VO
 *
 * @author xyf
 * @since 2022-04-19 13:51:50
 */
@Data
@ApiModel("出库在途 送达确认VO")
public class OutStockOnWayDeliveryConfirmVO implements Serializable {

	private static final long serialVersionUID = 8159820059078275710L;

	@ApiModelProperty(value = "勾选的派车单主键集合 格式['','']")
	private List<String> loadingBillids;

	@ApiModelProperty(value = "勾选的运单主键集合 格式['','']")
	private List<String> shipbillIds;

	@ApiModelProperty(value = "签到时间")
	private Date signDate;

	@NotEmpty(message = "送达时间不能为空")
	@ApiModelProperty(value = "送达时间")
	private Date deliveryDate;

	@ApiModelProperty(value = "签收人")
	private String signPerson;

	@NotNull(message = "配送状态不能为空")
	@ApiModelProperty(value = "配送状态 数据字典DELIVERY_STATUS:10配送失败 20配送滞留 30配送成功")
	private Integer deliveryStatus;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "货物图片")
	private String goodsPicUrl;

	@ApiModelProperty(value = "回单图片")
	private String returnOrderPicUrl;

}
