package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运输管理——出库在途派车单查询VO
 *
 * @author xyf
 * @since 2022-04-19 13:51:50
 */
@Data
@ApiModel("出库在途派车单查询VO")
public class OutStockOnWayQueryVO implements Serializable {

	private static final long serialVersionUID = 253699783165602204L;

	@NotNull(message = "当前页不能为空")
	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@NotNull(message = "当前页最大行数不能为空")
	@ApiModelProperty(value = "当前页最大行数")
	private Integer pageSize;

	@ApiModelProperty(value = "派车单号")
	private String loadingBillNo;

	@ApiModelProperty(value = "创建开始日期 年月日")
	private Date startDate;

	@ApiModelProperty(value = "创建结束日期 年月日")
	private Date endDate;

}
