package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运输管理——出库在途启运登记VO
 *
 * @author xyf
 * @since 2022-04-19 13:51:50
 */
@Data
@ApiModel("出库在途启运登记VO")
public class OutStockOnWayStartshipVO implements Serializable {

	private static final long serialVersionUID = 561506620540104120L;

	@ApiModelProperty(value = "勾选的派车单主键集合 格式['','']")
	private List<String> loadingBillids;

	@ApiModelProperty(value = "勾选的运单主键集合 格式['','']")
	private List<String> shipbillIds;

	@NotEmpty(message = "签到时间不能为空")
	@ApiModelProperty(value = "签到时间")
	private Date signDate;

	@ApiModelProperty(value = "启运时间")
	private Date startShipDate;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "货物图片")
	private String goodsPicUrl;

}
