package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 运输管理——外包跟踪 主界面导出查询VO
 *
 * @author xyf
 * @since 2022-04-19 13:51:50
 */
@Data
@ApiModel("外包跟踪 界面导出查询VO")
public class OutsourceTrackExportVO implements Serializable {

    private static final long serialVersionUID = 7327258421731401967L;

    @NotNull(message = "页码不能为空")
    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @NotNull(message = "每页条数不能为空")
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "托运单号")
    private String loadingBillNo;

    @ApiModelProperty(value = "创建开始日期 年月日")
    private Date startDate;

    @ApiModelProperty(value = "创建结束日期 年月日")
    private Date endDate;

    @ApiModelProperty(value = "装车单状态 数据字典：LOADING_BILL_STATUS:10未审核 20已审核")
    private Integer status;

    @ApiModelProperty(value = "勾选的托运单ID集合 格式 ids:['','']")
    private List<String> ids;

    @ApiModelProperty(value = "企业ID", hidden = true)
    private Long enterpriseId;

    @ApiModelProperty(value = "用户类型", hidden = true)
    private String userType;

    @ApiModelProperty(value = "是否部门权限",hidden = true)
    private String isDept;

    @ApiModelProperty(value = "部门IDs",hidden = true)
    private String[] depts;

    @ApiModelProperty(value = "货主",hidden = true)
    private Long[] consignors;

    @ApiModelProperty(value = "承运商ID", hidden = true)
    private Long carrierId;

    @ApiModelProperty(value = "顶级部门ID", hidden = true)
    private String departmentId;

    @ApiModelProperty(value = "货主ID", hidden = true)
    private Long cargoOwnerId;

    @ApiModelProperty(value = "仓库", hidden = true)
    private Long[] wsarehouses;

    @ApiModelProperty(value = "供应商", hidden = true)
    private Long[] suppliers;

    @ApiModelProperty(value = "客户", hidden = true)
    private Long[] customers;

}
