package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待正本回单-导出当前页数据VO
 *
 * @author lhb
 * @date 2022/06/01
 */
@Data
@ApiModel("待正本回单-导出当前页数据VO")
public class PendingOrigReceiptExportCurrPgDataVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "所属货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "所属货主编码")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "所属货主名称")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "业务类型")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "预计提货开始日期")
	private String estimatedPickupStartTime;

	@ApiModelProperty(value = "预计提货结束日期")
	private String estimatedPickupEndTime;

	@ApiModelProperty(value = "预计送达开始日期")
	private String estimatedDeliveryStartTime;

	@ApiModelProperty(value = "预计送达结束日期")
	private String estimatedDeliveryEndTime;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "司机姓名")
	private String driverName;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "线路")
	private String lineName;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	@ApiModelProperty(value = "部门ID集合")
	private String[] departmentIds;

	@ApiModelProperty(value = "货主ID集合")
	private Long[] cargoOwnerIds;

	@ApiModelProperty(value = "仓库ID集合")
	private Long[] warehouses;

	@ApiModelProperty(value = "供应商ID集合")
	private Long[] suppliers;

	@ApiModelProperty(value = "客户ID集合")
	private Long[] customers;

	@ApiModelProperty(value = "承运方ID")
	private Long carrierId;

	@ApiModelProperty(value = "调度类型 数据字典SCHEDULE_TYPE:1.自有  2.承运商")
	private Integer scheduleType;

	@ApiModelProperty(value = "sql")
	private String sqlBuff;

	@ApiModelProperty(value = "splitSqlBuff")
	private String splitSqlBuff;

	@ApiModelProperty(value = "承运方运单调度状态")
	private Integer carrierShipbillStatus;
}
