package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待回单运单模式分页查询VO
 *
 * @author lhb
 * @date 2022/06/01
 */
@Data
@ApiModel("待回单运单模式高级查询VO")
public class PendingReceiptAdvancedPageVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "所属货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "所属货主编码")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "所属货主名称")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "业务类型")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "预计提货开始日期")
	private String estimatedPickupStartTime;

	@ApiModelProperty(value = "预计提货结束日期")
	private String estimatedPickupEndTime;

	@ApiModelProperty(value = "预计送达开始日期")
	private String estimatedDeliveryStartTime;

	@ApiModelProperty(value = "预计送达结束日期")
	private String estimatedDeliveryEndTime;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "司机姓名")
	private String driverName;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "线路")
	private String lineName;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	// 以下不需要页面传值
	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "是否是部门权限", hidden = true)
	private String isDept;

	@ApiModelProperty(value = "部门权限", hidden = true)
	private String[] depts;

	@ApiModelProperty(value = "货主权限", hidden = true)
	private Long[] consignors;

	@ApiModelProperty(value = "仓库权限", hidden = true)
	private Long[] wsarehouses;

	@ApiModelProperty(value = "供应商权限", hidden = true)
	private Long[] suppliers;

	@ApiModelProperty(value = "客户权限", hidden = true)
	private Long[] customers;

	@ApiModelProperty(value = "单位ID", hidden = true)
	private Long unitId;

	@ApiModelProperty(value = "sql", hidden = true)
	private String sql;

	@ApiModelProperty(value = "splitSqlBuff")
	private String splitSqlBuff;
}
