package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 待审核高级查询VO
 *
 * @author lhb
 * @date 2022/04/11
 */
@Data
@ApiModel("待审核高级查询VO")
public class PendingReviewAdvancedQueryVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "货主")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "业务类型")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "预计提货开始日期")
	private Date estimatedPickupStartTime;

	@ApiModelProperty(value = "预计提货结束日期")
	private Date estimatedPickupEndTime;

	@ApiModelProperty(value = "预计送达开始日期")
	private Date estimatedDeliveryStartTime;

	@ApiModelProperty(value = "预计送达结束日期")
	private Date estimatedDeliveryEndTime;

	@ApiModelProperty(value = "发货方位置")
	private Integer shipperLocation;

	@ApiModelProperty(value = "收货方位置")
	private Integer consigneeLocation;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	@ApiModelProperty(value = "高级查询条件")
	private String sql;

	@ApiModelProperty(value = "用户类型")
	private String userType;

	@ApiModelProperty(value = "运单状态集合")
	private Integer[] statusList;

	@ApiModelProperty(value = "是否部门权限")
	private String isDept;

	@ApiModelProperty(value = "部门IDs")
	private String[] depts;

	@ApiModelProperty(value = "货主集合")
	private Long[] consignors;

	@ApiModelProperty(value = "承运商集合")
	private Long[] suppliers;

	@ApiModelProperty(value = "客户集合")
	private Long[] customers;

	@ApiModelProperty(value = "仓库集合")
	private Long[] wsarehouses;

	@ApiModelProperty(value = "单位ID")
	private Long unitId;

	@ApiModelProperty(value = "承运商状态集合")
	private Integer[] carrierStatusList;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "订单开始日")
	private Date orderStartDate;

	@ApiModelProperty(value = "订单开始结束")
	private Date orderEndDate;

}
