package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 待审核导出所有数据VO
 *
 * @author lhb
 * @date 2022/04/11
 */
@Data
@ApiModel("待审核导出所有数据VO")
public class PendingReviewExportAllDataVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "货主")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "业务类型")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "预计提货开始日期")
	private Date estimatedPickupStartTime;

	@ApiModelProperty(value = "预计提货结束日期")
	private Date estimatedPickupEndTime;

	@ApiModelProperty(value = "预计送达开始日期")
	private Date estimatedDeliveryStartTime;

	@ApiModelProperty(value = "预计送达结束日期")
	private Date estimatedDeliveryEndTime;

	@ApiModelProperty(value = "发货方位置")
	private Integer shipperLocation;

	@ApiModelProperty(value = "收货方位置")
	private Integer consigneeLocation;

	@ApiModelProperty(value = "下单开始日", hidden=true)
	private Date orderDateStart;

	@ApiModelProperty(value = "下单结束日", hidden=true)
	private Date orderDateEnd;
}
