package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 提货预约确认VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/14 14:56
 */
@Data
@ApiModel("提货预约确认VO")
public class PickUpAppointmentConfirmVO implements Serializable {

	private static final long serialVersionUID = 6894768558505903615L;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	private String branchName;

	@ApiModelProperty(value = "仓库详细地址")
	private String branchAddress;

	@ApiModelProperty(value = "预约日期")
	private Date appointmentDate;

	@ApiModelProperty(value = "预约时间段 数据格式严格按 09:00-12:00(示例)存储")
	private String appointmentTime;

	@ApiModelProperty(value = "运单ID集合,逗号分割")
	private String shipbillIds;

	@ApiModelProperty(value = "运单数量")
	private Integer shipbillQuantity;

	@ApiModelProperty(value = "总件数")
	private BigDecimal totalPcs;

	@ApiModelProperty(value = "总体积")
	private BigDecimal totalVolume;

	@ApiModelProperty(value = "总重量")
	private BigDecimal totalWeight;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "司机编码")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "承运商ID")
	private Long carrierId;

	@ApiModelProperty(value = "承运商编码")
	private String carrierCode;

	@ApiModelProperty(value = "承运商名称")
	private String carrierName;

	@ApiModelProperty(value = "是否有急的运单", hidden = true)
	private String isJiaJi;

	@ApiModelProperty(value = "预约类型", hidden = true)
	private Integer appointmentType;

	@ApiModelProperty(value = "生成模式1发货方模式2收货方模式3运单模式4派车单模式")
	private String createMode;

}
