package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待装卸-运单模式查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/6 10:45
 */
@Data
@ApiModel("待装卸-运单模式查询VO")
public class QueryTypeByShipbillVO implements Serializable {

	private static final long serialVersionUID = -6861629549788765464L;

	@ApiModelProperty(value = "货主")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "业务类型")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "预计提货开始日期")
	private String estimatedPickupStartTime;

	@ApiModelProperty(value = "预计提货结束日期")
	private String estimatedPickupEndTime;

	@ApiModelProperty(value = "预计送达开始日期")
	private String estimatedDeliveryStartTime;

	@ApiModelProperty(value = "预计送达结束日期")
	private String estimatedDeliveryEndTime;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "车辆号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "线路")
	private String lineName;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "是否是部门权限", hidden = true)
	private String isDept;

	@ApiModelProperty(value = "部门权限", hidden = true)
	private String[] depts;

	@ApiModelProperty(value = "货主权限", hidden = true)
	private Long[] consignors;

	@ApiModelProperty(value = "仓库权限", hidden = true)
	private Long[] wsarehouses;

	@ApiModelProperty(value = "供应商权限", hidden = true)
	private Long[] suppliers;

	@ApiModelProperty(value = "客户权限", hidden = true)
	private Long[] customers;

	@ApiModelProperty(value = "单位ID", hidden = true)
	private Long carrierId;

	@ApiModelProperty(value = "装车扫描状态", hidden = true)
	private Integer scanStatus;

}
