package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * 自提车辆登记VO
 * Company: 湖北普罗格科技股份有限公司
 * @author xyf
 * @since 2022/4/15 15:21
 */
@Data
@ApiModel("自提车辆登记VO")
public class SelfPickUpVehicleRegisterVO implements Serializable {

    private static final long serialVersionUID = -395224701099284118L;

    @ApiModelProperty(value = "勾选的运单ID集合 格式 shipbillIds:['','']")
    private List<String> shipbillIds;

    @NotEmpty(message = "自提人不能为空")
    @ApiModelProperty(value = "自提人")
    private String selfWithdrawalPerson;

    @NotEmpty(message = "联系方式不能为空")
    @ApiModelProperty(value = "联系方式")
    private String contactTel;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "身份证")
    private String idCrad;

    @ApiModelProperty(value = "备注")
    private String memo;

}
