package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 已派车修改VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/4/18 10:43
 */
@Data
@ApiModel("已派车修改VO")
public class SendCarUpdateVO implements Serializable {

	private static final long serialVersionUID = -6416541859325321365L;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "司机ID")
	private String driverId;

	@ApiModelProperty(value = "司机编号")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "送货员ID")
	private String deliverymanId;

	@ApiModelProperty(value = "送货员编号")
	private String deliverymanCode;

	@ApiModelProperty(value = "送货员名称")
	private String deliverymanName;

	@ApiModelProperty(value = "送货员手机号")
	private String deliverymanPhoneNumber;

	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	@ApiModelProperty(value = "车辆名称")
	private String vehicleName;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "车型ID")
	private Long vehicleTypeId;

	@ApiModelProperty(value = "车型编码")
	private String vehicleTypeCode;

	@ApiModelProperty(value = "车型名称")
	private String vehicleTypeName;

	@ApiModelProperty(value = "车辆类别数据字典VEHICLE_TYPE_CATEGORY：1冷藏车、2平顶车、3厢式货车")
	private String vehicleTypeCategory;

	@ApiModelProperty(value = "车辆设备ID")
	private String vehicleDeviceId;

	@ApiModelProperty(value = "车辆设备CODE")
	private String vehicleDeviceCode;

	@ApiModelProperty(value = "车辆设备名称")
	private String vehicleDeviceName;

	@ApiModelProperty(value = "车辆隶属机构ID")
	private String vehicleAffiliationId;

	@ApiModelProperty(value = "车辆隶属机构CODE")
	private String vehicleAffiliationCode;

	@ApiModelProperty(value = "车辆隶属机构名称")
	private String vehicleAffiliationName;

	@ApiModelProperty(value = "容器ID")
	private String containerId;

	@ApiModelProperty(value = "容器CODE")
	private String containerCode;

	@ApiModelProperty(value = "容器名称")
	private String containerName;

	@ApiModelProperty(value = "明细集合")
	private List<SendCarUpdateDetailVO> sendCarUpdateDetailVOS = new ArrayList<SendCarUpdateDetailVO>();

}
