package com.prolog.rdc.tms.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 运单汇总表(TmsShipbillHeader)VO
 *
 * @author zhangsj
 * @since 2022-03-30 15:36:56
 */
@Data
@ApiModel("运单汇总查询VO")
public class ShipbillAdvancedQueryVO implements Serializable {

	private static final long serialVersionUID = -39695669101321531L;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "货主名称")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单编号")
	private String orderNo;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "订单开始日期")
	private Date orderStartDate;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "订单结束日期")
	private Date orderEndDate;

	@ApiModelProperty(value = "订单业务类型 数据字典ORDER_BUSINESS_TYPE：1销售订单-直送  2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提 5销售退货 6采购退货 7调拨")
	private Integer orderBusinessType;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建开始时间")
	private Date createStartTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建结束时间")
	private Date createEndTime;

	@ApiModelProperty(value = "发货方位置")
	private Integer shipperLocation;

	@ApiModelProperty(value = "收货方位置")
	private Integer consigneeLocation;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	@ApiModelProperty(value = "高级查询条件")
	private String sql;

	@ApiModelProperty(value = "用户类型")
	private String userType;

	@ApiModelProperty(value = "运单状态集合")
	private Integer[] statusList;

	@ApiModelProperty(value = "是否部门权限")
	private String isDept;

	@ApiModelProperty(value = "部门IDs")
	private String[] depts;

	@ApiModelProperty(value = "货主集合")
	private Long[] consignors;

	@ApiModelProperty(value = "承运商集合")
	private Long[] suppliers;

	@ApiModelProperty(value = "客户集合")
	private Long[] customers;

	@ApiModelProperty(value = "仓库集合")
	private Long[] wsarehouses;

	@ApiModelProperty(value = "单位ID")
	private Long unitId;

	@ApiModelProperty(value = "承运商状态集合")
	private Integer[] carrierStatusList;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;
}
