package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运单审核VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/5/10 11:17
 */
@Data
@ApiModel("运单审核VO")
public class ShipbillApprovalVO implements Serializable {
	private static final long serialVersionUID = 4250270869273727509L;

	@ApiModelProperty(value = "审批对象Id")
	private String approvalObjectId;

	@ApiModelProperty(value = "审批对象名称")
	private String approvalObjectName;

	@ApiModelProperty(value = "审批业务ID")
	private Long approvalBusinessId;

	@ApiModelProperty(value = "审批流程ID")
	private Long approvalId;

	@ApiModelProperty(value = "下一审批节点ID")
	private Long nextApproverNodeId;

	@ApiModelProperty(value = "审批流程下一节点顺序")
	private Integer nextApprovalOrder;

	@ApiModelProperty(value = "下一审批角色ID")
	private String nextApproverRoleId;

	@ApiModelProperty(value = "下一审批角色名称")
	private String nextApproverRoleName;

	@ApiModelProperty(value = "下一审批用户ID")
	private String nextApproverUserId;

	@ApiModelProperty(value = "下一审批用户名称")
	private String nextApproverUserName;

	@ApiModelProperty(value = "审批意见")
	private String approvalOpinion;

	@ApiModelProperty(value = "审批结果 数据字典 NODE_RESULT:1发起申请 2驳回发起人 3驳回上一级  4审批通过 5撤回 6 作废")
	private Integer result;

	@ApiModelProperty(value = "节点审批者类型 数据字典 NODE_APPROVER_TYPE 1 角色 2 用户")
	private Integer nodeApproverType;

	@ApiModelProperty(value = "审批方式  数据字典 NODE_APPROVAL_TYPE: 1 会签 2 或签")
	private Integer nodeApprovalType;

}
