package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 运单日志新增VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/3/31 15:08
 */
@Data
@ApiModel("运单操作日志新增VO")
public class ShipbillOperateLogSaveVO implements Serializable {
	private static final long serialVersionUID = 686119409702065621L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "操作事件")
	private String operateEvent;

	@ApiModelProperty(value = "原运单状态 数据字典SHIPBILL_STATUS:0已作废 10初始化 20已提交 5已回退")
	private Integer oldStatus;

	@ApiModelProperty(value = "新运单状态 数据字典SHIPBILL_STATUS:0已作废 10初始化 20已提交 5已回退")
	private Integer newStatus;

	@ApiModelProperty(value = "原承运方运单调度状态 数据字典CARRIER_SHIPBILL_STATUS:10待接单 20已接单 30已提交 5已回退 40已审核 50已调度")
	@Column(value = "old_carrier_shipbill_status")
	private Integer oldCarrierShipbillStatus;

	@ApiModelProperty(value = "新承运方运单调度状态 数据字典CARRIER_SHIPBILL_STATUS:10待接单 20已接单 30已提交 5已回退 40已审核 50已调度")
	@Column(value = "new_carrier_shipbill_status")
	private Integer newCarrierShipbillStatus;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "操作时间")
	private Date operateDate;

}
