package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 *
 * 待理货——运单模式查询VO
 *
 * @className :ShipbillPrintVO
 * @author :xyf
 * @creationTime :2022/05/08
 * @description :
 *
 *
 * 
 * @version :1.0.0
 *
 */
@Data
@ApiModel("运单高级查询VO")
public class ShipbillTypeAdvancedQueryVO implements Serializable {

	private static final long serialVersionUID = 3142212969333551913L;

	@NotNull(message = "当前页不能为空")
	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@NotNull(message = "页最大行数不能为空")
	@ApiModelProperty(value = "页最大行数")
	private Integer pageSize;

	@ApiModelProperty(value = "货主")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "业务类型")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "预计提货开始日期(年月日)")
	private String estimatedPickupStartTime;

	@ApiModelProperty(value = "预计提货结束日期(年月日)")
	private String estimatedPickupEndTime;

	@ApiModelProperty(value = "预计送达开始日期(年月日)")
	private String estimatedDeliveryStartTime;

	@ApiModelProperty(value = "预计送达结束日期(年月日)")
	private String estimatedDeliveryEndTime;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "车辆号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "线路")
	private String lineName;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "顶级部门ID", hidden = true)
	private String departmentId;

	@ApiModelProperty(value = "部门权限",hidden = true)
	private String[] depts;

	@ApiModelProperty(value = "货主权限",hidden = true)
	private Long[] consignors;

	@ApiModelProperty(value = "仓库权限",hidden = true)
	private Long[] wsarehouses;

	@ApiModelProperty(value = "供应商权限",hidden = true)
	private Long[] suppliers;

	@ApiModelProperty(value = "客户权限",hidden = true)
	private Long[] customers;

	@ApiModelProperty(value = "单位ID",hidden = true)
	private Long unitId;

	@ApiModelProperty(value = "是否是部门权限",hidden = true)
	private String isDept;

	@ApiModelProperty(value = "sql",hidden = true)
	private String sql;
}
