package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 整车直发-启运登记VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/6/21 10:24
 */
@Data
@ApiModel("整车直发-启运登记VO")
public class StartShipRegisterVO implements Serializable {

	private static final long serialVersionUID = 4944807850685600795L;

	@ApiModelProperty(value = "勾选的派车单主键集合 格式['','']")
	private List<String> loadingBillids;

	@ApiModelProperty(value = "勾选的运单主键集合 格式['','']")
	private List<String> shipbillIds;

	@ApiModelProperty(value = "签到时间")
	private Date signDate;

	@NotNull(message = "启运时间不能为空")
	@ApiModelProperty(value = "启运时间")
	private Date startShipDate;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "货物图片")
	private String goodsPicUrl;

}
