package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 取号管理-主界面查询VO
 *
 * @author xiaoyf
 * @date 2022/04/20
 */
@Data
@ApiModel("取号管理-主界面查询VO")
public class TakeNumberQueryVO implements Serializable {

	private static final long serialVersionUID = 6778812045363755476L;

	@ApiModelProperty(value = "货主")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "业务类型 字典 ORDER_BUSINESS_TYPE")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "预计提货开始日期")
	private String estimatedPickupStartTime;

	@ApiModelProperty(value = "预计提货结束日期")
	private String estimatedPickupEndTime;

	@ApiModelProperty(value = "预计送达开始日期")
	private String estimatedDeliveryStartTime;

	@ApiModelProperty(value = "预计送达结束日期")
	private String estimatedDeliveryEndTime;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "线路")
	private String lineName;

	@NotNull(message = "仓库ID不能为空")
	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

}
