package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待调度中转信息VO
 *
 * @author lhb
 * @date 2022/04/22
 */
@Data
@ApiModel("待调度中转信息VO")
public class TransitDetailInfoVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "中转分段序号")
	private Integer transitNumber;

	@ApiModelProperty(value = "预计送达开始时间")
	private Date estimatedDeliveryStartTime;

	@ApiModelProperty(value = "预计送达结束时间")
	private Date estimatedDeliveryEndTime;

	@ApiModelProperty(value = "预计发出开始时间")
	private Date estimatedSendStartTime;

	@ApiModelProperty(value = "预计发出结束时间")
	private Date estimatedSendEndTime;

	@ApiModelProperty(value = "中转站ID")
	private Long id;

	@ApiModelProperty(value = "中转站编码")
	private String code;

	@ApiModelProperty(value = "中转站名称")
	private String name;

	@ApiModelProperty(value = "中转站简称")
	private String shortName;

	@ApiModelProperty(value = "类型 数据字典TRANSFER_STATION_TYPE:1仓库  2物流园区")
	private Integer type;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	private String branchName;

	@ApiModelProperty(value = "联系人")
	private String contact;

	@ApiModelProperty(value = "手机号")
	private String phoneNumber;

	@ApiModelProperty(value = "座机号")
	private String landlineNumber;

	@ApiModelProperty(value = "邮箱")
	private String email;

	@ApiModelProperty(value = "邮编")
	private String postCode;

	@ApiModelProperty(value = "省")
	private String province;

	@ApiModelProperty(value = "市")
	private String city;

	@ApiModelProperty(value = "区")
	private String district;

	@ApiModelProperty(value = "省名称")
	private String provinceName;

	@ApiModelProperty(value = "市名称")
	private String cityName;

	@ApiModelProperty(value = "区名称")
	private String districtName;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@ApiModelProperty(value = "0：停用 1：启用 数据字典MAINDATA_STATUS")
	private Integer status;

	@ApiModelProperty(value = "备注")
	private String memo;

}
