package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待自提高级查询VO
 *
 * @author xyf
 * @date 2022/04/22
 */
@Data
@ApiModel("待自提高级查询VO")
public class WaitForSelfAdsQueryVO implements Serializable {

	private static final long serialVersionUID = 3142212969333551913L;

	@NotNull(message = "当前页不能为空")
	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@NotNull(message = "页最大行数不能为空")
	@ApiModelProperty(value = "页最大行数")
	private Integer pageSize;
	@ApiModelProperty(value = "高级查询条件")
	private String sql;

	@ApiModelProperty(value = "用户类型")
	private String userType;

	@ApiModelProperty(value = "运单状态集合")
	private Integer[] statusList;

	@ApiModelProperty(value = "是否部门权限")
	private String isDept;

	@ApiModelProperty(value = "部门IDs")
	private String[] depts;

	@ApiModelProperty(value = "货主集合")
	private Long[] consignors;

	@ApiModelProperty(value = "承运商集合")
	private Long[] suppliers;

	@ApiModelProperty(value = "客户集合")
	private Long[] customers;

	@ApiModelProperty(value = "仓库集合")
	private Long[] wsarehouses;

	@ApiModelProperty(value = "单位ID")
	private Long unitId;

	@ApiModelProperty(value = "承运商状态集合")
	private Integer[] carrierStatusList;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "状态")
	private Integer status;

	@ApiModelProperty(value = "客户ID",hidden = true)
	private Long customerUserId;

	@ApiModelProperty(value = "供应商ID",hidden = true)
	private Long supplierUserId;

	@ApiModelProperty(value = "货主ID",hidden = true)
	private Long cargoOwnerUserId;

}
