package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 待提货-运单商品VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/6/7 14:20
 */
@Data
@ApiModel("待提货-运单商品VO")
public class WaitForSelfWithdrawalItemVO implements Serializable {

    private static final long serialVersionUID = 143259325234539797L;

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @ApiModelProperty(value = "明细行号")
    private Integer seqno;

    @ApiModelProperty(value = "商品ID")
    private Long itemId;

    @ApiModelProperty(value = "商品编码")
    private String itemCode;

    @ApiModelProperty(value = "商品名称")
    private String itemName;

    @ApiModelProperty(value = "商品品类编码")
    private String itemCategoryCode;

    @ApiModelProperty(value = "商品品类名称")
    private String itemCategoryName;

    @ApiModelProperty(value = "包装类型  数据字典PACK_TYPE:1纸箱  2包装袋")
    private Integer packType;

    @ApiModelProperty(value = "包装类型名称  数据字典PACK_TYPE:1纸箱  2包装袋")
    private String packTypeName;

    @ApiModelProperty(value = "货物温层  数据字典CARGO_THERMOSPHERE:1常温 2冷藏 3冷冻")
    private Integer cargoThermosphere;

    @ApiModelProperty(value = "货物温层名称  数据字典CARGO_THERMOSPHERE:1常温 2冷藏 3冷冻")
    private String cargoThermosphereName;

    @ApiModelProperty(value = "件数")
    private BigDecimal pcs;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "库存件数")
    private Integer inventoryPcs;

    @ApiModelProperty(value = "申请件数")
    private Integer applyPcs;

    @ApiModelProperty(value = "暂存位")
    private String stagingLocation;

    @ApiModelProperty(value = "仓库ID")
    private Long branchId;

    @ApiModelProperty(value = "仓库编码")
    private String branchCode;

    @ApiModelProperty(value = "仓库名称")
    private String branchName;

}
