package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 
 *
 * 待提货确认VO
 *
 * @className :WaitPickUpConfirmVO
 * @author :fanzw
 * @creationTime :2022/06/28
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/06/28
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("待提货确认VO")
public class WaitPickUpConfirmVO implements Serializable {

	private static final long serialVersionUID = -4475775458611173539L;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "设备ID")
	private String vehicleDeviceId;

	@ApiModelProperty(value = "设备编码")
	private String vehicleDeviceCode;

	@ApiModelProperty(value = "设备名称")
	private String vehicleDeviceName;

	@ApiModelProperty(value = "已扫描运单")
	private List<String> scannedShipbillIds;

	@ApiModelProperty(value = "未扫描运单")
	private List<String> notScannedShipbillIds;

	@ApiModelProperty(value = "容器是否随车 数据字典:WHETHER 1是 0否")
	private BigDecimal containerWithVehicle;

	@ApiModelProperty(value = "扫描方式")
	private String scanLoadingMethod;
}
