package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 整车直发配载包裹查询VO
 *
 * @author xyf
 * @date 2022/04/22
 */
@Data
@ApiModel("整车直发配载包裹查询VO")
public class WholeCarDeliveryPackQueryVO implements Serializable {

	private static final long serialVersionUID = -1807120992034186446L;

	@NotNull(message = "当前页不能为空")
	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@NotNull(message = "当前页最大行数不能为空")
	@ApiModelProperty(value = "当前页最大行数")
	private Integer pageSize;

	@NotEmpty(message = "派车单ID不能为空")
	@ApiModelProperty(value = "派车单ID")
	private String loadingBillId;

}
