package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 整车直发派车单查询VO
 *
 * @author xyf
 * @date 2022/04/22
 */
@Data
@ApiModel("整车直发派车单查询VO")
public class WholeCarDeliveryQueryVO implements Serializable {

	private static final long serialVersionUID = -995812760554222507L;

	@NotNull(message = "当前页不能为空")
	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@NotNull(message = "当前页最大行数不能为空")
	@ApiModelProperty(value = "当前页最大行数")
	private Integer pageSize;

	@ApiModelProperty(value = "派车单号")
	private String loadingBillNo;

	@ApiModelProperty(value = "创建开始日期 年月日")
	private Date startDate;

	@ApiModelProperty(value = "创建结束日期 年月日")
	private Date endDate;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "顶级部门ID", hidden = true)
	private String departmentId;

	@ApiModelProperty(value = "货主ID", hidden = true)
	private Long cargoOwnerId;

	@ApiModelProperty(value = "货主", hidden = true)
	private Long[] consignors;

	@ApiModelProperty(value = "仓库", hidden = true)
	private Long[] wsarehouses;

	@ApiModelProperty(value = "供应商", hidden = true)
	private Long[] suppliers;

	@ApiModelProperty(value = "客户", hidden = true)
	private Long[] customers;

	@ApiModelProperty(value = "勾选的数据ID集合")
	private List<String> ids;

	@ApiModelProperty(value = "部门集合", hidden = true)
	private String[] depts;

}
