package com.prolog.rdc.tms.model.vo.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author hongbo.pan
 * @date 2023/8/25
 */
@Data
public class IntelligentDispatchDistanceVO {

    @ApiModelProperty(value = "起点经度")
    private BigDecimal originLongitude;

    @ApiModelProperty(value = "起点纬度")
    private BigDecimal originLatitude;

    @ApiModelProperty(value = "终点经度")
    private BigDecimal destinationLongitude;

    @ApiModelProperty(value = "终点纬度")
    private BigDecimal destinationLatitude;

    /**
     * 0：速度优先（只返回一条路线），此路线不一定距离最短
     * 1：费用优先（只返回一条路线），不走收费路段，且耗时最少的路线
     * 2：距离优先（只返回一条路线），仅走距离最短的路线，但是可能存在穿越小路/小区的情况
     * 3：速度优先（只返回一条路线），不走快速路，例如京通快速路
     * 32：默认，高德推荐，同高德地图APP默认
     * 33：躲避拥堵
     * 34：高速优先
     * 35：不走高速
     * 36：少收费
     * 37：大路优先
     * 38：速度最快
     * 39：躲避拥堵＋高速优先
     * 40：躲避拥堵＋不走高速
     * 41：躲避拥堵＋少收费
     * 42：少收费＋不走高速
     * 43：躲避拥堵＋少收费＋不走高速
     * 44：躲避拥堵＋大路优先
     * 45：躲避拥堵＋速度最快
     */
    @ApiModelProperty(value = "驾车算路策略")
    private Integer strategy;
}
