package com.prolog.rdc.tms.model.vo.intelligent;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/8/24
 */
@Data
public class IntelligentDispatchGroupQueryVO {

    @ApiModelProperty(value = "部门名称")
    private String departmentName;

    @ApiModelProperty(value = "货主名称")
    private String cargoOwnerName;

    @ApiModelProperty(value = "线路名称")
    private String lineName;

    @ApiModelProperty(value = "发货方站点名称")
    private String shipperStationName;

    @ApiModelProperty(value = "发货方站点区域")
    private String shipperStationAreas;

    @ApiModelProperty(value = "收货方站点名称")
    private String consigneeStationName;

    @ApiModelProperty(value = "收货方站点区域")
    private String consigneeStationAreas;

    @ApiModelProperty(value = "业务类型 数据字典ORDER_BUSINESS_TYPE")
    private Integer orderBusinessType;

    @ApiModelProperty(value = "运输类型(运输模式) 数据字典TRANSPORT_TYPE")
    private Integer transportType;

    @ApiModelProperty(value = "配送方式 数据字典DELIVERY_METHOD_TYPE")
    private Integer deliveryMethodType;

    @ApiModelProperty(value = "温度要求 数据字典TEMPERATURE_REQUIREMENT")
    private Integer temperatureRequirement;

    @ApiModelProperty(value = "日期类型 数据字典INTELLIGENT_DATE_TYPE：1运单下单日期 2提货日期 3送达日期")
    private String dateType;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "开始日期")
    private Date startDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "结束日期")
    private Date endDate;

    @ApiModelProperty(value = "用户类型",hidden = true)
    private String userType;

    @ApiModelProperty(value = "是否部门权限",hidden = true)
    private String isDept;

    @ApiModelProperty(value = "货主",hidden = true)
    private List<Long> consignorList;

    @ApiModelProperty(value = "数据权限",hidden = true)
    private List<Long> unitIdList;

    @ApiModelProperty(value = "企业ID", hidden = true)
    private Long enterpriseId;

    @ApiModelProperty(value = "部门",hidden = true)
    private List<String> deptList;

    @ApiModelProperty(value = "承运商ID", hidden = true)
    private Long carrierId;

}
