package com.prolog.rdc.tms.model.vo.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;


/**
* 智能调度派车单表 vo
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-08-24 12:27:10
*/
@Data
public class IntelligentDispatchLoadingAdjustVO {

    @NotBlank
    @ApiModelProperty(value = "调度单id")
    private String loadingId;

    @NotNull
    @ApiModelProperty(value = "行驶时长")
    private BigDecimal driveDuration;

    @NotNull
    @ApiModelProperty(value = "总里程数")
    private BigDecimal totalMileage;

    @ApiModelProperty(value = "预估成本")
    private BigDecimal estimateCost;

    @NotNull
    @ApiModelProperty(value = "装载率")
    private BigDecimal loadingRate;

    @NotNull
    @ApiModelProperty(value = "配载体积装载率")
    private BigDecimal volumeLoadingRate;

    @NotNull
    @ApiModelProperty(value = "配载重量装载率")
    private BigDecimal weightLoadingRate;

    @ApiModelProperty(value = "备注")
    private String memo;

    @Valid
    @ApiModelProperty(value = "运单调整信息")
    private List<IntelligentDispatchShipAdjustVO> shipAdjustVOList;

}
