package com.prolog.rdc.tms.model.vo.intelligent;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author hongbo.pan
 * @date 2023/8/24
 */
@Data
public class IntelligentDispatchQueryVO {

    @ApiModelProperty(value = "部门名称")
    private String intelligentDispatchNo;

    @ApiModelProperty(value = "货主名称")
    private String createperson;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "开始日期")
    private Date startDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "结束日期")
    private Date endDate;

    @NotNull
    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @NotNull
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "企业ID", hidden = true)
    private Long enterpriseId;

}
