package com.prolog.rdc.tms.model.vo.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;


/**
* 智能调度运单表 vo
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-08-24 12:27:10
*/
@Data
public class IntelligentDispatchShipAdjustVO {

    @NotBlank
    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @NotNull
    @ApiModelProperty(value = "运送顺序")
    private Integer deliveryOrder;

    @ApiModelProperty(value = "预估成本")
    private BigDecimal estimateCost;

    @ApiModelProperty(value = "收货方ID")
    private Long consigneeId;

    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

    @ApiModelProperty(value = "备注")
    private String memo;

}
