package com.prolog.rdc.tms.model.vo.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/8/24
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class IntelligentDispatchShipBillQueryVO extends IntelligentDispatchGroupQueryVO {

    @ApiModelProperty(value = "选中货主id")
    private List<String> cargoOwnerList;

    @ApiModelProperty(value = "选中业务类型")
    private List<String> orderBusinessTypeList;

    @ApiModelProperty(value = "选中运输类型")
    private List<String> transportTypeList;

    @ApiModelProperty(value = "选中配送方式")
    private List<String> deliveryMethodTypeList;

    @ApiModelProperty(value = "选中温度要求")
    private List<String> temperatureRequirementList;

    @ApiModelProperty(value = "选中线路")
    private List<String> lineList;

    @ApiModelProperty(value = "选中商品品类")
    private List<String> itemCategoryList;

    @ApiModelProperty(value = "选中发货方站点")
    private List<String> shipperStationList;

    @ApiModelProperty(value = "选中发货方站点区域")
    private List<String> shipperStationAreasList;

    @ApiModelProperty(value = "选中收货方站点")
    private List<String> consigneeStationList;

    @ApiModelProperty(value = "选中收货方站点区域")
    private List<String> consigneeStationAreasList;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "查询模式 1地图 2列表")
    private String queryModel;

    @ApiModelProperty(value = "空线路Y/N",hidden = true)
    private String emptyLine;

    @ApiModelProperty(value = "空发货方站点Y/N",hidden = true)
    private String emptyShipperStation;

    @ApiModelProperty(value = "空发货方站点区域Y/N",hidden = true)
    private String emptyShipperStationAreas;

    @ApiModelProperty(value = "空收货方站点Y/N",hidden = true)
    private String emptyConsigneeStation;

    @ApiModelProperty(value = "空收货方站点区域Y/N",hidden = true)
    private String emptyConsigneeStationAreas;

}
