package com.prolog.rdc.tms.model.vo.planMng;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 运输计划单保存VO
 *
 * @author lhb
 * @date 2023/06/07
 */
@Data
@ApiModel("运输计划单保存VO")
public class TransportPlanBillVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "运输计划单ID")
	private String planBillId;

	@ApiModelProperty(value = "运输计划单编号")
	private String planBillNo;

	@ApiModelProperty(value = "承运方类型 数据字典LINE_CARRIER_TYPE:1.承运商  2.司机")
	private Integer carrierType;

	@ApiModelProperty(value = "承运方ID")
	private Long carrierId;

	@ApiModelProperty(value = "承运方编码")
	private String carrierCode;

	@ApiModelProperty(value = "承运方名称")
	private String carrierName;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "司机编号")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	@ApiModelProperty(value = "车辆名称")
	private String vehicleName;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "计划发运日期")
	private Date planDeliveryDate;

	@ApiModelProperty(value = "计划总箱数")
	private Long planTotalPcs;

	@ApiModelProperty(value = "计划总车数")
	private Long planTotalVehicleNumber;

	@ApiModelProperty(value = "实际总箱数")
	private Long actualTotalPcs;

	@ApiModelProperty(value = "实际总车数")
	private Long actualTotalVehicleNumber;

	@ApiModelProperty(value = "超限提交日期")
	private Date transfiniteCommitDate;

	@ApiModelProperty(value = "超限说明")
	private String transfiniteDescription;

	@ApiModelProperty(value = "装车地点")
	private String loadingLocation;

	@ApiModelProperty(value = "待发运情况说明")
	private String deliveryDescription;

	@ApiModelProperty(value = "是否过磅 0:否 1:是")
	private Integer isWeigh;

	@ApiModelProperty(value = "产品名称,多个运单的产品名称,分隔组合")
	private String productName;

	@ApiModelProperty(value = "计划单明细集合")
	List<TransportPlanBillDetailVO> transportPlanBillDetailVOS;
}
