package com.prolog.rdc.tms.model.vo.planMng;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 运输计划单查询VO
 *
 * @author lhb
 * @date 2023/06/07
 */
@Data
@ApiModel("运输计划单查询VO")
public class TransportPlanQueryVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;


	@ApiModelProperty(value = "货主名称")
	private String cargoOwnerName;

	@ApiModelProperty(value = "所属部门名称")
	private String departmentName;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "MES单据编号")
	private String mesOrderNo;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "业务类型")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "制单开始日期")
	private Date createStartTime;

	@ApiModelProperty(value = "制单结束日期")
	private Date createEndTime;

	@ApiModelProperty(value = "收货方类型 数据字典CONSIGNEE_TYPE:1客户 2仓库 3供应商")
	private Integer consigneeType;

	@ApiModelProperty(value = "收货方名称")
	private String consigneeName;

	@ApiModelProperty(value = "承运商名称")
	private String carrierName;

	@ApiModelProperty(value = "承运方ID")
	private Long carrierId;

	@ApiModelProperty(value = "计划发运开始日期")
	private Date planDeliveryStartDate;

	@ApiModelProperty(value = "计划发运结束日期")
	private Date planDeliveryEndDate;

	@ApiModelProperty(value = "装货地点")
	private String loadingLocation;

	@ApiModelProperty(value = "商品名称")
	private String itemName;

	@ApiModelProperty(value = "计划单号")
	private String planBillNo;

	@ApiModelProperty(value = "计划单Id")
	private String planBillId;

	@ApiModelProperty(value = "计划单状态 数据字典：PLAN_BILL_STATUS:10待调度 20已调度")
	private Integer status;

	@ApiModelProperty(value = "计划开始日期")
	private Date planStartDate;

	@ApiModelProperty(value = "计划结束日期")
	private Date planEndDate;

	@ApiModelProperty(value = "是否部门权限",hidden = true)
	private String isDept;

	@ApiModelProperty(value = "计划单明细条件",hidden = true)
	private String planBillDetailCondition;

	@ApiModelProperty(value = "部门IDs",hidden = true)
	private String[] depts;

	@ApiModelProperty(value = "货主集合",hidden = true)
	private Long[] consignors;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "顶级部门ID", hidden = true)
	private String departmentId;

	@ApiModelProperty(value = "货主ID", hidden = true)
	private Long cargoOwnerId;

	@ApiModelProperty(value = "仓库", hidden = true)
	private Long[] wsarehouses;

	@ApiModelProperty(value = "供应商", hidden = true)
	private Long[] suppliers;

	@ApiModelProperty(value = "客户", hidden = true)
	private Long[] customers;

	@ApiModelProperty(value = "单位ID", hidden=true)
	private Long unitId;

	@ApiModelProperty(value = "产品名称")
	private String productName;

	@ApiModelProperty(value = "是否是调度查询")
	private String isDispatch;
}
