package com.prolog.rdc.tms.model.vo.report;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 酸奶运营报表VO
 * @author lhb
 * @since 2023-03-08 15:30:16
 */
@Data
@ApiModel("酸奶运营报表VO")
public class YogurtOperationReportVO {

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "开始调度日期")
    private Date startDisDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "结束调度日期")
    private Date endDisDate;

    @ApiModelProperty(value = "派车单号")
    private String loadingBillNo;

    @ApiModelProperty(value = "选择多个派车单号")
    private List<String> loadingBillNos;

    @ApiModelProperty(value = "运输单号")
    private String shipbillNo;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "电话")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "货主名称")
    private String cargoOwnerName;

    @ApiModelProperty(value = "企业ID", hidden = true)
    private Long enterpriseId;

    @ApiModelProperty(value = "用户类型", hidden = true)
    private String userType;

    @ApiModelProperty(value = "顶级部门ID", hidden = true)
    private String departmentId;

    @ApiModelProperty(value = "货主ID", hidden = true)
    private Long cargoOwnerId;

    @ApiModelProperty(value = "仓库", hidden = true)
    private Long[] wsarehouses;

    @ApiModelProperty(value = "供应商", hidden = true)
    private Long[] suppliers;

    @ApiModelProperty(value = "客户", hidden = true)
    private Long[] customers;

    @ApiModelProperty(value = "部门IDs",hidden = true)
    private String[] depts;

    @ApiModelProperty(value = "是否部门权限",hidden = true)
    private String isDept;

    @ApiModelProperty(value = "是否酸奶或者鲜奶",hidden = true)
    private String isMilk;

    @ApiModelProperty(value = "货主",hidden = true)
    private Long[] consignors;

    @ApiModelProperty(value = "承运商ID", hidden = true)
    private Long carrierId;

    @ApiModelProperty(value = "导出标志 A:导出全部  P:导出当前页 S:导出选择行")
    private String exportFlg;
}
