package com.prolog.rdc.tms;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

import com.prolog.framework.authority.annotation.EnablePrologResourceServer;
import com.prolog.framework.microservice.annotation.EnablePrologService;

import lombok.extern.slf4j.Slf4j;

/**
 * 
 *
 * 主应用启动入口
 *
 * @className :TmsInterfacelication
 * @author :fanzw
 * @creationTime :2022/05/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/05/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Slf4j
@EnablePrologService
@EnablePrologResourceServer
@EnableScheduling // 定时任务开启
@MapperScan("com.prolog.rdc.tms.**.mapper.**")
public class TmsInterfacelication {

	public static void main(String[] args) {
		SpringApplication.run(TmsInterfacelication.class, args);
		log.info("======== The tms-interface application has successfully started. ========");
	}
}
