package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *
 *
 * 冷链报警列表接口DTO
 *
 * @className :ColdchainAlarmDTO
 * @author :fanzw
 * @creationTime :2022/08/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class ColdchainAlarmDTO {

    @ApiModelProperty(value = "G7车辆id")
    private String truckid;

    @ApiModelProperty(value = "车牌号")
    private String carnum;

    @ApiModelProperty(value = "设备号")
    private String gpsno;

    @ApiModelProperty(value = "设备类型,0:固定式,1:便携式")
    private Integer devicetype;

    @ApiModelProperty(value = "探头名称")
    private String probename;

    @ApiModelProperty(value = "警报类型: 1 低温预警, 2 低温报警, 3 高温预警, ")
    private Integer alarmtype;

    @ApiModelProperty(value = "报警温度")
    private BigDecimal temperature;

    @ApiModelProperty(value = "警戒温度 (设置温度范围)")
    private String temperatureSetting;

    @ApiModelProperty(value = "报警开始时间")
    private String starttime;

    @ApiModelProperty(value = "报警结束时间")
    private String endtime;

    @ApiModelProperty(value = "持续时间(秒)")
    private String difftime;

    @ApiModelProperty(value = "开始纬度")
    private BigDecimal startlat;

    @ApiModelProperty(value = "开始经度")
    private BigDecimal startlng;

    @ApiModelProperty(value = "结束纬度")
    private BigDecimal endlat;

    @ApiModelProperty(value = "结束经度")
    private BigDecimal endlng;

    @ApiModelProperty(value = "车速")
    private BigDecimal speed;

    @ApiModelProperty(value = "冷机状态 0:关 1:开")
    private Integer coldstatus;

    @ApiModelProperty(value = "结束标志 0:未结束 1:结束")
    private Integer end;

    @ApiModelProperty(value = "引擎状态")
    private Integer acc;

    @ApiModelProperty(value = "压缩机状态")
    private Integer compressor;

    @ApiModelProperty(value = "门磁状态")
    private Integer door;

    @ApiModelProperty(value = "电量")
    private Integer elecvalue;

    @ApiModelProperty(value = "开始湿度")
    private BigDecimal startHumidity;

    @ApiModelProperty(value = "结束湿度")
    private BigDecimal endHumidity;

    @ApiModelProperty(value = "最高温度")
    private BigDecimal maxTemperature;

    @ApiModelProperty(value = "最低温度")
    private BigDecimal lowestTemperature;

    @ApiModelProperty(value = "平均温度")
    private BigDecimal averageTemperature;

    @ApiModelProperty(value = "报警等级")
    private Integer alarmLevel;

    @ApiModelProperty(value = "处理标志")
    private Integer mark;

    @ApiModelProperty(value = "处理方式")
    private Integer processingMode;

    @ApiModelProperty(value = "处理人")
    private String handler;

    @ApiModelProperty(value = "处理时间")
    private String handleTime;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "0.未处置 1.已及时整改 2.拒不整改")
    private String handleResult;

    @ApiModelProperty(value = "报警处置说明：电话、短信、系统错误")
    private String handleContent;

}
