package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *
 *
 * 设备历史轨迹0DTO
 *
 * @className :HistoryLocationByGpsnoDTO
 * @author :fanzw
 * @creationTime :2022/08/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class TruckEventDTO {

    @ApiModelProperty(value = "经度，GCJ02坐标系")
    private BigDecimal lng;

    @ApiModelProperty(value = "纬度，GCJ02坐标系")
    private BigDecimal lat;

    @ApiModelProperty(value = "速度，km/h")
    private Integer speed;

    @ApiModelProperty(value = "方向角(°)，360度，正北为0")
    private String course;

    @ApiModelProperty(value = "距上一点的距离(厘米)")
    private BigDecimal distance;

    @ApiModelProperty(value = "高程，单位米")
    private String altitude;

    @ApiModelProperty(value = "定位时间, unix timestamp, 精度毫秒ms")
    private String time;

}
