package com.prolog.rdc.tms.model.entity;

import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 *
 * 电子围栏接口历史表
 *
 * @className :CustomerModel
 * @author :fanzw
 * @creationTime :2022/11/07
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/07
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table(value = "intf_customer_consignee_hty")
public class CustomerConsigneeHtyModel {

	@Id
	@ApiModelProperty(value = "收货方ID")
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "收货方编码")
	@Column(value = "code")
	private String code;

	@ApiModelProperty(value = "收货方名称")
	@Column(value = "name")
	private String name;

	@ApiModelProperty(value = "收货方简称")
	@Column(value = "short_name")
	private String shortName;

	@ApiModelProperty(value = "客户ID 关联TMS_BASE_CUSTOMER表主键")
	@Column(value = "customer_id")
	private Long customerId;

	@ApiModelProperty(value = "客户编号")
	@Column(value = "customer_code")
	private String customerCode;

	@ApiModelProperty(value = "客户名称")
	@Column(value = "customer_name")
	private String customerName;

	@ApiModelProperty(value = "联系人")
	@Column(value = "contact")
	private String contact;

	@ApiModelProperty(value = "手机号")
	@Column(value = "phone_number")
	private String phoneNumber;

	@ApiModelProperty(value = "座机号")
	@Column(value = "landline_number")
	private String landlineNumber;

	@ApiModelProperty(value = "邮箱")
	@Column(value = "email")
	private String email;

	@ApiModelProperty(value = "关联手机号")
	@Column(value = "relation_phone_number")
	private String relationPhoneNumber;

	@ApiModelProperty(value = "省编码")
	@Column(value = "province")
	private String province;

	@ApiModelProperty(value = "省名称")
	@Column(value = "province_name")
	private String provinceName;

	@ApiModelProperty(value = "市编码")
	@Column(value = "city")
	private String city;

	@ApiModelProperty(value = "市名称")
	@Column(value = "city_name")
	private String cityName;

	@ApiModelProperty(value = "区编码")
	@Column(value = "district")
	private String district;

	@ApiModelProperty(value = "区名称")
	@Column(value = "district_name")
	private String districtName;

	@ApiModelProperty(value = "详细地址")
	@Column(value = "address")
	private String address;

	@ApiModelProperty(value = "经度")
	@Column(value = "longitude")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	@Column(value = "latitude")
	private BigDecimal latitude;

	@ApiModelProperty(value = "状态:0：停用 1：启用 数据字典MAINDATA_STATUS")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "来源  数据字典SOURCE：1.新增 2.excel导入 3.接口导入")
	@Column(value = "source")
	private Integer source;

	@ApiModelProperty(value = "导入批次号")
	@Column(value = "import_batch_number")
	private String importBatchNumber;

	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;

	@ApiModelProperty(value = "默认承运方类型")
	@Column(value = "carrier_type")
	private Integer carrierType;

	@ApiModelProperty(value = "承运方ID")
	@Column(value = "carrier_id")
	private Long carrierId;

	@ApiModelProperty(value = "承运方编码")
	@Column(value = "carrier_code")
	private String carrierCode;

	@ApiModelProperty(value = "承运方名称")
	@Column(value = "carrier_name")
	private String carrierName;

	@ApiModelProperty(value = "承运方(司机)手机号")
	@Column(value = "carrier_phone_number")
	private String carrierPhoneNumber;

	@ApiModelProperty(value = "车辆ID")
	@Column(value = "vehicle_id")
	private String vehicleId;

	@ApiModelProperty(value = "车辆编号")
	@Column(value = "vehicle_code")
	private String vehicleCode;

	@ApiModelProperty(value = "车辆名称")
	@Column(value = "vehicle_name")
	private String vehicleName;

	@ApiModelProperty(value = "车牌号")
	@Column(value = "vehicle_plate_number")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "公司ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "公司名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "ext_str1")
	private String extStr1;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "ext_str2")
	private String extStr2;

	@ApiModelProperty(value = "扩展字段3")
	@Column(value = "ext_str3")
	private String extStr3;

	@ApiModelProperty(value = "扩展字段4")
	@Column(value = "ext_str4")
	private String extStr4;

	@ApiModelProperty(value = "扩展字段5")
	@Column(value = "ext_str5")
	private String extStr5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段6")
	@Column(value = "ext_date1")
	private Date extDate1;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段7")
	@Column(value = "ext_date2")
	private Date extDate2;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段8")
	@Column(value = "ext_date3")
	private Date extDate3;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段9")
	@Column(value = "ext_date4")
	private Date extDate4;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段10")
	@Column(value = "ext_date5")
	private Date extDate5;

	@ApiModelProperty(value = "扩展字段11")
	@Column(value = "ext_num1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "扩展字段12")
	@Column(value = "ext_num2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "扩展字段13")
	@Column(value = "ext_num3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "扩展字段14")
	@Column(value = "ext_num4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "扩展字段15")
	@Column(value = "ext_num5")
	private BigDecimal extNum5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "配送方式 DELIVERY_PATTERN  字典 1配送 2自提")
	@Column(value = "delivery_pattern")
	private Integer deliveryPattern;

	@ApiModelProperty(value = "N初始 E失败 Y成功")
	@Column(value = "intf_status")
	private String intfStatus;

	@ApiModelProperty(value = "所属货主ID")
	@Column(value = "cargo_owner_id")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "所属货主编码")
	@Column(value = "cargo_owner_code")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "所属货主名称")
	@Column(value = "cargo_owner_name")
	private String cargoOwnerName;

}
