package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 接口错误日志表
 *
 * @className :ErrorLogModel
 * @author :fanzw
 * @creationTime :2022/11/07
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/07
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table(value = "intf_error_log")
public class ErrorLogModel implements Serializable {

	private static final long serialVersionUID = -293826522640718514L;

	@Id
	@Column(value = "id")
	@ApiModelProperty(value = "id")
	private String id;

	@Column(value = "intf_name")
	@ApiModelProperty(value = "接口描述")
	private String intfName;

	@Column(value = "error_info")
	@ApiModelProperty(value = "详细错误信息")
	private String errorInfo;

	@Column(value = "table_name")
	@ApiModelProperty(value = "数据来源表")
	private String tableName;

	@Column(value = "data_id")
	@ApiModelProperty(value = "数据来源表主键")
	private String dataId;

	@Column(value = "createtime")
	@ApiModelProperty(value = "错误日志生成时间")
	private Date createtime;

}
