package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 运单接口历史表
 *
 * @className :ShipbillHeaderHtyModel
 * @author :fanzw
 * @creationTime :2022/11/08
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/08
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table("intf_shipbill_header_hty")
public class ShipbillHeaderHtyModel implements Serializable {

	private static final long serialVersionUID = 5761572542361242512L;

	@Id
	@ApiModelProperty(value = "运单ID")
	@Column(value = "shipbill_id")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	@Column(value = "shipbill_no")
	private String shipbillNo;

	@ApiModelProperty(value = "父级运单ID")
	@Column(value = "father_shipbill_id")
	private String fatherShipbillId;

	@ApiModelProperty(value = "父级运单编号")
	@Column(value = "father_shipbill_no")
	private String fatherShipbillNo;

	@ApiModelProperty(value = "原始运单ID")
	@Column(value = "original_shipbill_id")
	private String originalShipbillId;

	@ApiModelProperty(value = "原始运单编号")
	@Column(value = "original_shipbill_no")
	private String originalShipbillNo;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "branch_id")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	@Column(value = "branch_code")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	@Column(value = "branch_name")
	private String branchName;

	@ApiModelProperty(value = "货主ID")
	@Column(value = "cargo_owner_id")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "货主编码")
	@Column(value = "cargo_owner_code")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "货主名称")
	@Column(value = "cargo_owner_name")
	private String cargoOwnerName;

	@ApiModelProperty(value = "订单ID")
	@Column(value = "order_id")
	private String orderId;

	@ApiModelProperty(value = "订单编号")
	@Column(value = "order_no")
	private String orderNo;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "订单日期")
	@Column(value = "order_date")
	private Date orderDate;

	@ApiModelProperty(value = "订单类型 数据字典ORDER_TYPE：1普通 2紧急 3加急")
	@Column(value = "order_type")
	private Integer orderType;

	@ApiModelProperty(value = "订单业务类型 数据字典ORDER_BUSINESS_TYPE：1销售订单-直送  2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提 5销售退货 6采购退货 7调拨")
	@Column(value = "order_business_type")
	private Integer orderBusinessType;

	@ApiModelProperty(value = "WMS单据ID")
	@Column(value = "wms_order_id")
	private String wmsOrderId;

	@ApiModelProperty(value = "WMS单据编号")
	@Column(value = "wms_order_no")
	private String wmsOrderNo;

	@ApiModelProperty(value = "运输状态 数据字典TRANSPORT_STATUS:10待发货 20 配送中 30 已送达")
	@Column(value = "transport_status")
	private Integer transportStatus;

	@ApiModelProperty(value = "异常状态 数据字典ABNORMAL_STATUS:10异常")
	@Column(value = "abnormal_status")
	private Integer abnormalStatus;

	@ApiModelProperty(value = "拆单状态 数据字典SPLIT_ORDER_STATUS:0未拆单 1已拆单")
	@Column(value = "split_order_status")
	private Integer splitOrderStatus;

	@ApiModelProperty(value = "拆单类型 数据字典SPLIT_ORDER_TYPE:1未拆单 2拆分主单 3拆分子单 4中转主单 5中转子单")
	@Column(value = "split_order_type")
	private Integer splitOrderType;

	@ApiModelProperty(value = "承运商拆单状态 数据字典CARRIER_SPLIT_ORDER_STATUS:0未拆单 1已拆单")
	@Column(value = "carrier_split_order_status")
	private Integer carrierSplitOrderStatus;

	@ApiModelProperty(value = "承运商拆单类型 数据字典CARRIER_SPLIT_ORDER_TYPE:1未拆单 2拆分主单 3拆分子单 4中转主单 5中转子单")
	@Column(value = "carrier_split_order_type")
	private Integer carrierSplitOrderType;

	@ApiModelProperty(value = "配送方式 数据字典DELIVERY_METHOD_TYPE：1配送 2自提")
	@Column(value = "delivery_method_type")
	private Integer deliveryMethodType;

	@ApiModelProperty(value = "运输类型(运输模式) 数据字典TRANSPORT_TYPE:1整车 2零担")
	@Column(value = "transport_type")
	private Integer transportType;

	@ApiModelProperty(value = "温度要求 数据字典TEMPERATURE_REQUIREMENT：1常温 2冷藏 3冷冻 4恒温")
	@Column(value = "temperature_requirement")
	private Integer temperatureRequirement;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计提货开始时间")
	@Column(value = "estimated_pickup_start_time")
	private Date estimatedPickupStartTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计提货结束时间")
	@Column(value = "estimated_pickup_end_time")
	private Date estimatedPickupEndTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计送达开始时间")
	@Column(value = "estimated_delivery_start_time")
	private Date estimatedDeliveryStartTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "预计结束开始时间")
	@Column(value = "estimated_delivery_end_time")
	private Date estimatedDeliveryEndTime;

	@ApiModelProperty(value = "运输时效")
	@Column(value = "transport_aging")
	private BigDecimal transportAging;

	@ApiModelProperty(value = "发货方类型 数据字典SHIPPER_TYPE:1客户 2仓库 3供应商")
	@Column(value = "shipper_type")
	private Integer shipperType;

	@ApiModelProperty(value = "发货方单位ID")
	@Column(value = "shipper_unit_id")
	private Long shipperUnitId;

	@ApiModelProperty(value = "发货方单位编码")
	@Column(value = "shipper_unit_code")
	private String shipperUnitCode;

	@ApiModelProperty(value = "发货方单位名称")
	@Column(value = "shipper_unit_name")
	private String shipperUnitName;

	@ApiModelProperty(value = "发货方ID")
	@Column(value = "shipper_id")
	private Long shipperId;

	@ApiModelProperty(value = "发货方编码")
	@Column(value = "shipper_code")
	private String shipperCode;

	@ApiModelProperty(value = "发货方名称")
	@Column(value = "shipper_name")
	private String shipperName;

	@ApiModelProperty(value = "发货方联系人")
	@Column(value = "shipper_contact")
	private String shipperContact;

	@ApiModelProperty(value = "发货方手机号")
	@Column(value = "shipper_phone_number")
	private String shipperPhoneNumber;

	@ApiModelProperty(value = "发货方座机号")
	@Column(value = "shipper_landline_number")
	private String shipperLandlineNumber;

	@ApiModelProperty(value = "发货方邮箱")
	@Column(value = "shipper_email")
	private String shipperEmail;

	@ApiModelProperty(value = "发货方关联手机号")
	@Column(value = "shipper_related_phone_number")
	private String shipperRelatedPhoneNumber;

	@ApiModelProperty(value = "发货方省编码")
	@Column(value = "shipper_province")
	private String shipperProvince;

	@ApiModelProperty(value = "发货方省名称")
	@Column(value = "shipper_province_name")
	private String shipperProvinceName;

	@ApiModelProperty(value = "发货方市编码")
	@Column(value = "shipper_city")
	private String shipperCity;

	@ApiModelProperty(value = "发货方市名称")
	@Column(value = "shipper_city_name")
	private String shipperCityName;

	@ApiModelProperty(value = "发货方区/县编码")
	@Column(value = "shipper_district")
	private String shipperDistrict;

	@ApiModelProperty(value = "发货方区/县名称")
	@Column(value = "shipper_district_name")
	private String shipperDistrictName;

	@ApiModelProperty(value = "发货方详细地址")
	@Column(value = "shipper_address")
	private String shipperAddress;

	@ApiModelProperty(value = "发货方经度")
	@Column(value = "shipper_longitude")
	private BigDecimal shipperLongitude;

	@ApiModelProperty(value = "发货方纬度")
	@Column(value = "shipper_latitude")
	private BigDecimal shipperLatitude;

	@ApiModelProperty(value = "发货方备注")
	@Column(value = "shipper_memo")
	private String shipperMemo;

	@ApiModelProperty(value = "提货签到 数据字典WHETHER:0否，1是")
	@Column(value = "shipper_pick_up_sign")
	private Integer shipperPickUpSign;

	@ApiModelProperty(value = "自动提货签到 数据字典WHETHER:0否，1是")
	@Column(value = "shipper_auto_pick_up_sign")
	private Integer shipperAutoPickUpSign;

	@ApiModelProperty(value = "提货图片 数据字典WHETHER:0否，1是")
	@Column(value = "shipper_pick_up_picture")
	private Integer shipperPickUpPicture;

	@ApiModelProperty(value = "默认提货围栏(km)")
	@Column(value = "shipper_pick_up_rail")
	private BigDecimal shipperPickUpRail;

	@ApiModelProperty(value = "收货方类型 数据字典CONSIGNEE_TYPE:1客户 2仓库 3供应商")
	@Column(value = "consignee_type")
	private Integer consigneeType;

	@ApiModelProperty(value = "收货方单位ID")
	@Column(value = "consignee_unit_id")
	private Long consigneeUnitId;

	@ApiModelProperty(value = "收货方单位编码")
	@Column(value = "consignee_unit_code")
	private String consigneeUnitCode;

	@ApiModelProperty(value = "收货方单位名称")
	@Column(value = "consignee_unit_name")
	private String consigneeUnitName;

	@ApiModelProperty(value = "收货方ID")
	@Column(value = "consignee_id")
	private Long consigneeId;

	@ApiModelProperty(value = "收货方编码")
	@Column(value = "consignee_code")
	private String consigneeCode;

	@ApiModelProperty(value = "收货方名称")
	@Column(value = "consignee_name")
	private String consigneeName;

	@ApiModelProperty(value = "收货方联系人")
	@Column(value = "consignee_contact")
	private String consigneeContact;

	@ApiModelProperty(value = "收货方手机号")
	@Column(value = "consignee_phone_number")
	private String consigneePhoneNumber;

	@ApiModelProperty(value = "收货方座机号")
	@Column(value = "consignee_landline_number")
	private String consigneeLandlineNumber;

	@ApiModelProperty(value = "收货方邮箱")
	@Column(value = "consignee_email")
	private String consigneeEmail;

	@ApiModelProperty(value = "收货方关联手机号")
	@Column(value = "consignee_related_phone_number")
	private String consigneeRelatedPhoneNumber;

	@ApiModelProperty(value = "收货方省编码")
	@Column(value = "consignee_province")
	private String consigneeProvince;

	@ApiModelProperty(value = "收货方省名称")
	@Column(value = "consignee_province_name")
	private String consigneeProvinceName;

	@ApiModelProperty(value = "收货方市编码")
	@Column(value = "consignee_city")
	private String consigneeCity;

	@ApiModelProperty(value = "收货方市名称")
	@Column(value = "consignee_city_name")
	private String consigneeCityName;

	@ApiModelProperty(value = "收货方区/县编码")
	@Column(value = "consignee_district")
	private String consigneeDistrict;

	@ApiModelProperty(value = "收货方区/县名称")
	@Column(value = "consignee_district_name")
	private String consigneeDistrictName;

	@ApiModelProperty(value = "收货方详细地址")
	@Column(value = "consignee_address")
	private String consigneeAddress;

	@ApiModelProperty(value = "收货方经度")
	@Column(value = "consignee_longitude")
	private BigDecimal consigneeLongitude;

	@ApiModelProperty(value = "收货方纬度")
	@Column(value = "consignee_latitude")
	private BigDecimal consigneeLatitude;

	@ApiModelProperty(value = "收货方备注")
	@Column(value = "consignee_memo")
	private String consigneeMemo;

	@ApiModelProperty(value = "送达签到 数据字典WHETHER:0否，1是")
	@Column(value = "consignee_delivery_sign")
	private Integer consigneeDeliverySign;

	@ApiModelProperty(value = "自动送达签到 数据字典WHETHER:0否，1是")
	@Column(value = "consignee_auto_delivery_sign")
	private Integer consigneeAutoDeliverySign;

	@ApiModelProperty(value = "送货图片 数据字典WHETHER:0否，1是")
	@Column(value = "consignee_delivery_picture")
	private Integer consigneeDeliveryPicture;

	@ApiModelProperty(value = "默认送货围栏(km)")
	@Column(value = "consignee_delivery_rail")
	private BigDecimal consigneeDeliveryRail;

	@ApiModelProperty(value = "线路ID")
	@Column(value = "line_id")
	private Long lineId;

	@ApiModelProperty(value = "线路编码")
	@Column(value = "line_code")
	private String lineCode;

	@ApiModelProperty(value = "线路名称")
	@Column(value = "line_name")
	private String lineName;

	@ApiModelProperty(value = "是否要求回单 数据字典WHETHER:0否，1是")
	@Column(value = "return_order_flag")
	private Integer returnOrderFlag;

	@ApiModelProperty(value = "回单期限")
	@Column(value = "return_order_deadline")
	private Integer returnOrderDeadline;

	@ApiModelProperty(value = "总件数")
	@Column(value = "total_pcs")
	private BigDecimal totalPcs;

	@ApiModelProperty(value = "总体积")
	@Column(value = "total_volume")
	private BigDecimal totalVolume;

	@ApiModelProperty(value = "总重量")
	@Column(value = "total_weight")
	private BigDecimal totalWeight;

	@ApiModelProperty(value = "实际总件数")
	@Column(value = "actual_total_pcs")
	private BigDecimal actualTotalPcs;

	@ApiModelProperty(value = "实际总体积")
	@Column(value = "actual_total_volume")
	private BigDecimal actualTotalVolume;

	@ApiModelProperty(value = "实际总重量")
	@Column(value = "actual_total_weight")
	private BigDecimal actualTotalWeight;

	@ApiModelProperty(value = "总发货件数")
	@Column(value = "total_delivery_pcs")
	private BigDecimal totalDeliveryPcs;

	@ApiModelProperty(value = "总发货体积")
	@Column(value = "total_delivery_volume")
	private BigDecimal totalDeliveryVolume;

	@ApiModelProperty(value = "总发货重量")
	@Column(value = "total_delivery_weight")
	private BigDecimal totalDeliveryWeight;

	@ApiModelProperty(value = "包裹整件数")
	@Column(value = "package_whole_piece")
	private BigDecimal packageWholePiece;

	@ApiModelProperty(value = "包裹拼箱数")
	@Column(value = "package_lcl_piece")
	private BigDecimal packageLclPiece;

	@ApiModelProperty(value = "包裹总体积")
	@Column(value = "package_total_volume")
	private BigDecimal packageTotalVolume;

	@ApiModelProperty(value = "包裹总重量")
	@Column(value = "package_total_weight")
	private BigDecimal packageTotalWeight;

	@ApiModelProperty(value = "回退类型 数据字典BACK_TYPE：1.信息填写不完整")
	@Column(value = "back_type")
	private Integer backType;

	@ApiModelProperty(value = "回退原因")
	@Column(value = "back_reason")
	private String backReason;

	@ApiModelProperty(value = "运单状态 数据字典SHIPBILL_STATUS:0已作废 10初始化 20已提交 5已回退")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;

	@ApiModelProperty(value = "来源 数据字典SOURCE 1.新增 2.excel导入 3.接口导入")
	@Column(value = "source")
	private Integer source;

	@ApiModelProperty(value = "导入批次号")
	@Column(value = "import_batch_number")
	private String importBatchNumber;

	@ApiModelProperty(value = "所属组织ID")
	@Column(value = "organization_id")
	private Long organizationId;

	@ApiModelProperty(value = "所属组织编码")
	@Column(value = "organization_code")
	private String organizationCode;

	@ApiModelProperty(value = "所属组织名称")
	@Column(value = "organization_name")
	private String organizationName;

	@ApiModelProperty(value = "所属部门ID")
	@Column(value = "department_id")
	private String departmentId;

	@ApiModelProperty(value = "所属部门编码")
	@Column(value = "department_code")
	private String departmentCode;

	@ApiModelProperty(value = "所属部门名称")
	@Column(value = "department_name")
	private String departmentName;

	@ApiModelProperty(value = "承运方(调度)类型 数据字典LINE_CARRIER_TYPE:1.承运商  2.司机")
	@Column(value = "carrier_type")
	private Integer carrierType;

	@ApiModelProperty(value = "承运商ID")
	@Column(value = "carrier_id")
	private Long carrierId;

	@ApiModelProperty(value = "承运商编码")
	@Column(value = "carrier_code")
	private String carrierCode;

	@ApiModelProperty(value = "承运商名称")
	@Column(value = "carrier_name")
	private String carrierName;

	@ApiModelProperty(value = "承运方运单调度状态 数据字典CARRIER_SHIPBILL_STATUS:10已接单 20已提交 5已回退 30已审核 40已调度")
	@Column(value = "carrier_shipbill_status")
	private Integer carrierShipbillStatus;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "启运时间")
	@Column(value = "departure_time")
	private Date departureTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "送达时间")
	@Column(value = "delivery_time")
	private Date deliveryTime;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "字符扩展1")
	@Column(value = "ext_str1")
	private String extStr1;

	@ApiModelProperty(value = "字符扩展2")
	@Column(value = "ext_str2")
	private String extStr2;

	@ApiModelProperty(value = "字符扩展3")
	@Column(value = "ext_str3")
	private String extStr3;

	@ApiModelProperty(value = "字符扩展4")
	@Column(value = "ext_str4")
	private String extStr4;

	@ApiModelProperty(value = "字符扩展5")
	@Column(value = "ext_str5")
	private String extStr5;

	@ApiModelProperty(value = "数值属性扩展1")
	@Column(value = "ext_num1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	@Column(value = "ext_num2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	@Column(value = "ext_num3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	@Column(value = "ext_num4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	@Column(value = "ext_num5")
	private BigDecimal extNum5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展1")
	@Column(value = "ext_date1")
	private Date extDate1;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展2")
	@Column(value = "ext_date2")
	private Date extDate2;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展3")
	@Column(value = "ext_date3")
	private Date extDate3;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展4")
	@Column(value = "ext_date4")
	private Date extDate4;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展5")
	@Column(value = "ext_date5")
	private Date extDate5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "扫描状态 数据字典SCAN_STATUS:10初始 20已装车扫描")
	@Column(value = "scan_status")
	private Integer scanStatus;

	@ApiModelProperty(value = "配送状态 数据字典DELIVERY_STATUS:10配送失败 20配送滞留 30配送成功")
	@Column(value = "delivery_status")
	private Integer deliveryStatus;

	@ApiModelProperty(value = "回单图片 数据字典WHETHER:0否，1是")
	@Column(value = "consignee_return_order_picture")
	private Integer consigneeReturnOrderPicture;

	@ApiModelProperty(value = "流程配置 Add新增,AddCommit新增提交,Commit提交,CommitReview提交审核,Review审核," + "ReviewDispatch匹配唯一承运方自动调度,Dispatch调度,DispatchCheck调度后自动审核,Check调度审核,Appointment预约," + "ArrangeGoods理货,LoadUnLoad装卸,Scanning装车扫描,SendOff启运登记,ArriveConfirm送达确认")
	@Column(value = "flow_config")
	private String flowConfig;

	@ApiModelProperty(value = "流程配置 接单Receive,接单后自动提交ReceiveCommit,承运商是否开启接单拒绝RejectReceive,Commit提交,CommitReview提交审核,Review审核," + "ReviewDispatch匹配唯一承运方自动调度,Dispatch调度,DispatchCheck调度后自动审核,Check调度审核,Appointment预约," + "ArrangeGoods理货,LoadUnLoad装卸,Scanning装车扫描,SendOff启运登记,ArriveConfirm送达确认")
	@Column(value = "carrier_flow_config")
	private String carrierFlowConfig;

	// STD-DEVELOP20220823 lhb bwc0823006 运单表增加理货状态的需求变更 20220824 start
	@ApiModelProperty(value = "预约理货状态 数据字典TALLY_STATUS: 空，10待理货 20开始理货 30理货完成")
	@Column(value = "app_tally_status")
	private Integer appTallyStatus;
	// STD-DEVELOP20220823 lhb bwc0823006 运单表增加理货状态的需求变更 20220824 end

	@ApiModelProperty(value = "关联运单ID")
	@Column(value = "relation_shipbill_id")
	private String relationShipbillId;

	@ApiModelProperty(value = "关联运单编号")
	@Column(value = "relation_shipbill_no")
	private String relationShipbillNo;

	@ApiModelProperty(value = "运单类型数据字典SHIPBILL_TYPE:N正常运单R退运单")
	@Column(value = "shipbill_type")
	private String shipbillType;

	@ApiModelProperty(value = "签收状态数据字典SIGN_IN_STATUS:S已签收P部分签收N未签收，默认N")
	@Column(value = "sign_in_status")
	private String signInStatus;

	@ApiModelProperty(value = "N初始 E失败 Y成功")
	@Column(value = "intf_status")
	private String intfStatus;

	@ApiModelProperty(value = "承运商类型 数据字典CARRIERS_TYPE:1.三方快递  2.三方物流")
	@Column(value = "carriers_type")
	private Integer carriersType;

	@ApiModelProperty(value = "承运商ID")
	@Column(value = "carriers_id")
	private Long carriersId;

	@ApiModelProperty(value = "承运商编码")
	@Column(value = "carriers_code")
	private String carriersCode;

	@ApiModelProperty(value = "承运商名称")
	@Column(value = "carriers_name")
	private String carriersName;

	@ApiModelProperty(value = "多个快递单号,逗号分隔")
	@Column(value = "express_number")
	private String expressNumber;
}
