package com.prolog.rdc.tms.model.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 *
 * 运单路由数据表
 *
 * @className :ShipbillRouteDataModel
 * @author :fanzw
 * @creationTime :2022/11/08
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/08
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table("shipbill_route_data")
public class ShipbillRouteDataModel implements Serializable {

	private static final long serialVersionUID = 3203680846662351724L;

	@Id
	@Column(value = "id")
	@ApiModelProperty(value = "ID")
	private String id;

	@ApiModelProperty(value = "承运商编码")
	@Column(value = "carriers_code")
	private String carriersCode;

	@ApiModelProperty(value = "快递单号")
	@Column(value = "express_number")
	private String expressNumber;

	@ApiModelProperty(value = "路由内容")
	@Column(value = "route_context")
	private String routeContext;

	@ApiModelProperty(value = "路由日期")
	@Column(value = "route_date")
	private String routeDate;

	@ApiModelProperty(value = "经度")
	@Column(value = "longitude")
	private String longitude;

	@ApiModelProperty(value = "纬度")
	@Column(value = "latitude")
	private String latitude;

	@ApiModelProperty(value = "路由途径地")
	@Column(value = "area_name")
	private String areaName;

	@ApiModelProperty(value = "快递单当前状态，包括0在途，1揽收，2疑难，3签收，4退签，5派件，6退回，7转投 等8个状态")
	@Column(value = "state")
    private String state;

	@ApiModelProperty(value = "承运商类型 数据字典CARRIERS_TYPE:1.三方快递  2.三方物流")
	@Column(value = "carriers_type")
	private Integer carriersType;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

}
