package com.prolog.rdc.tms.util;

import java.util.concurrent.Executors;

import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.SchedulingConfigurer;
import org.springframework.scheduling.config.ScheduledTaskRegistrar;

/**
 * 
 *
 * 定时任务线程池配置
 *
 * @className :ScheduleConfig
 * @author :fanzw
 * @creationTime :2022/08/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Configuration
public class ScheduleConfig implements SchedulingConfigurer {

	@Override
	public void configureTasks(ScheduledTaskRegistrar taskRegistrar) {
		// 显式为Scheduler指定线程池
		taskRegistrar.setScheduler(Executors.newScheduledThreadPool(200));
	}

}
