package com.prolog.rdc.tms;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;

import com.prolog.framework.authority.annotation.EnablePrologResourceServer;
import com.prolog.framework.microservice.annotation.EnablePrologService;

import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 
 *
 * 主应用启动入口
 *
 * @className :TmsMaindatalication
 * @author :fanzw
 * @creationTime :2022/05/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/05/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Slf4j
@EnablePrologService
@EnablePrologResourceServer
@EnableScheduling
@MapperScan("com.prolog.rdc.tms.**.mapper.**")
public class TmsMaindatalication {

	public static void main(String[] args) {
		SpringApplication.run(TmsMaindatalication.class, args);
		log.info("======== The tms-maindata application has successfully started. ========");
	}
}
