package com.prolog.rdc.tms.dao.mapper;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.entity.line.PrinterTemplate;
import com.prolog.rdc.tms.model.vo.print.QuerySysPrinterTemplateVO;

@Mapper
public interface PrinterTemplateMapper extends BaseMapper<PrinterTemplate> {

	List<PrinterTemplate> findByCodeAndName(@Param("planCode") String planCode, @Param("planName") String planName, @Param("id") Long id, @Param("enterpriseId") Long enterpriseId, @Param("companyType") String companyType, @Param("companyName") String companyName, @Param("warehouseId") Long warehouseId, @Param("templateType") String templateType);

	// 通过ID查询打印机信息
	PrinterTemplate findByNativeId(@Param("id") Long id);

	// 更新打印机信息
	void updateByNativeId(@Param("model") PrinterTemplate model);

	List<PrinterTemplate> findList(@Param("model") QuerySysPrinterTemplateVO vo, @Param("enterpriseId") Long enterpriseId);

	void delete(@Param("ids") List<Long> ids, @Param("lastModifiedDate") Date date, @Param("userName") String userName);

	List<PrinterTemplate> findListByCode(@Param("templateCode") String templateCode, @Param("warehouseId") Long warehouseId, @Param("consignorId") String consignorId);
}