package com.prolog.rdc.tms.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.basicConfigure.SysImportTemplethPageDTO;
import com.prolog.rdc.tms.model.entity.SysImportTemplethModel;
import com.prolog.rdc.tms.model.vo.SysQueryConditionParam;

/**
 *
 * 导入配置模板汇总 Mapper
 *
 *
 * @className: SysImportTemplethMapper
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Mapper
public interface SysImportTemplethMapper extends BaseMapper<SysImportTemplethModel> {

	/**
	 * 根据查询条件信息，拼接查询
	 * 
	 * @param must    必须的条件
	 * @param notmust 页面配置
	 * @return {@link List< SysImportTemplethPageDTO>}
	 * @throws @date 2022/1/22 15:59
	 */
	List<SysImportTemplethPageDTO> listAdvancedPage(@Param("must") List<SysQueryConditionParam> must, @Param("notmust") List<SysQueryConditionParam> notmust);

}
