package com.prolog.rdc.tms.dao.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.entity.SysRefdatadModel;
import com.prolog.rdc.tms.model.vo.DropDownBoxVO;
import com.prolog.rdc.tms.model.vo.SysRefdatadQueryVO;

/**
 * 
 *
 * 参照数据明细 Mapper
 *
 * @className :SysRefdatadMapper
 * @author :fanzw
 * @creationTime :2020/07/02
 * @description :
 * @modifier :fanzw
 * @modifyTime :2020/07/02
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Mapper
public interface SysRefdatadMapper extends BaseMapper<SysRefdatadModel> {

	List<SysRefdatadModel> getSysRefdatad(@Param("objectcode") String objectcode, @Param("code") String code, @Param("name") String name);

	SysRefdatadModel getSysRefdatadById(@Param("objectcode") String objectcode, @Param("sortnum") String sortnum);

	List<Map<String, Object>> findsysrefdatadn(@Param("objectcode") String objectcode, @Param("code") String code, @Param("codes") List<String> codes);

	/**
	 * 数据字典下拉框查询
	 * 
	 * @param dropDownBoxVO
	 * @return
	 */
	List<Map<String, Object>> listDropDownBoxSql(@Param("dropDownBoxVO") DropDownBoxVO dropDownBoxVO);

	List<Map<String, Object>> getSysByNames(Map<String, Object> map);

	/**
	 * 批量获取objectcode和code获取名称
	 * 
	 * @param objectcodes
	 * @return
	 */
	List<Map<String, Object>> batchGetNamesByCodes(@Param("objectcodes") List<String> objectcodes, @Param("codes") List<String> codes);

	List<Map<String, Object>> getDropDownById(@Param("objectcode") String objectcode, @Param("groupcode1") String groupcode1, @Param("groupcode2") String groupcode2, @Param("code") String code);

	List<SysRefdatadModel> getSysRefdatadDatas(@Param("vo") SysRefdatadQueryVO vo, @Param("objectcodes") String[] objectcodes);

}
