package com.prolog.rdc.tms.dao.mapper;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.basicData.CarrierPageDTO;
import com.prolog.rdc.tms.model.dto.basicData.CarrierPopupDTO;
import com.prolog.rdc.tms.model.dto.basicData.UserCarrierPopupDTO;
import com.prolog.rdc.tms.model.entity.line.TmsBaseCarriersModel;
import com.prolog.rdc.tms.model.vo.basicData.CarrierPageVO;
import com.prolog.rdc.tms.model.vo.basicData.CarrierPopupVO;
import com.prolog.rdc.tms.model.vo.basicData.UserCarrierPopupVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 *
 * 承运商资料表mapper
 *
 * @className :TmsBaseCarriersMapper
 * @author :xyf
 * @creationTime :2022/04/14
 * @description :
 *
 * @modifier :xyf
 * @modifyTime :2022/04/14
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Mapper
public interface TmsBaseCarriersMapper extends BaseMapper<TmsBaseCarriersModel> {

    // STD-DEVELOP20220823 lhb JC-HZ-001货主支持多部门 20220830 start
    /**
     * 承运商分页查询
     * @param carrierPageVO
     * @return
     */
    List<CarrierPageDTO> pageCarrierData(@Param("vo") CarrierPageVO carrierPageVO);

    /**
     * 承运商弹框查询
     */
    List<CarrierPopupDTO> popupCarrierData(@Param("vo") CarrierPopupVO carrierPopupVO);


    /**
     * 用户承运商弹框
     */
    List<UserCarrierPopupDTO> popupUserCarrierData(@Param("vo") UserCarrierPopupVO userCarrierPopupVO);
    // STD-DEVELOP20220823 lhb JC-HZ-001货主支持多部门 20220830 end


}
