package com.prolog.rdc.tms.dao.mapper;

import java.util.List;

import com.prolog.rdc.tms.model.dto.fleetManagement.VehicleDeviceLinkViewDTO;
import com.prolog.rdc.tms.model.vo.fleetManagement.VehiclePaperPagingQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.fleetManagement.DeviceDTO;
import com.prolog.rdc.tms.model.entity.line.TmsBaseDeviceModel;
import com.prolog.rdc.tms.model.vo.fleetManagement.DeviceVO;

/**
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/3/16 12:05
 */
@Mapper
public interface TmsBaseDeviceMapper extends BaseMapper<TmsBaseDeviceModel> {

	/**
	 * findByCondition
	 * 
	 * @param vo
	 * @return
	 */
	List<DeviceDTO> findByCondition(@Param("vo") DeviceVO vo);

	/**
	 * deviceQueryByCondition
	 *
	 * @param vo
	 * @return
	 */
	List<DeviceDTO> deviceQueryByCondition(@Param("vo") DeviceVO vo);

	/**
	 * findByCondition
	 *
	 * @param vo
	 * @return
	 */
	List<VehicleDeviceLinkViewDTO> findDevicesByCondition(@Param("vo") VehiclePaperPagingQueryVO vo);


}
