package com.prolog.rdc.tms.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.basicData.ItemByCargoOwnerPageDTO;
import com.prolog.rdc.tms.model.dto.basicData.ItemPagingQueryDTO;
import com.prolog.rdc.tms.model.dto.basicData.ItemPopupDTO;
import com.prolog.rdc.tms.model.entity.line.TmsBaseItemModel;
import com.prolog.rdc.tms.model.vo.basicData.ItemByCargoOwnerPageVO;
import com.prolog.rdc.tms.model.vo.basicData.ItemPagingQueryVO;
import com.prolog.rdc.tms.model.vo.basicData.ItemPopupVO;

/**
 * 
 *
 * 商品资料表
 *
 * @className :TmsBaseItemMapper
 * @author :fanzw
 * @creationTime :2022/02/25
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/02/25
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Mapper
public interface TmsBaseItemMapper extends BaseMapper<TmsBaseItemModel> {
	// STD-DEVELOP20220823 lhb JC-HZ-001 商品支持多部门 20220915 start
	// 商品资料分页查询
	List<ItemPagingQueryDTO> pageItemData(@Param("vo") ItemPagingQueryVO itemPagingQueryVO);

	// 商品资料弹窗

	List<ItemPopupDTO> popupItemData(@Param("vo") ItemPopupVO itemPopupVO);

	// 商品资料根据货主分页查询
	List<ItemByCargoOwnerPageDTO> pageItemByCargoOwnerData(@Param("vo") ItemByCargoOwnerPageVO itemByCargoOwnerPageVO);
	// STD-DEVELOP20220823 lhb JC-HZ-001 商品支持多部门 20220915 end

}
