package com.prolog.rdc.tms.dao.mapper;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.basicData.ItemPopupDTO;
import com.prolog.rdc.tms.model.dto.basicData.StationPageDTO;
import com.prolog.rdc.tms.model.entity.TmsBaseStationModel;
import com.prolog.rdc.tms.model.vo.basicData.ItemPopupVO;
import com.prolog.rdc.tms.model.vo.basicData.StationQueryByAreasVO;
import com.prolog.rdc.tms.model.vo.basicData.StationQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
* 站点资料表 Mapper
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author rdc
* @since 2023-03-24 16:03:25
*/
@Mapper
public interface TmsBaseStationMapper extends BaseMapper<TmsBaseStationModel> {

    // 站点查询
    List<StationPageDTO> pageStationData(@Param("vo") StationQueryVO vo);

    // 根据行政区查询站点资料
    List<StationPageDTO> queryStationByAdministrativeData(@Param("vo") StationQueryByAreasVO vo);

}

