package com.prolog.rdc.tms.dao.mapper;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.basicData.ShipbillMatchLineQueryDTO;
import com.prolog.rdc.tms.model.dto.basicData.TmsBaseTranslineDTO;
import com.prolog.rdc.tms.model.dto.basicData.TmsBaseTranslineMapDetailsDTO;
import com.prolog.rdc.tms.model.dto.basicData.TmsBaseTranslinePopDTO;
import com.prolog.rdc.tms.model.entity.line.TmsBaseLineModel;
import com.prolog.rdc.tms.model.vo.basicConfigure.ImportPageVO;
import com.prolog.rdc.tms.model.vo.basicData.ShipbillMatchLineQueryVO;
import com.prolog.rdc.tms.model.vo.basicData.TmsBaseTranslineByQueryVo;
import com.prolog.rdc.tms.model.vo.basicData.TmsBaseTranslineMapDetailsVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 *
 * 线路资料管理表
 *
 * @className :TmsBaseTranslineMapper
 * @author :zsj
 * @creationTime :2022/04/07
 * @description :
 *
 * @modifier :zsj
 * @modifyTime :2022/04/07
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Mapper
public interface TmsBaseTranslineMapper extends BaseMapper<TmsBaseLineModel> {
	/**
	 * 查询地图明细
	 * 
	 * @param vo
	 */
	List<TmsBaseTranslineMapDetailsDTO> selectMapDetails(@Param("vo") TmsBaseTranslineMapDetailsVO vo);

    List<TmsBaseTranslinePopDTO> getLineByPop(@Param("enterpriseId")Long enterpriseId,@Param("depts")List<String> depts,@Param("isDept")String isDept);

	List<TmsBaseTranslineDTO> query(@Param("vo") TmsBaseTranslineByQueryVo vo);

	List<TmsBaseTranslineDTO> queryImport(@Param("vo") ImportPageVO vo);

	List<ShipbillMatchLineQueryDTO> shipbillMatchLine(@Param("vo") ShipbillMatchLineQueryVO vo);
}
