package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* GPS表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-02-03 10:17:22
*/
@Data
public class DeviceGpsDTO {

    @ApiModelProperty(value = "主键ID")
    private String id;

    @ApiModelProperty(value = "类型 2车辆")
    private Integer type;

    @ApiModelProperty(value = "设备ID")
    private Long deviceId;

    @ApiModelProperty(value = "设备编码")
    private String deviceCode;

    @ApiModelProperty(value = "设备名称  ")
    private String deviceName;

    @ApiModelProperty(value = "车辆ID")
    private Long vehicleId;

    @ApiModelProperty(value = "车辆编码")
    private String vehicleCode;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "司机ID")
    private Long driverId;

    @ApiModelProperty(value = "司机编号")
    private String driverCode;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "司机手机号")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

    @ApiModelProperty(value = "定位时间")
    private Date gpsDate;

    @ApiModelProperty(value = "定位的高程值(默认0)")
    private BigDecimal locationHeight;

    @ApiModelProperty(value = "空间参考 默认4326")
    private String spatialReference;

    @ApiModelProperty(value = "水平速度 默认0")
    private BigDecimal horizontalVelocity;

    @ApiModelProperty(value = "垂直速度 默认0")
    private BigDecimal verticalVelocity;

    @ApiModelProperty(value = "车辆当前速度 默认0")
    private BigDecimal currentVelocity;

    @ApiModelProperty(value = "车辆当前的方向 取值为0-360 度之间，没有方向也需要填充0")
    private BigDecimal vehicleDirection;

    @ApiModelProperty(value = "定位质量 默认10即可")
    private String positioningQuality;

    @ApiModelProperty(value = "定位状态 默认1即可")
    private String positioningStatus;

    @ApiModelProperty(value = "数据提供方 公司名称缩写或名称")
    private String dataProvider;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @ApiModelProperty(value = "装车单ID")
    private String loadingBillId;

    @ApiModelProperty(value = "装车单编号")
    private String loadingBillNo;

    @ApiModelProperty(value = "车辆位置")
    private String placeName;

}
