package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 号码规则 Dto
 * <p>
 * Copyright: Copyright (C) 2020 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author xiaoyf
 * @since 2020-06-09 10:17
 */
@Data
public class SysCodeengineDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "仓ID")
	private Long branchId;

	@ApiModelProperty(value = "号码代号")
	private String codeid;

	@ApiModelProperty(value = "识别代号")
	private String code;

	@ApiModelProperty(value = "名称")
	private String name;

	@ApiModelProperty(value = "号码类型分类")
	private String codetype;

	@ApiModelProperty(value = "值类型")
	private String codedatatype;

	@ApiModelProperty(value = "标识符")
	private String codeflag;

	@ApiModelProperty(value = "长度")
	private Integer length;

	@ApiModelProperty(value = "间隔")
	private Integer gap;

	@ApiModelProperty(value = "最大单据号")
	private String maxbillno;

	@ApiModelProperty(value = "号码规则")
	private String billrule;

	@ApiModelProperty(value = "是否段资源定义")
	private String issegsource;

	@ApiModelProperty(value = "段代码取法")
	private String segcodesql;

	@ApiModelProperty(value = "父识别号")
	private String groupid;

	@ApiModelProperty(value = "备注")
	private String remark;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "最后修改时间(废弃字段，代码调整后请删除)")
	private Date lastdate;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

}
