package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 高级查询条件配置明细 DTO
 *
 *
 * @className: SysQueryDefinedDTO
 * @author: kh
 * @creationTime: 2022-01-19 09:39:31
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("高级查询明细")
public class SysQueryDefinedDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "行ID")
	private Long lineId;

	@ApiModelProperty(value = "汇总表ID")
	private String hid;

	@ApiModelProperty(value = "搜索编码，页面或对象")
	private String queryCode;

	@ApiModelProperty(value = "字段编码")
	private String fieldCode;

	@ApiModelProperty(value = "比较操作符编码")
	private String comparisonOperatorCode;

	@ApiModelProperty(value = "逻辑操作符编码")
	private Integer logicalOperatorCode;

	@ApiModelProperty(value = "条件")
	private String condition;

	@ApiModelProperty(value = "排序号")
	private Integer sort;

	@ApiModelProperty(value = "默认状态，0否，1.是")
	private Integer defaultStatus;

	@ApiModelProperty(value = "扩展字段1")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	private String extend02;

	@ApiModelProperty(value = "扩展字段数字1")
	private BigDecimal extendnum01;

	@ApiModelProperty(value = "扩展字段数字2")
	private BigDecimal extendnum02;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段日期1")
	private Date extenddte01;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段日期2")
	private Date extenddte02;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人ID")
	private String createby;

	@ApiModelProperty(value = "创建人姓名p_nickname")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人ID")
	private String updateby;

	@ApiModelProperty(value = "修改人姓名p_nickname")
	private String updateperson;

}
