package com.prolog.rdc.tms.model.dto.basicConfigure;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.prolog.rdc.tms.model.vo.basicConfigure.ApprovalNodeRoleQueryVO;
import com.prolog.rdc.tms.model.vo.basicConfigure.ApprovalNodeUserQueryVO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 审批流程节点查询 DTO
 *
 *
 * @className: ApprovalNodeQueryDTO
 * @author: lhb
 * @creationTime: 2022-04-29 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("审批流程节点查询 DTO")
public class ApprovalNodeQueryDTO implements Serializable {

	private static final long serialVersionUID = 3379051381641311253L;

	@ApiModelProperty(value = "审批节点ID")
	private Long nodeId;

	@ApiModelProperty(value = "审批流程ID")
	private Long approvalId;

	@ApiModelProperty(value = "审批节点状态 数据字典 NODE_STATUS: 1 正常 2 停用")
	private Integer status;

	@ApiModelProperty(value = "审批节点状态名称")
	private String statusName;

	@ApiModelProperty(value = "节点审批者类型 数据字典 NODE_APPROVER_TYPE:1 角色 2 用户")
	private Integer nodeApproverType;

	@ApiModelProperty(value = "审批方式  数据字典 NODE_APPROVAL_TYPE: 1 会签 2 或签")
	private Integer nodeApprovalType;

	@ApiModelProperty(value = "审批方式名称")
	private String nodeApprovalTypeName;

	@ApiModelProperty(value = "审批节点顺序")
	private Integer nodeOrder;

	@ApiModelProperty(value = "审批用户名称集合")
	private String userNames;

	@ApiModelProperty(value = "审批用户ID集合")
	private String userIds;

	@ApiModelProperty(value = "审批角色名称集合")
	private String roleNames;

	@ApiModelProperty(value = "审批角色ID集合")
	private String roleIds;

	@ApiModelProperty(value = "审批节点的角色")
	private List<ApprovalNodeRoleQueryVO> approvalNodeRoleVOs = new ArrayList<ApprovalNodeRoleQueryVO>();

	@ApiModelProperty(value = "审批节点的用户")
	private List<ApprovalNodeUserQueryVO> ApprovalNodeUserVOs = new ArrayList<ApprovalNodeUserQueryVO>();
}
