package com.prolog.rdc.tms.model.dto.basicConfigure;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 *
 * 审批配置查看 DTO
 *
 *
 * @className: ApprovalViewDTO
 * @author: lhb
 * @creationTime: 2022-04-29 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("审批配置查询 DTO")
public class ApprovalViewDTO implements Serializable {

	private static final long serialVersionUID = 3379051381641311253L;

	@ApiModelProperty(value = "审批ID")
	private Long approvalId;

	@ApiModelProperty(value = "审批流程名称")
	private String approvalName;

	@ApiModelProperty(value = "审批流程状态 数据字典 APPROVAL_STATUS: 1 启用 2 停用")
	private Integer status;

	@ApiModelProperty(value = "审批流程状态名称")
	private String statusName;

	@ApiModelProperty(value = "审批流程类型 数据字典 APPROVAL_FLOW_TYPE：1 货主审核 2 承运商审核 ")
	private Integer approvalFlowType;

	@ApiModelProperty(value = "审批流程类型名称 ")
	private String approvalFlowTypeName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "满足条件")
	private String approvalConditions;

	@ApiModelProperty(value = "满足条件集合")
	private List<ApprovalConditionViewDTO> approvalConditionViewDTOS;

}
