package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 *
 * 业务流程查看DTO
 *
 * @className: BusinessFlowViewDTO
 * @author: lhb
 * @creationTime: 2022-06-16 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("业务流程查看DTO")
public class BusinessFlowViewDTO implements Serializable {

	private static final long serialVersionUID = 3379051381641311253L;

	@ApiModelProperty(value = "ID 主键")
	private Long id;

	@ApiModelProperty(value = "流程名称")
	private String flowName;

	@ApiModelProperty(value = "流程类型 数据字典FLOW_TYPE：1承运商 2自有")
	private Integer flowType;

	@ApiModelProperty(value = "流程配置 数据字典FLOW_CONFIG：Add新增,AddCommit新增提交,Commit提交,CommitReview提交审核,Review审核," +
			"ReviewDispatch匹配唯一承运方自动调度,Dispatch调度,DispatchCheck调度后自动审核,Check调度审核,Appointment预约," +
			"ArrangeGoods理货,LoadUnLoad装卸,Scanning装车扫描,SendOff启运登记,ArriveConfirm送达确认")
	private String flowConfig;

	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

	@ApiModelProperty(value = "流程优先级")
	private Integer priorityLevel;

	@ApiModelProperty(value = "业务流程满足条件集合")
    private List<BusinessFlowConditionViewDTO> businessFlowConditionViewDTOs;

	@ApiModelProperty(value = "业务流程排除条件集合")
	private List<BusinessFlowConditionViewDTO> excludedBusinessFlowConditionViewDTOs;
}
