package com.prolog.rdc.tms.model.dto.basicConfigure;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入日志分页查询 DTO
 *
 *
 * @className: ImportLogPageDTO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("导入日志分页查询 DTO")
public class ImportLogPageDTO implements Serializable {

	private static final long serialVersionUID = 3379051381641311253L;

	@ApiModelProperty(value = "主键ID")
	private String id;

	@ApiModelProperty(value = "导入人员ID")
	private Long importUserId;

	@ApiModelProperty(value = "导入人员姓名")
	private String importUserName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "导入时间")
	private Date importTime;

	@ApiModelProperty(value = "模板名称")
	private String templeteName;

	@ApiModelProperty(value = "手机号")
	private String phoneNumber;

	@ApiModelProperty(value = "导入对象编码")
	private String importObjNo;

	@ApiModelProperty(value = "导入对象名称")
	private String importObjName;

	@ApiModelProperty(value = "导入批次")
	private String importBatchNumber;

	@ApiModelProperty(value = "导入状态 数据字典IMPORT_STATUS:0失败，1.成功")
	private Integer status;

	@ApiModelProperty(value = "导入状态 数据字典IMPORT_STATUS:0失败，1.成功")
	private String statusName;

	@ApiModelProperty(value = "操作状态 数据字典OPERATE_STATUS:0撤销，1.导入")
	private Integer operateStatus;

	@ApiModelProperty(value = "操作状态 数据字典OPERATE_STATUS:0撤销，1.导入")
	private String operateStatusName;

	@ApiModelProperty(value = "成功条数")
	private Integer successNum;

	@ApiModelProperty(value = "失败条数")
	private Integer failNum;

	@ApiModelProperty(value = "失败原因")
	private String failReason;

	@ApiModelProperty(value = "公司ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "公司名称")
	private String enterpriseName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;
}
