package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 *
 *
 * 根据运单适配匹配承运方配置DTO
 *
 * @className :ShipbillMatchCarrierConfigDTO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据运单适配匹配承运方配置DTO")
public class ShipbillMatchCarrierConfigDTO {

    @ApiModelProperty(value = "承运方类型 数据字典LINE_CARRIER_TYPE:1.承运商  2.司机")
    private Integer carrierType;

    @ApiModelProperty(value = "承运方ID")
    private Long carrierId;

    @ApiModelProperty(value = "承运方编码")
    private String carrierCode;

    @ApiModelProperty(value = "承运方名称")
    private String carrierName;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "司机编号")
    private String driverCode;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "司机手机号")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "车辆ID")
    private String vehicleId;

    @ApiModelProperty(value = "车辆编号")
    private String vehicleCode;

    @ApiModelProperty(value = "车辆名称")
    private String vehicleName;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "车型ID")
    private String vehicleTypeId;

    @ApiModelProperty(value = "车型编码")
    private String vehicleTypeCode;

    @ApiModelProperty(value = "车型名称")
    private String vehicleTypeName;

    @ApiModelProperty(value = "送货员ID")
    private String deliverymanId;

    @ApiModelProperty(value = "送货员编号")
    private String deliverymanCode;

    @ApiModelProperty(value = "送货员名称")
    private String deliverymanName;

    @ApiModelProperty(value = "送货员手机号")
    private String deliverymanPhoneNumber;

    @ApiModelProperty(value = "载重(kg)")
    private BigDecimal weight;

    @ApiModelProperty(value = "载方(m³)")
    private BigDecimal volume;

}
