package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 业务规则策略-匹配DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/18 10:08
 */
@Data
@ApiModel("业务规则策略-匹配DTO")
public class StrategyBusinessMatchingDTO implements Serializable {

    private static final long serialVersionUID = -6630627123305344637L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "业务规则策略名称")
    private String name;

    @ApiModelProperty(value = "配送方式是否勾选 0否 1是")
    private Integer deliveryMethodSelect;

    @ApiModelProperty(value = "配送方式 数据字典DELIVERY_METHOD_TYPE：1配送 2自提")
    private Integer deliveryMethodType;

    @ApiModelProperty(value = "申请数量是否勾选 0否 1是")
    private Integer applyPcsSelect;

    @ApiModelProperty(value = "输入申请数量 数据字典PROCESS_ENABLE：0否 10是")
    private Integer applyPcsEnable;

    @ApiModelProperty(value = "库存校验是否选择  0否 1是")
    private Integer inventoryCheckSelect;

    @ApiModelProperty(value = "库存校验 数据字典PROCESS_ENABLE：0否 10是")
    private Integer inventoryCheckEnable;

    @ApiModelProperty(value = "输入启运温度是否选择  0否 1是")
    private Integer departureTemperatureSelect;

    @ApiModelProperty(value = "输入启运温度 数据字典PROCESS_ENABLE：0否 10是")
    private Integer departureTemperatureEnable;

    @ApiModelProperty(value = "输入送达温度是否选择  0否 1是")
    private Integer deliveryTemperatureSelect;

    @ApiModelProperty(value = "输入送达温度 数据字典PROCESS_ENABLE：0否 10是")
    private Integer deliveryTemperatureEnable;

    @ApiModelProperty(value = "回单图片是否选择  0否 1是")
    private Integer rtnOrderPicSelect;

    @ApiModelProperty(value = "回单图片 0否 1是")
    private Integer rtnOrderPicEnable;

    @ApiModelProperty(value = "正本回单是否选择  0否 1是")
    private Integer rtnOrderPaperSelect;

    @ApiModelProperty(value = "正本回单 0否 1是")
    private Integer rtnOrderPaperEnable;

    @ApiModelProperty(value = "回单期限是否选择  0否 1是")
    private Integer rtnOrderDeadlineSelect;

    @ApiModelProperty(value = "回单期限")
    private Integer rtnOrderDeadline;

    @ApiModelProperty(value = "配送方向是否选择  0否 1是")
    private Integer deliveryDirectionSelect;

    @ApiModelProperty(value = "配送方向 数据字典LINE_DIRECTION：10正向 20逆向")
    private Integer deliveryDirection;

    @ApiModelProperty(value = "记录标记是否选择  0否 1是")
    private Integer recordTagSelect;

    @ApiModelProperty(value = "记录标记语")
    private String recordTagWord;

    @ApiModelProperty(value = "颜色标记是否选择  0否 1是")
    private Integer colorTagSelect;

    @ApiModelProperty(value = "颜色标记 底纹背景颜色")
    private String colorTagBgdColor;

    @ApiModelProperty(value = "颜色标记 字体颜色")
    private String colorTagFontColor;

    @ApiModelProperty(value = "价格表省市区匹配方式是否勾选 0否 1是")
    private Integer pricePcdMatchTypeSelect;

    @ApiModelProperty(value = "数据字典PRICE_PCD_MATCH_TYPE 1.省市区精确匹配 2.省市区向上匹配 3.省市区向上匹配,未匹配到忽略省市区 4.忽略省市区作为匹配条件")
    private Integer pricePcdMatchType;


    @ApiModelProperty(value = "输入超限提交日期是否选择  0否 1是")
    private Integer transfiniteCmtDtSelect;

    @ApiModelProperty(value = "输入超限提交日期 数据字典PROCESS_ENABLE：0否 10是")
    private Integer transfiniteCmtDtEnable;

    @ApiModelProperty(value = "输入超限说明是否选择  0否 1是")
    private Integer transfiniteDescriptionSelect;

    @ApiModelProperty(value = "输入超限说明 数据字典PROCESS_ENABLE：0否 10是")
    private Integer transfiniteDescriptionEnable;

    @ApiModelProperty(value = "承运商上传超限证是否选择  0否 1是")
    private Integer carrierUploadTransfiniteSelect;

    @ApiModelProperty(value = "承运商上传超限证 数据字典PROCESS_ENABLE：0否 10是")
    private Integer carrierUploadTransfiniteEnable;

    @ApiModelProperty(value = "输入装车地点是否选择  0否 1是")
    private Integer loadingLocationSelect;

    @ApiModelProperty(value = "输入装车地点 数据字典PROCESS_ENABLE：0否 10是")
    private Integer loadingLocationEnable;
}
