package com.prolog.rdc.tms.model.dto.basicConfigure;

import java.io.Serializable;

import com.prolog.framework.core.annotation.Column;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 拆分策略-查看条件DTO
 *
 * @author zhangsj
 * @since 2022-07-16 10:06:06
 */
@Data
@ApiModel("拆分策略-查看条件DTO")
public class StrategySplitConditionViewDTO implements Serializable {

    private static final long serialVersionUID = 805258676962222983L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "拆分策略ID")
    private Long strategyId;

    @ApiModelProperty(value = "承运商策略条件类型 数据字典 STRATEGY_CONDITION_TYPE 1配送方式 2发货方类型 3收货方类型 4订单类型 5订单业务类型 6运输模式 7温度要求 8货主 9部门")
    private Integer strategyConditionType;

    @ApiModelProperty(value = "承运方策略条件类型名称")
    private String strategyConditionTypeName;

    @ApiModelProperty(value = "承运方策略条件对应的值" +
            "策略条件是订单类型 1普通 2紧急 3加急" +
            "策略条件是订单业务类型 1销售订单-直送 2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提" +
            "策略条件是配送方式 ：1配送 2自提 " +
            "策略条件是运输模式：1整车 2零担")
    private Integer strategyConditionValue;

    @ApiModelProperty(value = "承承运方策略条件对应的值名称")
    private String strategyConditionValueName;

    @ApiModelProperty(value = "单位ID  单位ID1,单位ID2")
    @Column(value = "unit_id")
    private String unitId;

    @ApiModelProperty(value = "单位编码  单位编码1,单位编码2")
    @Column(value = "unit_code")
    private String unitCode;

    @ApiModelProperty(value = "单位名称  单位名称1,单位名称2")
    @Column(value = "unit_name")
    private String unitName;

}
