package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 拆分策略-分页查询DTO
 *
 * @author zhangsj
 * @since 2022-07-16 10:06:06
 */
@Data
@ApiModel("拆分策略-分页查询DTO")
public class StrategySplitPageDTO implements Serializable {

    private static final long serialVersionUID = 805258676962222983L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "拆分策略名称")
    private String name;

    @ApiModelProperty(value = "策略条件名称")
    private String conditionName;

    @ApiModelProperty(value = "执行操作(拆分规则)编码 数据字典RULE_CODE:1按商品品类拆分 2按包装类型拆分 3按货物温层拆分 4按数量、库存数量拆分 5按默认存放仓库、数量、库存数量拆分")
    private Integer ruleCode;

    @ApiModelProperty(value = "执行操作(拆分规则)名称 数据字典RULE_CODE:1按商品品类拆分 2按包装类型拆分 3按货物温层拆分 4按数量、库存数量拆分 5按默认存放仓库、数量、库存数量拆分")
    private String ruleName;

    @ApiModelProperty(value = "按运单明细拆分关键字")
    private String shipbillDetailSplitKey;

    @ApiModelProperty(value = "状态 数据字典GENERAL_STATUS:0停用 10启用")
    private Integer status;

    @ApiModelProperty(value = "状态名称 数据字典GENERAL_STATUS:0停用 10启用")
    private String statusName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

}
