package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 中转策略-查看条件DTO
 *
 * @author zhangsj
 * @since 2022-07-16 10:06:06
 */
@Data
@ApiModel("中转策略-查看条件DTO")
public class StrategyTransferStationDTO implements Serializable {

    private static final long serialVersionUID = 805258676962222983L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "中转策略ID")
    private Long strategyId;

    @ApiModelProperty(value = "中转站ID")
    private Long transferStationId;

    @ApiModelProperty(value = "中转站编码")
    private String transferStationCode;

    @ApiModelProperty(value = "中转站名称")
    private String transferStationName;

    @ApiModelProperty(value = "中转站顺序")
    private Integer transferOrder;

    @ApiModelProperty(value = "预计到达开始时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    private Integer deliveryStartTimeType;

    @ApiModelProperty(value = "预计到达开始时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    private String deliveryStartTimeTypeName;

    @ApiModelProperty(value = "预计到达开始时间_小时")
    private Integer deliveryStartTimeHour;

    @ApiModelProperty(value = "预计到达开始时间_分钟")
    private Integer deliveryStartTimeMinute;

    @ApiModelProperty(value = "预计到达结束时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    private Integer deliveryEndTimeType;

    @ApiModelProperty(value = "预计到达结束时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    private String deliveryEndTimeTypeName;

    @ApiModelProperty(value = "预计到达结束时间_天")
    private Integer deliveryEndTimeDay;

    @ApiModelProperty(value = "预计到达结束时间_小时")
    private Integer deliveryEndTimeHour;

    @ApiModelProperty(value = "预计到达结束时间_分钟")
    private Integer deliveryEndTimeMinute;

    @ApiModelProperty(value = "预计发出开始时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    private Integer sendStartTimeType;

    @ApiModelProperty(value = "预计发出开始时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    private String sendStartTimeTypeName;

    @ApiModelProperty(value = "预计发出开始时间_小时")
    private Integer sendStartTimeHour;

    @ApiModelProperty(value = "预计发出开始时间_分钟")
    private Integer sendStartTimeMinute;

    @ApiModelProperty(value = "预计发出结束时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    private Integer sendEndTimeType;

    @ApiModelProperty(value = "预计发出结束时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    private String sendEndTimeTypeName;

    @ApiModelProperty(value = "预计发出结束时间_天")
    private Integer sendEndTimeDay;

    @ApiModelProperty(value = "预计发出结束时间_小时")
    private Integer sendEndTimeDayHour;

    @ApiModelProperty(value = "预计发出结束时间_分钟")
    private Integer sendEndTimeDayMinute;

}
