package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 中转策略-查看DTO
 *
 * @author zhangsj
 * @since 2022-07-16 10:06:06
 */
@Data
@ApiModel("中转策略-查看DTO")
public class StrategyTransferViewDTO implements Serializable {

    private static final long serialVersionUID = 805258676962222983L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "中转策略名称")
    private String name;

    @ApiModelProperty(value = "收货方单位ID")
    private Long consigneeUnitId;

    @ApiModelProperty(value = "收货方单位编码")
    private String consigneeUnitCode;

    @ApiModelProperty(value = "收货方单位名称")
    private String consigneeUnitName;

    @ApiModelProperty(value = "收货方ID")
    private Long consigneeId;

    @ApiModelProperty(value = "收货方编码")
    private String consigneeCode;

    @ApiModelProperty(value = "收货方名称")
    private String consigneeName;

    @ApiModelProperty(value = "中转后是否重新匹配线路 数据字典 REMATCH_LINE :0否 1是")
    private Integer rematchLine;

    @ApiModelProperty(value = "状态 数据字典GENERAL_STATUS:0停用 10启用")
    private Integer status;

    @ApiModelProperty(value = "状态 数据字典GENERAL_STATUS:0停用 10启用")
    private String statusName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

    @ApiModelProperty(value = "中转策略中转站集合")
    private List<StrategyTransferStationDTO> transferStationViewDTOS = new ArrayList<StrategyTransferStationDTO>();
}
