package com.prolog.rdc.tms.model.dto.basicConfigure;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 预警配置查询DTO
 *
 * @className :SysAlertConfigurationQueryDTO
 * @author :fanzw
 * @creationTime :2022/01/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/01/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysAlertConfigurationQueryDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "预警ID")
	private String earlyWarningId;

	@ApiModelProperty(value = "预警名称")
	private String earlyWarningName;

	@ApiModelProperty(value = "预警类型编码")
	private String earlyWarningTypeCode;

	@ApiModelProperty(value = "预警类型名称")
	private String earlyWarningTypeName;

	@ApiModelProperty(value = "单位id")
	private String customerIds;

	@ApiModelProperty(value = "单位编号")
	private String customerCodes;

	@ApiModelProperty(value = "单位名称")
	private String customerNames;

	@ApiModelProperty(value = "开始时间偏差数")
	private BigDecimal startTimeOffset;

	@ApiModelProperty(value = "开始时间偏差单位")
	private String startTimeOffsetUnit;

	@ApiModelProperty(value = "结束时间偏差数")
	private BigDecimal endTimeOffset;

	@ApiModelProperty(value = "结束时间偏差单位")
	private String endTimeOffsetUnit;

	@ApiModelProperty(value = "推送方式ID")
	private String pushMethodCode;

	@ApiModelProperty(value = "推送方式名称")
	private String pushMethodName;

	@ApiModelProperty(value = "间隔数")
	private BigDecimal intervalNumber;

	@ApiModelProperty(value = "间隔单位")
	private String intervalNumberUnit;

	@ApiModelProperty(value = "预警描述")
	private String describe;

	@ApiModelProperty(value = "预警状态 0:无效 1:有效")
	private Integer status;

	@ApiModelProperty(value = "预警状态名称 0:无效 1:有效")
	private String statusName;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterprisename;

	@ApiModelProperty(value = "通知用户")
	private String username;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

}
