package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 仓库车位导入分页查询DTO
 *
 * @className :BranchParkingSpaceImportPageDTO
 * @author :fanzw
 * @creationTime :2022/04/24
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/24
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("仓库车位导入分页查询DTO")
public class BranchParkingSpaceImportPageDTO implements Serializable {

	private static final long serialVersionUID = -5206168763954783673L;

	@ApiModelProperty(value = "车位ID (主键)")
	private Long id;

	@ApiModelProperty(value = "车位编码")
	private String code;

	@ApiModelProperty(value = "车位名称")
	private String name;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "描述")
	private String description;

	@ApiModelProperty(value = "状态")
	private int status;

	@ApiModelProperty(value = "状态转义")
	private String statusName;

	@ApiModelProperty(value = "类型")
	private String type;

	@ApiModelProperty(value = "类型转义")
	private String typeName;

	@ApiModelProperty(value = "适用车型")
	private String carType;

	@ApiModelProperty(value = "适用车型转义")
	private String carTypeName;

	@ApiModelProperty(value = "操作员ID")
	private String operatorIds;

	@ApiModelProperty(value = "操作员名称")
	private String operatorNames;

	@ApiModelProperty(value = "来源")
	private int datasource;

	@ApiModelProperty(value = "字符属性扩展1")
	private String extStr1;

	@ApiModelProperty(value = "字符属性扩展2")
	private String extStr2;

	@ApiModelProperty(value = "字符属性扩展3")
	private String extStr3;

	@ApiModelProperty(value = "字符属性扩展4")
	private String extStr4;

	@ApiModelProperty(value = "字符属性扩展5")
	private String extStr5;

	@ApiModelProperty(value = "数值属性扩展1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	private BigDecimal extNum5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展1")
	private Date extDate1;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展2")
	private Date extDate2;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展3")
	private Date extDate3;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展4")
	private Date extDate4;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展5")
	private Date extDate5;
}
