package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 根据客户收货方编码名称查询客户收货方资料DTO
 *
 * @className :CustomerConsigneeByEncodingNameDTO
 * @author :fanzw
 * @creationTime :2022/05/10
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/05/10
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据客户收货方编码名称查询客户收货方资料DTO")
public class CustomerConsigneeByEncodingNameDTO implements Serializable {

	private static final long serialVersionUID = -2578624632959100027L;

	@ApiModelProperty(value = "收货方ID")
	private Long id;

	@ApiModelProperty(value = "收货方编码")
	private String code;

	@ApiModelProperty(value = "收货方名称")
	private String name;

	@ApiModelProperty(value = "收货方简称")
	private String shortName;

	@ApiModelProperty(value = "客户ID 关联TMS_BASE_CUSTOMER表主键")
	private Long customerId;

	@ApiModelProperty(value = "客户编号")
	private String customerCode;

	@ApiModelProperty(value = "客户名称")
	private String customerName;

	@ApiModelProperty(value = "联系人")
	private String contact;

	@ApiModelProperty(value = "手机号")
	private String phoneNumber;

	@ApiModelProperty(value = "座机号")
	private String landlineNumber;

	@ApiModelProperty(value = "邮箱")
	private String email;

	@ApiModelProperty(value = "关联手机号")
	private String relationPhoneNumber;

	@ApiModelProperty(value = "省编码")
	private String province;

	@ApiModelProperty(value = "省名称")
	private String provinceName;

	@ApiModelProperty(value = "市编码")
	private String city;

	@ApiModelProperty(value = "市名称")
	private String cityName;

	@ApiModelProperty(value = "区编码")
	private String district;

	@ApiModelProperty(value = "区名称")
	private String districtName;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@ApiModelProperty(value = "配送方式  字典 1配送 2自提")
	private Integer deliveryPattern;

	@ApiModelProperty(value = "备注")
	private String memo;

}
