package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 客户收货方导入分页查询DTO
 *
 * @className :CustomerConsigneeImportPageDTO
 * @author :fanzw
 * @creationTime :2022/04/24
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/24
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("客户收货方导入分页查询DTO")
public class CustomerConsigneeImportPageDTO implements Serializable {

	private static final long serialVersionUID = 521266654085639250L;

	@ApiModelProperty(value = "收货方ID")
	private Long id;

	@ApiModelProperty(value = "收货方编码")
	private String code;

	@ApiModelProperty(value = "收货方名称")
	private String name;

	@ApiModelProperty(value = "收货方简称")
	private String shortName;

	@ApiModelProperty(value = "客户ID 关联TMS_BASE_CUSTOMER表主键")
	private Long customerId;

	@ApiModelProperty(value = "客户编号")
	private String customerCode;

	@ApiModelProperty(value = "客户名称")
	private String customerName;

	@ApiModelProperty(value = "联系人")
	private String contact;

	@ApiModelProperty(value = "手机号")
	private String phoneNumber;

	@ApiModelProperty(value = "座机号")
	private String landlineNumber;

	@ApiModelProperty(value = "邮箱")
	private String email;

	@ApiModelProperty(value = "关联手机号")
	private String relationPhoneNumber;

	@ApiModelProperty(value = "省编码")
	private String province;

	@ApiModelProperty(value = "省名称")
	private String provinceName;

	@ApiModelProperty(value = "市编码")
	private String city;

	@ApiModelProperty(value = "市名称")
	private String cityName;

	@ApiModelProperty(value = "区编码")
	private String district;

	@ApiModelProperty(value = "区名称")
	private String districtName;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@ApiModelProperty(value = "状态:0：停用 1：启用 数据字典MAINDATA_STATUS")
	private Integer status;

	@ApiModelProperty(value = "状态:0：停用 1：启用 数据字典MAINDATA_STATUS")
	private String statusName;

	@ApiModelProperty(value = "来源  数据字典SOURCE：1.新增 2.excel导入 3.接口导入")
	private Integer source;

	@ApiModelProperty(value = "导入批次号")
	private String importBatchNumber;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "公司ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "公司名称")
	private String enterpriseName;

	@ApiModelProperty(value = "扩展字段1")
	private String extStr1;

	@ApiModelProperty(value = "扩展字段2")
	private String extStr2;

	@ApiModelProperty(value = "扩展字段3")
	private String extStr3;

	@ApiModelProperty(value = "扩展字段4")
	private String extStr4;

	@ApiModelProperty(value = "扩展字段5")
	private String extStr5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段6")
	private Date extDate1;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段7")
	private Date extDate2;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段8")
	private Date extDate3;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段9")
	private Date extDate4;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段10")
	private Date extDate5;

	@ApiModelProperty(value = "扩展字段11")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "扩展字段12")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "扩展字段13")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "扩展字段14")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "扩展字段15")
	private BigDecimal extNum5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

}
