package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 商品品类弹窗DTO
 *
 * @className :ItemCategoryPopupDTO
 * @author :fanzw
 * @creationTime :2022/02/24
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/02/24
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("商品品类弹窗DTO")
public class ItemCategoryPopupDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "商品品类ID")
	private Long itemCategoryId;

	@ApiModelProperty(value = "商品品类编码")
	private String itemCategoryCode;

	@ApiModelProperty(value = "商品品类名称")
	private String itemCategoryName;

	@ApiModelProperty(value = "商品品类层级  数据字典ITEM_CATEGORY_LEVEL")
	private Integer itemCategoryLevel;

	@ApiModelProperty(value = "上级商品品类ID")
	private Long fatherItemCategoryId;

	@ApiModelProperty(value = "上级商品品类编码")
	private String fatherItemCategoryCode;

	@ApiModelProperty(value = "上级商品品类名称")
	private String fatherItemCategoryName;

	@ApiModelProperty(value = "上级商品品类层级  数据字典ITEM_CATEGORY_LEVEL")
	private Integer fatherItemCategoryLevel;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "字符属性扩展1")
	private String extStr1;

	@ApiModelProperty(value = "字符属性扩展2")
	private String extStr2;

	@ApiModelProperty(value = "字符属性扩展3")
	private String extStr3;

	@ApiModelProperty(value = "字符属性扩展4")
	private String extStr4;

	@ApiModelProperty(value = "字符属性扩展5")
	private String extStr5;

	@ApiModelProperty(value = "数值属性扩展1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	private BigDecimal extNum5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展1")
	private Date extDate1;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展2")
	private Date extDate2;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展3")
	private Date extDate3;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展4")
	private Date extDate4;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展5")
	private Date extDate5;

	@ApiModelProperty(value = "所属货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "所属货主编码")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "所属货主名称")
	private String cargoOwnerName;
}
