package com.prolog.rdc.tms.model.dto.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 
 *
 * 根据商品ID查询单位重量体积
 *
 * @className :ItemUnitDTO
 * @author :fanzw
 * @creationTime :2022/09/13
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/09/13
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据商品ID查询单位重量体积")
public class ItemUnitDTO implements Serializable {

	private static final long serialVersionUID = 4758803352046402593L;

	@ApiModelProperty(value = "商品ID")
	private Long itemId;

	@ApiModelProperty(value = "重量(kg)")
	private BigDecimal weight;

	@ApiModelProperty(value = "体积(cm3)")
	private BigDecimal volume;

}
