package com.prolog.rdc.tms.model.dto.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 运单匹配线路Dto
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author zhangsj
 * @since 2022/3/8 16:43
 */
@Data
public class ShipbillMatchLineQueryDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "线路ID")
	private Long lineId;

	@ApiModelProperty(value = "线路编号")
	private String lineCode;

	@ApiModelProperty(value = "线路名称")
	private String lineName;

	@ApiModelProperty(value = "划分类型 数据字典DISTINGUISH_TYPE:1.收货方 2.行政区域")
	private Integer distinguishType;

	@ApiModelProperty(value = "线路起点类型 数据字典START_LINE_TYPE:1.发货方 2.行政区域")
	private Integer startLineType;

	@ApiModelProperty(value = "收货方-行政区域")
	private String administrativeAreas;

	@ApiModelProperty(value = "发货方-行政区域")
	private String shipperAdministrativeAreas;

	@ApiModelProperty(value = "线路方向 数据字典LINE_DIRECTION 10正向 20逆向")
	private Integer lineDirection;

}
