package com.prolog.rdc.tms.model.dto.basicData;

import com.prolog.framework.core.annotation.Id;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 *
 * 站点资料分页查询DTO
 *
 * @className :StationPageDTO
 * @author :xyf
 * @creationTime :2022/04/14
 * @description :
 *
 * @modifier :xyf
 * @modifyTime :2022/04/14
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("站点资料分页查询DTO")
public class StationPageDTO implements Serializable {

	private static final long serialVersionUID = 2587512965896470451L;

	@ApiModelProperty(value = "站点ID")
	private Long id;

	@ApiModelProperty(value = "站点编号")
	private String code;

	@ApiModelProperty(value = "站点名称")
	private String name;

	@ApiModelProperty(value = "配送顺序")
	private Integer deliveryOrder;

	@ApiModelProperty(value = "站点类型 数据字典STATION_TYPE:10.实际 20.虚拟")
	private Integer type;

	@ApiModelProperty(value = "站点类型名称")
	private String typeName;

	@ApiModelProperty(value = "上级站点ID")
	private Long higherLevelStationId;

	@ApiModelProperty(value = "上级站点编号")
	private String higherLevelStationCode;

	@ApiModelProperty(value = "上级站点名称")
	private String higherLevelStationName;

	@ApiModelProperty(value = "站点级别 数据字典STATION_LEVEL:1,2,3,4,5")
	private Integer level;

	@ApiModelProperty(value = "站点区域")
	private String areas;

	@ApiModelProperty(value = "站点-行政区域")
	private String administrativeAreas;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "状态 数据字典MAINDATA_STATUS: 0停用 10启用")
	private Integer status;

	@ApiModelProperty(value = "状态 数据字典MAINDATA_STATUS: 0停用 10启用")
	private String statusName;

	@ApiModelProperty(value = "来源  数据字典SOURCE：1.新增 2.excel导入 3.接口导入")
	private Integer source;

	@ApiModelProperty(value = "导入批次号")
	private String importBatchNumber;

	@ApiModelProperty(value = "所属部门ID")
	private String departmentId;

	@ApiModelProperty(value = "所属部门编码")
	private String departmentCode;

	@ApiModelProperty(value = "所属部门名称")
	private String departmentName;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@ApiModelProperty(value = "字符扩展1")
	private String extStr1;

	@ApiModelProperty(value = "字符扩展2")
	private String extStr2;

	@ApiModelProperty(value = "字符扩展3")
	private String extStr3;

	@ApiModelProperty(value = "字符扩展4")
	private String extStr4;

	@ApiModelProperty(value = "字符扩展5")
	private String extStr5;

	@ApiModelProperty(value = "数值属性扩展1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	private BigDecimal extNum5;

	@ApiModelProperty(value = "日期属性扩展1")
	private Date extDate1;

	@ApiModelProperty(value = "日期属性扩展2")
	private Date extDate2;

	@ApiModelProperty(value = "日期属性扩展3")
	private Date extDate3;

	@ApiModelProperty(value = "日期属性扩展4")
	private Date extDate4;

	@ApiModelProperty(value = "日期属性扩展5")
	private Date extDate5;

	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

}
