package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TmsBaseTranslineMapDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "线路ID")
	private Long lineId;

	@ApiModelProperty(value = "线路编号")
	private String lineCode;

	@ApiModelProperty(value = "线路名称")
	private String lineName;

	@ApiModelProperty(value = "线路起点类型")
	private Integer startLineType;

	@ApiModelProperty(value = "线路起点编码")
	private String startLineCode;

	@ApiModelProperty(value = "线路起点名称")
	private String startLineName;

	@ApiModelProperty(value = "线路终点类型")
	private Integer endLineType;

	@ApiModelProperty(value = "线路终点编码")
	private String endLineCode;

	@ApiModelProperty(value = "线路终点名称")
	private String endLineName;

	@ApiModelProperty(value = "线路起点经度")
	private double startLineLongitude;

	@ApiModelProperty(value = "线路起点纬度")
	private double startLineLatitude;

	@ApiModelProperty(value = "线路终点经度")
	private double endLineLongitude;

	@ApiModelProperty(value = "线路终点纬度")
	private double endLineLatitude;

	@ApiModelProperty(value = "总里程数")
	private BigDecimal totalMileage;

	@ApiModelProperty(value = "总站数")
	private Integer terminalNumber;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "收货方集合")
	private List<TmsArriverDTO> tmsArriverByMapDTOs;

	@ApiModelProperty(value = "发货方集合")
	private List<TmsShipperDTO> tmsShipperByMapDTOs;

}
