package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;
import java.math.BigDecimal;

import com.prolog.framework.core.annotation.Column;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 未绑/已绑车辆查询VO
 *
 * @className :DriverVehicleLinkDTO
 * @author :fanzw
 * @creationTime :2022/03/15
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/15
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("未绑/已绑车辆查询VO")
public class DriverVehicleLinkDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	@ApiModelProperty(value = "车辆编码")
	private String vehicleCode;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "车辆类型：数据字典VEHICLE_TYPE: 1自有、2挂靠、3临时")
	private Integer vehicleType;

	@ApiModelProperty(value = "隶属机构ID")
	private Long affiliationId;

	@ApiModelProperty(value = "隶属机构编码")
	private String affiliationCode;

	@ApiModelProperty(value = "隶属机构名称")
	private String affiliationName;

	@ApiModelProperty(value = "车型ID")
	private Long vehicleTypeId;

	@ApiModelProperty(value = "车型编码")
	private String vehicleTypeCode;

	@ApiModelProperty(value = "车型名称")
	private String vehicleTypeName;

	@ApiModelProperty(value = "车型品牌 数据字典VEHICLE_TYPE_BRAND：1长安、2依维柯")
	@Column(value = "brand")
	private Integer brand;

	@ApiModelProperty(value = "车型类别 数据字典VEHICLE_TYPE_CATEGORY：1冷藏车、2平顶车、3厢式货车")
	private Integer vehicleTypeCategory;

	@ApiModelProperty(value = "车型类别 数据字典VEHICLE_TYPE_CATEGORY：1冷藏车、2平顶车、3厢式货车")
	private String vehicleTypeCategoryName;

	@ApiModelProperty(value = "长(m)")
	private BigDecimal length;

	@ApiModelProperty(value = "宽(m)")
	private BigDecimal width;

	@ApiModelProperty(value = "高(m)")
	private BigDecimal height;

	@ApiModelProperty(value = "载重(kg)")
	private BigDecimal weight;

	@ApiModelProperty(value = "载方(m³)")
	private BigDecimal volume;

	@ApiModelProperty(value = "车辆归属")
	private Integer vehicleAscription;

	@ApiModelProperty(value = "车辆归属")
	private String vehicleAscriptionName;

}
