package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 加油站管理DTO
 *
 * @className :PartnerGasStationDTO
 * @author :fanzw
 * @creationTime :2021/09/02
 * @description :
 * @modifier :fanzw
 * @modifyTime :2021/09/02
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class PartnerGasStationDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "加油站/维修厂ID")
	private Long id;

	@ApiModelProperty(value = "加油站/维修厂编号")
	private String code;

	@ApiModelProperty(value = "加油站/维修厂名称")
	private String name;

	@ApiModelProperty(value = "加油站/维修厂简称")
	private String shortName;

	@ApiModelProperty(value = "加油站/维修厂助记码")
	private String zjm;

	@ApiModelProperty(value = "类型 数据字典PARTNER_TYPE： 1加油站  2维修厂 ")
	private Integer type;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	private String branchName;

	@ApiModelProperty(value = "联系人")
	private String contact;

	@ApiModelProperty(value = "手机号")
	private String phoneNumber;

	@ApiModelProperty(value = "座机号")
	private String landlineNumber;

	@ApiModelProperty(value = "国")
	private String country;

	@ApiModelProperty(value = "国名称")
	private String countryName;

	@ApiModelProperty(value = "省")
	private String province;

	@ApiModelProperty(value = "省名称")
	private String provinceName;

	@ApiModelProperty(value = "市")
	private String city;

	@ApiModelProperty(value = "市名称")
	private String cityName;

	@ApiModelProperty(value = "区/县")
	private String district;

	@ApiModelProperty(value = "区/县名称")
	private String districtName;

	@ApiModelProperty(value = "乡镇/街道")
	private String street;

	@ApiModelProperty(value = "乡镇/街道名称")
	private String streetName;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "开户银行 数据字典BANK")
	private String bank;

	@ApiModelProperty(value = "发票抬头")
	private String invoice;

	@ApiModelProperty(value = "银行账号")
	private String bankAccount;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "0：停用 1：启用 数据字典MAINDATA_STATUS")
	private Integer status;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;
}
