package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆事故管理表 Dto
 * <p>
 * Copyright: Copyright (C) 2020 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author xiaoyf
 * @since 2020-06-05 14:39
 */
@Data
public class TVmAccidentregDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "机构ID")
	private Long branchId;

	@ApiModelProperty(value = "机构牌号")
	private String branchname;

	@ApiModelProperty(value = "事故编号")
	private String accidentNum;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "事故日期")
	private Date acciddate;

	@ApiModelProperty(value = "事故类型(追尾、碰撞、破损)")
	private String accidtype;

	@ApiModelProperty(value = "事故地点")
	private String accidaddress;

	@ApiModelProperty(value = "路况")
	private String roadcon;

	@ApiModelProperty(value = "报案人姓名")
	private String reporter;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "报案时间 精确到秒")
	private Date reportdate;

	@ApiModelProperty(value = "出现经过")
	private String theaccid;

	@ApiModelProperty(value = "责任描述")
	private String respdes;

	@ApiModelProperty(value = "本车损失")
	private String carlost;

	@ApiModelProperty(value = "第三方损失")
	private String thirdpl;

	@ApiModelProperty(value = "轻伤人数")
	private BigDecimal injuries;

	@ApiModelProperty(value = "重伤人数")
	private BigDecimal injured;

	@ApiModelProperty(value = "死亡人数")
	private BigDecimal death;

	@ApiModelProperty(value = "交警部门")
	private String trafficpd;

	@ApiModelProperty(value = "交警联系人")
	private String policecontact;

	@ApiModelProperty(value = "交警电话")
	private String policecall;

	@ApiModelProperty(value = "本方车辆编号")
	private String vehiclecode;

	@ApiModelProperty(value = "本方驾驶证号")
	private String usCode;

	@ApiModelProperty(value = "对方车牌号")
	private String otherVehicle;

	@ApiModelProperty(value = "对方车辆型号")
	private String otherVehiclespec;

	@ApiModelProperty(value = "对方车辆驾驶员姓名")
	private String otherMaindriver;

	@ApiModelProperty(value = "对方驾驶员年龄")
	private BigDecimal otherDriverage;

	@ApiModelProperty(value = "对方驾驶员性别")
	private String otherDriversex;

	@ApiModelProperty(value = "对方驾驶员驾龄")
	private BigDecimal otherDriverdriving;

	@ApiModelProperty(value = "对方驾驶员地址")
	private String otherDriveradd;

	@ApiModelProperty(value = "业务员")
	private String salesman;

	@ApiModelProperty(value = "照片地址路径")
	private String pho;

	@ApiModelProperty(value = "责任划分(我方全责、对方全责、双方负责)")
	private String dutyAlloc;

	@ApiModelProperty(value = "估损金额")
	private BigDecimal estimatedloss;

	@ApiModelProperty(value = "实际损失")
	private BigDecimal actualLoss;

	@ApiModelProperty(value = "保险赔付情况")
	private String insurancepm;

	@ApiModelProperty(value = "责任属性")
	private String liabilityAttribute;

	@ApiModelProperty(value = "出现经过描述")
	private String theaccidDescribe;

	@ApiModelProperty(value = "本方驾驶员姓名")
	private String usMaindriver;

	@ApiModelProperty(value = "本方驾驶员年龄")
	private BigDecimal usDriverage;

	@ApiModelProperty(value = "本方驾驶员驾龄")
	private BigDecimal usDriverdriving;

	@ApiModelProperty(value = "承保方")
	private String underwrite;

	@ApiModelProperty(value = "本方车牌号")
	private String uVehicle;

	@ApiModelProperty(value = "对方是否保险")
	private String ifInsure;

	@ApiModelProperty(value = "对方驾驶证号")
	private String otherCode;

	@ApiModelProperty(value = "是否有照片")
	private String ifPicture;

	@ApiModelProperty(value = "消息推送给")
	private String giveMsg;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "审核时间")
	private Date audittime;

	@ApiModelProperty(value = "审核人")
	private String auditperson;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	private String extend02;

	@ApiModelProperty(value = "扩展字段3")
	private String extend03;

	@ApiModelProperty(value = "扩展字段4")
	private String extend04;

	@ApiModelProperty(value = "扩展字段5")
	private String extend05;

}
