package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 车辆加油DTO
 *
 * @className :TVmFuelRecordDTO
 * @author :fanzw
 * @creationTime :2021/04/23
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2021/04/23
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class TVmFuelRecordDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "机构ID")
	private Long branchId;

	@ApiModelProperty(value = "机构牌号")
	private String branchname;

	@ApiModelProperty(value = "加油单号")
	private String billno;

	@ApiModelProperty(value = "车牌号")
	private String platenumber;

	@ApiModelProperty(value = "加油站编号")
	private String gsCode;

	@ApiModelProperty(value = "加油站名称")
	private String gsName;

	@ApiModelProperty(value = "油型")
	private String oiltype;

	@ApiModelProperty(value = "油价")
	private BigDecimal oilPrice;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "加油时间")
	private Date oilDate;

	@ApiModelProperty(value = "加油人")
	private String oilPerson;

	@ApiModelProperty(value = "加油量")
	private BigDecimal oilQuantity;

	@ApiModelProperty(value = "里程数")
	private String odometer;

	@ApiModelProperty(value = "金额")
	private String amount;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "审核时间")
	private Date audittime;

	@ApiModelProperty(value = "审核人")
	private String auditperson;

	@ApiModelProperty(value = "审核状态")
	private String auditstatus;

	@ApiModelProperty(value = "审核描述")
	private String auditdescrible;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "状态")
	private String statusName;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	private String extend02;

	@ApiModelProperty(value = "扩展字段3")
	private String extend03;

	@ApiModelProperty(value = "扩展字段4")
	private String extend04;

	@ApiModelProperty(value = "扩展字段5")
	private String extend05;
}
