package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆违章管理表 Dto
 * <p>
 * Copyright: Copyright (C) 2020 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author xiaoyf
 * @since 2020-06-03 11:27
 */
@Data
public class TVmIllegalRecordDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "机构ID")
	private Long branchId;

	@ApiModelProperty(value = "机构牌号")
	private String branchname;

	@ApiModelProperty(value = "违章单号")
	private String illegalNo;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "违章发生时间")
	private Date illegalTime;

	@ApiModelProperty(value = "违章类别(字典ILLEGAL_TYPE)")
	private String illegalType;

	@ApiModelProperty(value = "违章地点")
	private String illegalAdd;

	@ApiModelProperty(value = "违章人员")
	private String illegalPerson;

	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	@ApiModelProperty(value = "罚款")
	private Double forfeit;

	@ApiModelProperty(value = "扣分")
	private BigDecimal minusPoints;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "发现时间")
	private Date discoverTime;

	@ApiModelProperty(value = "发现人")
	private String discoverPerson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "违章处理时间")
	private Date disposeTime;

	@ApiModelProperty(value = "是否延期处罚")
	private String punishPostpone;

	@ApiModelProperty(value = "延期处罚天数")
	private BigDecimal postponeDay;

	@ApiModelProperty(value = "承担对象")
	private String undertaker;

	@ApiModelProperty(value = "货物损失金额")
	private Double amountLossG;

	@ApiModelProperty(value = "车辆损失")
	private Double amountLossV;

	@ApiModelProperty(value = "理赔收入")
	private Double compensate;

	@ApiModelProperty(value = "公司处罚")
	private String punishment;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "审核时间")
	private Date audittime;

	@ApiModelProperty(value = "审核人")
	private String auditperson;
	
	@ApiModelProperty(value = "审核意见")
	private String auditdescrible;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	private String extend02;

	@ApiModelProperty(value = "扩展字段3")
	private String extend03;

	@ApiModelProperty(value = "扩展字段4")
	private String extend04;

	@ApiModelProperty(value = "扩展字段5")
	private String extend05;
}
