package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆保险管理表 Dto
 * <p>
 * Copyright: Copyright (C) 2020 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author xiaoyf
 * @since 2020-06-08 17:39
 */
@Data
public class TVmInsuranceDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "机构ID")
	private Long branchId;

	@ApiModelProperty(value = "机构牌号")
	private String branchname;

	@ApiModelProperty(value = "保险单号")
	private String insurcode;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "出现日期")
	private Date outdager;

	@ApiModelProperty(value = "报案编号")
	private String reportno;

	@ApiModelProperty(value = "车牌号")
	private String platenumber;

	@ApiModelProperty(value = "司机/报案人")
	private String reporter;

	@ApiModelProperty(value = "车辆归属单位")
	private String ascriptionCompanyNo;

	@ApiModelProperty(value = "车辆归属单位名称")
	private String ascriptionCompanyName;

	@ApiModelProperty(value = "使用性质")
	private String nonOperational;

	@ApiModelProperty(value = "出现事故类型")
	private String insurctype;

	@ApiModelProperty(value = "责任人")
	private String dutyman;

	@ApiModelProperty(value = "责任属性")
	private String resppro;

	@ApiModelProperty(value = "定损金额")
	private BigDecimal amountdam;

	@ApiModelProperty(value = "赔付单位/个人")
	private String paidCustomer;

	@ApiModelProperty(value = "应赔付金额")
	private BigDecimal amountcomp;

	@ApiModelProperty(value = "实际赔付金额")
	private BigDecimal amountact;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "审核时间")
	private Date audittime;

	@ApiModelProperty(value = "审核人")
	private String auditperson;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	private String extend02;

	@ApiModelProperty(value = "扩展字段3")
	private String extend03;

	@ApiModelProperty(value = "扩展字段4")
	private String extend04;

	@ApiModelProperty(value = "扩展字段5")
	private String extend05;

}
