package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆维修保养汇总表 Dto
 * <p>
 * Copyright: Copyright (C) 2020 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author xiaoyf
 * @since 2020-06-01 11:33
 */
@Data
public class TmsRepairRecordHDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "机构ID")
	private Long branchId;

	@ApiModelProperty(value = "机构牌号")
	private String branchname;

	@ApiModelProperty(value = "维修保养单号")
	private String billno;

	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	@ApiModelProperty(value = "保养维修类型(0:维修 1:保养)")
	private String repairType;

	@ApiModelProperty(value = "当前里程")
	private Double presentMileage;

	@ApiModelProperty(value = "规则编号")
	private String ruleNo;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "上次保养日期")
	private Date lastRepairTime;

	@ApiModelProperty(value = "维修厂编号")
	private String gsCode;

	@ApiModelProperty(value = "维修厂名称")
	private String gsName;

	@ApiModelProperty(value = "估损金额")
	private Double estimateAmount;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "维修保养日期")
	private Date repairTime;

	@ApiModelProperty(value = "实际金额")
	private Double amount;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "审核时间")
	private Date audittime;

	@ApiModelProperty(value = "审核人")
	private String auditperson;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	private String extend02;

	@ApiModelProperty(value = "扩展字段3")
	private String extend03;

	@ApiModelProperty(value = "扩展字段4")
	private String extend04;

	@ApiModelProperty(value = "扩展字段5")
	private String extend05;

}
