package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
  * 车辆-司机资料分页查询DTO
  * 
  * @author Eton Woo
  * @date 2022/03/15
  */
@Data
@ApiModel("车辆-司机资料分页查询DTO")
public class VehicleDriverPagingQueryDTO implements Serializable {

	private static final long serialVersionUID = -2938322789558915179L;

	@ApiModelProperty(value = "主键ID")
	private String lineId;
	
	@ApiModelProperty(value = "司机ID")
	private Long driverId;
	
	@ApiModelProperty(value = "司机编码")
	private String driverCode;
	
	@ApiModelProperty(value = "司机名称")
	private String driverName;
	
	@ApiModelProperty(value = "司机类型：数据字典DRIVER_TYPE 1自有、2挂靠、3临时")
	private Integer driverType;
	
	@ApiModelProperty(value = "司机类型：数据字典DRIVER_TYPE 1自有、2挂靠、3临时")
	private String driverTypeName;
	
	@ApiModelProperty(value = "司机隶属机构名称")
	private String affiliationName;
	
	@ApiModelProperty(value = "司机手机号")
	private String phoneNumber;
	
	@ApiModelProperty(value = "司机备注")
	private String driverMemo;
}
