package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 车型导入分页查询DTO
 *
 * @className :VehicleTypeImportPageDTO
 * @author :fanzw
 * @creationTime :2022/04/24
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/24
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("车型导入分页查询DTO")
public class VehicleTypeImportPageDTO implements Serializable {

	private static final long serialVersionUID = 5152663142180695870L;

	@ApiModelProperty(value = "车型ID")
	private Long id;

	@ApiModelProperty(value = "车型编码")
	private String code;

	@ApiModelProperty(value = "车型名称")
	private String name;

	@ApiModelProperty(value = "车型品牌 数据字典VEHICLE_TYPE_BRAND：1长安、2依维柯")
	private Integer brand;

	@ApiModelProperty(value = "车型品牌 数据字典VEHICLE_TYPE_BRAND：1长安、2依维柯")
	private String brandName;

	@ApiModelProperty(value = "车型类别 数据字典VEHICLE_TYPE_CATEGORY：1冷藏车、2平顶车、3厢式货车")
	private Integer type;

	@ApiModelProperty(value = "车型类别 数据字典VEHICLE_TYPE_CATEGORY：1冷藏车、2平顶车、3厢式货车")
	private String typeName;

	@ApiModelProperty(value = "长(m)")
	private BigDecimal length;

	@ApiModelProperty(value = "宽(m)")
	private BigDecimal width;

	@ApiModelProperty(value = "高(m)")
	private BigDecimal height;

	@ApiModelProperty(value = "最大行驶里程(km)")
	private BigDecimal maxMileage;

	@ApiModelProperty(value = "载重(kg)")
	private BigDecimal weight;

	@ApiModelProperty(value = "载方(m³)")
	private BigDecimal volume;

	@ApiModelProperty(value = "状态:0：停用 1：启用 数据字典MAINDATA_STATUS")
	private Integer status;

	@ApiModelProperty(value = "状态:0：停用 1：启用 数据字典MAINDATA_STATUS")
	private String statusName;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "所属组织ID")
	private Long organizationId;

	@ApiModelProperty(value = "所属组织编码")
	private String organizationCode;

	@ApiModelProperty(value = "所属组织名称")
	private String organizationName;

	@ApiModelProperty(value = "所属部门ID")
	private String departmentId;

	@ApiModelProperty(value = "所属部门编码")
	private String departmentCode;

	@ApiModelProperty(value = "所属部门名称")
	private String departmentName;

	@ApiModelProperty(value = "字符属性扩展1")
	private String extStr1;

	@ApiModelProperty(value = "字符属性扩展2")
	private String extStr2;

	@ApiModelProperty(value = "字符属性扩展3")
	private String extStr3;

	@ApiModelProperty(value = "字符属性扩展4")
	private String extStr4;

	@ApiModelProperty(value = "字符属性扩展5")
	private String extStr5;

	@ApiModelProperty(value = "数值属性扩展1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	private BigDecimal extNum5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展1")
	private Date extDate1;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展2")
	private Date extDate2;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展3")
	private Date extDate3;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展4")
	private Date extDate4;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展5")
	private Date extDate5;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;
}
