package com.prolog.rdc.tms.model.dto.message;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
*  DTO
* <p>
* Copyright: Copyright (C) 2022 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2022-11-15 14:03:39
*/
@Data
public class MessageConfigDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "消息配置id")
    private Long id;

    @ApiModelProperty(value = "消息名称")
    private String name;

    @ApiModelProperty(value = "消息类型MESSAGE_TYPE")
    private String type;

    @ApiModelProperty(value = "消息类型")
    private String typeName;

    @ApiModelProperty(value = "推送类型MESSAGE_SEND_TYPE")
    private String sendType;

    @ApiModelProperty(value = "推送类型")
    private String sendTypeName;

    @ApiModelProperty(value = "状态：0停用 1启用")
    private String status;

    @ApiModelProperty(value = "状态：0停用 1启用")
    private String statusName;

    @ApiModelProperty(value = "消息内容")
    private String content;

    @ApiModelProperty(value = "单号类型MESSAGE_ORDER_TYPE")
    private String orderType;

    @ApiModelProperty(value = "单号类型")
    private String orderTypeName;

    @ApiModelProperty(value = "通知类型")
    private String noticeType;

    @ApiModelProperty(value = "通知类型")
    private String noticeTypeName;

    @ApiModelProperty(value = "通知货主")
    private String noticeCargoowner;

    @ApiModelProperty(value = "通知发货方")
    private String noticeShipper;

    @ApiModelProperty(value = "通知收货方")
    private String noticeConsignee;

    @ApiModelProperty(value = "通知承运商")
    private String noticeCarrier;

    @ApiModelProperty(value = "通知司机")
    private String noticeDriver;

    @ApiModelProperty(value = "企微webhook")
    private String qwWebhook;

    @ApiModelProperty(value = "钉钉webhook")
    private String ddWebhook;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

    @ApiModelProperty(value = "指定角色")
    private String roleName;

    @ApiModelProperty(value = "指定用户")
    private String userName;

    @ApiModelProperty(value = "满足条件")
    private String conditionName;

    @ApiModelProperty(value = "消息配置条件")
    private List<MessageConfigConditionDTO> configConditionDTOList;

    @ApiModelProperty(value = "通知对象")
    private List<MessageConfigNoticeToDTO> configNoticeToDTOList;

    @ApiModelProperty(value = "开始预警偏差")
    private Integer alarmStartOffset;

    @ApiModelProperty(value = "开始预警偏差单位")
    private String alarmStartOffsetUnit;

    @ApiModelProperty(value = "开始预警偏差单位")
    private String alarmStartOffsetName;

    @ApiModelProperty(value = "结束预警偏差")
    private Integer alarmEndOffset;

    @ApiModelProperty(value = "结束预警偏差单位")
    private String alarmEndOffsetUnit;

    @ApiModelProperty(value = "结束预警偏差单位")
    private String alarmEndOffsetName;

    @ApiModelProperty(value = "预警间隔")
    private Integer alarmInterval;

    @ApiModelProperty(value = "预警间隔单位")
    private String alarmIntervalUnit;

    @ApiModelProperty(value = "预警间隔单位")
    private String alarmIntervalName;

    @ApiModelProperty(value = "语音播报")
    private String alarmVoice;

}
