package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Table(value = "sys_parameter")
public class SySParameterModel implements Serializable {

	private static final long serialVersionUID = 8370594481390929000L;

	@Id
	@ApiModelProperty(value = "ID")
	@Column(value = "ID")
	private Long id;

	@ApiModelProperty(value = "重量精度")
	@Column(value = "WEIGHT_PRECISION")
	private Integer weightPrecision;

	@Column(value = "WEIGHT_INTEGER")
	@ApiModelProperty(value = "重量取整")
	private Integer weightInteger;

	@Column(value = "VOLUME_PRECISION")
	@ApiModelProperty(value = "重量精度")
	private Integer volumePrecision;

	@Column(value = "VOLUME_INTEGER")
	@ApiModelProperty(value = "重量取整")
	private Integer volumeInteger;

	@Column(value = "PACK_WEIGHT_PRECISION")
	@ApiModelProperty(value = "重量精度")
	private Integer packWeightPrecision;

	@Column(value = "PACK_WEIGHT_INTEGER")
	@ApiModelProperty(value = "包装重量取整")
	private Integer packWeightInteger;

	@Column(value = "PACK_VOLUME_PRECISION")
	@ApiModelProperty(value = "包装体积精度")
	private Integer packVolumePrecision;

	@Column(value = "PACK_VOLUME_INTEGER")
	@ApiModelProperty(value = "包装体积取整")
	private Integer packVolumeInteger;

	@Column(value = "COST_PRECISION")
	@ApiModelProperty(value = "费用精度")
	private Integer costPrecision;

	@Column(value = "COST_INTEGER")
	@ApiModelProperty(value = "费用取整")
	private Integer costInteger;

	@Column(value = "IS_RECONCILIATION")
	@ApiModelProperty(value = "是否核算之后开始对账 1:是")
	private Integer isReconciliation;

	@Column(value = "is_tax")
	@ApiModelProperty(value = "是否含税单价 1：含税，2：未税")
	private Integer isTax;

	@Column(value = "PRICE_COST_TYPE")
	@ApiModelProperty(value = "价格表计费方式")
	private Integer priceCostType;

	@Column(value = "PRICE_PCD_MATCH_TYPE")
	@ApiModelProperty(value = "价格表省市区匹配方式")
	private Integer pricePcdMatchType;


	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "ATTR_STR1")
	private String attrStr1;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "ATTR_STR2")
	private String attrStr2;

	@ApiModelProperty(value = "扩展字段3")
	@Column(value = "ATTR_STR3")
	private String attrStr3;

	@ApiModelProperty(value = "扩展字段4")
	@Column(value = "ATTR_STR4")
	private String attrStr4;

	@ApiModelProperty(value = "扩展字段5")
	@Column(value = "ATTR_STR5")
	private String attrStr5;

	@Column(value = "CREATEPERSON")
	@ApiModelProperty(value = "创建人")
	private String createperson;

	@Column(value = "CREATETIME")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@Column(value = "UPDATEPERSON")
	@ApiModelProperty(value = "最后修改人")
	private String updateperson;

	@Column(value = "UPDATETIME")
	@ApiModelProperty(value = "最后修改时间")
	private Date updatetime;

	@Column(value = "ENTERPRISE_ID")
	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@Column(value = "ENTERPRISE_NAME")
	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@Column(value = "tms_transfer_order_type")
	@ApiModelProperty(value = "TMS下传单据:10-仅运单,20-运单和派车单")
	private Integer tmsTransferOrderType;

	@Column(value = "carrier_price_type")
	@ApiModelProperty(value = "承运价格计费:1：含税，2：未税")
	private Integer carrierPriceType;

	@Column(value = "driver_price_type")
	@ApiModelProperty(value = "司机价格计费:1：含税，2：未税")
	private Integer driverPriceType;
}