package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 预警配置表
 *
 * @className :SysAlertConfigurationModel
 * @author :fanzw
 * @creationTime :2022/01/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/01/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table("sys_alert_configuration")
public class SysAlertConfigurationModel implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@ApiModelProperty(value = "预警ID")
	@Column(value = "early_warning_id")
	private String earlyWarningId;

	@ApiModelProperty(value = "预警名称")
	@Column(value = "early_warning_name")
	private String earlyWarningName;

	@ApiModelProperty(value = "预警类型编码")
	@Column(value = "early_warning_type_code")
	private String earlyWarningTypeCode;

	@ApiModelProperty(value = "预警类型名称")
	@Column(value = "early_warning_type_name")
	private String earlyWarningTypeName;

	@ApiModelProperty(value = "单位id")
	@Column(value = "customer_ids")
	private String customerIds;

	@ApiModelProperty(value = "单位编号")
	@Column(value = "customer_codes")
	private String customerCodes;

	@ApiModelProperty(value = "单位名称")
	@Column(value = "customer_names")
	private String customerNames;

	@ApiModelProperty(value = "开始时间偏差数")
	@Column(value = "start_time_offset")
	private BigDecimal startTimeOffset;

	@ApiModelProperty(value = "开始时间偏差单位")
	@Column(value = "start_time_offset_unit")
	private String startTimeOffsetUnit;

	@ApiModelProperty(value = "结束时间偏差数")
	@Column(value = "end_time_offset")
	private BigDecimal endTimeOffset;

	@ApiModelProperty(value = "结束时间偏差单位")
	@Column(value = "end_time_offset_unit")
	private String endTimeOffsetUnit;

	@ApiModelProperty(value = "推送方式ID")
	@Column(value = "push_method_code")
	private String pushMethodCode;

	@ApiModelProperty(value = "推送方式名称")
	@Column(value = "push_method_name")
	private String pushMethodName;

	@ApiModelProperty(value = "间隔数")
	@Column(value = "interval_number")
	private BigDecimal intervalNumber;

	@ApiModelProperty(value = "间隔单位")
	@Column(value = "interval_number_unit")
	private String intervalNumberUnit;

	@ApiModelProperty(value = "预警描述")
	@Column(value = "describe")
	private String describe;

	@ApiModelProperty(value = "预警状态 0:无效 1:有效")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterpriseid")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprisename")
	private String enterprisename;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

}
