package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 预警消息表
 *
 * @className :SysAlertMessageModel
 * @author :fanzw
 * @creationTime :2022/01/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/01/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table("sys_alert_message")
public class SysAlertMessageModel implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@ApiModelProperty(value = "消息ID")
	@Column(value = "message_id")
	private String messageId;

	@ApiModelProperty(value = "消息类型编码 1.预警")
	@Column(value = "message_type_code")
	private Integer messageTypeCode;

	@ApiModelProperty(value = "消息类型名称 1.预警")
	@Column(value = "message_type_name")
	private String messageTypeName;

	@ApiModelProperty(value = "单位id")
	@Column(value = "customer_ids")
	private String customerIds;

	@ApiModelProperty(value = "单位编号")
	@Column(value = "customer_codes")
	private String customerCodes;

	@ApiModelProperty(value = "单位名称")
	@Column(value = "customer_names")
	private String customerNames;

	@ApiModelProperty(value = "业务单据ID")
	@Column(value = "refbillid")
	private String refbillid;

	@ApiModelProperty(value = "业务单据号")
	@Column(value = "refbillno")
	private String refbillno;

	@ApiModelProperty(value = "消息内容")
	@Column(value = "message")
	private String message;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "发送时间")
	@Column(value = "send_time")
	private Date sendTime;

	@ApiModelProperty(value = "发送人ID")
	@Column(value = "send_people_id")
	private String sendPeopleId;

	@ApiModelProperty(value = "发送人名称")
	@Column(value = "send_people_name")
	private String sendPeopleName;

	@ApiModelProperty(value = "发送部门ID")
	@Column(value = "send_department_id")
	private String sendDepartmentId;

	@ApiModelProperty(value = "发送部门名称")
	@Column(value = "send_department_name")
	private String sendDepartmentName;

	@ApiModelProperty(value = "发送企业ID")
	@Column(value = "send_enterprise_id")
	private String sendEnterpriseId;

	@ApiModelProperty(value = "发送企业名称")
	@Column(value = "send_enterprise_name")
	private String sendEnterpriseName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "接收时间")
	@Column(value = "receive_time")
	private Date receiveTime;

	@ApiModelProperty(value = "接收人ID")
	@Column(value = "receive_people_id")
	private String receivePeopleId;

	@ApiModelProperty(value = "接收人名称")
	@Column(value = "receive_people_name")
	private String receivePeopleName;

	@ApiModelProperty(value = "接收部门ID")
	@Column(value = "receive_department_id")
	private String receiveDepartmentId;

	@ApiModelProperty(value = "接收部门名称")
	@Column(value = "receive_department_name")
	private String receiveDepartmentName;

	@ApiModelProperty(value = "接收企业ID")
	@Column(value = "receive_enterprise_id")
	private String receiveEnterpriseId;

	@ApiModelProperty(value = "接收企业名称")
	@Column(value = "receive_enterprise_name")
	private String receiveEnterpriseName;

	@ApiModelProperty(value = "是否已读 0:否 1:是")
	@Column(value = "whether_read")
	private Integer whetherRead;

	@ApiModelProperty(value = "是否处理 0:否 1:是")
	@Column(value = "status")
	private Integer status;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

}
