package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 预警用户表
 *
 * @className :SysAlertUsersModel
 * @author :fanzw
 * @creationTime :2022/01/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/01/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table("sys_alert_users")
public class SysAlertUsersModel implements Serializable {

	private static final long serialVersionUID = -7636059601036225343L;

	@Id
	@ApiModelProperty(value = "数据ID")
	@Column(value = "lineid")
	private String lineid;

	@ApiModelProperty(value = "预警ID")
	@Column(value = "early_warning_id")
	private String earlyWarningId;

	@ApiModelProperty(value = "用户ID")
	@Column(value = "userid")
	private String userid;

	@ApiModelProperty(value = "用户名称")
	@Column(value = "username")
	private String username;

	@ApiModelProperty(value = "用户账号")
	@Column(value = "user_account")
	private String userAccount;

	@ApiModelProperty(value = "用户手机号")
	@Column(value = "phone")
	private String phone;

	@ApiModelProperty(value = "部门ID")
	@Column(value = "department_id")
	private String departmentId;

	@ApiModelProperty(value = "部门名称")
	@Column(value = "department_name")
	private String departmentName;

	@ApiModelProperty(value = "用户类型编码")
	@Column(value = "user_type_code")
	private String userTypeCode;

	@ApiModelProperty(value = "用户类型名称")
	@Column(value = "user_type_name")
	private String userTypeName;

	@ApiModelProperty(value = "状态 0:停用 1:启用")
	@Column(value = "status")
	private Integer status;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

}
