package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 扩展字段表
 *
 * @className :SysExtendedFieldModel
 * @author :fanzw
 * @creationTime :2022/01/12
 * @description :
 * @modifier :fanzw
 * @modifyTime :2022/01/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table("sys_extended_field")
public class SysExtendedFieldModel implements Serializable {

	private static final long serialVersionUID = -7360168777534791872L;

	@Id
	@ApiModelProperty(value = "数据ID")
	@Column(value = "lineid")
	private String lineid;

	@ApiModelProperty(value = "扩展对象编码")
	@Column(value = "extended_object_code")
	private String extendedObjectCode;

	@ApiModelProperty(value = "扩展对象名称")
	@Column(value = "extended_object_name")
	private String extendedObjectName;

	@ApiModelProperty(value = "显示名称")
	@Column(value = "display_name")
	private String displayName;

	@ApiModelProperty(value = "字段名称")
	@Column(value = "field_name")
	private String fieldName;

	@ApiModelProperty(value = "字段类型")
	@Column(value = "field_type")
	private String fieldType;

	@ApiModelProperty(value = "字段类型名称")
	@Column(value = "field_type_name")
	private String fieldTypeName;

	@ApiModelProperty(value = "字段选择框值")
	@Column(value = "field_choice_value")
	private String fieldChoiceValue;

	@ApiModelProperty(value = "字段排序")
	@Column(value = "field_sort")
	private Integer fieldSort;

	@ApiModelProperty(value = "状态:0停用 1启用")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

}
