package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入日志表model
 *
 *
 * @className: SysImportLogModel
 * @author: kh
 * @creationTime: 2022-01-19 09:39:31
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table(value = "sys_import_log")
public class SysImportLogModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@ApiModelProperty(value = "主键ID")
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "导入人员ID")
	@Column(value = "import_user_id")
	private Long importUserId;

	@ApiModelProperty(value = "导入人员姓名")
	@Column(value = "import_user_name")
	private String importUserName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "导入时间")
	@Column(value = "import_time")
	private Date importTime;

	@ApiModelProperty(value = "模板名称")
	@Column(value = "templete_name")
	private String templeteName;

	@ApiModelProperty(value = "手机号")
	@Column(value = "phone_number")
	private String phoneNumber;

	@ApiModelProperty(value = "导入对象编码")
	@Column(value = "import_obj_no")
	private String importObjNo;

	@ApiModelProperty(value = "导入对象名称")
	@Column(value = "import_obj_name")
	private String importObjName;

	@ApiModelProperty(value = "导入批次")
	@Column(value = "import_batch_number")
	private String importBatchNumber;

	@ApiModelProperty(value = "导入状态 数据字典IMPORT_STATUS:0失败，1.成功")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "操作状态 数据字典OPERATE_STATUS:0撤销，1.导入")
	@Column(value = "operate_status")
	private Integer operateStatus;

	@ApiModelProperty(value = "成功条数")
	@Column(value = "success_num")
	private Integer successNum;

	@ApiModelProperty(value = "失败条数")
	@Column(value = "fail_num")
	private Integer failNum;

	@ApiModelProperty(value = "失败原因")
	@Column(value = "fail_reason")
	private String failReason;

	@ApiModelProperty(value = "公司ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "公司名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

}
