package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入配置模板详情 Model
 *
 *
 * @className: SysImportTempletdModel
 * @author: kh
 * @creationTime: 2022-01-19 09:39:31
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table(value = "sys_import_templetd")
public class SysImportTempletdModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	@Id
	@Column(value = "did")
	private String did;

	@ApiModelProperty(value = "汇总主键")
	@Column(value = "hid")
	private String hid;

	@ApiModelProperty(value = "标准列名编码")
	@Column(value = "std_col_no")
	private String stdColNo;

	@ApiModelProperty(value = "标准列名名称")
	@Column(value = "std_col_name")
	private String stdColName;

	@ApiModelProperty(value = "自定义列名")
	@Column(value = "cust_col_name")
	private String custColName;

	@ApiModelProperty(value = "是否启用，0否，1是")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "模板状态，用于删除，0无效，1有效")
	@Column(value = "templet_status")
	private Integer templetStatus;

	@ApiModelProperty(value = "备注")
	@Column(value = "remark")
	private String remark;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "extend01")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "extend02")
	private String extend02;

	@ApiModelProperty(value = "扩展字段数字1")
	@Column(value = "extendnum01")
	private BigDecimal extendnum01;

	@ApiModelProperty(value = "扩展字段数字2")
	@Column(value = "extendnum02")
	private BigDecimal extendnum02;

	@ApiModelProperty(value = "扩展字段日期1")
	@Column(value = "extenddte01")
	private Date extenddte01;

	@ApiModelProperty(value = "扩展字段日期2")
	@Column(value = "extenddte02")
	private Date extenddte02;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人ID")
	@Column(value = "createby")
	private Long createby;

	@ApiModelProperty(value = "创建人姓名p_nickname")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人ID")
	@Column(value = "updateby")
	private Long updateby;

	@ApiModelProperty(value = "修改人姓名p_nickname")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "导入对象编码")
	@Column(value = "import_obj_no")
	private String importObjNo;

	@ApiModelProperty(value = "导入对象名称，通用参照数据中配置")
	@Column(value = "import_obj_name")
	private String importObjName;

	@ApiModelProperty(value = "排序号")
	@Column(value = "sort")
	private Integer sort;

	@ApiModelProperty(value = "是否必填,1-是/0-否")
	@Column(value = "required")
	private Integer required;

	@ApiModelProperty(value = "标记")
	@Column(value = "label_type")
	private String labelType;

	@ApiModelProperty(value = "默认id")
	@Column(value = "default_id")
	private String defaultId;

	@ApiModelProperty(value = "默认code")
	@Column(value = "default_code")
	private String defaultCode;

	@ApiModelProperty(value = "默认name")
	@Column(value = "default_name")
	private String defaultName;

}
