package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入配置模板汇总 Model
 *
 *
 * @className: SysImportTemplethModel
 * @author: kh
 * @creationTime: 2022-01-19 09:39:31
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table(value = "sys_import_templeth")
public class SysImportTemplethModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "模板汇总主键")
	@Id
	@Column(value = "hid")
	private String hid;

	@ApiModelProperty(value = "导入对象编码，通用参照数据中配置")
	@Column(value = "import_obj_no")
	private String importObjNo;

	@ApiModelProperty(value = "导入对象名称，通用参照数据中配置")
	@Column(value = "import_obj_name")
	private String importObjName;

	@ApiModelProperty(value = "模板名称")
	@Column(value = "templete_name")
	private String templeteName;

	@ApiModelProperty(value = "是否启用，0否，1是")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "模板状态，用于删除，0无效，1有效")
	@Column(value = "templet_status")
	private Integer templetStatus;

	@ApiModelProperty(value = "备注")
	@Column(value = "remark")
	private String remark;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人主键")
	@Column(value = "createby")
	private Long createby;

	@ApiModelProperty(value = "创建人p_nickname")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateby")
	private Long updateby;

	@ApiModelProperty(value = "修改人姓名p_nickname")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "extend01")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "extend02")
	private String extend02;

	@ApiModelProperty(value = "扩展字段数字1")
	@Column(value = "extendnum01")
	private BigDecimal extendnum01;

	@ApiModelProperty(value = "扩展字段数字2")
	@Column(value = "extendnum02")
	private BigDecimal extendnum02;

	@ApiModelProperty(value = "扩展字段日期1")
	@Column(value = "extenddte01")
	private Date extenddte01;

	@ApiModelProperty(value = "扩展字段日期2")
	@Column(value = "extenddte02")
	private Date extenddte02;

}
