package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 参照数据明细 Model
 *
 * @className    :SysRefdatadModel
 * @author       :fanzw
 * @creationTime :2020/07/02
 * @description  :
 *
 * @modifier     :fanzw
 * @modifyTime   :2020/07/02
 * @reviseRemarks:
 *
 * @version      :1.0.0
 *
 */
@Data
@Table(value = "sys_refdatad")
public class SysRefdatadModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @ApiModelProperty(value = "字段编码")
    @Column(value = "objectcode")
    private String objectcode;

    @Id
    @ApiModelProperty(value = "储存值")
    @Column(value = "code")
    private String code;

    @ApiModelProperty(value = "显示名称")
    @Column(value = "name")
    private String name;
    
    @ApiModelProperty(value = "")
    @Column(value = "objectparm")
    private String objectparm;

    @ApiModelProperty(value = "分组编号1")
    @Column(value = "groupcode1")
    private String groupcode1;

    @ApiModelProperty(value = "分组编号2")
    @Column(value = "groupcode2")
    private String groupcode2;

    @ApiModelProperty(value = "分组编号3")
    @Column(value = "groupcode3")
    private String groupcode3;

    @ApiModelProperty(value = "分组编号4")
    @Column(value = "groupcode4")
    private String groupcode4;

    @ApiModelProperty(value = "分组编号5")
    @Column(value = "groupcode5")
    private String groupcode5;
    
    @ApiModelProperty(value = "")
    @Column(value = "longparm")
    private String longparm;
    
    @ApiModelProperty(value = "")
    @Column(value = "colorvalue")
    private String colorvalue;
    
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "")
    @Column(value = "validdate")
    private Date validdate;
	
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "")
    @Column(value = "fromdate")
    private Date fromdate;

    @ApiModelProperty(value = "排序号")
    @Column(value = "sortnum")
    private String sortnum;
    
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

}
