package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 参照数据汇总 Model
 *
 * @className    :SysRefdatahModel
 * @author       :fanzw
 * @creationTime :2020/07/02
 * @description  :
 *
 * @modifier     :fanzw
 * @modifyTime   :2020/07/02
 * @reviseRemarks:
 *
 * @version      :1.0.0
 *
 */
@Data
@Table(value = "sys_refdatah")
public class SysRefdatahModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @ApiModelProperty(value = "字段编码")
    @Column(value = "objectcode")
    private String objectcode;
    
    @ApiModelProperty(value = "字段描述")
    @Column(value = "description")
    private String description;
    
    @ApiModelProperty(value = "是否允许修改")
    @Column(value = "ismodify")
    private String ismodify;
    
    @ApiModelProperty(value = "配置列表JSON")
    @Column(value = "colnamelist")
    private String colnamelist;
    
    @ApiModelProperty(value = "")
    @Column(value = "refidlist")
    private String refidlist;
    
    @ApiModelProperty(value = "字段类型")
    @Column(value = "codeidtype")
    private String codeidtype;
    
    @ApiModelProperty(value = "")
    @Column(value = "isjoinrole")
    private String isjoinrole;
    
    @ApiModelProperty(value = "描述")
    @Column(value = "remarktext")
    private String remarktext;

    @ApiModelProperty(value = "分组")
    @Column(value = "groupcode")
    private String groupcode;

    @ApiModelProperty(value = "修改等级")
    @Column(value = "modifylevel")
    private String modifylevel;
    
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

}
