package com.prolog.rdc.tms.model.entity;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
* 始发站点资料表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author rdc
* @since 2023-03-24 16:03:25
*/
@Data
@Table(value = "tms_base_starting_station")
public class TmsBaseStartingStationModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "站点ID")
    @Column(value = "station_id")
    private Long stationId;

    @ApiModelProperty(value = "站点编号")
    @Column(value = "station_code")
    private String stationCode;

    @ApiModelProperty(value = "站点名称")
    @Column(value = "station_name")
    private String stationName;

    @ApiModelProperty(value = "始发站点ID")
    @Column(value = "starting_station_id")
    private Long startingStationId;

    @ApiModelProperty(value = "始发站点编号")
    @Column(value = "starting_station_code")
    private String startingStationCode;

    @ApiModelProperty(value = "始发站点名称")
    @Column(value = "starting_station_name")
    private String startingStationName;

    @ApiModelProperty(value = "距离")
    @Column(value = "distance")
    private BigDecimal distance;

    @ApiModelProperty(value = "备注")
    @Column(value = "memo")
    private String memo;

    @ApiModelProperty(value = "来源  数据字典SOURCE：1.新增 2.excel导入 3.接口导入")
    @Column(value = "source")
    private Integer source;

    @ApiModelProperty(value = "导入批次号")
    @Column(value = "import_batch_number")
    private String importBatchNumber;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

}
