package com.prolog.rdc.tms.model.entity;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
* 站点资料表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author rdc
* @since 2023-03-24 16:03:25
*/
@Data
@Table(value = "tms_base_station")
public class TmsBaseStationModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "站点ID")
    @Id
     @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "站点编号")
    @Column(value = "code")
    private String code;

    @ApiModelProperty(value = "站点名称")
    @Column(value = "name")
    private String name;

    @ApiModelProperty(value = "配送顺序")
    @Column(value = "delivery_order")
    private BigDecimal deliveryOrder;

    @ApiModelProperty(value = "站点类型 数据字典STATION_TYPE:10.实际 20.虚拟")
    @Column(value = "type")
    private Integer type;

    @ApiModelProperty(value = "上级站点ID")
    @Column(value = "higher_level_station_id")
    private Long higherLevelStationId;

    @ApiModelProperty(value = "上级站点编号")
    @Column(value = "higher_level_station_code")
    private String higherLevelStationCode;

    @ApiModelProperty(value = "上级站点名称")
    @Column(value = "higher_level_station_name")
    private String higherLevelStationName;

    @ApiModelProperty(value = "站点级别 数据字典STATION_LEVEL:1,2,3,4,5")
    @Column(value = "level")
    private Integer level;

    @ApiModelProperty(value = "站点区域")
    @Column(value = "areas")
    private String areas;

    @ApiModelProperty(value = "站点-行政区域")
    @Column(value = "administrative_areas")
    private String administrativeAreas;

    @ApiModelProperty(value = "备注")
    @Column(value = "memo")
    private String memo;

    @ApiModelProperty(value = "状态 数据字典MAINDATA_STATUS: 0停用 10启用")
    @Column(value = "status")
    private Integer status;

    @ApiModelProperty(value = "来源  数据字典SOURCE：1.新增 2.excel导入 3.接口导入")
    @Column(value = "source")
    private Integer source;

    @ApiModelProperty(value = "导入批次号")
    @Column(value = "import_batch_number")
    private String importBatchNumber;

    @ApiModelProperty(value = "所属组织ID")
    @Column(value = "organization_id")
    private Long organizationId;

    @ApiModelProperty(value = "所属组织编码")
    @Column(value = "organization_code")
    private String organizationCode;

    @ApiModelProperty(value = "所属组织名称")
    @Column(value = "organization_name")
    private String organizationName;

    @ApiModelProperty(value = "所属部门ID")
    @Column(value = "department_id")
    private String departmentId;

    @ApiModelProperty(value = "所属部门编码")
    @Column(value = "department_code")
    private String departmentCode;

    @ApiModelProperty(value = "所属部门名称")
    @Column(value = "department_name")
    private String departmentName;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "字符扩展1")
    @Column(value = "ext_str1")
    private String extStr1;

    @ApiModelProperty(value = "字符扩展2")
    @Column(value = "ext_str2")
    private String extStr2;

    @ApiModelProperty(value = "字符扩展3")
    @Column(value = "ext_str3")
    private String extStr3;

    @ApiModelProperty(value = "字符扩展4")
    @Column(value = "ext_str4")
    private String extStr4;

    @ApiModelProperty(value = "字符扩展5")
    @Column(value = "ext_str5")
    private String extStr5;

    @ApiModelProperty(value = "数值属性扩展1")
    @Column(value = "ext_num1")
    private BigDecimal extNum1;

    @ApiModelProperty(value = "数值属性扩展2")
    @Column(value = "ext_num2")
    private BigDecimal extNum2;

    @ApiModelProperty(value = "数值属性扩展3")
    @Column(value = "ext_num3")
    private BigDecimal extNum3;

    @ApiModelProperty(value = "数值属性扩展4")
    @Column(value = "ext_num4")
    private BigDecimal extNum4;

    @ApiModelProperty(value = "数值属性扩展5")
    @Column(value = "ext_num5")
    private BigDecimal extNum5;

    @ApiModelProperty(value = "日期属性扩展1")
    @Column(value = "ext_date1")
    private Date extDate1;

    @ApiModelProperty(value = "日期属性扩展2")
    @Column(value = "ext_date2")
    private Date extDate2;

    @ApiModelProperty(value = "日期属性扩展3")
    @Column(value = "ext_date3")
    private Date extDate3;

    @ApiModelProperty(value = "日期属性扩展4")
    @Column(value = "ext_date4")
    private Date extDate4;

    @ApiModelProperty(value = "日期属性扩展5")
    @Column(value = "ext_date5")
    private Date extDate5;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

    @ApiModelProperty(value = "站点-上级行政区域")
    @Column(value = "administrative_areas_father")
    private String administrativeAreasFather;

}
