package com.prolog.rdc.tms.model.entity;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 *
 * 承运方配置条件表model
 *
 *
 * @className: TmsCarrierConfigCtModel
 * @author: kh
 * @creationTime: 2022-01-19 09:39:31
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table("tms_carrier_config_ct")
public class TmsCarrierConfigCtModel implements Serializable {
    private static final long serialVersionUID = -76230084741636320L;

    @Id
    @ApiModelProperty(value = "ID 主键")
    @Column(value = "id")
    private Long id;
    
    @ApiModelProperty(value = "承运方配置ID")
    @Column(value = "config_id")
    private Long configId;
    
    @ApiModelProperty(value = "承运方配置条件类型 数据字典 STRATEGY_CONDITION_TYPE 1配送方式 2发货方类型 3收货方类型 4订单类型 5订单业务类型 6运输模式 7温度要求 8货主 9部门")
    @Column(value = "config_condition_type")
    private Integer configConditionType;

    @ApiModelProperty(value = "承运方配置条件对应的值 配置条件是订单类型 1普通 2紧急 3加急 配置条件是订单业务类型 1销售订单-直送 2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提 配置条件是配送方式 ：1配送 2自提 配置条件是运输模式：1整车 2零担")
    @Column(value = "config_condition_value")
    private Integer configConditionValue;
    
    @ApiModelProperty(value = "单位ID  单位ID1,单位ID2")
    @Column(value = "unit_id")
    private String unitId;
    
    @ApiModelProperty(value = "单位编码  单位编码1,单位编码2")
    @Column(value = "unit_code")
    private String unitCode;
    
    @ApiModelProperty(value = "单位名称  单位名称1,单位名称2")
    @Column(value = "unit_name")
    private String unitName;
    
    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;
    
    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;
    
    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;
    
    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;
    
    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;
    
    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

}
