package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 承运方匹配策略表model
 *
 *
 * @className: TmsCarrierMthStyModel
 * @author: kh
 * @creationTime: 2022-01-19 09:39:31
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table("tms_carrier_match_strategy")
public class TmsCarrierMthStyModel implements Serializable {
	private static final long serialVersionUID = -27657510952338194L;

	@Id
	@ApiModelProperty(value = "策略ID")
	@Column(value = "id")
	private Long id;

	@ApiModelProperty(value = "策略名称")
	@Column(value = "name")
	private String name;

	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;

	@ApiModelProperty(value = "按照客户匹配承运方顺序")
	@Column(value = "match_type_customer")
	private Integer matchTypeCustomer;

	@ApiModelProperty(value = "按照线路匹配承运方顺序")
	@Column(value = "match_type_line_consignor")
	private Integer matchTypeLineConsignor;

	@ApiModelProperty(value = "按照承运方匹配策略")
	@Column(value = "match_type_carrier")
	private Integer matchTypeCarrier;

	@ApiModelProperty(value = "按照重量匹配策略")
	@Column(value = "match_type_weight")
	private Integer matchTypeWeight;

	@ApiModelProperty(value = "按照体积匹配策略")
	@Column(value = "match_type_volume")
	private Integer matchTypeVolume;

	@ApiModelProperty(value = "按照重量体积匹配策略")
	@Column(value = "match_type_weight_volume")
	private Integer matchTypeWeightVolume;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "状态 数据字典GENERAL_STATUS:0停用 10启用")
	@Column(value = "status")
	private Integer status;

}
