package com.prolog.rdc.tms.model.entity;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
* GPS表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-02-03 10:17:22
*/
@Data
@Table(value = "tms_gps_data")
public class TmsGpsDataModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "类型 2车辆")
    @Column(value = "type")
    private Integer type;

    @ApiModelProperty(value = "设备ID")
    @Column(value = "device_id")
    private Long deviceId;

    @ApiModelProperty(value = "设备编码")
    @Column(value = "device_code")
    private String deviceCode;

    @ApiModelProperty(value = "设备名称  ")
    @Column(value = "device_name")
    private String deviceName;

    @ApiModelProperty(value = "车辆ID")
    @Column(value = "vehicle_id")
    private Long vehicleId;

    @ApiModelProperty(value = "车辆编码")
    @Column(value = "vehicle_code")
    private String vehicleCode;

    @ApiModelProperty(value = "车牌号")
    @Column(value = "vehicle_plate_number")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "司机ID")
    @Column(value = "driver_id")
    private Long driverId;

    @ApiModelProperty(value = "司机编号")
    @Column(value = "driver_code")
    private String driverCode;

    @ApiModelProperty(value = "司机名称")
    @Column(value = "driver_name")
    private String driverName;

    @ApiModelProperty(value = "司机手机号")
    @Column(value = "driver_phone_number")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "经度")
    @Column(value = "longitude")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    @Column(value = "latitude")
    private BigDecimal latitude;

    @ApiModelProperty(value = "定位时间")
    @Column(value = "gps_date")
    private Date gpsDate;

    @ApiModelProperty(value = "定位的高程值(默认0)")
    @Column(value = "location_height")
    private BigDecimal locationHeight;

    @ApiModelProperty(value = "空间参考 默认4326")
    @Column(value = "spatial_reference")
    private String spatialReference;

    @ApiModelProperty(value = "水平速度 默认0")
    @Column(value = "horizontal_velocity")
    private BigDecimal horizontalVelocity;

    @ApiModelProperty(value = "垂直速度 默认0")
    @Column(value = "vertical_velocity")
    private BigDecimal verticalVelocity;

    @ApiModelProperty(value = "车辆当前速度 默认0")
    @Column(value = "current_velocity")
    private BigDecimal currentVelocity;

    @ApiModelProperty(value = "车辆当前的方向 取值为0-360 度之间，没有方向也需要填充0")
    @Column(value = "vehicle_direction")
    private BigDecimal vehicleDirection;

    @ApiModelProperty(value = "定位质量 默认10即可")
    @Column(value = "positioning_quality")
    private String positioningQuality;

    @ApiModelProperty(value = "定位状态 默认1即可")
    @Column(value = "positioning_status")
    private String positioningStatus;

    @ApiModelProperty(value = "数据提供方 公司名称缩写或名称")
    @Column(value = "data_provider")
    private String dataProvider;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

    @ApiModelProperty(value = "来源")
    @Column(value = "source_type")
    private String sourceType;

    @ApiModelProperty(value = "来源id")
    @Column(value = "source_id")
    private String sourceId;

}
