package com.prolog.rdc.tms.model.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * 线路匹配策略表model
 *
 *
 * @className: TmsLineMthStyModel
 * @author: kh
 * @creationTime: 2022-01-19 09:39:31
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table("tms_line_match_strategy")
public class TmsLineMthStyModel implements Serializable {
	private static final long serialVersionUID = -27657510952338194L;

	@Id
	@ApiModelProperty(value = "策略ID")
	@Column(value = "id")
	private Long id;

	@ApiModelProperty(value = "策略名称")
	@Column(value = "name")
	private String name;

	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;

	@ApiModelProperty(value = "按行政区域-行政区域顺序")
	@Column(value = "admin_to_admin")
	private Integer adminToAdmin;

	@ApiModelProperty(value = "按行政区域-收货方顺序")
	@Column(value = "admin_to_consignor")
	private Integer adminToConsignor;

	@ApiModelProperty(value = "按仓库-行政区域顺序")
	@Column(value = "branch_to_admin")
	private Integer branchToAdmin;

	@ApiModelProperty(value = "按仓库-收货方顺序")
	@Column(value = "branch_to_consignor")
	private Integer branchToConsignor;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "状态 数据字典GENERAL_STATUS:0停用 10启用")
	@Column(value = "status")
	private Integer status;

}
