package com.prolog.rdc.tms.model.entity;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 业务规则策略
 *
 * @author zhangsj
 * @since 2022-07-16 09:32:10
 */
@Data
@Table("tms_strategy_business_rule")
public class TmsStrategyBusinessModel implements Serializable {
    private static final long serialVersionUID = 567587795280633941L;

    @Id
    @ApiModelProperty(value = "主键")
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "业务规则策略名称")
    @Column(value = "name")
    private String name;

    @ApiModelProperty(value = "配送方式是否勾选 0否 1是")
    @Column(value = "delivery_method_select")
    private Integer deliveryMethodSelect;

    @ApiModelProperty(value = "配送方式 数据字典DELIVERY_METHOD_TYPE：1配送 2自提")
    @Column(value = "delivery_method_type")
    private Integer deliveryMethodType;

    @ApiModelProperty(value = "申请数量是否勾选 0否 1是")
    @Column(value = "apply_pcs_select")
    private Integer applyPcsSelect;

    @ApiModelProperty(value = "输入申请数量 数据字典PROCESS_ENABLE：0否 10是")
    @Column(value = "apply_pcs_enable")
    private Integer applyPcsEnable;

    @ApiModelProperty(value = "库存校验是否选择  0否 1是")
    @Column(value = "inventory_check_select")
    private Integer inventoryCheckSelect;

    @ApiModelProperty(value = "库存校验 数据字典PROCESS_ENABLE：0否 10是")
    @Column(value = "inventory_check_enable")
    private Integer inventoryCheckEnable;

    @ApiModelProperty(value = "输入启运温度是否选择  0否 1是")
    @Column(value = "departure_temperature_select")
    private Integer departureTemperatureSelect;

    @ApiModelProperty(value = "输入启运温度 数据字典PROCESS_ENABLE：0否 10是")
    @Column(value = "departure_temperature_enable")
    private Integer departureTemperatureEnable;

    @ApiModelProperty(value = "输入送达温度是否选择  0否 1是")
    @Column(value = "delivery_temperature_select")
    private Integer deliveryTemperatureSelect;

    @ApiModelProperty(value = "输入送达温度 数据字典PROCESS_ENABLE：0否 10是")
    @Column(value = "delivery_temperature_enable")
    private Integer deliveryTemperatureEnable;

    @ApiModelProperty(value = "回单图片是否选择  0否 1是")
    @Column(value = "rtn_order_pic_select")
    private Integer rtnOrderPicSelect;

    @ApiModelProperty(value = "回单图片 0否 1是")
    @Column(value = "rtn_order_pic_enable")
    private Integer rtnOrderPicEnable;

    @ApiModelProperty(value = "正本回单是否选择  0否 1是")
    @Column(value = "rtn_order_paper_select")
    private Integer rtnOrderPaperSelect;

    @ApiModelProperty(value = "正本回单：0否 1是")
    @Column(value = "rtn_order_paper_enable")
    private Integer rtnOrderPaperEnable;

    @ApiModelProperty(value = "回单期限是否选择  0否 1是")
    @Column(value = "rtn_order_deadline_select")
    private Integer rtnOrderDeadlineSelect;

    @ApiModelProperty(value = "回单期限")
    @Column(value = "rtn_order_deadline")
    private Integer rtnOrderDeadline;

    @ApiModelProperty(value = "配送方向是否选择  0否 1是")
    @Column(value = "delivery_direction_select")
    private Integer deliveryDirectionSelect;

    @ApiModelProperty(value = "配送方向 数据字典LINE_DIRECTION：10正向 20逆向")
    @Column(value = "delivery_direction")
    private Integer deliveryDirection;

    @ApiModelProperty(value = "记录标记是否选择  0否 1是")
    @Column(value = "record_tag_select")
    private Integer recordTagSelect;

    @ApiModelProperty(value = "记录标记语")
    @Column(value = "record_tag_word")
    private String recordTagWord;

    @ApiModelProperty(value = "颜色标记是否选择  0否 1是")
    @Column(value = "color_tag_select")
    private Integer colorTagSelect;

    @ApiModelProperty(value = "颜色标记 底纹背景颜色")
    @Column(value = "color_tag_bgd_color")
    private String colorTagBgdColor;

    @ApiModelProperty(value = "颜色标记 字体颜色")
    @Column(value = "color_tag_font_color")
    private String colorTagFontColor;

    @ApiModelProperty(value = "状态 数据字典GENERAL_STATUS:0停用 10启用")
    @Column(value = "status")
    private Integer status;

    @ApiModelProperty(value = "策略优先级")
    @Column(value = "priority_level")
    private Integer priorityLevel;

    @ApiModelProperty(value = "备注")
    @Column(value = "memo")
    private String memo;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

    @ApiModelProperty(value = "价格表省市区匹配方式是否勾选 0否 1是")
    @Column(value = "PRICE_PCD_MATCH_TYPE_SELECT")
    private Integer pricePcdMatchTypeSelect;

    @ApiModelProperty(value = "数据字典PRICE_PCD_MATCH_TYPE 1.省市区精确匹配 2.省市区向上匹配 3.省市区向上匹配,未匹配到忽略省市区 4.忽略省市区作为匹配条件")
    @Column(value = "PRICE_PCD_MATCH_TYPE")
    private Integer pricePcdMatchType;


    @ApiModelProperty(value = "输入超限提交日期是否选择  0否 1是")
    @Column(value = "transfinite_cmt_dt_select")
    private Integer transfiniteCmtDtSelect;

    @ApiModelProperty(value = "输入超限提交日期 数据字典PROCESS_ENABLE：0否 10是")
    @Column(value = "transfinite_cmt_dt_enable")
    private Integer transfiniteCmtDtEnable;

    @ApiModelProperty(value = "输入超限说明是否选择  0否 1是")
    @Column(value = "transfinite_description_select")
    private Integer transfiniteDescriptionSelect;

    @ApiModelProperty(value = "输入超限说明 数据字典PROCESS_ENABLE：0否 10是")
    @Column(value = "transfinite_description_enable")
    private Integer transfiniteDescriptionEnable;

    @ApiModelProperty(value = "承运商上传超限证是否选择  0否 1是")
    @Column(value = "carrier_upload_transfinite_select")
    private Integer carrierUploadTransfiniteSelect;

    @ApiModelProperty(value = "承运商上传超限证 数据字典PROCESS_ENABLE：0否 10是")
    @Column(value = "carrier_upload_transfinite_enable")
    private Integer carrierUploadTransfiniteEnable;

    @ApiModelProperty(value = "输入装车地点是否选择  0否 1是")
    @Column(value = "loading_location_select")
    private Integer loadingLocationSelect;

    @ApiModelProperty(value = "输入装车地点 数据字典PROCESS_ENABLE：0否 10是")
    @Column(value = "loading_location_enable")
    private Integer loadingLocationEnable;

}
