package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运单拆分策略条件表(TmsStrategySplitCondition)Model
 *
 * @author zhangsj
 * @since 2022-07-16 09:32:12
 */
@Data
@Table("tms_strategy_split_condition")
public class TmsStrategySplitCnModel implements Serializable {
    private static final long serialVersionUID = -68464081548099497L;

    @Id
    @ApiModelProperty(value = "主键")
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "拆分策略ID")
    @Column(value = "strategy_id")
    private Long strategyId;

    @ApiModelProperty(value = "承运方策略条件类型 数据字典 STRATEGY_CONDITION_TYPE 1订单类型 2订单业务类型3配送方式 4运输模式 5仓库6客户7供应商")
    @Column(value = "strategy_condition_type")
    private Integer strategyConditionType;

    @ApiModelProperty(value = "承运方策略条件对应的值" +
            "策略条件是订单类型 1普通 2紧急 3加急" +
            "策略条件是订单业务类型 1销售订单-直送 2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提" +
            "策略条件是配送方式 ：1配送 2自提 " +
            "策略条件是运输模式：1整车 2零担")
    @Column(value = "strategy_condition_value")
    private Integer strategyConditionValue;

    @ApiModelProperty(value = "单位ID  单位ID1,单位ID2")
    @Column(value = "unit_id")
    private String unitId;

    @ApiModelProperty(value = "单位编码  单位编码1,单位编码2")
    @Column(value = "unit_code")
    private String unitCode;

    @ApiModelProperty(value = "单位名称  单位名称1,单位名称2")
    @Column(value = "unit_name")
    private String unitName;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;
}
