package com.prolog.rdc.tms.model.entity;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 运单中转策略TmsStrategyTransferModel
 *
 * @author zhangsj
 * @since 2022-07-16 09:32:10
 */
@Data
@Table("tms_strategy_transfer")
public class TmsStrategyTransferModel implements Serializable {
    private static final long serialVersionUID = 567587795280633941L;

    @Id
    @ApiModelProperty(value = "主键")
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "中转策略名称")
    @Column(value = "name")
    private String name;

    @ApiModelProperty(value = "收货方单位ID")
    @Column(value = "consignee_unit_id")
    private Long consigneeUnitId;

    @ApiModelProperty(value = "收货方单位编码")
    @Column(value = "consignee_unit_code")
    private String consigneeUnitCode;

    @ApiModelProperty(value = "收货方单位名称")
    @Column(value = "consignee_unit_name")
    private String consigneeUnitName;

    @ApiModelProperty(value = "收货方ID")
    @Column(value = "consignee_id")
    private Long consigneeId;

    @ApiModelProperty(value = "收货方编码")
    @Column(value = "consignee_code")
    private String consigneeCode;

    @ApiModelProperty(value = "收货方名称")
    @Column(value = "consignee_name")
    private String consigneeName;

    @ApiModelProperty(value = "中转后是否重新匹配线路 数据字典 REMATCH_LINE :0否 1是")
    @Column(value = "rematch_line")
    private Integer rematchLine;

    @ApiModelProperty(value = "状态 数据字典GENERAL_STATUS:0停用 10启用")
    @Column(value = "status")
    private Integer status;

    @ApiModelProperty(value = "备注")
    @Column(value = "memo")
    private String memo;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

}
