package com.prolog.rdc.tms.model.entity;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 中转匹配策略中转站TmsStrategyTransferStationModel
 *
 * @author zhangsj
 * @since 2022-07-16 09:32:10
 */
@Data
@Table("tms_strategy_transfer_station")
public class TmsStrategyTransferStationModel implements Serializable {
    private static final long serialVersionUID = 567587795280633941L;

    @Id
    @ApiModelProperty(value = "主键")
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "中转策略ID")
    @Column(value = "strategy_id")
    private Long strategyId;

    @ApiModelProperty(value = "中转站ID")
    @Column(value = "transfer_station_id")
    private Long transferStationId;

    @ApiModelProperty(value = "中转站编码")
    @Column(value = "transfer_station_code")
    private String transferStationCode;

    @ApiModelProperty(value = "中转站名称")
    @Column(value = "transfer_station_name")
    private String transferStationName;

    @ApiModelProperty(value = "中转站顺序")
    @Column(value = "transfer_order")
    private Integer transferOrder;

    @ApiModelProperty(value = "预计到达开始时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    @Column(value = "delivery_start_time_type")
    private Integer deliveryStartTimeType;

    @ApiModelProperty(value = "预计到达开始时间_小时")
    @Column(value = "delivery_start_time_hour")
    private Integer deliveryStartTimeHour;

    @ApiModelProperty(value = "预计到达开始时间_分钟")
    @Column(value = "delivery_start_time_minute")
    private Integer deliveryStartTimeMinute;

    @ApiModelProperty(value = "预计到达结束时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    @Column(value = "delivery_end_time_type")
    private Integer deliveryEndTimeType;

    @ApiModelProperty(value = "预计到达结束时间_天")
    @Column(value = "delivery_end_time_day")
    private Integer deliveryEndTimeDay;

    @ApiModelProperty(value = "预计到达结束时间_小时")
    @Column(value = "delivery_end_time_hour")
    private Integer deliveryEndTimeHour;

    @ApiModelProperty(value = "预计到达结束时间_分钟")
    @Column(value = "delivery_end_time_minute")
    private Integer deliveryEndTimeMinute;

    @ApiModelProperty(value = "预计发出开始时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    @Column(value = "send_start_time_type")
    private Integer sendStartTimeType;

    @ApiModelProperty(value = "预计发出开始时间_小时")
    @Column(value = "send_start_time_hour")
    private Integer sendStartTimeHour;

    @ApiModelProperty(value = "预计发出开始时间_分钟")
    @Column(value = "send_start_time_minute")
    private Integer sendStartTimeMinute;

    @ApiModelProperty(value = "预计发出结束时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    @Column(value = "send_end_time_type")
    private Integer sendEndTimeType;

    @ApiModelProperty(value = "预计发出结束时间_天")
    @Column(value = "send_end_time_day")
    private Integer sendEndTimeDay;

    @ApiModelProperty(value = "预计发出结束时间_小时")
    @Column(value = "send_end_time_hour")
    private Integer sendEndTimeDayHour;

    @ApiModelProperty(value = "预计发出结束时间_分钟")
    @Column(value = "send_end_time_minute")
    private Integer sendEndTimeDayMinute;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

}
