package com.prolog.rdc.tms.model.entity.gps;

import java.math.BigDecimal;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
* GPS表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-03-23 13:37:33
*/
@Data
@Table(value = "tms_gps_data_e6")
public class TmsGpsDataE6 implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "车牌号")
    @Column(value = "vehicle")
    private String vehicle;

    @ApiModelProperty(value = "定位时间")
    @Column(value = "gps_time")
    private Date gpsTime;

    @ApiModelProperty(value = "经度")
    @Column(value = "lon")
    private BigDecimal lon;

    @ApiModelProperty(value = "纬度")
    @Column(value = "lat")
    private BigDecimal lat;

    @ApiModelProperty(value = "速度，km/h")
    @Column(value = "speed")
    private BigDecimal speed;

    @ApiModelProperty(value = "车头方向0-360(0为正北 顺时针递加)")
    @Column(value = "direction")
    private BigDecimal direction;

    @ApiModelProperty(value = "车辆位置")
    @Column(value = "place_name")
    private String placeName;

    @ApiModelProperty(value = "设备编号")
    @Column(value = "equip_code")
    private String equipCode;

    @ApiModelProperty(value = "根据参数isoffsetlonlat返回的经度")
    @Column(value = "lon2")
    private BigDecimal lon2;

    @ApiModelProperty(value = "根据参数isoffsetlonlat返回的纬度")
    @Column(value = "lat2")
    private BigDecimal lat2;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;





}
