package com.prolog.rdc.tms.model.entity.gps;

import java.math.BigDecimal;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
* GPS表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-03-23 13:37:33
*/
@Data
@Table(value = "tms_gps_data_g7")
public class TmsGpsDataG7 implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "车牌号")
    @Column(value = "vehicle_plate_number")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "经度")
    @Column(value = "longitude")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    @Column(value = "latitude")
    private BigDecimal latitude;

    @ApiModelProperty(value = "速度，km/h")
    @Column(value = "speed")
    private BigDecimal speed;

    @ApiModelProperty(value = "方向角(°)，360度，正北为0")
    @Column(value = "course")
    private BigDecimal course;

    @ApiModelProperty(value = "定位时间")
    @Column(value = "time")
    private Date time;

    @ApiModelProperty(value = "两个相邻经纬度点的距离")
    @Column(value = "distance")
    private BigDecimal distance;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

}
