package com.prolog.rdc.tms.model.entity.gps;

import java.math.BigDecimal;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
* GPS表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-03-23 13:37:33
*/
@Data
@Table(value = "tms_temperature_data_e6")
public class TmsTemperatureDataE6 implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "车牌号")
    @Column(value = "vehicle")
    private String vehicle;

    @ApiModelProperty(value = "温度采集时间")
    @Column(value = "gps_time")
    private Date gpsTime;

    @ApiModelProperty(value = "纬度")
    @Column(value = "lat")
    private BigDecimal lat;

    @ApiModelProperty(value = "经度")
    @Column(value = "lon")
    private BigDecimal lon;

    @ApiModelProperty(value = "温度")
    @Column(value = "temperature")
    private BigDecimal temperature;

    @ApiModelProperty(value = "温度2")
    @Column(value = "temperature2")
    private BigDecimal temperature2;

    @ApiModelProperty(value = "温度3")
    @Column(value = "temperature3")
    private BigDecimal temperature3;

    @ApiModelProperty(value = "温度4")
    @Column(value = "temperature4")
    private BigDecimal temperature4;

    @ApiModelProperty(value = "冷机状态")
    @Column(value = "cold_status")
    private String coldStatus;

    @ApiModelProperty(value = "门状态")
    @Column(value = "door_sta")
    private String doorSta;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

}
