package com.prolog.rdc.tms.model.entity.gps;

import java.math.BigDecimal;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
* GPS表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-03-23 13:37:33
*/
@Data
@Table(value = "tms_temperature_data_g7")
public class TmsTemperatureDataG7 implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "")
    @Column(value = "truck_id")
    private String truckId;

    @ApiModelProperty(value = "")
    @Column(value = "org_code")
    private String orgCode;

    @ApiModelProperty(value = "车牌号")
    @Column(value = "car_num")
    private String carNum;

    @ApiModelProperty(value = "设备号")
    @Column(value = "gps_no")
    private String gpsNo;

    @ApiModelProperty(value = "温度")
    @Column(value = "temperature")
    private BigDecimal temperature;

    @ApiModelProperty(value = "湿度")
    @Column(value = "humidity")
    private BigDecimal humidity;

    @ApiModelProperty(value = "经度")
    @Column(value = "longitude")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    @Column(value = "latitude")
    private BigDecimal latitude;

    @ApiModelProperty(value = "")
    @Column(value = "cold_chain_type")
    private BigDecimal coldChainType;

    @ApiModelProperty(value = "温度采集时间")
    @Column(value = "time")
    private Date time;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;





}
