package com.prolog.rdc.tms.model.entity.gps;

import java.math.BigDecimal;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
* GPS表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-03-23 13:37:33
*/
@Data
@Table(value = "tms_vehicle_alarm")
public class TmsVehicleAlarm implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "车牌号")
    @Column(value = "vehicle_plate_number")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "设备号")
    @Column(value = "device_code")
    private String deviceCode;

    @ApiModelProperty(value = "报警类型")
    @Column(value = "alarm_type")
    private String alarmType;

    @ApiModelProperty(value = "开始时间")
    @Column(value = "start_time")
    private Date startTime;

    @ApiModelProperty(value = "开始位置")
    @Column(value = "start_placename")
    private String startPlacename;

    @ApiModelProperty(value = "结束时间")
    @Column(value = "end_time")
    private Date endTime;

    @ApiModelProperty(value = "结束位置")
    @Column(value = "end_placename")
    private String endPlacename;

    @ApiModelProperty(value = "报警内容")
    @Column(value = "alarm_content")
    private String alarmContent;

    @ApiModelProperty(value = "持续时长(秒)")
    @Column(value = "duration")
    private BigDecimal duration;

    @ApiModelProperty(value = "开始位置维度")
    @Column(value = "start_lat")
    private BigDecimal startLat;

    @ApiModelProperty(value = "开始位置经度")
    @Column(value = "start_lon")
    private BigDecimal startLon;

    @ApiModelProperty(value = "结束位置维度")
    @Column(value = "end_lat")
    private BigDecimal endLat;

    @ApiModelProperty(value = "结束位置经度")
    @Column(value = "end_lon")
    private BigDecimal endLon;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

    @ApiModelProperty(value = "来源")
    @Column(value = "source_type")
    private String sourceType;

    @ApiModelProperty(value = "来源id")
    @Column(value = "source_id")
    private String sourceId;

    @ApiModelProperty(value = "装车单ID")
    @Column(value = "loading_bill_id")
    private String loadingBillId;

    @ApiModelProperty(value = "运单ID")
    @Column(value = "shipbill_id")
    private String shipbillId;

}
