package com.prolog.rdc.tms.model.entity.gps;

import java.math.BigDecimal;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
* GPS表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-03-23 13:37:33
*/
@Data
@Table(value = "tms_vehicle_alarm_e6")
public class TmsVehicleAlarmE6 implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "车牌号")
    @Column(value = "vehicle")
    private String vehicle;

    @ApiModelProperty(value = "报警类型")
    @Column(value = "alarm_type")
    private String alarmType;

    @ApiModelProperty(value = "开始时间")
    @Column(value = "b_time")
    private Date bTime;

    @ApiModelProperty(value = "开始位置")
    @Column(value = "b_placename")
    private String bPlacename;

    @ApiModelProperty(value = "结束时间")
    @Column(value = "e_time")
    private Date eTime;

    @ApiModelProperty(value = "结束位置")
    @Column(value = "e_placename")
    private String ePlacename;

    @ApiModelProperty(value = "报警内容")
    @Column(value = "alarm_content")
    private String alarmContent;

    @ApiModelProperty(value = "持续时长(秒)")
    @Column(value = "duration")
    private BigDecimal duration;

    @ApiModelProperty(value = "所属部门")
    @Column(value = "org_name")
    private String orgName;

    @ApiModelProperty(value = "开始位置维度")
    @Column(value = "b_lat")
    private BigDecimal bLat;

    @ApiModelProperty(value = "开始位置经度")
    @Column(value = "b_lon")
    private BigDecimal bLon;

    @ApiModelProperty(value = "结束位置维度")
    @Column(value = "e_lat")
    private BigDecimal eLat;

    @ApiModelProperty(value = "结束位置经度")
    @Column(value = "e_lon")
    private BigDecimal eLon;

    @ApiModelProperty(value = "处理方式(0:未处理，1:已处理，2:已忽略)")
    @Column(value = "handle_type")
    private String handleType;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;





}
