package com.prolog.rdc.tms.model.entity.gps;

import java.math.BigDecimal;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
* GPS表 Model
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-03-23 13:37:33
*/
@Data
@Table(value = "tms_vehicle_alarm_g7")
public class TmsVehicleAlarmG7 implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "G7的车辆id")
    @Column(value = "truck_id")
    private String truckId;

    @ApiModelProperty(value = "")
    @Column(value = "org_code")
    private String orgCode;

    @ApiModelProperty(value = "车牌号")
    @Column(value = "vehicle_plate_number")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "设备号")
    @Column(value = "device_code")
    private String deviceCode;

    @ApiModelProperty(value = "设备类型,0:固定式,1:便携式")
    @Column(value = "device_type")
    private BigDecimal deviceType;

    @ApiModelProperty(value = "探头名称")
    @Column(value = "probe_name")
    private String probeName;

    @ApiModelProperty(value = "警报类型: 1 低温预警, 2 低温报警, 3 高温预警,")
    @Column(value = "alarm_type")
    private BigDecimal alarmType;

    @ApiModelProperty(value = "报警温度")
    @Column(value = "temperature")
    private BigDecimal temperature;

    @ApiModelProperty(value = "警戒温度 (设置温度范围)")
    @Column(value = "temperature_setting")
    private String temperatureSetting;

    @ApiModelProperty(value = "报警开始时间")
    @Column(value = "start_time")
    private Date startTime;

    @ApiModelProperty(value = "报警结束时间")
    @Column(value = "end_time")
    private Date endTime;

    @ApiModelProperty(value = "持续时间(秒)")
    @Column(value = "diff_time")
    private String diffTime;

    @ApiModelProperty(value = "开始纬度")
    @Column(value = "start_lat")
    private BigDecimal startLat;

    @ApiModelProperty(value = "开始经度")
    @Column(value = "start_lng")
    private BigDecimal startLng;

    @ApiModelProperty(value = "结束纬度")
    @Column(value = "end_lat")
    private BigDecimal endLat;

    @ApiModelProperty(value = "结束经度")
    @Column(value = "end_lng")
    private BigDecimal endLng;

    @ApiModelProperty(value = "车速")
    @Column(value = "speed")
    private BigDecimal speed;

    @ApiModelProperty(value = "冷机状态 0:关 1:开")
    @Column(value = "cold_status")
    private BigDecimal coldStatus;

    @ApiModelProperty(value = "结束标志 0:未结束 1:结束")
    @Column(value = "end")
    private BigDecimal end;

    @ApiModelProperty(value = "引擎状态")
    @Column(value = "acc")
    private BigDecimal acc;

    @ApiModelProperty(value = "压缩机状态")
    @Column(value = "compressor")
    private BigDecimal compressor;

    @ApiModelProperty(value = "门磁状态")
    @Column(value = "door")
    private BigDecimal door;

    @ApiModelProperty(value = "电量")
    @Column(value = "elec_value")
    private BigDecimal elecValue;

    @ApiModelProperty(value = "开始湿度")
    @Column(value = "start_humidity")
    private BigDecimal startHumidity;

    @ApiModelProperty(value = "开始纬度")
    @Column(value = "end_humidity")
    private BigDecimal endHumidity;

    @ApiModelProperty(value = "最高温度")
    @Column(value = "max_temperature")
    private BigDecimal maxTemperature;

    @ApiModelProperty(value = "最低温度")
    @Column(value = "lowest_temperature")
    private BigDecimal lowestTemperature;

    @ApiModelProperty(value = "平均温度")
    @Column(value = "average_temperature")
    private BigDecimal averageTemperature;

    @ApiModelProperty(value = "报警等级")
    @Column(value = "alarm_level")
    private BigDecimal alarmLevel;

    @ApiModelProperty(value = "处理标志")
    @Column(value = "mark")
    private BigDecimal mark;

    @ApiModelProperty(value = "处理方式")
    @Column(value = "processing_mode")
    private BigDecimal processingMode;

    @ApiModelProperty(value = "处理人")
    @Column(value = "handler")
    private String handler;

    @ApiModelProperty(value = "备注")
    @Column(value = "handle_time")
    private String handleTime;

    @ApiModelProperty(value = "0.未处置 1.已及时整改 2.拒不整改")
    @Column(value = "handle_result")
    private String handleResult;

    @ApiModelProperty(value = "报警处置说明：电话、短信、系统错误")
    @Column(value = "handle_content")
    private String handleContent;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;
}
