package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 打印配置
 */

@Data
@Table(value = "sys_printer_configuration")
public class PrinterConfiguration implements Serializable {

	private static final long serialVersionUID = -818423449694954586L;

	@ApiModelProperty(value = "id")
	@Id
	@Column(value = "id")
	private Long id;

	@ApiModelProperty(value = "打印机名称")
	@Column(value = "printer_name")
	private String printerName;

	@ApiModelProperty(value = "打印机编码")
	@Column(value = "printer_code")
	private String printerCode;

	@ApiModelProperty(value = "id地址")
	@Column(value = "ip")
	private String ip;

	@ApiModelProperty(value = "打印机类型")
	@Column(value = "printer_type")
	private String printerType;

	@ApiModelProperty(value = "打印机状态")
	@Column(value = "printer_status")
	private String printerStatus;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "warehouse_id")
	private Long warehouseId;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "warehouse_code")
	private String warehouseCode;

	@ApiModelProperty(value = "仓库名称")
	@Column(value = "warehouse_name")
	private String warehouseName;

	@ApiModelProperty(value = "备注")
	@Column(value = "remark")
	private String remark;

	@ApiModelProperty(value = "备注")
	@Column(value = "version")
	private int version;

	@ApiModelProperty(value = "0 未删除，1 已删除")
	@Column(value = "deleted_flag")
	private int deletedFlag;

	@ApiModelProperty(value = "创建人")
	@Column(value = "created_by")
	private String createdBy;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "created_date")
	private Date createdDate;

	@ApiModelProperty(value = "最后修改人")
	@Column(value = "last_modified_by")
	private String lastModifiedBy;

	@ApiModelProperty(value = "最后修改时间")
	@Column(value = "last_modified_date")
	private Date lastModifiedDate;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str4")
	private String attrStr4;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str5")
	private String attrStr5;
}