package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 打印路由
 */

@Data
@Table(value = "sys_printer_route")
public class PrinterRoute implements Serializable {

	private static final long serialVersionUID = -2151717886134722802L;

	@ApiModelProperty(value = "id")
	@Id
	@Column(value = "id")
	private Long id;

	@ApiModelProperty(value = "员工号")
	@Column(value = "employee_id")
	private String employeeId;

	@ApiModelProperty(value = "路由名称")
	@Column(value = "route_name")
	private String routeName;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "warehouse_id")
	private Long warehouseId;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "warehouse_code")
	private String warehouseCode;

	@ApiModelProperty(value = "仓库名称")
	@Column(value = "warehouse_name")
	private String warehouseName;

	@ApiModelProperty(value = "打印机名称")
	@Column(value = "printer_name")
	private String printerName;

	@ApiModelProperty(value = "打印机ID")
	@Column(value = "printer_id")
	private Long printerId;

	@ApiModelProperty(value = "状态")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "备注")
	@Column(value = "remark")
	private String remark;

	@ApiModelProperty(value = "备注")
	@Column(value = "version")
	private int version;

	@ApiModelProperty(value = "0 未删除，1 已删除")
	@Column(value = "deleted_flag")
	private int deletedFlag;

	@ApiModelProperty(value = "创建人")
	@Column(value = "created_by")
	private String createdBy;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "created_date")
	private Date createdDate;

	@ApiModelProperty(value = "最后修改人")
	@Column(value = "last_modified_by")
	private String lastModifiedBy;

	@ApiModelProperty(value = "最后修改时间")
	@Column(value = "last_modified_date")
	private Date lastModifiedDate;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str4")
	private String attrStr4;

	@ApiModelProperty(value = "备用")
	@Column(value = "attr_str5")
	private String attrStr5;
}