package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆事故管理表 Model
 * <p>
 * Copyright: Copyright (C) 2020 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author xiaoyf
 * @since 2020-06-05 14:39
 */
@Data
@Table(value = "t_vm_accidentreg")
public class TVmAccidentregModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "机构ID")
	@Column(value = "branchid")
	private Long branchId;

	@ApiModelProperty(value = "机构牌号")
	@Column(value = "branchname")
	private String branchname;

	@Id
	@ApiModelProperty(value = "事故编号")
	@Column(value = "accident_num")
	private String accidentNum;

	@ApiModelProperty(value = "事故日期")
	@Column(value = "acciddate")
	private Date acciddate;

	@ApiModelProperty(value = "事故类型(追尾、碰撞、破损)")
	@Column(value = "accidtype")
	private String accidtype;

	@ApiModelProperty(value = "事故地点")
	@Column(value = "accidaddress")
	private String accidaddress;

	@ApiModelProperty(value = "路况")
	@Column(value = "roadcon")
	private String roadcon;

	@ApiModelProperty(value = "报案人姓名")
	@Column(value = "reporter")
	private String reporter;

	@ApiModelProperty(value = "报案时间 精确到秒")
	@Column(value = "reportdate")
	private Date reportdate;

	@ApiModelProperty(value = "出现经过")
	@Column(value = "theaccid")
	private String theaccid;

	@ApiModelProperty(value = "责任描述")
	@Column(value = "respdes")
	private String respdes;

	@ApiModelProperty(value = "本车损失")
	@Column(value = "carlost")
	private String carlost;

	@ApiModelProperty(value = "第三方损失")
	@Column(value = "thirdpl")
	private String thirdpl;

	@ApiModelProperty(value = "轻伤人数")
	@Column(value = "injuries")
	private BigDecimal injuries;

	@ApiModelProperty(value = "重伤人数")
	@Column(value = "injured")
	private BigDecimal injured;

	@ApiModelProperty(value = "死亡人数")
	@Column(value = "death")
	private BigDecimal death;

	@ApiModelProperty(value = "交警部门")
	@Column(value = "trafficpd")
	private String trafficpd;

	@ApiModelProperty(value = "交警联系人")
	@Column(value = "policecontact")
	private String policecontact;

	@ApiModelProperty(value = "交警电话")
	@Column(value = "policecall")
	private String policecall;

	@ApiModelProperty(value = "本方车辆编号")
	@Column(value = "vehiclecode")
	private String vehiclecode;

	@ApiModelProperty(value = "本方驾驶证号")
	@Column(value = "us_code")
	private String usCode;

	@ApiModelProperty(value = "对方车牌号")
	@Column(value = "other_vehicle")
	private String otherVehicle;

	@ApiModelProperty(value = "对方车辆型号")
	@Column(value = "other_vehiclespec")
	private String otherVehiclespec;

	@ApiModelProperty(value = "对方车辆驾驶员姓名")
	@Column(value = "other_maindriver")
	private String otherMaindriver;

	@ApiModelProperty(value = "对方驾驶员年龄")
	@Column(value = "other_driverage")
	private BigDecimal otherDriverage;

	@ApiModelProperty(value = "对方驾驶员性别")
	@Column(value = "other_driversex")
	private String otherDriversex;

	@ApiModelProperty(value = "对方驾驶员驾龄")
	@Column(value = "other_driverdriving")
	private BigDecimal otherDriverdriving;

	@ApiModelProperty(value = "对方驾驶员地址")
	@Column(value = "other_driveradd")
	private String otherDriveradd;

	@ApiModelProperty(value = "业务员")
	@Column(value = "salesman")
	private String salesman;

	@ApiModelProperty(value = "照片地址路径")
	@Column(value = "pho")
	private String pho;

	@ApiModelProperty(value = "责任划分(我方全责、对方全责、双方负责)")
	@Column(value = "duty_alloc")
	private String dutyAlloc;

	@ApiModelProperty(value = "估损金额")
	@Column(value = "estimatedloss")
	private BigDecimal estimatedloss;

	@ApiModelProperty(value = "实际损失")
	@Column(value = "actual_loss")
	private BigDecimal actualLoss;

	@ApiModelProperty(value = "保险赔付情况")
	@Column(value = "insurancepm")
	private String insurancepm;

	@ApiModelProperty(value = "责任属性")
	@Column(value = "liability_attribute")
	private String liabilityAttribute;

	@ApiModelProperty(value = "出现经过描述")
	@Column(value = "theaccid_describe")
	private String theaccidDescribe;

	@ApiModelProperty(value = "本方驾驶员姓名")
	@Column(value = "us_maindriver")
	private String usMaindriver;

	@ApiModelProperty(value = "本方驾驶员年龄")
	@Column(value = "us_driverage")
	private BigDecimal usDriverage;

	@ApiModelProperty(value = "本方驾驶员驾龄")
	@Column(value = "us_driverdriving")
	private BigDecimal usDriverdriving;

	@ApiModelProperty(value = "承保方")
	@Column(value = "underwrite")
	private String underwrite;

	@ApiModelProperty(value = "本方车牌号")
	@Column(value = "u_vehicle")
	private String uVehicle;

	@ApiModelProperty(value = "对方是否保险")
	@Column(value = "if_insure")
	private String ifInsure;

	@ApiModelProperty(value = "对方驾驶证号")
	@Column(value = "other_code")
	private String otherCode;

	@ApiModelProperty(value = "是否有照片")
	@Column(value = "if_picture")
	private String ifPicture;

	@ApiModelProperty(value = "消息推送给")
	@Column(value = "give_msg")
	private String giveMsg;

	@ApiModelProperty(value = "审核时间")
	@Column(value = "audittime")
	private Date audittime;

	@ApiModelProperty(value = "审核人")
	@Column(value = "auditperson")
	private String auditperson;

	@ApiModelProperty(value = "状态")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "extend01")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "extend02")
	private String extend02;

	@ApiModelProperty(value = "扩展字段3")
	@Column(value = "extend03")
	private String extend03;

	@ApiModelProperty(value = "扩展字段4")
	@Column(value = "extend04")
	private String extend04;

	@ApiModelProperty(value = "扩展字段5")
	@Column(value = "extend05")
	private String extend05;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "审核状态")
	@Column(value = "auditstatus")
	private String auditstatus;

	@ApiModelProperty(value = "审核意见")
	@Column(value = "auditdescrible")
	private String auditdescrible;
}
