package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆加油管理表 Model
 * <p>
 * Copyright: Copyright (C) 2020 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author xiaoyf
 * @since 2020-06-09 17:07
 */
@Data
@Table(value = "t_vm_fuel_record")
public class TVmFuelRecordModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "机构ID")
	@Column(value = "branchid")
	private Long branchId;

	@ApiModelProperty(value = "机构牌号")
	@Column(value = "branchname")
	private String branchname;

	@Id
	@ApiModelProperty(value = "加油单号")
	@Column(value = "billno")
	private String billno;

	@ApiModelProperty(value = "车牌号")
	@Column(value = "platenumber")
	private String platenumber;

	@ApiModelProperty(value = "加油站编号")
	@Column(value = "gs_code")
	private String gsCode;
	
	@ApiModelProperty(value = "加油站名称")
	@Column(value = "gs_name")
	private String gsName;

	@ApiModelProperty(value = "油型")
	@Column(value = "oiltype")
	private String oiltype;

	@ApiModelProperty(value = "油价")
	@Column(value = "oil_price")
	private BigDecimal oilPrice;

	@ApiModelProperty(value = "加油时间")
	@Column(value = "oil_date")
	private Date oilDate;

	@ApiModelProperty(value = "加油人")
	@Column(value = "oil_person")
	private String oilPerson;

	@ApiModelProperty(value = "加油量")
	@Column(value = "oil_quantity")
	private BigDecimal oilQuantity;

	@ApiModelProperty(value = "里程数")
	@Column(value = "odometer")
	private String odometer;

	@ApiModelProperty(value = "金额")
	@Column(value = "amount")
	private String amount;

	@ApiModelProperty(value = "审核时间")
	@Column(value = "audittime")
	private Date audittime;

	@ApiModelProperty(value = "审核人")
	@Column(value = "auditperson")
	private String auditperson;

	@ApiModelProperty(value = "状态")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "extend01")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "extend02")
	private String extend02;

	@ApiModelProperty(value = "扩展字段3")
	@Column(value = "extend03")
	private String extend03;

	@ApiModelProperty(value = "扩展字段4")
	@Column(value = "extend04")
	private String extend04;

	@ApiModelProperty(value = "扩展字段5")
	@Column(value = "extend05")
	private String extend05;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "审核状态")
	@Column(value = "auditstatus")
	private String auditstatus;

	@ApiModelProperty(value = "审核意见")
	@Column(value = "auditdescrible")
	private String auditdescrible;
}
