package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆违章管理表 Model
 * <p>
 * Copyright: Copyright (C) 2020 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author xiaoyf
 * @since 2020-06-03 11:27
 */
@Data
@Table(value = "t_vm_illegal_record")
public class TVmIllegalRecordModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "机构ID")
	@Column(value = "branchid")
	private Long branchId;

	@ApiModelProperty(value = "机构牌号")
	@Column(value = "branchname")
	private String branchname;

	@Id
	@ApiModelProperty(value = "违章单号")
	@Column(value = "illegal_no")
	private String illegalNo;

	@ApiModelProperty(value = "违章发生时间")
	@Column(value = "illegal_time")
	private Date illegalTime;

	@ApiModelProperty(value = "违章类别(字典ILLEGAL_TYPE)")
	@Column(value = "illegal_type")
	private String illegalType;

	@ApiModelProperty(value = "违章地点")
	@Column(value = "illegal_add")
	private String illegalAdd;

	@ApiModelProperty(value = "违章人员")
	@Column(value = "illegal_person")
	private String illegalPerson;

	@ApiModelProperty(value = "车辆编号")
	@Column(value = "vehicle_code")
	private String vehicleCode;

	@ApiModelProperty(value = "罚款")
	@Column(value = "forfeit")
	private Double forfeit;

	@ApiModelProperty(value = "扣分")
	@Column(value = "minus_points")
	private BigDecimal minusPoints;

	@ApiModelProperty(value = "发现时间")
	@Column(value = "discover_time")
	private Date discoverTime;

	@ApiModelProperty(value = "发现人")
	@Column(value = "discover_person")
	private String discoverPerson;

	@ApiModelProperty(value = "违章处理时间")
	@Column(value = "dispose_time")
	private Date disposeTime;

	@ApiModelProperty(value = "是否延期处罚")
	@Column(value = "punish_postpone")
	private String punishPostpone;

	@ApiModelProperty(value = "延期处罚天数")
	@Column(value = "postpone_day")
	private BigDecimal postponeDay;

	@ApiModelProperty(value = "承担对象")
	@Column(value = "undertaker")
	private String undertaker;

	@ApiModelProperty(value = "货物损失金额")
	@Column(value = "amount_loss_g")
	private Double amountLossG;

	@ApiModelProperty(value = "车辆损失")
	@Column(value = "amount_loss_v")
	private Double amountLossV;

	@ApiModelProperty(value = "理赔收入")
	@Column(value = "compensate")
	private Double compensate;

	@ApiModelProperty(value = "公司处罚")
	@Column(value = "punishment")
	private String punishment;

	@ApiModelProperty(value = "审核时间")
	@Column(value = "audittime")
	private Date audittime;

	@ApiModelProperty(value = "审核人")
	@Column(value = "auditperson")
	private String auditperson;

	@ApiModelProperty(value = "状态")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "extend01")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "extend02")
	private String extend02;

	@ApiModelProperty(value = "扩展字段3")
	@Column(value = "extend03")
	private String extend03;

	@ApiModelProperty(value = "扩展字段4")
	@Column(value = "extend04")
	private String extend04;

	@ApiModelProperty(value = "扩展字段5")
	@Column(value = "extend05")
	private String extend05;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "审核意见")
	@Column(value = "auditdescrible")
	private String auditdescrible;
}
