package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆保险管理表 Model
 * <p>
 * Copyright: Copyright (C) 2020 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author xiaoyf
 * @since 2020-06-08 17:39
 */
@Data
@Table(value = "t_vm_insurance")
public class TVmInsuranceModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "机构ID")
	@Column(value = "branchid")
	private Long branchId;

	@ApiModelProperty(value = "机构牌号")
	@Column(value = "branchname")
	private String branchname;

	@Id
	@ApiModelProperty(value = "保险单号")
	@Column(value = "insurcode")
	private String insurcode;

	@ApiModelProperty(value = "出现日期")
	@Column(value = "outdager")
	private Date outdager;

	@ApiModelProperty(value = "报案编号")
	@Column(value = "reportno")
	private String reportno;

	@ApiModelProperty(value = "车牌号")
	@Column(value = "platenumber")
	private String platenumber;

	@ApiModelProperty(value = "司机/报案人")
	@Column(value = "reporter")
	private String reporter;

	@ApiModelProperty(value = "车辆归属单位")
	@Column(value = "ascription_company_no")
	private String ascriptionCompanyNo;

	@ApiModelProperty(value = "车辆归属单位名称")
	@Column(value = "ascription_company_name")
	private String ascriptionCompanyName;

	@ApiModelProperty(value = "使用性质")
	@Column(value = "non_operational")
	private String nonOperational;

	@ApiModelProperty(value = "出现事故类型")
	@Column(value = "insurctype")
	private String insurctype;

	@ApiModelProperty(value = "责任人")
	@Column(value = "dutyman")
	private String dutyman;

	@ApiModelProperty(value = "责任属性")
	@Column(value = "resppro")
	private String resppro;

	@ApiModelProperty(value = "定损金额")
	@Column(value = "amountdam")
	private BigDecimal amountdam;

	@ApiModelProperty(value = "赔付单位/个人")
	@Column(value = "paid_customer")
	private String paidCustomer;

	@ApiModelProperty(value = "应赔付金额")
	@Column(value = "amountcomp")
	private BigDecimal amountcomp;

	@ApiModelProperty(value = "实际赔付金额")
	@Column(value = "amountact")
	private BigDecimal amountact;

	@ApiModelProperty(value = "审核时间")
	@Column(value = "audittime")
	private Date audittime;

	@ApiModelProperty(value = "审核人")
	@Column(value = "auditperson")
	private String auditperson;

	@ApiModelProperty(value = "状态")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "extend01")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "extend02")
	private String extend02;

	@ApiModelProperty(value = "扩展字段3")
	@Column(value = "extend03")
	private String extend03;

	@ApiModelProperty(value = "扩展字段4")
	@Column(value = "extend04")
	private String extend04;

	@ApiModelProperty(value = "扩展字段5")
	@Column(value = "extend05")
	private String extend05;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "审核意见")
	@Column(value = "auditdescrible")
	private String auditdescrible;

	@ApiModelProperty(value = "审核状态")
	@Column(value = "auditstatus")
	private String auditstatus;
}
