package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Table("tms_approval_business_detail")
public class TmsApprovalBusDetailModel implements Serializable {
	private static final long serialVersionUID = 119831805372130053L;

	@Id
	@ApiModelProperty(value = "审批业务明细ID")
	@Column(value = "ID")
	private Long id;

	@ApiModelProperty(value = "审批业务ID")
	@Column(value = "APPROVAL_BUSINESS_ID")
	private Long approvalBusinessId;

	@ApiModelProperty(value = "审批流程ID")
	@Column(value = "APPROVAL_ID")
	private Long approvalId;

	@ApiModelProperty(value = "审批流程节点ID")
	@Column(value = "APPROVAL_NODE_ID")
	private Long approvalNodeId;

	@ApiModelProperty(value = "审批节点顺序")
	@Column(value = "APPROVAL_NODE_ORDER")
	private Integer approvalNodeOrder;

	@ApiModelProperty(value = "节点审批者类型 数据字典 NODE_APPROVER_TYPE 1 角色 2 用户")
	@Column(value = "NODE_APPROVER_TYPE")
	private Integer nodeApproverType;

	@ApiModelProperty(value = "审批方式  数据字典 NODE_APPROVAL_TYPE: 1 会签 2 或签")
	@Column(value = "NODE_APPROVAL_TYPE")
	private Integer nodeApprovalType;

	@ApiModelProperty(value = "审批角色ID")
	@Column(value = "APPROVER_ROLE_ID")
	private String approverRoleId;

	@ApiModelProperty(value = "审批角色名称")
	@Column(value = "APPROVER_ROLE_NAME")
	private String approverRoleName;

	@ApiModelProperty(value = "审批用户ID")
	@Column(value = "APPROVER_USER_ID")
	private String approverUserId;

	@ApiModelProperty(value = "审批用户名称")
	@Column(value = "APPROVER_USER_NAME")
	private String approverUserName;

	@ApiModelProperty(value = "审批人ID")
	@Column(value = "APPROVER_PERSON_ID")
	private Long approverPersonId;

	@ApiModelProperty(value = "审批人名称")
	@Column(value = "APPROVER_PERSON_NAME")
	private String approverPersonName;

	@ApiModelProperty(value = "审批意见")
	@Column(value = "APPROVAL_OPINION")
	private String approvalOpinion;

	@ApiModelProperty(value = "审批时间")
	@Column(value = "APPROVAL_TIME")
	private Date approvalTime;

	@ApiModelProperty(value = "状态 数据字典 APPROVAL_BUSSINESS_NODE_STATUS:1待审批 2驳回发起人 3驳回上一级  4审批通过")
	@Column(value = "STATUS")
	private Integer status;

	@ApiModelProperty(value = "备注")
	@Column(value = "MEMO")
	private String memo;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "ENTERPRISE_ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "ENTERPRISE_NAME")
	private String enterpriseName;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "CREATETIME")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "CREATEPERSON")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "UPDATETIME")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "UPDATEPERSON")
	private String updateperson;

}
