package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Table("tms_approval_business")
public class TmsApprovalBusinessModel implements Serializable {
	private static final long serialVersionUID = -61717053879705035L;

	@Id
	@ApiModelProperty(value = "审批业务ID")
	@Column(value = "ID")
	private Long id;

	@ApiModelProperty(value = "审批流程ID")
	@Column(value = "APPROVAL_ID")
	private Long approvalId;

	@ApiModelProperty(value = "审批流程类型 数据字典 APPROVAL_FLOW_TYPE：1 货主审核 2 承运商审核 3运单提交 4调度审核 5承运商调度审核")
	@Column(value = "APPROVAL_FLOW_TYPE")
	private Integer approvalFlowType;

	@ApiModelProperty(value = "备注")
	@Column(value = "MEMO")
	private String memo;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "ENTERPRISE_ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "ENTERPRISE_NAME")
	private String enterpriseName;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "CREATETIME")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "CREATEPERSON")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "UPDATETIME")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "UPDATEPERSON")
	private String updateperson;

	@ApiModelProperty(value = "审批对象ID")
	@Column(value = "APPROVAL_OBJECT_ID")
	private String approvalObjectId;

	@ApiModelProperty(value = "审批对象编码/单号")
	@Column(value = "APPROVAL_OBJECT_CODE")
	private String approvalObjectCode;

	@ApiModelProperty(value = "审批对象名称")
	@Column(value = "APPROVAL_OBJECT_NAME")
	private String approvalObjectName;

	@ApiModelProperty(value = "发起用户ID")
	@Column(value = "INITIATED_USER_ID")
	private Long initiatedUserId;

	@ApiModelProperty(value = "发起用户名称")
	@Column(value = "INITIATED_USER_NAME")
	private String initiatedUserName;

	@ApiModelProperty(value = "发起时间")
	@Column(value = "INITIATED_TIME")
	private Date initiatedTime;

	@ApiModelProperty(value = "下一审批节点ID")
	@Column(value = "NEXT_APPROVER_NODE_ID")
	private Long nextApproverNodeId;

	@ApiModelProperty(value = "下一审批角色ID")
	@Column(value = "NEXT_APPROVER_ROLE_ID")
	private String nextApproverRoleId;

	@ApiModelProperty(value = "下一审批角色名称")
	@Column(value = "NEXT_APPROVER_ROLE_NAME")
	private String nextApproverRoleName;

	@ApiModelProperty(value = "下一审批用户ID")
	@Column(value = "NEXT_APPROVER_USER_ID")
	private String nextApproverUserId;

	@ApiModelProperty(value = "下一审批用户名称")
	@Column(value = "NEXT_APPROVER_USER_NAME")
	private String nextApproverUserName;

	@ApiModelProperty(value = "状态 数据字典 APPROVAL_BUSSINESS_STATUS: 1发起申请 2驳回 3撤回 4提交 5审核中 6作废  7审核完成")
	@Column(value = "STATUS")
	private Integer status;

}
