package com.prolog.rdc.tms.model.entity.line;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 *
 *
 * 节审批流程点审批者表
 *
 * @className :TmsApprovalNodeApproverModel
 * @author :lhb
 * @creationTime :2022/04/29
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table("tms_approval_node_approver")
public class TmsApprovalNdApproverModel implements Serializable {
	private static final long serialVersionUID = 799219405621502179L;

	@Id
	@ApiModelProperty(value = "ID")
	@Column(value = "id")
	private Long id;

	@ApiModelProperty(value = "流程ID")
	@Column(value = "approval_id")
	private Long approvalId;

	@ApiModelProperty(value = "节点ID")
	@Column(value = "approval_node_id")
	private Long approvalNodeId;

	@ApiModelProperty(value = "审批节点顺序")
	@Column(value = "node_order")
	private Integer nodeOrder;

	@ApiModelProperty(value = "审批角色ID")
	@Column(value = "approver_role_id")
	private Long approverRoleId;

	@ApiModelProperty(value = "审批角色名称")
	@Column(value = "approver_role_name")
	private String approverRoleName;

	@ApiModelProperty(value = "审批用户ID")
	@Column(value = "approver_user_id")
	private Long approverUserId;

	@ApiModelProperty(value = "审批用户名称")
	@Column(value = "approver_user_name")
	private String approverUserName;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

}
