package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 *
 * 审批流程节点表
 *
 * @className :TmsApprovalNodeModel
 * @author :lhb
 * @creationTime :2022/04/29
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table("tms_approval_node")
public class TmsApprovalNodeModel implements Serializable {
	private static final long serialVersionUID = -43232556475982879L;

	@Id
	@ApiModelProperty(value = "审批节点ID")
	@Column(value = "node_id")
	private Long nodeId;

	@ApiModelProperty(value = "审批流程ID")
	@Column(value = "approval_id")
	private Long approvalId;

	@ApiModelProperty(value = "审批节点状态 数据字典 NODE_STATUS: 1 正常 2 停用")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "节点审批者类型 数据字典 NODE_APPROVER_TYPE:1 角色 2 用户")
	@Column(value = "node_approver_type")
	private Integer nodeApproverType;

	@ApiModelProperty(value = "审批方式  数据字典 NODE_APPROVAL_TYPE: 1 会签 2 或签")
	@Column(value = "node_approval_type")
	private Integer nodeApprovalType;

	@ApiModelProperty(value = "审批节点顺序")
	@Column(value = "node_order")
	private Integer nodeOrder;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;
}
