package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 仓库车位
 * <p>
 * Copyright: Copyright (C) 2020 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author xiaoyf
 * @since 2020-05-20 18:03
 */
@Data
@Table(value = "tms_base_carport")
public class TmsBaseCarportModel implements Serializable {

	private static final long serialVersionUID = 5144759226133994874L;

	@Id
	@ApiModelProperty(value = "车位ID (主键)")
	@Column(value = "id")
	private Long id;

	@ApiModelProperty(value = "车位编码")
	@Column(value = "code")
	private String code;

	@ApiModelProperty(value = "车位名称")
	@Column(value = "name")
	private String name;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "branchid")
	private Long branchid;

	@ApiModelProperty(value = "描述")
	@Column(value = "description")
	private String description;

	@ApiModelProperty(value = "状态")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "类型")
	@Column(value = "type")
	private Integer type;

	@ApiModelProperty(value = "适用车型")
	@Column(value = "car_type")
	private String carType;

	@ApiModelProperty(value = "操作员ID")
	@Column(value = "operator_ids")
	private String operatorIds;

	@ApiModelProperty(value = "操作员名称")
	@Column(value = "operator_names")
	private String operatorNames;

	@ApiModelProperty(value = "来源")
	@Column(value = "datasource")
	private Integer datasource;

	@ApiModelProperty(value = "导入批次号")
	@Column(value = "import_batch_number")
	private String importBatchNumber;

	@ApiModelProperty(value = "公司ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "公司名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "ext_str1")
	private String extStr1;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "ext_str2")
	private String extStr2;

	@ApiModelProperty(value = "扩展字段3")
	@Column(value = "ext_str3")
	private String extStr3;

	@ApiModelProperty(value = "扩展字段4")
	@Column(value = "ext_str4")
	private String extStr4;

	@ApiModelProperty(value = "扩展字段5")
	@Column(value = "ext_str5")
	private String extStr5;

	@ApiModelProperty(value = "扩展字段6")
	@Column(value = "ext_date1")
	private Date extDate1;

	@ApiModelProperty(value = "扩展字段7")
	@Column(value = "ext_date2")
	private Date extDate2;

	@ApiModelProperty(value = "扩展字段8")
	@Column(value = "ext_date3")
	private Date extDate3;

	@ApiModelProperty(value = "扩展字段9")
	@Column(value = "ext_date4")
	private Date extDate4;

	@ApiModelProperty(value = "扩展字段10")
	@Column(value = "ext_date5")
	private Date extDate5;

	@ApiModelProperty(value = "扩展字段11")
	@Column(value = "ext_num1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "扩展字段12")
	@Column(value = "ext_num2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "扩展字段13")
	@Column(value = "ext_num3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "扩展字段14")
	@Column(value = "ext_num4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "扩展字段15")
	@Column(value = "ext_num5")
	private BigDecimal extNum5;
}
