package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 容器资料表 Model
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author zhangsj
 * @since 2022-03-16 18:44
 */
@Data
@Table(value = "tms_base_container")
public class TmsBaseContainerModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "容器ID")
	@Column(value = "id")
	@Id
	private Long id;

	@ApiModelProperty(value = "物流中心/仓ID")
	@Column(value = "branch_id")
	private Long branchId;

	@ApiModelProperty(value = "物流中心/仓编号")
	@Column(value = "branch_code")
	private String branchCode;

	@ApiModelProperty(value = "物流中心/仓名称")
	@Column(value = "branch_name")
	private String branchName;

	@ApiModelProperty(value = "容器编号")
	@Column(value = "code")
	private String code;

	@ApiModelProperty(value = "容器名称")
	@Column(value = "name")
	private String name;

	@ApiModelProperty(value = "容器类型（01：托盘 02：周转箱 03：保温箱）")
	@Column(value = "type")
	private Integer type;

	@ApiModelProperty(value = "设备类型")
	@Column(value = "device_type")
	private Integer deviceType;

	@ApiModelProperty(value = "设备ID")
	@Column(value = "device_id")
	private Long deviceId;

	@ApiModelProperty(value = "设备编号")
	@Column(value = "device_code")
	private String deviceCode;

	@ApiModelProperty(value = "设备名称")
	@Column(value = "device_name")
	private String deviceName;

	@ApiModelProperty(value = "状态")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "字符扩展1")
	@Column(value = "ext_str1")
	private String extStr1;

	@ApiModelProperty(value = "字符扩展2")
	@Column(value = "ext_str2")
	private String extStr2;

	@ApiModelProperty(value = "字符扩展3")
	@Column(value = "ext_str3")
	private String extStr3;

	@ApiModelProperty(value = "字符扩展4")
	@Column(value = "ext_str4")
	private String extStr4;

	@ApiModelProperty(value = "字符扩展5")
	@Column(value = "ext_str5")
	private String extStr5;

	@ApiModelProperty(value = "数值属性扩展1")
	@Column(value = "ext_num1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	@Column(value = "ext_num2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	@Column(value = "ext_num3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	@Column(value = "ext_num4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	@Column(value = "ext_num5")
	private BigDecimal extNum5;

	@ApiModelProperty(value = "日期属性扩展1")
	@Column(value = "ext_date1")
	private Date extDate1;

	@ApiModelProperty(value = "日期属性扩展2")
	@Column(value = "ext_date2")
	private Date extDate2;

	@ApiModelProperty(value = "日期属性扩展3")
	@Column(value = "ext_date3")
	private Date extDate3;

	@ApiModelProperty(value = "日期属性扩展4")
	@Column(value = "ext_date4")
	private Date extDate4;

	@ApiModelProperty(value = "日期属性扩展5")
	@Column(value = "ext_date5")
	private Date extDate5;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "长(m)")
	@Column(value = "length")
	private BigDecimal length;

	@ApiModelProperty(value = "宽(m)")
	@Column(value = "width")
	private BigDecimal width;

	@ApiModelProperty(value = "高(m)")
	@Column(value = "height")
	private BigDecimal height;

	@ApiModelProperty(value = "重量(kg)")
	@Column(value = "weight")
	private BigDecimal weight;

	@ApiModelProperty(value = "体积(m3)")
	@Column(value = "volume")
	private BigDecimal volume;

	@ApiModelProperty(value = "隶属机构ID")
	@Column(value = "affiliation_id")
	private Long affiliationId;

	@ApiModelProperty(value = "隶属机构编码")
	@Column(value = "affiliation_code")
	private String affiliationCode;

	@ApiModelProperty(value = "隶属机构名称")
	@Column(value = "affiliation_name")
	private String affiliationName;

	@ApiModelProperty(value = "归属")
	@Column(value = "belong_to")
	private String belongTo;

	@ApiModelProperty(value = "导入批次号")
	@Column(value = "import_batch_number")
	private String importBatchNumber;
}
