package com.prolog.rdc.tms.model.entity.line;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 保险资料 model
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/3/16 16:19
 */
@Data
@Table("tms_base_insurance")
public class TmsBaseInsuranceModel implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    @ApiModelProperty(value = "保险ID")
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "保单号")
    @Column(value = "code")
    private String code;

    @ApiModelProperty(value = "保险类型")
    @Column(value = "type")
    private Integer type;

    @ApiModelProperty(value = "保险公司")
    @Column(value = "company")
    private Integer company;

    @ApiModelProperty(value = "投保人")
    @Column(value = "policyholder")
    private String policyholder;

    @ApiModelProperty(value = "投保日期")
    @Column(value = "insured_date")
    private Date insuredDate;

    @ApiModelProperty(value = "受益对象类型")
    @Column(value = "beneficiary_type")
    private Integer beneficiaryType;

    @ApiModelProperty(value = "对象ID")
    @Column(value = "object_id")
    private String objectId;

    @ApiModelProperty(value = "对象编号")
    @Column(value = "object_code")
    private String objectCode;

    @ApiModelProperty(value = "对象名称")
    @Column(value = "object_name")
    private String objectName;

    @ApiModelProperty(value = "保险开始时间")
    @Column(value = "start_time")
    private Date startTime;

    @ApiModelProperty(value = "保险结束时间")
    @Column(value = "end_time")
    private Date endTime;

    @ApiModelProperty(value = "状态(0：停用 1：启用)")
    @Column(value = "status")
    private Integer status;

    @ApiModelProperty(value = "备注")
    @Column(value = "memo")
    private String memo;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "字符扩展1")
    @Column(value = "ext_str1")
    private String extStr1;

    @ApiModelProperty(value = "字符扩展2")
    @Column(value = "ext_str2")
    private String extStr2;

    @ApiModelProperty(value = "字符扩展3")
    @Column(value = "ext_str3")
    private String extStr3;

    @ApiModelProperty(value = "字符扩展4")
    @Column(value = "ext_str4")
    private String extStr4;

    @ApiModelProperty(value = "字符扩展5")
    @Column(value = "ext_str5")
    private String extStr5;

    @ApiModelProperty(value = "数值属性扩展1")
    @Column(value = "ext_num1")
    private BigDecimal extNum1;

    @ApiModelProperty(value = "数值属性扩展2")
    @Column(value = "ext_num2")
    private BigDecimal extNum2;

    @ApiModelProperty(value = "数值属性扩展3")
    @Column(value = "ext_num3")
    private BigDecimal extNum3;

    @ApiModelProperty(value = "数值属性扩展4")
    @Column(value = "ext_num4")
    private BigDecimal extNum4;

    @ApiModelProperty(value = "数值属性扩展5")
    @Column(value = "ext_num5")
    private BigDecimal extNum5;

    @ApiModelProperty(value = "日期属性扩展1")
    @Column(value = "ext_date1")
    private Date extDate1;

    @ApiModelProperty(value = "日期属性扩展2")
    @Column(value = "ext_date2")
    private Date extDate2;

    @ApiModelProperty(value = "日期属性扩展3")
    @Column(value = "ext_date3")
    private Date extDate3;

    @ApiModelProperty(value = "日期属性扩展4")
    @Column(value = "ext_date4")
    private Date extDate4;

    @ApiModelProperty(value = "日期属性扩展5")
    @Column(value = "ext_date5")
    private Date extDate5;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;
}
