package com.prolog.rdc.tms.model.entity.line;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 *
 * 商品资料表
 *
 * @className :TmsBaseItemModel
 * @author :fanzw
 * @creationTime :2022/02/25
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/02/25
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table("tms_base_item")
public class TmsBaseItemModel implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@ApiModelProperty(value = "商品ID")
	@Column(value = "item_id")
	private Long itemId;

	@ApiModelProperty(value = "商品编码")
	@Column(value = "item_code")
	private String itemCode;

	@ApiModelProperty(value = "商品名称")
	@Column(value = "item_name")
	private String itemName;

	@ApiModelProperty(value = "商品简称")
	@Column(value = "item_short_name")
	private String itemShortName;

	@ApiModelProperty(value = "商品英文名称")
	@Column(value = "item_english_name")
	private String itemEnglishName;

	@ApiModelProperty(value = "商品助记码")
	@Column(value = "zjm")
	private String zjm;

	@ApiModelProperty(value = "商品品类ID")
	@Column(value = "item_category_id")
	private Long itemCategoryId;

	@ApiModelProperty(value = "商品品类编码")
	@Column(value = "item_category_code")
	private String itemCategoryCode;

	@ApiModelProperty(value = "商品品类名称")
	@Column(value = "item_category_name")
	private String itemCategoryName;

	@ApiModelProperty(value = "商品品类层级  数据字典ITEM_CATEGORY_LEVEL")
	@Column(value = "item_category_level")
	private Integer itemCategoryLevel;

	@ApiModelProperty(value = "包装类型  数据字典PACK_TYPE:1纸箱  2包装袋")
	@Column(value = "pack_type")
	private Integer packType;

	@ApiModelProperty(value = "货物温层  数据字典CARGO_THERMOSPHERE:1常温 2冷藏 3冷冻")
	@Column(value = "cargo_thermosphere")
	private Integer cargoThermosphere;

	@ApiModelProperty(value = "长(cm)")
	@Column(value = "length")
	private BigDecimal length;

	@ApiModelProperty(value = "宽(cm)")
	@Column(value = "width")
	private BigDecimal width;

	@ApiModelProperty(value = "高(cm)")
	@Column(value = "heigth")
	private BigDecimal heigth;

	@ApiModelProperty(value = "重量(kg)")
	@Column(value = "weight")
	private BigDecimal weight;

	@ApiModelProperty(value = "体积(cm3)")
	@Column(value = "volume")
	private BigDecimal volume;

	@ApiModelProperty(value = "货值")
	@Column(value = "cargo_value")
	private BigDecimal cargoValue;

	@ApiModelProperty(value = "货主ID")
	@Column(value = "cargo_owner_id")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "货主编码")
	@Column(value = "cargo_owner_code")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "货主名称")
	@Column(value = "cargo_owner_name")
	private String cargoOwnerName;

	@ApiModelProperty(value = "状态:0：停用 1：启用")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "来源：1.新增 2.excel导入 3.接口导入")
	@Column(value = "source")
	private Integer source;

	@ApiModelProperty(value = "所属组织ID")
	@Column(value = "organization_id")
	private Long organizationId;

	@ApiModelProperty(value = "所属组织编码")
	@Column(value = "organization_code")
	private String organizationCode;

	@ApiModelProperty(value = "所属组织名称")
	@Column(value = "organization_name")
	private String organizationName;

	@ApiModelProperty(value = "所属部门ID")
	@Column(value = "department_id")
	private String departmentId;

	@ApiModelProperty(value = "所属部门编码")
	@Column(value = "department_code")
	private String departmentCode;

	@ApiModelProperty(value = "所属部门名称")
	@Column(value = "department_name")
	private String departmentName;

	@ApiModelProperty(value = "导入批次号")
	@Column(value = "import_batch_number")
	private String importBatchNumber;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;

	@ApiModelProperty(value = "字符属性扩展1")
	@Column(value = "ext_str1")
	private String extStr1;

	@ApiModelProperty(value = "字符属性扩展2")
	@Column(value = "ext_str2")
	private String extStr2;

	@ApiModelProperty(value = "字符属性扩展3")
	@Column(value = "ext_str3")
	private String extStr3;

	@ApiModelProperty(value = "字符属性扩展4")
	@Column(value = "ext_str4")
	private String extStr4;

	@ApiModelProperty(value = "字符属性扩展5")
	@Column(value = "ext_str5")
	private String extStr5;

	@ApiModelProperty(value = "数值属性扩展1")
	@Column(value = "ext_num1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	@Column(value = "ext_num2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	@Column(value = "ext_num3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	@Column(value = "ext_num4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	@Column(value = "ext_num5")
	private BigDecimal extNum5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展1")
	@Column(value = "ext_date1")
	private Date extDate1;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展2")
	@Column(value = "ext_date2")
	private Date extDate2;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展3")
	@Column(value = "ext_date3")
	private Date extDate3;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展4")
	@Column(value = "ext_date4")
	private Date extDate4;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展5")
	@Column(value = "ext_date5")
	private Date extDate5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "库存件数")
	@Column(value = "inventory_pcs")
	private Integer inventoryPcs;

	@ApiModelProperty(value = "暂存位")
	@Column(value = "staging_location")
	private String stagingLocation;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "branch_id")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	@Column(value = "branch_code")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	@Column(value = "branch_name")
	private String branchName;

	@ApiModelProperty(value = "温控区间（上限）")
	@Column(value = "temperature_ctl_upper_limit")
	private BigDecimal temperatureCtlUpperLimit;

	@ApiModelProperty(value = "温控区间（下限）")
	@Column(value = "temperature_ctl_lower_limit")
	private BigDecimal temperatureCtlLowerLimit;

	@ApiModelProperty(value = "批准文号")
	@Column(value = "symbol")
	private String symbol;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "批准文号有效期")
	@Column(value = "symbol_expiration_date")
	private Date symbolExpirationDate;

	@ApiModelProperty(value = "上市许可持有人")
	@Column(value = "licensor")
	private String licensor;

	@ApiModelProperty(value = "商品规格")
	@Column(value = "capacity")
	private String capacity;

	@ApiModelProperty(value = "生产厂商")
	@Column(value = "factory")
	private String factory;

	@ApiModelProperty(value = "产地")
	@Column(value = "origin")
	private String origin;

	@ApiModelProperty(value = "件包装数")
	@Column(value = "pack_size")
	private BigDecimal packSize;

	@ApiModelProperty(value = "剂型 数据字典ITEM_DOSE_TYPE: 1胶囊 2药片")
	@Column(value = "dose_type")
	private Integer doseType;
}
