package com.prolog.rdc.tms.model.entity.line;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 车辆信息表
 * 
 * @author Eton Woo
 * @date 2022/03/15
 */
@Data
@Table("tms_base_vehicle")
public class TmsBaseVehicleModel implements Serializable {

	private static final long serialVersionUID = -8742436243583839275L;

	@Id
	@ApiModelProperty(value = "车辆ID")
	@Column(value = "id")
	private Long id;
	
	@ApiModelProperty(value = "车辆编码")
	@Column(value = "code")
	private String code;
	
	@ApiModelProperty(value = "车牌号")
	@Column(value = "plate_number")
	private String plateNumber;
	
	@ApiModelProperty(value = "车辆类型：数据字典VEHICLE_TYPE: 1自有、2挂靠、3临时")
	@Column(value = "type")
	private Integer type;
	
	@ApiModelProperty(value = "隶属机构ID")
	@Column(value = "affiliation_id")
	private Long affiliationId;
	
	@ApiModelProperty(value = "隶属机构编码")
	@Column(value = "affiliation_code")
	private String affiliationCode;
	
	@ApiModelProperty(value = "隶属机构名称")
	@Column(value = "affiliation_name")
	private String affiliationName;
	
	@ApiModelProperty(value = "车型ID")
	@Column(value = "vehicle_type_id")
	private Long vehicleTypeId;
	
	@ApiModelProperty(value = "车型编码")
	@Column(value = "vehicle_type_code")
	private String vehicleTypeCode;
	
	@ApiModelProperty(value = "车型名称")
	@Column(value = "vehicle_type_name")
	private String vehicleTypeName;
	
	/*@ApiModelProperty(value = "GPS设备生产厂商 数据字典表DEVICE_COMPANY：1易流、2捷依、3G7")
	@Column(value = "device_company")
	private Integer deviceCompany;
	
	@ApiModelProperty(value = "GPS设备ID")
	@Column(value = "device_id")
	private Long deviceId;
	
	@ApiModelProperty(value = "GPS设备编码")
	@Column(value = "device_code")
	private String deviceCode;
	
	@ApiModelProperty(value = "GPS设备名称")
	@Column(value = "device_name")
	private String deviceName;*/

	@ApiModelProperty(value = "所属组织ID")
	@Column(value = "organization_id")
	private Long organizationId;

	@ApiModelProperty(value = "所属组织编码")
	@Column(value = "organization_code")
	private String organizationCode;

	@ApiModelProperty(value = "所属组织名称")
	@Column(value = "organization_name")
	private String organizationName;

	@ApiModelProperty(value = "所属部门ID")
	@Column(value = "department_id")
	private String departmentId;

	@ApiModelProperty(value = "所属部门编码")
	@Column(value = "department_code")
	private String departmentCode;

	@ApiModelProperty(value = "所属部门名称")
	@Column(value = "department_name")
	private String departmentName;
	
	@ApiModelProperty(value = "状态:0：停用 1：启用 数据字典MAINDATA_STATUS")
	@Column(value = "status")
	private Integer status;
	
	@ApiModelProperty(value = "来源  数据字典SOURCE：1.新增 2.excel导入 3.接口导入")
	@Column(value = "source")
	private Integer source;
	
	@ApiModelProperty(value = "导入批次号")
	@Column(value = "import_batch_number")
	private String importBatchNumber;
	
	@ApiModelProperty(value = "公司ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;
	
	@ApiModelProperty(value = "公司名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;
	
	@ApiModelProperty(value = "字符属性扩展1")
	@Column(value = "ext_str1")
	private String extStr1;

	@ApiModelProperty(value = "字符属性扩展2")
	@Column(value = "ext_str2")
	private String extStr2;

	@ApiModelProperty(value = "字符属性扩展3")
	@Column(value = "ext_str3")
	private String extStr3;

	@ApiModelProperty(value = "字符属性扩展4")
	@Column(value = "ext_str4")
	private String extStr4;

	@ApiModelProperty(value = "字符属性扩展5")
	@Column(value = "ext_str5")
	private String extStr5;

	@ApiModelProperty(value = "数值属性扩展1")
	@Column(value = "ext_num1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	@Column(value = "ext_num2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	@Column(value = "ext_num3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	@Column(value = "ext_num4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	@Column(value = "ext_num5")
	private BigDecimal extNum5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展1")
	@Column(value = "ext_date1")
	private Date extDate1;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展2")
	@Column(value = "ext_date2")
	private Date extDate2;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展3")
	@Column(value = "ext_date3")
	private Date extDate3;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展4")
	@Column(value = "ext_date4")
	private Date extDate4;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "日期属性扩展5")
	@Column(value = "ext_date5")
	private Date extDate5;
	
	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;
	
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "里程管理 数据字典MILEAGE_MANAGEMENT 0：否 1：是 ")
	@Column(value = "mileage_management")
	private Integer mileageManagement;
}
