package com.prolog.rdc.tms.model.entity.line;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 承运商证件关系表
 * 
 * @author hongbo.pan
 * @date 2023/02/21
 */
@Data
@Table("tms_carrier_paper_link")
public class TmsCarrierPaperLinkModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@ApiModelProperty(value = "主键ID")
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "车辆ID")
	@Column(value = "carrier_id")
	private Long carrierId;

	@ApiModelProperty(value = "车辆编码")
	@Column(value = "carrier_code")
	private String carrierCode;

	@ApiModelProperty(value = "车牌号")
	@Column(value = "carrier_name")
	private String carrierName;

	@ApiModelProperty(value = "证件ID")
	@Column(value = "paper_id")
	private Long paperId;

	@ApiModelProperty(value = "证件编码")
	@Column(value = "paper_code")
	private String paperCode;

	@ApiModelProperty(value = "证件对象类型 数据字典PAPER_OBJECT:1.司机 2.送货员 3.车辆 4.承运商")
	@Column(value = "paper_object_type")
	private Integer paperObjectType;

	@Column(value = "enterprise_id")
	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@Column(value = "enterprise_name")
	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;
}
