package com.prolog.rdc.tms.model.entity.line;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 车辆冷链报警数据表
 *
 * @author
 * @date 2023/02/21
 */
@Data
@Table("tms_vehicle_coldchain_alarm_g7")
public class TmsColdchainAlarmModel {

    @Id
    @ApiModelProperty(value = "主键ID")
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "G7车辆id")
    @Column(value = "truckid")
    private String truckid;

    @ApiModelProperty(value = "车牌号")
    @Column(value = "carnum")
    private String carnum;

    @ApiModelProperty(value = "设备号")
    @Column(value = "gpsno")
    private String gpsno;

    @ApiModelProperty(value = "设备类型,0:固定式,1:便携式")
    @Column(value = "devicetype")
    private Integer devicetype;

    @ApiModelProperty(value = "探头名称")
    @Column(value = "probename")
    private String probename;

    @ApiModelProperty(value = "警报类型: 1 低温预警, 2 低温报警, 3 高温预警, ")
    @Column(value = "alarmtype")
    private Integer alarmtype;

    @ApiModelProperty(value = "报警温度")
    @Column(value = "temperature")
    private BigDecimal temperature;

    @ApiModelProperty(value = "警戒温度 (设置温度范围)")
    @Column(value = "temperatureSetting")
    private String temperatureSetting;

    @ApiModelProperty(value = "报警开始时间")
    @Column(value = "starttime")
    private String starttime;

    @ApiModelProperty(value = "报警结束时间")
    @Column(value = "endtime")
    private String endtime;

    @ApiModelProperty(value = "持续时间(秒)")
    @Column(value = "difftime")
    private String difftime;

    @ApiModelProperty(value = "开始纬度")
    @Column(value = "startlat")
    private BigDecimal startlat;

    @ApiModelProperty(value = "开始经度")
    @Column(value = "startlng")
    private BigDecimal startlng;

    @ApiModelProperty(value = "结束纬度")
    @Column(value = "endlat")
    private BigDecimal endlat;

    @ApiModelProperty(value = "结束经度")
    @Column(value = "endlng")
    private BigDecimal endlng;

    @ApiModelProperty(value = "车速")
    @Column(value = "speed")
    private BigDecimal speed;

    @ApiModelProperty(value = "冷机状态 0:关 1:开")
    @Column(value = "coldstatus")
    private Integer coldstatus;

    @ApiModelProperty(value = "结束标志 0:未结束 1:结束")
    @Column(value = "end")
    private Integer end;

    @ApiModelProperty(value = "引擎状态")
    @Column(value = "acc")
    private Integer acc;

    @ApiModelProperty(value = "压缩机状态")
    @Column(value = "compressor")
    private Integer compressor;

    @ApiModelProperty(value = "门磁状态")
    @Column(value = "door")
    private Integer door;

    @ApiModelProperty(value = "电量")
    @Column(value = "elecvalue")
    private Integer elecvalue;

    @ApiModelProperty(value = "开始湿度")
    @Column(value = "startHumidity")
    private BigDecimal startHumidity;

    @ApiModelProperty(value = "结束湿度")
    @Column(value = "endHumidity")
    private BigDecimal endHumidity;

    @ApiModelProperty(value = "最高温度")
    @Column(value = "maxTemperature")
    private BigDecimal maxTemperature;

    @ApiModelProperty(value = "最低温度")
    @Column(value = "lowestTemperature")
    private BigDecimal lowestTemperature;

    @ApiModelProperty(value = "平均温度")
    @Column(value = "averageTemperature")
    private BigDecimal averageTemperature;

    @ApiModelProperty(value = "报警等级")
    @Column(value = "alarmLevel")
    private Integer alarmLevel;

    @ApiModelProperty(value = "处理标志")
    @Column(value = "mark")
    private Integer mark;

    @ApiModelProperty(value = "处理方式")
    @Column(value = "processingMode")
    private Integer processingMode;

    @ApiModelProperty(value = "处理人")
    @Column(value = "handler")
    private String handler;

    @ApiModelProperty(value = "处理时间")
    @Column(value = "handleTime")
    private String handleTime;

    @ApiModelProperty(value = "备注")
    @Column(value = "remark")
    private String remark;

    @ApiModelProperty(value = "0.未处置 1.已及时整改 2.拒不整改")
    @Column(value = "handleResult")
    private String handleResult;

    @ApiModelProperty(value = "报警处置说明：电话、短信、系统错误")
    @Column(value = "handleContent")
    private String handleContent;

}
