package com.prolog.rdc.tms.model.entity.line;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 部门-基础数据关联表
 * @author hongbo.pan
 */
@Data
@Table(value = "tms_department_base_link")
public class TmsDepartmentBaseLinkModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@ApiModelProperty(value = "关联id")
	@Column(value = "id")
	private Long id;

	@ApiModelProperty(value = "基础数据类型")
	@Column(value = "base_type")
	private String baseType;

	@ApiModelProperty(value = "基础数据id")
	@Column(value = "base_id")
	private String baseId;

	@ApiModelProperty(value = "部门id")
	@Column(value = "department_id")
	private String departmentId;

	@ApiModelProperty(value = "部门code")
	@Column(value = "department_code")
	private String departmentCode;

	@ApiModelProperty(value = "部门名称")
	@Column(value = "department_name")
	private String departmentName;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

}
