package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 线路收货方关联表
 *
 * @author zhangsj
 * @since 2022-03-31 13:52:14
 */
@Data
@Table("tms_line_consignee_link")
public class TmsLineConsigneeLinkModel implements Serializable {
	private static final long serialVersionUID = -26406958998292691L;

	@Id
	@ApiModelProperty(value = "主键")
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "线路ID")
	@Column(value = "line_id")
	private Long lineId;

	@ApiModelProperty(value = "线路编号")
	@Column(value = "line_code")
	private String lineCode;

	@ApiModelProperty(value = "线路名称")
	@Column(value = "line_name")
	private String lineName;

	@ApiModelProperty(value = "客户ID")
	@Column(value = "customer_id")
	private Long customerId;

	@ApiModelProperty(value = "客户编号")
	@Column(value = "customer_code")
	private String customerCode;

	@ApiModelProperty(value = "客户名称")
	@Column(value = "customer_name")
	private String customerName;

	@ApiModelProperty(value = "收货方ID")
	@Column(value = "consignee_id")
	private Long consigneeId;

	@ApiModelProperty(value = "收货方编码")
	@Column(value = "consignee_code")
	private String consigneeCode;

	@ApiModelProperty(value = "收货方名称")
	@Column(value = "consignee_name")
	private String consigneeName;

	@ApiModelProperty(value = "收货方联系人")
	@Column(value = "consignee_contact")
	private String consigneeContact;

	@ApiModelProperty(value = "收货方手机号")
	@Column(value = "consignee_phone_number")
	private String consigneePhoneNumber;

	@ApiModelProperty(value = "收货方详细地址")
	@Column(value = "consignee_address")
	private String consigneeAddress;

	@ApiModelProperty(value = "收货方备注")
	@Column(value = "consignee_memo")
	private String consigneeMemo;

	@ApiModelProperty(value = "配送顺序")
	@Column(value = "delivery_order")
	private Integer deliveryOrder;

	@ApiModelProperty(value = "来源  数据字典SOURCE：1.新增 2.excel导入 3.接口导入")
	@Column(value = "source")
	private Integer source;

	@ApiModelProperty(value = "导入批次号")
	@Column(value = "import_batch_number")
	private String importBatchNumber;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "到货时间")
	@Column(value = "consignee_aging_time")
	private String consigneeAgingTime;

	@ApiModelProperty(value = "到货时间类型")
	@Column(value = "consignee_aging_time_line")
	private String consigneeAgingTimeLine;

}
