package com.prolog.rdc.tms.model.entity.line;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 *
 * 线路发货方关联表
 *
 * @className :TmsLineShipperLinkModel
 * @author :zsj
 * @creationTime :2022/04/07
 * @description :
 *
 * @modifier :zsj
 * @modifyTime :2022/04/07
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table(value = "tms_line_shipper_link")
public class TmsLineShipperLinkModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@ApiModelProperty(value = "主键ID")
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "线路ID")
	@Column(value = "line_id")
	private Long lineId;

	@ApiModelProperty(value = "线路编号")
	@Column(value = "line_code")
	private String lineCode;

	@ApiModelProperty(value = "线路名称")
	@Column(value = "line_name")
	private String lineName;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "branch_id")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	@Column(value = "branch_code")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	@Column(value = "branch_name")
	private String branchName;

	@ApiModelProperty(value = "提货顺序")
	@Column(value = "pickup_order")
	private Integer pickupOrder;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

	@ApiModelProperty(value = "来源")
	@Column(value = "source")
	private Integer source;

	@ApiModelProperty(value = "发货方备注")
	@Column(value = "shipper_memo")
	private String shipperMemo;

	@ApiModelProperty(value = "导入批次号")
	@Column(value = "import_batch_number")
	private String importBatchNumber;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "发货方详细地址")
	@Column(value = "shipper_address")
	private String shipperAddress;

	@ApiModelProperty(value = "发货时间")
	@Column(value = "shipper_aging_time")
	private String shipperAgingTime;

	@ApiModelProperty(value = "发货时间类型")
	@Column(value = "shipper_aging_time_line")
	private String shipperAgingTimeLine;

}
