package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 供应商发货方关联表
 * 
 * @author Eton Woo
 * @date 2022/03/25
 */
@Data
@Table("tms_provider_shipper_link")
public class TmsProviderShipperLinkModel implements Serializable {

	private static final long serialVersionUID = -5265332973544911666L;

	@Id
	@ApiModelProperty(value = "主键ID")
	@Column(value = "lineid")
	private String lineid;

	@ApiModelProperty(value = "供应商ID")
	@Column(value = "provider_id")
	private Long providerId;

	@ApiModelProperty(value = "供应商编码")
	@Column(value = "provider_code")
	private String providerCode;

	@ApiModelProperty(value = "供应商名称")
	@Column(value = "provider_name")
	private String providerName;

	@ApiModelProperty(value = "发货方ID")
	@Column(value = "shipper_id")
	private Long shipperId;

	@ApiModelProperty(value = "发货方编码")
	@Column(value = "shipper_code")
	private String shipperCode;

	@ApiModelProperty(value = "发货方名称")
	@Column(value = "shipper_name")
	private String shipperName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;
}
