package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆维修保养明细表 Model
 * <p>
 * Copyright: Copyright (C) 2020 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author xiaoyf
 * @since 2020-06-01 15:46
 */
@Data
@Table(value = "tms_repair_record_d")
public class TmsRepairRecordDModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@ApiModelProperty(value = "线路ID")
	@Column(value = "lineid")
	private String lineid;

	@ApiModelProperty(value = "机构ID")
	@Column(value = "branchid")
	private Long branchId;

	@ApiModelProperty(value = "机构牌号")
	@Column(value = "branchname")
	private String branchname;

	@ApiModelProperty(value = "维修保养单号")
	@Column(value = "billno")
	private String billno;

	@ApiModelProperty(value = "维修保养项目名称")
	@Column(value = "item")
	private String item;

	@ApiModelProperty(value = "品牌")
	@Column(value = "brand")
	private String brand;

	@ApiModelProperty(value = "型号")
	@Column(value = "model")
	private String model;

	@ApiModelProperty(value = "数量")
	@Column(value = "qty")
	private Double qty;

	@ApiModelProperty(value = "单位")
	@Column(value = "unit")
	private String unit;

	@ApiModelProperty(value = "单价")
	@Column(value = "price")
	private Double price;

	@ApiModelProperty(value = "合计金额")
	@Column(value = "amount")
	private Double amount;

	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "extend01")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "extend02")
	private String extend02;

	@ApiModelProperty(value = "扩展字段3")
	@Column(value = "extend03")
	private String extend03;

	@ApiModelProperty(value = "扩展字段4")
	@Column(value = "extend04")
	private String extend04;

	@ApiModelProperty(value = "扩展字段5")
	@Column(value = "extend05")
	private String extend05;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

}
