package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆维修保养汇总表 Model
 * <p>
 * Copyright: Copyright (C) 2020 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author xiaoyf
 * @since 2020-06-01 11:33
 */
@Data
@Table(value = "tms_repair_record_h")
public class TmsRepairRecordHModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "机构ID")
	@Column(value = "branchid")
	private Long branchId;

	@ApiModelProperty(value = "机构牌号")
	@Column(value = "branchname")
	private String branchname;

	@Id
	@ApiModelProperty(value = "维修保养单号")
	@Column(value = "billno")
	private String billno;

	@ApiModelProperty(value = "车辆编号")
	@Column(value = "vehicle_code")
	private String vehicleCode;

	@ApiModelProperty(value = "保养维修类型(0:维修 1:保养)")
	@Column(value = "repair_type")
	private String repairType;

	@ApiModelProperty(value = "当前里程")
	@Column(value = "present_mileage")
	private Double presentMileage;

	@ApiModelProperty(value = "规则编号")
	@Column(value = "rule_no")
	private String ruleNo;

	@ApiModelProperty(value = "上次保养日期")
	@Column(value = "last_repair_time")
	private Date lastRepairTime;

	@ApiModelProperty(value = "维修厂编号")
	@Column(value = "gs_code")
	private String gsCode;

	@ApiModelProperty(value = "维修厂名称")
	@Column(value = "gs_name")
	private String gsName;

	@ApiModelProperty(value = "估损金额")
	@Column(value = "estimate_amount")
	private Double estimateAmount;

	@ApiModelProperty(value = "维修保养日期")
	@Column(value = "repair_time")
	private Date repairTime;

	@ApiModelProperty(value = "实际金额")
	@Column(value = "amount")
	private Double amount;

	@ApiModelProperty(value = "审核时间")
	@Column(value = "audittime")
	private Date audittime;

	@ApiModelProperty(value = "审核人")
	@Column(value = "auditperson")
	private String auditperson;

	@ApiModelProperty(value = "状态")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "备注")
	@Column(value = "memo")
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "extend01")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "extend02")
	private String extend02;

	@ApiModelProperty(value = "扩展字段3")
	@Column(value = "extend03")
	private String extend03;

	@ApiModelProperty(value = "扩展字段4")
	@Column(value = "extend04")
	private String extend04;

	@ApiModelProperty(value = "扩展字段5")
	@Column(value = "extend05")
	private String extend05;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;

	@ApiModelProperty(value = "审核描述")
	@Column(value = "auditdescrible")
	private String auditdescrible;
}
