package com.prolog.rdc.tms.model.entity.line;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 车辆设备link表
 * 
 * @author lhb
 * @date 2022/11/24
 */
@Data
@Table("tms_vehicle_device_link")
public class TmsVehicleDeviceLinkModel implements Serializable {

	private static final long serialVersionUID = -7522846465294637635L;

	@Id
	@ApiModelProperty(value = "主键ID")
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "车辆ID")
	@Column(value = "vehicle_id")
	private Long vehicleId;

	@ApiModelProperty(value = "车辆编码")
	@Column(value = "vehicle_code")
	private String vehicleCode;

	@ApiModelProperty(value = "车牌号")
	@Column(value = "vehicle_plate_number")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "设备ID")
	@Column(value = "device_id")
	private Long deviceId;

	@ApiModelProperty(value = "设备编号")
	@Column(value = "device_code")
	private String deviceCode;

	@ApiModelProperty(value = "设备名称")
	@Column(value = "device_name")
	private String deviceName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;
}
