package com.prolog.rdc.tms.model.entity.line;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * G7车辆GPS数据表
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xiaoyf
 * @since 2022/3/8 15:43
 */
@Data
@Table("tms_vehicle_gps_data_g7")
public class TmsVehicleGPSG7Model implements Serializable {

	private static final long serialVersionUID = 6794917163277340175L;

	@Id
	@ApiModelProperty(value = "主键")
	@Column(value = "id")
	private Long id;

	@Column(value = "vehicle_plate_number")
	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@Column(value = "longitude")
	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@Column(value = "latitude")
	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@Column(value = "speed")
	@ApiModelProperty(value = "速度")
	private BigDecimal speed;

	@Column(value = "course")
	@ApiModelProperty(value = "方向角")
	private BigDecimal course;

	@Column(value = "time")
	@ApiModelProperty(value = "定位时间")
	private Date time;

	@Column(value = "distance")
	@ApiModelProperty(value = "两个相邻经纬度点的距离")
	private BigDecimal distance;

	@Column(value = "enterprise_id")
	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@Column(value = "enterprise_name")
	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@Column(value = "createtime")
	@ApiModelProperty(value = "数据写入时间")
	private Date createtime;

	@Column(value = "createperson")
	@ApiModelProperty(value = "数据写入人")
	private String createperson;

	@Column(value = "updatetime")
	@ApiModelProperty(value = "最后修改时间")
	private Date updatetime;

	@Column(value = "updateperson")
	@ApiModelProperty(value = "最后修改人")
	private String updateperson;
}
