package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆GPS数据表
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xiaoyf
 * @since 2022/3/8 15:43
 */
@Data
@Table("tms_vehicle_gps_history")
public class TmsVehicleGPSHistoryModel implements Serializable {

	private static final long serialVersionUID = 6794917163277340175L;

	@Id
	@ApiModelProperty(value = "主键")
	@Column(value = "id")
	private Long id;

	@Column(value = "shipbill_id")
	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@Column(value = "shipbill_no")
	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@Column(value = "loading_bill_id")
	@ApiModelProperty(value = "装车单ID")
	private String loadingbillId;

	@Column(value = "loading_bill_no")
	@ApiModelProperty(value = "装车单编号")
	private String loadingbillNo;

	@Column(value = "vehicle_id")
	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	@Column(value = "vehicle_code")
	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	@Column(value = "vehicle_plate_number")
	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@Column(value = "driver_id")
	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@Column(value = "driver_code")
	@ApiModelProperty(value = "司机编号")
	private String driverCode;

	@Column(value = "driver_name")
	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@Column(value = "driver_phone_number")
	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@Column(value = "longitude")
	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@Column(value = "latitude")
	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@Column(value = "enterprise_id")
	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@Column(value = "enterprise_name")
	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@Column(value = "createtime")
	@ApiModelProperty(value = "数据写入时间")
	private Date createtime;

	@Column(value = "createperson")
	@ApiModelProperty(value = "数据写入人")
	private String createperson;

	@Column(value = "updatetime")
	@ApiModelProperty(value = "最后修改时间")
	private Date updatetime;

	@Column(value = "updateperson")
	@ApiModelProperty(value = "最后修改人")
	private String updateperson;

	@Column(value = "start_ship_time")
	@ApiModelProperty(value = "启运登记时间")
	private Date startShipTime;

	@Column(value = "delivery_time")
	@ApiModelProperty(value = "送达确认时间")
	private Date deliveryTime;

	@Column(value = "real_shipbill_id")
	@ApiModelProperty(value = "gps对应的真实运单id")
	private String realShipbillId;

	@ApiModelProperty(value = "温度")
	@Column(value = "temperature")
	private BigDecimal temperature;
}
