package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆证件关系表
 * 
 * @author Eton Woo
 * @date 2022/03/16
 */
@Data
@Table("tms_vehicle_paper_link")
public class TmsVehiclePaperLinkModel implements Serializable {

	private static final long serialVersionUID = -7522846465294637635L;

	@Id
	@ApiModelProperty(value = "主键ID")
	@Column(value = "lineid")
	private String lineid;

	@ApiModelProperty(value = "车辆ID")
	@Column(value = "vehicle_id")
	private Long vehicleId;

	@ApiModelProperty(value = "车辆编码")
	@Column(value = "vehicle_code")
	private String vehicleCode;

	@ApiModelProperty(value = "车牌号")
	@Column(value = "vehicle_plate_number")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "证件ID")
	@Column(value = "paper_id")
	private Long paperId;

	@ApiModelProperty(value = "证件编码")
	@Column(value = "paper_code")
	private String paperCode;

	@ApiModelProperty(value = "证件对象类型 数据字典PAPER_OBJECT:1.司机 2.送货员 3.车辆 ")
	@Column(value = "paper_object_type")
	private Integer paperObjectType;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	@Column(value = "createtime")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createperson")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	@Column(value = "updatetime")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	@Column(value = "updateperson")
	private String updateperson;
}
