package com.prolog.rdc.tms.model.entity.line;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * G7车辆温度数据表
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xiaoyf
 * @since 2022/3/8 15:43
 */
@Data
@Table("tms_vehicle_temperature_data_g7")
public class TmsVehicleTemperatureG7Model implements Serializable {

	private static final long serialVersionUID = 6794917163277340175L;

	@Id
	@ApiModelProperty(value = "主键")
	@Column(value = "id")
	private Long id;

	@Column(value = "truckid")
	@ApiModelProperty(value = "truckid")
	private String truckid;

	@Column(value = "orgcode")
	@ApiModelProperty(value = "orgcode")
	private String orgcode;

	@Column(value = "vehicle_plate_number")
	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@Column(value = "device_code")
	@ApiModelProperty(value = "设备号")
	private String deviceCode;

	@Column(value = "longitude")
	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@Column(value = "latitude")
	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@Column(value = "temperature")
	@ApiModelProperty(value = "温度")
	private BigDecimal temperature;

	@Column(value = "humidity")
	@ApiModelProperty(value = "湿度")
	private BigDecimal humidity;

	@Column(value = "coldchaintype")
	@ApiModelProperty(value = "coldchaintype")
	private BigDecimal coldchaintype;

	@Column(value = "time")
	@ApiModelProperty(value = "温度采集时间")
	private Date time;

	@Column(value = "enterprise_id")
	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@Column(value = "enterprise_name")
	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@Column(value = "createtime")
	@ApiModelProperty(value = "数据写入时间")
	private Date createtime;

	@Column(value = "createperson")
	@ApiModelProperty(value = "数据写入人")
	private String createperson;

	@Column(value = "updatetime")
	@ApiModelProperty(value = "最后修改时间")
	private Date updatetime;

	@Column(value = "updateperson")
	@ApiModelProperty(value = "最后修改人")
	private String updateperson;
}
