package com.prolog.rdc.tms.model.entity.message;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
*  Model
* <p>
* Copyright: Copyright (C) 2022 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2022-11-15 14:03:39
*/
@Data
@Table(value = "tms_message_config_condition")
public class TmsMessageConfigCondition implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @Id
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "消息配置ID")
    @Column(value = "message_config_id")
    private Long messageConfigId;

    @ApiModelProperty(value = "消息配置条件类型MESSAGE_CONDITION_TYPE")
    @Column(value = "condition_type")
    private String conditionType;

    @ApiModelProperty(value = "消息配置条件对应的值")
    @Column(value = "condition_value")
    private String conditionValue;

    @ApiModelProperty(value = "单位ID  单位ID1,单位ID2")
    @Column(value = "unit_id")
    private String unitId;

    @ApiModelProperty(value = "单位编码  单位编码1,单位编码2")
    @Column(value = "unit_code")
    private String unitCode;

    @ApiModelProperty(value = "单位名称  单位名称1,单位名称2")
    @Column(value = "unit_name")
    private String unitName;

    @ApiModelProperty(value = "公司ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "公司名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

}
