package com.prolog.rdc.tms.model.entity.message;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
*  Model
* <p>
* Copyright: Copyright (C) 2022 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2022-11-15 14:03:39
*/
@Data
@Table(value = "tms_message_config_notice_to")
public class TmsMessageConfigNoticeTo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @Id
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "消息配置id")
    @Column(value = "message_config_id")
    private Long messageConfigId;

    @ApiModelProperty(value = "类型：R 角色 U 用户")
    @Column(value = "type")
    private String type;

    @ApiModelProperty(value = "通知对象id集合")
    @Column(value = "notice_to_id")
    private String noticeToId;

    @ApiModelProperty(value = "通知对象名称集合")
    @Column(value = "notice_to_name")
    private String noticeToName;

    @ApiModelProperty(value = "公司ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

}
