package com.prolog.rdc.tms.model.entity.message;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
*  Model
* <p>
* Copyright: Copyright (C) 2022 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2022-11-15 14:03:39
*/
@Data
@Table(value = "tms_message")
public class TmsMessageModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "消息ID")
    @Id
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "消息配置ID")
    @Column(value = "message_config_id")
    private Long messageConfigId;

    @ApiModelProperty(value = "消息配置名称")
    @Column(value = "message_name")
    private String messageName;

    @ApiModelProperty(value = "消息类型MESSAGE_TYPE")
    @Column(value = "message_type")
    private String messageType;

    @ApiModelProperty(value = "消息推送类型MESSAGE_SEND_TYPE")
    @Column(value = "message_send_type")
    private String messageSendType;

    @ApiModelProperty(value = "业务单据ID")
    @Column(value = "refbillid")
    private String refbillid;

    @ApiModelProperty(value = "业务单据号")
    @Column(value = "refbillno")
    private String refbillno;

    @ApiModelProperty(value = "消息内容")
    @Column(value = "content")
    private String content;

    @ApiModelProperty(value = "单位id")
    @Column(value = "customer_ids")
    private String customerIds;

    @ApiModelProperty(value = "单位编号")
    @Column(value = "customer_codes")
    private String customerCodes;

    @ApiModelProperty(value = "单位名称")
    @Column(value = "customer_names")
    private String customerNames;

    @ApiModelProperty(value = "发送时间")
    @Column(value = "send_time")
    private Date sendTime;

    @ApiModelProperty(value = "发送人ID")
    @Column(value = "send_user_id")
    private String sendUserId;

    @ApiModelProperty(value = "发送人名称")
    @Column(value = "send_user_name")
    private String sendUserName;

    @ApiModelProperty(value = "发送部门ID")
    @Column(value = "send_department_id")
    private String sendDepartmentId;

    @ApiModelProperty(value = "发送部门名称")
    @Column(value = "send_department_name")
    private String sendDepartmentName;

    @ApiModelProperty(value = "接收人ID")
    @Column(value = "receive_user_id")
    private String receiveUserId;

    @ApiModelProperty(value = "接收人名称")
    @Column(value = "receive_user_name")
    private String receiveUserName;

    @ApiModelProperty(value = "接收部门ID")
    @Column(value = "receive_department_id")
    private String receiveDepartmentId;

    @ApiModelProperty(value = "接收部门名称")
    @Column(value = "receive_department_name")
    private String receiveDepartmentName;

    @ApiModelProperty(value = "是否已读 0:否 1:是")
    @Column(value = "whether_read")
    private String whetherRead;

    @ApiModelProperty(value = "已读时间")
    @Column(value = "read_time")
    private Date readTime;

    @ApiModelProperty(value = "接收企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "接收企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

    @ApiModelProperty(value = "通知类型")
    @Column(value = "message_notice_type")
    private String messageNoticeType;

    @ApiModelProperty(value = "运单ID")
    @Column(value = "shipbill_id")
    private String shipbillId;

    @ApiModelProperty(value = "语音播报")
    @Column(value = "alarm_voice")
    private String alarmVoice;

}
