package com.prolog.rdc.tms.model.entity.message;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;

/**
*  Model
* <p>
* Copyright: Copyright (C) 2022 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2022-11-17 16:03:45
*/
@Data
@Table(value = "tms_message_send_log")
public class TmsMessageSendLogModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "消息日志ID")
    @Id
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "消息配置ID")
    @Column(value = "message_config_id")
    private Long messageConfigId;

    @ApiModelProperty(value = "消息配置名称")
    @Column(value = "message_name")
    private String messageName;

    @ApiModelProperty(value = "消息类型MESSAGE_TYPE")
    @Column(value = "message_type")
    private String messageType;

    @ApiModelProperty(value = "消息推送类型MESSAGE_SEND_TYPE")
    @Column(value = "send_type")
    private String sendType;

    @ApiModelProperty(value = "消息单据类型MESSAGE_ORDER_TYPE")
    @Column(value = "order_type")
    private String orderType;

    @ApiModelProperty(value = "消息单据号")
    @Column(value = "order_no")
    private String orderNo;

    @ApiModelProperty(value = "消息内容")
    @Column(value = "content")
    private String content;

    @ApiModelProperty(value = "消息条件")
    @Column(value = "condition")
    private String condition;

    @ApiModelProperty(value = "消息对象")
    @Column(value = "notice_to")
    private String noticeTo;

    @ApiModelProperty(value = "推送状态0成功  1失败")
    @Column(value = "send_status")
    private String sendStatus;

    @ApiModelProperty(value = "推送时间")
    @Column(value = "send_time")
    private Date sendTime;

    @ApiModelProperty(value = "失败原因")
    @Column(value = "error_msg")
    private String errorMsg;

    @ApiModelProperty(value = "重试次数")
    @Column(value = "retry_count")
    private Long retryCount;

    @ApiModelProperty(value = "最后重试时间")
    @Column(value = "retry_time")
    private Date retryTime;

    @ApiModelProperty(value = "请求入参")
    @Column(value = "request_param")
    private String requestParam;

    @ApiModelProperty(value = "接收企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "接收企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

    @ApiModelProperty(value = "通知类型")
    @Column(value = "message_notice_type")
    private String messageNoticeType;

    @ApiModelProperty(value = "运单ID")
    @Column(value = "shipbill_id")
    private String shipbillId;

}
