package com.prolog.rdc.tms.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.apache.poi.ss.usermodel.IndexedColors;

import java.io.Serializable;

@Data
@ApiModel("费用调整导入VO")
public class BmsFeeAdjustImportVO implements Serializable {

    @ValidationPropertyExt(headFontColor = IndexedColors.RED)
    @ExcelProperty(value = "货主名称")
    private String cargoOwnerName;

    @ExcelProperty(value = "结算部门")
    private String settlementDepartment;

    @ValidationPropertyExt(headFontColor = IndexedColors.RED)
    @ExcelProperty(value = "派车单号")
    private String loadingBillNo;

    @ExcelProperty(value = "司机姓名")
    private String driverName;

    @ExcelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ValidationPropertyExt(headFontColor = IndexedColors.RED)
    @ExcelProperty(value = "调整金额(支持负数)")
    private String adjustAmt;

    @ExcelProperty(value = "调整说明")
    private String demo;

}