package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 号码规则保存VO
 *
 * @className    :SysCodeengineSaveVO
 * @author       :fanzw
 * @creationTime :2021/04/21
 * @description  :
 *
 * @modifier     :fanzw
 * @modifyTime   :2021/04/21
 * @reviseRemarks:
 *
 * @version      :1.0.0
 *
 */
@Data
public class SysCodeengineSaveVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "号码代号")
    private String codeid;

    @ApiModelProperty(value = "识别代号")
    private String code;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "号码类型分类")
    private String codetype;

    @ApiModelProperty(value = "值类型")
    private String codedatatype;

    @ApiModelProperty(value = "标识符")
    private String codeflag;

    @ApiModelProperty(value = "长度")
    private Integer length;

    @ApiModelProperty(value = "间隔")
    private Integer gap;

    @ApiModelProperty(value = "最大单据号")
    private String maxbillno;

    @ApiModelProperty(value = "号码规则")
    private String billrule;

    @ApiModelProperty(value = "是否段资源定义")
    private String issegsource;

    @ApiModelProperty(value = "段代码取法")
    private String segcodesql;

    @ApiModelProperty(value = "父识别号")
    private String groupid;

    @ApiModelProperty(value = "最后修改时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastdate;
    
    @ApiModelProperty(value = "备注")
    private String remark;
}
