package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

import org.springframework.format.annotation.DateTimeFormat;

import com.prolog.product.core.base.group.AddGroup;
import com.prolog.product.core.base.group.EditGroup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入日志 VO
 *
 *
 * @className: SysImportLogVO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("导入日志 VO")
public class SysImportLogVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	@NotBlank(message = "主键必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 32, message = "主键最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String logid;

	@ApiModelProperty(value = "导入人ID")
	@Size(max = 32, message = "导入人ID最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String importBy;

	@ApiModelProperty(value = "导入人姓名p_nickname")
	@Size(max = 64, message = "导入人姓名p_nickname最大长度64", groups = { AddGroup.class, EditGroup.class })
	private String importPersonName;

	@ApiModelProperty(value = "模板名称")
	@Size(max = 100, message = "模板名称最大长度100", groups = { AddGroup.class, EditGroup.class })
	private String templeteName;

	@ApiModelProperty(value = "手机号")
	@Size(max = 20, message = "手机号最大长度20", groups = { AddGroup.class, EditGroup.class })
	private String phoneno;

	@ApiModelProperty(value = "导入对象")
	@Size(max = 64, message = "导入对象最大长度64", groups = { AddGroup.class, EditGroup.class })
	private String importObjNo;

	@ApiModelProperty(value = "导入对象名称")
	@Size(max = 30, message = "导入对象名称，最大长度30", groups = { AddGroup.class, EditGroup.class })
	private String importObjName;

	@ApiModelProperty(value = "导入批次")
	@Size(max = 32, message = "导入批次最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String batchno;

	@ApiModelProperty(value = "导入状态，0失败，1.成功")
	private Integer status;

	@ApiModelProperty(value = "操作状态，0撤销，1.导入")
	private Integer optStatus;

	@ApiModelProperty(value = "成功条数")
	private Integer successNum;

	@ApiModelProperty(value = "失败条数")
	private Integer failNum;

	@ApiModelProperty(value = "失败原因")
	@Size(max = 200, message = "失败原因最大长度200", groups = { AddGroup.class, EditGroup.class })
	private String failReason;

	@ApiModelProperty(value = "导入公司ID")
	@Size(max = 64, message = "导入公司ID最大长度64", groups = { AddGroup.class, EditGroup.class })
	private String penterpriseid;

	@ApiModelProperty(value = "导入公司名称")
	@Size(max = 128, message = "导入公司名称最大长度128", groups = { AddGroup.class, EditGroup.class })
	private String penterprisename;

	@ApiModelProperty(value = "导入时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime importTime;

	@ApiModelProperty(value = "修改时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime updatetime;

	@ApiModelProperty(value = "修改人ID")
	@Size(max = 32, message = "修改人ID最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String updateby;

	@ApiModelProperty(value = "修改人姓名p_nickname")
	@Size(max = 64, message = "修改人姓名p_nickname最大长度64", groups = { AddGroup.class, EditGroup.class })
	private String updateperson;

}
