package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import org.springframework.format.annotation.DateTimeFormat;

import com.prolog.product.core.base.group.AddGroup;
import com.prolog.product.core.base.group.EditGroup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入模板标准字段表 VO
 *
 *
 * @className: SysImportStdFeildVO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("导入模板标准字段表 VO")
public class SysImportStdFeildVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	@NotBlank(message = "主键必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 32, message = "主键最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String fieldid;

	@ApiModelProperty(value = "导入对象编码，通用参照数据中配置")
	@Size(max = 32, message = "导入对象编码，通用参照数据中配置最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String importObjNo;

	@ApiModelProperty(value = "标准列名编码")
	@NotBlank(message = "标准列名编码必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 100, message = "标准列名编码最大长度100", groups = { AddGroup.class, EditGroup.class })
	private String stdColNo;

	@ApiModelProperty(value = "标准列名名称")
	@NotBlank(message = "标准列名名称必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 100, message = "标准列名名称最大长度100", groups = { AddGroup.class, EditGroup.class })
	private String stdColName;

	@ApiModelProperty(value = "排序号")
	private Integer sort;

	@ApiModelProperty(value = "备注")
	@Size(max = 500, message = "备注最大长度500", groups = { AddGroup.class, EditGroup.class })
	private String remark;

	@ApiModelProperty(value = "创建时间")
	@NotNull(message = "创建时间必填", groups = { AddGroup.class, EditGroup.class })
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime createtime;

	@ApiModelProperty(value = "创建人")
	@NotBlank(message = "创建人必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 32, message = "创建人最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String createby;

	@ApiModelProperty(value = "创建人姓名")
	@NotBlank(message = "创建人姓名必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 64, message = "创建人姓名最大长度64", groups = { AddGroup.class, EditGroup.class })
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime updatetime;

	@ApiModelProperty(value = "修改人ID")
	@Size(max = 32, message = "修改人ID最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String updateby;

	@ApiModelProperty(value = "修改人姓名p_nickname")
	@Size(max = 64, message = "修改人姓名p_nickname最大长度64", groups = { AddGroup.class, EditGroup.class })
	private String updateperson;

}
