package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 *
 * 导入配置模板详情 VO 新增
 *
 *
 * @className: SysImportTempletdAddVO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("导入配置模板详情 VO新增")
public class SysImportTempletdAddVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "标准模板excel列名编码", required = true)
    @NotBlank(message = "标准模板excel列名编码必填")
    @Size(max = 100, message = "标准模板excel列名编码最大长度100")
    private String stdColNo;

    @ApiModelProperty(value = "标准模板excel列名", required = true)
    @NotBlank(message = "标准模板excel列名必填")
    @Size(max = 50, message = "标准模板excel列名最大长度50")
    private String stdColName;

    @ApiModelProperty(value = "自定义列名", required = true)
    @Size(max = 50, message = "自定义列名最大长度50")
    private String custColName;

    @ApiModelProperty(value = "是否必填,1-是/0-否")
    private Integer required;

    @ApiModelProperty(value = "标记")
    private String labelType;

    @ApiModelProperty(value = "默认id")
    private String defaultId;

    @ApiModelProperty(value = "默认code")
    private String defaultCode;

    @ApiModelProperty(value = "默认name")
    private String defaultName;

}
