package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

import com.prolog.product.core.base.group.AddGroup;
import com.prolog.product.core.base.group.EditGroup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入配置模板详情 VO
 *
 *
 * @className: SysImportTempletdUpdateVO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("导入配置模板详情 VO更新")
public class SysImportTempletdUpdateVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	@NotBlank(message = "主键必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 32, message = "主键最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String fieldid;

	@ApiModelProperty(value = "自定义列名")
	@Size(max = 50, message = "自定义列名最大长度50", groups = { AddGroup.class, EditGroup.class })
	private String custColName;

	@ApiModelProperty(value = "是否必填,1-是/0-否")
	private Integer required;

	@ApiModelProperty(value = "标记")
	private String labelType;

	@ApiModelProperty(value = "默认id")
	private String defaultId;

	@ApiModelProperty(value = "默认code")
	private String defaultCode;

	@ApiModelProperty(value = "默认name")
	private String defaultName;

}
