package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import org.springframework.format.annotation.DateTimeFormat;

import com.prolog.product.core.base.group.AddGroup;
import com.prolog.product.core.base.group.EditGroup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入配置模板详情 VO
 *
 *
 * @className: SysImportTempletdVO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("导入配置模板详情 VO")
public class SysImportTempletdVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	@NotBlank(message = "主键必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 32, message = "主键最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String did;

	@ApiModelProperty(value = "汇总主键")
	@NotBlank(message = "汇总主键必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 32, message = "汇总主键最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String hid;

	@ApiModelProperty(value = "导入对象编码")
	@NotBlank(message = "导入对象编码必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 32, message = "导入对象编码最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String importObjNo;

	@ApiModelProperty(value = "导入对象名称，通用参照数据中配置")
	@Size(max = 30, message = "导入对象名称，通用参照数据中配置最大长度30", groups = { AddGroup.class, EditGroup.class })
	private String importObjName;

	@ApiModelProperty(value = "标准列名编码")
	@NotBlank(message = "标准列名编码必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 100, message = "标准列名编码最大长度100", groups = { AddGroup.class, EditGroup.class })
	private String stdColNo;

	@ApiModelProperty(value = "标准列名名称")
	@Size(max = 100, message = "标准列名名称最大长度100", groups = { AddGroup.class, EditGroup.class })
	private String stdColName;

	@ApiModelProperty(value = "自定义列名")
	@Size(max = 100, message = "自定义列名最大长度100", groups = { AddGroup.class, EditGroup.class })
	private String custColName;

	@ApiModelProperty(value = "是否启用，0否，1是")
	@NotNull(message = "是否启用，0否，1是必填", groups = { AddGroup.class, EditGroup.class })
	private Integer status;

	@ApiModelProperty(value = "模板状态，用于删除，0无效，1有效")
	private Integer templetStatus;

	@ApiModelProperty(value = "排序号")
	private Integer sort;

	@ApiModelProperty(value = "备注")
	@Size(max = 500, message = "备注最大长度500", groups = { AddGroup.class, EditGroup.class })
	private String remark;

	@ApiModelProperty(value = "企业ID")
	@Size(max = 64, message = "企业ID最大长度64", groups = { AddGroup.class, EditGroup.class })
	private String penterpriseid;

	@ApiModelProperty(value = "企业名称")
	@Size(max = 128, message = "企业名称最大长度128", groups = { AddGroup.class, EditGroup.class })
	private String penterprisename;

	@ApiModelProperty(value = "扩展字段1")
	@Size(max = 128, message = "扩展字段1最大长度128", groups = { AddGroup.class, EditGroup.class })
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	@Size(max = 128, message = "扩展字段2最大长度128", groups = { AddGroup.class, EditGroup.class })
	private String extend02;

	@ApiModelProperty(value = "扩展字段数字1")
	private BigDecimal extendnum01;

	@ApiModelProperty(value = "扩展字段数字2")
	private BigDecimal extendnum02;

	@ApiModelProperty(value = "扩展字段日期1")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime extenddte01;

	@ApiModelProperty(value = "扩展字段日期2")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime extenddte02;

	@ApiModelProperty(value = "创建时间")
	@NotNull(message = "创建时间必填", groups = { AddGroup.class, EditGroup.class })
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime createtime;

	@ApiModelProperty(value = "创建人ID")
	@Size(max = 32, message = "创建人ID最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String createby;

	@ApiModelProperty(value = "创建人姓名p_nickname")
	@NotBlank(message = "创建人姓名p_nickname必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 64, message = "创建人姓名p_nickname最大长度64", groups = { AddGroup.class, EditGroup.class })
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime updatetime;

	@ApiModelProperty(value = "修改人ID")
	@Size(max = 32, message = "修改人ID最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String updateby;

	@ApiModelProperty(value = "修改人姓名p_nickname")
	@Size(max = 64, message = "修改人姓名p_nickname最大长度64", groups = { AddGroup.class, EditGroup.class })
	private String updateperson;

}
