package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

import com.prolog.product.core.base.group.AddGroup;
import com.prolog.product.core.base.group.EditGroup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 高级查询条件配置 VO
 *
 *
 * @className: SysQueryDefinedAddVO
 * @author: kh
 * @creationTime: 2022-01-19 09:39:31
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("高级查询条件配置明细 VO")
public class SysQueryDefinedAddVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "行ID")
//    @NotBlank(message = "行ID必填", groups = {AddGroup.class, EditGroup.class})
	@Size(max = 32, message = "行ID最大长度32", groups = { AddGroup.class, EditGroup.class })
	private Long lineId;

	@ApiModelProperty(value = "字段编码")
	@NotBlank(message = "字段编码必填")
	@Size(max = 100, message = "字段编码最大长度100")
	private String fieldCode;

	@ApiModelProperty(value = "比较操作符编码")
	@NotBlank(message = "比较操作符编码必填")
	@Size(max = 20, message = "比较操作符编码最大长度10")
	private String comparisonOperatorCode;

	@ApiModelProperty(value = "逻辑操作符编码")
	private Integer logicalOperatorCode;

	@ApiModelProperty(value = "条件")
	@Size(max = 500, message = "条件最大长度500")
	private String condition;
}
