package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.validation.constraints.Size;

import com.prolog.product.core.base.group.AddGroup;
import com.prolog.product.core.base.group.EditGroup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 装卸参数维护 查询VO
 *
 * @className :TmsBaseParameterVO
 * @author :fanzw
 * @creationTime :2020/06/29
 * @description :
 * @modifier :fanzw
 * @modifyTime :2020/06/29
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("装卸参数维护 查询VO")
public class TmsBaseParameterQueryVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "物流中心/仓ID")
	@Size(max = 32, message = "物流中心/仓ID最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String branchCode;

	@ApiModelProperty(value = "参数编号")
	@Size(max = 32, message = "参数编号最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String parameterCode;

	@ApiModelProperty(value = "分组编号")
	@Size(max = 32, message = "分组编号最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String fatherParameterCode;

	private String[] parameterCodes;

	private Integer pageNum;

	private Integer pageSize;

	private String parameterName;

	private String fatherParameterName;

	private BigDecimal seqno;
}
