package com.prolog.rdc.tms.model.vo.advancedquery;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.rdc.tms.util.QueryInfo;

import lombok.Data;

/**
 *
 * 导入配置模板汇总 用于反射，拿到用于页面条件查询的字段信息
 *
 *
 * @className: SysImportTemplethQuery
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@QueryInfo(table = "sys_import_templeth")
public class SysImportTemplethQuery {

	// @QueryInfo(name = "导入对象编码", column = "import_obj_no")
	// private String importObjNo;

	@QueryInfo(name = "导入对象", column = "import_obj_name")
	private String importObjName;

	@QueryInfo(name = "模板名称", column = "templete_name")
	private String templeteName;

	@QueryInfo(name = "是否启用", dict = "ENABLE_STATUS")
	private Integer status;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@QueryInfo(name = "创建时间")
	private Date createtime;

	@QueryInfo(name = "创建用户")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@QueryInfo(name = "修改时间")
	private Date updatetime;

	@QueryInfo(name = "修改用户")
	private String updateperson;

	@QueryInfo(name = "企业ID", column = "p_enterpriseid", isMust = true, isShown = false)
	private String penterpriseid;

	@QueryInfo(name = "模板状态", column = "templet_status", isMust = true, isShown = false, note = "用于删除，0无效，1有效")
	private Integer templetStatus;
}
