package com.prolog.rdc.tms.model.vo.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 业务流程条件修改VO
 *
 * @className :BusinessFlowConditionUpdateVO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("业务流程条件修改VO")
public class BusinessFlowConditionUpdateVO {

    @ApiModelProperty(value = "ID 主键")
    @NotNull(message = "流程条件ID不能为空")
    private Long id;

    @ApiModelProperty(value = "业务流程ID")
    @NotNull(message = "业务流程ID不能为空")
    private Long businessFlowId;

    @ApiModelProperty(value = "流程条件类型 数据字典 FLOW_CONDITION_TYPE 1配送方式 2发货方类型 3收货方类型")
    @NotNull(message = "流程条件类型不能为空")
    private Integer flowConditionType;

    @ApiModelProperty(value = "流程条件对应的值  流程条件是配送方式 ：1配送 2自提 流程条件是收/发货方类型：1客户 2仓库 3供应商")
    @NotNull(message = "流程条件类型对应的值不能为空")
    private String flowConditionValue;

    @ApiModelProperty(value = "单位ID  单位ID1,单位ID2")
    private String unitId;

    @ApiModelProperty(value = "单位编码 单位编码1,单位编码2")
    private String unitCode;

    @ApiModelProperty(value = "单位名称 单位名称1,单位名称2")
    private String unitName;
}
