package com.prolog.rdc.tms.model.vo.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 *
 *
 * 业务流程修改VO
 *
 * @className :BusinessFlowUpdateVO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("业务流程修改VO")
public class BusinessFlowUpdateVO {

    @ApiModelProperty(value = "ID 主键")
    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty(value = "流程名称")
    @NotBlank(message = "流程名称不能为空")
    private String flowName;

    @ApiModelProperty(value = "流程类型 数据字典FLOW_TYPE：1承运商 2自有")
    @NotNull(message = "流程优先级不能为空")
    private Integer flowType;

    @ApiModelProperty(value = "流程配置 新增,提交,审核")
    @NotBlank(message = "流程配置不能为空")
    private String flowConfig;

    @ApiModelProperty(value = "流程优先级")
    @NotNull(message = "流程优先级不能为空")
    private Integer priorityLevel;

    @ApiModelProperty(value = "流程配置条件")
    @NotEmpty(message = "流程配置条件不能为空")
    private List<BusinessFlowConditionUpdateVO> flowConditions;

    @ApiModelProperty(value = "排除的流程配置条件")
    private List<BusinessFlowConditionUpdateVO> excludedFlowConditions;


}
