package com.prolog.rdc.tms.model.vo.basicConfigure;

import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;


/**
 *
 *
 * 承运方匹配策略修改VO
 *
 * @className :CarrierMthStrategyUpdateVO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("承运方匹配策略修改VO")
public class CarrierMthStrategyUpdateVO {

    @ApiModelProperty(value = "策略ID")
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "策略名称")
    private String strategyName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "按照客户匹配承运方顺序")
    private Integer matchTypeCustomer;

    @ApiModelProperty(value = "按照线路匹配承运方顺序")
    private Integer matchTypeLineConsignor;

    @ApiModelProperty(value = "按照承运方匹配策略")
    private Integer matchTypeCarrier;

    @ApiModelProperty(value = "按照重量匹配策略")
    private Integer matchTypeWeight;

    @ApiModelProperty(value = "按照体积匹配策略")
    private Integer matchTypeVolume;

    @ApiModelProperty(value = "按照重量体积匹配策略")
    private Integer matchTypeWeightVolume;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @ApiModelProperty(value = "承运方匹配策略条件集合")
    private List<CarrierMthStrategyCtUpdateVO> strategyCtUpdateVOList;
}
