package com.prolog.rdc.tms.model.vo.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 *
 * 根据导入批次公共分页查询VO
 *
 * @className :ImportPageVO
 * @author :kh
 * @creationTime :2022/04/24
 * @description :
 *
 * @modifier :kh
 * @modifyTime :2022/04/24
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据导入批次公共分页查询VO")
public class ImportPageVO implements Serializable {

	private static final long serialVersionUID = -3158368106435434046L;

	@ApiModelProperty(value = "导入批次号")
	private String importBatchNumber;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	// STD-DEVELOP20220823 lhb JC-HZ-001 客户支持多部门 20220906 start
	@ApiModelProperty(value = "客户ID数组集合 前端入参格式 ['客户ID1','客户ID2']" , hidden = true)
	private Long[] idArrs;

	@ApiModelProperty(value = "货主ID" , hidden = true)
	private Long[] cargoOwnerIds;

	@ApiModelProperty(value = "承运商ID" , hidden = true)
	private Long[] carrierIds;

	@ApiModelProperty(value = "部门ID" , hidden = true)
	private String[] departmentIds;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "是否客户权限" , hidden = true)
	private String isCustom;

	@ApiModelProperty(value = "是否货主权限" , hidden = true)
	private String isCargoOwner;

	@ApiModelProperty(value = "是否部门权限" , hidden = true)
	private String isDept;

	// STD-DEVELOP20220823 lhb JC-HZ-001 客户支持多部门 20220906 end
}
