package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 系统参数保存VO
 *
 * @className    :SysParamConfigSaveVO
 * @author       :fanzw
 * @creationTime :2022/07/18
 * @description  :
 *
 * @modifier     :fanzw
 * @modifyTime   :2022/07/18
 * @reviseRemarks:
 *
 * @version      :1.0.0
 *
 */
@Data
@ApiModel("系统参数保存VO")
public class ParamConfigSaveVO implements Serializable {

	private static final long serialVersionUID = -1902132301685315502L;

	@Size(max = 32, message = "参数编码长度过长")
	@NotEmpty(message = "参数编码不能为空")
	@ApiModelProperty(value = "参数编码")
	private String code;

	@Size(max = 64, message = "参数名称长度过长")
	@NotEmpty(message = "参数名称不能为空")
	@ApiModelProperty(value = "参数名称")
	private String name;

	@Size(max = 32, message = "参数值长度过长")
	@NotEmpty(message = "参数值不能为空")
	@ApiModelProperty(value = "参数值")
	private String value;

}
