package com.prolog.rdc.tms.model.vo.basicConfigure;

import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 业务规则策略-新增VO
 *
 * @author zhangsj
 * @since 2022-07-16 10:06:06
 */
@Data
@ApiModel("业务规则策略-新增VO")
public class StrategyBusinessCntUpdateVO implements Serializable {

    private static final long serialVersionUID = 805258676962222983L;

    @NotNull(message = "业务规则策略条件id不能为空")
    @ApiModelProperty(value = "主键")
    private Long id;

    @NotNull(message = "满足条件类型不能为空")
    @ApiModelProperty(value = "业务规则策略条件类型 数据字典 BUSINESS_CONDITION_TYPE 拆单策略条件类型 数据字典 BUSINESS_CONDITION_TYPE 1配送方式 2发货方类型 3收货方类型 4订单类型 5订单业务类型 " +
            "6运输模式 7温度要求 8货主 9部门 10商品 11商品品类 12 商品件数 13 商品重量 14商品总件数  15商品总重量 ")
    private Integer strategyConditionType;

    @ApiModelProperty(value = "业务规则策略条件对应的值" +
            "策略条件是订单类型 1普通 2紧急 3加急" +
            "策略条件是订单业务类型 1销售订单-直送 2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提" +
            "策略条件是配送方式 ：1配送 2自提 " +
            "策略条件是运输模式：1整车 2零担")
    private String strategyConditionValue;

    @ApiModelProperty(value = "单位ID  单位ID1,单位ID2")
    @Column(value = "unit_id")
    private String unitId;

    @ApiModelProperty(value = "单位编码  单位编码1,单位编码2")
    private String unitCode;

    @ApiModelProperty(value = "单位名称  单位名称1,单位名称2")
    private String unitName;

    @ApiModelProperty(value = "下限值")
    private BigDecimal lowerLimitValue;

    @ApiModelProperty(value = "上限值")
    private BigDecimal upperLimitValue;

    @ApiModelProperty(value = "上限值比较符号 数据字典 CMP_SYMBOL 1大于 2大于等于 3小于 4小于等于")
    private Integer upperLimitSymbol;

    @ApiModelProperty(value = "下限值比较符号 数据字典 CMP_SYMBOL 1大于 2大于等于 3小于 4小于等于")
    private Integer lowerLimitSymbol;

    @ApiModelProperty(value = "发货方省编码")
    private String shipperProvince;

    @ApiModelProperty(value = "发货方市编码")
    private String shipperCity;

    @ApiModelProperty(value = "发货方区/县编码")
    private String shipperDistrict;

    @ApiModelProperty(value = "收货方省编码")
    private String consigneeProvince;

    @ApiModelProperty(value = "收货方市编码")
    private String consigneeCity;

    @ApiModelProperty(value = "收货方区/县编码")
    private String consigneeDistrict;

}
