package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;

import com.prolog.framework.core.annotation.Column;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 拆分策略-新增VO
 *
 * @author zhangsj
 * @since 2022-07-16 10:06:06
 */
@Data
@ApiModel("拆分策略-新增VO")
public class StrategySplitConditionSaveVO implements Serializable {

    private static final long serialVersionUID = 805258676962222983L;

    @ApiModelProperty(value = "承运方策略条件类型 数据字典 STRATEGY_CONDITION_TYPE 1订单类型 2订单业务类型3配送方式 4运输模式 5仓库6客户7供应商")
    private Integer strategyConditionType;

    @ApiModelProperty(value = "承运方策略条件对应的值" +
            "策略条件是订单类型 1普通 2紧急 3加急" +
            "策略条件是订单业务类型 1销售订单-直送 2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提" +
            "策略条件是配送方式 ：1配送 2自提 " +
            "策略条件是运输模式：1整车 2零担")
    private Integer strategyConditionValue;

    @ApiModelProperty(value = "单位ID  单位ID1,单位ID2")
    @Column(value = "unit_id")
    private String unitId;

    @ApiModelProperty(value = "单位编码  单位编码1,单位编码2")
    @Column(value = "unit_code")
    private String unitCode;

    @ApiModelProperty(value = "单位名称  单位名称1,单位名称2")
    @Column(value = "unit_name")
    private String unitName;

}
