package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 拆分策略-修改VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/16 9:52
 */
@Data
@ApiModel("拆分策略-修改VO")
public class StrategySplitUpdateVO implements Serializable {

    private static final long serialVersionUID = -2455913545157188420L;

    @NotNull(message = "拆分策略id不能为空")
    @ApiModelProperty(value = "拆分策略id")
    private Long id;

    @ApiModelProperty(value = "执行操作(拆分规则)编码 数据字典RULE_CODE:1按商品品类拆分 2按包装类型拆分 3按货物温层拆分 4按数量、库存数量拆分 5按默认存放仓库、数量、库存数量拆分")
    private Integer ruleCode;

    @ApiModelProperty(value = "执行操作(拆分规则)名称 数据字典RULE_CODE:1按商品品类拆分 2按包装类型拆分 3按货物温层拆分 4按数量、库存数量拆分 5按默认存放仓库、数量、库存数量拆分")
    private String ruleName;

    @ApiModelProperty(value = "按运单明细拆分关键字")
    private String shipbillDetailSplitKey;

    @ApiModelProperty(value = "拆分后是否重新匹配线路 数据字典 REMATCH_LINE :0否 1是")
    private Integer rematchLine;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "拆分策略条件集合")
    private List<StrategySplitConditionUpdateVO> strategySplitConditionUpdateVOS = new ArrayList<StrategySplitConditionUpdateVO>();


}
