package com.prolog.rdc.tms.model.vo.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 中转策略-分页查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/16 9:52
 */
@Data
@ApiModel("中转策略-分页查询VO")
public class StrategyTransferPageVO implements Serializable {

    private static final long serialVersionUID = -2455913545157188420L;

    @NotNull(message = "当前页不能为空")
    @ApiModelProperty(value = "当前页")
    private Integer pageNum;

    @NotNull(message = "页最大行数不能为空")
    @ApiModelProperty(value = "页最大行数")
    private Integer pageSize;

    @ApiModelProperty(value = "中转策略名称")
    private String name;

    @ApiModelProperty(value = "状态 数据字典GENERAL_STATUS:0停用 10启用")
    private Integer status;
}
