package com.prolog.rdc.tms.model.vo.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 中转策略-新增VO
 *
 * @author zhangsj
 * @since 2022-07-16 10:06:06
 */
@Data
@ApiModel("中转策略-新增VO")
public class StrategyTransferStationSaveVO implements Serializable {

    private static final long serialVersionUID = 805258676962222983L;

    @ApiModelProperty(value = "中转站ID")
    @NotNull(message = "中转站ID不能为空")
    private Long transferStationId;

    @ApiModelProperty(value = "中转站编码")
    @NotNull(message = "中转站编码不能为空")
    private String transferStationCode;

    @ApiModelProperty(value = "中转站名称")
    @NotNull(message = "中转站名称不能为空")
    private String transferStationName;

    @ApiModelProperty(value = "中转站顺序")
    @NotNull(message = "中转站顺序不能为空")
    private Integer transferOrder;

    @ApiModelProperty(value = "预计到达开始时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    @NotNull(message = "预计到达开始时间类型不能为空")
    private Integer deliveryStartTimeType;

    @ApiModelProperty(value = "预计到达开始时间_小时")
    private Integer deliveryStartTimeHour;

    @ApiModelProperty(value = "预计到达开始时间_分钟")
    private Integer deliveryStartTimeMinute;

    @ApiModelProperty(value = "预计到达结束时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    @NotNull(message = "预计到达结束时间类型不能为空")
    private Integer deliveryEndTimeType;

    @ApiModelProperty(value = "预计到达结束时间_天")
    private Integer deliveryEndTimeDay;

    @ApiModelProperty(value = "预计到达结束时间_小时")
    private Integer deliveryEndTimeHour;

    @ApiModelProperty(value = "预计到达结束时间_分钟")
    private Integer deliveryEndTimeMinute;

    @ApiModelProperty(value = "预计发出开始时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    @NotNull(message = "预计发出开始时间类型不能为空")
    private Integer sendStartTimeType;

    @ApiModelProperty(value = "预计发出开始时间_小时")
    private Integer sendStartTimeHour;

    @ApiModelProperty(value = "预计发出开始时间_分钟")
    private Integer sendStartTimeMinute;

    @ApiModelProperty(value = "预计发出结束时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期")
    @NotNull(message = "预计发出结束时间类型不能为空")
    private Integer sendEndTimeType;

    @ApiModelProperty(value = "预计发出结束时间_天")
    private Integer sendEndTimeDay;

    @ApiModelProperty(value = "预计发出结束时间_小时")
    private Integer sendEndTimeDayHour;

    @ApiModelProperty(value = "预计发出结束时间_分钟")
    private Integer sendEndTimeDayMinute;
}
