package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 中转策略-修改VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/16 9:52
 */
@Data
@ApiModel("中转策略-修改VO")
public class StrategyTransferUpdateVO implements Serializable {

	private static final long serialVersionUID = -2455913545157188420L;

	@NotNull(message = "中转策略id不能为空")
	@ApiModelProperty(value = "中转策略id")
	private Long id;

	@ApiModelProperty(value = "收货方单位ID")
	@NotNull(message = "收货方单位ID不能为空")
	private Long consigneeUnitId;

	@ApiModelProperty(value = "收货方单位编码")
	@NotNull(message = "收货方单位编码不能为空")
	private String consigneeUnitCode;

	@ApiModelProperty(value = "收货方单位名称")
	@NotNull(message = "收货方单位不能为空")
	private String consigneeUnitName;

	@ApiModelProperty(value = "收货方ID")
	@NotNull(message = "收货方ID不能为空")
	private Long consigneeId;

	@ApiModelProperty(value = "收货方编码")
	@NotNull(message = "收货方编码不能为空")
	private String consigneeCode;

	@ApiModelProperty(value = "收货方名称")
	@NotNull(message = "收货方名称不能为空")
	private String consigneeName;

	@ApiModelProperty(value = "中转后是否重新匹配线路 数据字典 REMATCH_LINE :0否 1是")
	private Integer rematchLine;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "中转策略条件集合")
	private List<StrategyTransferStationUpdateVO> transferStationUpdateVOS = new ArrayList<StrategyTransferStationUpdateVO>();
}
