package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

import com.prolog.product.core.base.group.AddGroup;
import com.prolog.product.core.base.group.EditGroup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入配置模板汇总 VO
 *
 *
 * @className: SysImportTemplethPageVO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("导入配置模板汇总分页 VO分页")
public class SysImportTemplethPageVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "导入对象编码")
	@Size(max = 32, message = "导入对象编码，通用参照数据中配置最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String importObjNo;

	@ApiModelProperty(value = "导入对象名称，模糊查询")
	@Size(max = 30, message = "导入对象名称，通用参照数据中配置最大长度30", groups = { AddGroup.class, EditGroup.class })
	private String importObjName;

	@ApiModelProperty(value = "搜索编码")
	@NotBlank(message = "搜索编码", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 100, message = "搜索编码最大长度100", groups = { AddGroup.class, EditGroup.class })
	private String queryCode;

	@ApiModelProperty(value = "是否启用，0否，1是")
	private Integer status;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页码大小")
	private Integer pageSize;

}
