package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 仓库收发货方弹窗VO
 *
 * @className :BranchConsigneeAndShipperPopupVO
 * @author :fanzw
 * @creationTime :2022/08/09
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/09
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("仓库收发货方弹窗VO")
public class BranchConsigneeAndShipperPopupVO implements Serializable {

	private static final long serialVersionUID = 5939200739731695155L;

	@ApiModelProperty(value = "仓库编码")
	private String code;

	@ApiModelProperty(value = "仓库名称")
	private String name;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;

	// STD-DEVELOP20220823 lhb JC-HZ-001 仓库支持多部门 20220908 start
	@ApiModelProperty(value = "仓库ID权限数组集合" , hidden = true)
	private Long[] idArrs;

	@ApiModelProperty(value = "部门ID" , hidden = true)
	private String[] departmentIds;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "状态:0：停用 1：启用 数据字典MAINDATA_STATUS", hidden = true)
	private Integer status;

	@ApiModelProperty(value = "是否数据权限" , hidden = true)
	private String isData;

	@ApiModelProperty(value = "是否部门权限" , hidden = true)
	private String isDept;
	// STD-DEVELOP20220823 lhb JC-HZ-001 仓库支持多部门 20220908 end
}
