package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 根据货主编码名称查询货主资料VO
 *
 * @className :CargoOwnerByEncodingNameVO
 * @author :fanzw
 * @creationTime :2022/05/10
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/05/10
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据货主编码名称查询货主资料VO")
public class CargoOwnerByEncodingNameVO implements Serializable {

	private static final long serialVersionUID = -2633664770938937619L;

	@ApiModelProperty(value = "货主编码")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "货主名称")
	private String cargoOwnerName;

	// STD-DEVELOP20220823 lhb JC-HZ-001货主支持多部门 20220830 start
	@ApiModelProperty(value = "货主ID" , hidden = true)
	private Long[] cargoOwnerIds;

	@ApiModelProperty(value = "部门ID" , hidden = true)
	private String[] departmentIds;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "是否数据权限" , hidden = true)
	private String isData;

	@ApiModelProperty(value = "是否部门权限" , hidden = true)
	private String isDept;
	// STD-DEVELOP20220823 lhb JC-HZ-001货主支持多部门 20220830 end
}
