package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 根据货主ID集合分页查询VO
 *
 * @className :CargoOwnerByIdsVO
 * @author :fanzw
 * @creationTime :2022/03/03
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/03
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据货主ID集合分页查询VO")
public class CargoOwnerByIdsVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "货主ID集合")
	private List<CargoOwnerByCargoOwnerIdVO> cargoOwnerIds = new ArrayList<CargoOwnerByCargoOwnerIdVO>();

	@ApiModelProperty(value = "货主名称")
	private String search;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;

	// STD-DEVELOP20220823 lhb JC-HZ-001货主支持多部门 20220830 start
	@ApiModelProperty(value = "货主ID" , hidden = true)
	private Long[] cargoOwnerIdVOs;

	@ApiModelProperty(value = "货主ID" , hidden = true)
	private Long[] cargoOwnerIdsSql;

	@ApiModelProperty(value = "部门ID" , hidden = true)
	private String[] departmentIds;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "是否数据权限" , hidden = true)
	private String isData;

	@ApiModelProperty(value = "是否部门权限" , hidden = true)
	private String isDept;

	// STD-DEVELOP20220823 lhb JC-HZ-001货主支持多部门 20220830 end
}
