package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 承运商分页查询VO
 *
 * @className :CarrierPageVO
 * @author :xyf
 * @creationTime :2022/04/14
 * @description :
 *
 * @modifier :xyf
 * @modifyTime :2022/04/14
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("承运商分页查询VO")
public class CarrierPageVO implements Serializable {

	private static final long serialVersionUID = 4440533966011388784L;

	@ApiModelProperty(value = "承运商编码")
	private String carrierCode;

	@ApiModelProperty(value = "承运商名称")
	private String carrierName;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;

	// STD-DEVELOP20220823 lhb JC-HZ-001货主支持多部门 20220830 start
	@ApiModelProperty(value = "承运商ID" , hidden = true)
	private Long[] carrierIds;

	@ApiModelProperty(value = "部门ID" , hidden = true)
	private String[] departmentIds;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "是否数据权限" , hidden = true)
	private String isData;

	@ApiModelProperty(value = "是否部门权限" , hidden = true)
	private String isDept;
	// STD-DEVELOP20220823 lhb JC-HZ-001货主支持多部门 20220830 end

	@ApiModelProperty(value = "系统标志")
	private String carrierSysFlag;

}
