package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 客户收货方修改VO
 *
 * @className :CustomerReceiverUpdateVO
 * @author :xyf
 * @creationTime :2022/04/13
 * @description :
 *
 * @modifier :xyf
 * @modifyTime :2022/04/13
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("客户收货方修改VO")
public class CustomerReceiverUpdateVO implements Serializable {

	private static final long serialVersionUID = 3443689979646127736L;

	@ApiModelProperty(value = "收货方ID")
	private Long id;

	@ApiModelProperty(value = "收货方简称")
	private String shortName;

	@ApiModelProperty(value = "客户ID 关联TMS_BASE_CUSTOMER表主键")
	private Long customerId;

	@ApiModelProperty(value = "客户编号")
	private String customerCode;

	@ApiModelProperty(value = "客户名称")
	private String customerName;

	@ApiModelProperty(value = "联系人")
	private String contact;

	@ApiModelProperty(value = "手机号")
	private String phoneNumber;

	@ApiModelProperty(value = "座机号")
	private String landlineNumber;

	@ApiModelProperty(value = "邮箱")
	private String email;

	@ApiModelProperty(value = "关联手机号")
	private String relationPhoneNumber;

	@ApiModelProperty(value = "省编码")
	private String province;

	@ApiModelProperty(value = "省名称")
	private String provinceName;

	@ApiModelProperty(value = "市编码")
	private String city;

	@ApiModelProperty(value = "市名称")
	private String cityName;

	@ApiModelProperty(value = "区编码")
	private String district;

	@ApiModelProperty(value = "区名称")
	private String districtName;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	private String extStr1;

	@ApiModelProperty(value = "扩展字段2")
	private String extStr2;

	@ApiModelProperty(value = "扩展字段3")
	private String extStr3;

	@ApiModelProperty(value = "扩展字段4")
	private String extStr4;

	@ApiModelProperty(value = "扩展字段5")
	private String extStr5;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段6")
	private Date extDate1;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段7")
	private Date extDate2;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段8")
	private Date extDate3;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段9")
	private Date extDate4;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "扩展字段10")
	private Date extDate5;

	@ApiModelProperty(value = "扩展字段11")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "扩展字段12")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "扩展字段13")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "扩展字段14")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "扩展字段15")
	private BigDecimal extNum5;

	@ApiModelProperty(value = "默认承运方类型 字典LINE_CARRIER_TYPE")
	private Integer carrierType;

	@ApiModelProperty(value = "承运方ID")
	private Long carrierId;

	@ApiModelProperty(value = "承运方编码")
	private String carrierCode;

	@ApiModelProperty(value = "承运方名称")
	private String carrierName;

	@ApiModelProperty(value = "承运方(司机)手机号")
	private String carrierPhoneNumber;

	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	@ApiModelProperty(value = "车辆名称")
	private String vehicleName;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "配送方式  字典 1配送 2自提")
	private Integer deliveryPattern;

	@ApiModelProperty(value = "站点ID")
	private Long stationId;

	@ApiModelProperty(value = "站点编号")
	private String stationCode;

	@ApiModelProperty(value = "站点名称")
	private String stationName;

	@ApiModelProperty(value = "站点配送顺序")
	private BigDecimal stationDeliveryOrder;

	@ApiModelProperty(value = "站点区域")
	private String stationAreas;

	@ApiModelProperty(value = "每日作业开始时间")
	private String startTime;

	@ApiModelProperty(value = "每日作业结束时间")
	private String endTime;

	@ApiModelProperty(value = "平均装卸时长(min)")
	private Long loadingTime;

}
