package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 商品资料根据货主分页查询VO
 *
 * @className :ItemByCargoOwnerPageVO
 * @author :fanzw
 * @creationTime :2022/04/21
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/21
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("商品资料根据货主分页查询VO")
public class ItemByCargoOwnerPageVO implements Serializable {

	private static final long serialVersionUID = 6999138840581505124L;

	@ApiModelProperty(value = "商品编码")
	private String code;

	@ApiModelProperty(value = "商品名称")
	private String name;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;

	// STD-DEVELOP20220823 lhb JC-HZ-001 商品支持多部门 20220915 start
	@ApiModelProperty(value = "货主ID" , hidden = true)
	private Long[] cargoOwnerIds;

	@ApiModelProperty(value = "部门ID" , hidden = true)
	private String[] departmentIds;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "状态:0：停用 1：启用 数据字典MAINDATA_STATUS", hidden = true)
	private Integer status;

	@ApiModelProperty(value = "是否数据权限" , hidden = true)
	private String isData;

	@ApiModelProperty(value = "是否部门权限" , hidden = true)
	private String isDept;
	// STD-DEVELOP20220823 lhb JC-HZ-001 商品支持多部门 20220915 end
}
