package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 
 *
 * 站点资料新增VO
 *
 * @className :StationAddVO
 * @author :fanzw
 * @creationTime :2022/02/25
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/02/25
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("商品资料新增VO")
public class StationAddVO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "站点编号")
	@NotEmpty(message = "站点编号不能为空")
	private String code;

	@ApiModelProperty(value = "站点名称")
	@NotEmpty(message = "站点名称不能为空")
	private String name;

	@ApiModelProperty(value = "配送顺序")
	private BigDecimal deliveryOrder;

	@ApiModelProperty(value = "站点类型 数据字典STATION_TYPE:10.实际 20.虚拟")
	@NotNull(message = "站点类型不能为空")
	private Integer type;

	@ApiModelProperty(value = "上级站点ID")
	private Long higherLevelStationId;

	@ApiModelProperty(value = "上级站点编号")
	private String higherLevelStationCode;

	@ApiModelProperty(value = "上级站点名称")
	private String higherLevelStationName;

	@ApiModelProperty(value = "站点级别 数据字典STATION_LEVEL:1,2,3,4,5")
	private Integer level;

	@ApiModelProperty(value = "站点区域")
	private String areas;

	@ApiModelProperty(value = "站点-行政区域")
	private String administrativeAreas;

	@ApiModelProperty(value = "站点-上级行政区域")
	private String administrativeAreasFather;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "所属部门ID,多个部门逗号分割")
	@NotEmpty(message = "站点所属部门ID不能为空")
	private String departmentId;

	@ApiModelProperty(value = "所属部门编码")
	@NotEmpty(message = "站点所属部门编码不能为空")
	private String departmentCode;

	@ApiModelProperty(value = "所属部门名称")
	@NotEmpty(message = "站点所属部门名称不能为空")
	private String departmentName;

	@ApiModelProperty(value = "字符扩展1")
	private String extStr1;

	@ApiModelProperty(value = "字符扩展2")
	private String extStr2;

	@ApiModelProperty(value = "字符扩展3")
	private String extStr3;

	@ApiModelProperty(value = "字符扩展4")
	private String extStr4;

	@ApiModelProperty(value = "字符扩展5")
	private String extStr5;

	@ApiModelProperty(value = "数值属性扩展1")
	private BigDecimal extNum1;

	@ApiModelProperty(value = "数值属性扩展2")
	private BigDecimal extNum2;

	@ApiModelProperty(value = "数值属性扩展3")
	private BigDecimal extNum3;

	@ApiModelProperty(value = "数值属性扩展4")
	private BigDecimal extNum4;

	@ApiModelProperty(value = "数值属性扩展5")
	private BigDecimal extNum5;

	@ApiModelProperty(value = "日期属性扩展1")
	private Date extDate1;

	@ApiModelProperty(value = "日期属性扩展2")
	private Date extDate2;

	@ApiModelProperty(value = "日期属性扩展3")
	private Date extDate3;

	@ApiModelProperty(value = "日期属性扩展4")
	private Date extDate4;

	@ApiModelProperty(value = "日期属性扩展5")
	private Date extDate5;

	@ApiModelProperty(value = "始发站点信息")
	private List<StartingStationVO> startingStationDTOList;

}
