package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 站点资料VO
 * 
 * @author Eton Woo
 * @date 2023/03/25
 */
@Data
@ApiModel("站点资料VO")
public class StationQueryByAreasVO implements Serializable {

	private static final long serialVersionUID = -3382779973476364958L;

	@ApiModelProperty(value = "省编码")
	private String province;

	@ApiModelProperty(value = "市编码")
	private String city;

	@ApiModelProperty(value = "区编码")
	private String district;

	@ApiModelProperty(value = "货主ID" , hidden = true)
	private Long[] cargoOwnerIds;

	@ApiModelProperty(value = "部门ID" , hidden = true)
	private String[] departmentIds;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "状态:0：停用 1：启用 数据字典MAINDATA_STATUS", hidden = true)
	private Integer status;

	@ApiModelProperty(value = "是否数据权限" , hidden = true)
	private String isData;

	@ApiModelProperty(value = "是否部门权限" , hidden = true)
	private String isDept;

}
