package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 站点资料VO
 * 
 * @author Eton Woo
 * @date 2023/03/25
 */
@Data
@ApiModel("站点资料VO")
public class StationQueryVO implements Serializable {

	private static final long serialVersionUID = -3382779973476364958L;

	@ApiModelProperty(value = "站点id")
	private Long id;

	@ApiModelProperty(value = "站点编号")
	private String code;

	@ApiModelProperty(value = "站点名称")
	private String name;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;

	@ApiModelProperty(value = "货主ID" , hidden = true)
	private Long[] cargoOwnerIds;

	@ApiModelProperty(value = "部门ID" , hidden = true)
	private String[] departmentIds;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "状态:0：停用 1：启用 数据字典MAINDATA_STATUS", hidden = true)
	private Integer status;

	@ApiModelProperty(value = "是否数据权限" , hidden = true)
	private String isData;

	@ApiModelProperty(value = "是否部门权限" , hidden = true)
	private String isDept;

	@ApiModelProperty(value = "排除的站点id")
	private List<Long> excludeId;

}
