package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class TmsBaseCustomerQueryVO {

	@ApiModelProperty(value = "当前页")
	private int pageNum;

	@ApiModelProperty(value = "页最大行数")
	private int pageSize;

	@ApiModelProperty(value = "客户编码")
	private String customerCode;

	@ApiModelProperty(value = "客户名称")
	private String customerName;

	@ApiModelProperty(value = "货主名称  分页查询")
	private String cargoOwnerName;

	@ApiModelProperty(value = "客户名称  地址解析查询入参")
	private String name;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "客户ID数组集合 前端入参格式 ['客户ID1','客户ID2']")
	private List<String> ids;

	// STD-DEVELOP20220823 lhb JC-HZ-001 客户支持多部门 20220906 start
	@ApiModelProperty(value = "客户ID数组集合 前端入参格式 ['客户ID1','客户ID2']" , hidden = true)
	private Long[] idArrs;

	@ApiModelProperty(value = "货主ID" , hidden = true)
	private Long[] cargoOwnerIds;

	@ApiModelProperty(value = "承运商ID" , hidden = true)
	private Long[] carrierIds;

	@ApiModelProperty(value = "部门ID" , hidden = true)
	private String[] departmentIds;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "状态:0：停用 1：启用 数据字典MAINDATA_STATUS", hidden = true)
	private Integer status;

	@ApiModelProperty(value = "是否客户权限" , hidden = true)
	private String isCustom;

	@ApiModelProperty(value = "是否货主权限" , hidden = true)
	private String isCargoOwner;

	@ApiModelProperty(value = "是否部门权限" , hidden = true)
	private String isDept;
	// STD-DEVELOP20220823 lhb JC-HZ-001 客户支持多部门 20220906 end

}
