package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 线路发货方关联表
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author zhangsj
 * @since 2022/3/8 16:43
 */
@Data
public class TmsShipperVO implements Serializable {

	private static final long serialVersionUID = -2692526468987082672L;

	@ApiModelProperty(value = "线路ID")
	private Long lineId;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	private String branchName;

	@ApiModelProperty(value = "提货顺序")
	private Integer pickupOrder;

	@ApiModelProperty(value = "发货方详细地址")
	private String shipperAddress;

	@ApiModelProperty(value = "企业ID" ,hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "发货时间")
	private String shipperAgingTime;

	@ApiModelProperty(value = "发货时间类型")
	private String shipperAgingTimeLine;

}
