package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 用户客户资料弹窗VO
 *
 * @className :UserCustomerPopupVO
 * @author :fanzw
 * @creationTime :2022/02/25
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/02/25
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("用户客户资料弹窗VO")
public class UserCustomerPopupVO implements Serializable {

	private static final long serialVersionUID = 4110021144994736071L;

	@ApiModelProperty(value = "编码或名称")
	private String search;

	@ApiModelProperty(value = "客户编码")
	private String customerCode;

	@ApiModelProperty(value = "客户名称")
	private String customerName;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;

	// STD-DEVELOP20220823 lhb JC-HZ-001 客户支持多部门 20220906 start
	@ApiModelProperty(value = "客户ID数组集合 前端入参格式 ['客户ID1','客户ID2']" , hidden = true)
	private Long[] idArrs;

	@ApiModelProperty(value = "货主ID" , hidden = true)
	private Long[] cargoOwnerIds;

	@ApiModelProperty(value = "承运商ID" , hidden = true)
	private Long[] carrierIds;

	@ApiModelProperty(value = "部门ID" , hidden = true)
	private String[] departmentIds;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "状态:0：停用 1：启用 数据字典MAINDATA_STATUS", hidden = true)
	private Integer status;

	@ApiModelProperty(value = "是否客户权限" , hidden = true)
	private String isCustom;

	@ApiModelProperty(value = "是否货主权限" , hidden = true)
	private String isCargoOwner;

	@ApiModelProperty(value = "是否部门权限" , hidden = true)
	private String isDept;
	// STD-DEVELOP20220823 lhb JC-HZ-001 客户支持多部门 20220906 end
}
