package com.prolog.rdc.tms.model.vo.fleetManagement;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author panhongbo
 */
@Data
@ApiModel("承运商证件资料新增VO")
public class CarrierPaperLinkVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@NotNull
	@ApiModelProperty(value = "承运商ID")
	private Long carrierId;

	@NotBlank
	@ApiModelProperty(value = "承运商编码")
	private String carrierCode;

	@NotBlank
	@ApiModelProperty(value = "承运商名称")
	private String carrierName;

	@NotNull
	@ApiModelProperty(value = "证件ID")
	private Long id;

	@NotBlank
	@ApiModelProperty(value = "证件编码")
	private String code;

	@NotNull
	@ApiModelProperty(value = "证件类型 数据字典PAPER_TYPE 1.身份证、2.行驶证、3.驾驶证")
	private Integer type;

	@ApiModelProperty(value = "发证机关")
	private String issuingAuthority;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "发证日期")
	private Date issuingDate;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "有效期始")
	private Date startDate;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "有效期止")
	private Date endDate;

	@ApiModelProperty(value = "图片")
	private String picture;

	@ApiModelProperty(value = "备注")
	private String memo;
}
