package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/3/16 18:34
 */
@Data
public class ContainerVO implements Serializable {

	private static final long serialVersionUID = -8811563013655518024L;

	@ApiModelProperty(value = "物流中心/仓ID")
	private String branchName;

	@ApiModelProperty(value = "容器编号")
	private String code;

	@ApiModelProperty(value = "容器名称")
	private String name;

	@ApiModelProperty(value = "容器类型（01：托盘 02：周转箱 03：保温箱）")
	private Integer type;

	private Integer pageNum;

	private Integer pageSize;

	@ApiModelProperty(value = "部门集合")
	private List<String> departmentIdList;

	@ApiModelProperty(value = "隶属机构ID")
	private Long affiliationId;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "状态")
	private Integer status;

	@ApiModelProperty(value = "容器id集合", hidden = true)
	private List<String> containerIdList;

	@ApiModelProperty(value = "车牌号", hidden = true)
	private String vehiclePlateNumber;
}
