package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 设备资料表 Vo
 * 
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author zhangsj
 * @since 2021-03-16 11:54
 */
@Data
@ApiModel("设备资料表 VO")
public class DeviceVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "设备编号")
	private String code;

	@ApiModelProperty(value = "设备名称")
	private String name;

	@ApiModelProperty(value = "设备类型")
	private Integer type;

	@ApiModelProperty(value = "设备生产商")
	private Integer company;

	@ApiModelProperty(value = "物流中心名称")
	private String branchName;

	private Integer pageNum;

	private Integer pageSize;

	@ApiModelProperty(value = "部门集合")
	private List<String> departmentIdList;

	@ApiModelProperty(value = "隶属机构ID")
	private Long affiliationId;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "状态")
	private Integer status;

	@ApiModelProperty(value = "设备id集合", hidden = true)
	private List<Long> deviceIdList;

	@ApiModelProperty(value = "车牌号", hidden = true)
	private String vehiclePlateNumber;

}
