package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 司机证件关联修改VO
 *
 * @className :DriverPaperLinkModifyVO
 * @author :fanzw
 * @creationTime :2022/03/16
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/16
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("司机证件关联修改VO")
public class DriverPaperLinkModifyVO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "证件ID")
	private Long id;

	@ApiModelProperty(value = "证件编码")
	private String code;

	@ApiModelProperty(value = "证件类型 数据字典PAPER_TYPE 1.身份证、2.行驶证、3.驾驶证")
	private Integer type;

	@ApiModelProperty(value = "发证机关")
	private String issuingAuthority;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "发证日期")
	private Date issuingDate;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "有效期始")
	private Date startDate;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "有效期止")
	private Date endDate;

	@ApiModelProperty(value = "图片")
	private String picture;

	@ApiModelProperty(value = "备注")
	private String memo;
}
