package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 车辆事故登记查询 VO
 *
 * @className    :TVmAccidentregRegisterQueryVO
 * @author       :fanzw
 * @creationTime :2021/04/24
 * @description  :
 *
 * @modifier     :fanzw
 * @modifyTime   :2021/04/24
 * @reviseRemarks:
 *
 * @version      :1.0.0
 *
 */
@Data
@ApiModel("车辆事故登记查询 VO")
public class TVmAccidentregRegisterQueryVO implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "开始时间")
	private Date startdate;
	
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "结束时间")
	private Date enddate;

	@ApiModelProperty(value = "配送中心ID")
	private Long branchId;

	@ApiModelProperty(value = "事故编号")
	private String accidentNum;

	@ApiModelProperty(value = "事故地点")
	private String accidaddress;

	@ApiModelProperty(value = "报案人姓名")
	private String reporter;
	
	@ApiModelProperty(value = "本方车辆编号")
	private String vehiclecode;

	private Integer pageNum;

	private Integer pageSize;

}
