package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 车辆加油登记查询VO
 *
 * @className    :TVmFuelRecordRegisterQueryVO
 * @author       :fanzw
 * @creationTime :2021/04/19
 * @description  :
 *
 * @modifier     :fanzw
 * @modifyTime   :2021/04/19
 * @reviseRemarks:
 *
 * @version      :1.0.0
 *
 */
@Data
@ApiModel("车辆加油登记查询VO")
public class TVmFuelRecordRegisterQueryVO implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "加油开始 时间")
	private Date startdate;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "加油 结束时间")
	private Date enddate;

	@ApiModelProperty(value = "配送中心")
	private Long branchId;

	@ApiModelProperty(value = "加油单号")
	private String billno;
	
	@ApiModelProperty(value = "车牌号")
	private String platenumber;

	@ApiModelProperty(value = "加油人")
	private String oilPerson;

	@ApiModelProperty(value = "加油站编号")
	private String gsCode;

	private Integer pageNum;

	private Integer pageSize;

}
