package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 车辆违章审核查询 VO
 *
 * @className    :TVmIllegalRecordAuditQueryVO
 * @author       :fanzw
 * @creationTime :2021/04/24
 * @description  :
 * 
 * @modifier     :fanzw
 * @modifyTime   :2021/04/24
 * @reviseRemarks:
 *
 * @version      :1.0.0
 *
 */
@Data
@ApiModel("车辆违章审核查询 VO")
public class TVmIllegalRecordAuditQueryVO implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date sdate;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date edate;
	
	@ApiModelProperty(value = "配送中心ID")
	private Long branchId;

	@ApiModelProperty(value = "违章单号")
	private String illegalNo;

	@ApiModelProperty(value = "违章类别(字典ILLEGAL_TYPE)")
	private String illegalType;

	@ApiModelProperty(value = "违章人员")
	private String illegalPerson;

	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	private Integer pageNum;

	private Integer pageSize;
}
