package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 车辆保险登记查询VO
 *
 * @className    :TVmInsuranceRegisterQueryVO
 * @author       :fanzw
 * @creationTime :2021/04/19
 * @description  :
 *
 * @modifier     :fanzw
 * @modifyTime   :2021/04/19
 * @reviseRemarks:
 *
 * @version      :1.0.0
 *
 */
@Data
@ApiModel("车辆保险登记查询VO")
public class TVmInsuranceRegisterQueryVO implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "维保时间 开始")
	private Date startTime;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "维保时间 结束")
	private Date endTime;

	@ApiModelProperty(value = "配送中心")
	private Long branchId;

	@ApiModelProperty(value = "保险单号")
	private String insurcode;
	
	@ApiModelProperty(value = "车牌号")
	private String platenumber;

	@ApiModelProperty(value = "报案人")
	private String reporter;

	@ApiModelProperty(value = "赔付单位")
	private String paidCustomer;

	private Integer pageNum;

	private Integer pageSize;

}
