package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

import com.prolog.product.core.base.group.AddGroup;
import com.prolog.product.core.base.group.EditGroup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆维修保养明细表 Vo
 * <p>
 * Copyright: Copyright (C) 2020 prolog-int, Inc. All rights reserved.
 * <p>
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author xiaoyf
 * @since 2020-06-01 15:46
 */
@Data
@ApiModel("车辆维修保养明细表 VO")
public class TmsRepairRecordDVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "线路ID")
	@NotBlank(message = "线路ID必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 64, message = "线路ID最大长度64", groups = { AddGroup.class, EditGroup.class })
	private String lineid;

	@ApiModelProperty(value = "机构ID")
	@NotBlank(message = "机构ID必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 32, message = "机构ID最大长度32", groups = { AddGroup.class, EditGroup.class })
	private Long branchId;

	@ApiModelProperty(value = "机构牌号")
	@NotBlank(message = "机构牌号必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 32, message = "机构牌号最大长度32", groups = { AddGroup.class, EditGroup.class })
	private String branchname;

	@ApiModelProperty(value = "维修保养单号")
	@NotBlank(message = "维修保养单号必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 64, message = "维修保养单号最大长度64", groups = { AddGroup.class, EditGroup.class })
	private String billno;

	@ApiModelProperty(value = "维修保养项目名称")
	@Size(max = 40, message = "维修保养项目名称最大长度40", groups = { AddGroup.class, EditGroup.class })
	private String item;

	@ApiModelProperty(value = "品牌")
	@Size(max = 40, message = "品牌最大长度40", groups = { AddGroup.class, EditGroup.class })
	private String brand;

	@ApiModelProperty(value = "型号")
	@Size(max = 40, message = "型号最大长度40", groups = { AddGroup.class, EditGroup.class })
	private String model;

	@ApiModelProperty(value = "数量")
	private Double qty;

	@ApiModelProperty(value = "单位")
	@Size(max = 10, message = "单位最大长度10", groups = { AddGroup.class, EditGroup.class })
	private String unit;

	@ApiModelProperty(value = "单价")
	private Double price;

	@ApiModelProperty(value = "合计金额")
	private Double amount;

	@ApiModelProperty(value = "备注")
	@Size(max = 1024, message = "备注最大长度1024", groups = { AddGroup.class, EditGroup.class })
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	@Size(max = 128, message = "扩展字段1最大长度128", groups = { AddGroup.class, EditGroup.class })
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	@Size(max = 128, message = "扩展字段2最大长度128", groups = { AddGroup.class, EditGroup.class })
	private String extend02;

	@ApiModelProperty(value = "扩展字段3")
	@Size(max = 128, message = "扩展字段3最大长度128", groups = { AddGroup.class, EditGroup.class })
	private String extend03;

	@ApiModelProperty(value = "扩展字段4")
	@Size(max = 128, message = "扩展字段4最大长度128", groups = { AddGroup.class, EditGroup.class })
	private String extend04;

	@ApiModelProperty(value = "扩展字段5")
	@Size(max = 128, message = "扩展字段5最大长度128", groups = { AddGroup.class, EditGroup.class })
	private String extend05;

}
