package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.product.core.base.group.AddGroup;
import com.prolog.product.core.base.group.EditGroup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 车辆维保查询VO
 *
 * @className :TmsRepairRecordHQueryVO
 * @author :fanzw
 * @creationTime :2021/04/16
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2021/04/16
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("车辆维保查询VO")
public class TmsRepairRecordHQueryVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "维保时间 开始")
	private Date sdate;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "维保时间 结束")
	private Date edate;

	@ApiModelProperty(value = "机构ID")
	@NotBlank(message = "机构ID必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 32, message = "机构ID最大长度32", groups = { AddGroup.class, EditGroup.class })
	private Long branchId;

	@ApiModelProperty(value = "维修保养单号")
	@NotBlank(message = "维修保养单号必填", groups = { AddGroup.class, EditGroup.class })
	@Size(max = 64, message = "维修保养单号最大长度64", groups = { AddGroup.class, EditGroup.class })
	private String billno;

	@ApiModelProperty(value = "车辆编号")
	@Size(max = 40, message = "车辆编号最大长度40", groups = { AddGroup.class, EditGroup.class })
	private String vehicleCode;

	@ApiModelProperty(value = "保养维修类型(0:维修 1:保养)")
	@Size(max = 20, message = "保养维修类型(0:维修 1:保养)最大长度20", groups = { AddGroup.class, EditGroup.class })
	private String repairType;

	@ApiModelProperty(value = "维修厂编号")
	@Size(max = 64, message = "维修厂编号最大长度64", groups = { AddGroup.class, EditGroup.class })
	private String gsCode;

	private Integer pageNum;

	private Integer pageSize;
}
