package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆GPS保存VO
 *
 * @author xiaoyf
 * @date 2022/03/16
 */
@Data
@ApiModel("车辆GPS保存VO")
public class VehicleGpsSaveVO implements Serializable {

	private static final long serialVersionUID = 3979409121268866658L;

	// @NotEmpty(message = "运单ID不能为空")
	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	// @NotEmpty(message = "运单编号不能为空")
	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	// @NotEmpty(message = "装车单ID不能为空")
	@ApiModelProperty(value = "装车单ID")
	private String loadingbillId;

	// @NotEmpty(message = "装车单编号不能为空")
	@ApiModelProperty(value = "装车单编号")
	private String loadingbillNo;

	// @NotNull(message = "车辆ID不能为空")
	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	// @NotEmpty(message = "车辆编号不能为空")
	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	// @NotEmpty(message = "车牌号不能为空")
	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	// @NotNull(message = "司机ID不能为空")
	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	// @NotEmpty(message = "司机编号不能为空")
	@ApiModelProperty(value = "司机编号")
	private String driverCode;

	// @NotEmpty(message = "司机不能为空")
	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@NotNull(message = "经度不能为空")
	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@NotNull(message = "纬度不能为空")
	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@ApiModelProperty(value = "启运登记时间")
	private Date startShipTime;

	@ApiModelProperty(value = "送达确认时间")
	private Date deliveryTime;

	@ApiModelProperty(value = "温度")
	private BigDecimal temperature;

	@ApiModelProperty(value = "定位操作标识 非空时 表示当前定位操作为司机版小程序的启运登记和送达确认发起的定位")
	private String flag;

}
