package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆资料分页查询VO
 * 
 * @author Eton Woo
 * @date 2022/03/15
 */
@Data
@ApiModel("车辆资料分页查询VO")
public class VehiclePagingQueryVO implements Serializable {

	private static final long serialVersionUID = -1181837306414002306L;

	@ApiModelProperty(value = "车辆编码")
	private String vehicleCode;
	
	@ApiModelProperty(value = "车牌号")
	private String plateNumber;
	
	@ApiModelProperty(value = "车型编码")
	private String vehicleTypeCode;
	
	@ApiModelProperty(value = "车型名称")
	private String vehicleTypeName;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;

	@ApiModelProperty(value = "所属部门")
	private List<String> depts;

	@ApiModelProperty(value = "单位ID")
	private Long unitId;
}
