package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆证件资料修改VO
 * 
 * @author Eton Woo
 * @date 2022/03/17
 */
@Data
@ApiModel("车辆证件资料修改VO")
public class VehiclePaperModifyVO implements Serializable {

	private static final long serialVersionUID = -8192231614614115635L;

	@ApiModelProperty(value = "证件ID")
	private Long id;

	@ApiModelProperty(value = "发证机关")
	private String issuingAuthority;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "发证日期")
	private Date issuingDate;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "有效期始")
	private Date startDate;

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "有效期止")
	private Date endDate;

	@ApiModelProperty(value = "图片")
	private String picture;

	@ApiModelProperty(value = "备注")
	private String memo;
}
