package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆-证件资料分页查询VO
 * 
 * @author Eton Woo
 * @date 2022/03/16
 */
@Data
@ApiModel("车辆-证件资料分页查询VO")
public class VehiclePaperPagingQueryVO implements Serializable {

	private static final long serialVersionUID = -6109467584202970346L;

	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;

	@ApiModelProperty(value = "设备编号")
	private String deviceCode;

	@ApiModelProperty(value = "设备名称")
	private String deviceName;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "容器编号")
	private String containerCode;

	@ApiModelProperty(value = "容器名称")
	private String containerName;

	@ApiModelProperty(value = "状态")
	private Integer status;

	@ApiModelProperty(value = "设备id集合", hidden = true)
	private List<Long> deviceIdList;

	@ApiModelProperty(value = "部门集合")
	private List<String> departmentIdList;

	@ApiModelProperty(value = "隶属机构ID")
	private Long affiliationId;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "设备类型")
	private Integer type;

	@ApiModelProperty(value = "设备生产商")
	private Integer company;
}
