package com.prolog.rdc.tms.model.vo.message;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


/**
*  DTO
* <p>
* Copyright: Copyright (C) 2022 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2022-11-15 14:03:39
*/
@Data
public class MessageConfigConditionVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "消息配置ID")
    private Long messageConfigId;

    @ApiModelProperty(value = "消息配置条件类型MESSAGE_CONDITION_TYPE")
    private String conditionType;

    @ApiModelProperty(value = "消息配置条件对应的值")
    private String conditionValue;

    @ApiModelProperty(value = "单位ID  单位ID1,单位ID2")
    private String unitId;

    @ApiModelProperty(value = "单位编码  单位编码1,单位编码2")
    private String unitCode;

    @ApiModelProperty(value = "单位名称  单位名称1,单位名称2")
    private String unitName;

    @ApiModelProperty(value = "公司ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "公司名称")
    private String enterpriseName;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

}
