package com.prolog.rdc.tms.model.vo.message;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 新增修改消息配置
 * @author hongbo.pan
 * @date 2022/11/15
 */
@Data
public class SaveMessageConfigVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "消息配置id")
    private Long id;

    @ApiModelProperty(value = "消息名称")
    private String name;

    @ApiModelProperty(value = "消息类型MESSAGE_TYPE")
    private String type;

    @ApiModelProperty(value = "推送类型MESSAGE_SEND_TYPE")
    private String sendType;

    @ApiModelProperty(value = "消息内容")
    private String content;

    @ApiModelProperty(value = "通知类型")
    private String noticeType;

    @ApiModelProperty(value = "通知货主")
    private String noticeCargoowner;

    @ApiModelProperty(value = "通知发货方")
    private String noticeShipper;

    @ApiModelProperty(value = "通知收货方")
    private String noticeConsignee;

    @ApiModelProperty(value = "通知承运商")
    private String noticeCarrier;

    @ApiModelProperty(value = "通知司机")
    private String noticeDriver;

    @ApiModelProperty(value = "企微webhook")
    private String qwWebhook;

    @ApiModelProperty(value = "钉钉webhook")
    private String ddWebhook;

    @ApiModelProperty(value = "消息条件")
    private List<SaveMessageConfigConditionVO> messageConfigConditionVOList;

    @ApiModelProperty(value = "消息通知对象")
    private List<SaveMessageConfigNoticeToVO> messageConfigNoticeToVOList;

    @ApiModelProperty(value = "开始预警偏差")
    private Integer alarmStartOffset;

    @ApiModelProperty(value = "开始预警偏差单位")
    private String alarmStartOffsetUnit;

    @ApiModelProperty(value = "结束预警偏差")
    private Integer alarmEndOffset;

    @ApiModelProperty(value = "结束预警偏差单位")
    private String alarmEndOffsetUnit;

    @ApiModelProperty(value = "预警间隔")
    private Integer alarmInterval;

    @ApiModelProperty(value = "预警间隔单位")
    private String alarmIntervalUnit;

    @ApiModelProperty(value = "语音播报")
    private String alarmVoice;
}
