package com.prolog.rdc.tms.model.vo.print;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PlatformParamUpdateVO {

	@NotNull(message = "ID不能为空")
	@ApiModelProperty(value = "参数编码")
	private Long id;

	@Size(max = 32, message = "参数编码长度过长")
	@NotEmpty(message = "参数编码不能为空")
	@ApiModelProperty(value = "参数编码")
	private String code;

	@Size(max = 50, message = "参数名称长度过长")
	@NotEmpty(message = "参数名称不能为空")
	@ApiModelProperty(value = "参数名称")
	private String name;

	@Size(max = 32, message = "参数值长度过长")
	@NotEmpty(message = "参数值不能为空")
	@ApiModelProperty(value = "参数值")
	private String value;

	@Size(max = 128, message = "备注长度过长")
	@ApiModelProperty(value = "备注")
	private String remark;

	@Size(max = 32, message = "参数1长度过长")
	@ApiModelProperty(value = "参数1")
	private String param1;

	@Size(max = 32, message = "参数2长度过长")
	@ApiModelProperty(value = "参数2")
	private String param2;

}
