package com.prolog.rdc.tms.model.vo.print;

import java.io.Serializable;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PrinterConfigurationVO implements Serializable {

	private static final long serialVersionUID = -4189315917229299880L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "打印机名称", required = true, dataType = "String")
	@NotEmpty(message = "打印机名称不能为空")
	private String printerName;

	@ApiModelProperty(value = "打印机编码", required = true, dataType = "String")
	@NotEmpty(message = "打印机编码不能为空")
	private String printerCode;

	@ApiModelProperty(value = "ip地址", dataType = "String")
	private String ip;

	@ApiModelProperty(value = "打印机类型", required = true, dataType = "String")
	@NotEmpty(message = "打印机类型不能为空")
	private String printerType;

	@ApiModelProperty(value = "打印机状态", required = true, dataType = "String")
	@NotEmpty(message = "打印机状态不能为空")
	private String printerStatus;

	@ApiModelProperty(value = "仓库ID", dataType = "Long")
	private Long warehouseId;

	@ApiModelProperty(value = "仓库编码", dataType = "String")
	private String warehouseCode;

	@ApiModelProperty(value = "仓库名称", dataType = "String")
	private String warehouseName;

	@ApiModelProperty(value = "备注", dataType = "String")
	private String remark;

}