package com.prolog.rdc.tms.model.vo.print;

import java.io.Serializable;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PrinterRouteVO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8013189775356202251L;

	@ApiModelProperty(value = "id", dataType = "Long")
	private Long id;

	@ApiModelProperty(value = "员工号", required = true, dataType = "Long")
	@NotNull(message = "员工号不能为空")
	private String employeeId;

	@ApiModelProperty(value = "路由名称", required = true, dataType = "String")
	@NotEmpty(message = "路由名称不能为空")
	private String routeName;

	@ApiModelProperty(value = "仓库ID", required = true, dataType = "Long")
	private Long warehouseId;

	@ApiModelProperty(value = "仓库编码", required = true, dataType = "String")
	private String warehouseCode;

	@ApiModelProperty(value = "仓库名称", required = true, dataType = "String")
	private String warehouseName;

	@ApiModelProperty(value = "打印机名称", required = true, dataType = "String")
	private String printerName;

	@ApiModelProperty(value = "打印机ID", required = true, dataType = "Long")
	@NotNull(message = "打印机ID不能为空")
	private Long printerId;

	@ApiModelProperty(value = "状态", required = true, dataType = "String")
	@NotEmpty(message = "状态不能为空")
	private String status;

	@ApiModelProperty(value = "备注", dataType = "String")
	private String remark;
}