package com.prolog.rdc.tms.model.vo.xlsimport;

import java.io.Serializable;

import org.apache.poi.ss.usermodel.IndexedColors;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import com.prolog.product.core.easyexcel.support.DropdownPropExtConverter;
import com.prolog.product.core.easyexcel.util.ValidationCellEnum;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 车位导入VO
 * 
 * @author Eton Woo
 * @date 2022/03/29
 */
@ApiModel("车位导入VO")
@Data
public class CarportImportStdVO implements Serializable {

	private static final long serialVersionUID = 7582591166818764805L;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("仓库编码(必填)")
	private String branchCode;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("仓库名称(必填)")
	private String branchName;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("车位编码(必填)")
	private String code;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("车位名称(必填)")
	private String name;

	@ExcelProperty("描述")
	private String description;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED, dropdownValues = { "1", "2", "3", "4", "5" }, dropdownNames = { "提货", "送货", "通用", "提货等待区", "送货等待区" }, cellType = ValidationCellEnum.LIST)
	@ExcelProperty(value = "类型(必选)", converter = DropdownPropExtConverter.class)
	private String typeName;

	@ExcelProperty(value = "适用车型")
	private String carType;

}
