package com.prolog.rdc.tms.model.vo.xlsimport;

import java.io.Serializable;
import java.math.BigDecimal;

import org.apache.poi.ss.usermodel.IndexedColors;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import com.prolog.product.core.easyexcel.support.DropdownPropExtConverter;
import com.prolog.product.core.easyexcel.util.ValidationCellEnum;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 容器导入VO
 * 
 * @author hongbo.pan
 * @date 2022/10/10
 */
@ApiModel("容器导入VO")
@Data
public class ContainerImportVO implements Serializable {

	private static final long serialVersionUID = -2474600962606898257L;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "容器编码(必填)")
	private String code;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "容器名称(必填)")
	private String name;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED, dropdownValues = { "1", "2", "3" }, dropdownNames = { "托盘", "周转箱", "保温箱" }, cellType = ValidationCellEnum.LIST)
	@ExcelProperty(value = "容器类型(必填)", converter = DropdownPropExtConverter.class)
	private String type;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "部门(必填)")
	private String department;

	@ExcelProperty(value = "长(m)")
	private BigDecimal length;

	@ExcelProperty(value = "宽(m)")
	private BigDecimal width;

	@ExcelProperty(value = "高(m)")
	private BigDecimal height;

	@ExcelProperty(value = "重量(kg)")
	private BigDecimal weight;

	@ExcelProperty(value = "体积(m3)")
	private BigDecimal volume;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED, dropdownValues = { "1", "2", "3" }, dropdownNames = { "自有", "挂靠", "临时" }, cellType = ValidationCellEnum.LIST)
	@ExcelProperty(value = "归属(必填)", converter = DropdownPropExtConverter.class)
	private String belongTo;

	@ExcelProperty(value = "隶属机构")
	private String affiliationName;

	@ExcelProperty(value = "备注")
	private String memo;
}
