package com.prolog.rdc.tms.model.vo.xlsimport;

import java.io.Serializable;

import com.prolog.product.core.easyexcel.support.DropdownPropExtConverter;
import com.prolog.product.core.easyexcel.util.ValidationCellEnum;
import org.apache.poi.ss.usermodel.IndexedColors;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;

import lombok.Data;

/**
 * 收货方导入 VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/3/28 14:22
 */
@Data
public class CustomerReceiverImportStdVO implements Serializable {

	private static final long serialVersionUID = 211566703870363747L;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("客户名称")
	private String customerName;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("收货方编码")
	private String code;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("收货方名称")
	private String name;

	@ExcelProperty("收货方简称")
	private String shortName;

	@ExcelProperty("联系人")
	private String contact;

	@ExcelProperty("手机号")
	private String phoneNumber;

	@ExcelProperty("座机号")
	private String landlineNumber;

	@ExcelProperty("邮箱")
	private String email;

	@ExcelProperty("关联手机号")
	private String relationPhoneNumber;

	@ExcelProperty("省名称")
	private String provinceName;

	@ExcelProperty("市名称")
	private String cityName;

	@ExcelProperty("区名称")
	private String districtName;

	@ExcelProperty("详细地址")
	private String address;

	@ExcelProperty("备注")
	private String memo;

	@ExcelProperty(value="默认承运方类型", converter = DropdownPropExtConverter.class)
	@ValidationPropertyExt(dropdownValues = { "1", "2" }, dropdownNames = { "承运商", "司机" }, cellType = ValidationCellEnum.LIST)
	private String carrierType;

	@ExcelProperty("承运方编码")
	private String carrierCode;

	@ExcelProperty("承运方名称")
	private String carrierName;

	@ExcelProperty(value="配送方式", converter = DropdownPropExtConverter.class)
	@ValidationPropertyExt(dropdownValues = { "1", "2" }, dropdownNames = { "配送", "自提" }, cellType = ValidationCellEnum.LIST)
	private String deliveryPattern;

}
