package com.prolog.rdc.tms.model.vo.xlsimport;

import java.io.Serializable;

import org.apache.poi.ss.usermodel.IndexedColors;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import com.prolog.product.core.easyexcel.support.DropdownPropExtConverter;
import com.prolog.product.core.easyexcel.util.ValidationCellEnum;

import lombok.Data;

/**
 * 送货员导入VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/3/29 10:27
 */
@Data
public class DeliverymanImportStdVO implements Serializable {

	private static final long serialVersionUID = 2466859549409401207L;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "送货员编号(必填)")
	private String code;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "送货员名称(必填)")
	private String name;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "部门名称(必填)")
	private String departmentName;

	@ExcelProperty(value = "归属(必选)", converter = DropdownPropExtConverter.class)
	@ValidationPropertyExt(headFontColor = IndexedColors.RED, dropdownValues = { "1", "2", "3" }, dropdownNames = { "自有", "挂靠", "临时" }, cellType = ValidationCellEnum.LIST)
	private String type;

	@ExcelProperty(value = "隶属机构编码")
	private String affiliationCode;

	@ExcelProperty(value = "隶属机构名称")
	private String affiliationName;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "手机号(必填)")
	private String phoneNumber;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "密码(必填)")
	private String password;

	@ExcelProperty(value = "备注")
	private String memo;

}
