package com.prolog.rdc.tms.model.vo.xlsimport;

import java.io.Serializable;

import org.apache.poi.ss.usermodel.IndexedColors;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import com.prolog.product.core.easyexcel.support.DropdownPropExtConverter;
import com.prolog.product.core.easyexcel.util.ValidationCellEnum;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 设备导入VO
 * 
 * @author hongbo.pan
 * @date 2022/10/8
 */
@ApiModel("设备导入VO")
@Data
public class DeviceImportVO implements Serializable {

	private static final long serialVersionUID = 9123446224472314887L;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "设备编码(必填)")
	private String code;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "设备名称(必填)")
	private String name;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED, dropdownValues = { "1", "2" }, dropdownNames = { "GPS设备", "冷链设备" }, cellType = ValidationCellEnum.LIST)
	@ExcelProperty(value = "设备类型(必填)", converter = DropdownPropExtConverter.class)
	private String type;

	@ValidationPropertyExt(dropdownValues = { "1", "2", "3" }, dropdownNames = { "易流", "捷依", "G7" }, cellType = ValidationCellEnum.LIST)
	@ExcelProperty(value = "设备生成厂商", converter = DropdownPropExtConverter.class)
	private String company;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "部门(必填)")
	private String department;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED, dropdownValues = { "1", "2", "3" }, dropdownNames = { "自有", "挂靠", "临时" }, cellType = ValidationCellEnum.LIST)
	@ExcelProperty(value = "归属(必填)", converter = DropdownPropExtConverter.class)
	private String belongTo;

	@ExcelProperty(value = "隶属机构")
	private String affiliationName;

	@ExcelProperty(value = "备注")
	private String memo;
}
