package com.prolog.rdc.tms.model.vo.xlsimport;

import java.io.Serializable;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import com.prolog.product.core.easyexcel.support.DropdownPropExtConverter;
import com.prolog.product.core.easyexcel.util.ValidationCellEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.poi.ss.usermodel.IndexedColors;

/**
 * 
 *
 * 商品品类导入 VO
 *
 * @className :ItemCategoryImportVO
 * @author :fanzw
 * @creationTime :2022/04/27
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/27
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("商品品类导入 VO")
public class ItemCategoryImportVO implements Serializable {

	private static final long serialVersionUID = -920522423348053264L;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "商品品类编码(必填)")
	private String itemCategoryCode;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "商品品类名称(必填)")
	private String itemCategoryName;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "货主(必填)")
	private String cargoOwnerName;

	@ExcelProperty(value = "商品品类层级(必选)", converter = DropdownPropExtConverter.class)
	@ValidationPropertyExt(
			headFontColor = IndexedColors.RED,
			dropdownValues = { "1", "2", "3" },
			dropdownNames = { "1级", "2级", "3级" },
			cellType = ValidationCellEnum.LIST)
	private String itemCategoryLevel;

	@ExcelProperty(value = "上级商品品类编码")
	private String fatherItemCategoryCode;

	@ExcelProperty(value = "上级商品品类名称")
	private String fatherItemCategoryName;

	@ExcelProperty(value = "上级商品品类层级", converter = DropdownPropExtConverter.class)
	@ValidationPropertyExt(dropdownValues = { "1", "2", "3" }, dropdownNames = { "1级", "2级", "3级" }, cellType = ValidationCellEnum.LIST)
	private String fatherItemCategoryLevel;

	@ExcelProperty(value = "备注")
	private String memo;
}
