package com.prolog.rdc.tms.model.vo.xlsimport;

import java.io.Serializable;
import java.math.BigDecimal;

import org.apache.poi.ss.usermodel.IndexedColors;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;

import lombok.Data;

/**
 * 
 *
 * 商品导入VO
 *
 * @className :ItemImportVO
 * @author :fanzw
 * @creationTime :2022/05/31
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/05/31
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class ItemImportVO implements Serializable {

	private static final long serialVersionUID = -3411149111068494593L;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "商品编码(必填)")
	private String itemCode;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "商品名称(必填)")
	private String itemName;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "货主名称(必填)")
	private String cargoOwnerName;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "所属部门名称(必填)")
	private String departmentName;

	@ExcelProperty(value = "商品品类名称")
	private String itemCategoryName;

	@ExcelProperty(value = "包装类型")
	private String packType;

	@ExcelProperty(value = "货物温层")
	private String cargoThermosphere;

	@ExcelProperty(value = "长(cm)")
	private BigDecimal length;

	@ExcelProperty(value = "宽(cm)")
	private BigDecimal width;

	@ExcelProperty(value = "高(cm)")
	private BigDecimal heigth;

	@ExcelProperty(value = "重量(kg)")
	private BigDecimal weight;

	@ExcelProperty(value = "体积(cm3)")
	private BigDecimal volume;

	@ExcelProperty(value = "货值")
	private BigDecimal cargoValue;

	@ExcelProperty(value = "默认存放仓库名称")
	private String branchName;

	@ExcelProperty(value = "库存件数")
	private Integer inventoryPcs;

	@ExcelProperty(value = "暂存位")
	private String stagingLocation;

	@ExcelProperty(value = "温控区间（上限）")
	private BigDecimal temperatureCtlUpperLimit;

	@ExcelProperty(value = "温控区间（下限）")
	private BigDecimal temperatureCtlLowerLimit;

	@ExcelProperty(value = "备注")
	private String memo;

}
