package com.prolog.rdc.tms.model.vo.xlsimport;

import java.io.Serializable;
import java.math.BigDecimal;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import com.prolog.product.core.easyexcel.support.DropdownPropExtConverter;
import com.prolog.product.core.easyexcel.util.ValidationCellEnum;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.apache.poi.ss.usermodel.IndexedColors;

/**
 * 线路-承运商导入VO
 * 
 * @author Eton Woo
 * @date 2022/03/31
 */
@ApiModel("线路-承运商导入VO")
@Data
public class LineCarrierImportStdVO implements Serializable {

	private static final long serialVersionUID = 6772336580948901345L;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("线路编码(必填)")
	private String lineCode;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("线路名称(必填)")
	private String lineName;

	@ExcelProperty(value = "承运方类型", converter = DropdownPropExtConverter.class)
	@ValidationPropertyExt(dropdownValues = { "1","2" }, dropdownNames = { "承运商","司机" }, cellType = ValidationCellEnum.LIST)
	private String type;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("承运商编码(必填)")
	private String carrierCode;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("承运商名称(必填)")
	private String carrierName;

	@ExcelProperty("手机号")
	private String phoneNumber;

	@ExcelProperty("车辆编号")
	private String vehicleCode;

	@ExcelProperty("车辆名称")
	private String vehicleName;

	@ExcelProperty("车牌号")
	private String vehiclePlateNumber;

	@ExcelProperty("份额")
	private BigDecimal shares;

}
