package com.prolog.rdc.tms.model.vo.xlsimport;

import java.io.Serializable;

import com.alibaba.excel.annotation.ExcelProperty;

import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.apache.poi.ss.usermodel.IndexedColors;

/**
 * 线路-收货方导入VO
 * 
 * @author Eton Woo
 * @date 2022/03/31
 */
@ApiModel("线路-收货方导入VO")
@Data
public class LineConsigneeImportStdVO implements Serializable {

	private static final long serialVersionUID = 5628047447866229475L;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("线路编码")
	private String lineCode;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("线路名称")
	private String lineName;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("客户编码")
	private String customerCode;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("客户名称")
	private String customerName;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("收货方编码")
	private String consigneeCode;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("收货方名称")
	private String consigneeName;

	@ExcelProperty(value = "收货方联系人")
	private String consigneeContact;

	@ExcelProperty(value = "收货方手机号")
	private String consigneePhoneNumber;

	@ExcelProperty(value = "收货方详细地址")
	private String consigneeAddress;

	@ExcelProperty(value = "收货方备注")
	private String consigneeMemo;

}
