package com.prolog.rdc.tms.model.vo.xlsimport;

import java.io.Serializable;

import org.apache.poi.ss.usermodel.IndexedColors;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 线路-发货方导入VO
 * 
 * @author Eton Woo
 * @date 2022/03/31
 */
@ApiModel("线路-发货方导入VO")
@Data
public class LineShipperImportStdVO implements Serializable {

	private static final long serialVersionUID = 5628047447866229475L;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("线路编码")
	private String lineCode;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("线路名称")
	private String lineName;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("仓库编码")
	private String branchCode;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("仓库名称")
	private String branchName;

	@ExcelProperty(value = "发货方备注")
	private String shipperMemo;

}
