package com.prolog.rdc.tms.model.vo.xlsimport;

import java.io.Serializable;

import com.alibaba.excel.annotation.ExcelProperty;

import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.apache.poi.ss.usermodel.IndexedColors;

/**
 * 供应商发货方导入VO
 * 
 * @author Eton Woo
 * @date 2022/03/29
 */
@ApiModel("供应商发货方导入VO")
@Data
public class ShipperImportStdVO implements Serializable {

	private static final long serialVersionUID = -3605165443000845555L;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("发货方编码(必填)")
	private String code;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("发货方名称(必填)")
	private String name;

	@ExcelProperty("发货方简称")
	private String shortName;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("供应商编码(必填)")
	private String providerCode;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty("供应商名称(必填)")
	private String providerName;

	@ExcelProperty("联系人")
	private String contact;

	@ExcelProperty("手机号")
	private String phoneNumber;

	@ExcelProperty("座机号")
	private String landlineNumber;

	@ExcelProperty("邮箱")
	private String email;

	@ExcelProperty("省名称")
	private String provinceName;

	@ExcelProperty("市名称")
	private String cityName;

	@ExcelProperty("区/县名称")
	private String districtName;

	@ExcelProperty("详细地址")
	private String address;

	@ExcelProperty("备注")
	private String memo;

}
