package com.prolog.rdc.tms.model.vo.xlsimport;

import java.io.Serializable;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import com.prolog.product.core.easyexcel.support.DropdownPropExtConverter;
import com.prolog.product.core.easyexcel.util.ValidationCellEnum;

import lombok.Data;
import org.apache.poi.ss.usermodel.IndexedColors;

/**
 * 车辆导入 VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/3/29 11:24
 */
@Data
public class VehicleImportStdVO implements Serializable {

	private static final long serialVersionUID = 5480314983146479957L;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "车辆编码(必填)")
	private String code;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "车牌号(必填)")
	private String plateNumber;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "部门名称(必填)")
	private String departmentName;

	@ExcelProperty(value = "归属(必选)", converter = DropdownPropExtConverter.class)
	@ValidationPropertyExt(
			headFontColor = IndexedColors.RED,
			dropdownValues = { "1", "2", "3" },
			dropdownNames = { "自有", "挂靠", "临时" },
			cellType = ValidationCellEnum.LIST)
	private String type;

	@ExcelProperty(value = "隶属机构编码")
	private String affiliationCode;

	@ExcelProperty(value = "隶属机构名称")
	private String affiliationName;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "车型编码(必填)")
	private String vehicleTypeCode;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "车型名称(必填)")
	private String vehicleTypeName;

	@ExcelProperty(value = "设备编码")
	private String deviceCode;

	@ExcelProperty(value = "设备名称")
	private String deviceName;

	@ExcelProperty(value = "容器编号")
	private String containerCode;

	@ExcelProperty(value = "容器名称")
	private String containerName;

	@ExcelProperty(value = "备注")
	private String memo;

	@ExcelProperty(value = "所属组织名称")
	private String organizationName;

	@ExcelProperty(value = "司机编号")
	private String driverCode;

	@ExcelProperty(value = "司机名称")
	private String driverName;

}
