package com.prolog.rdc.tms.model.vo.xlsimport;

import java.io.Serializable;
import java.math.BigDecimal;

import com.alibaba.excel.annotation.ExcelProperty;
import com.prolog.product.core.easyexcel.annotation.ValidationPropertyExt;
import com.prolog.product.core.easyexcel.support.DropdownPropExtConverter;
import com.prolog.product.core.easyexcel.util.ValidationCellEnum;

import lombok.Data;
import org.apache.poi.ss.usermodel.IndexedColors;

/**
 * 
 *
 * 车型导入
 *
 * @className :VehicleTypeImportVO
 * @author :fanzw
 * @creationTime :2022/06/20
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/06/20
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class VehicleTypeImportVO implements Serializable {

	private static final long serialVersionUID = -2026903972869009241L;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "车型编码(必填)")
	private String code;

	@ValidationPropertyExt(headFontColor = IndexedColors.RED)
	@ExcelProperty(value = "车型名称(必填)")
	private String name;

	@ExcelProperty(value = "车型品牌", converter = DropdownPropExtConverter.class)
	@ValidationPropertyExt(dropdownValues = { "1", "2" }, dropdownNames = { "长安", "依维柯" }, cellType = ValidationCellEnum.LIST)
	private String brand;

	@ExcelProperty(value = "类别(必选)", converter = DropdownPropExtConverter.class)
	@ValidationPropertyExt(
			headFontColor = IndexedColors.RED,
			dropdownValues = { "1", "2", "3" },
			dropdownNames = { "冷藏车", "平顶车", "厢式货车" },
			cellType = ValidationCellEnum.LIST)
	private String type;

	@ExcelProperty(value = "长(m)")
	private BigDecimal length;

	@ExcelProperty(value = "宽(m)")
	private BigDecimal width;

	@ExcelProperty(value = "高(m)")
	private BigDecimal height;

	@ExcelProperty(value = "最大行驶里程(公里)")
	private BigDecimal maxMileage;

	@ExcelProperty(value = "载重(kg)")
	private BigDecimal weight;

	@ExcelProperty(value = "载方(m³)")
	private BigDecimal volume;

	@ExcelProperty(value = "备注")
	private String memo;

}
