package com.prolog.rdc.tms.service;

import com.prolog.rdc.tms.model.dto.DeviceGpsDTO;
import com.prolog.rdc.tms.model.dto.TmsVehicleGpsDTO;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/2/6
 */
public interface ShipBillGpsService {

    /**
     * 获取运单轨迹
     * @param positionType
     * @param shipBillId
     * @return
     */
    Object getTrackByShipBillId(String positionType, String shipBillId);

    /**
     * 获取运单小程序轨迹
     * @param shipBillId
     * @return
     */
    List<TmsVehicleGpsDTO> getWechatTrackByShipBillId(String shipBillId);

    /**
     * 获取运单设备轨迹
     * @param shipBillId
     * @return
     */
    List<DeviceGpsDTO> getDeviceTrackByShipBillId(String shipBillId);

    /**
     * getDeviceLinkTrackByShipBillId
     * @param shipBillId
     * @return
     */
    List<DeviceGpsDTO> getDeviceLinkTrackByShipBillId(String shipBillId);

}
