package com.prolog.rdc.tms.service;

import com.prolog.rdc.tms.model.dto.ConfigurationQueryDDTO;
import com.prolog.rdc.tms.model.dto.ConfigurationQueryDTO;
import com.prolog.rdc.tms.model.vo.ConfigurationHDeleteVO;
import com.prolog.rdc.tms.model.vo.ConfigurationHSaveVO;
import com.prolog.rdc.tms.model.vo.ConfigurationHSetVO;
import com.prolog.rdc.tms.model.vo.ConfigurationQueryVO;

import java.util.List;

public interface SysQueryConfigurationService {

	/**
	 * 查询汇总
	 *
	 * @param configurationQueryVO
	 * @return
	 */
	List<ConfigurationQueryDTO> queryConfigurationH(ConfigurationQueryVO configurationQueryVO);

	/**
	 * 保存
	 *
	 * @param configurationHSaveVOs
	 * @return
	 */
	void saveConfiguration(List<ConfigurationHSaveVO> configurationHSaveVOs);

	/**
	 * 删除汇总
	 *
	 * @param configurationHDeleteVO
	 * @return
	 */
	void deleteConfigurationH(ConfigurationHDeleteVO configurationHDeleteVO);

	/**
	 * 查询明细
	 *
	 * @param hId
	 * @return
	 */
	List<ConfigurationQueryDDTO> queryConfigurationD(String hId);

	/**
	 * 设为默认
	 *
	 * @param configurationHDeleteVO
	 * @return
	 */
	void setDefaultConfiguration(ConfigurationHSetVO configurationHDeleteVO);

	/**
	 * 获取高级查询配置
	 *
	 * @param bizType
	 * @return
	 */
	String getQueryConfiguration(String bizType);

}
