package com.prolog.rdc.tms.service.basicConfigure;

import com.prolog.framework.common.message.RestMessage;
import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.basicConfigure.ImportLogPageDTO;
import com.prolog.rdc.tms.model.vo.ImportLogUpdateVO;
import com.prolog.rdc.tms.model.vo.basicConfigure.ImportDataCheckPageVO;
import com.prolog.rdc.tms.model.vo.basicConfigure.ImportLogAddVO;
import com.prolog.rdc.tms.model.vo.basicConfigure.ImportLogPageVO;

/**
 *
 * 日志管理-导入日志服务层
 *
 *
 * @className: ImportLogService
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface ImportLogService {

	/**
	 * 导入日志分页查询
	 * 
	 * @param importLogPageVO
	 * @return
	 */
	Page<ImportLogPageDTO> pageImportLogData(ImportLogPageVO importLogPageVO);

	/**
	 * 导入日志保存
	 * 
	 * @param importLogAddVO
	 */
	void addImportLogData(ImportLogAddVO importLogAddVO);

	/**
	 * 导入日志更新
	 *
	 * @param updateVO
	 */
	void updateImportLogData(ImportLogUpdateVO updateVO);

	/**
	 * 撤销导入数据
	 * 
	 * @param id
	 * @return
	 * @throws @date 2022/1/13 11:54
	 */
	void revokeData(String id) throws Exception;

	/**
	 * 导入数据查看
	 * 
	 * @param ImportDataCheckPageVO
	 * @return
	 */
	RestMessage<Object> pageImportdCheckData(ImportDataCheckPageVO ImportDataCheckPageVO);
}
