package com.prolog.rdc.tms.service.basicConfigure;

import java.util.List;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.basicConfigure.SignconfigPageDTO;
import com.prolog.rdc.tms.model.dto.basicConfigure.SignconfigPopDTO;
import com.prolog.rdc.tms.model.dto.basicConfigure.SignconfigViewDTO;
import com.prolog.rdc.tms.model.vo.basicConfigure.SignconfigPageVO;
import com.prolog.rdc.tms.model.vo.basicConfigure.SignconfigPopVO;
import com.prolog.rdc.tms.model.vo.basicConfigure.SignconfigSaveVO;
import com.prolog.rdc.tms.model.vo.basicConfigure.SignconfigUpdateVO;

/**
 * 标记配置表服务层
 *
 * @author zhangsj
 * @since 2022-04-26 15:45:36
 */
public interface SignconfigService {

	/**
	 * 标记配置分页查询
	 * 
	 * @param signconfigPageVO
	 * @return
	 */
	Page<SignconfigPageDTO> queryData(SignconfigPageVO signconfigPageVO);

	/**
	 * 标记配置弹窗查询
	 * 
	 * @param signconfigPopVO
	 * @return
	 */
	List<SignconfigPopDTO> popData(SignconfigPopVO signconfigPopVO);

	/**
	 * 标记配置查看
	 * 
	 * @param id
	 * @return
	 */
	SignconfigViewDTO viewData(Long id);

	/**
	 * 标记配置新增
	 * 
	 * @param signconfigSaveVO
	 */
	String saveData(SignconfigSaveVO signconfigSaveVO);

	/**
	 * 标记配置修改
	 * 
	 * @param signconfigUpdateVO
	 */
	Long updateData(SignconfigUpdateVO signconfigUpdateVO);

	/**
	 * 标记配置删除
	 * 
	 * @param list
	 */
	void deleteData(List<String> list);
}
