package com.prolog.rdc.tms.service.basicConfigure;

import java.util.List;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.basicConfigure.SysExtendedFieldDTO;
import com.prolog.rdc.tms.model.dto.basicConfigure.SysExtendedFieldListDTO;
import com.prolog.rdc.tms.model.vo.basicConfigure.SysExtendedFieldDeleteVO;
import com.prolog.rdc.tms.model.vo.basicConfigure.SysExtendedFieldListVO;
import com.prolog.rdc.tms.model.vo.basicConfigure.SysExtendedFieldQueryVO;
import com.prolog.rdc.tms.model.vo.basicConfigure.SysExtendedFieldSaveVO;
import com.prolog.rdc.tms.model.vo.basicConfigure.SysExtendedFieldUpdataVO;

/**
 * 
 *
 * 基础配置-扩展字段服务层
 *
 * @className :SysExtendedFieldService
 * @author :fanzw
 * @creationTime :2022/01/12
 * @description :
 * @modifier :fanzw
 * @modifyTime :2022/01/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface SysExtendedFieldService {

	/**
	 * 扩展字段分页查询
	 * 
	 * @param sysExtendedFieldQueryVO
	 * @return
	 */
	Page<SysExtendedFieldDTO> pageExtendedFieldData(SysExtendedFieldQueryVO sysExtendedFieldQueryVO);

	/**
	 * 根据扩展对象查询扩展字段
	 * 
	 * @param sysExtendedFieldListVO
	 * @return
	 */
	List<SysExtendedFieldListDTO> listExtendedFieldData(SysExtendedFieldListVO sysExtendedFieldListVO);

	/**
	 * 扩展字段保存
	 * 
	 * @param sysExtendedFieldSaveVO
	 * @throws Exception
	 */
	void saveExtendedFieldData(SysExtendedFieldSaveVO sysExtendedFieldSaveVO) throws Exception;

	/**
	 * 扩展字段修改
	 * 
	 * @param sysExtendedFieldUpdataVO
	 * @throws Exception
	 */
	void updataExtendedFieldData(SysExtendedFieldUpdataVO sysExtendedFieldUpdataVO) throws Exception;

	/**
	 * 扩展字段删除
	 * 
	 * @param sysExtendedFieldDeleteVOs
	 * @throws Exception
	 */
	void deleteExtendedFieldData(List<SysExtendedFieldDeleteVO> sysExtendedFieldDeleteVOs) throws Exception;

}
