package com.prolog.rdc.tms.service.basicConfigure;

import java.util.List;

import com.prolog.rdc.tms.model.dto.basicConfigure.ParamConfigQueryDTO;
import com.prolog.rdc.tms.model.entity.SysParamConfigModel;
import com.prolog.rdc.tms.model.vo.basicConfigure.ParamConfigSaveVO;

/**
 * 
 *
 * 系统参数服务层
 *
 * @className :SysParamConfigService
 * @author :fanzw
 * @creationTime :2022/07/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/07/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface SysParamConfigService {

	/**
	 * 系统参数查询
	 * 
	 * @return
	 */
	List<ParamConfigQueryDTO> list();

	/**
	 * 系统参数保存
	 *
	 * @param
	 */
	void save(List<ParamConfigSaveVO> paramConfigSaveVOs);

	/**
	 * 通过编码查询单个参数对象
	 *
	 * @param
	 */
	SysParamConfigModel getValue(String code) throws Exception;

	/**
	 * 定时任务通过编码查询单个参数对象
	 *
	 * @param
	 */
	SysParamConfigModel getValueForTask(String code) throws Exception;

}
