package com.prolog.rdc.tms.service.basicData;

import java.util.List;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.basicData.TmsTransferStationByViewDTO;
import com.prolog.rdc.tms.model.dto.basicData.TmsTransferStationDTO;
import com.prolog.rdc.tms.model.dto.basicData.TmsTransferStationParsingDTO;
import com.prolog.rdc.tms.model.vo.basicData.TmsTransferStationByQueryVO;
import com.prolog.rdc.tms.model.vo.basicData.TmsTransferStationParsingVO;
import com.prolog.rdc.tms.model.vo.basicData.TmsTransferStationVO;
import com.prolog.rdc.tms.model.vo.basicData.TransferStationDeleteVO;
import com.prolog.rdc.tms.model.vo.basicData.TransferStationDisableVO;
import com.prolog.rdc.tms.model.vo.basicData.TransferStationEnableVO;

/**
 * 
 *
 * 基础数据-中转站管理服务层
 *
 * @className :TransferStationService
 * @author :zhangsj
 * @creationTime :2022/03/31
 * @description :
 *
 * @modifier :zhangsj
 * @modifyTime :2022/03/31
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface TransferStationService {

	/**
	 * 中转站分页查询
	 * 
	 * @param vo
	 */
	Page<TmsTransferStationDTO> query(TmsTransferStationByQueryVO vo);

	/**
	 * 中转站查看
	 * 
	 * @param vo
	 */
	TmsTransferStationByViewDTO view(TmsTransferStationVO vo);

	/**
	 * 中转站修改
	 * 
	 * @param vo
	 */
	void update(TmsTransferStationVO vo);

	/**
	 * 中转站新增
	 * 
	 * @param vo
	 */
	void save(TmsTransferStationVO vo);

	/**
	 * 中转站资料停用
	 * 
	 * @param transferStationDisableVOs
	 */
	void disableData(List<TransferStationDisableVO> transferStationDisableVOs);

	/**
	 * 中转站资料启用
	 * 
	 * @param transferStationEnableVOs
	 */
	void enableData(List<TransferStationEnableVO> transferStationEnableVOs);

	/**
	 * 中转站资料删除
	 *
	 * @param transferStationDeleteVOs
	 */
	void deleteData(List<TransferStationDeleteVO> transferStationDeleteVOs);

	/**
	 * 地图解析
	 * 
	 * @param vo
	 */
	void parsing(TmsTransferStationParsingVO vo);

	/**
	 * 地图解析查询
	 * 
	 * @param vo
	 * @return
	 */
	Page<TmsTransferStationParsingDTO> parsingPage(TmsTransferStationParsingVO vo);
}
