package com.prolog.rdc.tms.service.fleetManagement;

import java.util.List;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.fleetManagement.PartnerGasStationDTO;
import com.prolog.rdc.tms.model.vo.fleetManagement.PartnerGasStationAddVO;
import com.prolog.rdc.tms.model.vo.fleetManagement.PartnerGasStationCancelVO;
import com.prolog.rdc.tms.model.vo.fleetManagement.PartnerGasStationPopVO;
import com.prolog.rdc.tms.model.vo.fleetManagement.PartnerGasStationQueryVO;
import com.prolog.rdc.tms.model.vo.fleetManagement.PartnerGasStationUpdateVO;

/**
 * 
 *
 * 车队管理-加油站管理服务层
 *
 * @className :PartnerGasStationService
 * @author :fanzw
 * @creationTime :2021/09/01
 * @description :
 * @modifier :fanzw
 * @modifyTime :2021/09/01
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface PartnerGasStationService {

	/**
	 * 加油站弹窗
	 * 
	 * @param partnerGasStationPopVO
	 * @return
	 */
	Page<PartnerGasStationDTO> listPartnerGasStationPopData(PartnerGasStationPopVO partnerGasStationPopVO) throws Exception;

	/**
	 * 加油站查询
	 * 
	 * @param partnerGasStationQueryVO
	 * @return
	 */
	Page<PartnerGasStationDTO> listPartnerGasStationData(PartnerGasStationQueryVO partnerGasStationQueryVO) throws Exception;

	/**
	 * 加油站新增
	 * 
	 * @param partnerGasStationAddVO
	 */
	void addPartnerGasStationData(PartnerGasStationAddVO partnerGasStationAddVO) throws Exception;

	/**
	 * 加油站修改
	 * 
	 * @param partnerGasStationUpdateVO
	 */
	void updatePartnerGasStationData(PartnerGasStationUpdateVO partnerGasStationUpdateVO) throws Exception;

	/**
	 * 加油站作废
	 * 
	 * @param partnerGasStationCancelVOs
	 */
	void cancelPartnerGasStationData(List<PartnerGasStationCancelVO> partnerGasStationCancelVOs) throws Exception;

}
