package com.prolog.rdc.tms.service.fleetManagement;

import java.util.List;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.fleetManagement.PartnerServingStationDTO;
import com.prolog.rdc.tms.model.vo.fleetManagement.PartnerServingStationAddVO;
import com.prolog.rdc.tms.model.vo.fleetManagement.PartnerServingStationCancelVO;
import com.prolog.rdc.tms.model.vo.fleetManagement.PartnerServingStationPopVO;
import com.prolog.rdc.tms.model.vo.fleetManagement.PartnerServingStationQueryVO;
import com.prolog.rdc.tms.model.vo.fleetManagement.PartnerServingStationUpdateVO;

/**
 * 
 *
 * 车队管理-维修厂管理服务层
 *
 * @className :PartnerServingStationService
 * @author :fanzw
 * @creationTime :2021/09/01
 * @description :
 * @modifier :fanzw
 * @modifyTime :2021/09/01
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface PartnerServingStationService {

	/**
	 * 维修厂弹窗
	 * 
	 * @param partnerServingStationPopVO
	 * @return
	 */
	Page<PartnerServingStationDTO> listPartnerServingStationPopData(PartnerServingStationPopVO partnerServingStationPopVO) throws Exception;

	/**
	 * 维修厂查询
	 * 
	 * @param partnerServingStationQueryVO
	 * @return
	 */
	Page<PartnerServingStationDTO> listPartnerServingStationData(PartnerServingStationQueryVO partnerServingStationQueryVO) throws Exception;

	/**
	 * 维修厂新增
	 * 
	 * @param partnerServingStationAddVO
	 */
	void addPartnerServingStationData(PartnerServingStationAddVO partnerServingStationAddVO) throws Exception;

	/**
	 * 维修厂修改
	 * 
	 * @param partnerServingStationUpdateVO
	 */
	void updatePartnerServingStationData(PartnerServingStationUpdateVO partnerServingStationUpdateVO) throws Exception;

	/**
	 * 维修厂作废
	 * 
	 * @param partnerServingStationCancelVOs
	 */
	void cancelPartnerServingStationData(List<PartnerServingStationCancelVO> partnerServingStationCancelVOs) throws Exception;

}
