package com.prolog.rdc.tms.service.fleetManagement.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.prolog.common.util.ToolKits;
import com.prolog.rdc.tms.constant.SeriaNnumberConstant;
import com.prolog.rdc.tms.service.SysCodeengineService;
import com.prolog.rdc.tms.service.fleetManagement.PaperService;

/**
 * 
 *
 * 车队管理-证件资料实现层
 *
 * @className :PaperServiceImpl
 * @author :fanzw
 * @creationTime :2022/04/01
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/01
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Service
public class PaperServiceImpl implements PaperService {

	@Autowired
	private SysCodeengineService sysCodeengineService;

	/**
	 * 获取证件ID
	 */
	@Override
	public String getPaperIdData() {
		// 获取证件ID
		String paperId = sysCodeengineService.getCodeNumberByCode(SeriaNnumberConstant.PAPER_ID, "L");
		ToolKits.isParamNull(paperId, "证件ID生成失败");
		return paperId;
	}

}
